/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: alb-0

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = ["#boost-145,\n#imgad,\n#vidad,\n.bottom.adrek-space > .widget,\n.col-4,\n.njoftim,\n.watch-movie > center,\n.widgets,\ncenter:nth-of-type(2),\ncenter:nth-of-type(4),\ncenter:nth-of-type(5),\ndiv.movie-info > center,\ndiv.movie-info:nth-of-type(5)",".wpb_wrapper.vc_figure","#offcanvas-article,\n.widget:has(.lazyloaded)",".align-items-center.flex-column.d-flex.col-sm-3","#mibew-agent-button > img",".background-banner,\n.banner-bottom-category,\n.new_banner,\n.right_side_banner,\n.sidebar-baner-middle,\n.sidebar-baner-middleroduct,\n.sidebar-baner-top,\n.sidebar-baner-topproduct",".main-nosplit > a",".vw-more-articles--visible.vw-more-articles,\n.widget.widget_sp_image",".wp-super-snow-flake",".flurry-container,\n.footer-last-news-wrapper,\n.popup-container",".mvp-feat1-list-ad,\n.mvp-main-box > .execphpwidget > div > a > img",".reklama-box","center,\niframe",".fixed-ad,\n.rek-holder","#bottom_fixed_notification","#slidebox","#tidio-chat",".sendpulse-bar,\n.stream-item-top-wrapper,\n.theiaStickySidebar > .stream-item-widget","#check-also-box","#target_banner_1,\n#target_banner_2,\n#target_banner_3,\n#target_banner_4,\n#target_banner_41,\n#target_banner_42,\n#target_banner_5,\n#target_banner_6","#menu-item-640384 > a",".textwidget",".wpb_wrapper > div > a > img,\ndiv.wpb_content_element.wpb_text_column:nth-of-type(2) > .wpb_wrapper > .desktop,\ndiv.wpb_content_element.wpb_text_column:nth-of-type(4) > .wpb_wrapper > .desktop",".wpb_wrapper > p > a > img",".td-all-devices","#snowflakeContainer",".code-block-1.code-block,\n.pp_ads_single_before_comment.ppb_ads > [href]","#mastertopbanner,\ndiv[id^=\"ctl00_ContentPlaceHolder1_Latest\"]",".mvp-side-widget.widget_text","#FBStickLayer,\n.stick_block_layer",".adunit-1","#fixed_728_banner",".reklama-background,\n.reklama-background-right,\n.reklama-container","#ads2018",".textwidget > button","#baner1,\n#sanpietro2,\n#sticky1,\n.tekebaner1","#text-7,\n#text-8,\n#text-9","#v-cookielaw",".site-banner","#custom_html-3,\n.ad","#news-right-2,\n#news-right-4,\n#news-right-5,\n#webover_pc_banner,\n.banner_intro,\n.banner_wrapper.pc_only,\n.left_fixed,\n.pc_only > a > img,\n.pc_only > iframe,\n.pc_only[style],\n.right_fixed,\n.top-bigBanner","#fpub-popup,\n.news_block > .desktop,\n.rek_section",".wpb_wrapper > a > img,\ndiv.insertion-box:nth-of-type(1)",".td_block_template_1 > div > img",".heateor_sss_sharing_container","#text-html-widget-64 > .widget-container,\n.e3lan-post",".biscotto-container",".jnews_popup_post_container","#post-right-col > .content_block,\n.top-banner-promo,\n.widget_media_image.side-widget",".a-listing > li:has(.adsbygoogle),\n.aside.right,\n.mgid",".article-wrapper > .telesport-desktop-ads,\n.sidebar-articles-container > .telesport-desktop-ads",".textwidget > a,\n.theiaStickySidebar > a",".murebestbannerdesktop,\n.murebestshowonlydesktop",".ad-widget-box > img,\n.ad-widget-sizes > a > .ad-widget-box,\n.col-12.col-lg-4 > .d-none,\n.shortcode-widget-box,\n.textwidget > p > img",".execphpwidget > a > img",".leadBanner","[href^=\"https://www.raiffeisen.al/alb/page/platforma-digjitale-raiffeisen-on-1/\"],\ndiv.sidebar-widget:nth-of-type(3)",".sendpulse-prompt",".fn-header-banner,\n.textwidget > center > a",".web-ad",".hideM.a-ads",".td-pb-row.wpb_row.tdi_58_031.vc_row,\n.td-pb-span4.tdc-column.vc_column_container.wpb_column.tdi_71_428.vc_column > .wpb_wrapper,\n.td-pb-span8.tdc-column.vc_column_container.wpb_column.tdi_60_66f.vc_column,\n.td_block_template_1.td-pb-border-top.td-single-image-.tdi_25_8e1.vc_single_image.td_block_wrap.td_block_single_image.wpb_wrapper,\n.td_block_template_1.td-pb-border-top.td-single-image-.tdi_25_f69.vc_single_image.td_block_wrap.td_block_single_image.wpb_wrapper,\n.td_block_template_1.td-pb-border-top.td-single-image-.tdi_53_348.vc_single_image.td-no-img-custom-url.td_block_wrap.td_block_single_image.wpb_wrapper,\n.td_block_template_1.td-pb-border-top.td-single-image-.tdi_54_6f4.vc_single_image.td-no-img-custom-url.td_block_wrap.td_block_single_image.wpb_wrapper,\n.td_block_template_1.td-pb-border-top.td-single-image-.tdi_55_407.vc_single_image.td_block_wrap.td_block_single_image.wpb_wrapper,\naside.widget_media_image.widget.td_block_template_1:nth-of-type(2),\naside.widget_media_image.widget.td_block_template_1:nth-of-type(3),\naside.widget_media_image.widget.td_block_template_1:nth-of-type(4)",".bannertop",".g-7",".rek",".a-d_wrapper,\n.crestaPostsBox,\n.outer-banner",".stream-item-top,\ndiv.aligncenter.stream-item-inline-post.stream-item-in-post.stream-item:nth-of-type(1),\ndiv.aligncenter.stream-item-inline-post.stream-item-in-post.stream-item:nth-of-type(2),\ndiv.aligncenter.stream-item-inline-post.stream-item-in-post.stream-item:nth-of-type(3),\ndiv.aligncenter.stream-item-inline-post.stream-item-in-post.stream-item:nth-of-type(4),\ndiv.aligncenter.stream-item-inline-post.stream-item-in-post.stream-item:nth-of-type(5)","#ad-big_rectangle,\n#ad-wide_skyscraper,\n.ad-big_leaderboard,\n.ad-medium_rectangle,\n.banner,\ndiv.others:has(div[id*=\"_ads\"])",".bannerSection.container",".active-50.gjirafa50-bf,\ndiv[id^=\"an-holder-\"]",".new_header-ad-box",".boost-list-container > [style] > [class]:has(> a[href^=\"https://aa.boostapi.net\"]),\n.boost-list-container a[href^=\"https://aa.boostapi.net\"],\ndiv[class^=\"adunit-\"],\ndiv[data-adunit]",".latestVideo,\n.xo360,\ndiv[class*=\"revive_zone\"]",".td-desktop,\n.tdi_30_1c1.vc_raw_html.td_block_wrap.wpb_wrapper > .td-fix-index > .rekpolitiknje,\ndiv > iframe",".awac-wrapper",".ad-container,\n.reklama_top",".td-visible-desktop","#custom_html-6,\n#text-15,\n.sidebar-single-w,\n.single-post-comments-sidebar","div[class^=\"ads-\"],\niframe[height=\"200\"]",".olark-attention-grabber","#sidebar_container,\n.left-banner",".hidebanner","#dk-image-rotator-widget-3,\n#dk-image-rotator-widget-4,\n#dk-image-rotator-widget-7",".sidebar",".leaderboard-banner > iframe,\n.positionWidget,\n.promoSection",".ad-box",".main-sidebar > .widget > .banner","#convertbox",".reklama-center",".g-1,\n.g-4,\n.headerslider",".main_ban_rek > .container > .g,\n.main_ban_rek > .g,\n.sidebar_rek","#rt-sidebar-b > .rt-block",".custom-html-widget > iframe,\n.td-fix-index > iframe","#execphp-24 > .execphpwidget,\n#execphp-25 > .execphpwidget,\n#reklama1,\n#reklamavodafonestopwords,\n#sidebar,\n.notes-right","#HTML1","div[class*=\"new-ads\"]",".adds--main.adds,\n.adds_left,\n.radio-live-adv","#foxpush_subscribe",".vc_column-inner > .wpb_wrapper > .vc_hidden-sm > .wpb_wrapper",".app_holder,\n.rekl-phone","#modalHome,\n.show.modal-backdrop","#g207","#fb-root",".slider-adv,\n.small-adv,\nbody > .container > .advert-under",".td_block_template_1 > a > img","#weather,\n.small-ad-wrapper","#horiz_banner_2-wrap,\n#upprev_box,\n.col-lg-3 > a > img,\n.col-md-4 > a,\n.col-md-4 > iframe,\n.container > iframe,\n.cssnow,\n.pazar"];

const hostnamesMap = new Map([["27.al",1],["360grade.al",2],["abcnews.al",3],["abcom.al",4],["acp.al",5],["blitz.al",6],["bota.al",7],["botimepegi.al",8],["businessmag.al",9],["cna.al",10],["panorama.com.al",[11,12]],["shkabaj.net",12],["shekulli.com.al",13],["droni.al",14],["durreslajm.al",15],["evolve.al",16],["faxweb.al",[17,18]],["radiokosovaelire.com",[18,82]],["gazetacelesi.al",19],["gazetadita.al",[20,21]],["preshevajone.com",[21,81]],["gazetamapo.al",[22,23]],["revistakosovarja.net",[23,98]],["ata.gov.al",24],["shkoder.net",24],["rrokum.tv",[24,104]],["gsh.al",25],["iconstyle.al",26],["ikub.al",27],["intervista.al",28],["intv.al",29],["jetaoshqef.al",30],["joq.al",31],["konica.al",32],["lajmifundit.al",33],["lapsi.al",34],["living.al",35],["nacionalalbania.al",36],["neptun.al",37],["newsbomb.al",38],["newsport.al",39],["noa.al",40],["opinion.al",41],["politiko.al",42],["rd.al",43],["kohajone.com",[43,73]],["reporter.al",44],["rtsh.al",45],["dyqani.shpresa.al",46],["standard.al",47],["www.supersport.al",48],["tej.al",49],["telesport.al",50],["tiranapost.al",51],["tpz.al",52],["tvklan.al",53],["vipsport.al",54],["www.albinfo.ch",55],["www.albaniandailynews.com",56],["albeu.com",57],["almakos.com",58],["anabelmagazine.com",59],["www.anabelmagazine.com",60],["bulevardionline.com",61],["classlifestyle.com",62],["ekonomiaonline.com",63],["epokaere.com",[64,65]],["gazetatribuna.com",64],["fieriweb.com",66],["gazetaexpress.com",67],["gazetalajm.com",68],["gjirafa.com",69],["insajderi.com",70],["joq-albania.com",71],["joqalbania.com",71],["kallxo.com",72],["kosovalive360.com",74],["kosovapress.com",75],["lajmpress.com",76],["myalbanianfood.com",77],["nacionale.com",78],["nimitv.com",79],["njoftime.com",80],["shqiptarja.com",83],["telegrafi.com",84],["the-living-media.com",85],["tiranatimes.com",86],["upviral.com",87],["arbresh.info",88],["botapress.info",89],["fishmedia.info",90],["albacenter.it",91],["dritare.net",92],["gazetatema.net",93],["iphonealbania.net",94],["koha.net",95],["lajmi.net",96],["pamfleti.net",97],["syri.net",99],["bankofalbania.org",100],["short24.pw",101],["alsat-m.tv",102],["oranews.tv",103],["www.tvkoha.tv",104],["rtv21.tv",105],["vizionplus.tv",106]]);

const entitiesMap = new Map([["www.filma24",0]]);

const exceptionsMap = new Map(undefined);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
