/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: bgr-0

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = ["#banner_ad","#adbody","#newAd","#Ads","A[href*=\"mediamall.bg\"]","#ArticleLinkMediaMall,\n.box-right.cat-store,\nSPAN[style=\"text-decoration: underline;\"]",".vip-firms","#aukcion,\n#rowAdv,\niframe[src=\"/app/j/banner.jsp\"]","#adwbanner300x250,\n.adwiseBlock","div[align=\"center\"]","#adv_zone_24,\n#adv_zone_26,\n#adv_zone_top,\n#az_after_16,\n#az_after_6,\n#az_top_dynamic,\n.loadable_div_ajax_loaded,\n.under_336_fix_div.loadable_div_ajax_loaded","#banerdqsno,\n#bglink",".banner_new",".superbanner.text-center.hidden-xs",".last.newsLink.listItemLink,\n.listItemLink.newsLink,\ndiv:nth-of-type(70),\ndiv:nth-of-type(71)","#ado-vbg-slave-3","#banner_a0_1,\n#banner_a0_2",".banneritem","#sbox-overlay,\n#sbox-window,\n#wpfront-notification-bar,\n.code-block.code-block-12,\n.top_banner",".fc-dialog-container,\na[href^=\"https://cdn1.efbet.com\"],\np:nth-of-type(7)",".banner",".col-lg-12.col-md-12.col-sm-12.col-xs-12",".abw_message","[id^=\"banner\"]","#bda-overlay,\n.bda-message","MARQUEE,\nTD[style=\"text-align: center; border: 1px dashed rgb(24, 130, 237); box-shadow: 3px 3px 3px 3px rgba(0, 0, 0, 0.3); padding: 3px;\"]",".banner-right,\ntable[width=\"220\"][bgcolor=\"#ffffff\"]",".bann300x250","#offers","#bplay,\n#ips-ad,\n#setech,\n#single_ad,\n#your-ad,\n.custom-ad",".adv",".bannerWraper","#colorbox",".imgNoBorder[style=\"float: left; background-color: lightgray; width: 300px; height: 250px; margin: 14px 0px 14px 8px\"]","#media_image-2,\n#media_image-3,\n#media_image-4,\n.widget-1.widget-odd.widget.widget_media_image,\n.widget-3.widget-odd.widget.widget_media_image,\n.widget-4.widget-even.widget-alt.widget.widget_media_image",".ispace","#branding",".bannerwrapper-200x200,\n.bannerwrapper-250x250,\n.bannerwrapper-728x90","#ad_lb_atf,\n#ban300x250,\n.banner-box,\n.module.long-scroll,\n.paidAdvert,\n.smodule",".easy_ads_main","iframe[style=\"border: medium none ; margin: 0pt; padding: 0pt; overflow: hidden; width: 300px; height: 250px; border-collapse: collapse;\"]",".zaplata-footer-logo,\ndiv#adsblock-msg",".td-block.td-a-rec.td-a-rec-id-custom-spot.tdi_108.td_block_template_2,\n.td_block_wrap.td-a-rec.td-a-rec-id-custom-spot.td-a-rec-img.tdi_100.td_block_template_10,\n.td_block_wrap.td-a-rec.td-a-rec-id-custom-spot.td-a-rec-img.tdi_242.td_block_template_10,\n.vc_column.tdi_30.wpb_column.vc_column_container.tdc-column.td-pb-span12","#facebox_games_mess,\n#popup-ad,\n.c.box.column.banner-box.js-banner-box","#adr_bot_240,\n#wallpaper_half_l,\n#wallpaper_half_r","div.bnr.forum_r_box:nth-of-type(1),\ndiv.bnr.forum_r_box:nth-of-type(2)","#h_adv,\n.article-after-comments-ad,\n.article-after-text-ad,\n.article-before-donate-ads,\n.boxw100.advleft,\n.business-ads,\n.etarget_middle_after,\n.etarget_right_top,\n.h_adv.ad-elm,\n.health-ad-blk,\n.health-ads-blk.wide,\n.innewads,\n.inside-area-right-bottom-ad,\n.inside-area-right-middle-ad,\n.inside-area-right-top-ad.brc,\n.inside-news-area-right-ad,\n.r_b,\n.r_b_c.ad-elm,\n.top-news-area-ad,\n.top-news-area-ad.brc,\n.topfrog-ads-blk,\ndiv.topfrog-ads-blk-hl.wide,\ndiv[class$=\"area-ad\"],\ndiv[style=\"padding-bottom:15px;\"]","#hotOffBg,\n#topBanCont,\n#topBanner,\n.adv.adwise,\n.shadow.block.offers,\nDIV[style=\"margin: 0 0 20px; height: 250px; width: 300px;\"]",".adwise","#pop","DIV[style=\"position:absolute; width:130px;left:-130px;height:900px;\"],\nDIV[style=\"position:absolute;width:120px;right:-120px;\"]","#divbh1.lfs-top-banner-holder",".td-header-rec-wrap","#MAX_a02e99f2,\ndiv[style=\"height:90px;\"]","#banners_position_2,\n#banners_position_3,\n#banners_position_4,\n#banners_position_5",".LW-Home-Page-Banner-Top-Right",".banner468_60,\nDIV[style=\"margin: auto; background-color: transparent; border-width: 0px; width: 300px; height: 250px;\"]","#header_banner","#gpt-banner-1-desktop","#main-billboard-spacer",".banner_header_right,\n.etarget_container,\n.header_banner_container","#banner-234-90,\n#group-id-tids-12,\n#top_banner,\n.content-advertisement","#artbot,\n#artvert,\n#comm,\n#embed,\n#mplx,\n.artbot.center.mt20.mb20,\n.artvert,\n.assignshop,\n.embed.mt10.mb10,\n.g-comments.pt25.center.pt15.pb15,\n.giwrp,\n.rkl",".mny-header-banner",".square-banner.topmargin,\n.square-banner.topmargin.alignright",".mom-e3lanat-inner",".banners","#gpt-banner-4_ad_container,\nins[style=\"width: 970px; height: 250px; display: block; position: relative; border: 0px none;\"],\nins[style=\"width: 970px; height: 250px; display: inline-table; position: relative; border: 0px none; vertical-align: bottom;\"]","#banner-top","#aax_if_aax_\\/26641721\\/novini\\.bg_branding_megaboard,\n.line_banner",".banner640",".ads-25,\n.ads-60-r","#baxter-right-first",".bannerbox","#banner_right_bottom,\n#banner_right_middle,\n#banner_right_top,\n#fb_likeBox,\n.ads-caption,\n.left_brand,\n.right_brand,\n.top-banner.text-center","#banner_top","#brand","#indexTopRightBox > div.center.w100.left.banners_300x250,\n[href^=\"https://record.winbetaffiliates.com/\"],\ndiv.left.connected-news-wrap:nth-of-type(2) > .left.connected-news","#mainscollertd","#flygrabo,\n#flyoffer_text,\n#leftbrand,\n#rightbrand",".left-sidebar-banner.box,\ndiv[style=\"width: 728px; height: 90px; overflow: hidden;\"]","#bannersdesktop","#banner_right","#banner","#flash_big,\nDIV[style=\"width:670px; height:120px; left:0px; right:0px; margin-bottom:20px\"]","#banner_show","#adwbann_0,\n#adwbann_1,\n#booking-widget-slider,\n.astralBlock,\n.ecoHomeWeber","#baners_top","#block-panels-mini-leaderboard-banners",".google_adds.google_adds728x90.left-content-banner.google_adds-footer,\n.main-widget.google_adds.google_adds300x250,\n.main-widget.google_adds.google_adds300x600",".g300x600single",".art-sidebar2","#banner1,\n#topBannerBlock,\n.adwise-right,\n.hot-offers-block",".popup-back","#trendo_branding,\n.shop_box","#adv,\n.mediain","#banner_2","#banner_3,\n.white_box.right_box.actual_offers",".banneritem_text",".phAddsText",".ads","#banner_11,\n#banner_4,\n#banner_5,\n#banner_7,\n#spot-1,\n#spot-4,\n#spot-5,\n.ads_left,\n.border-left.w-100,\n.d-none.d-sm-none.d-md-none.d-lg-inline-block.col-lg-2,\n.hidden-xs.hidden-sm.arena_9.mb5,\n.hidden-xs.hidden-sm.arena_9.revive.mb5,\n.mb-2.mt-2.border,\n.mb-3.d-none.d-sm-block.border,\n.panel-footer.text-center.arena_10,\nIFRAME[src*=\"/banner/\"],\nIFRAME[src*=\"banner.htm\"],\niframe[src=\"about:blank\"]","#canvas",".small-horoscopes2.clearfix","#bigbanner,\n#topbanner",".RAD,\ntd[style=\"padding-bottom: 6px;\"]",".sublineSearchBuffer-banner",".right_banner.load-banner",".wpb_single_image.wpb_content_element.vc_align_center","#aswift_0,\n#aswift_0_anchor,\n#aswift_0_expand,\n.banner-160x600_right.iframeBanner,\n.modal-link,\ndiv[style=\"font-family: Arial, Helvetica, sans-serif; font-size: 9px; text-transform: uppercase; color: rgb(128, 129, 143); background-color: rgba(255, 255, 255, 0.3); line-height: 10px; padding: 2px 4px; width: 98%; height: 8px;\"]",".kare.top10","DIV[style=\"margin: 0px auto; min-height: 450px; width: 100%; padding-top: 500px; background-image: url('images/interface/kom_branding.png'); background-repeat: no-repeat; background-position: top center;\"]",".etarget",".box-pink","#fanback","TABLE[style=\"border: 1px solid #000000; margin: 0; padding: 0;\"]","#topbar","#banner2","#imCellStyle_151","td[class=\"left_fon\"]","#footer_inner_wrapper",".section.group",".ad.tac,\n.banner1","#maxbannerads-3,\n#maxbannerads-4,\n#maxbannerads-5,\n#maxbannerads-6,\n.bannertop.clearfix",".slidingBanners","#advert_5,\n.adv-728-90.adv-block","#rightCol","#wdBanners",".bigbanner,\n.verticalbanner","#tcvn-banner-slider215","#advert_id","#left_banner_img,\n#right_banner","#banner_wrap,\n.users_wrap","#gkBannerTop",".Footer,\nDIV[style=\"margin-bottom:10px\"]","#HTML2.widget.HTML","#news_ad,\n.container[style=\"height:105px\"]","#headerLineBgr,\n.col-sm-12.col-md-12.col-lg-12.video-cell",".td-container.td-header-row.td-header-header","#bottomBanner,\n.zbranding_left2",".banner_col,\n.banner_top",".mod_bannerslider",".clean-gallery-side-widget.clean-gallery-box.widget.gabar-widget,\nimg[src=\"https://www.gabarko.eu/wp-content/uploads/2022/03/po-profesia-drevar-4.jpg\"],\nimg[src=\"https://www.gabarko.eu/wp-content/uploads/2023/12/1015643.jpg\"]","DIV[style^=\"width:728px; height:90px;\"]",".adsbygoogle,\ntd[style=\"width: 100%; vertical-align:top;\"]","#text-4,\n.g1-row.g1-row-layout-page.g1-advertisement.g1-advertisement-before-content-theme-area","[style=\"width:728px;height:90px;\"]","#b300",".advertisement",".blogname",".adv_box_kv_left,\n.adv_box_kv_right","div[style=\"padding-top:30px;padding-bottom:30px;\"]",".ads_big_block,\n.ads_small_block","#login_popup","#site-cap-banner,\n.page_margin_top.box-with-shadow.wide-banner.wb-content,\n.placeholder.wide-banner.site-cap-banner,\n.sliding_banner_div,\n.widget.simple.square-banner,\n.widget.simple.square-banner.banner-zone-c",".infor-before-content",".poop2",".e3lan-top",".customContent","DIV[style=\"width: 462px; padding:3px; margin: 10px 0px 0px 0px; min-height: 60px; border: #dddddd solid 1px;\"],\nDIV[style=\"width: 466px; height:58px; overflow:hidden; border: #dddddd solid 1px;\"]","#header_img_right","DIV[style=\"width:728px; height:90px;\"],\n[style=\"width:300px;height:250px;\"],\n[style=\"width:300px;height:600px;\"]","#SC_TBlock_100990,\n.SC_TBlock","#SC_TBlock_73002,\n#navpages","IMG:first-child:last-child","#hot_offers","#text-26,\n#text-34,\n#text-35,\n#text-39,\n#text-40,\nDIV[style=\"width:630px; margin-bottom:10px; height:90px;   overflow:hidden;\"]","TABLE[height=\"253\"],\nTABLE[height=\"600\"]",".bar_topadd,\n.topadd_bar,\n.topadd_barr","#rssnews,\n.clear[width=\"80\"],\n.iframe",".boxPartBanner",".leaderboard","#widget_A","#kayan_reklam_sol,\n.squarebanner,\n.widebanner"];

const hostnamesMap = new Map([["*",[0,1,2,3]],["24chasa.bg",[4,5]],["trud.bg",4],["911.bg",6],["abv.bg",7],["as.adwise.bg",8],["afera.bg",9],["alo.bg",10],["autoclub.bg",11],["balkanec.bg",12],["banker.bg",13],["bazar.bg",14],["bgdnes.bg",15],["bgonair.bg",16],["bivol.bg",[17,18]],["smolyandnes.com",[17,133]],["blitz.bg",[19,20]],["dnevnik.bg",[20,38]],["mediapool.bg",[20,60]],["money.bg",[20,58,63]],["vnews.bg",20],["etapgroup.com",[20,66,111]],["briag.bg",21],["btv.bg",[22,23]],["btvnovinite.bg",22],["btvplus.bg",24],["bukvi.bg",25],["business.bg",26],["capital.bg",27],["carmarket.bg",28],["crimes.bg",29],["cross.bg",[30,31]],["download.bg",30],["econ.bg",30],["burgasnews.com",[30,52,108]],["dariknews.bg",32],["dartsnews.bg",33],["dev.bg",34],["dir.bg",35],["novini.dir.bg",35],["dnes.dir.bg",36],["dnesplus.bg",37],["media.easyads.bg",39],["expert.bg",40],["fakti.bg",41],["filternews.bg",42],["framar.bg",43],["apteka.framar.bg",44],["forum.framar.bg",45],["frognews.bg",46],["gbg.bg",47],["gong.bg",48],["recepti.gotvach.bg",49],["homes.bg",50],["lifestyle.ibox.bg",51],["iskra.bg",52],["kamioni.bg",53],["knnews.bg",54],["legalworld.bg",55],["lex.bg",56],["lifehacker.bg",57],["lifestyle.bg",58],["news.bg",[58,66,67]],["mail.bg",59],["menumag.bg",61],["miau.bg",62],["nakratko.bg",64],["nbp.bg",65],["newshub.bg",68],["novini.bg",69],["novinite.bg",70],["offnews.bg",71],["olx.bg",72],["pari.bg",73],["petel.bg",[74,75]],["programata.bg",[75,82]],["photo-forum.net",[75,160]],["pik.bg",[76,77]],["zajenata.bg",[76,94]],["plevenzapleven.bg",78],["plovdiv24.bg",79],["pozvanete.bg",80],["pravatami.bg",81],["recepty.bg",[83,84]],["prikachi.com",83],["remix.bg",85],["sinoptik.bg",86],["ticketpro.bg",87],["topnovini.bg",88],["sofia.topnovini.bg",88],["tribune.bg",89],["try.bg",90],["versia.bg",91],["vesti.bg",92],["webcafe.bg",93],["subs.sab.bz",95],["actualno.com",[96,97]],["arenabg.com",[96,100,101]],["animes-bg.com",98],["apteka-optima.com",99],["kaksepishe.com",100],["cdn.arenabg.com",102],["bg-mamma.com",103],["bgnes.com",104],["bgrabotodatel.com",105],["bgrazpisanie.com",106],["burgasinfo.com",107],["djagi.com",109],["elmaz.com",110],["bg.static.etargetnet.com",112],["flash-igri.com",113],["gledaigo.com",114],["hardwarebg.com",115],["kartelito.com",116],["myonvideo.com",116],["samokov365.com",[116,129]],["cinemabg.net",116],["club-bg.org",116],["kik-info.com",117],["koimetarsi.com",118],["lesno-fakturirane.com",119],["managerteams.com",120],["napos2000.com",121],["nessebar-news.com",[121,123]],["nenovinite.com",122],["pirinsko.com",124],["podtepeto.com",125],["rechnik-bg.com",126],["rodopinews.com",127],["ruse-news.com",128],["segabg.com",130],["silabg.com",131],["sliven-news.com",132],["struma.com",134],["troyan21.com",135],["utroruse.com",136],["vbox7.com",137],["viaranews.com",138],["zavedenia.com",139],["zovnews.com",140],["advokatibg.eu",141],["gabarko.eu",142],["4bg.info",143],["account-bg.info",144],["berbim.info",[145,146]],["politikata.net",[146,161]],["odit.info",147],["prnew.info",148],["subsmania.info",149],["bg-zone.net",150],["peter.and.bilyana.net",151],["ciela.net",152],["bgsimsonimz.forumotion.net",153],["haskovo.net",154],["informiran.net",155],["kaminata.net",156],["lekuva.net",157],["mikrotik-bg.net",158],["moreto.net",159],["senzacia.net",162],["skandalno.net",163],["subsunacs.net",164],["svejo.net",165],["vchas.net",166],["vestnici.net",167],["yavka.net",168],["zamunda.net",169],["zdrave.net",170],["booksbg.org",171],["zoomania.org",172],["bg-gledai.tv",173]]);

const entitiesMap = new Map(undefined);

const exceptionsMap = new Map([["bg-ikonomika.com",[0]],["noshtuvki.burkan.info",[1]],["olx.bg",[2]],["prodavalnik.com",[2]],["rbb.bg",[3]]]);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
