/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: hrv-0

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = [".bannergroup,\n.reklamebg",".footer-reklame,\n.side-marketing",".leader-wrap-out,\n.widget_block.side-widget","#Billboard_UnderArticle,\n.article__comments + .textwidget",".banner",".articleViewBanners,\n.panel-2:has(> div[id*=\"gpt\"]),\na[href*=\"-kisa-kesa\"][href*=\"eura\"],\na[href*=\"kazino\"]",".idk_baner_top,\n.img_advertising",".code-block",".triple_banner_container,\ndiv[id*=\"_in_article_\"]",".code-block:has([id*=\"hayat_ba_\"]),\ndiv[style^=\"text-align: center;\"]",".td-ss-main-sidebar","#ads_rectangle,\n#rectangle_container,\n.native-ads",".widget_block",".banner-promotion",".banner-inner,\n.billboard-banner",".reklama_flash,\n.reklama_flash_mini",".widget_custom_html","#adx-video-player,\n#dodatni-desk",".izdvojeni-index.ad:not(.nas),\n.rbb,\ndiv[class^=\"artikal \"]","style[scoped] + div[class*=\"  wpb_column\"]:last-of-type:has(script[src*=\"pagead\"])",".banner-side,\ndiv.mt-3[style^=\"min-height: 250px\"],\ndiv[style^=\"min-height: 250px; width: 100%\"],\ndiv[style^=\"min-height: 250px;\"]:first-of-type",".widget_text.jeg_pb_boxed_shadow","#sidebar > .widget_custom_html",".widget-ad-image,\nsection[data-settings]:first-of-type","div[id^=\"reklamaHor\"],\ndiv[id^=\"reklamaVer\"]",".banner-bg,\n.banner-desktop,\n.bp,\na[href*=\"/wwin-\"]",".elementor-widget-image",".leaderboard",".widget_media_image",".horizontal-banners",".oglasi_sredina","body > div[class=\"container\"]","div[class^=\"css-\"]:first-of-type:has(+ div[align=\"center\"])",".root-ads-laptop",".banner_main",".banner-img",".grid-item-pad",".adcontainer",".sd-banners-zone-a1,\ndiv[id^=\"block-ea-adocean-ea-adocean-\"]","a[class^=\"baner_\"]",".category-promo,\narticle.type-post:has(a[href*=\"meridian\"]),\narticle.type-post:has(img[data-src*=\"freebet\"]),\ndiv[class^=\"advads-\"],\nmain section[data-settings*=\"background\"]:has(div[class^=\"adv\"])",".billboard-wrapper",".adexElement:not(html, body, :empty),\n.pieces_widget",".stickyfill","div[data-href*=\"/icam.hr/\"],\ndiv[data-href*=\"blog.bon.hr/\"]",".js-results-slot","div[id^=\"html5box-\"]",".popupBannerWrapper","#meta_box + #mobile + div[class^=\"css-\"],\n.BaseLayout_content div[class^=\"intextAdIgnore\"]:has(.Slot_content),\n.Sidebar_aside > div:only-of-type > div:first-of-type:has(.Slot_content),\n.Slot_content,\n.Slot_placeholder,\n.intextAdIgnore:has(> div[class^=\"css-\"]:only-child > .Slot_content:only-child),\ndiv[class^=\"css-\"]:has(> .Slot_content:only-child),\ndiv[class^=\"css-\"]:has(> span.Slot_title:first-child + .Slot_content:last-child),\ndiv[data-upscore-zone^=\"product\"],\ndiv[style^=\"display:\"],\nmain > .cls_frame,\np ~ div:has(> .Slot_content)",".box-section",".body-content.container > div[id^=\"home\"] ~ .row:has(.ponuda),\n.row .banner + .row,\n.text-center.col-md-3,\nhr:empty","div[class^=\"position_break_\"]","div[class^=\"position_item_\"]",".ad",".ponuda",".ad-container,\n.google-billboard-top",".col--item-side,\n.container--break[class*=\"break_\"],\n.feroterm.products,\n.lidl.products,\n.promo_heading_fix img,\ndiv[class^=\"position_j\"],\ndiv[id^=\"upscore-promo-\"]","#billboard_ad_container,\n.noa-banner > a,\n.side_banner",".flash--news:has(> div[id^=\"ad-\"]),\n.flash--news:has(> script)",".vc_raw_html","#below_content_third_party,\n.article__listalica,\ndiv[data-upscore-zone=\"product-gallery\"]",".BannerAlignment,\n.BannerBillboard","#tickerBanner,\n.addActive,\n.addBlock,\n.blockAdd,\n.more-news,\n.widget-slider-wrap",".single__widget:has(> .lwdgt),\nsection[class=\"section\"]:has(.lwdgt)",".Wallpaper-container",".container--break,\n.container--linker-bottom,\n.item__ad-center",".offers-widget,\n.relative.center:has(> .banner-slot)",".positionFrame:has([src*=\"native.tportal\"])",".admiral_widget,\n.js-topOffer,\n.single-article__row--top-offer,\ndiv[class=\"single-article__row\"]:has(> .banner)","div[title^=\"TERRA reklama\" i],\ndiv[title^=\"reklama2.\"]",".td-is-sticky div[align=\"center\"] > a > img,\n.td-ss-main-sidebar div[align=\"center\"] > a > img",".banners-wrapper",".sidebar",".iklon",".leaderboardBanner,\n.td-stretch-content:has(> [class*=\"  \"]:not([class*=\"style\"])):has(.sviBanneri),\n.vc_row[class*=\"  \"] > .vc_column:has(.td-a-rec)",".enjoy-css",".elementor-image","aside > img",".elementor-widget-image > .elementor-widget-container",".el-link > picture,\ndiv[uk-slider].uk-text-center",".uk-margin > .el-link,\n.uk-section-default .uk-text-center.uk-margin,\n.uk-slider-container.uk-text-center,\ndiv[class^=\"uk-width-1-\"] > hr:empty",".js-gpt-ad",".onogo-target",".baner__desktop","svg + div[class*=\"ekit\"] section.elementor-section:last-of-type",".widget_block:not(:has(a[href*=\"pvinformer\"])),\n.widget_media_image:not(:has(a[href*=\"pvinformer\"]))",".a-wrap,\n.pvpor-widget",".brandingBannerLeft,\n.brandingBannerRight",".big:has(ins),\n.gornje-reklame > .big,\n.reklame-dio .big:has(img:not([src*=\"rtnk.me.png\"])),\n.reklame-dio .medium,\n.vijesti-dio > div[class*=\"banner-\"],\na[href$=\"://cedis.me/\"]",".brandLeft,\n.brandRight",".ads","[id^=\"MyAdsId\"]",".featured-add",".article--listing ~ .article:has(script[src*=\"adsbygoogle\"]),\n.article__header:has(+ .article__section-wrapper--zebra),\n.article__section-wrapper--zebra",".banner-right,\n.topBanner",".banner-wrapper",".bnr-wrapper",".banner-center,\n.mt10.twelvecol",".justify-content-center:first-of-type",".fusion-imageframe > a[href][target=\"_blank\"] > img",".add_wrapper_below_navbar,\nbody > div:first-of-type",".banner-top,\n.sticky-area",".section-sidebar-banners","body > .scale-wrapper",".border-b.block,\n.container > .p-4,\n.footer-top-bar",".home-contain","#mvp-leader-wrap",".promo-header,\n.top-promo-header",".extendedwopts-mobile,\ndiv[class$=\"-align-center\"]","p:has(ins.adsbygoogle)",".contenttop,\n.moduleleftads","#rotate-ads,\n.advertising,\n.container-banner,\n.sidebar > div:first-of-type,\n.wrapper > nav + div[class*=\" \"]",".ban300x260,\nbody > a[class^=\"bg\"]",".aklaplace,\n.banner-sidebar","#check-also-box,\n.bgr-box,\n.stream-item","#shoppster-widget,\n.uc-in-feed-banner",".aside-box + .banner,\n.main > div.container,\n.text-center.container",".d-bnr-block",".posttext-a,\nbody > div[class^=\"home-branding\"],\ndiv[id^=\"sidebar_\"]",".branding,\na[id*=\"FloatBaner\"]",".execphpwidget video",".slot",".ad-kliktv,\n.zadruga-top",".ad-space-bottom",".section-rek","div[id^=\"midasWidget\"]",".BannerAd","div[class*=\"adocean\"],\ndiv[data-label=\"Reklama\"]",".third-party-menu-container",".custom-html-widget",".ai_widget",".banner-placeholder-text",".td-single-image-",".widget_media_image:has(img[width^=\"4\"])","#top-banner","#comments ~ a,\n.ticker-news ~ a,\naside[id*=\"facebook\"] ~ .widget_media_image",".banner-box,\n.right-side > div[style^=\"text-align\"] > a",".djslider-loader,\n[class*=\"box  nomargin\"],\nsection[id$=\"Top\" i] > div[class=\"box \"]",".ms-image,\n.wp-block-image",".ayuPost:has(img[src*=\"://redakcija.\"])","#header-wrap-reklama,\n#sidebar > #HTML8,\n#sidebar-two > #HTML4,\n#sidebar-two > #HTML5"];

const hostnamesMap = new Map([["artinfo.ba",0],["avaz.ba",1],["boljatuzla.ba",2],["bosnainfo.ba",[3,4]],["bloombergadria.com",4],["mojtv.hr",4],["rtl.hr",[4,64]],["barinfo.me",[4,71,72]],["24sedam.rs",[4,95,96]],["alo.rs",[4,97]],["blic.rs",[4,101]],["hellomagazin.rs",4],["informer.rs",4],["novaekonomija.rs",4],["sd.rs",[4,127]],["svet-scandal.rs",4],["depo.ba",5],["farmer.ba",6],["fokus.ba",7],["zvornicki.ba",[7,12,28]],["bankar.me",7],["glamblam.ba",8],["hayat.ba",9],["infoprijedor.ba",10],["klix.ba",11],["krajiski.ba",12],["onlyclubbing.com",[12,35]],["glascg.me",[12,78]],["n1info.ba",[13,14]],["n1info.com",13],["n1info.hr",[13,14]],["nova.rs",[13,115]],["sportklub.rs",[13,128]],["n1info.rs",14],["nap.ba",15],["noob.ba",16],["infovranjske.rs",[16,108]],["novi.ba",17],["olx.ba",18],["otisak.ba",19],["radiosarajevo.ba",20],["radiovkladusa.ba",21],["raport.ba",22],["sodalive.ba",23],["source.ba",24],["sportsport.ba",25],["tuzlainfo.ba",26],["vecernjenovosti.ba",27],["istramet.hr",28],["borba.me",28],["primorski.me",[28,84]],["vijestibp.me",28],["rtvpancevo.rs",28],["sport026.rs",28],["tangosix.rs",[28,130]],["udarnavest.rs",28],["animesrbija.com",29],["eprevodilac.com",30],["glassrpske.com",31],["klikdoposla.com",32],["mobilnisvet.com",33],["najboljamamanasvetu.com",34],["povezano.com",36],["saznajnovo.com",37],["srbijadanas.com",38],["tvarenasport.com",39],["ul-info.com",40],["vecer.com",41],["24sata.hr",42],["agrobiz.hr",43],["arhivanalitika.hr",44],["nicelocal.com.hr",45],["dalmacijadanas.hr",46],["dalmatinskiportal.hr",47],["danas.hr",48],["dnevnik.hr",49],["glasistre.hr",50],["gloria.hr",[51,52]],["jutarnji.hr",[52,56]],["grazia.hr",53],["hcl.hr",54],["index.hr",55],["mob.hr",57],["monitor.hr",58],["motori.hr",59],["net.hr",60],["njuskalo.hr",61],["novilist.hr",62],["poslovni.hr",63],["poslovni-dnevnik.me",63],["poslovni.mk",63],["poslovni.co.rs",63],["slobodnadalmacija.hr",65],["telegram.hr",66],["tportal.hr",67],["vecernji.hr",68],["snnovine.hu",69],["zagreb.info",70],["niskevesti.rs",[72,114]],["bit.me",73],["bokanews.me",74],["dan.co.me",75],["press.co.me",76],["rthn.co.me",77],["jadranbudva.me",79],["jadrannovi.me",80],["mondo.me",81],["onogost.me",82],["patuljak.me",83],["pvinformer.me",85],["pvportal.me",86],["rtcg.me",87],["rtnk.me",88],["vijesti.me",[89,90]],["espreso.co.rs",90],["domaceserije.net",91],["info-ks.net",92],["sportske.net",93],["021.rs",94],["republika.rs",[96,126]],["atvbl.rs",98],["aviatica.rs",99],["forum.benchmark.rs",100],["cenoteka.rs",102],["cineplexx.rs",103],["danas.rs",104],["epancevo.rs",105],["filmitv.rs",106],["gradnja.rs",107],["intermagazin.rs",109],["mojkraj.rs",110],["navidiku.rs",111],["naxi.rs",112],["nekretnine.rs",113],["novosti.rs",116],["nportal.rs",117],["objektiv.rs",118],["paragraf.rs",119],["pcpress.rs",120],["penzionisani.rs",121],["pink.rs",122],["planplus.rs",123],["pravda.rs",124],["prva.rs",125],["srbijajavlja.rs",129],["telegraf.rs",131],["telegraf.tv",131],["triangletv.rs",132],["tvjasenica.rs",133],["tvprogram.rs",134],["tvsuper.rs",135],["vesti.rs",136],["vino.rs",137],["vojvodinainfo.rs",138],["b92.tv",139],["gledajcrtace.xyz",140]]);

const entitiesMap = new Map(undefined);

const exceptionsMap = new Map(undefined);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
