/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2014-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: default

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssDeclarativeImport() {

/******************************************************************************/

const argsList = [["{\"selector\":\"body\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\"#content-embed\",\"action\":[\"style\",\"display: block!important\"]}"],["{\"selector\":\"[id=\\\"colunas\\\"]\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#wpsafe-generate, #wpsafe-link\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#download_link\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"[id*=\\\"gpt_unit\\\"], [id*=\\\"div-gpt-\\\"], [id*=\\\"google_ads_\\\"], [id*=\\\"ad_\\\"], [class*=\\\"Google\\\"], [alt*=\\\"Advertisement\\\"], [class*=\\\"ads\\\"]\",\"action\":[\"style\",\"display: block !important; visibility: visible !important;\"]}"],["{\"selector\":\".footerLink.hidden\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"[id^=\\\"sas_\\\"]\",\"action\":[\"style\",\"height: 1px !important\"]}"],["{\"selector\":\"body.modal-open\",\"action\":[\"style\",\"overflow: auto!important\"]}"],["{\"selector\":\"#container\",\"action\":[\"style\",\"width:100%!important\"]}","{\"selector\":\"html.can-have-sky .page-body > .section-content\",\"action\":[\"style\",\"margin-right: 0 !important;\"]}"],["{\"selector\":\".onp-sl-content\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".thumb-list > .video-thumb\",\"action\":[\"style\",\"margin-right: 0px !important;\"]}"],["{\"selector\":\"[style=\\\"display:none\\\"]\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#adBanner\",\"action\":[\"style\",\"height:25px !important;left:-3000px !important;position:absolute !important\"]}"],["{\"selector\":\"input[value^=\\\"http\\\"]\",\"action\":[\"style\",\"width: 70% !important\"]}"],["{\"selector\":\"#list-eps\",\"action\":[\"style\",\"display:block!important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\"div#responseads\",\"action\":[\"style\",\"display:block !important\"]}"],["{\"selector\":\"#izobrazhenie-1\",\"action\":[\"style\",\"padding-bottom: 0px !important;\"]}","{\"selector\":\".group_viewport, .page__viewport\",\"action\":[\"style\",\"display: initial !important;\"]}"],["{\"selector\":\"#web\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"div.container\",\"action\":[\"style\",\"margin-top: 0px !important\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"filter: none !important\"]}"],["{\"selector\":\"#playVideo\",\"action\":[\"style\",\"display: block !important; visibility: visible !important;\"]}","{\"selector\":\"#player_embed\",\"action\":[\"style\",\"display: block !important; visibility: visible !important;\"]}"],["{\"selector\":\".position-absolute\",\"action\":[\"style\",\"opacity: 0 !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"visibility:visible !important\"]}"],["{\"selector\":\".content.page.page-video .video-content > div[class] > div > div[class] > div[class][style^=\\\"background-image:\\\"]\",\"action\":[\"style\",\"background-image: none !important;\"]}"],["{\"selector\":\".jw-reset.jw-wrapper\",\"action\":[\"style\",\"z-index:2147483647 !important\"]}"],["{\"selector\":\"#timerContainer > div:not(:has(#timerPercentage))\",\"action\":[\"style\",\"display: flex !important;\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\"#fafsf2\",\"action\":[\"style\",\"display:block !important\"]}"],["{\"selector\":\".subscribe-article .subscribe-truncate\",\"action\":[\"style\",\"max-height:unset!important;order:unset!important;\"]}","{\"selector\":\".subscribe-article .subscribe-truncate::before\",\"action\":[\"style\",\"background:none!important;\"]}","{\"selector\":\".subscribe-article .subscriber-hider\",\"action\":[\"style\",\"display:block!important\"]}"],["{\"selector\":\"._2gSkZ\",\"action\":[\"style\",\"height: 150px !important;\"]}","{\"selector\":\"header\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\".subscribe-truncate\",\"action\":[\"style\",\"order:0!important;max-height:inherit!important\"]}","{\"selector\":\".subscribe-truncate::before\",\"action\":[\"style\",\"background:none!important\"]}","{\"selector\":\".subscriber-hider\",\"action\":[\"style\",\"display:inherit!important\"]}"],["{\"selector\":\"#header-new\",\"action\":[\"style\",\"margin-top: 0px !important;\"]}"],["{\"selector\":\".page__content-header\",\"action\":[\"style\",\"height: 50px !important\"]}"],["{\"selector\":\"header#masthead\",\"action\":[\"style\",\"top: -110px !important;\"]}"],["{\"selector\":\"#player\",\"action\":[\"style\",\"display:block !important\"]}"],["{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"max-height: 1px !important;\"]}"],["{\"selector\":\"#page-header > header\",\"action\":[\"style\",\"position: absolute !important;\"]}","{\"selector\":\"section#home > #hero.pinned\",\"action\":[\"style\",\"position: absolute !important;\"]}"],["{\"selector\":\"#frameAd\",\"action\":[\"style\",\"height: 51 px !important; display: block !important; visibility: collapse !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"padding-top:0px !important\"]}"],["{\"selector\":\".css-1352p5e\",\"action\":[\"style\",\"height: 2400px !important;\"]}","{\"selector\":\".css-1s6rfoz\",\"action\":[\"style\",\"height: 2400px !important;\"]}","{\"selector\":\".css-1wm768n\",\"action\":[\"style\",\"height: 1560px !important;\"]}","{\"selector\":\".css-uc3mu7\",\"action\":[\"style\",\"margin-top: 0 !important; height: 2400px !important;\"]}","{\"selector\":\".gridRowPad\",\"action\":[\"style\",\"margin-top: 0 !important;\"]}"],["{\"selector\":\"ins.adsbygoogle\",\"action\":[\"style\",\"height: 1px !important; visibility: hidden !important;\"]}"],["{\"selector\":\".fKZLNI\",\"action\":[\"style\",\"width:120% !important\"]}"],["{\"selector\":\"#wpsafe-generate, #wpsafe-link\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"#tp-generate, [id^=\\\"tp-snp\\\"]\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"#wpsafe-generate\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"div[style=\\\"display: none;\\\"]\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"[id*=\\\"iframe\\\"], [id*=\\\"gpt_unit\\\"], [id*=\\\"div-gpt-\\\"]\",\"action\":[\"style\",\"height:0.0001px !important;\"]}"],["{\"selector\":\"#wpsafe-link\",\"action\":[\"style\",\"display:block !important;\"]}"],["{\"selector\":\"form [id][style=\\\"display: none;\\\"]\",\"action\":[\"style\",\"display: block !important;\"]}","{\"selector\":\"form[id]\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".icon_animation samp\",\"action\":[\"style\",\"animation: none !important;\"]}"],["{\"selector\":\"#wpsafe-link\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#btn6, #tp98\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#toshowtrlink, #gtbtn2\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#submitBtn, #go_d, #devozon-snp, #submitBtn, #tp-snp1, #go_d2\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".overflow-hidden\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\"#wpsafe-link, #section2\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".advert-wrapper\",\"action\":[\"style\",\"clip-path: circle(0) !important;\"]}"],["{\"selector\":\".nav-bar\",\"action\":[\"style\",\"top:0px !important\"]}","{\"selector\":\"body:not(.skybox-loaded) .topnav\",\"action\":[\"style\",\"margin-top:0px !important\"]}"],["{\"selector\":\"#pageWrapper\",\"action\":[\"style\",\"display: initial !important;\"]}"],["{\"selector\":\"button\",\"action\":[\"style\",\"display: inline-block !important\"]}"],["{\"selector\":\"body.modal-open *\",\"action\":[\"style\",\"filter: none!important;\"]}"],["{\"selector\":\"#wpsafe-generate, #wpsafelink-landing, #wpsafe-link\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".add-bx\",\"action\":[\"style\",\"height: 0px !important; min-height: 0px !important;\"]}"],["{\"selector\":\"body:not(.home) #content\",\"action\":[\"style\",\"margin-top: 13px !important;\"]}"],["{\"selector\":\"#link1s-snp\",\"action\":[\"style\",\"display:block!important\"]}"],["{\"selector\":\"#smspage\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".container\",\"action\":[\"style\",\"font-size: 0px !important;\"]}"],["{\"selector\":\".gooWidget\",\"action\":[\"style\",\"opacity: 0 !important; visibility: collapse !important;\"]}","{\"selector\":\".google-ad-leaderboard\",\"action\":[\"style\",\"opacity: 0 !important;\"]}","{\"selector\":\"[id^=\\\"adtester-container\\\"]\",\"action\":[\"style\",\"position: absolute !important;\"]}"],["{\"selector\":\"#tp98, #btn6\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"width:1px!important;height:1px!important;min-width:1px!important;min-height:1px\"]}"],["{\"selector\":\"#tristana, #_append, #myDiv\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#info\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"div[class^=\\\"Ad-adContainer\\\"]\",\"action\":[\"style\",\"min-height:1px!important;min-width:1px!important;\"]}"],["{\"selector\":\".adsense\",\"action\":[\"style\",\"padding: 0 !important;\"]}"],["{\"selector\":\"#site-wrapper\",\"action\":[\"style\",\"padding-top: 0 !important;\"]}"],["{\"selector\":\".adsbyvli\",\"action\":[\"style\",\"opacity: 0 !important; pointer-events: none !important;\"]}"],["{\"selector\":\"#wpsafe-snp\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"#ymm-sub-nav\",\"action\":[\"style\",\"top:0px !important\"]}"],["{\"selector\":\"#player_3x2_close\",\"action\":[\"style\",\"opacity: 0 !important; height: 300px !important;\"]}"],["{\"selector\":\".text-center\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#wpsafe-generate\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".g-recaptcha\",\"action\":[\"style\",\"margin-top:60px !important\"]}"],["{\"selector\":\"#footer #wpsafe-link\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#my-content\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".modal-open\",\"action\":[\"style\",\"overflow: auto !important; padding-right: 0 !important;\"]}"],["{\"selector\":\"#yuidea-snp\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"html, body\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\".samBackground\",\"action\":[\"style\",\"background-image:none !important\"]}"],["{\"selector\":\"#tp-snp2, #cross-snp2\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".adhesiveHeaderAdFixed header\",\"action\":[\"style\",\"top: 0 !important;\"],\"tasks\":[[\"matches-media\",\"(min-width: 1000px)\"]]}"],["{\"selector\":\".b_ad\",\"action\":[\"style\",\"position: absolute !important; top: -9999px !important;\"]}","{\"selector\":\".b_adLastChild\",\"action\":[\"style\",\"position: absolute !important; top: -9999px !important;\"]}","{\"selector\":\".pa_sb\",\"action\":[\"style\",\"position: absolute !important; top: -9999px !important;\"]}"],["{\"selector\":\".item > .post\",\"action\":[\"style\",\"height: auto !important;\"]}","{\"selector\":\".item\",\"action\":[\"style\",\"height: auto !important;\"]}"],["{\"selector\":\".buttondownload\",\"action\":[\"style\",\"display: block !important;\"]}","{\"selector\":\".buttonnya\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".asdf\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#wpsafe-snp1\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\".safeb\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#btn-gotolink\",\"action\":[\"style\",\"display:block !important; margin-top: 410px !important; margin-left: 200px !important; height: 100px !important; width: 100px !important\"]}"],["{\"selector\":\"#top_fold[style=\\\"display:flex !important;\\\"]\",\"action\":[\"style\",\"min-height: 0px !important; transition: all 0s ease 0s !important;\"]}"],["{\"selector\":\"#show_ag\",\"action\":[\"style\",\"display:block !important\"]}"],["{\"selector\":\".cb-comments__create-form\",\"action\":[\"style\",\"margin-top: 30px !important;\"]}","{\"selector\":\".cb-post-block-images-swiper .cb-post-block__comments .collapseable-comments__collapse\",\"action\":[\"style\",\"margin-bottom: 0px !important;\"]}","{\"selector\":\".cb-post-block-images-swiper .cb-post-block__comments\",\"action\":[\"style\",\"margin-bottom: 0 !important; top: -97px !important;\"]}","{\"selector\":\".cb-post-block-images-swiper .collapseable-comments__collapseable\",\"action\":[\"style\",\"margin-bottom: -80px !important;\"]}","{\"selector\":\".cb-post-block__comments\",\"action\":[\"style\",\"padding-bottom: 0 !important;\"]}"],["{\"selector\":\"div#network-bar-spacer\",\"action\":[\"style\",\"height:0 !important\"]}"],["{\"selector\":\".game-over-ad-legacy-component\",\"action\":[\"style\",\"height: 0 !important\"]}","{\"selector\":\"body.board-layout.with-und\",\"action\":[\"style\",\"margin-right:0px!important\"]}"],["{\"selector\":\"[id^=\\\"wpsafe-generate\\\"], #continue\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#tp-generate, #getlinkbtn\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background-image: unset !important; cursor: auto !important;\"]}"],["{\"selector\":\".ad-slot-header__wrapper\",\"action\":[\"style\",\"display: none !important; top: 0 !important\"]}"],["{\"selector\":\"#claimCoins\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#wpsafelinkhuman, #wpsafe-link\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"body > header\",\"action\":[\"style\",\"top:0 !important\"]}","{\"selector\":\"body.pcm-public\",\"action\":[\"style\",\"margin-top: 84px !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow:auto !important\"]}"],["{\"selector\":\"div.text-center[id]\",\"action\":[\"style\",\"height: 100px !important;\"]}"],["{\"selector\":\"#hometimerstartbtn, #hometimer, #yuidea-btmbtn, #btn6\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".pum-open-overlay\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\"#locked_action_link.disabled\",\"action\":[\"style\",\"cursor:pointer !important; opacity:1 !important; pointer-events:auto !important\"]}"],["{\"selector\":\".td-animation-stack-type0-1\",\"action\":[\"style\",\"opacity:1 !important\"]}"],["{\"selector\":\"#top_nav, .rd_btn, .soractrl\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#dclm-blur\",\"action\":[\"style\",\"filter: none !important\"]}"],["{\"selector\":\"#btngetlink\",\"action\":[\"style\",\"display: inline-block !important\"]}"],["{\"selector\":\".dd-nav-global\",\"action\":[\"style\",\"top: 0 !important; transform: none !important;\"]}"],["{\"selector\":\"[style*=\\\"pointer-events\\\"]\",\"action\":[\"style\",\"pointer-events:auto !important\"]}"],["{\"selector\":\".single-story > header\",\"action\":[\"style\",\"margin-top: 40px !important\"]}"],["{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"height: 0px !important; visibility: collapse;\"]}"],["{\"selector\":\"#gourl\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".TablesTitle > div:not([style=\\\"padding\\\"])\",\"action\":[\"style\",\"width: 100% !important;\"]}"],["{\"selector\":\"img[id^=\\\"ads-\\\"]\",\"action\":[\"style\",\"visibility: hidden !important;\"]}"],["{\"selector\":\"#tp-snp2, #timeout\",\"action\":[\"style\",\"display:block !important; margin-top: 520px !important; height: 100px !important; width: 100px !important\"]}"],["{\"selector\":\".adBanner\",\"action\":[\"style\",\"height:1px !important\"]}"],["{\"selector\":\".aoa_overlay\",\"action\":[\"style\",\"height: 0px !important\"]}"],["{\"selector\":\".site-wrapper\",\"action\":[\"style\",\"opacity:1!important;visibility:visible!important\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"overflow:auto!important\"]}"],["{\"selector\":\"#tie-wrapper\",\"action\":[\"style\",\"min-height:initial! important;\"]}"],["{\"selector\":\".efi_enabled\",\"action\":[\"style\",\"overflow: auto !important; height: auto !important; width: auto !important; position: static !important;\"]}"],["{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"height: 1px !important;\"]}"],["{\"selector\":\"header.elevation-3\",\"action\":[\"style\",\"top: 0px !important;\"]}","{\"selector\":\"main\",\"action\":[\"style\",\"--v-layout-top: 64px !important;\"]}"],["{\"selector\":\"*::selection\",\"action\":[\"style\",\"background-color:#338FFF!important\"]}"],["{\"selector\":\".adsbyvli\",\"action\":[\"style\",\"height: 0px !important;\"]}"],["{\"selector\":\"ins.adsbygoogle\",\"action\":[\"style\",\"height: 1px !important;\"]}"],["{\"selector\":\"div[aria-posinset]:has(a[aria-label=\\\"広告\\\"])\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"]}"],["{\"selector\":\"#bodyContent\",\"action\":[\"style\",\"width:100% !important\"]}"],["{\"selector\":\".azz_div\",\"action\":[\"style\",\"height: unset !important;\"]}"],["{\"selector\":\"div.labeled-dw-ads\",\"action\":[\"style\",\"position: absolute !important; top: -10000px !important;\"]}","{\"selector\":\"div.single-text-ads\",\"action\":[\"style\",\"position: absolute !important; top: -10000px !important;\"]}","{\"selector\":\"div.site-middle-banners\",\"action\":[\"style\",\"position: absolute !important; top: -10000px !important;\"]}"],["{\"selector\":\"#main > ins.adsbygoogle\",\"action\":[\"style\",\"position: absolute !important; left: -4000px !important;\"]}","{\"selector\":\".side_banner\",\"action\":[\"style\",\"position: absolute !important; left: -4000px !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow: auto !important; position: initial !important;\"]}"],["{\"selector\":\"#btnshow\",\"action\":[\"style\",\"display: block !important;\"]}","{\"selector\":\"#verify_button\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#donead\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".btn-success, .btn-primary\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".site-header\",\"action\":[\"style\",\"min-height: 90px !important\"]}"],["{\"selector\":\".reward-btn\",\"action\":[\"style\",\"display: block !important;\"]}","{\"selector\":\".reward-message\",\"action\":[\"style\",\"display: none !important;\"]}"],["{\"selector\":\"a.download\",\"action\":[\"style\",\"visibility: hidden;\"]}"],["{\"selector\":\".spot-thumbs > .right\",\"action\":[\"style\",\"height:1px !important\"]}"],["{\"selector\":\"#bodyContent\",\"action\":[\"style\",\"width:100%!important\"]}"],["{\"selector\":\"embed\",\"action\":[\"style\",\"display:inherit!important\"]}"],["{\"selector\":\"#ava-game_container\",\"action\":[\"style\",\"display:inherit!important\"]}","{\"selector\":\"#wrapped-content\",\"action\":[\"style\",\"display:inherit!important\"]}"],["{\"selector\":\".downloadLink\",\"action\":[\"style\",\"max-height: initial !important; overflow: revert !important\"]}"],["{\"selector\":\"#logoContainer\",\"action\":[\"style\",\"top: 0px !important;\"]}"],["{\"selector\":\".dictionary-grid\",\"action\":[\"style\",\"grid-template-columns: minmax(180px,200px) minmax(400px,736px) 0 !important; grid-template-rows: 0 auto !important;\"],\"tasks\":[[\"matches-media\",\"(min-width: 1024px)\"]]}","{\"selector\":\".dictionary-grid\",\"action\":[\"style\",\"grid-template-columns: minmax(180px,250px) minmax(400px,736px) 0 !important; grid-template-rows: 0 auto !important;\"],\"tasks\":[[\"matches-media\",\"(min-width: 1280px)\"]]}","{\"selector\":\".dictionary-grid\",\"action\":[\"style\",\"grid-template-rows: 0 auto !important;\"],\"tasks\":[[\"matches-media\",\"(min-width: 768px)\"]]}"],["{\"selector\":\"#btn6\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\".css-1uhcmhp\",\"action\":[\"style\",\"grid-template-rows: 0 auto !important;\"],\"tasks\":[[\"matches-media\",\"(min-width: 80em)\"]]}"],["{\"selector\":\"#waiting, #pop-button\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".pagebody\",\"action\":[\"style\",\"height: auto !important;\"]}"],["{\"selector\":\"#my-btn, #pro-continue, #pro-link\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#submitBtn, #go_d, #wolfexe-snp\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#header\",\"action\":[\"style\",\"position: inherit !important;\"]}"],["{\"selector\":\"#notarobot, #gotolink\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".onp-sl-content\",\"action\":[\"style\",\"display:block !important\"]}"],["{\"selector\":\".webgl-content\",\"action\":[\"style\",\"width: 100% !important;\"]}"],["{\"selector\":\".uk-panel.widget-text\",\"action\":[\"style\",\"height: 0px !important; visibility: collapse;\"]}"],["{\"selector\":\".preShell\",\"action\":[\"style\",\"height: 0 !important;\"]}","{\"selector\":\".zad.billboard\",\"action\":[\"style\",\"min-height: 1px !important;\"]}"],["{\"selector\":\".no-scroll\",\"action\":[\"style\",\"overflow:auto!important\"]}"],["{\"selector\":\"#image_details\",\"action\":[\"style\",\"margin-top: 30px !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"color: #000 !important;\"]}"],["{\"selector\":\"img\",\"action\":[\"style\",\"visibility: visible !important;\"]}"],["{\"selector\":\"article:has(a[href^=\\\"https://www.facebook.com/ads/\\\"])\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"]}"],["{\"selector\":\".flowplayer.is-cva .fp-controls\",\"action\":[\"style\",\"display: flex !important\"]}","{\"selector\":\".flowplayer.is-cva .fp-fullscreen\",\"action\":[\"style\",\"display: flex !important\"]}"],["{\"selector\":\"body.td-background-link\",\"action\":[\"style\",\"cursor:default !important;\"]}"],["{\"selector\":\"#combtn, .download.medium.button\",\"action\":[\"style\",\"display: inline-block !important;\"]}"],["{\"selector\":\".logo, .blinker\",\"action\":[\"style\",\"animation: none !important;\"]}"],["{\"selector\":\".adstrick > .video-item\",\"action\":[\"style\",\"clear: none !important;\"]}"],["{\"selector\":\".thumb\",\"action\":[\"style\",\"cursor:pointer !important\"]}"],["{\"selector\":\"#wrapfabtest\",\"action\":[\"style\",\"height:1px !important;width:1px !important\"]}"],["{\"selector\":\".videos-ad__wrap\",\"action\":[\"style\",\"background-color: transparent !important\"]}"],["{\"selector\":\".widget-topad\",\"action\":[\"style\",\"padding-bottom: 20px !important;\"]}"],["{\"selector\":\"#embed\",\"action\":[\"style\",\"position: static!important; margin-top: 0!important;\"]}"],["{\"selector\":\"ins.adsbygoogle\",\"action\":[\"style\",\"height: 1px!important;\"]}"],["{\"selector\":\"#btx1, #btx2, #wg-genx > .mediafire\",\"action\":[\"style\",\"visibility: hidden !important;\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"overflow: visible !important;\"]}"],["{\"selector\":\"[id^=\\\"div-gpt-ad\\\"]:not([style^=\\\"width: 1px; height: 1px; position: absolute; left: -10000px; top: -\\\"])\",\"action\":[\"style\",\"height: 0px !important; min-height: 0px !important;\"]}"],["{\"selector\":\".publi_luto_horizontal\",\"action\":[\"style\",\"max-height: 1px !important;\"]}","{\"selector\":\"div[id^=\\\"google_ads_iframe_\\\"]\",\"action\":[\"style\",\"max-height: 1px !important;\"]}","{\"selector\":\"iframe[id^=\\\"google_ads_iframe\\\"]\",\"action\":[\"style\",\"max-height: 1px !important;\"]}"],["{\"selector\":\".below-ad-wrapper\",\"action\":[\"style\",\"margin-top: 51px !important;\"]}"],["{\"selector\":\"#scroll.hidden, .footerLink.hidden\",\"action\":[\"style\",\"display: block!important\"]}"],["{\"selector\":\"#chapter-images div\",\"action\":[\"style\",\"padding: unset !important\"]}"],["{\"selector\":\"#container\",\"action\":[\"style\",\"height: 100% !important;\"]}"],["{\"selector\":\"html, body\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\".container\",\"action\":[\"style\",\"width: 100% !important;\"]}"],["{\"selector\":\"div#wpsafe-link\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".adthrive-video-player\",\"action\":[\"style\",\"padding-bottom: 0 !important;\"]}"],["{\"selector\":\"#content.sidebar2\",\"action\":[\"style\",\"margin-right: 0 !important;\"]}"],["{\"selector\":\"aside\",\"action\":[\"style\",\"background: transparent !important;\"]}"],["{\"selector\":\"html.i-amphtml-inabox, ins[id^=\\\"gpt_unit_/\\\"], div[id^=\\\"google_ads_iframe_/\\\"], [href*=\\\"random-affiliate.atimaze.com\\\"]\",\"action\":[\"style\",\"clip-path: circle(0) !important;\"]}"],["{\"selector\":\"#wpsafe-link\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"width:11px;height:11px\"]}"],["{\"selector\":\".hide_in_desktop.footer_navigation_list\",\"action\":[\"style\",\"height: 10px !important\"]}"],["{\"selector\":\"#tp4, #rtg-snp2, #rtg-snp22\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#btn2, .tp-blue\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"body.noImages .content img\",\"action\":[\"style\",\"display: inline-block !important\"]}"],["{\"selector\":\"#ins_videodetail\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".adblockerContent\",\"action\":[\"style\",\"display: initial !important;\"]}"],["{\"selector\":\"#wrapper\",\"action\":[\"style\",\"padding-top: 0 !important;\"]}","{\"selector\":\".advert\",\"action\":[\"style\",\"z-index: -999999 !important;\"]}"],["{\"selector\":\"#gameEtTopRight.commonEt\",\"action\":[\"style\",\"height: 0 !important;\"]}","{\"selector\":\"#gamelistCategories\",\"action\":[\"style\",\"margin-bottom: auto !important;\"]}"],["{\"selector\":\"article.story\",\"action\":[\"style\",\"opacity: 1.0 !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"height: auto !important; overflow: auto !important\"]}","{\"selector\":\"html\",\"action\":[\"style\",\"height: auto !important; overflow: auto !important\"]}"],["{\"selector\":\".adsbyvli\",\"action\":[\"style\",\"max-height: 1px !important;\"]}"],["{\"selector\":\"header\",\"action\":[\"style\",\"top:0 !important\"]}"],["{\"selector\":\"#adkit_billboard\",\"action\":[\"style\",\"padding-top: 0px!important;\"]}"],["{\"selector\":\".list_ads\",\"action\":[\"style\",\"height: 0px !important;\"]}"],["{\"selector\":\"#content > form[id]:has(> center > button)\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"body.swal2-shown > [aria-hidden=\\\"true\\\"]\",\"action\":[\"style\",\"filter: none !important\"]}"],["{\"selector\":\".lst_ads\",\"action\":[\"style\",\"height: 0px !important;\"]}"],["{\"selector\":\"#workspace\",\"action\":[\"style\",\"right: 0px !important;\"]}"],["{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"height: 1px !important; width: 1px !important;\"]}"],["{\"selector\":\"#Page\",\"action\":[\"style\",\"right: 0px !important;\"]}"],["{\"selector\":\"body.pcm-public:not(.skybox-loaded)\",\"action\":[\"style\",\"margin-top: 90px !important;\"]}","{\"selector\":\"body:not(.skybox-loaded) > header\",\"action\":[\"style\",\"top: 0 !important;\"]}"],["{\"selector\":\".bunny-button-resume\",\"action\":[\"style\",\"display: grid !important;\"]}","{\"selector\":\".bunny-container\",\"action\":[\"style\",\"display: flex !important;\"]}"],["{\"selector\":\"#blockblockB\",\"action\":[\"style\",\"display: block!important;\"]}"],["{\"selector\":\"#gotolink\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"center, [src*=\\\"google.com/recaptcha/\\\"], #yuidea-snp\",\"action\":[\"style\",\"display:block !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background-color: white !important\"]}"],["{\"selector\":\"#MainContainer > [id]:has(> [id^=\\\"btIn\\\"] > #bannerTop) *\",\"action\":[\"style\",\"width: 102px !important; background-color: transparent !important; border: none !important;\"]}"],["{\"selector\":\".result__ext:has([data-testid=\\\"adResult\\\"])\",\"action\":[\"style\",\"max-height: 1px !important; opacity: 0 !important; pointer-events: none !important;\"]}","{\"selector\":\"div[data-testid=\\\"pam.container\\\"]\",\"action\":[\"style\",\"max-height: 1px !important; opacity: 0 !important; pointer-events: none !important;\"]}"],["{\"selector\":\".e76xF.bJlt-\",\"action\":[\"style\",\"padding-top:0px !important\"]}"],["{\"selector\":\"#main_canvas > div:not(div[id^=\\\"google\\\"])\",\"action\":[\"style\",\"width: 100% !important;\"]}"],["{\"selector\":\".subredditvars-r-ublockorigin [role=\\\"dialog\\\"] > div\",\"action\":[\"style\",\"width: auto !important\"]}"],["{\"selector\":\".result_content_ff\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".phpbb-ads-center\",\"action\":[\"style\",\"pointer-events: none !important\"]}","{\"selector\":\"ins\",\"action\":[\"style\",\"opacity: 0 !important; pointer-events: none !important\"]}"],["{\"selector\":\"ul[class^=\\\"cluster__stories\\\"] > li[class^=\\\"cluster__cluster-basic\\\"][class*=\\\"cluster__column-left\\\"]\",\"action\":[\"style\",\"margin-left: 17.0418006431vw !important;\"]}","{\"selector\":\"ul[class^=\\\"cluster__stories\\\"] > li[class^=\\\"cluster__cluster-hub\\\"][class*=\\\"cluster__column-middle\\\"][class*=\\\"cluster__break-after\\\"]\",\"action\":[\"style\",\"margin-bottom: 100px !important;\"]}"],["{\"selector\":\"#colunas\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"div[id$=\\\"content\\\"] img.lazy\",\"action\":[\"style\",\"opacity: 1 !important;\"]}"],["{\"selector\":\"#player\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"body.no-scroll\",\"action\":[\"style\",\"overflow: auto !important; position: static !important; width: unset !important;\"]}"],["{\"selector\":\"#yuidea-snp, #btn6\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".background-cloud\",\"action\":[\"style\",\"display: none !important;\"]}"],["{\"selector\":\".cover\",\"action\":[\"style\",\"background-image: none!important;\"]}"],["{\"selector\":\"#nextBTNH\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".btn-primary\",\"action\":[\"style\",\"visibility: visible !important;\"]}"],["{\"selector\":\"#myBtn\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"div[class$=\\\"-margin-Advert\\\"]\",\"action\":[\"style\",\"height:1px !important;width:1px !important;position:absolute !important;left:-3000px !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background-image:none !important\"]}"],["{\"selector\":\"#cc\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#botaoLink\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#my-btn, #my-btn2\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".td-pb-span8\",\"action\":[\"style\",\"width: 100% !important;\"]}"],["{\"selector\":\"#link\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#makingdifferenttimer\",\"action\":[\"style\",\"display: block!important\"]}"],["{\"selector\":\"#timed\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".glass-panel > ins.adsbygoogle\",\"action\":[\"style\",\"height: 10px !important;\"]}"],["{\"selector\":\"body.body-load\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\".home-page.main-section, html > body\",\"action\":[\"style\",\"margin-top: 0px !important;\"]}","{\"selector\":\".slideMenu\",\"action\":[\"style\",\"top: -7px !important;\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"padding-top: 0px !important;\"]}","{\"selector\":\"header\",\"action\":[\"style\",\"top: 0px !important;\"]}"],["{\"selector\":\"#tp-snp2\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"body:not([data-template]) a[rel=\\\"nofollow\\\"][href^=\\\"/reviyuu/b784/\\\"]\",\"action\":[\"style\",\"pointer-events: none !important;\"]}"],["{\"selector\":\"#td-outer-wrap\",\"action\":[\"style\",\"cursor: default !important\"]}"],["{\"selector\":\"#tp-generate, #tp-snp2\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#wpsafe-generate, #wpsafe-link, .bt-success\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#wpsafe-snp\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".widget-height\",\"action\":[\"style\",\"height: unset !important\"]}"],["{\"selector\":\"body, html\",\"action\":[\"style\",\"height: auto !important; overflow: auto !important\"]}"],["{\"selector\":\"[class^=\\\"HomepageSection\\\"]\",\"action\":[\"style\",\"grid-template-rows: unset !important;\"]}"],["{\"selector\":\"body[style=\\\"margin-top: 90px; margin-bottom: 90px;\\\"]\",\"action\":[\"style\",\"margin-top: 0 !important; margin-bottom: 0 !important;\"]}"],["{\"selector\":\".row > [id^=\\\"sPost\\\"]\",\"action\":[\"style\",\"margin-top: 60px !important;\"]}"],["{\"selector\":\"._4xQrn\",\"action\":[\"style\",\"max-height:0px\"]}"],["{\"selector\":\".mntl-leaderboard-spacer\",\"action\":[\"style\",\"min-height: 0px !important;\"]}"],["{\"selector\":\"#site-navbar-container, #site-top-nav-container\",\"action\":[\"style\",\"padding-top: 10px !important;\"]}"],["{\"selector\":\".adSpotPad\",\"action\":[\"style\",\"height: 1px !important; min-height: 1px !important; visibility: hidden !important;\"]}"],["{\"selector\":\".ipsType_richText a\",\"action\":[\"style\",\"color:currentcolor !important\"]}"],["{\"selector\":\".body-container\",\"action\":[\"style\",\"background-image: unset !important; cursor: auto !important;\"]}"],["{\"selector\":\"#download_link\",\"action\":[\"style\",\"display: inline-block !important\"]}"],["{\"selector\":\".Yc2Sp h1, .Yc2Sp a\",\"action\":[\"style\",\"font-size: 0 !important;\"]}"],["{\"selector\":\"body[style=\\\"pointer-events: none;\\\"]\",\"action\":[\"style\",\"pointer-events: auto !important;\"]}"],["{\"selector\":\".underplayer\",\"action\":[\"style\",\"min-height: initial !important;\"]}"],["{\"selector\":\".gnt_n\",\"action\":[\"style\",\"top: 0 !important; margin-top: 0 !important;\"]}"],["{\"selector\":\"#app\",\"action\":[\"style\",\"display: none !important;\"]}","{\"selector\":\"#app_msg\",\"action\":[\"style\",\"display: none !important;\"]}","{\"selector\":\"#download-form\",\"action\":[\"style\",\"display: initial !important;\"]}"],["{\"selector\":\"#breadcrumb + .trytopnav\",\"action\":[\"style\",\"top: 36px!important;\"]}","{\"selector\":\"#tryitLeaderboard + #breadcrumb ~ #container\",\"action\":[\"style\",\"top: 84px!important;\"]}","{\"selector\":\"#tryitLeaderboard + .trytopnav ~ #dragbar + #container\",\"action\":[\"style\",\"top: 48px!important;\"]}","{\"selector\":\"#tryitLeaderboard + .trytopnav\",\"action\":[\"style\",\"top: 0!important;\"]}"],["{\"selector\":\"html[style=\\\"overflow: hidden;\\\"]\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\".wh_ad_active\",\"action\":[\"style\",\"margin: 0 !important; visibility: collapse !important;\"]}"],["{\"selector\":\"#gameplay > iframe\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".content-wrap #inner-wrap\",\"action\":[\"style\",\"height: 100vh !important;\"]}","{\"selector\":\"body wu-header\",\"action\":[\"style\",\"margin-top: 0px !important;\"]}"],["{\"selector\":\".ad_block\",\"action\":[\"style\",\"visibility: hidden !important;\"]}"],["{\"selector\":\"body.desktopView.hasFooterAd .mainSection\",\"action\":[\"style\",\"margin-bottom: 0!important;padding-bottom: 0!important;\"]}"],["{\"selector\":\".post-content img.lazy\",\"action\":[\"style\",\"opacity: 1 !important;\"]}"],["{\"selector\":\".header\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\"#header-collapse-trigger\",\"action\":[\"style\",\"top: 0 !important; margin-top: 0 !important;\"]}"],["{\"selector\":\".vjs-control-bar\",\"action\":[\"style\",\"display: flex !important;\"]}"],["{\"selector\":\"#link1s-snp\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#cnc_branding_creative_wrapper\",\"action\":[\"style\",\"min-height: 0px !important; height: 0px !important; visibility: hidden !important;\"]}","{\"selector\":\".cnc-ads\",\"action\":[\"style\",\"min-height: 0px !important; height: 0px !important; visibility: hidden !important;\"]}"],["{\"selector\":\"[id=\\\"aswift_0_host\\\"], [id=\\\"aswift_1_host\\\"], [id=\\\"aswift_2_host\\\"], [id=\\\"aswift_3_host\\\"], [id=\\\"aswift_4_host\\\"], [id=\\\"aswift_5_host\\\"]\",\"action\":[\"style\",\"clip-path: clircle(0) !important;\"]}"],["{\"selector\":\".main-nav .utilities > li\",\"action\":[\"style\",\"margin-left:-0.5px !important\"]}"],["{\"selector\":\".slideshow__desktop-ad\",\"action\":[\"style\",\"max-height:20px\"]}"],["{\"selector\":\".FC__Container.min-height-250px-mu\",\"action\":[\"style\",\"max-height: 0.1px !important; height: 0.1px !important; min-height: 0px !important;\"]}","{\"selector\":\":root\",\"action\":[\"style\",\"--topbanner-height-min:unset!important;--topbanner-height-max:unset!important;\"]}"],["{\"selector\":\"#G32\",\"action\":[\"style\",\"grid-template-rows: unset!important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"margin-top: 0px !important;\"]}"],["{\"selector\":\"#G32\",\"action\":[\"style\",\"grid-template-rows: unset !important;\"]}"],["{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"height: 1px !important\"]}"],["{\"selector\":\".id-Page-layoutWrap, .id-SiteWrap, .id-SiteHeader-wrap\",\"action\":[\"style\",\"width: 100% !important; max-width: 100% !important;\"]}"],["{\"selector\":\".ad\",\"action\":[\"style\",\"position:absolute !important; left:-10000px !important; display:block !important; pointer-events: none !important;\"]}"],["{\"selector\":\"#download3\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".disabled-vscroll\",\"action\":[\"style\",\"overflow: auto !important; position: initial !important;\"]}"],["{\"selector\":\".mat-drawer-container\",\"action\":[\"style\",\"overflow-x: auto !important\"]}"],["{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"visibility: collapse !important\"]}"],["{\"selector\":\"#o_carrepub\",\"action\":[\"style\",\"height: 1px; margin: 0; min-height: auto; visibility: hidden; width: 1px;\"]}"],["{\"selector\":\"form > div[id][style=\\\"display: none;\\\"]\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"input[type=\\\"submit\\\"]\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"padding-bottom: 0 !important;\"]}"],["{\"selector\":\".bg-gray-200\",\"action\":[\"style\",\"background: none !important; height: 1px !important; min-height: 1px !important;\"]}"],["{\"selector\":\"#vote-root\",\"action\":[\"style\",\"display:block !important\"]}","{\"selector\":\"div[class^=\\\"chakra-modal__overlay\\\"][style=\\\"opacity: 1;\\\"] ~ div[data-focus-lock-disabled]\",\"action\":[\"style\",\"display: none !important;\"]}","{\"selector\":\"div[class^=\\\"chakra-modal__overlay\\\"][style=\\\"opacity: 1;\\\"]\",\"action\":[\"style\",\"display: none !important;\"]}"],["{\"selector\":\"#af-all\",\"action\":[\"style\",\"margin-top: 4em;\"]}"],["{\"selector\":\"main\",\"action\":[\"style\",\"padding-top: 5em !important;\"]}"],["{\"selector\":\"div.secret\",\"action\":[\"style\",\"display:block !important\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"background-image:none !important\"]}"],["{\"selector\":\"#url\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"body > .pubTime\",\"action\":[\"style\",\"display: block !important\"]}","{\"selector\":\"body > .secArticleImage\",\"action\":[\"style\",\"display: block !important\"]}","{\"selector\":\"body > .secArticleTitle\",\"action\":[\"style\",\"display: block !important\"]}","{\"selector\":\"body > .storyBody\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"button#getlink, button#gotolink\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#tp982, #btn6\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".show_download_links\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"#tp98, #jatinbtn-continue\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#zedoads1\",\"action\":[\"style\",\"height: 1px !important\"]}","{\"selector\":\"#zedoads2\",\"action\":[\"style\",\"height: 1px !important\"]}"],["{\"selector\":\"#story-maincontent\",\"action\":[\"style\",\"display: block !important\"]}","{\"selector\":\"#zedotopnavads\",\"action\":[\"style\",\"height: 1px !important\"]}","{\"selector\":\"#zedotopnavads1\",\"action\":[\"style\",\"height: 1px !important\"]}"],["{\"selector\":\"#advert-space > iframe\",\"action\":[\"style\",\"visibility: collapse !important\"]}","{\"selector\":\".captchaAd\",\"action\":[\"style\",\"visibility: collapse !important\"]}","{\"selector\":\"[src^=\\\"//coinad.com/ads/\\\"]\",\"action\":[\"style\",\"visibility: collapse !important\"]}","{\"selector\":\"iframe#claimAd\",\"action\":[\"style\",\"max-height:1px !important;max-width:1px !important\"]}"],["{\"selector\":\"#tp98, #countdown\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"opacity: 1 !important;\"]}"],["{\"selector\":\"#btn11\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#btn2, #btn5, #tp-snp2\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".adblockcontainer\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\".wpsafe-top\",\"action\":[\"style\",\"margin-top: 50px !important\"]}"],["{\"selector\":\"#tp98, #tp-snp2\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#rtg-snp2\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#notarobot, #btn7\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".box-main\",\"action\":[\"style\",\"font-size: 0px !important;\"]}"],["{\"selector\":\"button.tp-btn\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#btn11, #tp-snp2, #rtg, #btn6, #wpsafe-snp\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"[id^=\\\"AT-Download\\\"]\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#wrapper-content\",\"action\":[\"style\",\"margin-top:0px !important\"]}"],["{\"selector\":\"#wtf\",\"action\":[\"style\",\"visibility:visible!important;display:block!important;\"]}"],["{\"selector\":\"#tie-body\",\"action\":[\"style\",\"background-image: none !important;\"]}"],["{\"selector\":\"body > div[style]:not([id])\",\"action\":[\"style\",\"position: static !important; background-color: rgba(0, 0, 0, 0) !important\"]}","{\"selector\":\"html, body\",\"action\":[\"style\",\"overflow: visible !important;\"]}"],["{\"selector\":\".opera-container\",\"action\":[\"style\",\"visibility: collapse !important;\"]}","{\"selector\":\"img[alt=\\\"Buff Banner\\\"]\",\"action\":[\"style\",\"visibility: collapse !important;\"]}"],["{\"selector\":\".adsbyvli\",\"action\":[\"style\",\"height: 1px !important; opacity: 0 !important; pointer-events: none !important;\"]}"],["{\"selector\":\".login-page\",\"action\":[\"style\",\"-webkit-animation: none !important\"]}"],["{\"selector\":\"#glink\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background: none !important; overflow: auto !important;\"]}"],["{\"selector\":\"#banner-mnz-topleft\",\"action\":[\"style\",\"height: 80px !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background-image: none !important;\"]}"],["{\"selector\":\"html[class^=\\\"loading\\\"]\",\"action\":[\"style\",\"visibility: visible !important;\"]}"],["{\"selector\":\".co-Widget[style=\\\"min-height: 6000px;\\\"]\",\"action\":[\"style\",\"min-height: auto !important;\"]}"],["{\"selector\":\"#ulCommentWidget[style*=\\\"display\\\"]\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"[id]:has(> ins.adsbygoogle)\",\"action\":[\"style\",\"height: 100px !important; position: absolute !important; left: -4000px !important;\"]}"],["{\"selector\":\"table\",\"action\":[\"style\",\"visibility: visible !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background: none !important;\"]}"],["{\"selector\":\"button.flleft.btn-lg.btn-warning.btn.skip\",\"action\":[\"style\",\"display:block !important\"]}"],["{\"selector\":\"form > [id]\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".MediaStep\",\"action\":[\"style\",\"cursor: pointer !important;\"]}"],["{\"selector\":\"#alf_continue_captcha\",\"action\":[\"style\",\"cursor: pointer !important; opacity: 1 !important;\"]}"],["{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"position:absolute !important;left:-3000px !important\"]}"],["{\"selector\":\".lm-hide\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".related_box:has(.adds)\",\"action\":[\"style\",\"height: 1px !important;\"]}"],["{\"selector\":\"#obalovydiv\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".col-md-6\",\"action\":[\"style\",\"height: 150px !important;\"]}"],["{\"selector\":\"#devozon-snp, #submitBtn, #go_d\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#js-mount-point-header.with-ad\",\"action\":[\"style\",\"min-height: auto !important\"]}"],["{\"selector\":\".lite-page__header-navigation--with-ad\",\"action\":[\"style\",\"top: 0 !important;\"]}","{\"selector\":\".research-resources-summary__inner.is-sticky\",\"action\":[\"style\",\"top: 0 !important;\"]}"],["{\"selector\":\"#link, center, #yuidea-snp, #btn6\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"a.dl-stub:not([href])\",\"action\":[\"style\",\"cursor: pointer !important;\"]}"],["{\"selector\":\"*[style=\\\"display:none;\\\"]\",\"action\":[\"style\",\"display:block !important\"]}"],["{\"selector\":\"form > div\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#adsads\",\"action\":[\"style\",\"height: 9px !important;\"]}"],["{\"selector\":\"#content\",\"action\":[\"style\",\"font-size: 0px !important;\"]}","{\"selector\":\"#yuidea-btn-after, #yuidea-btmbtn\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#devozon-snp\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"div[class=\\\"\\\"][data-locker-id]\",\"action\":[\"style\",\"display:block !important\"]}"],["{\"selector\":\".ad-dfp\",\"action\":[\"style\",\"min-height: 0.1485mm !important; height: 0.1485mm !important;\"]}","{\"selector\":\".header-center\",\"action\":[\"style\",\"margin-top:-5000px !important;\"]}","{\"selector\":\".sidebar\",\"action\":[\"style\",\"width: 1.745px !important; padding: 1px !important\"]}"],["{\"selector\":\".link1\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"body[style=\\\"overflow: hidden;\\\"]\",\"action\":[\"style\",\"overflow: auto!important;\"]}"],["{\"selector\":\"body, body::before\",\"action\":[\"style\",\"background-image: unset !important;\"]}"],["{\"selector\":\".adtester-container\",\"action\":[\"style\",\"min-height: 0px !important; max-height: 1px !important; opacity: 0 !important;\"]}"],["{\"selector\":\"#heck-form > p a\",\"action\":[\"style\",\"cursor: pointer !important;\"]}"],["{\"selector\":\"div[data-width][style*=\\\"background-image: url\\\"]\",\"action\":[\"style\",\"background: none !important\"]}"],["{\"selector\":\"#play_button\",\"action\":[\"style\",\"display:block!important;\"]}"],["{\"selector\":\"main::before\",\"action\":[\"style\",\"content: 'uBlock is unrelated to the well-known uBlock Origin.' !important; font-size: 32px !important; color: red !important; font-weight: bold !important;\"]}"],["{\"selector\":\"div.hero-unit > div.search-box--hero-unit::before\",\"action\":[\"style\",\"content: 'uBlock is unrelated to the well-known uBlock Origin.' !important; font-size: var(--font-size-h2) !important; color: red !important; font-weight: bold !important;\"]}"],["{\"selector\":\"#btnfianl\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"body > div\",\"action\":[\"style\",\"filter: none !important\"]}"],["{\"selector\":\"header.intro\",\"action\":[\"style\",\"margin-bottom: 0px !important;\"]}"],["{\"selector\":\"div.adsbygoogle.prebid.adocean.ado.ad.ads.advert.banner.reklama.linkSponsorowany.adsense.advertisments.reklama-top.adv_container\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"#site-header\",\"action\":[\"style\",\"min-height: 0px !important;\"]}"],["{\"selector\":\"#targetdiv, #containerr\",\"action\":[\"style\",\"display: block !important;\"]}","{\"selector\":\"div[id][style=\\\"display: none;\\\"]\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#targetdiv\",\"action\":[\"style\",\"display: inline !important;\"]}"],["{\"selector\":\".zc_top_mobil\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"overflow-y: auto !important;\"]}"],["{\"selector\":\".banner-inner\",\"action\":[\"style\",\"width: 0 !important;\"]}"],["{\"selector\":\"#primary\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#main, #ielement\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\".st-btn > img\",\"action\":[\"style\",\"margin: auto !important; display: block !important;\"]}","{\"selector\":\".st-btn:not(.st-first)\",\"action\":[\"style\",\"display: inline-block !important; min-width: 50px !important; width: 50px !important;\"]}"],["{\"selector\":\"[id^=\\\"tp-snp\\\"]\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"[class*=\\\"MPU\\\"]\",\"action\":[\"style\",\"height: 1px !important\"]}","{\"selector\":\"[id*=\\\"mpu\\\"]\",\"action\":[\"style\",\"height: 1px !important\"]}"],["{\"selector\":\"display-ad-component, [class^=\\\"DisplayAd\\\"], .ark-ad-message\",\"action\":[\"style\",\"visibility: collapse !important\"]}"],["{\"selector\":\".header\",\"action\":[\"style\",\"margin-top: 0px !important;\"]}"],["{\"selector\":\"ins.adsbygoogle\",\"action\":[\"style\",\"clip-path: circle(0) !important;\"]}"],["{\"selector\":\"body > div#wrapper\",\"action\":[\"style\",\"padding-top: 0px !important;\"]}"],["{\"selector\":\"#wpsafe-link, #wpsafe-generate\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#form > [id], [id^=\\\"wpsafe-link\\\"], [id^=\\\"plan\\\"], .wpsafelink-button, #wpsafelinkhuman, [id][style=\\\"display: none;\\\"]\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"div.pub_300x250.pub_300x250m.pub_728x90.text-ad.textAd.text_ad.text_ads.text-ads\",\"action\":[\"style\",\"display:block !important\"]}"],["{\"selector\":\"body > a > div[id]\",\"action\":[\"style\",\"background: var(--c-bg, #aae5a3) !important\"]}"],["{\"selector\":\"#getlink, #pop-button\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#yuidea-snp\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"form > [id][style=\\\"display: none;\\\"]\",\"action\":[\"style\",\"display:block !important;\"]}"],["{\"selector\":\"#makingdifferenttimer\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#pro-continue, #pro-btn, #my-btn\",\"action\":[\"style\",\"display: block !important;\"]}"],["{\"selector\":\"#gtelinkbtn, #wpsafe-generate, #wpsafe-link\",\"action\":[\"style\",\"display: block !important;\"]}"]];

const hostnamesMap = new Map([["alliptvlinks.com",0],["beermoneyforum.com",[0,90]],["yusepjaelani.blogspot.com",0],["greensboro.com",0],["investing.com",0],["ndtv.com",[0,207]],["photobucket.com",[0,218]],["techysnap.com",[0,46,78]],["web2.0rechner.de",0],["abczdrowie.pl",[0,389]],["autocentrum.pl",[0,389]],["autokult.pl",[0,389]],["benchmark.pl",[0,389]],["deliciousmagazine.pl",[0,389]],["dobreprogramy.pl",[0,389]],["fotoblogia.pl",[0,389]],["gadzetomania.pl",[0,389]],["genialne.pl",[0,389]],["jastrzabpost.pl",[0,389]],["kafeteria.pl",[0,389]],["komorkomania.pl",[0,389]],["money.pl",[0,389]],["o2.pl",[0,389]],["parenting.pl",[0,389]],["polygamia.pl",[0,389]],["pudelek.pl",[0,389]],["pysznosci.pl",[0,389]],["wp.pl",[0,389]],["lojadebicicleta.com.br",2],["mcrypto.club",[3,46,47]],["bantenexis.com",3],["cdrab.com",[3,52]],["garoetpos.com",3],["gifans.com",3],["inbbotlist.com",3],["informaxonline.com",3],["iptvjournal.com",3],["techedubyte.com",3],["theusaposts.com",3],["tudaydeals.com",3],["ufacw.com",3],["winlator.com",3],["shorttrick.in",3],["7apple.net",3],["luckydice.net",3],["offerinfo.net",3],["toolss.net",3],["adarima.org",3],["segurosdevida.site",3],["1apple.xyz",3],["choiceappstore.xyz",3],["welovecrypto.xyz",3],["dktechnicalmate.com",4],["indiakablog.com",4],["financemonk.net",5],["enit.in",6],["f2movies.to",8],["compucalitv.com",10],["crackllc.com",10],["designmodo.com",10],["megawarez.org",10],["procrackerz.org",10],["buktube.com",11],["fullxh.com",11],["megaxh.com",11],["seexh.com",11],["unlockxh4.com",11],["xhaccess.com",11],["xhadult2.com",11],["xhadult3.com",11],["xhadult4.com",11],["xhadult5.com",11],["xhamster46.com",11],["xhbig.com",11],["xhbranch5.com",11],["xhday.com",11],["xhday1.com",11],["xhmoon5.com",11],["xhplanet1.com",11],["xhplanet2.com",11],["xhreal2.com",11],["xhreal3.com",11],["xhtab2.com",11],["xhtab4.com",11],["xhtree.com",11],["xhvictory.com",11],["xhwebsite.com",11],["xhwebsite2.com",11],["xhwide1.com",11],["taoxh.life",11],["galleryxh.site",11],["movingxh.world",11],["schools.snap.app",16],["snapinsta.app",16],["4j.com",16],["beaumontenterprise.com",16],["beautypackaging.com",16],["bigrapidsnews.com",16],["coatingsworld.com",16],["contractpharma.com",16],["ctinsider.com",16],["ctpost.com",16],["cybernews.com",16],["darientimes.com",16],["dmzj.com",16],["fansonlinehub.com",16],["review.firstround.com",16],["greenwichtime.com",16],["happi.com",16],["hindustantimes.com",16],["hotmediahub.com",16],["houstonchronicle.com",16],["ifenpaidy.com",16],["inkworldmagazine.com",16],["labelandnarrowweb.com",16],["lmtonline.com",16],["cinema.maalaimalar.com",16],["manisteenews.com",16],["michigansthumb.com",16],["middletownpress.com",16],["milfordmirror.com",16],["mpo-mag.com",16],["mrt.com",16],["myjournalcourier.com",16],["ncadvertiser.com",16],["newstimes.com",16],["nhregister.com",16],["nutraceuticalsworld.com",16],["odtmag.com",16],["ourmidland.com",16],["petri.com",16],["printedelectronicsnow.com",16],["publish0x.com",16],["registercitizen.com",16],["sfchronicle.com",16],["sheltonherald.com",16],["sna3talaflam.com",16],["soft3arbi.com",16],["sportstiger.com",16],["stamfordadvocate.com",16],["teraearn.com",16],["theheraldreview.com",16],["thehour.com",16],["theintelligencer.com",16],["theridgefieldpress.com",16],["timesunion.com",16],["tribuna.com",16],["trumbulltimes.com",16],["vuinsider.com",16],["walletinvestor.com",16],["wiltonbulletin.com",16],["yourconroenews.com",16],["eltiempo.es",16],["rogstream.fun",16],["terabox.fun",16],["top.gg",[16,314]],["primeos.in",16],["techishant.in",16],["palatifini.it",16],["leechpremium.link",16],["livesportsclub.me",16],["teralink.me",16],["terashare.me",16],["bccondos.net",16],["linkneverdie.net",16],["advertiserandtimes.co.uk",16],["amateurs-fuck.com",21],["falatron.com",21],["sex-amateur-clips.com",21],["sexmadeathome.com",21],["comicxxx.eu",21],["blog.aming.info",24],["arrowos.net",24],["drstevenlin.com",28],["romaniataramea.com",28],["straatosphere.com",28],["discussingfilm.net",28],["rmweb.co.uk",28],["begadistrictnews.com.au",30],["bendigoadvertiser.com.au",30],["goulburnpost.com.au",30],["maitlandmercury.com.au",30],["newcastleherald.com.au",30],["brisbanetimes.com.au",31],["smh.com.au",31],["theage.com.au",31],["watoday.com.au",31],["examiner.com.au",32],["theadvocate.com.au",32],["thecourier.com.au",32],["gumtree.com.au",33],["nowtolove.com.au",34],["screenhub.com.au",35],["cryptobr.biz",36],["loskatchorros.com.br",37],["dausel.co",37],["onle.co",37],["dexterclearance.com",37],["how2electronics.com",37],["onlinestudentseva.com",37],["univers-simu.com",37],["stokerpiller.dk",37],["reclameaqui.com.br",38],["adz.bz",39],["citynews.ca",40],["trueachievements.com",40],["truesteamachievements.com",40],["truetrophies.com",40],["tvtv.ca",41],["tvtv.us",41],["raenonx.cc",42],["automobile-catalog.com",42],["gadgets360.com",42],["issuya.com",42],["jjang0u.com",42],["maketecheasier.com",42],["motorbikecatalog.com",42],["thestockmarketwatch.com",[42,273]],["logicieleducatif.fr",42],["dogdrip.net",42],["thesaurus.net",42],["blick.ch",43],["tinys.click",44],["askpaccosi.com",44],["coin-free.com",44],["crypto4tun.com",44],["ezeviral.com",44],["kienthucrangmieng.com",44],["pngreal.com",44],["apkupload.in",44],["ytpng.net",44],["dailynew.online",44],["earnme.club",45],["usanewstoday.club",45],["jrlinks.in",45],["audiencepool.com",[46,78]],["model-tas-terbaru.com",[46,201]],["therootdroid.com",[46,201]],["moddingzone.in",[46,201,333]],["worldappsstore.xyz",[46,201]],["filmfliqz.co",48],["apkeclipse.com",48],["cmsarkariyojana.com",48],["decidewhy.com",48],["djrachit.com",48],["freegadgets24.com",48],["funkeykida.com",48],["odiaalbumsong.com",48],["oriyaremix.com",48],["rajgarhsamachar.com",48],["recipenames.com",48],["djrkmusicjaunpur.in",48],["odisharemix.link",48],["insurelist.online",48],["morestate.pro",48],["puresports.pro",48],["geniussolutions.co",49],["fartechy.com",49],["foodxor.com",49],["mealcold.com",49],["mixrootmods.com",49],["djpunjab2.in",49],["djqunjab.in",49],["lawyex.co",50],["homeculina.com",50],["ineedskin.com",50],["kenzo-flowertag.com",50],["mdn.lol",50],["plagiarismchecker.co",51],["duplichecker.com",51],["smallseotools.com",51],["plagiarismdetector.net",51],["searchenginereports.net",51],["reminimod.co",52],["admediaflex.com",52],["aduzz.com",52],["amanguides.com",52],["deezloaded.com",[52,82]],["mb.feedale.com",52],["getintoway.com",52],["highkeyfinance.com",52],["iconicblogger.com",52],["investcrust.com",52],["itechmafiia.com",52],["jardima.com",[52,82]],["kreatifparenting.com",52],["krishiloksewa.com",52],["litonmods.com",52],["blog.nationapk.com",52],["owsafe.com",52],["placementsmela.com",52],["ryuugames.com",52],["sportsonfr.com",52],["visflakes.com",[52,82]],["apkandroidhub.in",[52,82,83]],["panda.freemodsapp.in",52],["gamepure.in",[52,82]],["modzilla.in",52],["rsrlink.in",52],["warrenrahul.in",[52,82]],["bitcrypto.info",52],["sportweb.info",52],["datacheap.io",52],["adcrypto.net",52],["dulichkhanhhoa.net",[52,82]],["gurumu.net",52],["mad.gplpalace.one",[52,82]],["savego.org",52],["hbz.us",52],["noithatmyphu.vn",[52,82]],["freemodsapp.xyz",52],["modmakers.xyz",[52,82]],["studyis.xyz",[52,82]],["shortix.co",53],["takez.co",54],["tech5s.co",55],["trip.businessnews-nigeria.com",55],["ez4mods.com",55],["mobi2c.com",55],["te-it.com",55],["world2our.com",55],["bluetechno.net",55],["forexit.online",55],["theblock.co",56],["veganab.co",57],["camdigest.com",57],["1cloudfile.com",58],["247sports.com",59],["360haven.com",60],["5ggyan.com",61],["apps2app.com",[61,71]],["ac-illust.com",62],["photo-ac.com",62],["acetack.com",63],["androidquest.com",63],["apklox.com",63],["gujarativyakaran.com",63],["kisantime.com",63],["pastescript.com",63],["trimorspacks.com",63],["chhaprawap.in",63],["kashmirstudentsinformation.in",63],["updrop.link",63],["addictinggames.com",64],["additudemag.com",65],["aemenstore.com",66],["byboe.com",66],["cazzette.com",66],["dreamcheeky.com",66],["fidlarmusic.com",66],["hookeaudio.com",66],["jncojeans.com",66],["kiemlua.com",66],["kingsleynyc.com",66],["lucidcam.com",66],["nguyenvanbao.com",66],["nousdecor.com",66],["pennbookcenter.com",66],["publicananker.com",66],["restorbio.com",66],["rezence.com",66],["staaker.com",66],["thegoneapp.com",66],["uebnews.online",66],["afreesms.com",67],["apekite.com",68],["cureclues.com",68],["en.financerites.com",68],["healthfirstweb.com",68],["howifx.com",68],["junkyponk.com",68],["livenewsflix.com",68],["mythvista.com",68],["vocalley.com",68],["yogablogfit.com",68],["apkmirror.com",69],["appkamods.com",70],["careersides.com",70],["funkeypagali.com",70],["infinityskull.com",70],["nayisahara.com",70],["starxinvestor.com",70],["viewmyknowledge.com",70],["wikifilmia.com",70],["iisfvirtual.in",70],["appsbull.com",72],["diudemy.com",72],["maqal360.com",72],["appvn.com",73],["arkadium.com",74],["time.artjoey.com",75],["ashemaletube.com",76],["atozmath.com",77],["autoblog.com",79],["avgle.com",80],["awgrow.com",81],["babymodz.com",[82,83,84]],["teknomuda.com",[82,264]],["theconomy.me",82],["isi7.net",82],["motorantik.store",[82,264]],["bangpremier.com",85],["bankbazaar.com",86],["bartendingexpert.com",87],["easyworldbusiness.com",[87,132]],["nichapk.com",[87,132]],["riveh.com",[87,132]],["bazadecrypto.com",88],["beckershospitalreview.com",89],["best-mobilegames.com",91],["bharatsarkarijobalert.com",91],["freshbhojpuri.com",91],["learn.moderngyan.com",91],["earn.mpscstudyhub.com",91],["earn.quotesopia.com",91],["money.quotesopia.com",91],["bankshiksha.in",91],["bgmi32bitapk.in",91],["bettycrocker.com",92],["bing.com",93],["bitchesgirls.com",94],["bitzite.com",95],["blindhypnosis.com",96],["bloggingguidance.com",97],["onroid.com",97],["theramishali.blogspot.com",98],["comptegratuite.com",98],["timestej.com",98],["thepowerofpen.in",98],["viralsbaba1.blogspot.com",99],["bookriot.com",100],["br0wsers.com",101],["carbuzz.com",102],["cbssports.com",103],["chess.com",104],["chinhnhacoban.com",105],["tremamnon.com",105],["vnpttelle.com",105],["claimfey.com",106],["club386.com",107],["cnn.com",108],["coins-town.com",109],["coinseidon.com",110],["paidinsurance.in",110],["conghuongtu.net",110],["comicbook.com",111],["cookpad.com",112],["urbanmilwaukee.com",112],["phica.net",112],["crypto4yu.com",113],["wiour.com",113],["btcbitco.in",113],["btcsatoshi.net",113],["readbitcoin.org",113],["currentrecruitment.com",114],["investorveda.com",114],["curs-germana.com",115],["freewebcart.com",115],["pervertgirlsvideos.com",115],["securityweek.com",115],["customercareal.com",116],["cyberstumble.com",117],["cybertyrant.com",118],["gdspike.com",118],["maxxfour.com",118],["profitshort.com",118],["technorozen.com",118],["uses-in-hindi.com",118],["blog.workedbd.com",118],["advisecreate.fun",118],["hubdrive.me",118],["courselinkfree.us",118],["dads-banging-teens.com",119],["home-xxx-videos.com",119],["mature-chicks.com",119],["teens-fucking-matures.com",119],["redirect.dafontvn.com",120],["dailydot.com",121],["eschenker.dbschenker.com",122],["digg.com",123],["digilibraries.com",124],["blog.disheye.com",125],["distrowatch.com",126],["dogemate.com",127],["drinkspartner.com",128],["uploadsoon.com",128],["viralxns.com",128],["wp.uploadfiles.in",128],["drphil.com",129],["dubznetwork.com",130],["dvm360.com",131],["efukt.com",133],["safe.elektroupdate.com",134],["gameguardian.net",134],["eloshapes.com",135],["enterinit.com",136],["esopress.com",137],["estudyme.com",138],["facebook.com",139],["facebookwkhpilnemxj7asaniu7vnjjbiltxjqhye3mhbshg7kx5tfyd.onion",139],["fandom.com",140],["fapeza.com",141],["farsroid.com",142],["ff14angler.com",143],["filerox.com",144],["finchtechie.com",145],["foodupe.com",146],["forexrw7.com",147],["fx-22.com",147],["gold-24.net",147],["msic.site",147],["foxnews.com",148],["francoischarron.com",149],["freeroms.com",150],["fuqer.com",151],["gamepedia.com",152],["games2rule.com",153],["games4king.com",154],["getmodsapk.com",155],["gifmagic.com",156],["glosbe.com",157],["graphicuv.com",158],["hit-films.com",158],["learnmany.in",158],["greentumble.com",159],["techhelpbd.com",159],["her.ie",159],["gumtree.com",160],["gyanitheme.com",161],["hipsonyc.com",[161,166]],["theforyou.in",161],["hostadviser.net",161],["h-flash.com",162],["hamrojaagir.com",163],["kbconlinegame.com",163],["odijob.com",163],["healthy4pepole.com",164],["fx-gd.net",164],["hightrip.net",164],["to-travel.net",164],["hero-magazine.com",165],["meclipstudy.in",166],["hitproversion.com",167],["hole-io.com",168],["igg-games.com",169],["ign.com",170],["ilbianconero.com",171],["imgtaxi.com",172],["in-jpn.com",[173,174]],["oninet.ne.jp",[173,174,355,356]],["xth.jp",[173,355,357]],["instagram.com",175],["iseekgirls.com",176],["italpress.com",177],["root-nation.com",177],["itscybertech.com",178],["itstillworks.com",179],["javbake.com",180],["javdoge.com",180],["javsexfree.com",180],["javcensored.net",180],["javuncensored.watch",180],["javchill.com",181],["javcl.com",182],["javfull.net",182],["javynow.com",183],["jayisgames.com",184],["jzzo.com",185],["karvitt.com",186],["kiktu.com",187],["techcyan.com",187],["upshrink.com",187],["banaraswap.in",187],["trangchu.news",187],["hints.littlealchemy2.com",188],["los40.com",189],["lovetoknow.com",190],["makemoneywithurl.com",191],["mangabuddy.com",192],["mapcrunch.com",193],["masterduelmeta.com",194],["mathway.com",195],["mbjremix.com",196],["neverdims.com",196],["ottlatest.com",196],["unfoldedstars.com",196],["mayaremix.in",196],["bit4me.info",196],["deltabtc.xyz",196],["mediaite.com",197],["mind42.com",198],["www.mindbodygreen.com",199],["dev.miuiflash.com",200],["thecubexguide.com",200],["djxmaza.in",200],["jytechs.in",200],["model-viewer.com",202],["moneycontrol.com",203],["moonplusnews.com",204],["loanoffering.in",204],["mrproblogger.com",205],["themezon.net",205],["muropaketti.com",206],["gadgets.ndtv.com",208],["nme.com",209],["novelgames.com",210],["nytimes.com",211],["nytimes3xbfgragh.onion",211],["cooking.nytimes.com",212],["orbispatches.com",213],["pcgamesn.com",214],["theloadout.com",214],["pcmag.com",215],["peakpx.com",216],["pxfuel.com",216],["phineypet.com",217],["crewbase.net",217],["pikist.com",219],["pixlr.com",220],["playok.com",221],["plotaroute.com",222],["popculture.com",223],["porndoe.com",224],["pornve.com",225],["proappapk.com",226],["adzz.in",[226,321]],["progfu.com",227],["freethailottery.live",227],["psprices.com",228],["puzzle-aquarium.com",229],["puzzle-battleships.com",229],["puzzle-binairo.com",229],["puzzle-bridges.com",229],["puzzle-chess.com",229],["puzzle-dominosa.com",229],["puzzle-futoshiki.com",229],["puzzle-galaxies.com",229],["puzzle-heyawake.com",229],["puzzle-hitori.com",229],["puzzle-jigsaw-sudoku.com",229],["puzzle-kakurasu.com",229],["puzzle-kakuro.com",229],["puzzle-killer-sudoku.com",229],["puzzle-light-up.com",229],["puzzle-lits.com",229],["puzzle-loop.com",229],["puzzle-masyu.com",229],["puzzle-minesweeper.com",229],["puzzle-nonograms.com",229],["puzzle-norinori.com",229],["puzzle-nurikabe.com",229],["puzzle-pipes.com",229],["puzzle-shakashaka.com",229],["puzzle-shikaku.com",229],["puzzle-shingoki.com",229],["puzzle-skyscrapers.com",229],["puzzle-slant.com",229],["puzzle-star-battle.com",229],["puzzle-stitches.com",229],["puzzle-sudoku.com",229],["puzzle-tapa.com",229],["puzzle-tents.com",229],["puzzle-thermometers.com",229],["puzzle-words.com",229],["qwant.com",230],["qz.com",231],["rain-alarm.com",232],["new.reddit.com",233],["www.reddit.com",233],["reidoplacar.com",234],["forum.release-apk.com",235],["reuters.com",236],["ricettafitness.com",237],["comidacaseira.me",237],["rocketnews24.com",238],["soranews24.com",238],["youpouch.com",[238,289]],["sabornutritivo.com",239],["tecnologiati.online",239],["chan.sankakucomplex.com",240],["sevenjournals.com",241],["uptechnologys.com",241],["sexodi.com",242],["shemalestube.com",243],["shortenbuddy.com",244],["shorterall.com",245],["promo-visits.site",245],["link.smallseostat.com",246],["sportbible.com",247],["tyla.com",247],["gamingbible.co.uk",247],["stardewids.com",248],["uschovna.cz",248],["vladan.fr",248],["commands.gg",248],["kitguru.net",248],["sturls.com",249],["subsvip.com",250],["sugarona.com",251],["sumikai.com",252],["supergoku.com",253],["ta2deem7arbya.com",254],["taisachonthi.com",255],["tamrieltradecentre.com",256],["tcsjerky.com",257],["techjunkie.com",258],["techkeshri.com",259],["trickms.com",259],["gorating.in",259],["loanteacher.in",259],["techpowerup.com",260],["techsignin.com",261],["techusnews.com",262],["techymedies.com",263],["the-sun.com",265],["theblockcrypto.com",266],["thedailybeast.com",267],["thefastcode.com",268],["theodysseyonline.com",269],["thequint.com",270],["thespruce.com",271],["thestar.com",272],["thumpertalk.com",274],["totalcsgo.com",275],["trendyoum.com",276],["tumblr.com",277],["twi-fans.com",278],["upornia.com",279],["usatoday.com",280],["vrcmods.com",281],["w3schools.com",282],["washingtonpost.com",283],["wikihow.com",284],["wowescape.com",285],["wunderground.com",286],["xenvn.com",287],["xtube.com",288],["yourdictionary.com",290],["yourstory.com",291],["zee5.com",292],["zubatecno.com",293],["battleroyal.online",293],["blog.panytourism.online",293],["zive.cz",294],["decrypt.day",295],["bild.de",296],["businessinsider.de",297],["chip.de",298],["praxistipps.chip.de",299],["praxistipps.focus.de",[299,301]],["netmoms.de",299],["duden.de",300],["rechtschreibpruefung24.de",302],["wa.de",303],["web.de",304],["tiny.do",305],["elmundo.es",306],["gigantti.fi",307],["fiches-auto.fr",308],["orange.fr",309],["aiimgvlog.fun",310],["claim.fun",311],["romsmania.games",312],["teemo.gg",313],["u.gg",315],["win.gg",316],["kelasexcel.id",317],["thejournal.ie",318],["00m.in",319],["m.aajtak.in",320],["akcartoons.in",322],["cybercityhelp.in",322],["apkmodhub.in",323],["bookszone.in",324],["businesstoday.in",[325,326]],["indiatoday.in",[325,332]],["intoday.in",[325,332]],["moondoge.co.in",327],["computerpedia.in",328],["decathlon.in",329],["filmypoints.in",330],["finclub.in",331],["financeyogi.net",331],["naukrilelo.in",334],["petrainer.in",335],["rphost.in",336],["techurlshort.in",336],["shrinkforearn.in",337],["techincubator.in",338],["ffworld.xyz",338],["techyinfo.in",339],["fitnessholic.net",339],["thizissam.in",340],["l2db.info",341],["nifteam.info",342],["mag.shock2.info",343],["dragontea.ink",344],["work.ink",345],["colonist.io",346],["app.koinly.io",347],["tmail.io",348],["hdmotori.it",349],["ilmeteo.it",350],["ilprimatonazionale.it",351],["anikore.jp",352],["infoseek.co.jp",353],["itmedia.co.jp",354],["adyou.me",358],["blog24.me",359],["mboost.me",360],["skiplink.me",361],["alrakoba.net",362],["azrom.net",363],["calculator-online.net",364],["chrysler-club.net",365],["metastats.net",366],["otechno.net",367],["pixiv.net",368],["researchgate.net",369],["sahlmarketing.net",370],["sex-torrent.net",371],["xxxrip.net",371],["sextor.org",371],["domaha.tv",371],["uprot.net",372],["exactpay.online",373],["maxlinks.online",374],["maxstreams.site",374],["maxstream.video",374],["mphealth.online",375],["shopforex.online",376],["3dmodelshare.org",377],["aternos.org",378],["link.idblog.eu.org",379],["garrysmods.org",380],["hltv.org",381],["homeairquality.org",382],["hecker.likesyou.org",383],["sensualgirls.org",384],["telepisodes.org",385],["ublock.org",386],["support.ublock.org",387],["hosty.uprwssp.org",388],["lowcygier.pl",390],["player.pl",391],["www.wp.pl",392],["adsy.pw",393],["playstore.pw",394],["profit.ro",395],["businesstimes.com.sg",396],["oko.sh",397],["adseek.site",398],["cryptofun.space",399],["bigbtc.win",399],["goku.sx",400],["haonguyen.top",401],["bishopsstortfordindependent.co.uk",402],["cambridgeindependent.co.uk",402],["dissexpress.co.uk",402],["fenlandcitizen.co.uk",402],["granthamjournal.co.uk",402],["kentonline.co.uk",402],["lynnnews.co.uk",402],["newarkadvertiser.co.uk",402],["rutland-times.co.uk",402],["spaldingtoday.co.uk",402],["stamfordmercury.co.uk",402],["suffolknews.co.uk",402],["velvetmag.co.uk",402],["games.dailymail.co.uk",403],["faroutmagazine.co.uk",404],["fplstatistics.co.uk",405],["idealhome.co.uk",406],["look.co.uk",406],["gktech.uk",407],["coingraph.us",408],["impact24.us",408],["vieon.vn",409],["rule34.xxx",410],["bloggertheme.xyz",411],["insurglobal.xyz",412],["jeuxenligne.xyz",413],["lrncook.xyz",414],["yalifin.xyz",414],["nishankhatri.xyz",415],["sitecuatui.xyz",416]]);

const entitiesMap = new Map([["web2.0calc",0],["5movies",1],["allgamesejogos",2],["bemestarglobal",2],["gamesgo",2],["redecanais",2],["apkmaven",[3,4]],["dropgalaxy",5],["financerites",6],["finanzen",7],["fmovies",8],["gmx",9],["hackstore",10],["hamsterix",11],["xhamster",11],["xhamster1",11],["xhamster10",11],["xhamster11",11],["xhamster12",11],["xhamster13",11],["xhamster14",11],["xhamster15",11],["xhamster16",11],["xhamster17",11],["xhamster18",11],["xhamster19",11],["xhamster2",11],["xhamster20",11],["xhamster3",11],["xhamster4",11],["xhamster42",11],["xhamster5",11],["xhamster7",11],["xhamster8",11],["ibomma",12],["leechall",13],["mlwbd",14],["movies123",15],["moviesjoy",16],["netpornix",17],["oxy",18],["pixhost",19],["pornhub",20],["pornocomics",21],["samehadaku",22],["strikeout",23],["tvshows4mobile",24],["txxx",25],["videovard",26],["writedroid",27],["yts",28],["zshort",29]]);

const exceptionsMap = new Map([["support.ublock.org",[386]]]);

self.declarativeImports = self.declarativeImports || [];
self.declarativeImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
