/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2014-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: rus-0

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssDeclarativeImport() {

/******************************************************************************/

const argsList = [["{\"selector\":\"html:not(#id)\",\"action\":[\"style\",\"background-image: none !important\"]}"],["{\"selector\":\"body[class^=\\\"has-brand\\\"][class*=\\\" active-brand\\\"][class*=\\\"fixed-header\\\"] > [id$=\\\"er\\\"]:nth-child(-1n+3)\",\"action\":[\"style\",\"width: unset !important\"]}","{\"selector\":\"body[class^=\\\"has-brand\\\"][class*=\\\" active-brand\\\"][class*=\\\"fixed-header\\\"]\",\"action\":[\"style\",\"padding-top: 0 !important; background-color: inherit !important\"]}"],["{\"selector\":\"#FheaderContent > div[id]:not([class])\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\"#wr-bg\",\"action\":[\"style\",\"padding-top: 60px !important; margin-top: unset !important; top: unset !important\"]}"],["{\"selector\":\".wrap\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"#site\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"padding-top: 0 !important; background-color: transparent !important\"]}"],["{\"selector\":\"#id_box_r_y1\",\"action\":[\"style\",\"position: absolute !important; top: -10000px !important; left: -10000px !important; height: 50px !important\"]}","{\"selector\":\"#idbbbad\",\"action\":[\"style\",\"position: absolute !important; top: -10000px !important; left: -10000px !important; height: 50px !important\"]}"],["{\"selector\":\".site-logo\",\"action\":[\"style\",\"max-height: 90px !important; width: auto !important\"]}"],["{\"selector\":\"div[class=\\\"article vid\\\"]\",\"action\":[\"style\",\"margin-top: auto !important\"]}"],["{\"selector\":\".mdspost > div[class]\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\"header > div[class]\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\".av-branding .page\",\"action\":[\"style\",\"padding-top: 0 !important; padding-bottom: 0 !important\"]}","{\"selector\":\".av-branding\",\"action\":[\"style\",\"background: none !important\"]}"],["{\"selector\":\"[data-test-id=\\\"avia_form\\\"] > div[class*=\\\"footer\\\"] label\",\"action\":[\"style\",\"zoom: 2 !important; color: #f57c00 !important; font-weight: bold !important\"]}"],["{\"selector\":\"#page\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"body.blocked\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\"body[class*=\\\"modal-\\\"]\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\"body:not(#id)\",\"action\":[\"style\",\"background-image: none !important\"]}"],["{\"selector\":\"#page\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\"#mainWrapper\",\"action\":[\"style\",\"background: none !important; padding-top: 0 !important\"]}"],["{\"selector\":\".g-container-outer > div\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\".adfox-banner-background ~ .layout-container\",\"action\":[\"style\",\"max-width: unset !important; top: unset !important\"]}"],["{\"selector\":\".b-global-branding[branding_url*=\\\"http\\\"] .b-global-wrap\",\"action\":[\"style\",\"cursor: auto !important\"]}","{\"selector\":\".b-global-wrap > .b-global-offset\",\"action\":[\"style\",\"padding: unset !important\"]}"],["{\"selector\":\".SubjectMenu_desktop.PageLayout-Nav\",\"action\":[\"style\",\"position: sticky !important\"]}","{\"selector\":\"main > div:first-child:empty + div:not([class]) > div\",\"action\":[\"style\",\"min-height: 86px !important; height: 86px !important; margin-bottom: -80px !important\"]}"],["{\"selector\":\".googlead.pub_300x250.pub_300x250m.pub_728x90.text-ad.textAd.text_ad.text_ads.text-ads.text-ad-links\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\".main\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"html[class] > body\",\"action\":[\"style\",\"background-color: #e6e6e6 !important\"]}"],["{\"selector\":\".full-banner-page\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\".app__wrapper div[style^=\\\"width: calc(100% \\\"]\",\"action\":[\"style\",\"width: unset !important\"]}","{\"selector\":\".b-page\",\"action\":[\"style\",\"padding-top: 0 !important\"]}","{\"selector\":\".head-stripe\",\"action\":[\"style\",\"position: fixed !important; transform: scale(0) !important\"]}","{\"selector\":\".monetization-group > .monetization-group__item\",\"action\":[\"style\",\"height: auto !important\"]}","{\"selector\":\".serp-header\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\".suggest2_align_center[data-bem*=\\\"weather_\\\"]\",\"action\":[\"style\",\"max-width: 100% !important\"]}","{\"selector\":\"body.b-page > .b-page__container .card.content__adv.card\",\"action\":[\"style\",\"margin-bottom: unset !important; padding: unset !important\"]}","{\"selector\":\"body[class*=\\\"exp_ym-referrer-original-url\\\"] div[class*=\\\"_type_\\\"]\",\"action\":[\"style\",\"min-height: 0 !important; height: unset !important\"]}","{\"selector\":\"body[class*=\\\"exp_ym-referrer-original-url\\\"] div[class*=\\\"rect\\\"][id][data-name]\",\"action\":[\"style\",\"min-height: 0 !important; height: unset !important\"]}","{\"selector\":\"body[class*=\\\"exp_ym-referrer-original-url\\\"] div[class*=\\\"turbo-\\\"][class*=\\\"load-error\\\"]\",\"action\":[\"style\",\"min-height: 0 !important; margin-top: unset !important; margin-bottom: unset !important\"]}"],["{\"selector\":\".b-page_type_maps div[class$=\\\"__content\\\"] > [class$=\\\"__ad\\\"] > div\",\"action\":[\"style\",\"width: unset !important\"]}","{\"selector\":\".climate-calendar__cell\",\"action\":[\"style\",\"width: 13.8% !important; -webkit-flex-basis: 13.8% !important; flex-basis: 13.8% !important\"]}"],["{\"selector\":\".b-page.overlay[data-serp-metrika]\",\"action\":[\"style\",\"overflow-y: auto !important\"]}"],["{\"selector\":\"[class*=\\\"ComposeDoneScreen\\\"] *\",\"action\":[\"style\",\"height: auto !important; min-height: 0 !important\"]}"],["{\"selector\":\"body.no-scroll\",\"action\":[\"style\",\"overflow: visible !important\"]}"],["{\"selector\":\".StationPage__centralArea\",\"action\":[\"style\",\"margin-top: 20px !important\"]}"],["{\"selector\":\".drowmenu\",\"action\":[\"style\",\"z-index: 1999999999 !important\"]}","{\"selector\":\".list-nav\",\"action\":[\"style\",\"z-index: 1 !important\"]}","{\"selector\":\"body > .main.wrapper\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\"body > header\",\"action\":[\"style\",\"top: 0 !important\"]}","{\"selector\":\"html > body:not(#id)\",\"action\":[\"style\",\"background-image: none !important\"]}"],["{\"selector\":\"#cams_top_block\",\"action\":[\"style\",\"height: 0 !important\"]}","{\"selector\":\".banner\",\"action\":[\"style\",\"height: 0 !important\"]}"],["{\"selector\":\"#timer_2\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"#page\",\"action\":[\"style\",\"max-width: 1600px !important; margin-top: 0 !important\"]}"],["{\"selector\":\"#wrapper > .menu\",\"action\":[\"style\",\"margin-top: auto !important\"]}"],["{\"selector\":\"html > body\",\"action\":[\"style\",\"padding-top: unset !important\"]}"],["{\"selector\":\"body:not(#id)\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"body > #container\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".has-top-liner .ln__topliner\",\"action\":[\"style\",\"top: unset !important\"]}","{\"selector\":\".has-top-liner\",\"action\":[\"style\",\"padding-top: unset !important\"]}"],["{\"selector\":\".body-wrap > #content\",\"action\":[\"style\",\"margin-top:42px !important\"]}"],["{\"selector\":\".wrapper main\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"body > .all-wrap\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".center-box2\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".wrapper > .main-content\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"#oframeflashcontent > pjsdiv[style*=\\\"transition: transform\\\"]\",\"action\":[\"style\",\"transform: none !important\"]}","{\"selector\":\"video\",\"action\":[\"style\",\"filter: none !important\"]}"],["{\"selector\":\"html > body\",\"action\":[\"style\",\"cursor: default !important\"]}"],["{\"selector\":\".main\",\"action\":[\"style\",\"cursor: auto !important\"]}"],["{\"selector\":\"body > .wrapper\",\"action\":[\"style\",\"margin-top: 0 !important; max-width: unset !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background-image: none !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background: none !important\"]}"],["{\"selector\":\".content > .sect-header\",\"action\":[\"style\",\"margin-bottom: 0 !important\"]}","{\"selector\":\".content\",\"action\":[\"style\",\"padding-top: 0 !important\"]}","{\"selector\":\".full\",\"action\":[\"style\",\"padding-top: 0 !important\"]}","{\"selector\":\".popular-in\",\"action\":[\"style\",\"padding-top: 80px !important\"]}","{\"selector\":\".sticky-wrap\",\"action\":[\"style\",\"position: relative !important\"]}","{\"selector\":\".wrap > .popular\",\"action\":[\"style\",\"visibility: visible !important\"]}","{\"selector\":\"main > .wrap-center\",\"action\":[\"style\",\"margin-left: auto !important; margin-right: auto !important\"]}"],["{\"selector\":\".commercial-branding > div script ~ div > div\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\".commercial-branding > div script ~ div > div:last-child div\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\"#content-padding > *\",\"action\":[\"style\",\"color: black !important\"]}","{\"selector\":\"#content-padding\",\"action\":[\"style\",\"color: white !important\"]}"],["{\"selector\":\".b-chat\",\"action\":[\"style\",\"margin-bottom: 0 !important\"]}"],["{\"selector\":\"body.access *\",\"action\":[\"style\",\"filter: none !important\"]}","{\"selector\":\"body.access\",\"action\":[\"style\",\"overflow: auto !important; position: relative !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background-color: white !important\"]}"],["{\"selector\":\".header-logo__link > img\",\"action\":[\"style\",\"display: block !important\"]}","{\"selector\":\".page-sidebar > .sticky-vertical\",\"action\":[\"style\",\"position: relative !important; top: 0 !important\"]}","{\"selector\":\"html:not(#id)\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"#body\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"header[class=\\\"header -transparent\\\"]\",\"action\":[\"style\",\"background: #e0e0e0 !important\"]}"],["{\"selector\":\".fon_site_pic\",\"action\":[\"style\",\"background-image: none !important; padding-top: 0 !important\"]}"],["{\"selector\":\".js-page > div[class$=\\\"-header\\\"] + div[class] > span.o-anchor[id]:first-child ~ div:last-child > div[class*=\\\"--content\\\"]\",\"action\":[\"style\",\"max-width: unset !important\"]}","{\"selector\":\".js-page > div[class$=\\\"-header\\\"] + div[class]:last-child > div:first-child:not([class*=\\\"column\\\"]) + div:last-child\",\"action\":[\"style\",\"min-height: 0 !important; box-shadow: unset !important\"]}","{\"selector\":\".u-extend-fix\",\"action\":[\"style\",\"background: center / 100% 100% no-repeat #515151 var(--res-logo) !important; border-radius: 6px !important\"]}","{\"selector\":\"[data-track]\",\"action\":[\"style\",\"min-height: 0 !important; padding-top: unset !important; padding-bottom: unset !important; box-shadow: inherit !important\"]}","{\"selector\":\"div[class*=\\\"--content article \\\"] + div ~ div:last-child > div:first-child:not(:only-child)\",\"action\":[\"style\",\"max-width: unset !important\"]}","{\"selector\":\"div[itemtype*=\\\"://schema.org/BlogPosting\\\"] ~ div:last-child > div:first-child:not(:only-child)\",\"action\":[\"style\",\"max-width: unset !important\"]}","{\"selector\":\"div[itemtype*=\\\"://schema.org/BlogPosting\\\"] ~ div:not(:last-child)\",\"action\":[\"style\",\"min-height: 0 !important; padding-top: unset !important; padding-bottom: unset !important; box-shadow: inherit !important\"]}","{\"selector\":\"div[itemtype*=\\\"://schema.org/Product\\\"] ~ div:last-child > div:first-child:not(:only-child)\",\"action\":[\"style\",\"max-width: unset !important\"]}","{\"selector\":\"div[itemtype*=\\\"://schema.org/Product\\\"] ~ div:not(:last-child)\",\"action\":[\"style\",\"min-height: 0 !important; padding-top: unset !important; padding-bottom: unset !important; box-shadow: inherit !important\"]}","{\"selector\":\"div[itemtype*=\\\"://schema.org/Review\\\"] ~ div:last-child > div:first-child:not(:only-child)\",\"action\":[\"style\",\"max-width: unset !important\"]}","{\"selector\":\"div[itemtype*=\\\"://schema.org/Review\\\"] ~ div:not(:last-child)\",\"action\":[\"style\",\"min-height: 0 !important; padding-top: unset !important; padding-bottom: unset !important; box-shadow: inherit !important\"]}"],["{\"selector\":\"body > *\",\"action\":[\"style\",\"pointer-events: auto\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"padding-top: 0 !important; background: whitesmoke !important; overflow: auto !important; pointer-events: none\"]}","{\"selector\":\"html\",\"action\":[\"style\",\"padding-top: 0 !important; background: whitesmoke !important; overflow: auto !important; pointer-events: none\"]}"],["{\"selector\":\".maincontent\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"[data-bookmaker-id]\",\"action\":[\"style\",\"pointer-events: none !important\"]}"],["{\"selector\":\"div[class^=\\\"b-betting\\\"]:not(#id)\",\"action\":[\"style\",\"display: block !important; position: fixed !important; top: -10000px !important; left: -10000px !important\"]}"],["{\"selector\":\"body:not(#id)\",\"action\":[\"style\",\"overflow-y: auto !important\"]}"],["{\"selector\":\"a[href*=\\\"://artline.ua/\\\"]\",\"action\":[\"style\",\"pointer-events: none !important\"]}","{\"selector\":\"a[href*=\\\"://bit.ly/\\\"]\",\"action\":[\"style\",\"pointer-events: none !important\"]}"],["{\"selector\":\".roarticlecol\",\"action\":[\"style\",\"top: 2px !important\"]}","{\"selector\":\"body > div:not([id]):not([class]) > div[class] > div[class]\",\"action\":[\"style\",\"background-image: none !important\"]}","{\"selector\":\"body > div:not([id]):not([class]) > div[class]\",\"action\":[\"style\",\"padding-top: unset !important; background-color: inherit !important\"]}"],["{\"selector\":\"body.modal-open\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\".main.with-top-menu\",\"action\":[\"style\",\"padding-top: 100px !important\"]}"],["{\"selector\":\"body > *\",\"action\":[\"style\",\"pointer-events: auto !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"cursor: default !important; pointer-events: none !important; background-color: transparent !important\"]}"],["{\"selector\":\"#page-content\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".footer\",\"action\":[\"style\",\"position: relative !important\"]}"],["{\"selector\":\"#reader_pane\",\"action\":[\"style\",\"padding-right: unset !important\"]}","{\"selector\":\"#sinner_container\",\"action\":[\"style\",\"display: block !important; z-index: 0 !important\"]}","{\"selector\":\".ad_title\",\"action\":[\"style\",\"display: block !important; position: fixed !important; top: -10000px !important; left: -10000px !important\"]}","{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"display: block !important\"]}","{\"selector\":\".leaderboard_ad\",\"action\":[\"style\",\"display: block !important; position: fixed !important; top: -10000px !important; left: -10000px !important\"]}"],["{\"selector\":\"body[style*=\\\"overflow: hidden;\\\"]\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\".b-content__pagecontent > .b-content--wrapper > .g-grid\",\"action\":[\"style\",\"margin-top: unset !important\"]}","{\"selector\":\"body:not(#id) > .b-content.b-content__breadcrumbs\",\"action\":[\"style\",\"margin-top: unset !important\"]}","{\"selector\":\"body:not(#id) > .b-content__pagecontent\",\"action\":[\"style\",\"margin-top: unset !important\"]}"],["{\"selector\":\".body_content_table > .left.column\",\"action\":[\"style\",\"margin-right: 0 !important; width: 100% !important\"]}","{\"selector\":\".body_wrapper\",\"action\":[\"style\",\"max-width: 100% !important\"]}","{\"selector\":\".fullscreen_branding ~ .body_content_table\",\"action\":[\"style\",\"margin-top: 0 !important; z-index: 0 !important\"]}","{\"selector\":\".left.column > #question.dialog_thanks\",\"action\":[\"style\",\"left: 67% !important\"]}"],["{\"selector\":\"body:not(#id)\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".smb-bg\",\"action\":[\"style\",\"background: none !important\"]}","{\"selector\":\".wrapper > #tm\",\"action\":[\"style\",\"margin-bottom: auto !important\"]}"],["{\"selector\":\".tm-wrapper > .tm\",\"action\":[\"style\",\"margin-bottom: auto !important\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"background: #eee !important\"]}"],["{\"selector\":\"#page-wrapper > #header\",\"action\":[\"style\",\"margin-bottom: auto !important\"]}","{\"selector\":\"#page-wrapper > .tm-wrapper > .tm\",\"action\":[\"style\",\"margin-bottom: auto !important\"]}","{\"selector\":\"#page-wrapper\",\"action\":[\"style\",\"background-color: white !important\"]}"],["{\"selector\":\"#page-wrapper .container\",\"action\":[\"style\",\"max-width: 100% !important\"]}","{\"selector\":\"#page-wrapper > #wrapper\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\".b-background\",\"action\":[\"style\",\"background: none !important; padding-top: 0 !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"margin-top: auto !important\"]}"],["{\"selector\":\"body > .wrapper > *\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\"body > .wrapper\",\"action\":[\"style\",\"pointer-events: none !important\"]}"],["{\"selector\":\".s-layout > div[class]\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\".mainpage > div[class]\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\"body > .navbar\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\"html > body\",\"action\":[\"style\",\"background-color: white !important\"]}"],["{\"selector\":\".main__branding\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\".news-line > .news-line__block\",\"action\":[\"style\",\"-webkit-animation: none !important; animation: none !important\"]}","{\"selector\":\".news-line > .news-line__block:hover\",\"action\":[\"style\",\"-webkit-animation: scroll 30s linear 0s infinite !important; animation: scroll 30s linear 0s infinite !important\"]}"],["{\"selector\":\"body > .header\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".downloadlink a\",\"action\":[\"style\",\"color: #09c !important; text-decoration: underline !important\"]}","{\"selector\":\".post-info > div[style^=\\\"width: 730px;\\\"][style*=\\\"#f9f9f9\\\"]\",\"action\":[\"style\",\"background-color: #333 !important\"]}","{\"selector\":\"body > div\",\"action\":[\"style\",\"filter: none !important; -webkit-filter: none !important\"]}"],["{\"selector\":\"[class*=\\\"_no_abs\\\"] > *\",\"action\":[\"style\",\"height: auto !important\"]}","{\"selector\":\"[class*=\\\"_no_abs\\\"]\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\".header-clear\",\"action\":[\"style\",\"margin-bottom: 0 !important\"]}"],["{\"selector\":\"#topbrandingspot\",\"action\":[\"style\",\"padding-top: 0 !important; background: none !important\"]}","{\"selector\":\"html:not(#id) > body\",\"action\":[\"style\",\"background: none !important\"]}"],["{\"selector\":\"#ad_global_below_navbar\",\"action\":[\"style\",\"position: fixed !important; transform: scale(0) !important; top: -10000px !important\"]}","{\"selector\":\"#header ~ *\",\"action\":[\"style\",\"position: fixed !important; transform: scale(0) !important; top: -10000px !important\"]}","{\"selector\":\".above_body > div[style]\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\".branding .main-content\",\"action\":[\"style\",\"margin-top: 90px !important\"]}","{\"selector\":\".poster-grid-item > a[target=\\\"_blank\\\"]:first-child\",\"action\":[\"style\",\"pointer-events: none !important\"]}","{\"selector\":\"html[xmlns]\",\"action\":[\"style\",\"background-image: none !important\"]}"],["{\"selector\":\"div[id*=\\\"-error-page\\\"] > p\",\"action\":[\"style\",\"height: 0 !important; opacity: 0 !important\"]}"],["{\"selector\":\".fader-social\",\"action\":[\"style\",\"position: fixed !important; top: -10000px !important; opacity: 0 !important; z-index: -9999 !important\"]}"],["{\"selector\":\".social-open\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\"body:not(#id) .all-wrapper\",\"action\":[\"style\",\"top: 0 !important\"]}","{\"selector\":\"body:not(#id) .bottom-bar\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\"html:not(#id) > body:not(#id)\",\"action\":[\"style\",\"background: none !important\"]}"],["{\"selector\":\".tpc > .post > a[href]\",\"action\":[\"style\",\"word-break: break-all\"]}","{\"selector\":\".tpc > .post > table[width] > tbody > tr > .lgf\",\"action\":[\"style\",\"word-break: break-word\"]}"],["{\"selector\":\"div#body_container\",\"action\":[\"style\",\"margin-top: 0 !important; margin-bottom: 0 !important\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\"html > body\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\".btn-download\",\"action\":[\"style\",\"opacity: 1 !important; pointer-events: auto !important\"]}"],["{\"selector\":\".mainContainer\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\".admineditor-menu\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"body > #td-outer-wrap > *\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\"body > #td-outer-wrap\",\"action\":[\"style\",\"pointer-events: none !important; cursor: auto !important\"]}","{\"selector\":\"html > body\",\"action\":[\"style\",\"background-image: none !important; background-color: #e8e8e8 !important; cursor: auto !important\"]}"],["{\"selector\":\".page-content\",\"action\":[\"style\",\"background-color: inherit !important\"]}","{\"selector\":\".page-content\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"body > .header-menu-bg\",\"action\":[\"style\",\"margin-bottom: 0 !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"cursor: auto !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"pointer-events: none !important\"]}"],["{\"selector\":\".head-top\",\"action\":[\"style\",\"position: absolute !important\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"background: #091016 !important\"]}"],["{\"selector\":\"header .container\",\"action\":[\"style\",\"padding-top: 30px !important\"]}"],["{\"selector\":\".navbar\",\"action\":[\"style\",\"position: relative !important\"]}","{\"selector\":\".right-column > .sticky-box\",\"action\":[\"style\",\"position: relative !important\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"padding-top: unset !important\"]}"],["{\"selector\":\".JoinForm__notNow\",\"action\":[\"style\",\"font-weight: bold !important; color: red !important; border: 3px solid red !important; padding: 6px !important\"]}","{\"selector\":\"body.video_showcase #page_body\",\"action\":[\"style\",\"max-width: 100% !important\"]}","{\"selector\":\"body.video_showcase .VideoGrid.video_items_list\",\"action\":[\"style\",\"max-width: 97% !important\"]}","{\"selector\":\"body.video_showcase .VideoLayout\",\"action\":[\"style\",\"max-width: 100% !important\"]}","{\"selector\":\"body.video_showcase .VideoSearchInput\",\"action\":[\"style\",\"max-width: 100% !important\"]}"],["{\"selector\":\".PhotoPrimaryAttachment__background[src*=\\\"userapi.com/impf/\\\"][src*=\\\"blur=\\\"]\",\"action\":[\"style\",\"filter: blur(20px) !important\"]}"],["{\"selector\":\"body > #layout-center > *\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\"body > #layout-center\",\"action\":[\"style\",\"pointer-events: none !important\"]}"],["{\"selector\":\"#header_box\",\"action\":[\"style\",\"height: auto !important; min-height: auto !important\"]}"],["{\"selector\":\"body.home\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\"#footer\",\"action\":[\"style\",\"background: none !important; padding: 0 !important\"]}","{\"selector\":\"#top-line\",\"action\":[\"style\",\"background: none !important; padding: 0 !important; height: auto !important\"]}","{\"selector\":\"body:not(#id)\",\"action\":[\"style\",\"background-color: #9ab9a7 !important\"]}"],["{\"selector\":\".branding_wrapper > *\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\".branding_wrapper\",\"action\":[\"style\",\"pointer-events: none !important\"]}"],["{\"selector\":\".wrapper > header\",\"action\":[\"style\",\"margin-top: 15px !important\"]}"],["{\"selector\":\".main-wrapper\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".page-wrapper\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".footer\",\"action\":[\"style\",\"background: #1c1e1f !important; color: #fff !important\"]}","{\"selector\":\".gallery_img_preload\",\"action\":[\"style\",\"position: absolute !important; display: block !important; opacity: 0 !important; margin-top: 155px !important; margin-left: 20px !important; width: calc(100% - 40%);\"]}","{\"selector\":\".lstfml .footer .links a\",\"action\":[\"style\",\"color: #fff !important\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"background-image: none !important; background-color: #1c1e1f !important\"]}"],["{\"selector\":\".body > .body\",\"action\":[\"style\",\"user-select: text !important; -moz-user-select: text !important; -webkit-user-select: text !important\"]}"],["{\"selector\":\".cookie-paywall-visible div > .article-body-content ~ .article-body-content\",\"action\":[\"style\",\"display: flex !important\"]}"],["{\"selector\":\"#wrapper:not(#id)\",\"action\":[\"style\",\"margin-top: 67px !important\"]}"],["{\"selector\":\".i-layout__branding-content-wrapper\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\".i-layout_branding\",\"action\":[\"style\",\"background-image: none !important\"]}"],["{\"selector\":\"#topper_up\",\"action\":[\"style\",\"height: 88px !important\"]}"],["{\"selector\":\".have-brand .wrap\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".main\",\"action\":[\"style\",\"margin-top: 2px !important\"]}"],["{\"selector\":\"#alert > *\",\"action\":[\"style\",\"pointer-events: auto\"]}","{\"selector\":\"#alert\",\"action\":[\"style\",\"pointer-events: none\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"background: black !important; cursor: default\"]}"],["{\"selector\":\"#mainContainer\",\"action\":[\"style\",\"cursor: auto !important; padding-top: unset !important; background-color: inherit !important\"]}"],["{\"selector\":\".b-cell > div[id]\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"body:not(#id) .header\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".td-header-sp-logo\",\"action\":[\"style\",\"max-height: 90px !important\"]}"],["{\"selector\":\".newsfeed\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\".footer-logo\",\"action\":[\"style\",\"filter: invert(0.8) !important\"]}","{\"selector\":\"img[src=\\\"/vision/footer-logo.png\\\"]\",\"action\":[\"style\",\"filter: invert(0.8) !important\"]}"],["{\"selector\":\".td-ad-background-link #td-outer-wrap\",\"action\":[\"style\",\"cursor: default !important\"]}"],["{\"selector\":\"#SITE_PAGES > div > div[id]\",\"action\":[\"style\",\"min-height: auto !important\"]}","{\"selector\":\"[data-mesh-id]\",\"action\":[\"style\",\"min-height: auto !important; height: auto !important\"]}"],["{\"selector\":\"body > #page\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".home\",\"action\":[\"style\",\"background-image: none !important; padding-top: 0 !important\"]}"],["{\"selector\":\".header\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\".overlayed .bottom-page.scroll-block\",\"action\":[\"style\",\"filter: none !important; -webkit-filter: none !important\"]}"],["{\"selector\":\".post_content.newsletter\",\"action\":[\"style\",\"max-height: unset !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"position: unset !important\"]}"],["{\"selector\":\"[data-test-id=\\\"News_SpecialArticle\\\"] + div[class]:not(:empty) + div[class]:not(:empty)\",\"action\":[\"style\",\"min-height: auto !important\"]}","{\"selector\":\"[data-test-id=\\\"News_SpecialArticle\\\"] + div[class]:not(:empty)\",\"action\":[\"style\",\"min-height: auto !important\"]}","{\"selector\":\"[data-test-id=\\\"News_SpecialArticle\\\"] ~ div[class]:empty + div[class]:not(:empty) + div[class]:not(:empty)\",\"action\":[\"style\",\"min-height: auto !important\"]}","{\"selector\":\"[data-test-id=\\\"News_SpecialArticle\\\"] ~ div[class]:empty + div[class]:not(:empty)\",\"action\":[\"style\",\"min-height: auto !important\"]}","{\"selector\":\"[data-test-id=\\\"News_SpecialArticle\\\"]:empty\",\"action\":[\"style\",\"min-height: auto !important\"]}","{\"selector\":\"body > #app [data-branding-wrapper]\",\"action\":[\"style\",\"padding-top: 0 !important\"]}","{\"selector\":\"body > #app div[style=\\\"display:block !important\\\"] > div:first-child > div:first-child + div > div:first-child + div > div[data-name]:first-child + div\",\"action\":[\"style\",\"margin-top: auto !important\"]}"],["{\"selector\":\".buttonContainer[data-name=\\\"play\\\"][style*=\\\"left: 10px;\\\"]\",\"action\":[\"style\",\"opacity: unset !important\"]}"],["{\"selector\":\"html > body:not(#id)\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background-color: inherit !important\"]}"],["{\"selector\":\".main-container\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".article > .onadlable ~ .js-mediator-article a[href]:not([href^=\\\"/\\\"]):not([href^=\\\"#\\\"]):not([href*=\\\"3dnews.\\\"])\",\"action\":[\"style\",\"pointer-events: none !important; text-decoration: none !important; color: inherit !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background: #e8ecff !important\"]}"],["{\"selector\":\".page-layout-without-banner\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".top-line + header.main\",\"action\":[\"style\",\"top: auto !important\"]}"],["{\"selector\":\".redirect-button\",\"action\":[\"style\",\"pointer-events: auto !important; opacity: 1 !important\"]}"],["{\"selector\":\".hide-dn img\",\"action\":[\"style\",\"filter: none !important\"]}"],["{\"selector\":\".have-brand .obertka-in\",\"action\":[\"style\",\"margin-top: 70px !important\"]}"],["{\"selector\":\".DefaultLayout-main\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"padding-right: unset !important; overflow: auto !important\"]}"],["{\"selector\":\".quote a.btn\",\"action\":[\"style\",\"pointer-events: auto !important\"]}"],["{\"selector\":\"html.dark-mode > body\",\"action\":[\"style\",\"filter: invert(90%) !important\"]}","{\"selector\":\"html.dark-mode > iframe\",\"action\":[\"style\",\"filter: none !important\"]}","{\"selector\":\"html.dark-mode\",\"action\":[\"style\",\"filter: none !important\"]}"],["{\"selector\":\"#embed-video > [id^=\\\"blink\\\"]\",\"action\":[\"style\",\"-webkit-animation: none !important; animation: none !important; color: var(--color--normal) !important; font-weight: normal !important\"]}","{\"selector\":\".navbart > a[href] > .spin\",\"action\":[\"style\",\"animation-name: none !important\"]}","{\"selector\":\".publisher-name > [id^=\\\"blink\\\"]\",\"action\":[\"style\",\"-webkit-animation: none !important; animation: none !important; color: var(--color--normal) !important; font-weight: normal !important\"]}"],["{\"selector\":\".dwrp\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"body.ReactModal__Body--open\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\".article__bg\",\"action\":[\"style\",\"left: 49% !important\"]}"],["{\"selector\":\".wrap\",\"action\":[\"style\",\"padding-top: 0 !important; top: 0 !important\"]}"],["{\"selector\":\"body > #header\",\"action\":[\"style\",\"top: 0 !important\"]}","{\"selector\":\"body > .page\",\"action\":[\"style\",\"padding-top: 144px !important\"]}"],["{\"selector\":\"body > .widget_header .header_icons\",\"action\":[\"style\",\"top: 0 !important\"]}","{\"selector\":\"body > .widget_header .lang_switcher\",\"action\":[\"style\",\"top: 0 !important\"]}","{\"selector\":\"body > .widget_header .menu\",\"action\":[\"style\",\"top: 0 !important\"]}","{\"selector\":\"body > .widget_header\",\"action\":[\"style\",\"padding-top: 60px !important\"]}"],["{\"selector\":\"body > #right ~ .middle\",\"action\":[\"style\",\"margin-right: 4px !important\"]}"],["{\"selector\":\".ReactVirtualized__Grid__innerScrollContainer\",\"action\":[\"style\",\"height: auto !important\"]}","{\"selector\":\".fs-table__row\",\"action\":[\"style\",\"position: initial !important\"]}","{\"selector\":\".fs-table__row[style^=\\\"height: 162px;\\\"]\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\".wrap > .block\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"body > .wrapper\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"#container\",\"action\":[\"style\",\"cursor: auto !important\"]}"],["{\"selector\":\"#sitebox:not(#id)\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".page\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".right-column > .b-newsfeed > span\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"#wrapper\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"body:not(#id)\",\"action\":[\"style\",\"padding-top: 0 !important; padding-bottom: 0 !important\"]}"],["{\"selector\":\"body > div[class^=\\\"wrapper\\\"]\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".downloada > .btn\",\"action\":[\"style\",\"font-size: large !important; color: #b4ff00 !important\"]}","{\"selector\":\".downloada\",\"action\":[\"style\",\"display: block !important\"]}","{\"selector\":\".main_shift\",\"action\":[\"style\",\"height: 100px !important\"]}"],["{\"selector\":\"[href*=\\\"poluchenie-premium-dostupa.html\\\"] > b > .fa-spin\",\"action\":[\"style\",\"animation: none !important\"]}"],["{\"selector\":\"#videoViewPlayer\",\"action\":[\"style\",\"padding-top: unset !important\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important\"]}"],["{\"selector\":\"header > .body\",\"action\":[\"style\",\"margin-top: 54px !important\"]}"],["{\"selector\":\"body > #page\",\"action\":[\"style\",\"margin-top: 65px !important\"]}","{\"selector\":\"html > body\",\"action\":[\"style\",\"background-image: none !important; background-color: transparent !important\"]}"],["{\"selector\":\".banner\",\"action\":[\"style\",\"height: 90px !important\"]}"],["{\"selector\":\".blocked .text\",\"action\":[\"style\",\"filter: none !important; -webkit-filter: none !important\"]}","{\"selector\":\".blocked\",\"action\":[\"style\",\"filter: none !important; -webkit-filter: none !important\"]}","{\"selector\":\".locked .example\",\"action\":[\"style\",\"filter: none !important; -webkit-filter: none !important\"]}"],["{\"selector\":\"#subheader\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"#main-wrapper\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\".right-sidebar\",\"action\":[\"style\",\"margin-top: 0 !important; overflow: hidden !important\"]}"],["{\"selector\":\".scrollable > #thumbs\",\"action\":[\"style\",\"width: max-content !important\"]}","{\"selector\":\".scrollable\",\"action\":[\"style\",\"overflow-x: auto !important; padding-bottom: 16px !important\"]}"],["{\"selector\":\"#comments_block\",\"action\":[\"style\",\"margin-top: unset !important\"]}","{\"selector\":\".embed-instagram > iframe\",\"action\":[\"style\",\"max-width: unset !important\"]}"],["{\"selector\":\"#top_banner:not(#id)\",\"action\":[\"style\",\"display: block !important; pointer-events: none !important; opacity: 0 !important; height: 0 !important\"]}","{\"selector\":\".advt:not(#id)\",\"action\":[\"style\",\"display: block !important; pointer-events: none !important; opacity: 0 !important; height: 0 !important\"]}","{\"selector\":\".sidebar\",\"action\":[\"style\",\"top: 0 !important\"]}","{\"selector\":\"div[class]:not([id]):first-child:only-child > div[class]:not([id]):first-child:only-child > div[class]:not([id]):first-child:only-child\",\"action\":[\"style\",\"height: unset !important\"]}"],["{\"selector\":\".right-banner > div\",\"action\":[\"style\",\"height: auto !important\"]}","{\"selector\":\"a[href*=\\\"adpool.bet/\\\"]\",\"action\":[\"style\",\"pointer-events: none !important; opacity: 0 !important; height: 0 !important\"]}","{\"selector\":\"body > .wrapper > #main\",\"action\":[\"style\",\"overflow: hidden !important\"]}"],["{\"selector\":\".dpbAll\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\".page-column > .right-adv-container\",\"action\":[\"style\",\"top: 100px !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background-image: none !important; background-color: #ffffff !important; padding-top: 0 !important\"]}"],["{\"selector\":\"div[class^=\\\"right-block\\\"][style^=\\\"min-height:\\\"]\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\".main .header\",\"action\":[\"style\",\"padding-top: 94px !important\"]}","{\"selector\":\".showfull .header\",\"action\":[\"style\",\"padding-top: 60px !important\"]}","{\"selector\":\"img[src]\",\"action\":[\"style\",\"filter: none !important\"]}"],["{\"selector\":\".wrapper\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".header\",\"action\":[\"style\",\"padding-block-start: 0 !important\"]}"],["{\"selector\":\"body > .wrapper\",\"action\":[\"style\",\"padding-top: 0 !important; padding-bottom: 0 !important\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"padding-top: 0 !important; padding-bottom: 0 !important; background-image: none !important\"]}"],["{\"selector\":\".bg_container > .wrapper-content\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"body > section[class*=\\\"section details\\\"]\",\"action\":[\"style\",\"padding-top: 70px !important\"]}"],["{\"selector\":\"iframe.youtube-video:not([src*=\\\"//utraff.com/\\\"])\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\".content:not(#id)\",\"action\":[\"style\",\"margin-top: 80px !important\"]}"],["{\"selector\":\".footer\",\"action\":[\"style\",\"margin-top: 20px !important\"]}","{\"selector\":\".out__inner > header\",\"action\":[\"style\",\"visibility: inherit !important\"]}"],["{\"selector\":\"main > .container\",\"action\":[\"style\",\"margin-top: 50px !important\"]}"],["{\"selector\":\".page-content\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"aside > div.overflow-hidden + .block-sidebar-wrapper\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"div[class^=\\\"headbg\\\"] > .menu .sar\",\"action\":[\"style\",\"bottom: auto !important; top: 50px !important; z-index: 100 !important\"]}","{\"selector\":\"div[class^=\\\"headbg\\\"] > .menu\",\"action\":[\"style\",\"top: 0 !important\"]}","{\"selector\":\"div[class^=\\\"headbg\\\"]\",\"action\":[\"style\",\"background-image: none !important; height: auto !important\"]}"],["{\"selector\":\".container > header\",\"action\":[\"style\",\"margin-top: 10px !important\"]}","{\"selector\":\".topside\",\"action\":[\"style\",\"max-width: 99.8% !important\"]}"],["{\"selector\":\"#content\",\"action\":[\"style\",\"top: 0 !important; left: 0 !important; width: 100% !important; margin-left: 0 !important\"]}"],["{\"selector\":\".wrapper.full\",\"action\":[\"style\",\"margin-top: 70px !important\"]}"],["{\"selector\":\".justify-content-center > .col[id]\",\"action\":[\"style\",\"max-width: max-content !important\"]}","{\"selector\":\"body > footer\",\"action\":[\"style\",\"background: none !important\"]}","{\"selector\":\"main#mainContainer\",\"action\":[\"style\",\"max-width: unset !important\"]}"],["{\"selector\":\"#advert\",\"action\":[\"style\",\"height: 1px !important\"]}","{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"max-height: 6px !important\"]}"],["{\"selector\":\".fix_block > nav\",\"action\":[\"style\",\"position: relative !important\"]}","{\"selector\":\".fix_block\",\"action\":[\"style\",\"position: relative !important\"]}","{\"selector\":\"body.pagefullbg\",\"action\":[\"style\",\"padding-top: 50px !important\"]}"],["{\"selector\":\".short-poster > img\",\"action\":[\"style\",\"filter: none !important; -webkit-filter: none !important\"]}"],["{\"selector\":\"body > .container\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"#main\",\"action\":[\"style\",\"max-width: 100% !important\"]}"],["{\"selector\":\".navbar-default\",\"action\":[\"style\",\"margin-bottom: 0 !important\"]}"],["{\"selector\":\"#vO5STmSLgNAkebzSluI8coxpDgsG97g\",\"action\":[\"style\",\"height: 1px !important; min-height: 1px !important\"]}"],["{\"selector\":\"#main-wrapper > #wrap\",\"action\":[\"style\",\"padding: 0 10px !important\"]}"],["{\"selector\":\".top_bg\",\"action\":[\"style\",\"height: 0 !important\"]}"],["{\"selector\":\"body:not(#id)\",\"action\":[\"style\",\"padding: 0 !important\"]}","{\"selector\":\"html:not(#id)\",\"action\":[\"style\",\"padding: 0 !important\"]}"],["{\"selector\":\".colorAdmin\",\"action\":[\"style\",\"color: black !important; font-weight: 100 !important; font-size: 8px !important\"]}"],["{\"selector\":\".content > .media\",\"action\":[\"style\",\"padding-bottom: unset !important\"]}","{\"selector\":\".right-sidebar\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\".main-container\",\"action\":[\"style\",\"margin-top: 80px !important\"]}"],["{\"selector\":\".page-header\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\"#page-wrapper > header\",\"action\":[\"style\",\"margin-bottom: auto !important\"]}"],["{\"selector\":\"body[style*=\\\"://image.krasview.ru/channel\\\"]\",\"action\":[\"style\",\"background-color: #596c84 !important\"]}"],["{\"selector\":\"[data-ns-portal] .page-type-article.branding div[class^=\\\"content_\\\"] > div[class^=\\\"bottom\\\"]\",\"action\":[\"style\",\"max-width: 100% !important\"]}","{\"selector\":\"[data-ns-portal] .page-type-article.branding\",\"action\":[\"style\",\"--grid-breakpoint-lg: unset !important; margin-top: unset !important; width: 100% !important\"]}"],["{\"selector\":\".wrapper\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"div[class^=\\\"articleBlockViqeo_\\\"][class*=\\\"notReady_\\\"]\",\"action\":[\"style\",\"padding-bottom: unset !important\"]}"],["{\"selector\":\"div[class^=\\\"Branding_container_\\\"]\",\"action\":[\"style\",\"margin-top: unset !important; height: auto !important\"]}"],["{\"selector\":\".body *\",\"action\":[\"style\",\"opacity: 1 !important; filter: none !important; pointer-events: auto !important\"]}","{\"selector\":\".topAdvertize__wrapper\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\".wrap\",\"action\":[\"style\",\"cursor: default !important\"]}","{\"selector\":\".wraps\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"#new_logo_helper01\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\".sidebarfix\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"#container:not(#id)\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".content-wrapper\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\"body *\",\"action\":[\"style\",\"transition: none !important\"]}"],["{\"selector\":\".fancybox-enabled\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\"#trend\",\"action\":[\"style\",\"margin-bottom: 0 !important\"]}","{\"selector\":\"#wrapper\",\"action\":[\"style\",\"background: none !important\"]}"],["{\"selector\":\".nav-line\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"background-color: rgb(255, 255, 238) !important\"]}"],["{\"selector\":\".home\",\"action\":[\"style\",\"padding-top: 0 !important\"]}","{\"selector\":\".single\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\".need-friends\",\"action\":[\"style\",\"margin-top: 125px !important\"]}"],["{\"selector\":\".headb\",\"action\":[\"style\",\"height: auto !important\"]}","{\"selector\":\".wrap\",\"action\":[\"style\",\"margin-top: unset !important\"]}"],["{\"selector\":\"article.full > div .skrin ~ div\",\"action\":[\"style\",\"border: unset !important; background-color: unset !important\"]}"],["{\"selector\":\".htitle\",\"action\":[\"style\",\"margin-left: 0 !important; left: 150px !important\"]}","{\"selector\":\".logo\",\"action\":[\"style\",\"margin-left: 0 !important; left: 0 !important\"]}","{\"selector\":\"body > .standard\",\"action\":[\"style\",\"height: 100px !important; background: transparent !important\"]}","{\"selector\":\"header[role=\\\"banner\\\"]\",\"action\":[\"style\",\"height: 100px !important; background: transparent !important\"]}","{\"selector\":\"nav[role=\\\"navigation\\\"] > ul\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\"body > header\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".native-brand ~ section.main\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\".native-brand\",\"action\":[\"style\",\"height: 0 !important\"]}","{\"selector\":\"header\",\"action\":[\"style\",\"position: relative !important\"]}"],["{\"selector\":\".page-wrapper\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"body > a.bsec[href=\\\"#\\\"]\",\"action\":[\"style\",\"top: 31px !important\"]}"],["{\"selector\":\"#pagewrapper\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".avito-ads-container\",\"action\":[\"style\",\"margin: 0 !important; min-height: 0 !important; padding-top: 0 !important\"]}"],["{\"selector\":\".promo-background\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\".header--short.header\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"#userTabs\",\"action\":[\"style\",\"float: none !important\"]}"],["{\"selector\":\".branding\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"body.cookielaw-blur-background > *\",\"action\":[\"style\",\"filter: none !important\"]}","{\"selector\":\"html > head ~ body\",\"action\":[\"style\",\"overflow-y: auto !important\"]}"],["{\"selector\":\"html > body > *\",\"action\":[\"style\",\"pointer-events: auto !important\"]}"],["{\"selector\":\"html > body\",\"action\":[\"style\",\"background-image: none !important; pointer-events: none !important\"]}"],["{\"selector\":\"[data-alias=\\\"Copyright\\\"] .widget-area > .widget_text:last-child\",\"action\":[\"style\",\"border-style: none !important\"]}"],["{\"selector\":\".body-branding\",\"action\":[\"style\",\"background: none !important; padding-top: 0 !important\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"width: auto !important; position: unset !important; overflow: auto !important\"]}"],["{\"selector\":\".layout-default__content--brand\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"background: none !important\"]}"],["{\"selector\":\"#art-main\",\"action\":[\"style\",\"background-image: none !important\"]}","{\"selector\":\".bg-top-menu\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\".header.header-wrapper\",\"action\":[\"style\",\"padding-top: 15px !important\"]}"],["{\"selector\":\".content\",\"action\":[\"style\",\"background: none !important; padding: 0 !important\"]}"],["{\"selector\":\"#main\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background: none !important; margin-top: 0 !important; padding-top: 0 !important\"]}"],["{\"selector\":\".mt-auto\",\"action\":[\"style\",\"margin-top: unset !important\"]}"],["{\"selector\":\"#snow\",\"action\":[\"style\",\"animation: none !important\"]}","{\"selector\":\"body:not(#id) > .header\",\"action\":[\"style\",\"margin-bottom: auto !important\"]}"],["{\"selector\":\".box[class*=\\\"content\\\"]\",\"action\":[\"style\",\"margin-top: auto !important\"]}"],["{\"selector\":\".pocaz\",\"action\":[\"style\",\"width: 10px !important; height: 10px !important; position: fixed !important; top:-100px !important\"]}"],["{\"selector\":\"body > .site\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"body > div[style*=\\\"width\\\"][style*=\\\"margin\\\"]\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".page-layout > main\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"body > #container\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\".header-space\",\"action\":[\"style\",\"max-width: 100% !important\"]}"],["{\"selector\":\".block-content > .ageLimit ~ .block-player\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\".p-sidebar\",\"action\":[\"style\",\"margin: auto !important\"]}","{\"selector\":\"div[class^=\\\"banner\\\"] + section > div\",\"action\":[\"style\",\"width: auto !important; height: auto !important\"]}","{\"selector\":\"div[class^=\\\"banner\\\"] + section\",\"action\":[\"style\",\"padding: unset !important; margin: unset !important\"]}","{\"selector\":\"html:not(#id) > body > [id]:not([style])\",\"action\":[\"style\",\"background-image: none !important; padding-top: 0 !important\"]}"],["{\"selector\":\".adb\",\"action\":[\"style\",\"position: fixed !important; transform: scale(0) !important\"]}","{\"selector\":\".forumAd\",\"action\":[\"style\",\"height: 1px !important\"]}","{\"selector\":\".navbar_notice\",\"action\":[\"style\",\"position: fixed !important; transform: scale(0) !important\"]}"],["{\"selector\":\".contentWrap .lcWrap\",\"action\":[\"style\",\"padding-right: unset !important\"]}"],["{\"selector\":\"#left-block\",\"action\":[\"style\",\"min-height: 100% !important\"]}","{\"selector\":\"#right-block\",\"action\":[\"style\",\"min-height: 100% !important\"]}"],["{\"selector\":\".mg-advert__content:not(:first-child)\",\"action\":[\"style\",\"margin-top: unset !important\"]}","{\"selector\":\".mg-grid__col > div[style^=\\\"margin-top:\\\"]\",\"action\":[\"style\",\"margin-top: unset !important\"]}","{\"selector\":\"[data-microappname=\\\"TopMicroApp\\\"] div[style*=\\\"height: 0;\\\"]\",\"action\":[\"style\",\"padding-top: unset !important\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"overflow-y: unset !important\"]}","{\"selector\":\"div[class^=\\\"dzen-wrapper-with-top-content-desktop__topContent-\\\"]\",\"action\":[\"style\",\"grid-template-columns: inherit !important\"]}"],["{\"selector\":\"[data-test=\\\"sticky-header\\\"] > div\",\"action\":[\"style\",\"max-width: 1280px !important\"]}","{\"selector\":\"[data-test=\\\"sticky-header\\\"] > div:first-child > div:first-child + div > div:not(:last-child)\",\"action\":[\"style\",\"margin-right: 60px !important\"]}"],["{\"selector\":\"body > .eva\",\"action\":[\"style\",\"margin-top: 50px !important\"]}"],["{\"selector\":\"header .light-line\",\"action\":[\"style\",\"height: unset !important\"]}"],["{\"selector\":\"#search_panel > .panel-body\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\".site\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".sitemaker > .grid > .sm-responsive-full-width\",\"action\":[\"style\",\"width: auto !important\"]}"],["{\"selector\":\"body > #header\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".jnrGz\",\"action\":[\"style\",\"height: calc(var(--vh, 1vh)*100 - 1px) !important\"]}"],["{\"selector\":\".ftips-branding .td-main-page-wrap\",\"action\":[\"style\",\"padding-top: 5px !important\"]}","{\"selector\":\".ftips-branding-ad + div\",\"action\":[\"style\",\"padding-top: 5px !important\"]}","{\"selector\":\".ftips-branding.td_category_template_1 .td-category-header\",\"action\":[\"style\",\"padding-top: 5px !important\"]}"],["{\"selector\":\"div[id^=\\\"pai_thumbz_\\\"][id$=\\\"_side\\\"]\",\"action\":[\"style\",\"background: #363636 !important\"]}"],["{\"selector\":\"html > body\",\"action\":[\"style\",\"overflow-y: auto !important; position: static !important\"]}"],["{\"selector\":\"div[class^=\\\"container-content\\\"] > div[class^=\\\"obolox\\\"]\",\"action\":[\"style\",\"margin-top: 52px !important\"]}"],["{\"selector\":\"body > .container\",\"action\":[\"style\",\"margin-top: 120px !important\"]}"],["{\"selector\":\"#content.site-max-width\",\"action\":[\"style\",\"margin-top: 0 !important; padding-top: 0 !important\"]}","{\"selector\":\"body > div[id] > div[id]\",\"action\":[\"style\",\"background-image: none !important\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"background-color: #303030 !important; background-image: none !important\"]}"],["{\"selector\":\"#mainContent > section:first-of-type\",\"action\":[\"style\",\"margin-top: unset !important\"]}"],["{\"selector\":\".comment-background\",\"action\":[\"style\",\"background: none !important\"]}","{\"selector\":\".main-content\",\"action\":[\"style\",\"background: none !important\"]}","{\"selector\":\".user-profile-section\",\"action\":[\"style\",\"margin-top: unset !important\"]}"],["{\"selector\":\"body > div[class^=\\\"js-nh\\\"]\",\"action\":[\"style\",\"margin-top: 115px !important\"]}"],["{\"selector\":\"#_id_main_content\",\"action\":[\"style\",\"max-width: 100% !important\"]}","{\"selector\":\".b_header\",\"action\":[\"style\",\"max-width: 100% !important\"]}"],["{\"selector\":\".maps .maps-block\",\"action\":[\"style\",\"height: auto !important\"]}","{\"selector\":\".project-maps .wrap\",\"action\":[\"style\",\"max-width: 1010px !important\"]}","{\"selector\":\".project-weather .wrap\",\"action\":[\"style\",\"max-width: 1010px !important\"]}","{\"selector\":\".section-map-grid\",\"action\":[\"style\",\"display: unset !important\"]}","{\"selector\":\".section-map-grid\",\"action\":[\"style\",\"margin-bottom: 20px !important\"]}"],["{\"selector\":\"a[href^=\\\"https://www.goha.ru/~\\\"]\",\"action\":[\"style\",\"pointer-events: none !important\"]}"],["{\"selector\":\".wrapper__content-inner:not(#id)\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\".wallpapers > [class^=\\\"wallpapers__item\\\"]\",\"action\":[\"style\",\"margin-right: unset !important; width: 320px !important\"]}"],["{\"selector\":\".main-block .main-inner-wrap\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".page\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"#Page\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".rightColumn > .darkPart\",\"action\":[\"style\",\"height: auto !important\"]}","{\"selector\":\"footer.pageContainer\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\"#link-b\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\".wrapper-body\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".jirrua\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".page-branded\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"body > .all\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"#td-outer-wrap > *\",\"action\":[\"style\",\"pointer-events: auto\"]}","{\"selector\":\"#td-outer-wrap\",\"action\":[\"style\",\"pointer-events: none\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"background-image: none !important; background-color: whitesmoke !important\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"pointer-events: none\"]}"],["{\"selector\":\".knb-grid-container > [data-io-article-url]:has(> [class^=\\\"MaterialItemHead_head\\\"] [href=\\\"/tags/partnyorskij-material/\\\"]) > .knb-grid-container [class^=\\\"material-content_\\\"] a[href][target=\\\"_blank\\\"]:not([href^=\\\"https://www.igromania.ru/\\\"])\",\"action\":[\"style\",\"color: inherit !important; pointer-events: none !important\"]}"],["{\"selector\":\".footer-slow-download__btn\",\"action\":[\"style\",\"color: #57a216 !important; font-size: 19px !important; font-weight: bold !important\"]}"],["{\"selector\":\"body > .page__wrapper\",\"action\":[\"style\",\"padding-top: 60px !important\"]}"],["{\"selector\":\"#contentShifter\",\"action\":[\"style\",\"height: 127px !important\"]}"],["{\"selector\":\".fltext\",\"action\":[\"style\",\"background: none !important; position: unset !important\"]}"],["{\"selector\":\"body > .layout\",\"action\":[\"style\",\"padding-top: 50px !important\"]}"],["{\"selector\":\".headerNotify_hasUnread .nbl-simpleControlButton\",\"action\":[\"style\",\"animation: none !important\"]}","{\"selector\":\".page-wrapper > .content-main\",\"action\":[\"style\",\"padding-top: 0 !important\"]}","{\"selector\":\"body.watch > div[class]:not([id]):not([style]):nth-child(-1n+2)\",\"action\":[\"style\",\"background: none !important\"]}","{\"selector\":\"body.watch > header.ivi-top\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\"body:not(#id)\",\"action\":[\"style\",\"background: whitesmoke !important\"]}"],["{\"selector\":\".comments_form\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\".ten_ears_wrap\",\"action\":[\"style\",\"margin: 35px auto 0 auto !important\"]}","{\"selector\":\".ten_topbar\",\"action\":[\"style\",\"height: 0 !important\"]}","{\"selector\":\"body > .menu_wrap\",\"action\":[\"style\",\"position: relative !important\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"background-image: none !important; background-color: #bdbdbd !important\"]}"],["{\"selector\":\".outer\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"body > .wrapper\",\"action\":[\"style\",\"background: none !important; padding-top: 0 !important; padding-bottom: 0 !important\"]}"],["{\"selector\":\"#actorListBlock\",\"action\":[\"style\",\"padding-right: 19px !important\"]}","{\"selector\":\"#header-info-bg\",\"action\":[\"style\",\"background-color: transparent !important; background-image: none !important\"]}","{\"selector\":\".app div[class^=\\\"device\\\"][class*=\\\" page-main__content\\\"]\",\"action\":[\"style\",\"background-color: black !important\"]}","{\"selector\":\".content-container_app-width_wide\",\"action\":[\"style\",\"max-width: 100% !important\"]}","{\"selector\":\".desktop-layout-with-sidebar__content > div[class][data-tid]\",\"action\":[\"style\",\"width: auto !important\"]}","{\"selector\":\".film-seances-page\",\"action\":[\"style\",\"box-shadow: 0 -8px 15px #333333 !important\"]}","{\"selector\":\".filmsListNew .info\",\"action\":[\"style\",\"padding-right: 116px !important\"]}","{\"selector\":\".header-navigation\",\"action\":[\"style\",\"max-width: 100% !important\"]}","{\"selector\":\".modal-root div[class^=\\\"fullscreen-selector\\\"]\",\"action\":[\"style\",\"opacity: inherit !important\"]}","{\"selector\":\".page-content > #header-info-bg + div[id]:not([class])\",\"action\":[\"style\",\"margin-bottom: 40px !important\"]}","{\"selector\":\".page-content > div[id]:not(#header-info-bg):empty + div[id]:not(#top)\",\"action\":[\"style\",\"margin-bottom: 40px !important\"]}","{\"selector\":\".shadow.shadow-restyle\",\"action\":[\"style\",\"box-shadow: 0 -8px 15px #333333 !important\"]}","{\"selector\":\".user-subscription-partial-component__subscription-item-text\",\"action\":[\"style\",\"white-space: pre-wrap !important\"]}","{\"selector\":\"div > a[aria-label=\\\"КиноПоиск\\\"] ~ div > button ~ div\",\"action\":[\"style\",\"opacity: inherit !important\"]}","{\"selector\":\"div[class*=\\\" styles_basicInfoSection\\\"]\",\"action\":[\"style\",\"padding-top: 40px !important\"]}","{\"selector\":\"div[class*=\\\" styles_basicMediaSection\\\"]\",\"action\":[\"style\",\"padding-top: 40px !important\"]}","{\"selector\":\"div[class*=\\\" styles_videoContainer\\\"]\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\"div[class*=\\\"kinopoisk-media-container_pending\\\"]\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\"div[class*=\\\"styles_baseContainer\\\"] > div[class]:first-child > div[class]:first-child\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\"div[class*=\\\"styles_baseContainer\\\"] > div[class]:first-child\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\"div[class*=\\\"styles_headerContainer\\\"] + div[class^=\\\"styles_\\\"]\",\"action\":[\"style\",\"max-width: 100% !important\"]}","{\"selector\":\"div[class*=\\\"user-bar\\\"] > div > button ~ div\",\"action\":[\"style\",\"opacity: inherit !important\"]}","{\"selector\":\"div[class^=\\\"styles_emptyItems__\\\"] div\",\"action\":[\"style\",\"background-color: transparent !important\"]}","{\"selector\":\"div[class^=\\\"styles_footerContainer__\\\"]\",\"action\":[\"style\",\"max-width: 100% !important\"]}","{\"selector\":\"div[style=\\\"min-width: 1px;\\\"]\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\"div[style=\\\"min-width:1px\\\"]\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\".header_container\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\"html > body\",\"action\":[\"style\",\"background-image: none !important; background-color: black !important\"]}"],["{\"selector\":\".bg_container\",\"action\":[\"style\",\"padding-top: 0 !important\"]}","{\"selector\":\".subbody2\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".page-detail .section-detail-news\",\"action\":[\"style\",\"margin-left: 0 !important\"]}"],["{\"selector\":\"div[id^=\\\"newsid_\\\"] > .row0[style=\\\"margin-bottom:8px;\\\"]\",\"action\":[\"style\",\"pointer-events: none !important\"]}"],["{\"selector\":\"#allrecords > #t-header + div + div[id^=\\\"rec\\\"][style*=\\\"padding-top:\\\"]\",\"action\":[\"style\",\"padding-top: 0 !important\"]}","{\"selector\":\"#allrecords > #t-header + div[id^=\\\"rec\\\"][style*=\\\"padding-top:\\\"]\",\"action\":[\"style\",\"padding-top: 0 !important\"]}","{\"selector\":\".page-wrapper > .page-inner\",\"action\":[\"style\",\"margin-top: auto !important\"]}"],["{\"selector\":\".container[style=\\\"max-width: unset;\\\"] > .container\",\"action\":[\"style\",\"margin-top: auto !important\"]}"],["{\"selector\":\".longgrid-list__box\",\"action\":[\"style\",\"justify-content: unset !important\"]}"],["{\"selector\":\".recipes-layout__content\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".theme-wrapper > .container > div\",\"action\":[\"style\",\"padding-bottom: unset !important\"]}"],["{\"selector\":\".content\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".allpage .currency a\",\"action\":[\"style\",\"pointer-events: none !important\"]}"],["{\"selector\":\":not(.allpageinner) > :not(.header) > .logo > a[href=\\\"/\\\"] > span\",\"action\":[\"style\",\"top: inherit !important; left: inherit !important; font-size: x-large !important; font-weight: bold !important; color: #0183cb !important\"]}"],["{\"selector\":\".main\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".vjs-big-play-button\",\"action\":[\"style\",\"background: #0fc3c3 !important\"]}"],["{\"selector\":\".article__item_source_viqeo .article__container::before\",\"action\":[\"style\",\"content: initial !important\"]}","{\"selector\":\".grid__header .ph-auth\",\"action\":[\"style\",\"height: 37px !important\"],\"tasks\":[[\"matches-media\",\"(max-width: 1280px)\"]]}","{\"selector\":\".grid__header .ph-container\",\"action\":[\"style\",\"height: 40px !important\"],\"tasks\":[[\"matches-media\",\"(max-width: 1280px)\"]]}","{\"selector\":\".grid__header .ph-modal-projects-overlay\",\"action\":[\"style\",\"top: inherit !important\"]}","{\"selector\":\".grid__header > .headline\",\"action\":[\"style\",\"height: 40px !important\"],\"tasks\":[[\"matches-media\",\"(max-width: 1280px)\"]]}","{\"selector\":\".grid__main-col .eventbar-wrapper\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\".grid__main-col > div[slot=\\\"main-column\\\"] .search-container\",\"action\":[\"style\",\"margin-top: 4px !important; margin-bottom: 4px !important\"]}","{\"selector\":\".pm-logo__link:has(> img[src*=\\\"/logo_2021_region\\\"])\",\"action\":[\"style\",\"pointer-events: none !important\"]}","{\"selector\":\".tabs-content .news-item_regular > a:not([data-testid=\\\"news-prefix\\\"])\",\"action\":[\"style\",\"white-space: pre-line !important\"]}","{\"selector\":\".tabs-content > :first-child > a > .news-main__img\",\"action\":[\"style\",\"max-width: unset !important; min-width: unset !important; height: 5em !important; width: 6.66em !important\"]}","{\"selector\":\".tabs-content > :first-child > a > .news-main__text-wrapper\",\"action\":[\"style\",\"max-height: 5em !important; white-space: pre-line !important\"]}","{\"selector\":\".tabs-content > :first-child > a\",\"action\":[\"style\",\"max-height: 5em !important; position: static !important\"]}","{\"selector\":\".tabs-content > :first-child > a::after\",\"action\":[\"style\",\"position: unset !important\"]}","{\"selector\":\".tabs-content > :first-child ~ li\",\"action\":[\"style\",\"max-width: 660px !important\"]}","{\"selector\":\".tabs-content > :first-child\",\"action\":[\"style\",\"max-width: 750px !important\"]}","{\"selector\":\".weather_right-column .weather__block\",\"action\":[\"style\",\"height: auto !important\"]}","{\"selector\":\"[data-testid=\\\"grid-left-col\\\"] > .logo\",\"action\":[\"style\",\"margin-top: 4px !important; margin-bottom: 4px !important\"]}","{\"selector\":\"[slot=\\\"main-column\\\"] .news-item\",\"action\":[\"style\",\"line-height: 19px !important\"],\"tasks\":[[\"matches-media\",\"(max-width: 1280px)\"]]}","{\"selector\":\"[slot=\\\"main-column\\\"] > .tabs\",\"action\":[\"style\",\"height: 20px !important\"],\"tasks\":[[\"matches-media\",\"(max-width: 1280px)\"]]}","{\"selector\":\"body > .grid .grid__lcol > .footer\",\"action\":[\"style\",\"margin-top: 10px !important\"]}","{\"selector\":\"body > .grid .grid__rcol\",\"action\":[\"style\",\"margin-left: 0 !important\"]}","{\"selector\":\"body:not(.js-module) .tabs + div[class] > :first-child\",\"action\":[\"style\",\"width: 100% !important\"]}","{\"selector\":\"body:not(.js-module) .tabs + div[class]\",\"action\":[\"style\",\"min-width: fit-content !important\"]}","{\"selector\":\"body:not(.js-module) .tabs > .tabs__item\",\"action\":[\"style\",\"padding: 0 5px !important; font-size: 15px !important\"]}","{\"selector\":\"div:not(.grid__main-col) > div[slot=\\\"main-column\\\"] .search-container\",\"action\":[\"style\",\"margin-top: 4px !important; margin-bottom: 20px !important\"]}","{\"selector\":\"div[slot=\\\"main-column\\\"] .tabs\",\"action\":[\"style\",\"margin-top: 5px !important\"]}","{\"selector\":\"div[slot=\\\"main-column\\\"] > .micro-widgets\",\"action\":[\"style\",\"height: auto !important; margin: auto !important\"]}"],["{\"selector\":\".pm-logo > .pm-logo__link + .pm-logo__link > .pm-logo__name__title\",\"action\":[\"style\",\"opacity: 1 !important; background-color: #005ff9 !important; top: 0 !important; right: -9px !important; height: 35px !important; width: 75px !important; z-index: 9999 !important; font-size: 0 !important; box-shadow: none !important\"]}"],["{\"selector\":\"div[class^=\\\"Public__folderContent\\\"]\",\"action\":[\"style\",\"padding-right: 0 !important\"]}","{\"selector\":\"div[class^=\\\"ReactViewer__root-\\\"]\",\"action\":[\"style\",\"--bottom-banner-height: 1px !important\"]}"],["{\"selector\":\".pm-logo > .pm-logo__link + .pm-logo__link > .pm-logo__name__title\",\"action\":[\"style\",\"opacity: 1 !important; background-color: #005ff9 !important; top: 0 !important; right: -11px !important; height: 35px !important; width: 70px !important; z-index: 9999 !important; font-size: 0 !important; box-shadow: none !important\"]}"],["{\"selector\":\"#app-canvas .application-mail__layout .layout__column_right\",\"action\":[\"style\",\"width: auto !important\"]}","{\"selector\":\"#app-canvas .paginator-container\",\"action\":[\"style\",\"right: 8px !important\"]}","{\"selector\":\".application-mail__wrap > .application-mail__layout > .layout[style*=\\\"grid-template-columns:\\\"]\",\"action\":[\"style\",\"grid-template-columns: 232px 1fr 0 0 !important\"]}","{\"selector\":\".application_new-toolbar .application-mail:not(.application-mail_webview-mobile) .letter-list[class*=\\\"adv\\\"]\",\"action\":[\"style\",\"--letter-list-top-toolbar-height: inherit !important\"]}","{\"selector\":\".layer-sent-page > .layer\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\"body > div > .letter-list-item-adv\",\"action\":[\"style\",\"display: block !important\"]}","{\"selector\":\"body > div[style*=\\\"top:\\\"][style*=\\\"position:\\\"][style*=\\\"visibility:\\\"] #app-canvas div\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\".ph-projects > a[href^=\\\"https://e.mail.ru/messages/inbox?utm_\\\"]\",\"action\":[\"style\",\"pointer-events: none !important\"]}","{\"selector\":\"a[href^=\\\"/payment/center/\\\"][class^=\\\"logo\\\"]\",\"action\":[\"style\",\"width: 133px !important; !important; overflow: hidden !important\"]}","{\"selector\":\"body:not(#id) > div[style=\\\"position: absolute; visibility: hidden; top: -10000px; left: -10000px;\\\"] > div\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"aside > div > div\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\".pm-logo > .pm-logo__link + .pm-logo__link > .pm-logo__name__title\",\"action\":[\"style\",\"opacity: 1 !important; background-color: #005ff9 !important; top: 0 !important; right: -1px !important; height: 35px !important; width: 75px !important; z-index: 9999 !important; font-size: 0 !important; box-shadow: none !important\"]}"],["{\"selector\":\"#portal-menu\",\"action\":[\"style\",\"margin: 0 !important\"]}","{\"selector\":\".header-banner\",\"action\":[\"style\",\"margin: 0 !important\"]}"],["{\"selector\":\".portal-menu__logo__link\",\"action\":[\"style\",\"width: 90px !important; !important; overflow: hidden !important\"]}"],["{\"selector\":\"#portal-headline\",\"action\":[\"style\",\"margin-top: auto !important\"]}"],["{\"selector\":\"html.window-loaded .b-video-controls__inside-play-button\",\"action\":[\"style\",\"visibility: visible !important; opacity: 0 !important; width: 100% !important; height: 100% !important; top: 0 !important; left: 0 !important\"]}"],["{\"selector\":\"body > .block > .tag\",\"action\":[\"style\",\"z-index: 1400 !important; cursor: pointer !important\"]}"],["{\"selector\":\".pm-logo > .pm-logo__link + .pm-logo__link > .pm-logo__name__title\",\"action\":[\"style\",\"opacity: 1 !important; background-color: #005ff9 !important; top: 0 !important; right: -9px !important; height: 35px !important; width: 70px !important; z-index: 9999 !important; font-size: 0 !important; box-shadow: none !important\"]}"],["{\"selector\":\"#portal-menu [title=\\\"Ответы Mail.ru\\\"] > a > svg\",\"action\":[\"style\",\"transform: none !important; padding-top: 16px !important\"]}","{\"selector\":\".pm-logo__link__pic:not([src*=\\\"/logo_ny/\\\"])\",\"action\":[\"style\",\"height: 39px; display: none !important\"]}"],["{\"selector\":\".pm-logo > .pm-logo__link + .pm-logo__link > .pm-logo__name__title\",\"action\":[\"style\",\"opacity: 1 !important; background-color: #005ff9 !important; top: 0 !important; right: -9px !important; height: 35px !important; width: 73px !important; z-index: 9999 !important; font-size: 0 !important; box-shadow: none !important\"]}"],["{\"selector\":\"main[style^=\\\"background-color:\\\"]\",\"action\":[\"style\",\"background-color: inherit !important\"]}"],["{\"selector\":\".aggregator-page\",\"action\":[\"style\",\"pointer-events: none !important; opacity: 0 !important\"]}"],["{\"selector\":\"#page > .content\",\"action\":[\"style\",\"margin-top: 74px !important\"]}","{\"selector\":\".header-wrapper\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\"#gl_pos1\",\"action\":[\"style\",\"min-width: auto !important; width: unset !important\"]}","{\"selector\":\"#main_tb\",\"action\":[\"style\",\"top: 0 !important\"]}","{\"selector\":\"#move_up[style*=\\\"left: -40px;\\\"]\",\"action\":[\"style\",\"left: 0 !important\"]}","{\"selector\":\"html > body\",\"action\":[\"style\",\"background-color: #f7f8f9 !important\"]}"],["{\"selector\":\"body.noscroll\",\"action\":[\"style\",\"overflow: auto !important\"]}","{\"selector\":\"body.noscroll::before\",\"action\":[\"style\",\"content: none !important\"]}"],["{\"selector\":\".wrapp_content\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -khtml-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important\"]}"],["{\"selector\":\"#page-wrapper\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\".col-side > .opinion-teaser\",\"action\":[\"style\",\"border-top: none !important\"]}"],["{\"selector\":\"#header-b\",\"action\":[\"style\",\"margin-bottom: 11px !important\"]}"],["{\"selector\":\"div[class=\\\"global-top-menus article_menu_type\\\"]\",\"action\":[\"style\",\"margin-top: auto !important\"]}"],["{\"selector\":\".adv-banner__right\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\"body > div:not([id]):not([class]) > .exit-popup\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\".video-box[style=\\\"display: none;\\\"]\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"#wrapper\",\"action\":[\"style\",\"background-image: none !important; padding-bottom: 0 !important\"]}"],["{\"selector\":\"a.over-hiddenlink-html[target=\\\"_blank\\\"]\",\"action\":[\"style\",\"pointer-events: none !important; color: inherit !important\"]}"],["{\"selector\":\"tr > td[nowrap=\\\"nowrap\\\"][style=\\\"color: red;  font-weight: bold\\\"]\",\"action\":[\"style\",\"color: #004488 !important; font-weight: 200 !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"cursor: auto !important; background: whitesmoke !important\"]}"],["{\"selector\":\"body > .a\",\"action\":[\"style\",\"background-image: none !important\"]}"],["{\"selector\":\".app > .app__inner[style*=\\\"padding-top\\\"]\",\"action\":[\"style\",\"padding-top: 64px !important\"]}","{\"selector\":\".footer__inner\",\"action\":[\"style\",\"background-color: var(--color--app__bg) !important; color: var(--color--app__text) !important\"]}","{\"selector\":\".pub300x250.pub300x250m.pub728x90.text-ad.textAd.textad.textads.text-ads.text-ad-links\",\"action\":[\"style\",\"display: block !important; position: absolute !important; top: -10000px !important; left: -10000px !important\"]}","{\"selector\":\"aside > .sidebar-block > div > div > div > div\",\"action\":[\"style\",\"min-height: unset !important\"]}","{\"selector\":\"aside > .sidebar-block > div > div > div\",\"action\":[\"style\",\"min-height: unset !important\"]}","{\"selector\":\"aside > .sidebar-block > div > div\",\"action\":[\"style\",\"min-height: unset !important\"]}","{\"selector\":\"aside > .sidebar-block > div\",\"action\":[\"style\",\"min-height: unset !important\"]}","{\"selector\":\"aside > .sidebar-block\",\"action\":[\"style\",\"min-height: unset !important\"]}","{\"selector\":\"div[class*=\\\"page-story\\\"][class*=\\\"ments\\\"] div\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\"header > .header__main\",\"action\":[\"style\",\"background-color: var(--color--header__bg) !important\"]}"],["{\"selector\":\"body > #branding\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"#foundationWrapper > *\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\"#foundationWrapper > div\",\"action\":[\"style\",\"height: auto !important\"]}","{\"selector\":\"#foundationWrapper\",\"action\":[\"style\",\"background: #373737 !important; padding-top: 0 !important\"]}","{\"selector\":\"#foundationWrapper\",\"action\":[\"style\",\"pointer-events: none !important\"]}","{\"selector\":\".content_aside-container > .content-column\",\"action\":[\"style\",\"padding-left: 0 !important; padding-right: 40px !important\"]}","{\"selector\":\".content_aside-container\",\"action\":[\"style\",\"flex-direction: unset !important\"]}","{\"selector\":\".gp-game-card .user-profile-sidebar\",\"action\":[\"style\",\"max-width: unset !important\"]}","{\"selector\":\"body#userNotAuthorized .bonus-landing-page .panel-collapse > .panel-body\",\"action\":[\"style\",\"background-color: white !important\"]}","{\"selector\":\"body#userNotAuthorized .bonus-landing-page .panel-default > .panel-heading\",\"action\":[\"style\",\"background-color: white !important\"]}","{\"selector\":\"body#userNotAuthorized .bonus-landing-page-faq > .title\",\"action\":[\"style\",\"color: white !important\"]}"],["{\"selector\":\".banner-advertise\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\".open-main-container\",\"action\":[\"style\",\"margin-top: 60px !important\"]}"],["{\"selector\":\"div[id][class*=\\\" BannerPlace-\\\"]\",\"action\":[\"style\",\"filter: grayscale(1) !important\"]}"],["{\"selector\":\".foundation-wrapper\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\".page-width\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\".sp-header-block\",\"action\":[\"style\",\"height: 50px !important\"]}"],["{\"selector\":\"#container\",\"action\":[\"style\",\"top: auto !important\"]}","{\"selector\":\"html > body\",\"action\":[\"style\",\"background-image:none !important; pointer-events: none !important\"]}"],["{\"selector\":\"body:not(#id)\",\"action\":[\"style\",\"padding-top: 130px !important\"]}"],["{\"selector\":\".main-wrapp__content\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"div[class]\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\".ad_branding_main > div[class]\",\"action\":[\"style\",\"max-width: 100% !important\"]}","{\"selector\":\".ad_branding_main > div[class]:first-child > div\",\"action\":[\"style\",\"max-width: 100% !important\"]}","{\"selector\":\".ad_branding_main > div[class]:first-child\",\"action\":[\"style\",\"margin-left: 0 !important\"]}","{\"selector\":\".ad_branding_main\",\"action\":[\"style\",\"max-width: 100% !important\"]}"],["{\"selector\":\"div[class*=\\\"WithRightBarWrapper\\\"] > div[class*=\\\"AutoAppContainer\\\"]\",\"action\":[\"style\",\"max-width: 100% !important\"]}"],["{\"selector\":\"html > body:not(#id)\",\"action\":[\"style\",\"overflow: unset !important\"]}"],["{\"selector\":\"#app > div\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\"footer\",\"action\":[\"style\",\"max-width: 100% !important\"]}"],["{\"selector\":\"#js_col_left > .l-sticky\",\"action\":[\"style\",\"position: relative !important; top: unset !important\"]}","{\"selector\":\".g-banner__news-footer\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\".g-relative > .forecast\",\"action\":[\"style\",\"height: auto !important\"]}","{\"selector\":\".l-col-100h\",\"action\":[\"style\",\"min-height: 0 !important; height: auto !important\"]}","{\"selector\":\".l-sticky:has(.forecast:empty) ~ .js-news-feed > .news-feed\",\"action\":[\"style\",\"top: 166px !important; position: unset !important\"]}"],["{\"selector\":\".g-icon-big.g-play::after\",\"action\":[\"style\",\"bottom: calc(50% - 55px) !important; left: calc(50% - 55px) !important; cursor: pointer !important\"]}","{\"selector\":\".l-small-width-top-padding\",\"action\":[\"style\",\"padding-top: unset !important\"]}","{\"selector\":\".video-gallery-popup.single .video-gallery-popup__body\",\"action\":[\"style\",\"left: 200px !important; right: 200px !important\"]}","{\"selector\":\".video-gallery-popup.single .video-gallery-popup__wrap\",\"action\":[\"style\",\"max-width: 100% !important\"]}"],["{\"selector\":\"#topcontainer\",\"action\":[\"style\",\"margin-top: 40px !important\"]}"],["{\"selector\":\"div[class*=\\\"_spiegelWrapper\\\"]\",\"action\":[\"style\",\"padding-top: 0 !important\"]}","{\"selector\":\"div[class^=\\\"PageMediaContentVideo_mainContent\\\"]\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\"div[class^=\\\"Page_main\\\"][style*=\\\"min-height:\\\"]\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\".m-blur\",\"action\":[\"style\",\"filter: none !important; position: relative !important\"]}"],["{\"selector\":\".header20-00\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\"#wrapper > #header\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"body > .wrapper\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\".body--brranding > .content\",\"action\":[\"style\",\"margin-top: unset !important\"]}","{\"selector\":\"html:not(#id) > body:not(#id) .body--brranding > *\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\"html:not(#id) > body:not(#id) .body--brranding\",\"action\":[\"style\",\"pointer-events: none !important\"]}"],["{\"selector\":\".menu[role=\\\"navigation\\\"] div[style]\",\"action\":[\"style\",\"height: auto !important\"]}","{\"selector\":\"aside > div[class]:first-child div\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\"html.dark > body\",\"action\":[\"style\",\"background-color: #171717 !important\"]}","{\"selector\":\"html:not(.dark) > body\",\"action\":[\"style\",\"background: initial !important\"]}"],["{\"selector\":\".abp\",\"action\":[\"style\",\"transform: none !important; direction: ltr !important\"]}"],["{\"selector\":\".promotion .h-layoutWide\",\"action\":[\"style\",\"cursor: auto !important\"]}"],["{\"selector\":\".b-site-body\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"#main_body > .block\",\"action\":[\"style\",\"height: auto !important\"]}","{\"selector\":\"#site\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".header_top\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".se-onair-popup:not([class*=\\\"active\\\"]) > .se-onair\",\"action\":[\"style\",\"background: #292e35 !important\"]}","{\"selector\":\".se-onair-popup:not([class*=\\\"active\\\"])\",\"action\":[\"style\",\"bottom: 10px !important; right: 0 !important; width: 155px !important; top: 22px !important\"]}","{\"selector\":\"body.popup\",\"action\":[\"style\",\"overflow:auto !important\"]}"],["{\"selector\":\".tab__sport a[href^=\\\"https://www.championat.com/\\\"]\",\"action\":[\"style\",\"pointer-events: none !important\"]}"],["{\"selector\":\".header-middle-wrapper\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\".layout_footer\",\"action\":[\"style\",\"margin-top: 20px !important\"]}","{\"selector\":\".p-article-bookmakers ~ div a[href^=\\\"https://r.mail.ru/\\\"]\",\"action\":[\"style\",\"pointer-events: none !important; text-decoration: none !important; color: inherit !important\"]}"],["{\"selector\":\"#branding-layout > * > *\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\"#branding-layout > a\",\"action\":[\"style\",\"width: 0 !important; height: 0 !important; left:-10000px !important\"]}","{\"selector\":\"#branding-layout\",\"action\":[\"style\",\"pointer-events: none !important\"]}","{\"selector\":\"#branding-layout:not(#id)\",\"action\":[\"style\",\"padding-top: 0 !important\"]}","{\"selector\":\".columns-layout__right > div > div[id][class]\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\":not(.nba-global-nav-wrapper) + #branding-layout:not(#id)\",\"action\":[\"style\",\"margin-top: 96px !important\"]}","{\"selector\":\"[data-content-name=\\\"banner-static\\\"]\",\"action\":[\"style\",\"position: fixed !important; left: -10000px !important; transform: scale(0) !important; display: none !important\"]}","{\"selector\":\"body.img-bg\",\"action\":[\"style\",\"padding-top: 0 !important\"]}","{\"selector\":\"body.is-fixed\",\"action\":[\"style\",\"overflow: auto !important\"]}","{\"selector\":\"html > body\",\"action\":[\"style\",\"background-image: none !important; background-color: #a7a7a7 !important\"]}"],["{\"selector\":\"#branding-wrapper\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"div[id^=\\\"videoplayer_\\\"][class^=\\\"iframe_wrapper\\\"]\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\".n-main-branding-container\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"#footer\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\"#vbulletin_html #globalcontent\",\"action\":[\"style\",\"margin-top: unset !important\"]}","{\"selector\":\"#vbulletin_html .above_body\",\"action\":[\"style\",\"margin-bottom: auto !important\"]}","{\"selector\":\"#vbulletin_html body > div[id][class]\",\"action\":[\"style\",\"background: none !important\"]}","{\"selector\":\"html\",\"action\":[\"style\",\"background-color: #dbdbdb !important\"]}","{\"selector\":\"html.home > body idiv[class][id]\",\"action\":[\"style\",\"background: none !important\"]}"],["{\"selector\":\"#header\",\"action\":[\"style\",\"height: 94px !important\"]}","{\"selector\":\".header-inner\",\"action\":[\"style\",\"height: 94px !important\"]}"],["{\"selector\":\"aside > div[class^=\\\"NavPanel_nav\\\"]\",\"action\":[\"style\",\"width: unset !important\"]}","{\"selector\":\"div[class^=\\\"LoopChannelLayout_widget\\\"] > div[class^=\\\"SimpleCaption_wrapper\\\"]\",\"action\":[\"style\",\"background: none !important\"]}","{\"selector\":\"div[class^=\\\"PageLayout_top_sticky_box\\\"]\",\"action\":[\"style\",\"position: relative !important\"]}"],["{\"selector\":\".preview-section .vertical-video__play-icon-wrapper\",\"action\":[\"style\",\"display: unset !important\"]}"],["{\"selector\":\"body:not(.path-frontpage) .page-main\",\"action\":[\"style\",\" min-height: unset !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background: whitesmoke !important\"]}"],["{\"selector\":\"#all:not(#id) > #content\",\"action\":[\"style\",\"margin-top: 20px !important\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"background-color: #fff !important\"]}"],["{\"selector\":\".modal-open\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\".tp-widget-pinned-post-item__title > a\",\"action\":[\"style\",\"pointer-events: auto !important\"]}"],["{\"selector\":\".tBlurred\",\"action\":[\"style\",\"-webkit-filter: none !important\"]}"],["{\"selector\":\"html[prefix] > body\",\"action\":[\"style\",\"background-color: #202030 !important; background-image: none !important\"]}"],["{\"selector\":\".page-wrap\",\"action\":[\"style\",\"margin-right: unset !important\"]}"],["{\"selector\":\"#cmain\",\"action\":[\"style\",\"margin-left: unset !important\"]}"],["{\"selector\":\"body[style] > .vgt_orig_bg\",\"action\":[\"style\",\"display: block !important\"]}","{\"selector\":\"html > body[style] > :not(.vgt_orig_bg)\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\"html > body[style]\",\"action\":[\"style\",\"pointer-events: none !important; padding-top: 0 !important; background-image: none !important\"]}"],["{\"selector\":\".with-cookies-agreements .channels-line\",\"action\":[\"style\",\"top: calc(70px + 0px) !important\"]}","{\"selector\":\".with-cookies-agreements .header\",\"action\":[\"style\",\"top: 0 !important\"]}","{\"selector\":\".with-cookies-agreements .wrapper\",\"action\":[\"style\",\"margin-top: 120px !important\"]}","{\"selector\":\".wrapper.adfoxClickable > div\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\".wrapper.adfoxClickable\",\"action\":[\"style\",\"padding-top: 0 !important; background-image: none !important; pointer-events: none !important; background-color: #ECEFF2 !important\"]}","{\"selector\":\"body > .wrapper\",\"action\":[\"style\",\"padding-top: 0 !important; background-color: #ECEFF2 !important\"]}"],["{\"selector\":\"div[style^=\\\"min-height: 100vh;\\\"]\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\"ul.tabsmenuverch li\",\"action\":[\"style\",\"padding-right: 2px !important; padding-left: 2px !important\"]}"],["{\"selector\":\".ly.header\",\"action\":[\"style\",\"top: -1px !important\"]}","{\"selector\":\".onair[style^=\\\"height:\\\"] > .onair_wrapper > [name=\\\"btn_air_close\\\"]\",\"action\":[\"style\",\"opacity: unset !important\"]}","{\"selector\":\".onair_wrapper\",\"action\":[\"style\",\"position: relative !important; bottom: unset !important; right: unset !important; -webkit-animation: none !important; animation: none !important\"]}","{\"selector\":\".vjs-poster\",\"action\":[\"style\",\"position: inherit !important\"]}"],["{\"selector\":\"td[width=\\\"100%\\\"][valign=\\\"top\\\"][class^=\\\"post\\\"] > .postcolor > img\",\"action\":[\"style\",\"max-width: 100% !important\"]}"],["{\"selector\":\"#header + .banner\",\"action\":[\"style\",\"height: 100px !important\"]}"],["{\"selector\":\".p_wrap\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".wrap\",\"action\":[\"style\",\"transform: none !important; margin-top: 0 !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background-color: #f1f3f6 !important\"]}"],["{\"selector\":\"div > .banner-root ~ .page-root > #page > div[class]:first-child > div[class]:first-child + div + div > div[style] > div[style] > div > div:last-child div\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\"div > .banner-root ~ .page-root > #page > div[class]:first-child > div[class]:first-child + div > section > div[class]:first-child ~ div > div > div\",\"action\":[\"style\",\"min-height: 0 !important\"]}","{\"selector\":\"div > .banner-root ~ .page-root > #page > div[class]:first-child > div[class]:first-child + div > section > div[class]:first-child ~ div > div > span ~ div > div[class]\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\"#columns > .transparent\",\"action\":[\"style\",\"background-color: transparent !important\"]}","{\"selector\":\".branding\",\"action\":[\"style\",\"background: none !important; height: auto !important\"]}","{\"selector\":\".logo\",\"action\":[\"style\",\"background: none !important; height: auto !important\"]}","{\"selector\":\"body[style^=\\\"padding-top:\\\"][style*=\\\"250px\\\"][style*=\\\"!important\\\"]\",\"action\":[\"style\",\"margin-top: -250px !important\"]}","{\"selector\":\"html > body:not(#id)\",\"action\":[\"style\",\"background-color: #3a3a3a !important\"]}"],["{\"selector\":\".rotate-block\",\"action\":[\"style\",\"display: table !important\"]}","{\"selector\":\"aside > div[class^=\\\"styled__SidebarWrap-\\\"]\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\".wrapper-header\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".wrapper\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\"div[class*=\\\"user-data-grid\\\"]\",\"action\":[\"style\",\"background: none !important; height: auto !important\"]}"],["{\"selector\":\"#root\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\"#blink2[color=\\\"red\\\"]\",\"action\":[\"style\",\"-webkit-animation: none !important; color: #837e6e !important\"]}","{\"selector\":\"div[id^=\\\"pos\\\"] > a > img[src*=\\\"audioportal.su/!!!ads/!rotator/\\\"]\",\"action\":[\"style\",\"zoom: 0.1 !important; filter: grayscale(1) !important\"]}"],["{\"selector\":\"body [data-revive-id] ~ script ~ [id][class]\",\"action\":[\"style\",\"background-image: none !important\"]}","{\"selector\":\"html:not([class]):not([style]) > body:not([itemscope]) > div[id] > div[id][href]\",\"action\":[\"style\",\"cursor: auto !important\"]}","{\"selector\":\"html[style]:not([style=\\\"\\\"]) > body [class]:not([id]):not(div):not([style]) :not(div)[class][id]\",\"action\":[\"style\",\"min-height: 0 !important; height: unset !important\"]}"],["{\"selector\":\".postquotehref\",\"action\":[\"style\",\"position: inherit !important\"]}","{\"selector\":\"body > .wrap\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\".category-all #content\",\"action\":[\"style\",\"background-image: none !important; cursor: auto !important\"]}"],["{\"selector\":\"div#main\",\"action\":[\"style\",\"margin-top: 0 !important; margin-bottom: 0 !important\"]}","{\"selector\":\"table.lista[width=\\\"100%\\\"][style] > tbody > tr > td.header[width=\\\"110px\\\"]\",\"action\":[\"style\",\"color: transparent !important\"]}"],["{\"selector\":\".static_content\",\"action\":[\"style\",\"min-height: 0 !important\"]}"],["{\"selector\":\".topserial\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\".footer\",\"action\":[\"style\",\"margin-bottom: 0 !important\"]}"],["{\"selector\":\"#disqus_thread\",\"action\":[\"style\",\"min-width: 700px !important\"]}"],["{\"selector\":\".video_content\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\".is--forum\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\"body > div[id]:not([class])\",\"action\":[\"style\",\"margin-top: auto !important\"]}"],["{\"selector\":\"html:not(#id) *\",\"action\":[\"style\",\"-webkit-filter: none !important; filter: none !important\"]}"],["{\"selector\":\"#cn-content.playlists-iframe\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\"html.bx-no-touch button[data-analytics$=\\\"-watch-with-ads-btn\\\"]\",\"action\":[\"style\",\"min-width: 0 !important; max-width: unset !important; width: 115px !important; overflow: hidden !important; padding-left: 15px !important\"]}"],["{\"selector\":\"[data-video_status=\\\"paused\\\"] .buttonContainer[data-name=\\\"play\\\"][style*=\\\"left: 10px;\\\"]\",\"action\":[\"style\",\"opacity: unset !important\"]}"],["{\"selector\":\".eael-sticky-video-wrapper > #videobox\",\"action\":[\"style\",\"all: inherit !important\"]}"],["{\"selector\":\"#subbody\",\"action\":[\"style\",\"top: auto !important\"]}","{\"selector\":\".big-ad-wrapper\",\"action\":[\"style\",\"height: auto !important\"]}","{\"selector\":\"html > body:not(#id) > *\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\"html > body:not(#id)\",\"action\":[\"style\",\"pointer-events: none !important; background-color: #eff1f2 !important; margin-top: auto !important\"]}"],["{\"selector\":\"div[style=\\\"position:absolute;left:0px;top:0px;width:240px;margin-top:660px\\\"]\",\"action\":[\"style\",\"position: relative !important; margin-top: auto !important\"]}"],["{\"selector\":\".scroll-content.disable-scrolling\",\"action\":[\"style\",\"overflow:auto !important\"]}","{\"selector\":\"body.overflow--hidden\",\"action\":[\"style\",\"overflow:auto !important\"]}"],["{\"selector\":\"#wrapper > #header\",\"action\":[\"style\",\"position: relative !important\"]}","{\"selector\":\"#wrapper\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"position: relative !important; top: 0 !important\"]}"],["{\"selector\":\".wrap_nd .page-head\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\".l-wrapper\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".header.fixed .layout\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\".right_column_content > .block_news\",\"action\":[\"style\",\"margin-top: 0 !important\"]}","{\"selector\":\"header.header\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".page-container\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background-image: none !important; background-color: #f5f5f5 !important\"]}"],["{\"selector\":\"#content > #header > div[style^=\\\"height: 94px;\\\"]\",\"action\":[\"style\",\"height: 6px !important\"]}","{\"selector\":\"#content > #header\",\"action\":[\"style\",\"height: 220px !important; background-position-y: -100px !important\"]}","{\"selector\":\"#right > div[style^=\\\"height:\\\"]\",\"action\":[\"style\",\"height: 0 !important\"]}","{\"selector\":\"td.left[width=\\\"200\\\"][valign=\\\"top\\\"]\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"padding-top: 40px !important; background-image: none !important\"]}"],["{\"selector\":\".gbg\",\"action\":[\"style\",\"top: auto !important\"]}"],["{\"selector\":\"#header\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\".header-main .container .row\",\"action\":[\"style\",\"min-height: unset !important\"]}"],["{\"selector\":\"body > .block0\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".ban_head\",\"action\":[\"style\",\"display: block !important; background: none !important; pointer-events: none !important\"]}","{\"selector\":\"header > a[href=\\\"/\\\"]\",\"action\":[\"style\",\"display: block !important\"]}","{\"selector\":\"main\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"#page\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\".block-type-widget-area\",\"action\":[\"style\",\"min-height: 0 !important; box-shadow: none !important\"]}"],["{\"selector\":\"body.td-animation-stack-type0 .post img\",\"action\":[\"style\",\"opacity: unset !important\"]}","{\"selector\":\"body.td-animation-stack-type0 .td-animation-stack .entry-thumb\",\"action\":[\"style\",\"opacity: unset !important\"]}"],["{\"selector\":\".back_bottom > *\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\".back_bottom\",\"action\":[\"style\",\"cursor: auto !important\"]}","{\"selector\":\".back_bottom\",\"action\":[\"style\",\"pointer-events: none !important\"]}"],["{\"selector\":\".island_overflow-initial > .feature_wide\",\"action\":[\"style\",\"margin: auto !important\"]}"],["{\"selector\":\"#popup-manager.popup-show + #layout\",\"action\":[\"style\",\"-webkit-filter: none !important; filter: none !important\"]}"],["{\"selector\":\"#ad-300 + .w\",\"action\":[\"style\",\"margin-top: unset !important\"]}"],["{\"selector\":\"#main-block > .content-block\",\"action\":[\"style\",\"margin: auto !important\"]}"],["{\"selector\":\"#navbar\",\"action\":[\"style\",\"position: relative !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"background-image: none !important; padding-top: 0 !important\"]}"],["{\"selector\":\".body_container\",\"action\":[\"style\",\"padding-bottom: unset !important\"]}","{\"selector\":\".footer_container\",\"action\":[\"style\",\"height: auto !important; margin-top: auto !important\"]}"],["{\"selector\":\".video-stream > *\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\".video-stream\",\"action\":[\"style\",\"background-image:none !important; pointer-events: none !important\"]}"],["{\"selector\":\"aside#sidebar\",\"action\":[\"style\",\"min-height: auto !important\"]}"],["{\"selector\":\".lenta-wrap > .lenta\",\"action\":[\"style\",\"position: relative !important\"]}","{\"selector\":\".lenta-wrap\",\"action\":[\"style\",\"height: auto !important\"]}"],["{\"selector\":\"body.lock\",\"action\":[\"style\",\"overflow: auto !important; padding-right: 0 !important\"]}"],["{\"selector\":\"#totalbg\",\"action\":[\"style\",\"background-image: none !important\"]}"],["{\"selector\":\"body > .layout\",\"action\":[\"style\",\"margin-top: 0 !important\"]}"],["{\"selector\":\"a[href*=\\\"://rdr.fmcgsd.net/in/offer/\\\"]\",\"action\":[\"style\",\"pointer-events: none !important; color: unset !important; border-bottom: none !important\"]}","{\"selector\":\"a[href*=\\\"://telemart.ua/\\\"]\",\"action\":[\"style\",\"pointer-events: none !important; color: unset !important; border-bottom: none !important\"]}","{\"selector\":\"a[href*=\\\"utm_\\\"][target=\\\"_blank\\\"]\",\"action\":[\"style\",\"pointer-events: none !important; color: unset !important; border-bottom: none !important\"]}","{\"selector\":\"a[href^=\\\"https://ek.ua/ua/\\\"]\",\"action\":[\"style\",\"pointer-events: none !important; color: unset !important; border-bottom: none !important\"]}"],["{\"selector\":\"html:not(#id)\",\"action\":[\"style\",\"background: none !important\"]}"],["{\"selector\":\".infobar > .info-block:not(.mail):not(.weather)\",\"action\":[\"style\",\"border: none !important\"]}"],["{\"selector\":\".wrapper > .header\",\"action\":[\"style\",\"height: 150px !important\"]}"],["{\"selector\":\"#home_page\",\"action\":[\"style\",\"max-width: 100% !important\"]}"],["{\"selector\":\".alltop1\",\"action\":[\"style\",\"margin-bottom: 30px !important\"]}"],["{\"selector\":\"footer\",\"action\":[\"style\",\"margin: 0 !important\"]}"],["{\"selector\":\"#js-content\",\"action\":[\"style\",\"padding-top: 40px !important\"]}"],["{\"selector\":\".mfp-content\",\"action\":[\"style\",\"background-color: #ddd !important\"]}","{\"selector\":\".mfp-wrap\",\"action\":[\"style\",\"position: unset !important\"]}"],["{\"selector\":\"head > style:empty\",\"action\":[\"style\",\"all: inherit !important\"]}"],["{\"selector\":\"#outer-top\",\"action\":[\"style\",\"padding-top: initial !important\"]}"],["{\"selector\":\"body.locked\",\"action\":[\"style\",\"overflow:auto !important\"]}","{\"selector\":\"html.locked\",\"action\":[\"style\",\"overflow:auto !important\"]}"],["{\"selector\":\"#page\",\"action\":[\"style\",\"-webkit-filter:none !important; filter: none !important\"]}","{\"selector\":\".fancybox-lock body\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\"#header-dummy:not(#id)\",\"action\":[\"style\",\"min-height: 70px !important\"]}"],["{\"selector\":\"#site_container\",\"action\":[\"style\",\"margin-top: auto !important\"]}"],["{\"selector\":\"div[class^=\\\"playlist-player-branding-\\\"] ~ .playlist-player\",\"action\":[\"style\",\"max-width: 1155px !important\"]}"],["{\"selector\":\"body .header .header-fixed\",\"action\":[\"style\",\"top: 0 !important\"]}","{\"selector\":\"body .header\",\"action\":[\"style\",\"padding-top: 0 !important\"]}"],["{\"selector\":\"body > .root\",\"action\":[\"style\",\"top: 0 !important\"]}"],["{\"selector\":\"#localNotice .floatleft img\",\"action\":[\"style\",\"height: 70px !important; width: auto !important\"]}"]];

const hostnamesMap = new Map([["4video.adult",0],["kv.by",[0,17,18]],["ixbt.com",[0,17,59,81]],["livejournal.com",[0,10,17,91]],["zakarpatpost.net",[0,17]],["userstyles.org",[0,17]],["2pay-day.ru",0],["aif.ru",[0,17,250]],["oper.ru",[0,17,385]],["sc2tv.ru",[0,17,413]],["stopgame.ru",[0,17,427]],["mc.today",[0,17,462]],["newstudio.tv",[0,17,40]],["ain.ua",[0,17,475]],["bit.ua",[0,17,83]],["budport.com.ua",[0,17,480]],["ko.com.ua",[0,17,487]],["ag",1],["biz",1],["buzz",1],["by",1],["city",1],["club",1],["co",1],["com",1],["in",1],["ink",1],["kim",1],["loan",1],["me",1],["name",1],["net",1],["org",1],["rest",1],["run",1],["sh",1],["so",1],["space",1],["today",1],["tv",1],["vip",1],["website",1],["win",1],["rp5.am",2],["rp5.by",2],["rp5.kz",2],["rp5.md",2],["rp5.co.nz",2],["rp5.ru",2],["rp5.co.uk",2],["anidub.best",3],["anilibria.best",3],["animevost.best",3],["senpai.cc",3],["kinogo-net.la",3],["anilibria.life",3],["animedia.life",3],["animego.life",3],["yummyanime.life",3],["anistars.ru",3],["animebest.tv",3],["yummyanime.best",4],["kinoxa.cc",4],["lordserial.fun",4],["hdrezka.it",4],["lordfilm.lu",4],["newseries.me",4],["cinema-hd.ru",4],["lordserial.run",4],["doramatv.su",4],["goodfilms.su",4],["lordserial.top",4],["filmshd.vip",4],["ukr.bio",5],["delovoymir.biz",6],["infoua.biz",7],["pornolab.biz",8],["pornolab.cc",8],["pornolab.lib",8],["pornolab.net",8],["ruporus.biz",9],["ruporus.cc",9],["ruporus.com",9],["ruporus.net",9],["porus.ru",9],["ruporus.top",9],["ruporus.tv",9],["ruporus.xyz",9],["levik.blog",10],["lena-miro.ru",10],["olegmakarenko.ru",10],["shakko.ru",10],["shiro-kino.ru",10],["vadimrazumov.ru",10],["periskop.su",10],["av.by",11],["www.aviasales.by",12],["www.aviasales.kg",12],["www.aviasales.md",12],["www.aviasales.ru",12],["www.aviasales.ua",12],["www.aviasales.uz",12],["blisch.by",13],["old.sport-tv.by",13],["mail.ukr.net",[13,201]],["domovita.by",14],["eplus.by",15],["dmod.cc",[15,36]],["investing.com",15],["ogorodniki.com",15],["delfi.ee",15],["moscowtimes.eu",15],["cursorinfo.co.il",15],["newsyou.info",[15,150]],["2ip.io",15],["fex.net",[15,178]],["26-2.ru",[15,245]],["2ip.ru",15],["arbitr-praktika.ru",[15,245]],["batenka.ru",15],["budgetnik.ru",[15,245]],["buhsoft.ru",[15,245]],["business.ru",[15,245]],["cxychet.ru",[15,245]],["dirsalona.ru",[15,245]],["draug.ru",[15,36]],["fd.ru",[15,245]],["gazeta-unp.ru",[15,245]],["gd.ru",[15,245]],["gkh.ru",[15,245]],["glavbukh.ru",[15,245]],["hr-director.ru",[15,245]],["kdelo.ru",[15,245]],["kom-dir.ru",[15,245]],["law.ru",[15,245]],["lawyercom.ru",[15,245]],["menobr.ru",[15,245]],["modsforwot.ru",[15,36]],["moscowtimes.ru",15],["nalogplan.ru",[15,245]],["pro-goszakaz.ru",[15,245]],["pro-personal.ru",[15,245]],["resobr.ru",[15,245]],["rnk.ru",[15,245]],["rusprofile.ru",15],["sekretariat.ru",[15,245]],["stroychet.ru",[15,245]],["trudohrana.ru",[15,245]],["ugpr.ru",[15,245]],["zarplata-online.ru",[15,245]],["zdrav.ru",[15,245]],["w98008mo.beget.tech",15],["budgetnyk.com.ua",[15,245]],["dzakupivli.com.ua",[15,245]],["edenland.com.ua",15],["kadrovik01.com.ua",[15,245]],["medsprava.com.ua",[15,245]],["sop.com.ua",[15,245]],["factor.ua",15],["golovbukh.ua",[15,245]],["podrobno.uz",[15,354]],["kraj.by",16],["allapteki.ru",16],["profile.ru",16],["kurs.com.ua",16],["cont.ws",16],["game-pool.ru",[17,309]],["pay-day.ru",[17,40]],["nn.by",19],["pogoda.onliner.by",20],["tech.onliner.by",20],["www.onliner.by",21],["mag.relax.by",22],["reshu.by",[23,24]],["sdamgia.ru",[23,24,414]],["reshuent.kz",24],["reshuolymp.ru",24],["sport-tv.by",25],["tut.by",26],["vseprosport.by",27],["vseprosport.kz",27],["vseprosport.ru",27],["vse-pro-sport.com.ua",27],["yandex.by",[28,29,30]],["yandex.kz",[28,29,30]],["yandex.ru",[28,29,30,452]],["yandex.uz",[28,29,30]],["dzen.ru",[29,297]],["ya.ru",30],["mail.yandex.by",31],["mail.yandex.com",31],["mail.yandex.kz",31],["mail.yandex.ru",31],["mail.yandex.uz",31],["music.yandex.by",32],["music.yandex.kz",32],["music.yandex.ru",32],["music.yandex.uz",32],["rasp.yandex.by",33],["rasp.yandex.kz",33],["rasp.yandex.ru",33],["rasp.yandex.uz",33],["astar.bz",34],["anistar.org",34],["online-star.org",34],["online-stars.org",34],["sochi.camera",35],["stalkerportaal.ru",36],["top-mods.ru",36],["stalker-mods.clan.su",36],["stalker-mods.su",36],["freehat.cc",37],["hdkinomir.cc",38],["sefon.cc",39],["intermedia.ru",39],["gorod.dp.ua",39],["utorr.cc",[40,41]],["baskino.film",40],["moskva.fm",40],["dnepr.info",40],["rusfootball.info",40],["virusinfo.info",[40,83]],["zombie-film.live",40],["filmitorrent.net",[40,41]],["konohatv.org",40],["trupornolabs.org",40],["xxxadulttorrent.org",40],["dugtor.ru",[40,296]],["hdkinozzoro.ru",[40,326]],["roem.ru",40],["vc.ru",40],["you-anime.ru",40],["filmitorrent.site",[40,41]],["nnmclub.to",[40,53,461]],["wikianime.tv",40],["yummyanime.tv",40],["jetsetter.ua",40],["kinoafisha.ua",40],["kinobar.vip",40],["timeweb.cloud",42],["films-online.club",43],["myseason.club",44],["uakino.club",45],["kinovibe.co",46],["ofxme.co",47],["1bigboss.com",48],["bigboss.video",48],["1informer.com",49],["fainaidea.com",49],["root-nation.com",[49,106]],["itech.co.ua",49],["agroreview.com",50],["all-episodesfun.com",[51,52]],["riotpixels.com",[52,105]],["animego.space",[52,456]],["smartmama.com.ua",[52,492]],["ampercar.com",53],["itechua.com",53],["hi-fi.ru",[53,327]],["hi-news.ru",53],["modernrock.ru",53],["uamotors.com.ua",53],["kino-teatr.ua",[53,510]],["mmr.net.ua",53],["anidubonline.com",54],["anidub.vip",54],["avtorambler.com",55],["rambler.ru",[55,70]],["brestcity.com",56],["buhgalter911.com",[57,58]],["buhgalter.com.ua",58],["businessua.com",59],["championat.com",60],["cherkassy-sport.com",61],["coub.com",62],["crazyatomicgames.com",63],["xxx-igra.com",63],["yaldagames.com",63],["animejapan.tv",63],["drive2.com",64],["drive2.ru",64],["economistua.com",[65,66]],["hs-manacost.ru",[65,329]],["filmozavr.com",67],["filmozavr.net",67],["flashscorekz.com",68],["flashscore.ru.com",68],["soccerstand.com",68],["livescore.in",68],["flashscore.com.ua",68],["flashscore.ua",68],["footboom.com",69],["footboom.kz",69],["gagadget.com",70],["gazeta.ru",[70,315]],["lenta.ru",[70,348]],["gamegpu.com",71],["gamer-info.com",72],["gasolina-online.com",73],["houzz.ru",[73,109]],["galka.if.ua",73],["gdetraffic.com",74],["gecid.com",[75,76]],["tt-cup.com",[75,117,118]],["dyvys.info",[75,118,144]],["valetudo.ru",[75,118]],["agronom.com.ua",[75,117,118]],["gubkinskiy.com",77],["hellomagazine.com",78],["inoreader.com",79],["instagram.com",80],["forum.ixbt.com",82],["smb.ixbt.com",[83,84,85]],["gidonline.fun",83],["ixbt.games",[83,85,139]],["sportboom.info",83],["kinogo-720.net",83],["repackov.net",83],["urologypro.ru",83],["kinoboom.su",83],["greenpost.ua",83],["www.ixbt.com",[86,87]],["ixbt.market",87],["kinokladovka.com",88],["kinorium.com",89],["latifundimag.com",90],["www.livejournal.com",92],["mobile-review.com",93],["newsland.com",94],["obozrevatel.com",95],["darkermagazine.ru",95],["open3dmodel.com",96],["otzovik.com",97],["partnerkin.com",98],["promodj.com",99],["pvpru.com",100],["rbkgames.com",101],["reshebnik.com",102],["ringside24.com",[103,104]],["dynamo.kiev.ua",[103,104]],["autoua.net",104],["www.okino.ua",104],["forum.ru-board.com",107],["rustorka.com",108],["rustorkacom.lib",108],["rustorka.net",108],["apad2.top",108],["game4you.top",108],["games-pc.top",108],["innal.top",[108,463]],["naylo.top",108],["rustorka.top",108],["sherdog.com",[109,110]],["softportal.com",[109,111]],["dentalmagazine.ru",109],["noddb.ru",109],["ppt.ru",109],["texterra.ru",109],["buh24.com.ua",109],["senior.ua",[109,517]],["sovetromantica.com",112],["sportarena.com",113],["tehnot.com",114],["the-village-kz.com",115],["the-village.me",115],["the-village.ru",115],["village.com.ua",115],["torent-igruha.com",116],["ua-cinema.com",119],["uakino.com",120],["ukrainianwall.com",121],["vk.com",[122,123]],["vk.ru",123],["volynpost.com",124],["vserialy.com",125],["vserialy.fun",125],["great-tv.ru",125],["vtb-league.com",126],["yaplakal.com",127],["yap.ru",127],["zerno-ua.com",128],["znak.com",129],["filmix.date",[130,131]],["filmix.fm",[130,131]],["filmix.life",[130,131]],["ru-drivemusic.net",130],["filmix.pub",[130,131]],["nevasport.ru",130],["filmix.tech",[130,131]],["filmix.zone",[130,131]],["lostfilm.download",[132,133]],["lostfilm.life",[132,133]],["lostfilm.one",[132,133]],["lostfilm.pro",[132,133]],["lostfilmtv.site",[132,133]],["lostfilmtv2.site",[132,133]],["lostfilmtv3.site",[132,133]],["lostfilmtv5.site",[132,133]],["lostfilm.space",132],["lostfilm.today",[132,133]],["lostfilm.tv",[132,133]],["lostfilm.tw",[132,133]],["lostfilm.uno",[132,133]],["lostfilmtv.uno",[132,133]],["lostfilm.win",[132,133]],["lostfilmtv1.site",133],["lostfilmtv4.site",133],["postimees.ee",134],["kinokrad.film",135],["kinokong.pro",135],["mel.fm",136],["tort.fm",137],["hdrezka.fun",138],["kinokrad.us",138],["aces.gg",140],["conversion.im",141],["doefiratv.info",142],["dostfilms.info",143],["wowskill.ru",143],["dostfilms.site",143],["glavred.info",145],["glavred.net",145],["lostfilm.info",146],["mediasat.info",147],["mivmeste.info",148],["news-sport.info",149],["1plus1.international",151],["bigudi.tv",[151,228]],["plus-plus.tv",[151,228]],["2plus2.ua",[151,228]],["mega.io",152],["mega.nz",152],["thebell.io",153],["vtimes.io",154],["kp.kg",[155,156]],["kp.kz",[155,156]],["kp.md",[155,156]],["kp.ru",[155,346]],["ru",[156,240,241]],["namba.kg",157],["ts.kg",[158,159]],["asienda.ru",[158,264]],["diets.ru",[158,290]],["gameguru.ru",[158,312]],["mycharm.ru",[158,264]],["myjane.ru",[158,264]],["peterburg2.ru",[158,389]],["povarenok.ru",[158,396]],["relook.ru",[158,407]],["stranamam.ru",[158,428]],["growhow.in.ua",158],["sport-express.ua",159],["ukrfootball.ua",159],["3dnews.kz",160],["3dnews.ru",160],["namba.kz",161],["shaiba.kz",162],["yk.kz",163],["surl.li",164],["mintmanga.live",165],["selfmanga.live",165],["filmhd1080.me",166],["myshows.me",167],["online-fix.me",168],["opennet.me",169],["opennet.ru",169],["tasix.me",170],["kino.video",170],["torrentinka.me",171],["adme.media",172],["holod.media",173],["1080kino.net",174],["www.bigmir.net",175],["censor.net",176],["driveroff.net",177],["filmishki.net",179],["filmive-hd.net",180],["kinoshack.net",180],["tree.tv",180],["fishki.net",181],["zagonkop.gb.net",182],["zagonkov.gb.net",182],["zagonka.net",182],["zagonko.org",182],["zogonka.org",182],["zagonka.tv",182],["hdru.net",183],["hvylya.net",184],["igry-online.net",185],["fullfilmhd.space",185],["animespirit.tv",185],["jut-su.net",186],["kinoakter.net",187],["libertycity.net",188],["libertycity.ru",188],["lrepacks.net",189],["megogo.net",190],["miyzvuk.net",191],["kolizhanka.com.ua",191],["nashaplaneta.net",192],["playua.net",193],["politobzor.net",194],["context.reverso.net",195],["rserials.net",196],["season-var.net",197],["stravy.net",198],["tapochek.net",199],["tochka.net",200],["www.ukr.net",202],["winzoro.net",203],["regnum.news",204],["regnum.ru",204],["ua.news",205],["ura.news",206],["hentai-share.one",207],["seasonvar.one",208],["animemobi.ru",208],["euro-football.ru",208],["onlinestreams.ru",208],["animegid.online",209],["animego.online",210],["kirov.online",211],["rudub.online",212],["tv-kanali.online",213],["zaycev.online",214],["24smi.org",215],["alexfilm.org",216],["allbasketball.org",[217,218]],["gstv.ru",217],["animevost.org",219],["vost.pw",219],["animevost.top",219],["anitokyo.org",220],["anitokyo.tv",220],["binmovie.org",221],["doramax.org",222],["fastpic.org",223],["freeopenvpn.org",224],["freetp.org",225],["freetp.ru",225],["hentaiz.org",226],["igrovaya.org",227],["vsetors.org",227],["kaztorka.org",[228,229]],["allboxing.ru",[228,251]],["star-wars-film.ru",228],["nv.ua",[228,513]],["livesport.ws",228],["my-hit.org",230],["pronpic.org",231],["riperam.org",232],["simhost.org",233],["uniondht.org",[234,235]],["seasonvar.ru",234],["animedia.pro",[236,237]],["tt.animedia.tv",237],["teleprogramma.pro",238],["cpa.rip",239],["hlamer.ru",240],["101.ru",242],["116.ru",243],["14.ru",243],["161.ru",243],["164.ru",243],["173.ru",243],["178.ru",243],["26.ru",243],["29.ru",243],["35.ru",243],["43.ru",243],["45.ru",243],["48.ru",243],["51.ru",243],["53.ru",243],["56.ru",243],["59.ru",243],["60.ru",243],["62.ru",243],["63.ru",243],["68.ru",243],["71.ru",243],["72.ru",243],["74.ru",243],["76.ru",243],["86.ru",243],["89.ru",243],["93.ru",243],["chita.ru",[243,282]],["e1.ru",243],["ircity.ru",243],["izh1.ru",243],["mgorsk.ru",243],["msk1.ru",243],["ngs.ru",243],["ngs22.ru",243],["ngs24.ru",243],["ngs42.ru",243],["ngs55.ru",243],["ngs70.ru",243],["nn.ru",243],["sochi1.ru",243],["sterlitamak1.ru",243],["tolyatty.ru",243],["ufa1.ru",243],["v1.ru",243],["vladivostok1.ru",243],["voronezh1.ru",243],["www.1tv.ru",244],["tornado.3dn.ru",246],["7days.ru",247],["ag.ru",248],["agroxxi.ru",249],["alllyr.ru",252],["androidinsider.ru",253],["anekdot.ru",254],["anime-naruto.ru",255],["blich.ru",255],["borutoplanet.ru",255],["bungou-stray-dogs.ru",255],["doktor-stoun.ru",255],["haikyu.ru",255],["hunter-x-hunter.ru",255],["klinok-rassekayuschiy-demonov.ru",255],["magicheskaya-bitva.ru",255],["my-hero-academia.ru",255],["one-pieces.ru",255],["reinkarnatsiya-bezrabotnogo.ru",255],["tokiyskie-mstiteli.ru",255],["anime777.ru",256],["animecos.ru",257],["animedub.ru",258],["animemovie.ru",259],["anti-malware.ru",260],["app-time.ru",261],["app2top.ru",262],["artfile.ru",263],["avito.ru",265],["baby.ru",266],["banki.ru",267],["bestpersons.ru",268],["bombardir.ru",269],["bosch-home.ru",270],["botanichka.ru",[271,272]],["prikol.ru",[271,397]],["bryansknovosti.ru",273],["novozybkov.su",273],["bugaga.ru",274],["buhonline.ru",275],["burninghut.ru",276],["buzulukday.ru",277],["nsday.ru",277],["orenday.ru",277],["perevolockday.ru",277],["saltday.ru",277],["sorochinskday.ru",277],["bvedomosti.ru",278],["car.ru",279],["carambatv.ru",280],["cars.ru",281],["www.cnews.ru",283],["coop-land.ru",284],["cq.ru",285],["creativportal.ru",286],["ctv7.ru",287],["cyberforum.ru",288],["cybersport.ru",289],["club.dns-shop.ru",291],["doramalive.ru",292],["dota2.ru",293],["drahelas.ru",294],["forums.drom.ru",295],["www.e1.ru",298],["eva.ru",299],["expertcen.ru",300],["fbsearch.ru",301],["fclmnews.ru",302],["doramy.su",302],["xsport.ua",302],["forum.flprog.ru",303],["footballhd.ru",304],["forbes.ru",305],["fototips.ru",306],["freescreens.ru",307],["imgbase.ru",307],["imgcach.ru",307],["imgclick.ru",307],["payforpic.ru",307],["picclick.ru",307],["picclock.ru",307],["picforall.ru",307],["fssprus.ru",308],["game2day.ru",310],["gamebomb.ru",311],["gamemag.ru",313],["gastronom.ru",314],["gismeteo.ru",316],["www.goha.ru",317],["gol.ru",318],["goodfon.ru",319],["goodgame.ru",320],["gotennis.ru",321],["gotps3.ru",322],["govoritmoskva.ru",323],["gta-gaming.ru",324],["gtavicecity.ru",325],["horrorzone.ru",328],["igromania.ru",330],["infourok.ru",331],["inoprosport.ru",332],["iphones.ru",333],["it-actual.ru",334],["ivanovonews.ru",335],["www.ivi.ru",336],["kaluga-poisk.ru",337],["yasniy-city.ru",337],["yola-poisk.ru",337],["kg-portal.ru",338],["kinomania.ru",339],["kinometro.ru",340],["www.kinopoisk.ru",341],["kinoteatr.ru",342],["kirovnet.ru",343],["klops.ru",344],["korabel.ru",345],["l2top.ru",347],["lifehacker.ru",349],["lifetambov.ru",350],["livecars.ru",351],["livesport.ru",351],["liveinternet.ru",352],["www.liveinternet.ru",353],["liveresult.ru",354],["m24.ru",355],["mail.ru",356],["auto.mail.ru",357],["deti.mail.ru",357],["cloud.mail.ru",358],["dobro.mail.ru",359],["e.mail.ru",[360,361]],["octavius.mail.ru",360],["finance.mail.ru",362],["vfokuse.mail.ru",362],["health.mail.ru",363],["pets.mail.ru",363],["hi-tech.mail.ru",364],["light.mail.ru",365],["minigames.mail.ru",366],["my.mail.ru",367],["news.mail.ru",[368,369]],["sportmail.ru",[369,424]],["otvet.mail.ru",370],["pogoda.mail.ru",371],["www.mirf.ru",372],["gamma.mirtesen.ru",373],["mmo13.ru",374],["mobiltelefon.ru",375],["motorpage.ru",376],["movieshok.ru",377],["my-expert.ru",378],["newkaliningrad.ru",379],["noob-club.ru",380],["ogorod.ru",381],["ohotniki.ru",382],["ok.ru",383],["onlinemultfilmy.ru",384],["overclockers.ru",386],["forums.overclockers.ru",387],["penzainform.ru",388],["pikabu.ru",390],["pimpletv.ru",391],["playground.ru",392],["pluggedin.ru",393],["pochta.ru",394],["portalvirtualreality.ru",395],["prophotos.ru",398],["radioromantika.ru",399],["horoscopes.rambler.ru",[400,401]],["tv.rambler.ru",400],["weather.rambler.ru",400],["mail.rambler.ru",402],["nova.rambler.ru",403],["www.rambler.ru",404],["rbc.ru",[405,406]],["sportrbc.ru",405],["rg.ru",408],["ria.ru",409],["rusnext.ru",410],["russorosso.ru",411],["s13.ru",412],["shazoo.ru",415],["slushat-tekst-pesni.ru",416],["snob.ru",417],["sobaka.ru",418],["soccer.ru",419],["soccer365.ru",420],["soccer365.com.ua",420],["sport-express.ru",421],["sport-interfax.ru",422],["sportkp.ru",423],["sports.ru",425],["sportsdaily.ru",426],["stratege.ru",429],["study.ru",430],["tass.ru",431],["techinsider.ru",432],["teleport2001.ru",433],["thg.ru",434],["tnt-online.ru",435],["tourpom.ru",436],["tproger.ru",437],["translit.ru",438],["trashbox.ru",439],["www.vesti.ru",440],["vgae.ru",441],["vgtimes.ru",442],["videomore.ru",443],["videoredaktor.ru",444],["virtualbrest.ru",445],["vm.ru",446],["vrtp.ru",447],["warfiles.ru",448],["webfile.ru",449],["wotspeak.ru",450],["wtftime.ru",451],["www.zoneofgames.ru",453],["zr.ru",454],["lafa.site",455],["loads.ati.su",457],["tm.ati.su",457],["trucks.ati.su",[457,458]],["audioportal.su",459],["4pda.to",460],["zannn.top",463],["alexua.tv",464],["baibako.tv",465],["casstudio.tv",466],["espreso.tv",467],["goclips.tv",468],["naruto-base.tv",469],["nezavisim.tv",470],["softbox.tv",471],["kino.tricolor.tv",472],["cdn.viqeo.tv",473],["weukraine.tv",474],["bin.ua",476],["cf.ua",477],["4studio.com.ua",478],["apnews.com.ua",479],["champion.com.ua",481],["eurointegration.com.ua",482],["footballhub.com.ua",483],["gta.com.ua",484],["itnews.com.ua",485],["sovet.kidstaff.com.ua",486],["kredos.com.ua",488],["smartphone.ua",488],["portaltele.com.ua",489],["blogs.pravda.com.ua",490],["proagro.com.ua",491],["volnorez.com.ua",493],["vsviti.com.ua",494],["comments.ua",495],["dev.ua",496],["news.dn.ua",497],["kriminal.net.ua",497],["gazeta.ua",498],["glavnoe.ua",499],["glavpost.ua",500],["hi-tech.ua",501],["i.ua",502],["ictv.ua",503],["blitz.if.ua",504],["asn.in.ua",505],["rayon.in.ua",506],["infocar.ua",507],["isport.ua",508],["itc.ua",509],["meta.ua",511],["nrj.ua",512],["btu.org.ua",514],["patrioty.org.ua",515],["radioclub.ua",516],["sinoptik.ua",518],["sport.ua",519],["doba.te.ua",520],["uteka.ua",521],["spot.uz",522],["stadion.uz",523],["1plus1.video",524],["kinoprofi.vip",525],["filebase.ws",526],["lurkmore.wtf",527]]);

const entitiesMap = new Map(undefined);

const exceptionsMap = new Map(undefined);

self.declarativeImports = self.declarativeImports || [];
self.declarativeImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
