/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2014-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: default

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssProceduralImport() {

    /******************************************************************************/

    const argsList = [["{\"selector\":\".les-title\",\"tasks\":[[\"has-text\",\"HD\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"break;case\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[contains(text(),\\\"Hide your IP\\\")]/..\"]]}", "{\"selector\":\"ul > li\",\"tasks\":[[\"has-text\",\"/‌/i\"]]}"], ["{\"selector\":\".download-links-dontblock > LI\",\"tasks\":[[\"has-text\",\"Anon\"]]}", "{\"selector\":\".download-links-dontblock > LI\",\"tasks\":[[\"has-text\",\"Stream\"]]}"], ["{\"selector\":\".no-top-radius div > a[href]\",\"tasks\":[[\"has-text\",\"VPN\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"3f87b0eaddd\"]]}"], ["{\"selector\":\"script[type]\",\"tasks\":[[\"has-text\",\"c=document.createElement\"]]}"], ["{\"selector\":\".block_area iframe\",\"tasks\":[[\"upward\",\".block_area\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"\\\\'shift\\\\'\"]]}", "{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"shift\"]]}"], ["{\"selector\":\".table-hover.table > tbody > tr\",\"tasks\":[[\"has-text\",\"Descargar Premium\"]]}"], ["{\"selector\":\".a-carousel-card:has(> div > div[cel_widget_id^=\\\"adplacements:\\\"])\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"a[href*=\\\".yabo816.\\\"]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"style\",\"tasks\":[[\"has-text\",\"blink_me_ad\"],[\"upward\",2]]}"], ["{\"selector\":\".links_table > .fix-table > table > tbody > tr\",\"tasks\":[[\"has-text\",\"Patrocinador\"]]}"], ["{\"selector\":\"button\",\"tasks\":[[\"has-text\",\"/Watch|🎟|👉/\"]]}"], ["{\"selector\":\"a.download[target=\\\"_blank\\\"]:not(a[href*=\\\"ctrlv.\\\"])\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"decodeURIComponent\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/adblock|popunder/\"]]}"], ["{\"selector\":\"h2.widget-title\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"script[data-cfasync]\",\"tasks\":[[\"has-text\",\"decodeURIComponent\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"0x3\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[contains(text(),\\\"VPN\\\")]\"],[\"upward\",2]]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//a[contains(text(),\\\"VPN\\\")]/../../..\"]]}"], ["{\"selector\":\"table\",\"tasks\":[[\"has-text\",\"VPN\"]]}"], ["{\"selector\":\".adunitContainer\",\"tasks\":[[\"upward\",3]]}"], ["{\"selector\":\"button[id]\",\"tasks\":[[\"has-text\",\"/High-speed/i\"]]}", "{\"selector\":\"li\",\"tasks\":[[\"has-text\",\"100% Anonym\"]]}"], ["{\"selector\":\".getlink\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"AaDetector\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"adslotFilledByCriteo\"]]}"], ["{\"selector\":\"#main a[href][data-sb^=\\\"/url?\\\"]\",\"action\":[\"remove-attr\",\"data-sb\"]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"self == top\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"detect\"]]}"], ["{\"selector\":\"[id]\",\"tasks\":[[\"matches-attr\",{\"attr\":\"id\",\"value\":\"/[a-zA-Z]{40,}/\"}]]}"], ["{\"selector\":\"div[class] > ins.adsbygoogle\",\"tasks\":[[\"upward\",\"div[class]\"]]}", "{\"selector\":\"li[class] > ins.adsbygoogle\",\"tasks\":[[\"upward\",\"li[class]\"]]}"], ["{\"selector\":\"*\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"Adv\"}]]}"], ["{\"selector\":\".head\",\"tasks\":[[\"has-text\",\"Adv\"]]}", "{\"selector\":\"tr\",\"tasks\":[[\"has-text\",\"VPN\"]]}"], ["{\"selector\":\".uk-card-secondary\",\"tasks\":[[\"has-text\",\"VPN\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"htmlAds\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"antiAdBlockerHandler\"]]}"], ["{\"selector\":\"[id^=\\\"cookieConsent\\\"]\",\"tasks\":[[\"upward\",1]]}"], ["{\"selector\":\"div[id][style=\\\"width: 728px; height: 90px;\\\"]\",\"tasks\":[[\"upward\",\"#pub1\"]]}"], ["{\"selector\":\".happy-player-beside, .happy-section, .widget_execphp\",\"tasks\":[[\"has-text\",\"/Advertisement|ExoLoader/\"]]}"], ["{\"selector\":\".video-block-happy-absolute\",\"tasks\":[[\"upward\",\".order-1\"]]}"], ["{\"selector\":\"a[href*=\\\"&epik=\\\"]\",\"tasks\":[[\"upward\",\"[data-grid-item]\"]]}"], ["{\"selector\":\"[href]\",\"tasks\":[[\"has-text\",\"PLAY\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"exdynsrv\"]]}"], ["{\"selector\":\"div[width=\\\"300\\\"][height=\\\"250\\\"]\",\"tasks\":[[\"upward\",1]]}", "{\"selector\":\"div[width=\\\"728\\\"][height=\\\"90\\\"]\",\"tasks\":[[\"upward\",1]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"admc\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[contains(text(),\\\"Sponsored\\\")]\"],[\"upward\",2]]}"], ["{\"selector\":\".adsbyvli\",\"tasks\":[[\"upward\",\"div[style^=\\\"width: 300px; height: 250px\\\"]\"]]}"], ["{\"selector\":\".adsbygoogle\",\"tasks\":[[\"upward\",1]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"debugger\"]]}"], ["{\"selector\":\".g-recaptcha\",\"action\":[\"style\",\"display: block !important;\"],\"tasks\":[[\"upward\",\"form > div\"]]}"], ["{\"selector\":\".placeholder\",\"action\":[\"remove-class\",\"placeholder\"]}"], ["{\"selector\":\"div.row\",\"tasks\":[[\"has-text\",\"in HD\"]]}", "{\"selector\":\"table.movie_version\",\"tasks\":[[\"has-text\",\"Promo\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"u_cfg\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"\\\\\\\"admc\\\\\\\"\"]]}"], ["{\"selector\":\"#f13 > b\",\"tasks\":[[\"has-text\",\"Sponsor\"],[\"upward\",4]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/aclib|runPop/\"]]}"], ["{\"selector\":\"[style]\",\"tasks\":[[\"has-text\",\"PREMIUM\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//strong[contains(text(),\\\"VPN\\\")]/../../..\"]]}"], ["{\"selector\":\".table2\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}", "{\"selector\":\"TR\",\"tasks\":[[\"has-text\",\"Stream:\"]]}"], ["{\"selector\":\"[class]:not(body):not(html)\",\"tasks\":[[\"has-text\",\"/Protect your privacy/i\"]]}", "{\"selector\":\"[class]:not(body):not(html)\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\".panel-title\",\"tasks\":[[\"has-text\",\"REKLAM\"]]}", "{\"selector\":\"div.col-xs-12\",\"tasks\":[[\"has-text\",\"MMPORG OYUNLAR\"]]}"], ["{\"selector\":\".page-video > div.video-videos-slider ~ div[class]\",\"tasks\":[[\"matches-css\",{\"name\":\"justify-content\",\"value\":\"^center$\"}]]}"], ["{\"selector\":\"span:only-child\",\"tasks\":[[\"has-text\",\"/^AD$/\"],[\"upward\",2]]}"], ["{\"selector\":\".btn-danger\",\"tasks\":[[\"has-text\",\"/download/i\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"btoa\"]]}"], ["{\"selector\":\"[src^=\\\"assets/bn\\\"]\",\"tasks\":[[\"upward\",\"[style]\"]]}"], ["{\"selector\":\"div > div[io-id]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\"div[data-hb-id=\\\"Grid.Item\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"div.FeaturedProductFlag\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"runCount\"]]}"], ["{\"selector\":\"#shortGoToCont.hidden\",\"action\":[\"remove-class\",\"hidden\"]}"], ["{\"selector\":\"[style^=\\\"font-weight\\\"]\",\"tasks\":[[\"has-text\",\"PREMIUM\"]]}"], ["{\"selector\":\"#clickfakeplayer\",\"action\":[\"remove-attr\",\"href\"]}"], ["{\"selector\":\".adsbygoogle\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"[onclick^=\\\"showAd\\\"]\",\"action\":[\"remove-attr\",\"onclick\"]}"], ["{\"selector\":\"main[class^=\\\"searchResultsContainer\\\"] li h2\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\"html > head > :is([name=\\\"canonical\\\"], [rel=\\\"canonical\\\"]):not([content*=\\\"/details/\\\"])\",\"tasks\":[[\"upward\",1],[\"spath\",\" > script[src*=\\\"optimizely\\\"]\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"NREUM\"]]}"], ["{\"selector\":\"tbody\",\"tasks\":[[\"has-text\",\"WARNING! Use a\"]]}"], ["{\"selector\":\".banner\",\"tasks\":[[\"has-text\",\"/Sponsorizzato|Sponsorowane|Sponsorizat|Sponzorováno|Szponzorált|Спонсорирани|Sponsored|Gesponsert/\"]]}", "{\"selector\":\".product\",\"tasks\":[[\"has-text\",\"/Sponsorizzato|Sponsorowane|Sponsorizat|Sponzorováno|Szponzorált|Спонсорирани|Sponsored|Gesponsert/\"]]}"], ["{\"selector\":\".attention-button-wrap\",\"tasks\":[[\"has-text\",\"Reimage\"]]}", "{\"selector\":\".nfc-bottom-right\",\"tasks\":[[\"has-text\",\"Reimage\"]]}", "{\"selector\":\"a\",\"tasks\":[[\"has-text\",\"Reimage\"]]}", "{\"selector\":\"a\",\"tasks\":[[\"has-text\",\"SpyHunter\"]]}", "{\"selector\":\"th\",\"tasks\":[[\"has-text\",\"/^Detection$/\"],[\"spath\",\" + td\"]]}", "{\"selector\":\"th\",\"tasks\":[[\"has-text\",\"/^Detection$/\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"shown_at\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"htmls\"]]}"], ["{\"selector\":\".postcontainer\",\"tasks\":[[\"has\",{\"selector\":\".usertitle\",\"tasks\":[[\"has-text\",\"Publicidade\"]]}]]}"], ["{\"selector\":\"[id^=\\\"banner-300x250\\\"]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"[data-testid=\\\"card\\\"]\",\"tasks\":[[\"has-text\",\"sponsored\"]]}"], ["{\"selector\":\".product-tile-group__list__item\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\"[data-testid^=\\\"listing-card-list-item-\\\"]\",\"tasks\":[[\"has-text\",\"TOP AD\"]]}"], ["{\"selector\":\".chakra-container\",\"tasks\":[[\"has-text\",\"Featured Items\"]]}"], ["{\"selector\":\".chakra-linkbox\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\"style\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"has-text\",\"#blockblock\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"popunder\"]]}"], ["{\"selector\":\".definetelynotanad\",\"tasks\":[[\"upward\",\"[class^=\\\"col-md-\\\"]\"]]}"], ["{\"selector\":\".safelink-recatpcha\",\"action\":[\"style\",\"display: block !important;\"],\"tasks\":[[\"upward\",\"div\"]]}"], ["{\"selector\":\"img[onclick]\",\"action\":[\"style\",\"display: block !important\"],\"tasks\":[[\"upward\",\".wait\"]]}"], ["{\"selector\":\"[href*=\\\"preroll\\\"]\",\"tasks\":[[\"upward\",2]]}"], ["{\"selector\":\"a\",\"tasks\":[[\"has\",{\"selector\":\"div:last-child\",\"tasks\":[[\"has-text\",\"Hide\"]]}]]}"], ["{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"AD\"]]}"], ["{\"selector\":\"center\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#SmileyBanner\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\".js-side-ads-movie-container\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"#wpsafe-link\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\".main-content > h4 > strong\",\"tasks\":[[\"has-text\",\"Brave\"]]}"], ["{\"selector\":\"#tp-snp2\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"body *\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-css\",{\"name\":\"margin\",\"value\":\"auto\"}],[\"matches-css\",{\"name\":\"width\",\"value\":\"^[2-3]{1}[0-9]{2}(\\\\.[0-9]+)?px$\"}],[\"matches-css\",{\"name\":\"height\",\"value\":\"^[2-3]{1}[0-9]{2}(\\\\.[0-9]+)?px$\"}],[\"matches-css\",{\"name\":\"display\",\"value\":\"block|table\"}]]}"], ["{\"selector\":\"div[style*=\\\"z-index: 300000\\\"]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\".ad-zone\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"#btn6, #tp98\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"onerror\"]]}"], ["{\"selector\":\"#toshowtrlink, #gtbtn2, .divTableCell, #postfooterOk\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#go_d\",\"action\":[\"remove-attr\",\"disabled\"]}"], ["{\"selector\":\".btn-primary, #go_d, #tp-snp1, #go_d2\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#wpsafe-link, #section2\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\".page-wrap > section\",\"tasks\":[[\"has-text\",\"Download the free\"]]}"], ["{\"selector\":\"li.uk-active\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\".video-holder > center > *\",\"tasks\":[[\"has-text\",\"/^Advertisement$/\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"google_ad_client\"]]}"], ["{\"selector\":\"[id^=\\\"sidebar-stream-\\\"] > h4\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"link[rel=\\\"canonical\\\"]:not([href*=\\\"pageconfig=contactus\\\"])\",\"tasks\":[[\"upward\",\"html\"],[\"spath\",\" script.optanon-category-C0001\"]]}"], ["{\"selector\":\"body\",\"action\":[\"remove-class\",\"ads-not-loaded\"]}"], ["{\"selector\":\".product-card-col\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"axtd\"]]}"], ["{\"selector\":\".PropertyCardItem\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"Promoted\"]]}]]}"], ["{\"selector\":\"html:has(> head > :is(meta[name=\\\"subscriber_only\\\"][content=\\\"false\\\"], meta[property=\\\"og:url\\\"]:not([content*=\\\".html\\\"]))) script\",\"tasks\":[[\"has-text\",\"/googletagmanager|window\\\\.sophi/\"]]}"], ["{\"selector\":\".J-offer-wrapper\",\"tasks\":[[\"has-text\",\"Top sponsor listing\"]]}", "{\"selector\":\".m-product-item\",\"tasks\":[[\"has-text\",\"Sponsored Listing\"]]}"], ["{\"selector\":\"#card-list > .search-item-card-wrapper-gallery\",\"tasks\":[[\"has\",{\"selector\":\"a.search-card-item[href*=\\\"&aem_p4p_detail=\\\"] div[class*=\\\"cards--image--\\\"] > div[class*=\\\"multi--ax--\\\"]\",\"tasks\":[[\"has-text\",\"/^(?:AD|An[uú]ncio|광고|広告)$/\"]]}],[\"spath\",\":has(+ .search-item-card-wrapper-gallery a.search-card-item:not([href*=\\\"&aem_p4p_detail=\\\"]))\"]]}"], ["{\"selector\":\".code-block\",\"tasks\":[[\"has-text\",\"ADV\"]]}"], ["{\"selector\":\"center\",\"tasks\":[[\"has-text\",\"deal\"]]}"], ["{\"selector\":\".g-recaptcha, #tp-snp2, .captcha-check, [src*=\\\"google.com/recaptcha/\\\"]\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"main > div > div:empty\",\"tasks\":[[\"matches-css\",{\"name\":\"min-height\",\"value\":\"^250px$\"}],[\"matches-css\",{\"name\":\"min-width\",\"value\":\"^80%$\"}]]}"], ["{\"selector\":\"script[type]\",\"tasks\":[[\"has-text\",\"lycos_ad\"]]}"], ["{\"selector\":\"[href^=\\\"/advertorial/\\\"]\",\"tasks\":[[\"upward\",2]]}"], ["{\"selector\":\".post.has-post-thumbnail video#gump\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",\".post\"]]}"], ["{\"selector\":\".maas-item\",\"tasks\":[[\"has-text\",\"our Partners\"]]}"], ["{\"selector\":\".container > center\",\"tasks\":[[\"others\",\"\"]]}", "{\"selector\":\".getlink, #getlink\",\"action\":[\"remove-attr\",\"disabled\"]}"], ["{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\".btnDownload\",\"tasks\":[[\"has-text\",\"SHARE\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"document.createTextNode\"]]}"], ["{\"selector\":\".Page-header-leaderboardAd\",\"action\":[\"remove\",\"\"]}", "{\"selector\":\"html[data-header-hasleaderboard]\",\"action\":[\"remove-attr\",\"data-header-hasleaderboard\"]}"], ["{\"selector\":\"#tp98, #btn6\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"window.adsbygoogle\"]]}"], ["{\"selector\":\".js-toggle-content-wrapper a[href^=\\\"https://shemale.show/\\\"][rel=\\\"sponsored\\\"]\",\"tasks\":[[\"upward\",\".js-toggle-content-wrapper\"]]}"], ["{\"selector\":\".serieslist > ul > li\",\"tasks\":[[\"has-text\",\"(AD)\"]]}", "{\"selector\":\"a[href][title^=\\\"(AD)\\\"]\",\"tasks\":[[\"upward\",\".bs\"]]}"], ["{\"selector\":\"[class^=\\\"style\\\"]\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\".panel\",\"tasks\":[[\"has-text\",\"createAd\"]]}"], ["{\"selector\":\"#content-main a[title][href*=\\\"?staticParams=\\\"]\",\"tasks\":[[\"upward\",\"span\"]]}"], ["{\"selector\":\"#yuidea-snp\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"push\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"googlesyndication\"]]}"], ["{\"selector\":\".mb32\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\".b-gray300\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"html:not(:has(video)) > head > script\",\"tasks\":[[\"has-text\",\"connatix.com\"]]}"], ["{\"selector\":\"button[onclick^=\\\"window.open\\\"]\",\"action\":[\"remove-attr\",\"onclick\"]}"], ["{\"selector\":\"#tp-snp2, #cross-snp2, .tp-top\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#player-container\",\"tasks\":[[\"has-text\",\"Close ad\"]]}"], ["{\"selector\":\"[id^=\\\"Ad\\\"]\",\"tasks\":[[\"upward\",\"[style]\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"AdBlockEnabled\"]]}"], ["{\"selector\":\"div.border_radius\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"img[width=\\\"558\\\"][height=\\\"149\\\"]\",\"tasks\":[[\"upward\",\"td[style]\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"~/shop\"],[\"spath\",\" a[href*=\\\"/aclick?\\\"]:not(.vsp_ads)\"]]}", "{\"selector\":\".b_restorableLink\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\".row.justify-center\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/eval[\\\\s\\\\S]*?decodeURIComponent/\"]]}"], ["{\"selector\":\".post_wrap\",\"tasks\":[[\"has-text\",\"AdBot\"]]}"], ["{\"selector\":\"a.get-link.disabled\",\"action\":[\"remove-class\",\"disabled\"]}"], ["{\"selector\":\"#wpsafe-snp1\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\".text-center\",\"tasks\":[[\"has-text\",\"Adv\"]]}"], ["{\"selector\":\"#btn-gotolink\",\"action\":[\"remove-attr\",\"disabled\"]}", "{\"selector\":\"#btn-gotolink\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"div.fixed[style^=\\\"z-index:\\\"]\",\"tasks\":[[\"has-text\",\"گوشی خود را بچرخانید\"]]}"], ["{\"selector\":\"[style*=\\\"center\\\"]\",\"tasks\":[[\"has-text\",\"Ad\"]]}"], ["{\"selector\":\"div[data-testid=\\\"property-card\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Promoted\"]]}]]}"], ["{\"selector\":\".oct-listers-hits__item\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"FingerprintJS\"]]}"], ["{\"selector\":\".js-toggle-content-wrapper a[href^=\\\"https://boyfriend.show/\\\"][rel=\\\"sponsored\\\"]\",\"tasks\":[[\"upward\",\".js-toggle-content-wrapper\"]]}"], ["{\"selector\":\"html > head > meta[property=\\\"og:url\\\"]:not([content*=\\\"/games/\\\"], [content*=\\\"/play/\\\"])\",\"tasks\":[[\"upward\",1],[\"spath\",\" > script\"],[\"has-text\",\"wgplayer\"]]}"], ["{\"selector\":\".main-body > div > div[class]:not([class^=\\\"item\\\"]):not([class^=\\\"article\\\"])\",\"tasks\":[[\"has-text\",\"/^Sponsored ads$/\"]]}", "{\"selector\":\"div[class*=\\\"article\\\"] > div:not([class]) > div[class]\",\"tasks\":[[\"has-text\",\"/^Sponsored ads$/\"]]}"], ["{\"selector\":\"#submitBtn, #go_d, #devozon-snp, #submitBtn, #tp-snp1, #go_d2\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"body[style*=\\\"display: none\\\"]\",\"action\":[\"remove-attr\",\"style\"]}"], ["{\"selector\":\".dl.disabled\",\"action\":[\"remove-class\",\"disabled\"]}"], ["{\"selector\":\"[id$=\\\"-Ads\\\"], [id*=\\\"-gpt-ad\\\"], center > h3, #skull, #content, #btnx, .mh-clearfix.mh-wrapper\",\"action\":[\"remove\",\"\"]}", "{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/ABDetected|navigator.brave|fetch/\"]]}"], ["{\"selector\":\"[data-cg-ft=\\\"sponsored-listing-badge\\\"]\",\"tasks\":[[\"upward\",3]]}"], ["{\"selector\":\".row.divider\",\"tasks\":[[\"has-text\",\"/sponsor|press releases/i\"]]}", "{\"selector\":\".widget\",\"tasks\":[[\"has-text\",\"/advert|sponsor/i\"]]}"], ["{\"selector\":\".widget_custom_html #myVideo\",\"tasks\":[[\"upward\",\".widget_custom_html\"]]}"], ["{\"selector\":\".mantine-Paper-root > .mantine-Stack-root\",\"tasks\":[[\"has-text\",\"Become a supporter\"],[\"upward\",\".mantine-Paper-root\"]]}", "{\"selector\":\"[data-aa-adunit]\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",\".mantine-Paper-root\"]]}"], ["{\"selector\":\".ad-wrapper\",\"tasks\":[[\"upward\",\"div.region-sidebar-first-wrapper\"]]}"], ["{\"selector\":\".zox-side-widget\",\"tasks\":[[\"has-text\",\"/^Advertis/\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"clientHeight\"]]}"], ["{\"selector\":\"#wpsafelinkhuman, #wpsafe-link\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#captchaShortlink\",\"action\":[\"style\",\"display: block !important;\"],\"tasks\":[[\"upward\",\"form#coinsparty > div\"]]}", "{\"selector\":\"form[action$=\\\"/links/popad\\\"]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"section h6\",\"tasks\":[[\"has-text\",\"Advertising\"],[\"upward\",\"section\"]]}"], ["{\"selector\":\".widget_custom_html ins\",\"tasks\":[[\"upward\",\".widget_custom_html\"]]}"], ["{\"selector\":\"aside.td_block_template_1.widget.widget_text\",\"tasks\":[[\"has\",{\"selector\":\"> h4.block-title > span\",\"tasks\":[[\"has-text\",\"Visit Our Sponsors\"]]}]]}"], ["{\"selector\":\".ad-unit\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"[data-pid^=\\\"ad-\\\"]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\".ct-related-videos-title\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}", "{\"selector\":\".ct-related-videos-title\",\"tasks\":[[\"has-text\",\"You may also like\"]]}"], ["{\"selector\":\"div[role=\\\"group\\\"]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\"#hometimerstartbtn, #hometimer, #yuidea-btmbtn, #btn6\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"form#go-popup\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-path\",\"/utm_medium=adv/i\"],[\"spath\",\" html\"]]}"], ["{\"selector\":\"#top_nav, .rd_btn, .soractrl, .large\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"div#container-text\",\"tasks\":[[\"has-text\",\"ADVERTISEMENT\"]]}", "{\"selector\":\"span.container-text\",\"tasks\":[[\"has-text\",\"ADVERTISEMENT\"]]}"], ["{\"selector\":\"div[pb-serve-label*=\\\"advert\\\"]\",\"tasks\":[[\"upward\",2]]}"], ["{\"selector\":\"#rightcolumn > .rbox > .rboxInner img[alt=\\\"Advertisement\\\"]\",\"tasks\":[[\"upward\",\".rbox\"]]}", "{\"selector\":\".wallpaperSidebarAds\",\"tasks\":[[\"upward\",\"div\"]]}"], ["{\"selector\":\"#deviantartcom_desktop-devpage-sidebar-300x250-atf\",\"tasks\":[[\"upward\",\"div[role=\\\"complementary\\\"] > div\"]]}"], ["{\"selector\":\"[class] > p\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"article.relative\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"SPONSORED\"]]}]]}"], ["{\"selector\":\"div > [id$=\\\"_slot\\\"]\",\"tasks\":[[\"upward\",\"div\"]]}"], ["{\"selector\":\".left_shadow\",\"tasks\":[[\"has-text\",\"Fast\"]]}"], ["{\"selector\":\"a > img + div[class]:last-of-type\",\"tasks\":[[\"has-text\",\"Sponsored\"],[\"upward\",\"div[sizes]\"]]}", "{\"selector\":\"div[sizes] > span[class]\",\"tasks\":[[\"has-text\",\"Sponsored\"],[\"upward\",\"div[sizes]\"]]}"], ["{\"selector\":\"#gourl\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"a[href][data-link-out]\",\"action\":[\"remove-attr\",\"data-link-out\"]}"], ["{\"selector\":\"table .Invert\",\"tasks\":[[\"has-text\",\"/3cx|sponsor|tuxedo|star lab|free tech guides|malibal|advertisement|shells|purism/i\"],[\"upward\",\"table\"],[\"upward\",\"[style=\\\"width: 20%; border: 0; margin: 0; padding: 0; vertical-align: top\\\"]\"]]}", "{\"selector\":\"table .Invert\",\"tasks\":[[\"has-text\",\"/3cx|sponsor|tuxedo|star lab|free tech guides|malibal|advertisement|shells|purism/i\"],[\"upward\",\"table\"]]}"], ["{\"selector\":\"center[style]\",\"tasks\":[[\"has-text\",\"advertisement\"]]}"], ["{\"selector\":\"#timeout\",\"action\":[\"remove-attr\",\"disabled\"]}", "{\"selector\":\"#timeout, #btn1, #tp-snp2\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#banner_overlay-postitial-video\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/innerHTML.*appendChild/\"]]}"], ["{\"selector\":\"center, [src*=\\\"google.com/recaptcha/\\\"]\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"H2\",\"tasks\":[[\"has-text\",\"/Promoted/\"],[\"spath\",\" + DIV\"]]}"], ["{\"selector\":\"h2\",\"tasks\":[[\"has-text\",\"/Promoted/\"]]}"], ["{\"selector\":\".ad-banner\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"h3.my-4\",\"tasks\":[[\"has-text\",\"/^Advertising/\"]]}"], ["{\"selector\":\"div > .page > div > div[style]\",\"tasks\":[[\"has-text\",\"/^Advertise/i\"],[\"spath\",\" + a\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"d.createElement('script')\"]]}", "{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"d.createElement(\\\\'script\\\\')\"]]}"], ["{\"selector\":\"body.no-touch li.wt-list-unstyled div.v2-listing-card__info > div.wt-text-caption.wt-text-grey > span:not(.wt-icon):not([aria-role])\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-css\",{\"name\":\"display\",\"value\":\"^inline-block$\"}],[\"has-text\",\"/^Ad/i\"],[\"upward\",\"li\"]]}", "{\"selector\":\"li:not(#ad-ubo) .listing-link[href*=\\\"ref=sc_gallery\\\"]\",\"tasks\":[[\"upward\",\"li\"]]}"], ["{\"selector\":\"div[class*=\\\"ads\\\"]\",\"tasks\":[[\"has-text\",\"/Advertisement/i\"]]}"], ["{\"selector\":\"\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"],\"tasks\":[[\"matches-path\",\"/^\\\\/(\\\\?[a-z]+=\\\\w+)?$/\"],[\"spath\",\" div[aria-posinset] :is(h3, h4) span > a[href]:not([href^=\\\"/groups/\\\"]):not([href*=\\\"section_header_type\\\"])\"],[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/__cft__\\\\[0\\\\]=[-\\\\w]{290,}/\"}],[\"upward\",\"div[aria-posinset]\"]]}", "{\"selector\":\"\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"],\"tasks\":[[\"matches-path\",\"/search/\"],[\"spath\",\" div[role=\\\"article\\\"] span > a[href]:not([href^=\\\"/groups/\\\"]):not([href*=\\\"section_header_type\\\"])\"],[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/__cft__\\\\[0\\\\]=[-\\\\w]{265,}/\"}],[\"upward\",\"[role=\\\"article\\\"]\"]]}", "{\"selector\":\"#stream_pagelet div[id^=\\\"hyperfeed_story_id_\\\"]\",\"tasks\":[[\"if\",{\"selector\":\"h6\",\"tasks\":[[\"has-text\",\"People You May Know\"]]}]]}", "{\"selector\":\"#watch_feed div:not([class]) > div:not([class]) div[class] [class] > a[href*=\\\"utm_source=facebook\\\"] span[class] > span[class][style*=\\\"-webkit-line-clamp\\\"]\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"],\"tasks\":[[\"has-text\",\"広告\"],[\"upward\",\"div:not([class]) > div:not([class])\"]]}", "{\"selector\":\"#watch_feed div:not([class]) > div:not([class]) div[class] span[class] > a span[aria-labelledby]\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"],\"tasks\":[[\"has\",{\"selector\":\"> span[style=\\\"display: flex;\\\"] > span[class]\",\"tasks\":[[\"has-text\",\"/^S$/\"]]}],[\"has\",{\"selector\":\"> span[style=\\\"display: flex;\\\"] > span[class]\",\"tasks\":[[\"has-text\",\"/^p$/\"]]}],[\"has\",{\"selector\":\"> span[style=\\\"display: flex;\\\"] > span[class]\",\"tasks\":[[\"has-text\",\"/^d$/\"]]}],[\"upward\",\"div:not([class]) > div:not([class])\"]]}", "{\"selector\":\"#watch_feed div:not([class]) > div:not([class]) div[class] span[class] > a[aria-label=\\\"広告\\\"]\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"],\"tasks\":[[\"upward\",\"div:not([class]) > div:not([class])\"]]}", "{\"selector\":\".ego_column\",\"tasks\":[[\"if\",\"a[href^=\\\"/campaign/landing\\\"]\"]]}", "{\"selector\":\".ego_section\",\"tasks\":[[\"if\",\"a[href^=\\\"/ad_campaign\\\"]\"]]}", "{\"selector\":\".pagelet-group .pagelet\",\"tasks\":[[\"has\",{\"selector\":\"a\",\"tasks\":[[\"has-text\",\"/Sponsored|Create ad|Crear un anuncio|Publicidad/\"]]}]]}", "{\"selector\":\".userContentWrapper > div div > span > span\",\"tasks\":[[\"has-text\",\"/^Suggested Post$/\"]]}", "{\"selector\":\"div[aria-describedby]:not([aria-posinset]) :is(h3, h4) span > a[href]:not([href^=\\\"/groups/\\\"]):not([href*=\\\"section_header_type\\\"])\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"],\"tasks\":[[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/__cft__\\\\[0\\\\]=[-\\\\w]{290,}/\"}],[\"upward\",\"div[aria-describedby]\"]]}", "{\"selector\":\"div[id^=\\\"hyperfeed_story_id_\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"div > span:has(abbr .timestampContent)\",\"tasks\":[[\"matches-css\",{\"name\":\"display\",\"value\":\"^none$\"}]]}]]}"], ["{\"selector\":\".inside-list-boxes\",\"tasks\":[[\"upward\",1]]}"], ["{\"selector\":\"li.top-results__item span\",\"tasks\":[[\"has-text\",\"Sponsored\"],[\"upward\",\"li\"]]}"], ["{\"selector\":\".video\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Live\"]]}]]}", "{\"selector\":\"[data-vid^=\\\"live-\\\"]\",\"action\":[\"remove\",\"\"]}", "{\"selector\":\"[href^=\\\"https://go.cam.feet9.com/\\\"]\",\"tasks\":[[\"upward\",3]]}", "{\"selector\":\"[onclick*=\\\"banner\\\"]\",\"tasks\":[[\"upward\",\".video\"]]}"], ["{\"selector\":\"article.card-article\",\"tasks\":[[\"has\",{\"selector\":\"span.card-article__author\",\"tasks\":[[\"has-text\",\"Sponsored Content\"]]}]]}"], ["{\"selector\":\".title-section\",\"tasks\":[[\"has-text\",\"/adv/i\"]]}"], ["{\"selector\":\"form\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\".advertising\",\"tasks\":[[\"upward\",2]]}"], ["{\"selector\":\".sub-photo-right-view [href^=\\\"/account/upgrade\\\"]\",\"tasks\":[[\"upward\",\".sub-photo-right-view > div\"]]}"], ["{\"selector\":\".video-block-happy\",\"tasks\":[[\"upward\",1]]}"], ["{\"selector\":\"div[data-id] > div[data-tkid] > div[class]\",\"tasks\":[[\"has-text\",\"Sponsored\"],[\"upward\",\"div[data-id]\"]]}", "{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"/^Ad$/\"],[\"upward\",\"div[style]\"]]}"], ["{\"selector\":\".adsbygoogle\",\"tasks\":[[\"upward\",\".widget\"]]}"], ["{\"selector\":\"a[onclick*=\\\"adlink()\\\"]\",\"action\":[\"remove-attr\",\"onclick\"]}"], ["{\"selector\":\"main > div > div > div[class]\",\"tasks\":[[\"matches-css\",{\"name\":\"width\",\"value\":\"^350px$\"}]]}"], ["{\"selector\":\".btn-success, .btn-primary\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"table.cajasnews > tbody > tr > td > table > tbody > tr\",\"tasks\":[[\"has\",{\"selector\":\"> td > a[rel=\\\"nofollow\\\"]\",\"tasks\":[[\"has-text\",\"Promos\"]]}]]}"], ["{\"selector\":\".post_simple\",\"tasks\":[[\"has\",{\"selector\":\".postsimple_pseudo\",\"tasks\":[[\"has-text\",\"/promo/i\"]]}]]}"], ["{\"selector\":\".uppercase\",\"tasks\":[[\"has-text\",\"/advertisement/i\"]]}"], ["{\"selector\":\".spr > .container-fluid:not([data-autopromo-name=\\\"freepik\\\"])\",\"tasks\":[[\"upward\",\".spr\"]]}"], ["{\"selector\":\"div[class][id]:not(.logo)\",\"tasks\":[[\"if-not\",\"*\"],[\"has-text\",\"/^$/\"]]}"], ["{\"selector\":\".swiper-slide\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\".partner-banner\",\"tasks\":[[\"upward\",\"div[style]\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/\\\\/posts/\"],[\"spath\",\" div[data-comment*=\\\"gab-ad\\\"]\"],[\"has\",{\"selector\":\"span[class]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}", "{\"selector\":\"div[class] > span[class]\",\"tasks\":[[\"has-text\",\"Sponsored\"],[\"upward\",5]]}"], ["{\"selector\":\"li.list-group-item\",\"tasks\":[[\"has-text\",\"Sponsored content\"]]}"], ["{\"selector\":\".col-sm-4\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}", "{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"> div:has(> .adsbygoogle)\"}]]}"], ["{\"selector\":\".mobile-leaderboard-320-50\",\"tasks\":[[\"upward\",\"[style]\"]]}"], ["{\"selector\":\"div[id] > .dfp-ad-unit\",\"tasks\":[[\"upward\",1]]}"], ["{\"selector\":\"#int-over\",\"action\":[\"remove\",\"\"]}", "{\"selector\":\"#intt-layer\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\".leftMenu .menuHeadline\",\"tasks\":[[\"has-text\",\"3D\"]]}"], ["{\"selector\":\"[src^=\\\"https://spotlights-feed.github.com/spotlights/octoprint/\\\"]\",\"tasks\":[[\"upward\",\"article[class]\"]]}"], ["{\"selector\":\"body > div iframe\",\"tasks\":[[\"upward\",\"body > div\"]]}"], ["{\"selector\":\".golin-adlabel\",\"tasks\":[[\"upward\",\"[class^=\\\"golin-content\\\"]\"]]}"], ["{\"selector\":\"[data-profile-url-path^=\\\"/localservices\\\"]\",\"tasks\":[[\"has-text\",\"/google screened/i\"]]}"], ["{\"selector\":\"div[aria-label=\\\"Why this ad?\\\"]\",\"tasks\":[[\"upward\",\"[data-pla=\\\"1\\\"]\"]]}"], ["{\"selector\":\".im_outer_x\",\"tasks\":[[\"upward\",2]]}", "{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"myreadCookie/\"]]}"], ["{\"selector\":\"body[data-billboard=\\\"true\\\"]\",\"action\":[\"remove-attr\",\"data-billboard\"]}"], ["{\"selector\":\"#btn6\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\".HTML.widget .adsbygoogle\",\"tasks\":[[\"upward\",\".widget\"]]}"], ["{\"selector\":\"div.bar_container\",\"tasks\":[[\"has\",{\"selector\":\"> div.bar_headline\",\"tasks\":[[\"has-text\",\"Advertising\"]]}]]}"], ["{\"selector\":\"div > article[data-q=\\\"search-result\\\"] > a[data-q=\\\"search-result-anchor\\\"] > div > figure.listing-tile-thumbnail-image + div\",\"tasks\":[[\"has-text\",\"Featured\"],[\"upward\",\"article[data-q=\\\"search-result\\\"]\"]]}"], ["{\"selector\":\".content3 > div[style]\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"#waiting, #pop-button, .modal-content\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"  fetch\"]]}"], ["{\"selector\":\"#my-btn, #pro-continue, #pro-link\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\".header-2\",\"tasks\":[[\"has-text\",\"Sponsored Suggestions\"]]}"], ["{\"selector\":\"[class*=\\\"css\\\"]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ADVERTISEMENT\"}]]}", "{\"selector\":\"[href*=\\\"redirect\\\"]\",\"tasks\":[[\"upward\",\"section\"]]}", "{\"selector\":\"aside\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ADVERTISEMENT\"}]]}]]}", "{\"selector\":\"div[data-empty^=\\\"true\\\"]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ADVERTISEMENT\"}]]}"], ["{\"selector\":\"#submitBtn, #go_d, #wolfexe-snp\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"div[class^=\\\"sc-\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> div[data-qe-id=\\\"productCard\\\"]\",\"tasks\":[[\"has-text\",\"Promoted\"]]}]]}"], ["{\"selector\":\".ad\",\"tasks\":[[\"upward\",\".horizontal-ads-content\"]]}"], ["{\"selector\":\"#notarobot, #gotolink\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#gotolink[disabled]\",\"action\":[\"remove-attr\",\"disabled\"]}"], ["{\"selector\":\"\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-path\",\"soft98\"],[\"spath\",\" html\"]]}"], ["{\"selector\":\"div[class]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"Advertisements\"}]]}"], ["{\"selector\":\".block_label--last\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"iframeTestTimeMS\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"g02.\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"shouldPop\"]]}"], ["{\"selector\":\"body div\",\"tasks\":[[\"matches-css\",{\"name\":\"position\",\"value\":\"^fixed$\"}],[\"matches-css\",{\"name\":\"background-color\",\"value\":\"rgb\"}],[\"matches-css\",{\"name\":\"z-index\",\"value\":\"\\\\d+\"}]]}"], ["{\"selector\":\".nonAppView > div div[class]:not([id]) > div[id^=\\\"div-gpt-ad\\\"]\",\"tasks\":[[\"upward\",1]]}", "{\"selector\":\"[onclick] .btxt\",\"tasks\":[[\"has-text\",\"/Ad/\"],[\"xpath\",\"../../..\"]]}", "{\"selector\":\"[onclick] h5\",\"tasks\":[[\"has-text\",\"/Ad/\"],[\"xpath\",\"../../..\"]]}", "{\"selector\":\"[onclick] p\",\"tasks\":[[\"has-text\",\"/Ad/\"],[\"xpath\",\"../../..\"]]}", "{\"selector\":\"div\",\"tasks\":[[\"matches-css\",{\"name\":\"background-image\",\"value\":\"colombia_\"}],[\"xpath\",\"../..\"]]}", "{\"selector\":\"h2\",\"tasks\":[[\"has-text\",\"/Promoted/\"],[\"spath\",\" + div\"]]}", "{\"selector\":\"p\",\"tasks\":[[\"matches-css\",{\"name\":\"background-image\",\"value\":\"colombia-icon\"}],[\"xpath\",\"../..\"]]}"], ["{\"selector\":\"[onclick] p\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"Ad \"}],[\"xpath\",\"../..\"],[\"not\",{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"/MAHA/i\"]]}],[\"not\",{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"/Times/i\"]]}]]}"], ["{\"selector\":\".active > ul > li\",\"tasks\":[[\"has-text\",\"Ad:\"]]}", "{\"selector\":\"div h2\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"Sponsored\"}]]}],[\"spath\",\" + div\"]]}", "{\"selector\":\"div h2\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"Sponsored\"}]]}]]}"], ["{\"selector\":\".g1-advertisement-inside-grid\",\"tasks\":[[\"upward\",\"li\"]]}"], ["{\"selector\":\".et_pb_module\",\"tasks\":[[\"has-text\",\"Partners\"],[\"spath\",\" + .et_pb_module\"]]}", "{\"selector\":\".et_pb_module\",\"tasks\":[[\"has-text\",\"Partners\"]]}", "{\"selector\":\".et_pb_widget\",\"tasks\":[[\"has-text\",\"Partners\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"two_worker_data_js\"]]}"], ["{\"selector\":\"#wpsafe-generate, #wpsafe-link\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"amp-iframe:has([src^=\\\"https://widget.sellwild.com\\\"])\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"div[style=\\\"max-height: inherit; max-width: inherit; display: none !important;\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Paid partnership with \"]]}]]}", "{\"selector\":\"div[style=\\\"max-height: inherit; max-width: inherit; display: none !important;\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Paid partnership\"]]}]]}", "{\"selector\":\"div[style=\\\"max-height: inherit; max-width: inherit;\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Paid partnership with \"]]}]]}", "{\"selector\":\"main > div div[style*=\\\"flex-direction: column;\\\"] > article > div\",\"tasks\":[[\"has\",{\"selector\":\"> div:first-child span\",\"tasks\":[[\"has-text\",\"/Anzeige|Gesponsert|Sponsored|Geborg|Maksettu kumppanuus|Sponzorováno|Sponsoreret|Χορηγούμενη|Publicidad|Sponsoroitu|Sponsorisé|Bersponsor|Sponsorizzato|広告|광고|Ditaja|Sponset|Gesponsord|Sponsorowane|Patrocinado|Реклама|Sponsrad|ได้รับการสนับสนุน|May Sponsor|Sponsorlu|赞助内容|贊助|প্রযোজিত|પ્રાયોજિત|स्पॉन्सर्ड|Sponzorirano|ಪ್ರಾಯೋಜಿತ|സ്‌പോൺസർ ചെയ്‌തത്|पुरस्‍कृत|प्रायोजित|ਪ੍ਰਾਯੋਜਿਤ|මුදල් ගෙවා ප්‍රචාරය කරන ලදි|Sponzorované|விளம்பரதாரர்கள்|స్పాన్సర్ చేసింది|Được tài trợ|Спонсорирано|Commandité|Sponsorizat|Спонзорисано/\"]]}]]}"], ["{\"selector\":\"[class]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"Advertisement\"}],[\"upward\",1]]}"], ["{\"selector\":\"#landing, .soractrl\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"button\",\"action\":[\"remove-attr\",\"disabled\"]}", "{\"selector\":\"button\",\"action\":[\"remove-class\",\"hidden\"]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"wadsBlocking\"]]}"], ["{\"selector\":\".MuiGrid-item div[style^=\\\"position\\\"] > div\",\"tasks\":[[\"has-text\",\"Skip Ad\"]]}"], ["{\"selector\":\".video-image > .track_outbound_post\",\"tasks\":[[\"upward\",2]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"end_click\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"Adblock\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/htmls|google_ad_client/\"]]}"], ["{\"selector\":\"#p7a1\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"html > head > link[rel=\\\"canonical\\\"]:not([href*=\\\"/recipes/\\\"])\",\"tasks\":[[\"upward\",2],[\"spath\",\" script\"],[\"has-text\",\"googletagmanager\"]]}"], ["{\"selector\":\".adunitContainer\",\"tasks\":[[\"upward\",\"[data-qa-id]\"]]}"], ["{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Advert\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"Math.imul\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"afScript\"]]}"], ["{\"selector\":\"[data-ref=\\\"saashub\\\"]\",\"tasks\":[[\"upward\",\"div.feed-item\"]]}"], ["{\"selector\":\"div[class] > div[id^=\\\"gpt_\\\"] > script\",\"tasks\":[[\"has-text\",\"initGpt\"],[\"upward\",\"div[class]\"]]}", "{\"selector\":\"div[class] > div[id^=\\\"stpd_\\\"] > script\",\"tasks\":[[\"has-text\",\"/initAd|initGpt/\"],[\"upward\",\"div[class]\"]]}", "{\"selector\":\"li[class] > div[id^=\\\"stpd_\\\"] > script\",\"tasks\":[[\"has-text\",\"stpd\"],[\"upward\",\"li[class]\"]]}"], ["{\"selector\":\"div[class][data-mobid] > div[class=\\\"vm-placement\\\"][data-id]\",\"tasks\":[[\"upward\",\"div[class]\"]]}"], ["{\"selector\":\"div.feed-shared-update-v2\",\"tasks\":[[\"has\",{\"selector\":\"span.update-components-actor__description\",\"tasks\":[[\"has-text\",\"/Anzeige|Sponsored|Promoted|Dipromosikan|Propagováno|Promoveret|Gesponsert|Promocionado|促銷內容|Post sponsorisé|프로모션|Post sponsorizzato|广告|プロモーション|Treść promowana|Patrocinado|Promovat|Продвигается|Marknadsfört|Nai-promote|ได้รับการโปรโมท|Öne çıkarılan içerik|Gepromoot|الترويج/\"]]}]]}", "{\"selector\":\"div.feed-shared-update-v2\",\"tasks\":[[\"has\",{\"selector\":\"span.update-components-actor__sub-description\",\"tasks\":[[\"has-text\",\"/Anzeige|Sponsored|Promoted|Dipromosikan|Propagováno|Promoveret|Gesponsert|Promocionado|促銷內容|Post sponsorisé|프로모션|Post sponsorizzato|广告|プロモーション|Treść promowana|Patrocinado|Promovat|Продвигается|Marknadsfört|Nai-promote|ได้รับการโปรโมท|Öne çıkarılan içerik|Gepromoot|الترويج/\"]]}]]}", "{\"selector\":\"div.feed-shared-update-v2\",\"tasks\":[[\"has\",{\"selector\":\"span.update-components-actor__sub-description--tla\",\"tasks\":[[\"has-text\",\"/Anzeige|Sponsored|Promoted|Dipromosikan|Propagováno|Promoveret|Gesponsert|Promocionado|促銷內容|Post sponsorisé|프로모션|Post sponsorizzato|广告|プロモーション|Treść promowana|Patrocinado|Promovat|Продвигается|Marknadsfört|Nai-promote|ได้รับการโปรโมท|Öne çıkarılan içerik|Gepromoot|الترويج/\"]]}]]}"], ["{\"selector\":\"a[href^=\\\"https://mini.m-able.app/@mini/loawa?tracking_template\\\"]\",\"action\":[\"remove\",\"\"]}", "{\"selector\":\"a[target=\\\"_blank\\\"][data-href][data-banner-statics]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"p[style=\\\"font-size:12px; text-align:center;\\\"] > span\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}", "{\"selector\":\"section.wix-blog-hide-in-print p[style=\\\"font-size:12px; text-align:center;\\\"] > span\",\"tasks\":[[\"has-text\",\"Advertisement\"],[\"upward\",\"section\"]]}"], ["{\"selector\":\".amp-animate\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\".mod-container\",\"tasks\":[[\"has-text\",\"/sponsor/i\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[contains(text(),\\\"allow ads\\\")]\"],[\"upward\",3]]}"], ["{\"selector\":\"iframe\",\"tasks\":[[\"upward\",2]]}"], ["{\"selector\":\"div#wpsafe-link\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"adp\"],[\"upward\",\"._ap_apex_ad\"],[\"upward\",\"[style]\"]]}"], ["{\"selector\":\"div[class^=\\\"css-\\\"]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ADVERTISEMENT\"}]]}", "{\"selector\":\"div[id=\\\"__next\\\"] > div[class^=\\\"css-\\\"] > aside\",\"tasks\":[[\"has\",{\"selector\":\"> div\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ADVERTISEMENT\"}]]}]]}", "{\"selector\":\"div[id=\\\"__next\\\"] > div[class^=\\\"css-\\\"] > div > section > div\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ADVERTISEMENT\"}]]}"], ["{\"selector\":\"h4\",\"tasks\":[[\"has-text\",\"VPN\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"adblock\"]]}"], ["{\"selector\":\"[href*=\\\"?key\\\"][target=\\\"_blank\\\"]\",\"action\":[\"remove-attr\",\"href\"]}"], ["{\"selector\":\"a[href=\\\"javascript:;\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> span\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}]]}"], ["{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"min-height:11px!important;height:11px!important;opacity:0\"],\"tasks\":[[\"upward\",1]]}"], ["{\"selector\":\"a[rel*=\\\"sponsored\\\"]\",\"tasks\":[[\"upward\",\".normal-page__content > div\"]]}"], ["{\"selector\":\"iframe\",\"tasks\":[[\"upward\",\"[style*=\\\"visibility\\\"]\"]]}"], ["{\"selector\":\".headline.wrapper\",\"tasks\":[[\"has-text\",\"Advertisement\"],[\"spath\",\" + div\"]]}", "{\"selector\":\".headline.wrapper\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}", "{\"selector\":\".video-info > section\",\"tasks\":[[\"has-text\",\"Adv\"]]}", "{\"selector\":\"article > .headline\",\"tasks\":[[\"has-text\",\"Suggested\"],[\"spath\",\" + section\"]]}", "{\"selector\":\"article > .headline\",\"tasks\":[[\"has-text\",\"Suggested\"]]}"], ["{\"selector\":\"#btn2, .tp-blue\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"[data-aop=\\\"stripe.sponsored.navigation_stripenavigation\\\"]\",\"tasks\":[[\"upward\",2]]}", "{\"selector\":\"[data-aop=\\\"stripe.store.navigation_stripenavigation\\\"]\",\"tasks\":[[\"upward\",2]]}"], ["{\"selector\":\"a[href^=\\\"/visual/\\\"]\",\"tasks\":[[\"upward\",\".menu > div[id]\"]]}", "{\"selector\":\"div\",\"tasks\":[[\"matches-css-after\",{\"name\":\"content\",\"pseudo\":\"after\",\"value\":\"Ads\"}]]}", "{\"selector\":\"div[id*=\\\"myabandonware_leaderboard_btf_\\\"]\",\"tasks\":[[\"upward\",\"div[id]\"]]}", "{\"selector\":\"div[id*=\\\"myabandonware_medrec_right_\\\"]\",\"tasks\":[[\"upward\",\"div[id]\"]]}", "{\"selector\":\"style\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"has-text\",\"justify-content\"]]}"], ["{\"selector\":\".ad-removal-info\",\"tasks\":[[\"has-text\",\"ads\"],[\"upward\",\"[class]\"]]}"], ["{\"selector\":\"div[class^=\\\"span\\\"] > div.box\",\"tasks\":[[\"has\",{\"selector\":\"> .title > div\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}]]}"], ["{\"selector\":\".banner\",\"tasks\":[[\"upward\",\".block\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//div[contains(text(),\\\"Advert\\\")]\"]]}", "{\"selector\":\".composite-branding.branding\",\"tasks\":[[\"has-text\",\"/sponsored/i\"],[\"xpath\",\"..\"]]}"], ["{\"selector\":\"#jeocontainer > span\",\"tasks\":[[\"has-text\",\"Promoted\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"popWin\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"script\"]]}"], ["{\"selector\":\"a[onclick][target]\",\"tasks\":[[\"upward\",2]]}"], ["{\"selector\":\".viewtable\",\"tasks\":[[\"has\",{\"selector\":\"> center\",\"tasks\":[[\"has-text\",\"▼ Scroll down to Continue ▼\"]]}],[\"spath\",\" > a[href][target=\\\"_blank\\\"]\"]]}"], ["{\"selector\":\"span[class*=\\\"productContaine\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}"], ["{\"selector\":\"article\",\"tasks\":[[\"has\",{\"selector\":\".Yw5es\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"antiblock\"]]}"], ["{\"selector\":\"img[src$=\\\"/knewz_300x250.png\\\"]\",\"tasks\":[[\"upward\",\".widget_text\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//div[starts-with(@id, \\\"dfp-ad\\\")]/../..\"]]}"], ["{\"selector\":\".bn-title\",\"tasks\":[[\"has-text\",\"Advertising\"]]}"], ["{\"selector\":\"iframe\",\"tasks\":[[\"upward\",\".thumb\"]]}"], ["{\"selector\":\".countdown, .get-link\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\".banotset\",\"tasks\":[[\"upward\",3]]}"], ["{\"selector\":\"#adter\",\"tasks\":[[\"upward\",3]]}", "{\"selector\":\".single-entry-titles\",\"tasks\":[[\"has-text\",\"Sponsor\"]]}"], ["{\"selector\":\"center > font[size=\\\"3\\\"][face=\\\"ARIAL\\\"]\",\"tasks\":[[\"has-text\",\"ADVERTISING\"],[\"upward\",\"td\"]]}"], ["{\"selector\":\"a[href^=\\\"https://www.panda-novel.com/advertising\\\"]\",\"tasks\":[[\"upward\",\".index-swiper\"]]}"], ["{\"selector\":\"body\",\"action\":[\"remove-class\",\"top_ads_add\"]}"], ["{\"selector\":\".InfoPcBolsaAdBlock\",\"tasks\":[[\"xpath\",\"..\"]]}"], ["{\"selector\":\"div[data-controller=\\\"downloads.front.view.download\\\"] a[data-action=\\\"download\\\"][data-wait=\\\"true\\\"]\",\"action\":[\"remove-attr\",\"data-wait\"]}"], ["{\"selector\":\".adsbox\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"[class^=\\\"CitrusCatapult-styled__LeftContent\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}", "{\"selector\":\"[class^=\\\"HorizontalWidget\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}", "{\"selector\":\"li\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\".wcfAdLocation\",\"tasks\":[[\"upward\",\"li\"]]}"], ["{\"selector\":\"#googletop\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"h1\",\"tasks\":[[\"has-text\",\"Ads\"]]}"], ["{\"selector\":\".bunny-icon[disabled]\",\"action\":[\"remove-attr\",\"disabled\"]}"], ["{\"selector\":\"[data-popunder-enabled]\",\"action\":[\"remove-attr\",\"data-popunder-enabled\"]}"], ["{\"selector\":\"[href^=\\\"https://www.handy-sextreffen.info/\\\"]\",\"tasks\":[[\"upward\",\".grid_box\"]]}"], ["{\"selector\":\"script[data-cfasync]\",\"tasks\":[[\"has-text\",\"0x\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"vglnk\"]]}"], ["{\"selector\":\".text-12\",\"tasks\":[[\"has-text\",\"Promoted\"]]}"], ["{\"selector\":\"center, [src*=\\\"google.com/recaptcha/\\\"], #yuidea-snp\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"div[class^=\\\"mikex\\\"]\",\"tasks\":[[\"upward\",1]]}"], ["{\"selector\":\"#alphabet, #channels, #divx-container, #hmenu, #inform, #nowlooking, #playerCamBox, #playerMenu, #qcat, #showPlayer, #tabel_tagslist, #video_content, #web_cam, .BaseRoomContents, .buttons, .carouselTopScroll, .carusel-keys-box-ps, .footerdesc, .in_top, .load_more_rel, .mainBoxTitle, .pagIno, .playerContent100pr, .relatedVideo, .right-160px, .videos-related, footer, header, [href^=\\\"/webcams.php\\\"]\",\"tasks\":[[\"others\",\"\"]]}", "{\"selector\":\"a\",\"tasks\":[[\"matches-attr\",{\"attr\":\"/-h?ref/\",\"value\":\"\"}]]}", "{\"selector\":\"a\",\"tasks\":[[\"matches-attr\",{\"attr\":\"/^on/\",\"value\":\"/event/\"}]]}"], ["{\"selector\":\"div.has-adz:not(.SetPage)\",\"action\":[\"remove-class\",\"has-adz\"]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//div[not(@class=\\\"ui_qtext_para\\\") and contains(text(), 'Quora') and contains(text(), 'by') and contains(text(), 'Business')]/parent::a/parent::div/parent::div/parent::div[@id]\"]]}", "{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//div[not(@class=\\\"ui_qtext_para\\\") and contains(text(), 'ad by')]/parent::div/parent::div/parent::div[@id]\"]]}", "{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//div[not(@class=\\\"ui_qtext_para\\\") and contains(text(), 'promoted') and contains(text(), 'by')]/parent::a/parent::div/parent::div/parent::div[@id]\"]]}", "{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//p[(text()='d')]/../../../../..\"]]}", "{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//span[contains(text(), 'by')]/ancestor::*[contains(concat(' ', @class, ' '), ' external_link ')]/../../..\"]]}", "{\"selector\":\".FeedStory.feed_item > div > div\",\"tasks\":[[\"has-text\",\"/by Quora for Business/i\"]]}", "{\"selector\":\".Toggle.SimpleToggle.ToggleAnswerFooterWrapper > div\",\"tasks\":[[\"has-text\",\"/Promoted/i\"]]}", "{\"selector\":\".q-sticky\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\".body-description > div\",\"tasks\":[[\"has-text\",\"ADVERTISEMENT\"]]}"], ["{\"selector\":\".main > div.container > h2\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\".adLinkBar\",\"tasks\":[[\"upward\",\"article[style=\\\"z-index: 1;\\\"]\"]]}", "{\"selector\":\"[id^=\\\"t3\\\"].promotedlink\",\"tasks\":[[\"upward\",\".rpBJOHq2PR60pnwJlUyP0 > div\"]]}", "{\"selector\":\"div[id*=\\\"sidebar\\\"][data-before-content=\\\"advertisement\\\"]\",\"tasks\":[[\"upward\",3]]}"], ["{\"selector\":\"a.outbound[data-outbound-url]\",\"action\":[\"remove-attr\",\"data-outbound-url\"]}"], ["{\"selector\":\".items-center\",\"tasks\":[[\"has-text\",\"/^ad$/\"]]}", "{\"selector\":\"[role=\\\"gridcell\\\"]\",\"tasks\":[[\"has-text\",\"/^AD$/\"]]}"], ["{\"selector\":\"a[onclick^=\\\"trackURL\\\"]\",\"action\":[\"remove-attr\",\"onclick\"]}", "{\"selector\":\"a[onmousedown^=\\\"return enc(this,'https://track.rediff.com\\\"]\",\"action\":[\"remove-attr\",\"onmousedown\"]}"], ["{\"selector\":\"div > header + div > div + div\",\"tasks\":[[\"has-text\",\"Sponsors\"]]}"], ["{\"selector\":\"#page-header\",\"action\":[\"style\",\"margin-bottom: -265px !important\"],\"tasks\":[[\"has\",{\"selector\":\"+ .phpbb-ads-center\",\"tasks\":[[\"matches-css\",{\"name\":\"height\",\"value\":\"^280px$\"}]]}]]}"], ["{\"selector\":\"body > p > span\",\"tasks\":[[\"has-text\",\"adblock\"]]}"], ["{\"selector\":\"html > body:not(.catalogsearch-result-index)\",\"tasks\":[[\"upward\",1],[\"spath\",\" > head > script\"],[\"has-text\",\"googletagmanager\"]]}"], ["{\"selector\":\"div[id^=\\\"post-\\\"]\",\"action\":[\"remove-class\",\"hidden_share\"]}"], ["{\"selector\":\"div[aria-labelledby=\\\"schedules-header\\\"] > div > div\",\"tasks\":[[\"has-text\",\"Ad\"]]}"], ["{\"selector\":\"#main > div[class] > div div[class]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"^\\\"advertisement\\\"$\"}],[\"upward\",\"#main > div[class] > div\"]]}"], ["{\"selector\":\"#wpsafe-wait1, #wpsafe-link\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//span[(text()='Ad')]/../../..\"]]}"], ["{\"selector\":\"center\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"html:not(:has([class^=\\\"Dailymotion__Wrapper\\\"])) > head > script\",\"tasks\":[[\"has-text\",\"gptScript\"]]}"], ["{\"selector\":\".ad-block-popup\",\"tasks\":[[\"upward\",2]]}", "{\"selector\":\".native-ad-item-panel\",\"tasks\":[[\"upward\",\".vertical-view__item\"]]}"], ["{\"selector\":\".marketplace-row\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\"div[class^=\\\"css-\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> a\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}]]}"], ["{\"selector\":\"#yuidea-snp, #btn6, #yuidea, #countdown\",\"tasks\":[[\"others\",\"\"]]}", "{\"selector\":\"#yuidea-snp, #btn6, center, [src*=\\\"google.com/recaptcha\\\"]\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"script[language=\\\"javascript\\\"]\",\"tasks\":[[\"has-text\",\"open\"]]}"], ["{\"selector\":\"div.swiper-slide\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}", "{\"selector\":\"li[class$=\\\"eBAnBw\\\"]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}", "{\"selector\":\"li[class]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\"#index-games\",\"tasks\":[[\"upward\",\"html\"],[\"spath\",\" > head > script\"],[\"has-text\",\"wgplayer\"]]}"], ["{\"selector\":\".ssm_adunit_container\",\"tasks\":[[\"upward\",\"[id^=\\\"list_ads\\\"]\"]]}"], ["{\"selector\":\".widget .adsSidebarContainer\",\"tasks\":[[\"upward\",\".widget\"]]}"], ["{\"selector\":\".tweet-card .v-responsive.media-carousel-image .v-responsive__content img[alt]\",\"tasks\":[[\"not\",{\"selector\":\"\",\"tasks\":[[\"matches-attr\",{\"attr\":\"alt\",\"value\":\"/.*\\\\shttps:\\\\/\\\\/t\\\\.co\\\\/[\\\\w]{10}$/\"}]]}],[\"upward\",\".tweet-card\"]]}"], ["{\"selector\":\".adsbygoogle\",\"tasks\":[[\"upward\",\".row-container\"]]}"], ["{\"selector\":\".dfp-ad-unit\",\"tasks\":[[\"upward\",1]]}"], ["{\"selector\":\"li.product-wrapper\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}"], ["{\"selector\":\".content\",\"tasks\":[[\"has\",{\"selector\":\"> div\",\"tasks\":[[\"has-text\",\"Branded Content\"]]}]]}"], ["{\"selector\":\".OUTBRAIN\",\"tasks\":[[\"upward\",2]]}"], ["{\"selector\":\"#file\",\"action\":[\"remove-attr\",\"disabled\"]}", "{\"selector\":\"#file\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#my-btn, #my-btn2\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\".a11t--product\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"div > ins\",\"tasks\":[[\"upward\",\"div\"]]}"], ["{\"selector\":\"[href*=\\\"sjv.io\\\"]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\".ProductRecsLink-sc-4mw94v-0\",\"tasks\":[[\"has\",{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"sponsored\"]]}]]}", "{\"selector\":\"div[data-test=\\\"@web/ProductCard/ProductCardVariantAisle\\\"]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}", "{\"selector\":\"div[data-test=\\\"@web/site-top-of-funnel/ProductCardWrapper\\\"]\",\"tasks\":[[\"has-text\",\"sponsored\"]]}"], ["{\"selector\":\"[href=\\\"/category/taxi-fares/\\\"]\",\"tasks\":[[\"upward\",\".thumb\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"numberPages\"]]}"], ["{\"selector\":\"#link, #btn6, #yuidea-snp\",\"action\":[\"remove-attr\",\"disabled\"]}"], ["{\"selector\":\"div[class] > p\",\"tasks\":[[\"has-text\",\"Advertisements\"]]}"], ["{\"selector\":\"#customad\",\"tasks\":[[\"upward\",\".code-block\"]]}", "{\"selector\":\".brxe-div > div[class=\\\"brxe-container\\\"] .adsbygoogle\",\"tasks\":[[\"upward\",\".brxe-container\"]]}", "{\"selector\":\"section.brxe-section > div[class=\\\"brxe-container\\\"] .adsbygoogle\",\"tasks\":[[\"upward\",\"section\"]]}"], ["{\"selector\":\"#wpsafe-time\",\"tasks\":[[\"upward\",\"[id^=\\\"wpsafe-wait\\\"]\"]]}"], ["{\"selector\":\".get-link\",\"action\":[\"remove-attr\",\"disabled\"]}", "{\"selector\":\".get-link\",\"action\":[\"remove-class\",\"disabled\"]}"], ["{\"selector\":\".quads-location, .pro_btn\",\"tasks\":[[\"others\",\"\"]]}", "{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/AdbModel|showPopup/\"]]}"], ["{\"selector\":\"table\",\"tasks\":[[\"has\",{\"selector\":\"> tbody > tr > td > a\",\"tasks\":[[\"has-text\",\"Advertisements\"]]}]]}"], ["{\"selector\":\"#nn_bfa_wrapper\",\"action\":[\"remove\",\"\"]}", "{\"selector\":\".sticky_rail600\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"a[href^=\\\"https://thehackernews.uk/\\\"]\",\"tasks\":[[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/https:\\\\/\\\\/thehackernews\\\\.uk\\\\/[a-zA-Z0-9]{4,}/\"}],[\"spath\",\":not([href*=\\\"-\\\"]):not([class*=\\\"button\\\"]):not([class*=\\\"latest\\\"])\"]]}"], ["{\"selector\":\".tjp-single__content-ads\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"ADVERTISEMENT\"]]}"], ["{\"selector\":\".loadingLI\",\"tasks\":[[\"upward\",\".tncms-block\"]]}"], ["{\"selector\":\"html > head > script\",\"tasks\":[[\"has-text\",\"connatix.id\"],[\"upward\",1],[\"spath\",\" > script\"],[\"has-text\",\"window.cnx\"]]}"], ["{\"selector\":\"#btm-widget img[onload]\",\"tasks\":[[\"upward\",\"#btm-widget > .colombiaonesuccess > div\"]]}"], ["{\"selector\":\".entry-content > div > strong\",\"tasks\":[[\"has-text\",\"find & fix Windows error\"]]}"], ["{\"selector\":\".brand_ctn\",\"tasks\":[[\"has-text\",\"/Ad:/\"],[\"xpath\",\"../..\"]]}", "{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"/Ad:/\"],[\"xpath\",\"../../..\"]]}", "{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"/Ad:/\"],[\"xpath\",\"../..\"]]}"], ["{\"selector\":\"#vidPlayer span\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"tbody\",\"tasks\":[[\"has-text\",\"Please visit our below advertisers\"]]}"], ["{\"selector\":\"[style*=\\\"desktop-url\\\"]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"#tp98, #btn6, #tp-snp2\",\"tasks\":[[\"others\",\"\"]]}", "{\"selector\":\"#tp98[disabled]\",\"action\":[\"remove-attr\",\"disabled\"]}"], ["{\"selector\":\".cAWGu\",\"tasks\":[[\"has\",{\"selector\":\"a\",\"tasks\":[[\"has-text\",\"Similar Sponsored Properties\"]]}]]}", "{\"selector\":\".tkvEM\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"isIframeNetworking\"]]}"], ["{\"selector\":\"header[role=\\\"banner\\\"] > div > a[href=\\\"/docs/en/relevantads\\\"]\",\"tasks\":[[\"upward\",3]]}"], ["{\"selector\":\"body[data-scroll-locked]\",\"action\":[\"remove-attr\",\"data-scroll-locked\"]}"], ["{\"selector\":\"[data-testid=\\\"trend\\\"]\",\"tasks\":[[\"has-text\",\"/Promoted|Gesponsert|Promocionado|Patrocinat|Sponsorisé|Sponsorizzato|Promowane|Promovido|Реклама|Uitgelicht|Sponsorlu|Promotert|Promoveret|Sponsrad|Mainostettu|Sponzorováno|Promovat|Ajánlott|Προωθημένο|Dipromosikan|Được quảng bá|推廣|推广|推薦|推荐|プロモーション|프로모션|ประชาสัมพันธ์|प्रचारित|বিজ্ঞাপিত|تشہیر شدہ|مُروَّج|تبلیغی|מקודם/\"],[\"upward\",1]]}", "{\"selector\":\"div[style^=\\\"transform\\\"] h2 > div[style^=\\\"-webkit-line-clamp\\\"] > span\",\"tasks\":[[\"has-text\",\"/^(?:Promoted Post|Promowany Post|Post promovat|プロモポスト)$/\"],[\"upward\",3]]}"], ["{\"selector\":\"[data-testid=\\\"primaryColumn\\\"] [data-testid=\\\"cellInnerDiv\\\"] > div:has([data-testid$=\\\"-impression-pixel\\\"])\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"h2[role=\\\"heading\\\"]\",\"tasks\":[[\"has-text\",\"/Promoted|Gesponsert|Promocionado|Sponsorisé|Sponsorizzato|Promowane|Promovido|Реклама|Uitgelicht|Sponsorlu|Promotert|Promoveret|Sponsrad|Mainostettu|Sponzorováno|Promovat|Ajánlott|Προωθημένο|Dipromosikan|Được quảng bá|推廣|推广|推薦|推荐|プロモーション|프로모션|ประชาสมพนธ|परचरत|বজঞপত|تشہیر شدہ|مروج|تبلیغی|מקודם/\"]]}"], ["{\"selector\":\"li.ProductListingResults__productCard\",\"tasks\":[[\"has\",{\"selector\":\".ProductCard__badge\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}"], ["{\"selector\":\"div[style^=\\\"--row-gutter\\\"] > div a[href=\\\"/brands\\\"]\",\"tasks\":[[\"upward\",\"div[style^=\\\"--row-gutter\\\"] > div\"]]}"], ["{\"selector\":\"h5\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/iframe|setTimeout|0x/\"]]}"], ["{\"selector\":\"html > head > link[rel=\\\"canonical\\\"]:not([href*=\\\"/video/\\\"])\",\"tasks\":[[\"upward\",1],[\"spath\",\" > script[src*=\\\"connatix\\\"]\"]]}"], ["{\"selector\":\".text-primary.inline-block, button.text-primary\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"popMagic\"]]}"], ["{\"selector\":\"div[id] *\",\"tasks\":[[\"has\",{\"selector\":\"> a[href]\",\"tasks\":[[\"has-text\",\"/^Try (?:D.?V.?D.?F.?a.?b|StreamFab)/\"],[\"spath\",\" + a[href]\"]]}]]}"], ["{\"selector\":\".is-guttered > .ads\",\"tasks\":[[\"upward\",\".is-guttered\"]]}"], ["{\"selector\":\".ads-between-post\",\"tasks\":[[\"upward\",\".post-item\"]]}"], ["{\"selector\":\"[data-stack-index] > section > div > div [data-item-id] > a[link-identifier][href^=\\\"https://wrd.walmart.com\\\"]\",\"tasks\":[[\"upward\",\"section > div > div\"]]}"], ["{\"selector\":\".widget a.gofollow\",\"tasks\":[[\"upward\",\".widget\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[(text()=\\\"AD\\\")]/..\"]]}", "{\"selector\":\".w-100\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}", "{\"selector\":\"section > div\",\"tasks\":[[\"has-text\",\"/^AD$/\"]]}"], ["{\"selector\":\".entry.card div:is(#sidead, .topad)\",\"tasks\":[[\"upward\",\".entry.card\"]]}"], ["{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"> div > div > div > div > div > p\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}"], ["{\"selector\":\"body > div[style]\",\"tasks\":[[\"has-text\",\"Ads\"]]}"], ["{\"selector\":\".ad-body\",\"action\":[\"remove\",\"\"]}", "{\"selector\":\".nvheader > span\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"l.parentNode.insertBefore(s, l);\"]]}"], ["{\"selector\":\".img_box\",\"tasks\":[[\"has-text\",\"Anzeige\"]]}", "{\"selector\":\"aside ins\",\"tasks\":[[\"upward\",\"aside\"]]}"], ["{\"selector\":\"#asg-inplayer-block\",\"tasks\":[[\"upward\",4]]}"], ["{\"selector\":\"[href^=\\\"/plugout.php\\\"]\",\"tasks\":[[\"upward\",\"[class^=\\\"col-sm\\\"]\"]]}"], ["{\"selector\":\"*\",\"tasks\":[[\"matches-css-after\",{\"name\":\"content\",\"pseudo\":\"after\",\"value\":[\"Advertisement\",\"i\"]}]]}"], ["{\"selector\":\"div.mb-28\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Ads\"]]}]]}"], ["{\"selector\":\".ads-thumb-list\",\"tasks\":[[\"upward\",\".outer-item\"]]}"], ["{\"selector\":\"[width]\",\"tasks\":[[\"has-text\",\"ADVERTISEMENT\"]]}"], ["{\"selector\":\".ytlr-horizontal-list-renderer__items > .yt-virtual-list__container > .yt-virtual-list__item--visible.yt-virtual-list__item--selected.yt-virtual-list__item\",\"tasks\":[[\"has-text\",\"Ad\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/'.adsbygoogle'|text-danger|warning|Adblock|_0x/\"]]}"], ["{\"selector\":\"[href*=\\\"-redir.\\\"]\",\"tasks\":[[\"upward\",2]]}", "{\"selector\":\"[style*=\\\"z-index:0\\\"]\",\"action\":[\"remove\",\"\"]}", "{\"selector\":\"span\",\"tasks\":[[\"matches-css\",{\"name\":\"background-image\",\"value\":\"url.*//www.idnes.cz\"}],[\"upward\",2]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"Math\"]]}"], ["{\"selector\":\".banner-wrapper\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",2]]}", "{\"selector\":\".sticky-content\",\"tasks\":[[\"has-text\",\"Rek\"]]}", "{\"selector\":\".sticky-content\",\"tasks\":[[\"has-text\",\"Reklama\"]]}", "{\"selector\":\".sticky-content\",\"tasks\":[[\"has-text\",\"klama\"]]}", "{\"selector\":\"[data-draggable-target]\",\"tasks\":[[\"has-text\",\"Rekl\"],[\"spath\",\":not(*:has([href*=\\\"radio\\\"]))\"]]}"], ["{\"selector\":\".branding\",\"tasks\":[[\"upward\",\"[target=\\\"_blank\\\"]\"]]}"], ["{\"selector\":\".b-main__section\",\"tasks\":[[\"has\",{\"selector\":\"h2.homepage-headline\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}]]}"], ["{\"selector\":\"div\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":[\"Anzeige\",\"i\"]}]]}"], ["{\"selector\":\".elementor-row\",\"tasks\":[[\"has-text\",\"[Anzeige]\"]]}"], ["{\"selector\":\"#dlcharts-list + .mt-md\",\"tasks\":[[\"has\",{\"selector\":\"> div > h2\",\"tasks\":[[\"has-text\",\"/Gesponsert|Bezahlte Empfehlung/\"],[\"spath\",\" + a[href^=\\\"https://www.chip.de/downloads/\\\"]\"]]}]]}", "{\"selector\":\".fb > .Listing > div\",\"tasks\":[[\"has\",{\"selector\":\"> h2\",\"tasks\":[[\"has-text\",\"/Gesponsert|Bezahlte Empfehlung/\"],[\"spath\",\" + a[href^=\\\"https://www.chip.de/downloads/\\\"]\"]]}]]}", "{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/pushAdTag|link_click|getAds/\"]]}"], ["{\"selector\":\"div:has(img[src*=\\\"https://im.chip.de/\\\"])\",\"tasks\":[[\"has\",{\"selector\":\"+ style + [class] + style\",\"tasks\":[[\"has-text\",\"/aspect-ratio\\\\s?:\\\\s?auto/\"],[\"spath\",\" + script:empty\"]]}]]}", "{\"selector\":\"div:has(img[src*=\\\"https://im.chip.de/\\\"])\",\"tasks\":[[\"has\",{\"selector\":\"+ style\",\"tasks\":[[\"has-text\",\"/aspect-ratio\\\\s?:\\\\s?auto/\"],[\"spath\",\" + script:empty\"]]}]]}"], ["{\"selector\":\"noscript\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"has-text\",\"Adblocker\"]]}"], ["{\"selector\":\"[id^=\\\"desig-\\\"]\",\"tasks\":[[\"has-text\",\"ANZEIGE\"]]}"], ["{\"selector\":\".swiper-slide [data-testid=\\\"topStories-cardSlider-ad\\\"]\",\"tasks\":[[\"upward\",\".swiper-slide\"]]}"], ["{\"selector\":\".clearfix.branding > .surftipp\",\"tasks\":[[\"has-text\",\"Anzeige\"]]}"], ["{\"selector\":\".ad-loading\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\".list-articles > li\",\"tasks\":[[\"has\",{\"selector\":\".icon-addy\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"^\\\"Anzeige\\\"$\"}]]}]]}", "{\"selector\":\".sp-article\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":[\"Anzeige\",\"i\"]}]]}]]}", "{\"selector\":\"[data-article-id]\",\"tasks\":[[\"has\",{\"selector\":\"[class]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ANZEIGE\"}]]}]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"===\"],[\"has-text\",\"/[\\\\w\\\\W]{14000}/\"]]}"], ["{\"selector\":\"#ad-Billboard\",\"tasks\":[[\"upward\",\"[style]\"]]}"], ["{\"selector\":\"[class*=\\\"superbanner\\\"]\",\"tasks\":[[\"upward\",\"article > div:not(#main)\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"homad\"]]}"], ["{\"selector\":\"strong\",\"tasks\":[[\"has-text\",\"/anzeige/i\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\",window\\\\);\"]]}", "{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"toscr\\\\'\"]]}", "{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"}(window);\"]]}"], ["{\"selector\":\".iba-acceptable\",\"tasks\":[[\"has-text\",\"/Anzeige|Info/\"]]}"], ["{\"selector\":\"div[id][style^=\\\"z-index: 2\\\"][style*=\\\"margin\\\"][style*=\\\"auto\\\"][style*=\\\"top\\\"][style$=\\\"px; position: absolute;\\\"]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"[id^=\\\"outbrain_widget_\\\"]\",\"tasks\":[[\"has-text\",\"/anzeige/i\"]]}"], ["{\"selector\":\"article\",\"tasks\":[[\"has-text\",\"Promoted\"]]}"], ["{\"selector\":\"style[id$=\\\"-css\\\"]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"detectAdblockWithInvalidURL\"]]}"], ["{\"selector\":\".channel-feed__brick .cfeed-card-contents--banner-adsense\",\"tasks\":[[\"upward\",\".channel-feed__brick\"]]}"], ["{\"selector\":\".body--onPlayer--ads\",\"action\":[\"remove-class\",\"body--onPlayer--ads\"]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[string-length(@href) > 1600]\"]]}"], ["{\"selector\":\".relacionados .aawp\",\"tasks\":[[\"upward\",\".relacionados\"]]}"], ["{\"selector\":\"[class]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ads\"}]]}"], ["{\"selector\":\"[id^=\\\"div-gpt-ad\\\"]:not([class])\",\"tasks\":[[\"upward\",\"div[class]\"]]}"], ["{\"selector\":\"a[href^=\\\"/out/\\\"]\",\"tasks\":[[\"upward\",1]]}"], ["{\"selector\":\"#taboola-alternating-below-article\",\"action\":[\"remove\",\"\"]}", "{\"selector\":\".banner-min-height\",\"action\":[\"remove\",\"\"]}", "{\"selector\":\".fixed.social-bar\",\"action\":[\"remove\",\"\"]}", "{\"selector\":\".mobile-banner-sticky-container\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"#alt_content_main_div > p\",\"tasks\":[[\"has-text\",\"SpyHunter\"]]}", "{\"selector\":\".entry-content > div\",\"tasks\":[[\"has-text\",\"Special Offer\"]]}"], ["{\"selector\":\".fluid-close[target=\\\"_blank\\\"]\",\"action\":[\"remove-attr\",\"target\"]}", "{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/popstate|popMagic/\"]]}"], ["{\"selector\":\"#tp982, #btn6\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#tp98, #jatinbtn-continue\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\".article_content > [class] > [class]:has(.iframe_embed_container)\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"#tp98, #countdown, [src*=\\\"https://www.google.com/recaptcha\\\"]\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#username[required]\",\"action\":[\"remove-attr\",\"required\"]}"], ["{\"selector\":\"div[style] > ins\",\"tasks\":[[\"upward\",\"div\"]]}"], ["{\"selector\":\"#player_img\",\"tasks\":[[\"upward\",2]]}"], ["{\"selector\":\"#btn2, #btn5, #tp-snp2\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#tp98, #tp-generate, #tp-snp2, [src*=\\\"https://www.google.com/recaptcha\\\"]\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"[id^=\\\"baxter-ads\\\"]\",\"tasks\":[[\"upward\",\"[class]\"]]}"], ["{\"selector\":\"#rtg-snp2\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#bottomNewButton, #bottomButton\",\"action\":[\"remove-attr\",\"disabled\"]}", "{\"selector\":\".timer, .shrs_btn, .tag, .link-open-modal\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#notarobot, #btn7\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#btn11, #tp-snp2, #rtg, #btn6, #wpsafe-snp\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\".panel\",\"tasks\":[[\"has\",{\"selector\":\"h3\",\"tasks\":[[\"has-text\",\"Sponsored Ad\"]]}]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"decodeURIComponent(escape(r))\"]]}"], ["{\"selector\":\".text-center:not([id]) [id^=\\\"adngin-\\\"]\",\"tasks\":[[\"upward\",\".text-center:not([id])\"]]}"], ["{\"selector\":\".thleft\",\"tasks\":[[\"has-text\",\"Fast\"],[\"upward\",2]]}"], ["{\"selector\":\"a13\",\"tasks\":[[\"has-text\",\" Ad\"]]}"], ["{\"selector\":\"style\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"has-text\",\".reading-content img\"]]}"], ["{\"selector\":\"div[tabindex] > button\",\"tasks\":[[\"has-text\",\"Buy $\"]]}"], ["{\"selector\":\"\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-path\",\"/utm_medium=Banner/i\"],[\"spath\",\" html\"]]}"], ["{\"selector\":\"div.featured-holder > div.owl-carousel > div.owl-stage-outer > div.owl-stage > div.owl-item:has(> div.item > div > div.placeholder > iframe[src^=\\\"https://a.reymit.ir/\\\"])\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-path\",\"/utm_source=footer/i\"],[\"spath\",\" html\"]]}"], ["{\"selector\":\"html\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\".active.dimmer.ui\",\"tasks\":[[\"has-text\",\"/Wait|Skip/i\"]]}"], ["{\"selector\":\".banner\",\"action\":[\"remove\",\"\"]}", "{\"selector\":\"[id^=\\\"ad\\\"]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"#gads[disabled]\",\"action\":[\"remove-attr\",\"disabled\"]}"], ["{\"selector\":\"[id^=\\\"google_ads_iframe\\\"]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"KeenTracking\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/^\\\\/($|abss\\\\/)/\"],[\"spath\",\" .postContent a[href^=\\\"/\\\"]:not([href*=\\\"/forum/\\\"])\"],[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/^\\\\/[-a-z]+\\\\?[a-z]{2,}=/\"}]]}", "{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/^\\\\/($|abss\\\\/)/\"],[\"spath\",\" a:is([href^=\\\"/\\\"], [href*=\\\"audiobookbay.lu/\\\"])\"],[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/(^|audiobookbay\\\\.lu)\\\\/[-a-z0-9]+$/\"}],[\"spath\",\" img\"]]}"], ["{\"selector\":\"[id]\",\"tasks\":[[\"has-text\",\"Provider\"]]}"], ["{\"selector\":\"#alf_continue_captcha\",\"action\":[\"remove-attr\",\"disabled\"]}"], ["{\"selector\":\".is-full .climad-badge\",\"tasks\":[[\"upward\",\".is-full\"]]}"], ["{\"selector\":\"center\",\"tasks\":[[\"has-text\",\"sponsored\"]]}"], ["{\"selector\":\"main > h2:nth-of-type(1)\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\".container > [class]\",\"tasks\":[[\"has-text\",\"VPN\"]]}", "{\"selector\":\".title ~ a[href] .button\",\"tasks\":[[\"upward\",\".container > div\"]]}", "{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"document.write\"]]}"], ["{\"selector\":\"a.extern[href^=\\\"//www.amazon.de/\\\"]\",\"tasks\":[[\"upward\",2]]}"], ["{\"selector\":\"span.text-secondary\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\".modal_dialog_base\",\"tasks\":[[\"has\",{\"selector\":\"> .modal_top_header\",\"tasks\":[[\"has-text\",\"Marketing\"]]}]]}", "{\"selector\":\"table\",\"tasks\":[[\"has\",{\"selector\":\"> thead > .collapsableSection > td\",\"tasks\":[[\"has-text\",\"Ads\"]]}]]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[contains(text(),\\\"Werbung\\\")]\"],[\"spath\",\" + [class]\"]]}"], ["{\"selector\":\".moduleContent\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\".money\",\"tasks\":[[\"has\",{\"selector\":\".century\",\"tasks\":[[\"has-text\",\"ADS\"]]}]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"ad block\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/adblock/i\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"liedetector\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"doOpen\"]]}"], ["{\"selector\":\".home_iframead > iframe\",\"tasks\":[[\"upward\",1]]}"], ["{\"selector\":\".kecil\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\".row\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\".widget-title\",\"tasks\":[[\"has-text\",\"Adv\"]]}"], ["{\"selector\":\"a img:not([src=\\\"images/main_logo_inverted.png\\\"])\",\"action\":[\"style\",\"visibility: hidden !important;\"],\"tasks\":[[\"matches-css\",{\"name\":\"height\",\"value\":\"^([2-4]{1}[0-9]{2}(\\\\.[0-9]+)?px|0px)$\"}]]}"], ["{\"selector\":\"[data-koukoku-width]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"table > tbody > tr\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"script[src$=\\\"ads.js\\\"]\",\"tasks\":[[\"upward\",\"section[id]\"]]}"], ["{\"selector\":\".selected\",\"tasks\":[[\"has-text\",\"Ads\"]]}"], ["{\"selector\":\"div[class^=\\\"sc-\\\"] > div[class^=\\\"sc-\\\"]:has(> div[style*=\\\"width: 728px;\\\"]:only-child > iframe[name=\\\"footer\\\"][width=\\\"728\\\"][height=\\\"90\\\"])\",\"tasks\":[[\"matches-css\",{\"name\":\"padding-bottom\",\"value\":\"^56px$\"}]]}", "{\"selector\":\"iframe[name=\\\"dashboard_home\\\"]\",\"tasks\":[[\"upward\",\"div[class^=\\\"sc-\\\"][span=\\\"1\\\"]\"]]}", "{\"selector\":\"section > div[class^=\\\"sc-\\\"]:last-child:has(> div[style*=\\\"width: 728px;\\\"]:only-child > iframe[name=\\\"footer\\\"][width=\\\"728\\\"][height=\\\"90\\\"])\",\"tasks\":[[\"matches-css\",{\"name\":\"margin-bottom\",\"value\":\"^-16px$\"}]]}"], ["{\"selector\":\"a.box-title\",\"tasks\":[[\"has-text\",\"Ads\"]]}"], ["{\"selector\":\"#link\",\"action\":[\"remove-attr\",\"disabled\"]}"], ["{\"selector\":\".widget_text\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"BetterJsPop.add\"]]}"], ["{\"selector\":\".downloadbtn\",\"action\":[\"remove-attr\",\"disabled\"]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/ConsoleBan|alert|AdBlocker/\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"ai_adb\"]]}"], ["{\"selector\":\"article\",\"tasks\":[[\"has\",{\"selector\":\"header:has(.ct-sponsored)\"}]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"popUnder\"]]}"], ["{\"selector\":\".jeg_postblock\",\"tasks\":[[\"has-text\",\"SPONSORED\"]]}"], ["{\"selector\":\".wpsafe-top > div > center\",\"tasks\":[[\"has-text\",\"Advertisements\"]]}"], ["{\"selector\":\"div.product-tile\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}"], ["{\"selector\":\"div[id^=\\\"imCell_\\\"][class=\\\"\\\"]\",\"tasks\":[[\"has-text\",\"/Advertisement/i\"]]}"], ["{\"selector\":\".les-title\",\"tasks\":[[\"has-text\",\"Sponsor\"]]}", "{\"selector\":\".selected\",\"tasks\":[[\"has-text\",\"Sponsor\"]]}"], ["{\"selector\":\"#tp-snp2, #cross-snp2\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"h1\",\"tasks\":[[\"has-text\",\"/adblock|supporter/\"]]}"], ["{\"selector\":\"#yuidea-btn-after, #yuidea-btmbtn\",\"action\":[\"remove-attr\",\"disabled\"]}", "{\"selector\":\"#yuidea-btn-after, #yuidea-btmbtn\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"[target=\\\"_blank\\\"][style]\",\"tasks\":[[\"upward\",\"[style]\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//span[contains(text(),\\\"Advert\\\")]/../..\"]]}", "{\"selector\":\"td\",\"tasks\":[[\"has\",{\"selector\":\"> span[class]\",\"tasks\":[[\"has-text\",\"Advert\"]]}]]}"], ["{\"selector\":\"center > ins\",\"tasks\":[[\"upward\",\"center\"]]}"], ["{\"selector\":\"div[class*=\\\"better-ads-listitemad\\\"]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\".widget\",\"tasks\":[[\"has-text\",\"Adv\"]]}"], ["{\"selector\":\"[href*=\\\"3cx\\\"]\",\"tasks\":[[\"upward\",\"tbody\"]]}"], ["{\"selector\":\".widget-title\",\"tasks\":[[\"has-text\",\"AD\"]]}"], ["{\"selector\":\"\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-path\",\"/utm_medium=banner-kaprila/i\"],[\"spath\",\" html\"]]}"], ["{\"selector\":\"div[id$=\\\"_frame_content\\\"][class=\\\"wide_boxcontent\\\"]\",\"tasks\":[[\"has-text\",\"Adblock\"]]}"], ["{\"selector\":\".leftCol > div [data-link-tracking-page=\\\"Widget\\\"]\",\"tasks\":[[\"upward\",\".leftCol > div\"]]}", "{\"selector\":\"a\",\"tasks\":[[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/[a-zA-Z0-9]{100,}/\"}]]}"], ["{\"selector\":\"#heck-form > p a[href]\",\"action\":[\"remove-attr\",\"href\"]}"], ["{\"selector\":\"script[data-cfasync]\",\"tasks\":[[\"has-text\",\"D4zz.\"]]}"], ["{\"selector\":\".result:has(.result-open-metagerkey)\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"*\",\"action\":[\"remove-class\",\"/[a-z]{30,}/\"]}", "{\"selector\":\"style\",\"tasks\":[[\"has-text\",\"adbl\"]]}"], ["{\"selector\":\".row\",\"tasks\":[[\"has-text\",\"Promotion Bot\"]]}"], ["{\"selector\":\".cp-modal-popup-container\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\".wide_boxcontent\",\"tasks\":[[\"has-text\",\"/adb/i\"]]}"], ["{\"selector\":\".container > .adsbygoogle\",\"tasks\":[[\"upward\",\".container\"]]}", "{\"selector\":\".container > div > .adsbygoogle\",\"tasks\":[[\"upward\",\"div\"]]}"], ["{\"selector\":\".cmplz-blocked-content-container\",\"action\":[\"remove-class\",\"cmplz-blocked-content-container\"]}"], ["{\"selector\":\"a.button-link.mybutton\",\"tasks\":[[\"has-text\",\"Play\"]]}"], ["{\"selector\":\"li\",\"tasks\":[[\"has\",{\"selector\":\".viewLink\",\"tasks\":[[\"has-text\",\"AD |\"]]}]]}"], ["{\"selector\":\"body > [id] > [class]\",\"tasks\":[[\"matches-css\",{\"name\":\"z-index\",\"value\":\"2147483647\"}]]}"], ["{\"selector\":\"div[class]\",\"tasks\":[[\"has\",{\"selector\":\"> img[src] + div > style\",\"tasks\":[[\"has-text\",\"flex: 0 0 100%\"]]}]]}"], ["{\"selector\":\"div[class]:has(> img[src] ~ div:empty)\",\"tasks\":[[\"matches-css\",{\"name\":\"z-index\",\"value\":\"^0$\"}],[\"matches-css\",{\"name\":\"position\",\"value\":\"^relative$\"}]]}"], ["{\"selector\":\"*\",\"tasks\":[[\"has\",{\"selector\":\"> div:first-child:has(> div:first-child > a > img[src^=\\\"https://v.wpimg.pl/\\\"]):not([alt], [id], [width], [data-src]) + div:empty\"}]]}"], ["{\"selector\":\"div[class]\",\"tasks\":[[\"has\",{\"selector\":\"> style:first-child\",\"tasks\":[[\"has-text\",\"flex: 0 0 100%\"],[\"spath\",\" + div > div > style:first-child\"],[\"has-text\",\"flex: 0 0 100%\"],[\"spath\",\" + div\"]]}],[\"spath\",\":not(:has([data-st-area^=\\\"czyt_dalej\\\"]))\"]]}"], ["{\"selector\":\"style\",\"tasks\":[[\"has-text\",\"right:0;top:0;bottom:0;left:0;margin:auto;position:absolute;\"],[\"upward\",1]]}"], ["{\"selector\":\"*\",\"tasks\":[[\"has\",{\"selector\":\"> .top-box-caption\",\"tasks\":[[\"has-text\",\"/REKLAMA|WERBUNG/\"],[\"spath\",\" + a\"]]}]]}"], ["{\"selector\":\"div[class*=\\\" \\\"]:has(> div:first-child > div:first-child:empty)\",\"tasks\":[[\"matches-css\",{\"name\":\"z-index\",\"value\":\"^0$\"}],[\"matches-css\",{\"name\":\"position\",\"value\":\"^relative$\"}]]}"], ["{\"selector\":\"div[class*=\\\" \\\"]:has(> div:empty)\",\"tasks\":[[\"matches-css\",{\"name\":\"z-index\",\"value\":\"^0$\"}],[\"matches-css\",{\"name\":\"position\",\"value\":\"^relative$\"}]]}"], ["{\"selector\":\"div > h6\",\"tasks\":[[\"has-text\",\"Oferty dla Ciebie\"]]}", "{\"selector\":\"section > h2\",\"tasks\":[[\"has-text\",\"Oferty dla Ciebie:\"]]}"], ["{\"selector\":\"#bottom-sticky-container > div\",\"tasks\":[[\"matches-attr\",{\"attr\":\"class\",\"value\":\"/^[a-zA-Z]{2}$/\"}],[\"spath\",\":not([id])\"]]}"], ["{\"selector\":\"[onclick$=\\\"return !ga.loaded;\\\"]\",\"action\":[\"remove-attr\",\"onclick\"]}"], ["{\"selector\":\"div[class]\",\"tasks\":[[\"has\",{\"selector\":\"> img[src] + div + style\",\"tasks\":[[\"has-text\",\"flex: 0 0 100%\"]]}]]}"], ["{\"selector\":\"div[style=\\\"width: 100%;\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> div > div > div\",\"tasks\":[[\"has-text\",\"OFERTY DLA CIEBIE\"]]}]]}", "{\"selector\":\"iframe[scrolling=\\\"no\\\"][src^=\\\"https://v.wpimg.pl/\\\"][frameborder=\\\"0\\\"]\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",1]]}"], ["{\"selector\":\".g-recaptcha, iframe[src*=\\\"google.com/recaptcha\\\"], .btn-captcha, .btn-black-outline\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"#openLinks\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"adsBlocked\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"chp_ads_blocker_detector\"]]}"], ["{\"selector\":\"html:not(:has(#thegame)) > head > script\",\"tasks\":[[\"has-text\",\"wgplayer\"]]}"], ["{\"selector\":\".sponsorship\",\"action\":[\"remove-class\",\"sponsorship\"]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"adb_detected\"]]}"], ["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/block-adb|-0x|adblock/\"]]}"], ["{\"selector\":\"[src^=\\\"blob:https://autofaucet.dutchycorp.space/\\\"]\",\"action\":[\"remove\",\"\"]}"], ["{\"selector\":\"[style][href]\",\"tasks\":[[\"upward\",\"[style]\"]]}"], ["{\"selector\":\"#submitbutton[disabled]\",\"action\":[\"remove-attr\",\"disabled\"]}", "{\"selector\":\"a#gobutton[onclick]\",\"action\":[\"remove-attr\",\"onclick\"]}"], ["{\"selector\":\".st-hidden\",\"action\":[\"remove-class\",\"st-hidden\"]}"], ["{\"selector\":\"#cross-snp2\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\".g-recaptcha, #cross-verify-go, .captcha-check, [src*=\\\"google.com/recaptcha/\\\"]\",\"tasks\":[[\"others\",\"\"]]}"], ["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[(text()='Advertisement')]\"],[\"upward\",1]]}"], ["{\"selector\":\"iframe.hide-ads\",\"tasks\":[[\"upward\",\"div[style]\"]]}"], ["{\"selector\":\"[data-test^=\\\"component-slider-slide-\\\"]\",\"tasks\":[[\"has-text\",\"SPONSORED\"]]}"], ["{\"selector\":\".search-page__result .listings-standout\",\"tasks\":[[\"upward\",\".search-page__result\"]]}", "{\"selector\":\".searchResults .product-card__ad-copy\",\"tasks\":[[\"upward\",\"li\"]]}"], ["{\"selector\":\".pufftext > .sponsored\",\"tasks\":[[\"upward\",3]]}", "{\"selector\":\".pufftext\",\"tasks\":[[\"has-text\",\"/SPONSORED/\"],[\"upward\",2]]}"], ["{\"selector\":\"main > div > [id].scroll-mt-20\",\"tasks\":[[\"has\",{\"selector\":\".items-center + div\",\"tasks\":[[\"has-text\",\"/^Sponsored$/\"]]}]]}"], ["{\"selector\":\"body:not(:has(#remixd-audio-player)) > script\",\"tasks\":[[\"has-text\",\"googletagmanager\"]]}"], ["{\"selector\":\".pt-grid-item\",\"tasks\":[[\"has\",{\"selector\":\"[data-test-id=\\\"citrus-label\\\"]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}", "{\"selector\":\"li:has(.product-header)\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"], ["{\"selector\":\"article > [class^=\\\"tc-view\\\"] #ad-header\",\"tasks\":[[\"upward\",\"article > [class^=\\\"tc-view\\\"]\"]]}"], ["{\"selector\":\".thumb div.ad\",\"tasks\":[[\"upward\",\".thumb\"]]}"], ["{\"selector\":\"#pro-continue, #pro-btn, #my-btn\",\"tasks\":[[\"others\",\"\"]]}"]];

    const hostnamesMap = new Map([["1337x.unblock2.xyz", 2], ["ustream.click", 8], ["ebookbb.com", 8], ["kropic.com", 8], ["newtorrentgame.com", 8], ["thisav.com", 8], ["legendaoficial.net", 8], ["urlpay.net", 8], ["xxxmax.net", 8], ["22pixx.xyz", 8], ["uhdgames.xyz", 8], ["projectlive.info", 16], ["d0000d.com", 17], ["d000d.com", 17], ["d0o0d.com", 17], ["do0od.com", 17], ["ds2play.com", 17], ["ds2video.com", 17], ["doods.pro", 17], ["enit.in", 26], ["webnovelpub.com", 33], ["lightnovelspot.com", 34], ["novelpub.com", [34, 310]], ["missav123.com", 37], ["missav789.com", 37], ["myav.com", 37], ["gamerxyt.com", 38], ["pornkino.cc", [41, 42]], ["youwatchporn.com", [41, 42]], ["pandamovies.me", [41, 42]], ["watchfreexxx.net", 41], ["xxxscenes.net", [41, 42]], ["bdnewszh.com", [47, 56, 149]], ["olacast.live", [47, 56]], ["embedstream.me", [47, 56, 173]], ["footyhunter3.xyz", [47, 56]], ["networkhint.com", 52], ["ytanime.tv", 55], ["torrentfunk.com", 60], ["txxxporn.tube", 65], ["mcloud.bz", 68], ["walmart.ca", 69], ["walmart.com", 69], ["wayfair.com", 70], ["wayfair.co.uk", 70], ["94.103.83.138", 74], ["cutty.app", 75], ["simply-debrid.com", 75], ["snaptik.app", 76], ["yelp.com.ar", 77], ["yelp.at", 77], ["yelp.com.au", 77], ["yelp.be", 77], ["yelp.com.br", 77], ["yelp.ca", 77], ["yelp.ch", 77], ["yelp.cl", 77], ["yelp.com", 77], ["yelp.cz", 77], ["yelp.de", 77], ["yelp.dk", 77], ["yelp.es", 77], ["yelp.fi", 77], ["yelp.fr", 77], ["yelp.com.hk", 77], ["yelp.ie", 77], ["yelp.it", 77], ["yelp.co.jp", 77], ["yelp.com.mx", 77], ["yelp.my", 77], ["yelp.nl", 77], ["yelp.no", 77], ["yelp.co.nz", 77], ["yelp.com.ph", 77], ["yelp.pl", 77], ["yelp.pt", 77], ["yelp.se", 77], ["yelp.com.sg", 77], ["yelp.com.tr", 77], ["yelp.co.uk", 77], ["bikesales.com.au", 78], ["sbs.com.au", 79], ["123unblock.bar", 80], ["eztv.tf", 80], ["eztv.yt", 80], ["modivo.bg", 81], ["modivo.cz", 81], ["modivo.de", 81], ["modivo.gr", 81], ["modivo.hu", 81], ["modivo.it", 81], ["modivo.pl", 81], ["modivo.ro", 81], ["virusi.bg", 82], ["wubingdu.cn", 82], ["2-spyware.com", 82], ["odstranitvirus.cz", 82], ["dieviren.de", 82], ["udenvirus.dk", 82], ["viirused.ee", 82], ["losvirus.es", 82], ["virukset.fi", 82], ["lesvirus.fr", 82], ["ioys.gr", 82], ["virusi.hr", 82], ["avirus.hu", 82], ["tanpavirus.web.id", 82], ["senzavirus.it", 82], ["uirusu.jp", 82], ["virusai.lt", 82], ["zondervirus.nl", 82], ["viruset.no", 82], ["usunwirusa.pl", 82], ["semvirus.pt", 82], ["faravirus.ro", 82], ["bedynet.ru", 82], ["utanvirus.se", 82], ["virusler.info.tr", 82], ["novirus.uk", 82], ["sekaikomik.bio", 83], ["hynews.biz", 84], ["bitcotasks.com", 84], ["cempakajaya.com", 84], ["coin-free.com", 84], ["coinsrev.com", 84], ["crypto4yu.com", 84], ["kienthucrangmieng.com", 84], ["manofadan.com", 84], ["tagecoin.com", [84, 407]], ["tremamnon.com", 84], ["tron-free.com", 84], ["wiour.com", 84], ["bitsmagic.fun", 84], ["btcbitco.in", 84], ["doge25.in", [84, 508]], ["videolyrics.in", 84], ["gainl.ink", 84], ["blog24.me", 84], ["btcsatoshi.net", 84], ["readbitcoin.org", 84], ["cryptosh.pro", 84], ["claimcoins.site", 84], ["allfaucet.xyz", 84], ["ourcoincash.xyz", [84, 301]], ["hardmob.com.br", 85], ["uol.com.br", 86], ["atlanticsuperstore.ca", [87, 88]], ["fortinos.ca", [87, 88]], ["maxi.ca", [87, 88]], ["newfoundlandgrocerystores.ca", [87, 88]], ["nofrills.ca", [87, 88]], ["provigo.ca", [87, 88, 90]], ["realcanadiansuperstore.ca", [87, 88, 91]], ["valumart.ca", [87, 88, 90]], ["yourindependentgrocer.ca", [87, 88, 90]], ["zehrs.ca", [87, 88, 90]], ["loblaws.ca", [88, 90]], ["kijiji.ca", 89], ["filezip.cc", 92], ["pahaplayers.click", 93], ["givee.club", 94], ["mcrypto.club", 95], ["pkpics.club", 96], ["bellesa.co", 97], ["coolors.co", 98], ["decrypt.co", 99], ["filmfliqz.co", [100, 101]], ["apkeclipse.com", [100, 101]], ["cmsarkariyojana.com", [100, 101]], ["cryptokinews.com", 100], ["decidewhy.com", [100, 101]], ["djrachit.com", [100, 101]], ["freegadgets24.com", [100, 101]], ["funkeykida.com", [100, 101]], ["gadgetsreview27.com", 100], ["newsbawa.com", 100], ["odiaalbumsong.com", [100, 101]], ["oriyaremix.com", [100, 101]], ["rajgarhsamachar.com", [100, 101]], ["recipenames.com", [100, 101]], ["djrkmusicjaunpur.in", [100, 101]], ["lifesurance.info", 100], ["odisharemix.link", [100, 101]], ["insurelist.online", [100, 101]], ["morestate.pro", [100, 101]], ["puresports.pro", [100, 101]], ["lrncook.xyz", 100], ["yalifin.xyz", 100], ["game8.co", 102], ["geniussolutions.co", 103], ["reminimod.co", 103], ["amanguides.com", 103], ["fartechy.com", 103], ["mb.feedale.com", 103], ["foodxor.com", 103], ["highkeyfinance.com", 103], ["iconicblogger.com", 103], ["investcrust.com", 103], ["itechmafiia.com", 103], ["kreatifparenting.com", 103], ["krishiloksewa.com", 103], ["litonmods.com", 103], ["mealcold.com", 103], ["mixrootmods.com", 103], ["blog.nationapk.com", 103], ["placementsmela.com", 103], ["sportsonfr.com", 103], ["djpunjab2.in", 103], ["djqunjab.in", 103], ["panda.freemodsapp.in", 103], ["modzilla.in", 103], ["rsrlink.in", 103], ["gurumu.net", 103], ["freemodsapp.xyz", 103], ["javopen.co", 104], ["letest25.co", 105], ["financebolo.com", 105], ["techkeshri.com", 105], ["truevpnlover.com", 105], ["gorating.in", 105], ["loanteacher.in", 105], ["rphost.in", [105, 515]], ["plagiarismchecker.co", 106], ["redload.co", 107], ["roblox-scripts.co", 108], ["shortix.co", [109, 110]], ["androjungle.com", 110], ["bokugents.com", 110], ["drakescans.com", 110], ["bookszone.in", [110, 504]], ["takez.co", 111], ["tech5s.co", [112, 113]], ["trip.businessnews-nigeria.com", [112, 177]], ["ez4mods.com", [112, 113]], ["mobi2c.com", [112, 177]], ["te-it.com", [112, 177]], ["world2our.com", [112, 177]], ["bluetechno.net", [112, 177]], ["forexit.online", [112, 177]], ["veganab.co", 114], ["camdigest.com", 114], ["vsco.co", 115], ["1movietv.com", 116], ["4wank.com", 117], ["5ggyan.com", 118], ["newssokuhou666.blog.fc2.com", 118], ["youkaiwatch2345.blog.fc2.com", 118], ["marketmovers.it", 118], ["health-and.me", 118], ["9gag.com", 119], ["abcam.com", 120], ["accuweather.com", 121], ["acmemarkets.com", 122], ["albertsons.com", 122], ["andronicos.com", 122], ["carrsqc.com", 122], ["haggen.com", 122], ["jewelosco.com", 122], ["kingsfoodmarkets.com", 122], ["pavilions.com", 122], ["randalls.com", 122], ["safeway.com", 122], ["shaws.com", 122], ["starmarket.com", 122], ["tomthumb.com", 122], ["vons.com", 122], ["adivineencounter.com", 123], ["alcasthq.com", 123], ["au-di-tions.com", 123], ["badgehungry.com", 123], ["bloggingawaydebt.com", 123], ["chipandco.com", 123], ["cornerstoneconfessions.com", 123], ["dearcreatives.com", 123], ["divinelifestyle.com", 123], ["eslauthority.com", 123], ["heresyoursavings.com", 123], ["investingchannel.com", 123], ["justjared.com", 123], ["kompas.com", 123], ["lovegrowswild.com", 123], ["mjsbigblog.com", 123], ["mommybunch.com", 123], ["mustardseedmoney.com", 123], ["myfunkytravel.com", 123], ["mywomenstuff.com", 123], ["onetimethrough.com", 123], ["panlasangpinoymeatrecipes.com", 123], ["savespendsplurge.com", 123], ["savvyhoney.com", 123], ["silverpetticoatreview.com", 123], ["tamaratattles.com", 123], ["the-military-guide.com", 123], ["the2seasons.com", 123], ["therelaxedhomeschool.com", 123], ["thetechieguy.com", 123], ["truesteamachievements.com", 123], ["truetrophies.com", [123, 433]], ["waterheaterleakinginfo.com", 123], ["zeroto60times.com", 123], ["irresistiblepets.net", 123], ["peru21.pe", 123], ["agoda.com", 124], ["www.al.com", 125], ["www.cleveland.com", 125], ["www.lehighvalleylive.com", 125], ["www.masslive.com", 125], ["www.mlive.com", 125], ["www.nj.com", 125], ["www.oregonlive.com", 125], ["www.pennlive.com", 125], ["www.silive.com", 125], ["www.syracuse.com", 125], ["alibaba.com", 126], ["aliexpress.com", 127], ["alltechnerd.com", 128], ["alrincon.com", 129], ["amritadrino.com", 130], ["myprivatejobs.com", 130], ["wikitraveltips.com", 130], ["androidauthority.com", 131], ["angelfire.com", 132], ["animenewsnetwork.com", 133], ["animenhentai.com", 134], ["aol.com", 135], ["apekite.com", 136], ["cureclues.com", 136], ["en.financerites.com", [136, 232]], ["healthfirstweb.com", 136], ["howifx.com", 136], ["junkyponk.com", 136], ["livenewsflix.com", 136], ["mythvista.com", 136], ["vocalley.com", 136], ["yogablogfit.com", 136], ["apkcombo.com", 137], ["tricksplit.io", 137], ["dl.apkmb.com", 138], ["apkmirror.com", 139], ["apnews.com", 140], ["appkamods.com", 141], ["artribune.com", 142], ["ashemaletube.com", 143], ["asurascans.com", 144], ["asura.gg", 144], ["azaleasdolls.com", 145], ["backpacktf.com", 146], ["backpack.tf", 146], ["m.baomoi.com", 147], ["bartendingexpert.com", 148], ["jewelavid.com", 149], ["nizarstream.com", 149], ["backfirstwo.site", 149], ["beatsnoop.com", 150], ["fetchpik.com", 150], ["beaumontenterprise.com", [151, 152]], ["bigrapidsnews.com", 151], ["ctinsider.com", 151], ["ctpost.com", [151, 152]], ["darientimes.com", 151], ["greenwichtime.com", [151, 152]], ["houstonchronicle.com", [151, 152]], ["lmtonline.com", [151, 152]], ["manisteenews.com", [151, 152]], ["michigansthumb.com", [151, 152]], ["middletownpress.com", 151], ["milfordmirror.com", 151], ["mrt.com", [151, 152]], ["myjournalcourier.com", [151, 152]], ["ncadvertiser.com", 151], ["newstimes.com", 151], ["nhregister.com", [151, 152]], ["ourmidland.com", 151], ["registercitizen.com", [151, 152]], ["sfchronicle.com", [151, 152]], ["sheltonherald.com", 151], ["stamfordadvocate.com", [151, 152]], ["theheraldreview.com", 151], ["thehour.com", 151], ["theintelligencer.com", [151, 152]], ["theridgefieldpress.com", 151], ["timesunion.com", 151], ["trumbulltimes.com", 151], ["wiltonbulletin.com", 151], ["yourconroenews.com", 151], ["expressnews.com", 152], ["myplainview.com", 152], ["middletownpress.com.ourmidland.com", 152], ["bellinghamherald.com", 153], ["bnd.com", 153], ["bradenton.com", 153], ["centredaily.com", 153], ["charlotteobserver.com", 153], ["flkeysnews.com", 153], ["fresnobee.com", 153], ["heraldonline.com", 153], ["heraldsun.com", 153], ["idahostatesman.com", 153], ["islandpacket.com", 153], ["kansas.com", 153], ["kansascity.com", 153], ["kentucky.com", 153], ["ledger-enquirer.com", 153], ["macon.com", 153], ["mahoningmatters.com", 153], ["mcclatchydc.com", 153], ["mercedsunstar.com", 153], ["miamiherald.com", 153], ["modbee.com", 153], ["myrtlebeachonline.com", 153], ["newsobserver.com", 153], ["sacbee.com", 153], ["sanluisobispo.com", 153], ["star-telegram.com", 153], ["sunherald.com", 153], ["besargaji.com", 154], ["best-mobilegames.com", 155], ["bharatsarkarijobalert.com", 155], ["freshbhojpuri.com", 155], ["learn.moderngyan.com", 155], ["earn.mpscstudyhub.com", 155], ["earn.quotesopia.com", 155], ["money.quotesopia.com", 155], ["bankshiksha.in", 155], ["bgmi32bitapk.in", 155], ["bestjavporn.com", 156], ["bhaskar.com", 157], ["divyabhaskar.co.in", 157], ["biblestudytools.com", 158], ["christianheadlines.com", 158], ["ibelieve.com", 158], ["bigescapegames.com", 159], ["games2rule.com", [159, 250]], ["wowescape.com", 159], ["adultgamestop.bigtopsites.com", 160], ["bing.com", 161], ["bitchute.com", 162], ["bitcosite.com", 163], ["readytechflip.com", 163], ["bleepingcomputer.com", 164], ["bloggingdaze.com", 165], ["bloggingguidance.com", 166], ["onroid.com", 166], ["akuu-sflin.blogspot.com", 167], ["viralsbaba1.blogspot.com", 168], ["app.blubank.com", 169], ["bolnews.com", 170], ["booking.com", 171], ["boots.com", 172], ["bowfile.com", 173], ["buffsports.me", 173], ["boyfriendtv.com", 174], ["brightygames.com", 175], ["yoho.games", 175], ["buondua.com", 176], ["buytesmart.com", 178], ["buzzheavier.com", 179], ["careersides.com", 180], ["funkeypagali.com", 180], ["infinityskull.com", 180], ["nayisahara.com", 180], ["starxinvestor.com", 180], ["viewmyknowledge.com", 180], ["wikifilmia.com", 180], ["iisfvirtual.in", 180], ["cargurus.com", 181], ["ccn.com", 182], ["cdromance.com", 183], ["civitai.com", 184], ["classicreload.com", 185], ["cleantechnica.com", 186], ["codelivly.com", 187], ["coinseidon.com", 188], ["paidinsurance.in", 188], ["conghuongtu.net", 188], ["coinsparty.com", 189], ["comohoy.com", 190], ["convallariaslibrary.com", 191], ["gourmetscans.net", 191], ["corvetteblogger.com", 192], ["creativebloq.com", 193], ["creepypasta.com", 194], ["crocotube.com", 195], ["cruisecritic.com", 196], ["cruisecritic.co.uk", 196], ["currentrecruitment.com", 197], ["investorveda.com", 197], ["cut-fly.com", 198], ["foxseotools.com", 198], ["cxchief.com", 199], ["cybertyrant.com", 200], ["gdspike.com", 200], ["maxxfour.com", 200], ["profitshort.com", 200], ["technorozen.com", 200], ["uses-in-hindi.com", 200], ["blog.workedbd.com", 200], ["advisecreate.fun", 200], ["hubdrive.me", 200], ["courselinkfree.us", 200], ["deccanherald.com", 201], ["dekki.com", 202], ["desktopnexus.com", 203], ["deviantart.com", 204], ["dictionary.com", 205], ["thesaurus.com", 205], ["digg.com", 206], ["digminecraft.com", 207], ["torrentdownloads.dirproxy.com", 208], ["discovermagazine.com", 209], ["blog.disheye.com", 210], ["disqus.com", 211], ["distrowatch.com", 212], ["dll-files.com", 213], ["drinkspartner.com", 214], ["uploadsoon.com", 214], ["viralxns.com", 214], ["wp.uploadfiles.in", 214], ["m.drtuber.com", 215], ["dzapk.com", 216], ["easyworldbusiness.com", 217], ["nichapk.com", 217], ["riveh.com", 217], ["m.economictimes.com", [218, 219]], ["indiatimes.com", [219, 284, 285]], ["eksisozluk.com", 220], ["elamigos-games.com", 221], ["elamigos-games.net", 221], ["elitepvpers.com", 222], ["elmalajeno.com", 223], ["etsy.com", 224], ["ettvi.com", 225], ["facebook.com", 226], ["facebookwkhpilnemxj7asaniu7vnjjbiltxjqhye3mhbshg7kx5tfyd.onion", 226], ["familyporner.com", 227], ["fandom.com", 228], ["feet9.com", 229], ["filehippo.com", 230], ["filmytoday.com", 231], ["flashingjungle.com", 233], ["flickr.com", 234], ["flicksnchill.com", 235], ["flipkart.com", 236], ["flsaudio.com", 237], ["foodupe.com", 238], ["foreca.com", 239], ["forexrw7.com", 240], ["fx-22.com", 240], ["gold-24.net", 240], ["msic.site", 240], ["forocoches.com", 241], ["forumconstruire.com", 242], ["freebeacon.com", 243], ["freepik.com", 244], ["freethesaurus.com", 245], ["thefreedictionary.com", 245], ["freshdirect.com", 246], ["fucktube4k.com", 247], ["gab.com", 248], ["trends.gab.com", 249], ["gamesradar.com", 251], ["techradar.com", 251], ["tomsguide.com", 251], ["tomshardware.com", 251], ["whathifi.com", 251], ["gamingbible.com", 252], ["gay4porn.com", 253], ["getsexgames.com", 254], ["github.com", 255], ["gloryshole.com", 256], ["golinuxcloud.com", 257], ["google.com", 258], ["www.google.com", 259], ["gosexpod.com", 260], ["govtech.com", 261], ["graphicuv.com", 262], ["hit-films.com", 262], ["learnmany.in", 262], ["gsmware.com", 263], ["gtainside.com", 264], ["gumtree.com", 265], ["guru3d.com", 266], ["gyanitheme.com", 267], ["hipsonyc.com", [267, 275, 276]], ["theforyou.in", 267], ["hostadviser.net", 267], ["hacoos.com", 268], ["hamrojaagir.com", 269], ["kbconlinegame.com", 269], ["odijob.com", 269], ["hannaford.com", 270], ["healthline.com", 271], ["healthy4pepole.com", 272], ["fx-gd.net", 272], ["hightrip.net", 272], ["to-travel.net", 272], ["heb.com", 273], ["hentaicloud.com", 274], ["meclipstudy.in", [275, 276]], ["cdn.hostdl.com", 277], ["hotcleaner.com", 278], ["hotmovs.com", 279], ["ign.com", [280, 281]], ["ignboards.com", 281], ["imgbox.com", 282], ["in-jpn.com", 283], ["oninet.ne.jp", 283], ["xth.jp", 283], ["samayam.com", [285, 386]], ["economictimes.indiatimes.com", 286], ["influencersgonewild.com", 287], ["infographicjournal.com", 288], ["infokik.com", 289], ["informaxonline.com", 290], ["ufacw.com", 290], ["insideevs.com", 291], ["instagram.com", 292], ["integral-calculator.com", 293], ["derivative-calculator.net", 293], ["intercelestial.com", 294], ["isekaipalace.com", 295], ["yurasu.xyz", 295], ["jeuxvideo.com", 296], ["jpvhub.com", 297], ["kaotic.com", 298], ["khoaiphim.com", 299], ["kiemlua.com", 300], ["king-ptcs.com", [301, 302]], ["sh.techsamir.com", 301], ["naijafav.top", 301], ["kingarthurbaking.com", 303], ["kumparan.com", 304], ["ladbible.com", 305], ["lbprate.com", 306], ["leaknud.com", 307], ["nodejs.libhunt.com", 308], ["lightnovelpub.com", 309], ["lightnovelworld.com", 310], ["linkedin.com", 311], ["loawa.com", 312], ["logikfx.com", 313], ["los40.com", 314], ["mail.com", 315], ["masterduelmeta.com", 316], ["maturell.com", 317], ["nakedolders.com", 317], ["nudemilfwomen.com", 317], ["oldgirlsporn.com", 317], ["pornoplum.com", 317], ["vulgarmilf.com", 317], ["widewifes.com", 317], ["mbjremix.com", 318], ["neverdims.com", 318], ["ottlatest.com", 318], ["unfoldedstars.com", 318], ["mayaremix.in", 318], ["bit4me.info", 318], ["deltabtc.xyz", 318], ["meaww.com", 319], ["medicalnewstoday.com", 320], ["mgnetu.com", 321], ["miniwebtool.com", 322], ["streamvid.net", 322], ["mobilecric.com", 323], ["freehit.eu", 323], ["crictime.is", 323], ["mod1s.com", 324], ["model-viewer.com", 325], ["modrinth.com", 326], ["movie.momo-net.com", 327], ["mrgay.com", 328], ["mrproblogger.com", 329], ["themezon.net", 329], ["msn.com", 330], ["myabandonware.com", 331], ["mydramalist.com", 332], ["mylust.com", 333], ["nakedneighbour.com", 334], ["ndtv.com", 335], ["food.ndtv.com", 336], ["nectareousoverelate.com", 337], ["needgayporn.com", 338], ["neogeo-system.com", 339], ["ddaynormandy.forumgaming.fr", 339], ["newsonthegotoday.com", 340], ["noon.com", 341], ["nordstrom.com", 342], ["nu6i-bg-net.com", 343], ["nypost.com", 344], ["nytimes.com", 345], ["nytimes3xbfgragh.onion", 345], ["okxxx1.com", 346], ["onlylesbiantube.com", 347], ["blog.onroid.com", 348], ["oscobo.com", 349], ["ovagames.com", 350], ["palcomix.com", 351], ["pandasnovel.com", 352], ["parentcircle.com", 353], ["pcbolsa.com", 354], ["community.pcgamingwiki.com", 355], ["peacocktv.com", 356], ["petco.com", 357], ["photovoltaikforum.com", 358], ["pikkado.com", 359], ["playonlinux.com", 360], ["porndoe.com", 361], ["porno-baguette.com", 362], ["pornojenny.com", 363], ["porntn.com", 364], ["proboards.com", 365], ["winclassic.net", 365], ["producthunt.com", 366], ["progfu.com", 367], ["freethailottery.live", 367], ["pussymaturephoto.com", 368], ["pussyspace.com", 369], ["pussyspace.net", 369], ["quizlet.com", 370], ["quora.com", 371], ["rawstory.com", 372], ["realpornclips.com", 373], ["reddit.com", 374], ["reddittorjg6rue252oqsxryoxengawnmo46qy4kyii5wtqnwfj4ooad.onion", 374], ["old.reddit.com", 375], ["reddxxx.com", 376], ["rediff.com", 377], ["regex101.com", 378], ["forum.release-apk.com", 379], ["ricettafitness.com", 380], ["riteaid.com", 381], ["rocketnews24.com", 382], ["soranews24.com", 382], ["youpouch.com", 382], ["rome2rio.com", 383], ["rookieroad.com", 384], ["ryuugames.com", 385], ["scamwarners.com", 387], ["lovenovels.net", 387], ["scotsman.com", 388], ["scrolller.com", 389], ["seattleweekly.com", 390], ["sephora.com", 391], ["sevenjournals.com", 392], ["uptechnologys.com", 392], ["xxxtime.sextgem.com", 393], ["shipt.com", 394], ["sisigames.com", 395], ["slidesgo.com", 396], ["sofmag.com", 397], ["sotwe.com", 398], ["splitshire.com", 399], ["sportbible.com", 400], ["sprouts.com", 401], ["stomp.straitstimes.com", 402], ["streamingsites.com", 403], ["sub4unlock.com", 404], ["sugarona.com", 405], ["swisscows.com", 406], ["tamrieltradecentre.com", 408], ["target.com", 409], ["taxidrivermovie.com", 410], ["teachoo.com", 411], ["techacode.com", 412], ["sahlmarketing.net", [412, 561]], ["techonthenet.com", 413], ["techpp.com", 414], ["techymedies.com", 415], ["techyreviewx.com", 416], ["tejtime24.com", 417], ["cinedesi.in", 417], ["techishant.in", 417], ["thevouz.in", 417], ["telugupeople.com", 418], ["thedigitalfix.com", 419], ["thehackernews.com", 420], ["thejakartapost.com", 421], ["thequint.com", 422], ["thestar.com", 423], ["thestate.com", 424], ["theswagsports.com", 425], ["thewindowsclub.com", 426], ["m.timesofindia.com", 427], ["tnaflix.com", 428], ["tossinggames.com", 429], ["totalcsgo.com", 430], ["trickms.com", 431], ["tripadvisor.com", 432], ["tumblr.com", 434], ["twi-fans.com", 435], ["twitter.com", [436, 437, 438]], ["x.com", [436, 437]], ["twitter3e4tixl4xyajtrzo62zg5vztmjuricljdp2c5kshju4avyoid.onion", 436], ["ulta.com", 439], ["unsplash.com", 440], ["upornia.com", 441], ["upshrink.com", 442], ["variety.com", 443], ["travel.vebma.com", 444], ["veryfreeporn.com", 445], ["videohelp.com", 446], ["viefaucet.com", 447], ["wallpaperwaifu.com", 448], ["www.walmart.com", 449], ["washingtoninformer.com", 450], ["washingtonpost.com", 451], ["weatherwx.com", 452], ["wolt.com", 453], ["woowebtools.com", 454], ["xfreehd.com", 455], ["xmegadrive.com", 456], ["xnxx-sexfilme.com", 457], ["xnxxjapon.com", 458], ["xrares.com", 459], ["xxxdan.com", 460], ["search.yahoo.com", 461], ["youngpornvideos.com", 462], ["yourstory.com", 463], ["youtube.com", 464], ["zefoy.com", 465], ["idnes.cz", 466], ["novinky.cz", 467], ["seznam.cz", 468], ["seznamzpravy.cz", 468], ["uschovna.cz", 469], ["china.ahk.de", 470], ["bild.de", 471], ["btc-echo.de", 472], ["chip.de", 473], ["www.chip.de", 474], ["cinemaxxl.de", 475], ["designtagebuch.de", 476], ["echo-online.de", 477], ["focus.de", 478], ["frag-mutti.de", 479], ["golem.de", 480], ["newsbreak24.de", 481], ["nn.de", 482], ["rtl.de", 483], ["spiegel.de", 484], ["sport1.de", 485], ["t-online.de", 486], ["web.de", 487], ["welt.de", [488, 489]], ["app.daily.dev", 490], ["jpopsingles.eu", 491], ["beta.shortearn.eu", 492], ["tlgrm.eu", 493], ["eitb.eus", 494], ["open.fm", 495], ["abczdrowie.pl", [495, 598, 599, 600, 601]], ["autocentrum.pl", [495, 598, 600]], ["autokult.pl", [495, 598, 599, 602]], ["benchmark.pl", [495, 598, 603]], ["dobreprogramy.pl", [495, 598, 599, 602]], ["fotoblogia.pl", [495, 598, 599, 602]], ["gadzetomania.pl", [495, 598, 599, 602]], ["genialne.pl", [495, 598, 599, 600, 602]], ["jastrzabpost.pl", [495, 598, 599, 600, 602]], ["kafeteria.pl", [495, 598, 605, 606]], ["komorkomania.pl", [495, 598, 599, 602]], ["money.pl", [495, 598, 599]], ["o2.pl", [495, 598, 599, 600, 605, 606, 607]], ["parenting.pl", [495, 598]], ["polygamia.pl", [495, 598, 599, 602]], ["pudelek.pl", [495, 598, 599]], ["pysznosci.pl", [495, 598, 599, 600, 602, 608]], ["wp.pl", [495, 598, 599]], ["romsmania.games", 496], ["genshin.gg", 497], ["op.gg", 498], ["vlr.gg", 499], ["skai.gr", 500], ["howtoremove.guide", 501], ["sexvideos.host", 502], ["akcartoons.in", 503], ["cybercityhelp.in", [503, 507]], ["caravanmagazine.in", 505], ["computerpedia.in", 506], ["filerio.in", 509], ["finclub.in", 510], ["financeyogi.net", 510], ["naukrilelo.in", 511], ["olx.in", 512], ["petrainer.in", 513], ["pmkisanlists.in", 514], ["shramikcard.in", 514], ["cookad.net", 514], ["techurlshort.in", 515], ["techyinfo.in", 516], ["fitnessholic.net", 516], ["coinlisting.info", 517], ["pepperlive.info", 518], ["rephrase.info", 519], ["torrentdownload.info", 520], ["vofomovies.info", 521], ["dragontea.ink", 522], ["cryptorank.io", 523], ["iranicard.ir", 524], ["reymit.ir", 525], ["smostafa.ir", 526], ["linkdoni.soft98.ir", 527], ["adshrink.it", 528], ["aranzulla.it", 529], ["enit.it", 530], ["nasonga.co.ke", 531], ["unito.life", 532], ["audiobookbay.lu", 533], ["dirp.me", 534], ["skiplink.me", 535], ["telegramchannels.me", 536], ["unknowncheats.me", 537], ["piracy.moe", 538], ["yts.mx", 539], ["ableitungsrechner.net", 540], ["belloflostsouls.net", 541], ["cellmapper.net", 542], ["finanzen.net", 543], ["gamersnexus.net", 544], ["hdpornpics.net", 545], ["hes-goal.net", 546], ["idol69.net", 547], ["iwatchfriendsonline.net", 548], ["izlekolik.net", 549], ["javgg.net", 550], ["linegee.net", 551], ["mapchart.net", 552], ["medievalists.net", 553], ["download.megaup.net", 554], ["myanimelist.net", 555], ["mypornstarbook.net", 556], ["rule34.paheal.net", 557], ["peliculasmx.net", 558], ["pixiv.net", 559], ["client.pylexnodes.net", 560], ["skidrowcodex.net", 562], ["streaming-french.net", 563], ["wilifilm.net", 563], ["thefileslocker.net", 564], ["topsporter.net", 565], ["sportshub.to", 565], ["truyentranhfull.net", 566], ["tympanus.net", 567], ["vidello.net", 568], ["leadership.ng", 569], ["link.goto.com.np", 570], ["noelleeming.co.nz", 571], ["webserver.one", 572], ["allstreaming.online", 573], ["cancelguider.online", 574], ["maxlinks.online", 575], ["maxstreams.site", 575], ["maxstream.video", 575], ["mphealth.online", 576], ["vidstreamz.online", 577], ["bitcointalk.org", 578], ["btc25.org", 579], ["cgtips.org", 580], ["chimicamo.org", 581], ["distrowatch.org", 582], ["elizabeth-mitchell.org", 583], ["faradars.org", 584], ["girlsofdesire.org", 585], ["hltv.org", 586], ["hecker.likesyou.org", 587], ["mangaraw.org", 588], ["metager.org", 589], ["minioppai.org", 590], ["porn-w.org", 591], ["responsivevoice.org", 592], ["sensualgirls.org", 593], ["socialcounts.org", 594], ["statisticsanddata.org", 595], ["telepisodes.org", 596], ["temp-mail.org", 597], ["deliciousmagazine.pl", [598, 599]], ["vibez.pl", 599], ["horoskop.wp.pl", 600], ["www.wp.pl", [600, 611]], ["domodi.pl", 601], ["elektroda.pl", 604], ["fitness.wp.pl", [605, 606]], ["sportowefakty.wp.pl", [605, 606]], ["smaczneblogi.pl", 606], ["pogoda.wp.pl", 606], ["sklep.trzynastkaplus.pl", 609], ["pilot.wp.pl", 610], ["afly.pro", 612], ["aliezstream.pro", 613], ["mylivestream.pro", 613], ["tokenmix.pro", 614], ["adslink.pw", 615], ["eminiclip.ro", 616], ["cenoteka.rs", 617], ["oko.sh", 618], ["cryptofun.space", 619], ["bigbtc.win", 619], ["autofaucet.dutchycorp.space", 620], ["playerx.stream", 621], ["n.fcd.su", 622], ["goku.sx", 623], ["easywithcode.tech", 624], ["vedamdigi.tech", [624, 625]], ["trakt.tv", 626], ["wco.tv", 627], ["argos.co.uk", 628], ["autotrader.co.uk", 629], ["dailymail.co.uk", 630], ["mylocal.co.uk", 631], ["radiox.co.uk", 632], ["sainsburys.co.uk", 633], ["thetimes.co.uk", 634], ["cambb.xxx", 635], ["nishankhatri.xyz", 636]]);

    const entitiesMap = new Map([["0123movies", 0], ["5movies", 0], ["megadede", 0], ["movies123", 0], ["10starhd", 1], ["2embed", 1], ["hdss", 1], ["moviesflix", 1], ["projectfreetv", 1], ["1337x", [2, 3, 4]], ["1337x.unblocked", 2], ["1337x.unblockit", 2], ["x1337x", [2, 4]], ["1movies", 5], ["1stream", 6], ["actvid", 7], ["alexsports", 8], ["animepahe", 8], ["hpaudiobooks", 8], ["kwik", 8], ["ouo", 8], ["allcalidad", 9], ["amazon", 10], ["bde4", 11], ["bombuj", 12], ["cinetux", 13], ["watch.cricstream", 14], ["ctrlv", 15], ["daddylive", 16], ["dood", 17], ["doodstream", 17], ["dooood", 17], ["dramacool", 18], ["dvdplay", 19], ["elixx", 20], ["ettv", 21], ["extratorrent", 22], ["eztv", 23], ["fashionunited", 24], ["filecrypt", 25], ["financerites", 26], ["gamestorrents", 27], ["gogoanimes", 27], ["limetorrents", [27, 35]], ["piratebayz", 27], ["gmx", 28], ["www.google", 29], ["hqq", 30], ["waaw", 30], ["indianwebseries", 31], ["kickass", 32], ["lightnovelpub", [33, 34]], ["mirrorace", 36], ["missav", 37], ["movies4u", 38], ["movies4u3", 38], ["mrunblock", 39], ["my1ink", 40], ["myl1nk", 40], ["myli3k", 40], ["mylink", 40], ["pandamovie", [41, 42]], ["speedporn", [41, 42]], ["pinterest", 43], ["piratebay", 44], ["pirateproxy", 44], ["pixhost", 45], ["poki", 46], ["poscitech", 47], ["sportsonline", [47, 56]], ["vipbox", [47, 56]], ["viprow", [47, 56]], ["primewire", 48], ["readcomiconline", 49], ["rp5", 50], ["sbplay", 51], ["shinchu", 52], ["sms24", 53], ["solarmovie", 54], ["sportskart", 55], ["stooq", 57], ["streameast", 58], ["tirexo", 59], ["torlock", 60], ["torlock2", 60], ["torrentdownload", 61], ["torrentz2", 62], ["turkanime", 63], ["txxx", [64, 65]], ["userupload", 66], ["ustream", 67], ["vid2faf", 68], ["vidplay", 68], ["walmart", 69], ["wayfair", 70], ["wetteronline", 71], ["writedroid", 72], ["zone-annuaire", 73]]);

    const exceptionsMap = new Map([["tech.hipsonyc.com", [275]], ["dutyfarm.welt.de", [488]]]);

    self.proceduralImports = self.proceduralImports || [];
    self.proceduralImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

    /******************************************************************************/

})();

/******************************************************************************/
