/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2014-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: jpn-1

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssProceduralImport() {

/******************************************************************************/

const argsList = [["{\"selector\":\"font[color=\\\"red\\\"]\",\"tasks\":[[\"has-text\",\"[PR]\"]]}"],["{\"selector\":\"#list\",\"tasks\":[[\"has\",{\"selector\":\"> div.entry-card > div > p > span.category\",\"tasks\":[[\"has-text\",\"PR\"]]}]]}"],["{\"selector\":\"p span#RealtimeClockArea2\",\"tasks\":[[\"upward\",\"p\"]]}"],["{\"selector\":\".plugin-memo > div.side > script[src*=\\\"i-mobile.co.jp/\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > div[id^=\\\"i2i\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > div[id^=\\\"gad-fixed\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > div.AMvertical\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"#extra div.plugin-memo > div.side > div[id]\",\"tasks\":[[\"upward\",\".plugin-memo\"]]}","{\"selector\":\"#extra div.plugin-memo script[src^=\\\"https://js.gsspcln.jp/\\\"]\",\"tasks\":[[\"upward\",\".plugin-memo\"]]}"],["{\"selector\":\".plugin-memo > div.side > div[class^=\\\"alistcloud-\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"div[style=\\\"margin:10px 0;\\\"] > div[style=\\\"height:280px;\\\"] > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".ark-block-columns\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}"],["{\"selector\":\"#mainEntity > div.clearfix > p > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".post-list-item > div.post-list-inner-infeed\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".entry-content > p + h2\",\"tasks\":[[\"has-text\",\"【PR】\"]]}"],["{\"selector\":\".plugin-memo > div.side > script[src*=\\\"//adm.shinobi.jp/\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > a[href^=\\\"https://daimaoh.co.jp\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > ins.dmm-widget-placement\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > iframe[src*=\\\"//rcm-fe.amazon-adsystem.com\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"div[class*=\\\"column-inner\\\"] > div.plugin-memo\",\"tasks\":[[\"has\",{\"selector\":\"> div.sidetitlebody > div.sidetitle\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}]]}"],["{\"selector\":\".post > h2[data-amp-original-style=\\\"padding-left:3%;margin-top:5%;margin-bottom:5%\\\"]\",\"tasks\":[[\"has-text\",\"関連広告\"]]}"],["{\"selector\":\".blogbody > a[name=\\\"\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".module--free ins.adsbygoogle\",\"tasks\":[[\"upward\",\".module--free\"]]}"],["{\"selector\":\".entryList > li #ninja-blog-inactive\",\"tasks\":[[\"upward\",\"li\"]]}"],["{\"selector\":\".article > h3.frontTitle\",\"tasks\":[[\"has-text\",\"お勧めサイト[PR]\"]]}"],["{\"selector\":\".module--free > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".entry[data-type=\\\"space\\\"] script[src^=\\\"https://img.ad-nex\\\"]\",\"tasks\":[[\"upward\",\".entry\"]]}"],["{\"selector\":\".plugin-memo > .side > div[id^=\\\"div-gpt-\\\"]:last-child\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > iframe[src*=\\\"mmaaxx.com/\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".entry > div.contents_body > div[style=\\\"text-align:center;margin-bottom:10px;\\\"] + div[style=\\\"font-size:8px;\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".entry_box > div.entry_side + div.entry_main > div.entry_main_in > div.entry_body > div[style=\\\"text-align:center;margin-bottom:10px;\\\"] + div[style=\\\"font-size:8px;\\\"]\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\".side_plugin > div.plugin_content > div.plugin_body > div.plugin-freearea > script#mgs_Widget\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\".sidemenu_body > dd.plg_body > div.plugin-freearea > a[href^=\\\"http://www.amazon.co.jp/gp/\\\"][target=\\\"_blank\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"aside[class^=\\\"plugin_\\\"] > div.plg_body > center > div > a[href^=\\\"https://dlsoft.dmm.co.jp\\\"][target=\\\"_blank\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div > ins.dmm-widget-placement\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > a[href*=\\\"dmm.co\\\"][target=\\\"_blank\\\"] > img\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > a[href^=\\\"http://order.getchu.com/r.php?aff=\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > a[href^=\\\"https://click.dtiserv2.com\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > a[href^=\\\"https://www.dlsite.com/maniax/dlaf\\\"][rel$=\\\"sponsored\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > a[href*=\\\"amazon.co.jp/\\\"][target=\\\"_blank\\\"]:not([name])\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"center > table > tbody > tr > td > center > a.overwhite[target=\\\"_blank\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".ac-mb-3.text-center > div[id^=\\\"div-gpt-ad-side\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".plugin-memo > div.side > a > img[src*=\\\"dmm.com/af/\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > script[src*=\\\"amazon-adsystem.com/\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side:nth-last-child(2) > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".indArticleFrame > div.goodsBox\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".newsList > li > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"table[width=\\\"95%\\\"][bgcolor=\\\"#CCFFCC\\\"] div[align=\\\"center\\\"] > iframe[src*=\\\"mmaaxx.com\\\"]\",\"tasks\":[[\"upward\",\"table[width=\\\"95%\\\"]\"]]}","{\"selector\":\"table[width=\\\"95%\\\"][bgcolor=\\\"#EFEFEF\\\"] div[align=\\\"center\\\"] > iframe[src*=\\\"/koukoku_\\\"]\",\"tasks\":[[\"upward\",\"table[width=\\\"95%\\\"]\"]]}","{\"selector\":\"table[width=\\\"95%\\\"][bgcolor=\\\"#EFEFEF\\\"] td[colspan=\\\"3\\\"] > iframe[src*=\\\"/koukoku_\\\"]\",\"tasks\":[[\"upward\",\"table[width=\\\"95%\\\"]\"]]}"],["{\"selector\":\".plugin-memo > div.side > div > div.google-user-ad-side\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".sidewrapper.widget_text > .sidebody > .textwidget > div[id] > script\",\"tasks\":[[\"upward\",4]]}"],["{\"selector\":\".EntryInnerBlock:not(.EntryInnerBlock:last-child) #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".EntryInnerBlock\"]]}"],["{\"selector\":\".entry_table #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entry_table\"]]}"],["{\"selector\":\"#EntryTextBox #ninja-blog-inactive\",\"tasks\":[[\"upward\",\"#EntryTextBox\"]]}"],["{\"selector\":\".article1 #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".article1\"]]}"],["{\"selector\":\"#EntryListBlock > .EntryTextBox #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".EntryTextBox\"]]}"],["{\"selector\":\".EntryContainerExt #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".EntryContainerExt\"]]}"],["{\"selector\":\".main_body > .text_body #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".text_body\"]]}","{\"selector\":\".main_title_box h3 > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",\".main_title_box\"]]}"],["{\"selector\":\"#main-inner > .text #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".text\"]]}","{\"selector\":\".posted > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".title > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".article2 #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".article2\"]]}"],["{\"selector\":\".FeatureBox_Magazine > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".Section > div.Ad\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".content > h2.widget-header\",\"tasks\":[[\"has-text\",\"あなたにおススメの記事\"]]}","{\"selector\":\".l-main > div[class^=\\\"_\\\"] > div > ul > li > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"ul[class^=\\\"panel-article__list\\\"] > li > div[id^=\\\"div-gpt-\\\"]\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".list > li > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".c-article-block:has(> div[id^=\\\"div-gpt-\\\"])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".td-post-content > div > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".entry > p > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".newsList05__bnr\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".not-athleterecipe > aside.ad\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".results_bid > td[colspan=\\\"5\\\"] > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".col-sm-6 > div.well > a[href^=\\\"https://javhd.com\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".box_round > p > small\",\"tasks\":[[\"not\",{\"selector\":\"\",\"tasks\":[[\"has-text\",\"配信\"]]}]]}"],["{\"selector\":\"#EntryBlockNa #ninja-blog-inactive\",\"tasks\":[[\"upward\",\"#EntryBlockNa\"]]}"],["{\"selector\":\".entry_body #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entry_body\"]]}","{\"selector\":\".entry_state > .entry_comments > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"h2 > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".EntryFooter > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".EntryHeader a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",\".EntryHeader\"]]}","{\"selector\":\".EntryText #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".EntryText\"]]}","{\"selector\":\".EntryTitle > .Title > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".grid_post-box > div.post-box-contents > div > div.dfad\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"li.p-topics-list__item div[id^=\\\"yads\\\"]\",\"tasks\":[[\"upward\",\"li\"]]}"],["{\"selector\":\".eall #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".eall\"]]}"],["{\"selector\":\".main_left_block > div#BottomAmazon\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".items > div.item > div[id^=\\\"logly-\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".slick-slide > div[id] + script\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".article #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".article\"]]}"],["{\"selector\":\".entry_table2 #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entry_table2\"]]}"],["{\"selector\":\".pad #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".pad\"]]}"],["{\"selector\":\".entryHeader > a.entryListTime[href=\\\"\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".entryMain #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entryMain\"]]}"],["{\"selector\":\"div[style^=\\\"float:\\\"] > p\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}"],["{\"selector\":\".HTML > div.widget-content > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".readmoreWrap > p > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".widget_text ins.adsbygoogle\",\"tasks\":[[\"upward\",\".widget_text\"]]}","{\"selector\":\".widget_text script[src*=\\\"zucks.net\\\"]\",\"tasks\":[[\"upward\",\".widget_text\"]]}"],["{\"selector\":\".widget_custom_html > div > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".cardtype__article > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".swiper-slide > div.adunitContainer\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#sidebar-inner > span\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}"],["{\"selector\":\".plugin-memo\",\"tasks\":[[\"has\",{\"selector\":\"> div.sidetitlebody > div.sidetitle\",\"tasks\":[[\"has-text\",\"amazon\"]]}]]}"],["{\"selector\":\".grid_post-box > div.post-box-contents > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".widget_block script[src^=\\\"https://img.ad-nex.com\\\"]\",\"tasks\":[[\"upward\",\".widget_block\"]]}"],["{\"selector\":\"h5 > div.dfad\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"ul > li > ul[data-ad-slot^=\\\"spweb-search-infeed\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[id^=\\\"_popIn_recommend_\\\"] ul._popIn_infinite_page > li > a[class*=\\\"_popIn_recommend_article_ad\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".plugin-memo > div.side > center > iframe[src*=\\\"//rcm-fe.amazon-adsystem.com\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"#entry > #entryText #ninja-blog-inactive\",\"tasks\":[[\"upward\",\"#entryText\"]]}","{\"selector\":\"#entryStatus > li > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\"h2.entryTitle > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".topstoriestxt > p > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".logout_text + div.timesale > ul > li > div > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".entry-block #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entry-block\"]]}"],["{\"selector\":\".section > div > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".section > div.container > div.row > div > ins.adsbygoogle\",\"tasks\":[[\"upward\",4]]}"],["{\"selector\":\"h3.gap\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}"],["{\"selector\":\".card.example-1\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".hatena-module-html > div > script:only-child:not([src])\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".articleContainer > div.articleInner > ul.relatedItemList\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"#content > h2\",\"tasks\":[[\"has-text\",\"[PR]\"]]}","{\"selector\":\".d_line > img[src$=\\\"/cat20.gif\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".widget_custom_html a[href^=\\\"https://app.seedapp.jp\\\"]\",\"tasks\":[[\"upward\",\".widget_custom_html\"]]}"],["{\"selector\":\".widget_text > div > p > ins.adsbygoogle\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".widget_text > div > div[id^=\\\"logly\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".mainTitle > h3\",\"tasks\":[[\"has-text\",\"FANZA関連動画\"]]}"],["{\"selector\":\".text-111\",\"tasks\":[[\"has-text\",\"/^PR$/\"]]}"],["{\"selector\":\".rmenubox + div.p1_title\",\"tasks\":[[\"has-text\",\"【PR】\"]]}","{\"selector\":\".rmenubox > div.plugin-freearea > div[style^=\\\"width:230px\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"div[class^=\\\"ArticleDetailBody_articleBody_\\\"] > a.article_detail_button_ec_amazon\",\"tasks\":[[\"has-text\",\"関連商品をAmazonで検索\"]]}"],["{\"selector\":\"#__next > div[class^=\\\"_\\\"] > div[class]\",\"tasks\":[[\"has\",{\"selector\":\"> div > p\",\"tasks\":[[\"has-text\",\"ADVERTISING\"]]}]]}","{\"selector\":\"#mainArticleBottom_leftUnit\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"div[class] > div:not([class]) > div > div.OB-REACT-WRAPPER\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".tag_list + div.block-title\",\"tasks\":[[\"has-text\",\"今日から配信のHey動画\"]]}"],["{\"selector\":\"#main_contents > div.entry > div.entry_body > div[style=\\\"text-align:center;margin-bottom:10px;\\\"] + div[style=\\\"font-size:8px;\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\"#reserve > section.side-menu > div.sidebar-style ins.adsbygoogle\",\"tasks\":[[\"upward\",\"section.side-menu\"]]}","{\"selector\":\".plg_body > div[style] > a[href^=\\\"https://www.dlsite.com/pro/dlaf\\\"][target=\\\"_blank\\\"] > img\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-freearea > div[style^=\\\"width:300px\\\"] > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin2_outline > div.plugin2_body > div.plugin-freearea > iframe[src^=\\\"http://customize.dtiserv\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin_content > div.plugin_body > div.plugin-freearea > div[id^=\\\"i2i\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin_third > div.plg_body > div.plugin-freearea > a[href^=\\\"https://cnt.affiliate.fc2.com\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".side-menu > div.side-menu-title > div.plugin-freearea > div[style=\\\"margin:0;padding:5px;font-size:12px;word-break: break-all;\\\"] > a[href^=\\\"https://al.dmm.co.jp\\\"][rel=\\\"nofollow\\\"]\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\".side-menu > div.side-menu-title > div.plugin-freearea[style=\\\"text-align:center\\\"] > ins.dmm-widget-placement\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".side-menu > div.sidebar-style > div.plugin-freearea > img[src^=\\\"//v2st.shinobi.jp/\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".side-menu > div.sidebar-style > div.plugin-freearea > script[src^=\\\"//adm.shinobi.jp/\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".sidemenu_content > div.plg_body > div.plugin-freearea > div#scroll script[src^=\\\"https://adm.shinobi.jp/\\\"]\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\".sidemenu_content > div.plg_body > div.plugin-freearea > script[src*=\\\"//adm.shinobi.jp/\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"div[class$=\\\"BlockBase\\\"] > div > div > div.plugin-freearea > ins.adsbygoogle\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > a[name=\\\"amazletlink\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > div[id^=\\\"i2i\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > iframe[src^=\\\"https://rcm-fe.amazon-adsystem.com\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > script[src$=\\\"/show_ads.js\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > script[src*=\\\"//adm.shinobi.jp/\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > script[src*=\\\"i-mobile.co.jp\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"div[id$=\\\"-column\\\"] > div.sidebar > div[style=\\\"text-align:left\\\"] > div.plugin-freearea > a[href^=\\\"http://www.amazon.co.jp/gp/\\\"] > img[src^=\\\"https://ws-fe.amazon-adsystem.com\\\"]\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\"div[id$=\\\"-column\\\"] > div.sidebar > div[style=\\\"text-align:left\\\"] > div.plugin-freearea > script[src^=\\\"//z-fe.amazon-adsystem.com\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div > a[name=\\\"amazletlink\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > center > ins.adsbygoogle\",\"tasks\":[[\"upward\",4]]}"],["{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > ins.adsbygoogle\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".plugin1\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}"],["{\"selector\":\"#secondary-column > div.sidebar > div[style^=\\\"text-align:\\\"] > div.plugin-freearea > div.kaerebalink-box\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"div[class$=\\\"BlockBase\\\"] > div > div > div.plugin-freearea > div > a[href^=\\\"https://hb.afl.rakuten.co.jp/hsc/\\\"][target=\\\"_blank\\\"]\",\"tasks\":[[\"upward\",5]]}"],["{\"selector\":\"#menu1Block > div.menu1BlockBase\",\"tasks\":[[\"has\",{\"selector\":\"> div.menu1BlockHead > div\",\"tasks\":[[\"has-text\",\"最新記事＋AD\"]]}]]}","{\"selector\":\".mainCommentBold2\",\"tasks\":[[\"has-text\",\"/^PR$/\"]]}","{\"selector\":\".mainCommentBold2\",\"tasks\":[[\"has-text\",\"/^関連記事$/\"]]}"],["{\"selector\":\"div[class$=\\\"BlockBase\\\"] > div > div > div.plugin-freearea > a[href^=\\\"https://www.amazon.co.jp/dp/\\\"][target=\\\"_blank\\\"] > img\",\"tasks\":[[\"upward\",5]]}"],["{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > div > a[name=\\\"amazletlink\\\"]\",\"tasks\":[[\"upward\",4]]}"],["{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > iframe[src^=\\\"http://blogparts.dmm.com\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > ins.widget-banner\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > script[src$=\\\"/blogparts.js\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".menuProfBlock > div.menuText > div.plugin-freearea > ins.dmm-widget-placement\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".search_listBox > .search_listBox\",\"tasks\":[[\"has\",{\"selector\":\"> div[class^=\\\"search_list\\\"] > h3 > a[href^=\\\"https://media.fc2.com/clicks.php?id=\\\"] > span\",\"tasks\":[[\"has-text\",\"/^\\\\[PR\\\\]$/\"]]}]]}","{\"selector\":\"section[class^=\\\"search_\\\"] > div[class^=\\\"c-cntCard-\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> div[class*=\\\"_indetail\\\"] > a[href^=\\\"https://media.fc2.com/clicks.php?id=\\\"] > span\",\"tasks\":[[\"has-text\",\"/^\\\\[PR\\\\]$/\"]]}]]}"],["{\"selector\":\".-freeArea > div.adAmazon\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div.plugin_item\",\"tasks\":[[\"has\",{\"selector\":\"> div.plugin_content > h2 > span\",\"tasks\":[[\"has-text\",\"/スポンサーリンク|オススメ記事/\"]]}]]}"],["{\"selector\":\".entry .aposted[href=\\\"\\\"]\",\"tasks\":[[\"upward\",\".entry\"]]}"],["{\"selector\":\".NormalList > li\",\"tasks\":[[\"has\",{\"selector\":\"h3 > a[href] > p\",\"tasks\":[[\"has-text\",\"PR\"]]}]]}"],["{\"selector\":\".entry_main_body > p.contentText\",\"tasks\":[[\"has-text\",\"【PR】\"]]}"],["{\"selector\":\".post-box > div.post-box-contents > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"#article-options > div[style=\\\"width: 100%;\\\"] + h3\",\"tasks\":[[\"has-text\",\"楽天\"]]}","{\"selector\":\".plugin-memo > div.side > script[src*=\\\"i2i.jp/\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".side-sp\",\"tasks\":[[\"has-text\",\"注目の巨乳アイドル\"]]}"],["{\"selector\":\"article[class^=\\\"mdlGrid_\\\"] > a[href^=\\\"https://www.amazon.co.jp/\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".under_content > .box > .textwidget > p > .adsbygoogle\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".cage #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".cage\"]]}"],["{\"selector\":\".posts-inner\",\"tasks\":[[\"has-text\",\"/スポンサードリンク|関連コンテンツ|他サイト様人気記事|最新記事|こちらもオススメ/\"]]}"],["{\"selector\":\".Entry #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".Entry\"]]}"],["{\"selector\":\".mt-6 > div.ads-double\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".article-body-inner h4\",\"tasks\":[[\"has-text\",\"/FANZA|Gcolle|ランダム/\"]]}"],["{\"selector\":\".waku-zentai > div.ako1\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#related-entries ~ .singleh4\",\"tasks\":[[\"has-text\",\"amazon\"]]}"],["{\"selector\":\".article_box_item > div.pcBanner_category\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".list_item > div.pcBanner_index\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".article > h3\",\"tasks\":[[\"has-text\",\"他にこんな記事も\"]]}"],["{\"selector\":\".entry-content > h3\",\"tasks\":[[\"has-text\",\"/売れ筋|おすすめ|商品/\"]]}"],["{\"selector\":\".p_top_top_article > span > div.p_top_top_article_banner\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"\",\"action\":[\"style\",\"grid-template-rows: 1fr auto 1fr !important;\"],\"tasks\":[[\"matches-path\",\"/jp/\"],[\"spath\",\".aside_has-children__Ub7k8\"]]}","{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/jp/\"],[\"spath\",\"div[class^=\\\"fc-player_fc\\\"]\"]]}"],["{\"selector\":\".box > div[id^=\\\"pc_top_infeed\\\"]\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",1]]}","{\"selector\":\".typeB_ttl\",\"tasks\":[[\"has-text\",\"記事\"]]}"],["{\"selector\":\".widget_text > div > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".loop-entry > span.memo:first-child ~ ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".entry #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entry\"]]}"],["{\"selector\":\".entry-inner > p\",\"tasks\":[[\"has-text\",\"/^PR$/\"]]}"],["{\"selector\":\".widget > div\",\"tasks\":[[\"has-text\",\"/^スポンサーリンク$/\"],[\"upward\",1]]}","{\"selector\":\".widget > div\",\"tasks\":[[\"has-text\",\"おすすめ\"],[\"upward\",1]]}"],["{\"selector\":\".hatena-module-html > div.hatena-module-body > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".hatena-module-html > div.hatena-module-body > iframe[src^=\\\"https://rcm-fe.amazon-adsystem.com/\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".hatena-module-html > div.hatena-module-body > a[href*=\\\"//hb.afl.rakuten.co.jp/hsc/\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".hatena-module-html > div.hatena-module-body > a[href^=\\\"https://adf.shinobi.jp/\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".hatena-module-html > div.hatena-module-body > a[href^=\\\"https://click.linksynergy.com\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".hatena-module-html > div.hatena-module-body > script[src^=\\\"//z-fe.amazon-adsystem.com/\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".hatena-module-html > div.hatena-module-body > script[src*=\\\"//adm.shinobi.jp/\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"#p5tittle\",\"tasks\":[[\"has-text\",\"/人気ランキング|商品|予約開始|発売/\"]]}"],["{\"selector\":\".box-article > div.border-ao.text-center\",\"tasks\":[[\"has-text\",\"関連商品\"]]}","{\"selector\":\".page-desktop > div.text-dark\",\"tasks\":[[\"has-text\",\"/プレバン|楽天/\"]]}"],["{\"selector\":\".adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[style^=\\\"width:100%;box-sizing:border-box;padding:1em\\\"] > a[href^=\\\"https://click.dtiserv2.com/\\\"]:only-child\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#first > .p1_outline\",\"tasks\":[[\"has\",{\"selector\":\"> .p1_title\",\"tasks\":[[\"has-text\",\"人気ゲームランキング\"]]}]]}","{\"selector\":\".p1_outline > .p1_title\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}"],["{\"selector\":\"section > center > span[style=\\\"opacity:0.7;font-size:xx-small\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".plugin2_outline > div.plugin2_title\",\"tasks\":[[\"has-text\",\"/amazon|スポンサーリンク/\"]]}"],["{\"selector\":\".entry-list-item #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entry-list-item\"]]}"],["{\"selector\":\".nb-entry #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".nb-entry\"]]}"],["{\"selector\":\".plugin-memo:has(> div.side > div[id^=\\\"gad-fixed\\\"])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".HTML > div > div.entryadwrapper2\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".side-amazon\",\"tasks\":[[\"upward\",\".ad\"]]}"],["{\"selector\":\".plugin-memo > div.side > div.ad-center\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > div > script[src*=\\\"i-mobile.co.jp\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".panel:last-child > p.panel-heading\",\"tasks\":[[\"has-text\",\"PR情報\"],[\"upward\",1]]}"],["{\"selector\":\".widget-sidebar script[src$=\\\"/show_ads.js\\\"]\",\"tasks\":[[\"upward\",\".widget-sidebar\"]]}"],["{\"selector\":\"div.title-sec\",\"tasks\":[[\"has-text\",\"姉妹サイト\"]]}"],["{\"selector\":\".right-column-inner > div.plugin-memo\",\"tasks\":[[\"has\",{\"selector\":\"> div.sidetitlebody > div.sidetitle\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}]]}"],["{\"selector\":\".plugin1_outline > div > div[id] > script\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".cardtype > .cardtype__article > .adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".plugin_right > div > div > script[src$=\\\"/rakuten_widget.js\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"#ct004 > div.contMain > table.tblPRbn\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".alignC > div.mTop10 > div[style]\",\"tasks\":[[\"has-text\",\"-PR-\"]]}","{\"selector\":\".c-feed_cell > a.c-feed_item-pr\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#entry_li_body #ninja-blog-inactive\",\"tasks\":[[\"upward\",\"#entry_li_body\"]]}"],["{\"selector\":\"#Left #ninja-blog-inactive\",\"tasks\":[[\"upward\",\"#Left\"]]}"],["{\"selector\":\".side-menu > div > div.plugin-freearea > div > a[name=\\\"amachazllink\\\"]\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\".side-menu > h4\",\"tasks\":[[\"has-text\",\"ｽﾎﾟﾝｻｰﾘﾝｸ\"]]}"],["{\"selector\":\"#main > p > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/media\"],[\"spath\",\"body .code-block\"]]}"],["{\"selector\":\".singleAdjust01 > div.adAdjust02\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".sub_right > .sidewrapper\",\"tasks\":[[\"has\",{\"selector\":\"> .sidetitlebody > .sidetitle\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}]]}"],["{\"selector\":\".plugin-memo > div.side > script[src*=\\\"//p.permalink-system.com\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > center > script[src^=\\\"https://cdn-fluct.sh.adingo.jp\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"#sidebar1 h4.widgettitle\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}"],["{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > a[href^=\\\"https://www.e-nls.com/access.php\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"#side > h2.h2s\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\".h2s:last-of-type\",\"tasks\":[[\"has-text\",\"ポケモン関連\"]]}"],["{\"selector\":\".plugin-freearea > div > div > div[id^=\\\"gad-fixed\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"#EB a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",\"#EB\"]]}","{\"selector\":\"#EiB2 #ninja-blog-inactive\",\"tasks\":[[\"upward\",\"#EiB2\"]]}"],["{\"selector\":\".nav_div\",\"tasks\":[[\"has-text\",\"PR\"]]}"],["{\"selector\":\".entry-content > p > a[href^=\\\"https://px.a8.net\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"table[cellpadding=\\\"3\\\"]\",\"tasks\":[[\"has-text\",\"[PR]\"]]}","{\"selector\":\"table[width=\\\"100%\\\"][cellpadding=\\\"0\\\"][cellspacing=\\\"8\\\"]\",\"tasks\":[[\"has-text\",\"出会い特集\"]]}"],["{\"selector\":\"body > font[color=\\\"green\\\"]\",\"tasks\":[[\"has-text\",\"/初心者|セフレ|出会い|女装子|ニューハーフと遊/\"],[\"spath\",\" + br + br + a[target=\\\"_blank\\\"]\"]]}","{\"selector\":\"body > font[color=\\\"green\\\"]\",\"tasks\":[[\"has-text\",\"/初心者|セフレ|出会い|女装子|ニューハーフと遊/\"]]}","{\"selector\":\"table[cellpadding=\\\"4\\\"]\",\"tasks\":[[\"has-text\",\"[PR]\"],[\"spath\",\" + br + img\"]]}","{\"selector\":\"table[cellpadding=\\\"4\\\"]\",\"tasks\":[[\"has-text\",\"[PR]\"]]}"],["{\"selector\":\".subSec:first-child > div[id^=\\\"div-gpt-ad\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".topicsList > li > i.pr\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".lyricside > span.ezoic-ad\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"b > div > a[href^=\\\"https://al.dmm.co.jp\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#extra div.plugin-memo > div.side > script[language=\\\"JavaScript\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\"#sub div.plugin-memo > div.side > script[language=\\\"JavaScript\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > script[src^=\\\"https://js.ad-stir.com/\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".EntryInnerBlock #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".EntryInnerBlock\"]]}","{\"selector\":\".entry_header:first-child > span.entry_title > a[href=\\\"\\\"]\",\"tasks\":[[\"has-text\",\"[PR]\"],[\"upward\",2]]}","{\"selector\":\".entry_text > #ninja-blog-inactive\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".main-box > ul.list > li > script[src^=\\\"https://img.ad-nex.com\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".menuTabLight\",\"tasks\":[[\"has-text\",\"PR\"]]}","{\"selector\":\".plugin1_outline > div.plugin1_title\",\"tasks\":[[\"has-text\",\"PR\"],[\"upward\",1]]}","{\"selector\":\".plugin3_body > div.ta_center > div.plugin-freearea\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".mdModal div.mdbnViewer__ad\",\"tasks\":[[\"upward\",\".mdModal\"]]}"],["{\"selector\":\".module--free > div.module__body > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"#EntryInnerBlock #ninja-blog-inactive\",\"tasks\":[[\"upward\",\"#EntryInnerBlock\"]]}"],["{\"selector\":\".plugin-memo > div.side > a[href^=\\\"https://book.dmm.co.jp\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".side_title\",\"tasks\":[[\"has-text\",\"FANZA\"]]}"],["{\"selector\":\".moyugenn-c\",\"tasks\":[[\"has-text\",\"Amazonランキング\"]]}"],["{\"selector\":\".module--free > div[style=\\\"text-align:center;\\\"] > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".ad-area > div.ad-label\",\"tasks\":[[\"has-text\",\"/^スポンサーリンク$/\"]]}","{\"selector\":\".section-title > p\",\"tasks\":[[\"has-text\",\"/^スポンサーリンク$/\"]]}","{\"selector\":\".text-center > p\",\"tasks\":[[\"has-text\",\"スポンサー\"]]}"],["{\"selector\":\".module--free > div > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"td > div.bbs_box > iframe[src^=\\\"//tool2.nan-net.com\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".sidebar-widget > div > div > a[href*=\\\"://ad.\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".widget_text > h3.sidebar-widget-title\",\"tasks\":[[\"has-text\",\"人気作\"]]}"],["{\"selector\":\".EntryInner #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".EntryInner\"]]}"],["{\"selector\":\".article__content > div:not([class]) > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[class$=\\\"_outline\\\"] > div > div.plugin-freearea > div > a[href^=\\\"https://book.dmm.co.jp\\\"]\",\"tasks\":[[\"upward\",4]]}"],["{\"selector\":\".divh1\",\"tasks\":[[\"has-text\",\"PR\"]]}"],["{\"selector\":\".vab > div#pr\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".mb0 > div.s-side-title-header > [class^=\\\"s-side-\\\"]\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}"],["{\"selector\":\".entrybox #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entrybox\"]]}"],["{\"selector\":\".widget > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".wppwrap > div.ts10box\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".plugin-memo > div.side > center > div[id^=\\\"im-\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > script[src^=\\\"//150601.fc2rs.com\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".l-section > .c-iconAd + ul.p-articleList > .p-articleList_item > div[id^=\\\"div-gpt-ad\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"#contents > .label\",\"tasks\":[[\"has-text\",\"/ランキング$/\"]]}"],["{\"selector\":\".grid_post-box > div.post-box-contents > div[id^=\\\"imobile_ad\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".entry_body > center\",\"tasks\":[[\"has-text\",\"[スポンサーリンク]\"]]}"],["{\"selector\":\"#sub .sidewrapper\",\"tasks\":[[\"has\",{\"selector\":\"> .sidetitlebody > .sidetitle\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}]]}"],["{\"selector\":\".plugin-memo > div.side > div[class^=\\\"google-user-ad\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".home-h > h1\",\"tasks\":[[\"has-text\",\"/ライブチャット|オンライン/\"]]}","{\"selector\":\".home-h > h3\",\"tasks\":[[\"has-text\",\"Stripchat\"]]}"],["{\"selector\":\"div[class=\\\"add\\\"] > div[id^=\\\"text-6\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> h4 > span\",\"tasks\":[[\"has-text\",\"おすすめ関連記事\"]]}]]}"],["{\"selector\":\".plugin-memo > div.side > center > ins.adsbygoogle\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"td[valign=\\\"top\\\"] > table[border=\\\"0\\\"][cellspacing=\\\"0\\\"] > tbody > tr > td > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".entrytextbox #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entrytextbox\"]]}"],["{\"selector\":\".links > div.side_headline20\",\"tasks\":[[\"has-text\",\"スポンサード リンク\"]]}","{\"selector\":\".links-left > div.side_headline60\",\"tasks\":[[\"has-text\",\"スポンサード リンク\"]]}"],["{\"selector\":\".noads-link\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".forum-information > font\",\"tasks\":[[\"has-text\",\"楽天\"]]}"],["{\"selector\":\"#extra div.free-box iframe[src*=\\\"amazon-adsystem\\\"]\",\"tasks\":[[\"upward\",\"div.free-box\"]]}"],["{\"selector\":\"#side > .content_area\",\"tasks\":[[\"has-text\",\"広告\"]]}"],["{\"selector\":\".k_leftColumnCommon > .k_mt-6\",\"tasks\":[[\"has\",{\"selector\":\".k_text\",\"tasks\":[[\"has-text\",\"AD\"]]}]]}"],["{\"selector\":\".box_sidebar > .line\",\"tasks\":[[\"has-text\",\"/^★(?:スポンサードリンク|おすすめ)$/\"]]}"],["{\"selector\":\"#home-side-ad\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"#personalized-feed-side-ad\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".p-items_main > div > div[class^=\\\"style-\\\"] > div[class^=\\\"style-\\\"] > div[id^=\\\"logly-\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\"div[class^=\\\"style\\\"] > div[class^=\\\"style\\\"] > div[class^=\\\"style\\\"] > div[data-testid$=\\\"AdUnit\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".plugin1_outline\",\"tasks\":[[\"has\",{\"selector\":\"> div.plugin1_title\",\"tasks\":[[\"has-text\",\"PR\"]]}]]}"],["{\"selector\":\"#link-will-go\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".module > center > script[src^=\\\"https://js.ad-spire.net\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".module--free > center > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"#main-column > div.EntryBlock #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".EntryBlock\"]]}"],["{\"selector\":\"#main-inner > .content #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".content\"]]}","{\"selector\":\".page_navi > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#content1 > .articles #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".articles\"]]}"],["{\"selector\":\".sidetitlebody\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\".widget_text script[src^=\\\"//cdn.gmossp-\\\"]\",\"tasks\":[[\"upward\",\".widget_text\"]]}"],["{\"selector\":\"#main center\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\".entry-content > div[style^=\\\"box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.25);\\\"] > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".plugin-memo > div.side > script[src$=\\\"/rakuten_widget.js\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".post_ad\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"p > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".side-section > div[data-as-slot-id]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".title_right_top\",\"tasks\":[[\"has-text\",\"SPONSORED\"]]}"],["{\"selector\":\".sidebar-t\",\"tasks\":[[\"has-text\",\"/ランキング|エロ情報/\"]]}"],["{\"selector\":\"#side > div > .widget-wrap > h3\",\"tasks\":[[\"has-text\",\"/^Ads$/\"],[\"upward\",1]]}","{\"selector\":\".entry-footer > p[style]\",\"tasks\":[[\"has-text\",\"[Ads & Featured Articles]\"]]}"],["{\"selector\":\"#posts > div.post-wrap > a[href*=\\\"_ad_\\\"][target=\\\"_blank\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".article-single-content > div > div\",\"tasks\":[[\"has\",{\"selector\":\"> div[style] > div > span\",\"tasks\":[[\"has-text\",\"【PR】\"]]}]]}"],["{\"selector\":\".c-list__item > div[id^=\\\"_popIn_infeed\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".tweet_box > div[class=\\\"list_box\\\"]:not([data-index]) > div > a[href^=\\\"https://www.amazon.co.jp/\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".contents_right > div.box > div#ad_rectangle_1\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#ar_w300px > div.cont > ul.tab\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"._popIn_infinite_page > a._popIn_recommend_article_ad\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".sidebar-main > aside > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"center > table[width=\\\"85%\\\"]:first-child > tbody > tr > td[align=\\\"center\\\"] > script[src^=\\\"//pagead2\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#irelated > div > ul > div.bds > div.bd_left1[name]\",\"tasks\":[[\"has-text\",\"PR\"],[\"upward\",4]]}","{\"selector\":\".banner_left1 > script\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"tr > td > div[class^=\\\"text-top-tab1-\\\"] > div.bd > div.bd_left[name]\",\"tasks\":[[\"has-text\",\"PR\"],[\"upward\",4]]}"],["{\"selector\":\"#right_col > div:not([class])\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\".entry_header > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".entry_text #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entry_text\"]]}"],["{\"selector\":\".widget_diver_widget_pcsp > div > center > script[src$=\\\"/adstir.js\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".widget_diver_widget_pcsp > div > div.adp\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"#page-content > h2#toc3\",\"tasks\":[[\"has\",{\"selector\":\"> span\",\"tasks\":[[\"has-text\",\"/^広告$/\"]]}],[\"spath\",\" ~ div.scp-image-block[style=\\\"width:300px;\\\"]\"]]}","{\"selector\":\"#page-content > h2#toc3\",\"tasks\":[[\"has\",{\"selector\":\"> span\",\"tasks\":[[\"has-text\",\"/^広告$/\"]]}]]}"],["{\"selector\":\".side_banner > #_popIn_recommend_image_right\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".single_container > div[class=\\\"\\\"]\",\"tasks\":[[\"has-text\",\"【あなたにオススメ記事】\"]]}"],["{\"selector\":\".widget-post ul.horizontal-list\",\"tasks\":[[\"upward\",\".widget-post\"]]}"],["{\"selector\":\"div:not([style]) > div[style=\\\"text-align:center;\\\"] > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".clearfix > p > span[style=\\\"color: #ff0000;\\\"]\",\"tasks\":[[\"has-text\",\"3千円プレゼント！\"],[\"upward\",1]]}","{\"selector\":\".clearfix > p > strong\",\"tasks\":[[\"has-text\",\"↓\"]]}"],["{\"selector\":\".post > strong > p > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#sidebar_right > div.box > div.bg_white > div > div.fw-b > a[href^=\\\"http://yamare.co/amz\\\"]\",\"tasks\":[[\"upward\",4]]}"],["{\"selector\":\".menu_title3\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\".custom-html-widget > p > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#e-zone > h2 a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",\"h2\"]]}","{\"selector\":\".ebody #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".ebody\"]]}"],["{\"selector\":\"#entry #ninja-blog-inactive\",\"tasks\":[[\"upward\",\"#entry\"]]}"],["{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/mailfriend/livechat/\"],[\"spath\",\"#info3\"]]}","{\"selector\":\"table[cellpadding=\\\"4\\\"]\",\"tasks\":[[\"has-text\",\"[PR]\"],[\"spath\",\" + br + a[target=\\\"_blank\\\"] + b + font\"]]}","{\"selector\":\"table[cellpadding=\\\"4\\\"]\",\"tasks\":[[\"has-text\",\"[PR]\"],[\"spath\",\" + br + a[target=\\\"_blank\\\"] + b\"]]}","{\"selector\":\"table[cellpadding=\\\"4\\\"]\",\"tasks\":[[\"has-text\",\"[PR]\"],[\"spath\",\" + br + a[target=\\\"_blank\\\"]\"]]}","{\"selector\":\"table[cellpadding=\\\"4\\\"]\",\"tasks\":[[\"has-text\",\"[PR]\"],[\"spath\",\" + br + img + b + font + br + font[size=\\\"2\\\"]\"]]}","{\"selector\":\"table[cellpadding=\\\"4\\\"]\",\"tasks\":[[\"has-text\",\"[PR]\"],[\"spath\",\" + br + img + b + font\"]]}","{\"selector\":\"table[cellpadding=\\\"4\\\"]\",\"tasks\":[[\"has-text\",\"[PR]\"],[\"spath\",\" + br + img + b\"]]}","{\"selector\":\"table[width=\\\"100%\\\"][cellpadding=\\\"0\\\"][cellspacing=\\\"8\\\"]\",\"tasks\":[[\"has-text\",\"/と出会えそうな予感|顔出しオナニー素人のライブチャット|出会い特集|テレクラ特集|マゾ男向けのSM特集|男と男が出会いを探せる場所|が夢中に男を探し始めた！|素人女子のオナ声に癒されたい/\"]]}"],["{\"selector\":\".acr_ranking_sys > tbody > tr > td > div[id^=\\\"imobile_ad\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > div > script[src^=\\\"http://spdeliver.i-mobile.co.jp/script/ads.js\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".pg-container-main-primary > section > div.pg-mod > h3.ttl-line-center\",\"tasks\":[[\"has-text\",\"PR\"]]}"],["{\"selector\":\".entryinner #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entryinner\"]]}"],["{\"selector\":\".aside-banner > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".innerframe > div.whiteboard > div > div.indent > center > div#ad_index_middle\",\"tasks\":[[\"upward\",5]]}","{\"selector\":\".innerframe > div.whiteboard > div > div.indent > div#ad_index_top\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\".innerframe > div.whiteboard > div > div.indent > div#ad_kiji_middle\",\"tasks\":[[\"upward\",4]]}"],["{\"selector\":\".ad > div > a[href^=\\\"https://al.dmm.co.jp/\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"#main > div.home-h\",\"tasks\":[[\"has\",{\"selector\":\"> h1\",\"tasks\":[[\"has-text\",\"LIVECAM\"]]}]]}"],["{\"selector\":\".side_main > img[src=\\\"img/index_book.gif\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".side_main > img[src=\\\"img/index_series.gif\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"body > font[size=\\\"2\\\"]\",\"tasks\":[[\"has-text\",\"/^広告$/\"]]}"],["{\"selector\":\".plugin-memo > div.side > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"[class]:is([class^=\\\"word_label\\\"], section[class^=\\\"word\\\"][class*=\\\"_detail\\\"])\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\".left_column > h2\",\"tasks\":[[\"has-text\",\"おすすめのDL\"],[\"spath\",\" ~ div.tieup_rand_block\"]]}","{\"selector\":\".left_column > h2\",\"tasks\":[[\"has-text\",\"おすすめのDL\"]]}"],["{\"selector\":\".text-center > small\",\"tasks\":[[\"has-text\",\"PR\"]]}"],["{\"selector\":\".news_b table[border=\\\"0\\\"][cellpadding=\\\"5\\\"][style=\\\"background:#fff\\\"] > tbody > tr[bgcolor=\\\"#fff\\\"] > td.newsarea[style] > a.wl[href^=\\\"https://a\\\"][href*=\\\".to/\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\"td[style^=\\\"vertical-align: top\\\"] [onclick*=\\\"()\\\"][target=\\\"_blank\\\"]\",\"action\":[\"style\",\"pointer-events: none !important;\"],\"tasks\":[[\"has\",{\"selector\":\"[style*=\\\"background-image: url(\\\\\\\"data:image/jpg;\\\"]\",\"tasks\":[[\"matches-attr\",{\"attr\":\"style\",\"value\":\"/height\\\\s*:\\\\s*[12]\\\\d{2}\\\\.?\\\\d*px/\"}]]}]]}","{\"selector\":\"td[style^=\\\"vertical-align\\\"] [id] [class]\",\"action\":[\"style\",\"pointer-events: none !important;\"],\"tasks\":[[\"matches-css\",{\"name\":\"top\",\"value\":\"^[4-8]\\\\d{2}\\\\.?\\\\d*px$\"}],[\"spath\",\" [onclick*=\\\")\\\"]:has(b):not(:has(td > a))\"]]}","{\"selector\":\"td[style^=\\\"vertical-align\\\"] [id] [class]\",\"action\":[\"style\",\"pointer-events: none !important;\"],\"tasks\":[[\"matches-css\",{\"name\":\"top\",\"value\":\"^[4-8]\\\\d{2}\\\\.?\\\\d*px$\"}],[\"spath\",\" [onmousedown*=\\\")\\\"]:has(b):not(:has(td > a))\"]]}"],["{\"selector\":\"#sidebar-inner > div.plugin-memo\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}","{\"selector\":\".plugin-memo > div.side > div > div[id^=\\\"gad-fixed\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".plugin-memo > div.side > center > div#verticalrank\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".plugin-memo > div.side > div#nav > div.adblock\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > div.adblock\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > div.gdblock\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".linklist > li > a[target=\\\"_blank\\\"]\",\"tasks\":[[\"has-text\",\"[PR]\"]]}"],["{\"selector\":\".footer_content > div.recommend_ads\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".frame > div[style=\\\"background-color:transparent;\\\"] > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"article.HomeBlogFeed_Article_Card > div.HomeBlogFeed_Article_Ad_Loading\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#bigfooterpanel_general\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"h3[class^=\\\"_\\\"] + div > ul[class^=\\\"_\\\"] + div\",\"tasks\":[[\"has\",{\"selector\":\"> p[class^=\\\"_\\\"]\",\"tasks\":[[\"has-text\",\"PR\"]]}]]}"],["{\"selector\":\".block-mobile > div[class^=\\\"list\\\"] > script[src^=\\\"https://cdn-fluct.sh.adingo.jp/\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/gtav/\"],[\"spath\",\"a[href^=\\\"https://al.dmm.com\\\"]\"]]}","{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/gtav/\"],[\"spath\",\"a[href^=\\\"https://amzn.to\\\"]\"]]}","{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/gtav/\"],[\"spath\",\"a[href^=\\\"https://hb.afl.rakuten.co.jp\\\"]\"]]}","{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/gtav/\"],[\"spath\",\"a[href^=\\\"https://px.a8.net\\\"]\"]]}","{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/gtav/\"],[\"spath\",\"a[href^=\\\"https://www.dlsite.com/comic/dlaf/\\\"]\"]]}","{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/hachinai_nanj\"],[\"spath\",\".plugin_include:has(> table a[href=\\\"https://supponponclub.blog.jp/\\\"])\"]]}","{\"selector\":\"#atwiki-ads-overlay\",\"action\":[\"remove\",\"\"]}","{\"selector\":\"#menubar2 > div.atwiki-contents > div > object[id^=\\\"Player_\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"#wikibody > div:not([id], [class]):nth-last-of-type(2):has(> a)\",\"tasks\":[[\"has-text\",\"<PR>\"]]}","{\"selector\":\"#wikibody > h3[id^=\\\"id_\\\"] > span[style=\\\"font-weight: bold;\\\"] > center\",\"tasks\":[[\"has-text\",\"広告\"],[\"upward\",2]]}"],["{\"selector\":\".news__item > div.news__item--ad\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".l-sub__block > div.l-sub__bnr > div[id$=\\\"_Rectangle\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > ins.widget-banner\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > a[href^=\\\"https://mintj.com/?\\\"][target=\\\"_blank\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > a[href^=\\\"https://www.cityheaven.net\\\"] > img\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > div > a[name=\\\"amazletlink\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > div > div#verticalrank\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > div.eroterest_partsv2\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > div[align=\\\"center\\\"] > ins.adsbygoogle\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > iframe.elogch_blogparts_iframe\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > img[src*=\\\"a8.net/\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > script[src*=\\\".jp/ufo/\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > script[src*=\\\"dmm-rank.com\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > script[src^=\\\"//aztool.org\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > script[src^=\\\"//js.octopuspop.com\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > script[src^=\\\"https://ad999.biz\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > script[src^=\\\"https://adt.ad-spire.net\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > div > a[href^=\\\"https://al.dmm.co.jp/\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".plugin-memo > div.side > div > script[src*=\\\"//adm.shinobi.jp\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".plugin-memo > div.side > script[src^=\\\"//z-fe.amazon-adsystem.com\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"font\",\"tasks\":[[\"has-text\",\"Sponsored Links\"]]}"],["{\"selector\":\"div[class$=\\\"t-column-inner\\\"] > center\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\".plugin-memo > div.side > div.banner\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".main-container > div\",\"tasks\":[[\"has-text\",\"/^【スポンサードリンク】$/\"]]}"],["{\"selector\":\".plugin-memo > div.side > div[id^=\\\"blz_lock\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".sidetitlebody > .sidetitle\",\"tasks\":[[\"has-text\",\"AD\"]]}"],["{\"selector\":\"table > tbody > tr\",\"tasks\":[[\"has\",{\"selector\":\"> td.txt-top > div.el-list em\",\"tasks\":[[\"has-text\",\"PR\"]]}]]}"],["{\"selector\":\".entry-content > div#a8rakutenadrank_pc\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".csw-content-container > .ise-ad\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".ccn-article-info li\",\"tasks\":[[\"has-text\",\"【PR】\"]]}"],["{\"selector\":\"#Center > div.partsHeading\",\"tasks\":[[\"has-text\",\"インタレスト\"]]}","{\"selector\":\".dparts.homeMainTable\",\"tasks\":[[\"has-text\",\"インタレストマッチ\"]]}","{\"selector\":\".homeRightTable > div.parts > div.partsBanner\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".feed-item > div[id^=\\\"div-gpt-\\\"]\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".pg-container-side div.cb-l1-m2 > div.cb > .OUTBRAIN\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"._popIn_recommend_container a._popIn_recommend_article_ad\",\"tasks\":[[\"upward\",\"._popIn_recommend_container\"]]}"],["{\"selector\":\".article > div[style=\\\"padding: 8px 0; font-weight: bold;\\\"]\",\"tasks\":[[\"has-text\",\"編集部おすすめ\"]]}","{\"selector\":\"headline > ul > li > a.pr\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#gpt_pc_blog_header\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#wrapper > div[style^=\\\"text-align:center;\\\"] > div[id^=\\\"div-gpt-ad\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".hatena-module-html > .hatena-module-body > div > div[id^=\\\"div-gpt-ad-\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".main_1col > div.post_list > div.OUTBRAIN\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".main_1col > div.post_list > div.post_item > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".main_1col > div.post_list > div[id^=\\\"logly-\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"#cmsBody > div.inner > h2.format--crosshead\",\"tasks\":[[\"has-text\",\"/売れ筋ランキング|聴き放題！|楽天ポイント/\"]]}"],["{\"selector\":\"#cmsBody > div.inner > p:last-of-type:has(> * > a[href^=\\\"https://twitter.com/\\\"][target=\\\"_blank\\\"])\",\"tasks\":[[\"has-text\",\"作品提供\"],[\"spath\",\" ~ div.cmsAmazonWrap\"]]}"],["{\"selector\":\".article-list > li > script[src^=\\\"//yads.\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"li[id^=\\\"top-news-article-\\\"] > a.article-ad\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".block_ad > div.img_ad > div#adbnr-s > ins.adsbygoogle\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".top-articles > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".banner > #knpc-rec1\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"body #sb3\",\"tasks\":[[\"has-text\",\"[PR]\"]]}"],["{\"selector\":\"#Main > div > div.OUTBRAIN\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"li > dl.pr\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".l-section-side h2.c-heading-side-h2--otherStyle__text\",\"tasks\":[[\"upward\",\".l-section-side\"]]}","{\"selector\":\".p-content > #external-feed > .p-grid__item\",\"tasks\":[[\"has\",{\"selector\":\"> .p-content-header > .c-heading-h2--pr > .c-heading-h2--pr__inner > .c-heading-h2__text > span\",\"tasks\":[[\"has-text\",\"[PR]\"]]}]]}"],["{\"selector\":\"ul[class^=\\\"_taxel_row\\\"] > li > div[class^=\\\"_taxel_ad_article\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/negishinouen\"],[\"spath\",\"#content-sticky div.side_lo a[href$=\\\"/ranking.html\\\"] ~ a[target=\\\"_blank\\\"]:not([href$=\\\"/ranking.html\\\"])\"]]}","{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/negishinouen\"],[\"spath\",\"#content-sticky div.side_lo img[alt^=\\\"初めてさん歓迎！\\\"]\"]]}","{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/negishinouen\"],[\"spath\",\"#content-sticky div.sidefree > center > center:last-child > br\"]]}","{\"selector\":\"#content-side > table div[id*=\\\"Rak_Blog_User_SideBanner\\\"]\",\"tasks\":[[\"upward\",\"table\"]]}"],["{\"selector\":\".side-box > div[id^=\\\"rdn-adspot\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".c-content-main > h2:not([data-bg-pattern])\",\"tasks\":[[\"has-text\",\"こちらもおすすめ\"]]}"],["{\"selector\":\"#related-small-list > li > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".items-center > .flex-col.pb-8\",\"tasks\":[[\"has\",{\"selector\":\"> h3\",\"tasks\":[[\"has-text\",\"あわせて読みたい\"]]}]]}"],["{\"selector\":\".mb30 > h2\",\"tasks\":[[\"has-text\",\"スペシャルコンテンツ\"]]}"],["{\"selector\":\".hsNormal > div.bJava\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[data-test-id=\\\"TeaserFourUpCol\\\"] > div > div[id^=\\\"ad-\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"#yjSub > div.cmnBnr > div#ydn-mr\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"#yjSub > div.nav > div[id^=\\\"ydn-right-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#lsc div[class^=\\\"ClapLv3SearchList_Chie-SearchList__Item__\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> div > div[class*=\\\"__Information__\\\"] > div[class*=\\\"__InformationIcon__\\\"] > div[class*=\\\"__InformationText__\\\"]\",\"tasks\":[[\"has-text\",\"広告\"]]}]]}"],["{\"selector\":\"aside[class^=\\\"ClapLv3SubList_Chie-SubList__ListItem__\\\"] > div.infdAd\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#contents + div > div > div > div[class]:has(> div > div[id^=\\\"ad_\\\"])\",\"tasks\":[[\"matches-css\",{\"name\":\"padding-right\",\"value\":\"^12px$\"}]]}","{\"selector\":\"#contents + div > div[class^=\\\"wP-\\\"]:has(> div[class]:only-child > div[id^=\\\"ad_\\\"])\",\"tasks\":[[\"matches-css\",{\"name\":\"width\",\"value\":\"^300px$\"}]]}","{\"selector\":\"#contents > div > div > div\",\"tasks\":[[\"matches-css\",{\"name\":\"min-height\",\"value\":\"^150px$\"}],[\"spath\",\":has(div[id^=\\\"ad_\\\"])\"]]}","{\"selector\":\"#contents > div[class^=\\\"_\\\"] > div[class^=\\\"_\\\"] > div[class*=\\\"_\\\"]\",\"tasks\":[[\"matches-css\",{\"name\":\"min-height\",\"value\":\"^250px$\"}]]}","{\"selector\":\"#contents-body ~ div > div > div > div\",\"tasks\":[[\"has\",{\"selector\":\"> div[class]\",\"tasks\":[[\"matches-css\",{\"name\":\"min-height\",\"value\":\"^111px$\"}],[\"spath\",\" > div[id^=\\\"ad_\\\"]\"]]}]]}","{\"selector\":\"#contents-body ~ div > div > div\",\"tasks\":[[\"matches-css\",{\"name\":\"min-height\",\"value\":\"^150px$\"}],[\"spath\",\":has(div[id^=\\\"ad_\\\"])\"]]}","{\"selector\":\"div > #mainAdTop\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"div > div > div[class^=\\\"_\\\"] > div[class] > div[class*=\\\"_\\\"] > div[class]:has(> div[id^=\\\"ad_\\\"])\",\"tasks\":[[\"matches-css\",{\"name\":\"min-height\",\"value\":\"217px|42px\"}]]}","{\"selector\":\"div > div[class] > div[class*=\\\"_\\\"] > div[class]:has(> div[id^=\\\"ad_\\\"])\",\"tasks\":[[\"matches-css\",{\"name\":\"min-height\",\"value\":\"^200px$\"}]]}","{\"selector\":\"div > div[class^=\\\"wP-\\\"] div[class]\",\"tasks\":[[\"matches-css\",{\"name\":\"min-height\",\"value\":\"^250px$\"}]]}"],["{\"selector\":\"div[class*=\\\"__\\\"] > div[id$=\\\"ad1\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#tagYadsDetail\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"#tagYadsListTop\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"#tagYadsSideColumn\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#contentsInner > div[class^=\\\"ContentWrapper_wrapper_\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> div[class^=\\\"SS_SS__\\\"] > ul > li > article > a > span\",\"tasks\":[[\"matches-css\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"^広告$\"}]]}]]}"],["{\"selector\":\".aside > div.category-list > span.ad-text03\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".p-article-reading-recommend-list-item > article > div[id^=\\\"ad_dfp\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".wp-caption-text\",\"tasks\":[[\"has-text\",\"※楽天ブックスにリンクします\"]]}"],["{\"selector\":\".relation-block > div.OUTBRAIN\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".p-10px > div.OUTBRAIN\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".sidebar-items > header.story-card-header.large\",\"tasks\":[[\"has-text\",\"zakスペシャル\"]]}"],["{\"selector\":\".homelist-in[style^=\\\"text-align:center;height:\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"div[align=\\\"center\\\"] > .badge-success\",\"tasks\":[[\"has-text\",\"スポンサード リンク\"]]}"],["{\"selector\":\".p-widget-list__item > div[id^=\\\"div-gpt-\\\"]\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".block-block ins[data-revive-zoneid]\",\"tasks\":[[\"upward\",\".block-block\"]]}"],["{\"selector\":\".article center > div#SPREAD_VIDEO_PLAYER\",\"tasks\":[[\"upward\",\".article\"]]}","{\"selector\":\".blogbody center > div#SPREAD_VIDEO_PLAYER\",\"tasks\":[[\"upward\",\".blogbody\"]]}"],["{\"selector\":\".style_table > tbody > tr > td.style_td > div[class*=\\\"Rect\\\"][style^=\\\"margin:\\\"]\",\"tasks\":[[\"upward\",\"tr\"]]}"],["{\"selector\":\".plugin1_outline > div > div.plugin-freearea > center > a[href=\\\"https://shadowverse-evolve.com/\\\"]\",\"tasks\":[[\"upward\",4]]}"],["{\"selector\":\".owl-item > div.ad-wrapper\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[class^=\\\"side_1cbox_\\\"] > div[class^=\\\"amazon_sbox\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".plugin-memo > div.side > script[src$=\\\"dlsite.com/js/blogparts.js\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > script[src^=\\\"//j.microad.net/\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > a[href*=\\\"px.a8.net/svt/ejp?\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > a[href^=\\\"http://atq.ck.valuecommerce.com/servlet/atq/referral?\\\"][target=\\\"_blank\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > center > script[src^=\\\"//z-fe.amazon-adsystem.com\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > div > ins.adsbygoogle\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > div.amazon_adv\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > div[align=\\\"center\\\"] > script[src$=\\\"/show_ads.js\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".plugin-memo > div.side > div > a[href^=\\\"https://www.amazon.co.jp\\\"][target=\\\"_blank\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".plugin-memo > div.side > div[id]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo script[src]\",\"tasks\":[[\"upward\",\".plugin-memo\"]]}"],["{\"selector\":\"#sidebar-inner > div.plugin3_title\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}"],["{\"selector\":\"#sidebar > div.plugin-memo\",\"tasks\":[[\"has\",{\"selector\":\"> div.sidetitlebody > div.sidetitle\",\"tasks\":[[\"has-text\",\"/ad/\"]]}]]}"],["{\"selector\":\".plugin-memo > div.google-user-ad-side\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".contents_ad01\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".plugin_right > div > div.plugin-freearea > a[rel$=\\\"sponsored\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"li > div.related-ad > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".cMovieboxC > div.cPabox.babg\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".bg--deep a[class*=\\\"gtm-ad\\\"]\",\"tasks\":[[\"upward\",\".bg--deep\"]]}"],["{\"selector\":\".content-rank > div > div.content-rank-img > a[href*=\\\"www.dlsite.com\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".post-item > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".related-post-item > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#amzn-ranking-zone-title\",\"tasks\":[[\"has-text\",\"Amazon売り上げランキング\"]]}","{\"selector\":\".widget_catbox_widget.post-widgets-bottom > div > div.amzn-tabs-container\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".box_top > div.box_btm > ul.bukken-list\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".box_top > div.box_btm > ul.realestate-list\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".box_top > div.box_btm > ul.recipe-side-img-area\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".mdl-card > div > ul.bukken-list\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".mdl-card > div > ul.realestate-list\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"div > div[style=\\\"text-align:center;\\\"] > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#taboola-below-article-thumbnails-pcxrr\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".csw-content-box:not(.ise-ad) > div.csw-content-footer:not(.csw-off) > span.csw-ad-icon\",\"tasks\":[[\"has-text\",\"PR\"],[\"upward\",2]]}"],["{\"selector\":\".mainbody > h2\",\"tasks\":[[\"has-text\",\"おすすめ関連記事\"]]}"],["{\"selector\":\"#box2-inner > div.hatena-module\",\"tasks\":[[\"has\",{\"selector\":\"> div.hatena-module-title\",\"tasks\":[[\"has-text\",\"[AD]\"]]}]]}"],["{\"selector\":\".l-section > div.u-alignCenter > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".ng-isolate-scope > li.ng-scope ins.adsbygoogle\",\"tasks\":[[\"upward\",\"li\"]]}"],["{\"selector\":\"#side > div.sidewrapper\",\"tasks\":[[\"has\",{\"selector\":\"> div.sidetitle\",\"tasks\":[[\"has-text\",\"★スポンサー\"]]}]]}","{\"selector\":\".entrybody > p > a[target=\\\"_blank\\\"][rel]\",\"tasks\":[[\"has-text\",\"【PR】\"]]}"],["{\"selector\":\".full_screen_ad\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"#_popIn_recommend_carousel2_div > div._popIn_recommend_articles > ul._popIn_infinite_page > li > a._popIn_recommend_article_ad\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".l-ad32 > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"div[class^=\\\"pr_list_contentsbox\\\"] > a > div > img[src^=\\\"https://ibarakinews.jp/images/common/PR_\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".m-article-colm-list > div#recommend_pc\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".column-inner-2 > div.plugin-memo\",\"tasks\":[[\"has\",{\"selector\":\"> div.sidetitlebody > div.sidetitle\",\"tasks\":[[\"has-text\",\"Amazon\"]]}]]}"],["{\"selector\":\".js-reward-gallery-modal\",\"action\":[\"remove\",\"\"]}","{\"selector\":\".js-reward-modal\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"#entry .entry_title\",\"tasks\":[[\"has-text\",\"スポンサーサイト\"],[\"upward\",\"#entry\"]]}","{\"selector\":\".entry .entry_title\",\"tasks\":[[\"has-text\",\"スポンサーサイト\"],[\"upward\",\".entry\"]]}","{\"selector\":\".entry > h2\",\"tasks\":[[\"has-text\",\"スポンサーサイト\"],[\"upward\",1]]}","{\"selector\":\".entry_area > h2\",\"tasks\":[[\"has-text\",\"スポンサーサイト\"],[\"upward\",1]]}","{\"selector\":\".side_content > dl div#jgSideAdContainer\",\"tasks\":[[\"upward\",\"dl\"]]}"],["{\"selector\":\"ul[class^=\\\"top-news--items-\\\"] > li[class^=\\\"cmn-summary-\\\"] > div[id^=\\\"div-gpt-ad\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#acrank_top td[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".right-col > .side-multiline-html-area ul ~ p\",\"tasks\":[[\"has-text\",\"広告\"]]}"],["{\"selector\":\"#recommendations > li > div[class^=\\\"ad\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".widget_text > div.widget_inner > div.textwidget > p > ins.adsbygoogle\",\"tasks\":[[\"upward\",4]]}"],["{\"selector\":\".ad-bnr\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".swiper-slide[data-history^=\\\"photo_extra\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".plugin-memo > div.side > script[src$=\\\"/show_ads.js\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > div[class^=\\\"alistcloud-container\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plugin-memo > div.side > center > ins.dmm-widget-placement\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".related-wadai\",\"tasks\":[[\"has-text\",\"ベストセラー\"]]}"],["{\"selector\":\".plugin-memo > div.side > div.osusume-side\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".kanren > dl.clearfix\",\"tasks\":[[\"has-text\",\"【PR】\"]]}"],["{\"selector\":\"#RightPane > div.rs_preserve\",\"tasks\":[[\"has\",{\"selector\":\"> div.standardInfo > div.standardInfo_head_body > h2\",\"tasks\":[[\"has-text\",\"企業広告欄\"]]}]]}"],["{\"selector\":\".container05 > div.t_kokoku_title\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".top_banner5_wrap\",\"tasks\":[[\"has-text\",\"広告欄\"]]}"],["{\"selector\":\"#wrapper > .box-content > .inner > .box-other.t1\",\"tasks\":[[\"has\",{\"selector\":\"> .title\",\"tasks\":[[\"has-text\",\"企業広告\"]]}]]}"],["{\"selector\":\".post > div.pc_display > div[id^=\\\"logly\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[class^=\\\"ranking_sRanking_List_Wrapper\\\"] > div[class^=\\\"ranking_sRanking_List_Label\\\"]\",\"tasks\":[[\"has-text\",\"PR\"]]}","{\"selector\":\"div[class^=\\\"recommendArticles_pRecommend_\\\"] > div#cxMorePc\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"\",\"action\":[\"style\",\"position: static !important;\"],\"tasks\":[[\"matches-path\",\"/kinisoku\"],[\"spath\",\"#aside[style]\"]]}","{\"selector\":\"\",\"action\":[\"style\",\"position: static!important;\"],\"tasks\":[[\"matches-path\",\"/goldennews\"],[\"spath\",\"#side-column[style^=\\\"position: fixed\\\"]\"]]}","{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/footcalcio\"],[\"spath\",\"#sub_left\"]]}","{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/kinisoku\"],[\"spath\",\"#fix_sidewrapper\"]]}","{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/rbkyn844\"],[\"spath\",\".sidetitle\"],[\"has-text\",\"スポンサー\"]]}","{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/umadori0726\"],[\"spath\",\".entry-body > div[align=\\\"center\\\"]:has(+ div[class^=\\\"google-2ad\\\"])\"]]}","{\"selector\":\"#left_wrapper > div.area01 > p[style=\\\"”font-size:5pt;\\\"] + center\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}","{\"selector\":\"#sidebar > div.scroll > div.side-ad\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".article-body-inner > center > table > tbody > tr > td > div.ninja_onebutton\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\".article-body-inner > center > table > tbody > tr > td > script[src$=\\\"/rakuten_widget.js\\\"]\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\".article-body-inner > div.t_b ~ b > a[href^=\\\"https://www.amazon.co.jp/dp/\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".article-body-inner > div[style=\\\"margin:0;padding:5px;font-size:12px;word-break: break-all;\\\"] > a[href^=\\\"https://al.dmm.co.jp\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".article-body-more > div[align=\\\"center\\\"] > a[href^=\\\"https://www.sokmil.com/av/_item/\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".article-outer-3 > div.article-option > h3 + div[style=\\\"text-align:center; margin-top:10px;\\\"] > script[type]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".entry-content > link[href$=\\\"/default.css\\\"] + span[style=\\\"font-size:12px;\\\"]\",\"tasks\":[[\"has-text\",\"スポンサード\"]]}","{\"selector\":\".first-article > div[align=\\\"center\\\"] > p\",\"tasks\":[[\"has-text\",\"/^スポンサードリンク$/\"]]}","{\"selector\":\".plugin-memo > .side > a[href^=\\\"https://adf.shinobi.jp/\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > .side > a[href^=\\\"https://www.infocart.jp/\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > .side > a[href^=\\\"https://www.infotop.jp/click\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div#gad-fixed-r2\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".plugin-memo > div.side > #mgs_Widget\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > a[href^=\\\"http://550909.com/\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > a[href^=\\\"https://affiliate.suruga-ya.jp\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > a[href^=\\\"https://pcmax.jp/lp/\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > center > a[href^=\\\"http://amzn.to\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > center > b > a[href^=\\\"https://amzn.to\\\"][target=\\\"_blank\\\"]\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\".plugin-memo > div.side > center > iframe[src^=\\\"//rcm-fe.amazon-adsystem.com\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > center > script[src$=\\\"ziyu.net/js/dqnplus.js\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > div > a[href^=\\\"http://www.dmm.co.jp\\\"][style]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > div > b > a[href^=\\\"https://www.amazon.co.jp\\\"][target=\\\"_blank\\\"]\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\".plugin-memo > div.side > div > div > iframe#gazoupickup_3\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\".plugin-memo > div.side > div > ins.dmm-widget-placement\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".plugin-memo > div.side > div#ldb-user-ad-fixed\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > div#verticalrank\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > div.ad-center\",\"action\":[\"style\",\"visibility: hidden!important;height: 0 !important;\"],\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > div.amazon_tool\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > div.gad-fixed\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > div.rakuad\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > div.yms-user-ad-side\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > div[id^=\\\"blz_dmm\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > iframe[src*=\\\"blogparts.dmm.com\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > iframe[src^=\\\"https://image.getchu.com/api/item_af\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > link[href^=\\\"https://pdn.adingo.jp/\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > p.gad\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > script[src^=\\\"http://ws.amazon.co.jp\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > script[src^=\\\"https://cdn-fluct.sh.adingo.jp\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > script[src^=\\\"https://i-section\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".plugin-memo > div.side > table a[href*=\\\"amazon.co.jp/exec\\\"][target=\\\"_blank\\\"] > img[src^=\\\"https://images-na.ssl-images-amazon.com\\\"]\",\"tasks\":[[\"upward\",\".plugin-memo\"]]}","{\"selector\":\".plugin-memo > div.side > table[style=\\\"color:darkblue; background-color: #FFFFFF\\\"][width$=\\\"305\\\"][border=\\\"1\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".right > div.plugin-memo > div.side > p:last-of-type > a[href*=\\\"amazon.\\\"]:first-of-type\",\"tasks\":[[\"upward\",\".plugin-memo\"]]}"],["{\"selector\":\".plugin-memo > div.side > script[src^=\\\"//dameparts.com/pbanner/\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".post-block > div#taboola-below-article-thumbnails\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".swiper-slide-extra\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".module-list-articles__item[style=\\\"padding:0px\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".featurelist > li > div[id^=\\\"ad-\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".is-2col.articlelist > li > div[id^=\\\"ad-pc-article\\\"]\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",1]]}","{\"selector\":\"section[id^=\\\"oblist\\\"] > div.OUTBRAIN\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".l-sidebar_inner > div.c-secondarysection\",\"tasks\":[[\"has\",{\"selector\":\"> div.c-secondarysection_header > p.c-secondarysection_heading\",\"tasks\":[[\"has-text\",\"スポンサーサイト\"]]}]]}"],["{\"selector\":\".common-wrap > div.OUTBRAIN\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".c-glo-section > aside.l-post-aside > div[id^=\\\"logly-\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".c-glo-section > div[id^=\\\"logly\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[id^=\\\"cc_\\\"] > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[class$=\\\"BlockBase\\\"] > div > div > div.plugin-freearea > ins.dmm-widget-placement\",\"tasks\":[[\"upward\",4]]}","{\"selector\":\"div[class$=\\\"BlockBase\\\"] > div > div > div.plugin-freearea > script[src*=\\\"://js.\\\"][src*=\\\"/t/\\\"]\",\"tasks\":[[\"upward\",4]]}"],["{\"selector\":\".p-articlePageRelatedArticles__post > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#sranking > div > dl a[onclick^=\\\"ga\\\"]\",\"tasks\":[[\"upward\",\"dl\"]]}"],["{\"selector\":\".feed01 > div.adMain\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".list-object__item > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".p-aside-section > div[id^=\\\"div-gpt-ad-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"li[class$=\\\"_item\\\"] > div[id^=\\\"div-M_MD_gtx_\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#new_article_alltop > li > div[id^=\\\"logly\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"section > a[href^=\\\"https://hb.afl.\\\"][onclick]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".sticky-height > section.article-list\",\"tasks\":[[\"has-text\",\"SPONSORD\"]]}"],["{\"selector\":\"body > p > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"td[colspan=\\\"2\\\"]\",\"tasks\":[[\"has-text\",\"/^スポンサードリンク$/\"]]}"],["{\"selector\":\".list_base_nom > li > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#NR-sub-in > aside > div.module-frame > div.areamatch\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".event-cards__item > a.event-card--banner\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".articlePhotoList_articleNormal > a[data-osccid^=\\\"recommend_qa_ad\\\"] > div.img_crown\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"div[class^=\\\"sc-\\\"]:only-child > div:first-child > div[id^=\\\"rectangle_main_\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".simple-header\",\"tasks\":[[\"has-text\",\"/izaスペシャル|あなたにオススメ/\"]]}"],["{\"selector\":\".c-box.ad\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".c-section__title--ranking\",\"tasks\":[[\"has-text\",\"あなたにおすすめ\"]]}"],["{\"selector\":\"#area01 > div.access > script[src$=\\\"/show_ads.js\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\"#sidebar-in2 > div.contents > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"#sidebar-in2 > h3\",\"tasks\":[[\"has-text\",\"/広告|PAKUTASO/\"]]}"],["{\"selector\":\"#amazonSelector\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"#wrapAmazon\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".MuiCard-root > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".l-aside-item-inner > ul.l-aside-prlist\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[style=\\\"margin-left: -4px;\\\"] > a.auto[href*=\\\"/Ads\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#side > div.mb-4.p-3 div.global-ad-info\",\"tasks\":[[\"upward\",\".p-3\"]]}"],["{\"selector\":\"#main_contents > .content\",\"tasks\":[[\"has\",{\"selector\":\"> h3.plg_header\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}]]}","{\"selector\":\"#sidemenu > .sidemenu_content\",\"tasks\":[[\"has\",{\"selector\":\"> h3.plg_header\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}]]}"],["{\"selector\":\"div[class^=\\\"banner\\\"] > a:not([href*=\\\"://www.ja\\\"])\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".prBanner > ul > li > ins.adsbygoogle\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"#_popIn_recommend ul._popIn_infinite_page > li > a._popIn_recommend_article_ad\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".sidetitlebody > div.sidetitle\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}"],["{\"selector\":\"._popIn_infinite_page > a._popIn_recommend_article_ad_reserved\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".col-xs-3[class$=\\\"tColumn\\\"] > ul > li > div.panel-default > div.panel-heading\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}"],["{\"selector\":\"#mainvisual-column div.slick-slide:has(> script)\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".article-triple > div[id^=\\\"pc_pol_woman_recommend\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"main > .homepage\",\"action\":[\"style\",\"margin-top: 0px !important;\"],\"tasks\":[[\"not\",{\"selector\":\"\",\"tasks\":[[\"matches-css\",{\"name\":\"max-width\",\"value\":\"^1150px$\"}]]}]]}"],["{\"selector\":\"article > div > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"a[name=\\\"\\\"] + h2.title\",\"tasks\":[[\"has-text\",\"スポンサーサイト\"]]}"],["{\"selector\":\".p-newslist__item > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".contents > div.OUTBRAIN\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".contents > div.section_relation > div.uz-ny\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".plg > div > div.plugin-freearea > div.eroterest_partsv2\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"#main > table:first-child #ninja-blog-inactive\",\"tasks\":[[\"upward\",\"table\"]]}","{\"selector\":\".entryBlock #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entryBlock\"]]}","{\"selector\":\"div.EntryTitle\",\"tasks\":[[\"has\",{\"selector\":\"a[href=\\\"\\\"]\",\"tasks\":[[\"has-text\",\"[PR]\"]]}]]}"],["{\"selector\":\".EntryTitle > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".sub_box > h4\",\"tasks\":[[\"has-text\",\"/^広告$/\"]]}"],["{\"selector\":\".pt-10 > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".section > h3\",\"tasks\":[[\"has-text\",\"今、あなたにおすすめの記事\"]]}"],["{\"selector\":\"#srdk-in-article-related-pc\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"li > .p0[href^=\\\"https://amzn.to\\\"][title=\\\"Amazonを新しいタブで開く\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".list-recommend > h2\",\"tasks\":[[\"has\",{\"selector\":\"> span.line\",\"tasks\":[[\"has-text\",\"おすすめ情報\"]]}]]}"],["{\"selector\":\".section > div > div[class^=\\\"col-\\\"] > div[id^=\\\"div-gpt-ad\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".section > div[id^=\\\"div-gpt-ad\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[class^=\\\"css-\\\"] > div:not([class]) > ins.adsbygoogle\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".sidebarcontents > div.pr\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#slider_list span.title-text\",\"tasks\":[[\"has-text\",\"おすすめPR\"],[\"upward\",\"#slider_list\"]]}"],["{\"selector\":\".news_list > li > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".heightLine-4 > div#pc-tmall-gamelist-gamelist\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#pickup-box > article div.ad-ranking\",\"tasks\":[[\"upward\",\"article\"]]}"],["{\"selector\":\"table[width=\\\"446\\\"] > tbody > tr\",\"tasks\":[[\"has-text\",\"セックスライフ必需品\"]]}"],["{\"selector\":\".vjs-text-track-display > div\",\"action\":[\"style\",\"background: none !important;\"],\"tasks\":[[\"matches-css\",{\"name\":\"background-color\",\"value\":\"^rgb\\\\(0, 0, 0\\\\)$\"}]]}"],["{\"selector\":\".entry-content > p > a[href^=\\\"//af.moshimo.com\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".together-posts > li > div[id^=\\\"logly-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#right_menu > h1:first-child\",\"tasks\":[[\"has-text\",\"/^Information$/\"]]}","{\"selector\":\"#wiki_menu.left_side > h2:only-of-type\",\"tasks\":[[\"has-text\",\"/^管理者のススメ$/\"]]}","{\"selector\":\"#wiki_menu.left_side > p > a[href^=\\\"http://www.sekaimon.com/\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"#wiki_menu.left_side > p > a[href^=\\\"https://www.amazon.co.jp/gp/\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"#wiki_menu.left_side > p > a[href^=\\\"https://www.powera.com/\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".sidebar > p > a[href^=\\\"https://www.amazon.co.jp/ref=assoc_\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#text2 > p + p + p\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\"#mybox > ul > li > div.textwidget > ins.adsbygoogle\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".hentry > aside > script + div\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}","{\"selector\":\".kizi-under-box > div.textwidget > p\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\".plugin-memo > div.side > div > a[href^=\\\"https://www.e-nls.com/access.php\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".plugin-memo > div.side > div > script[src^=\\\"//p.permalink-system.com\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".clickable-sentence iframe[src^=\\\"https://rcm-fe.\\\"]\",\"tasks\":[[\"upward\",\".clickable-sentence\"]]}","{\"selector\":\".side-component a[href^=\\\"https://www.amazon.co.jp/\\\"]\",\"tasks\":[[\"upward\",\".side-component\"]]}"],["{\"selector\":\".c-search-item > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".widget_custom_html > div > div[id^=\\\"jp_crv_\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"ul[class^=\\\"list-comic-\\\"] > li > div.native-ad-wrap\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#left > h3:first-child\",\"tasks\":[[\"has-text\",\"[PR 広告]\"]]}"],["{\"selector\":\".st-Related_Title\",\"tasks\":[[\"has-text\",\"おすすめ画像メーカー\"]]}"],["{\"selector\":\".blockContainer > div[id^=\\\"logly-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[class$=\\\"-block\\\"] > div.m-ad-rectangle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".plugin-memo > div.side > script[src^=\\\"//static.criteo.net\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".nend_text_ad\",\"tasks\":[[\"upward\",\"li\"]]}"],["{\"selector\":\".archive__item > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#more > b\",\"tasks\":[[\"not\",{\"selector\":\"\",\"tasks\":[[\"has-text\",\"まとめもり～\"]]}]]}"],["{\"selector\":\"#EntryBlock > .EntryTextBox #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".EntryTextBox\"]]}","{\"selector\":\"#EntryListBlock > article #ninja-blog-inactive\",\"tasks\":[[\"upward\",\"article\"]]}"],["{\"selector\":\"#site-box #d-box + div > font\",\"tasks\":[[\"has-text\",\"/^スポンサーリンク$/\"]]}","{\"selector\":\"#site-box > #b-box > div > font\",\"tasks\":[[\"has-text\",\"/^スポンサーリンク$/\"]]}","{\"selector\":\"table[summary] > tbody > tr[align=\\\"left\\\"][bgcolor]\",\"tasks\":[[\"has\",{\"selector\":\"> td > font\",\"tasks\":[[\"has-text\",\"/^スポンサーリンク$/\"]]}]]}"],["{\"selector\":\".posts-under-1 > div.execphpwidget > div.idname\",\"tasks\":[[\"has-text\",\"【PR】\"]]}"],["{\"selector\":\".ranklist table:not([class]) > tbody > tr > td[colspan=\\\"3\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".col-lg-4 > .p-t-1\",\"tasks\":[[\"has\",{\"selector\":\"> h5\",\"tasks\":[[\"has-text\",\"広告\"]]}]]}"],["{\"selector\":\"#MainBlock > div > div > #ninja-blog-inactive\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".column > div.card > div.adv\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".footer_ranking_wrap > div.osusume_av_wrapper\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".blockAreaMainFooter > div.blockWrapper > div.blockBody > div.eroterest_partsv2\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".blockAreaMainMiddle > div.blockWrapper > .blockBody > h2 + div[style=\\\"padding:10px;\\\"] > a[href^=\\\"https://al.dmm.co.jp\\\"][target=\\\"_blank\\\"] > img[style=\\\"border-radius:15px;border:5px solid #dedede;\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".blockSide > div.blockWrapper > div > div[class$=\\\"eroterest_partsv2\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".blockSide > div.blockWrapper > div.blockBody > center > ins.dmm-widget-placement\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".blockSide > div.blockWrapper > div.blockBody > div > a[href^=\\\"https://click.duga.jp\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".widget_text > div.textwidget > div.eroterest_partsv2\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".widget_text > div.textwidget > p > ins.dmm-widget-placement\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".blockWrapper div[id^=\\\"mhub-\\\"]\",\"tasks\":[[\"upward\",\".blockWrapper\"]]}"],["{\"selector\":\".epad #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".epad\"]]}"],["{\"selector\":\".entry-body > center\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\".rblock > div.rad\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"div[id^=\\\"plist\\\"] > div > div[id^=\\\"div-gpt-ad\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"#extra div.sidetitle\",\"tasks\":[[\"has-text\",\"DMM\"]]}"],["{\"selector\":\".caption1\",\"tasks\":[[\"has-text\",\"関連DUGA動画\"]]}","{\"selector\":\"[class^=\\\"caption\\\"]\",\"tasks\":[[\"has-text\",\"PR\"]]}"],["{\"selector\":\".pc_only.fp_list_each > div.pc_only_ad\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".pluginWrap > div > div > a[target=\\\"_blank\\\"][rel=\\\"noopener\\\"] > img\",\"tasks\":[[\"upward\",4]]}"],["{\"selector\":\"#recommended > div > div.floatL > a > img[title^=\\\"[PR]\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".entryContents > h3\",\"tasks\":[[\"has-text\",\"おすすめ記事\"]]}"],["{\"selector\":\".classic-text-widget > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".bottombox > div > span[class=\\\"accent\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".sentence > p + div.width75\",\"tasks\":[[\"has\",{\"selector\":\"> div[align=\\\"center\\\"]\",\"tasks\":[[\"has-text\",\"/^スポンサード リンク$/\"]]}]]}"],["{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/^\\\\/$/\"],[\"spath\",\"section > div.card > div.date span.catab\"],[\"has-text\",\"広告\"],[\"upward\",\"section\"]]}"],["{\"selector\":\".cst > div.inNews > div.flex > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".plugin-memo > div.side div.ad-center\",\"tasks\":[[\"upward\",\".plugin-memo\"]]}"],["{\"selector\":\"div > center\",\"tasks\":[[\"has-text\",\"Sponsored Link\"]]}"],["{\"selector\":\".plugin_item ins.adsbygoogle\",\"tasks\":[[\"upward\",\".plugin_item\"]]}"],["{\"selector\":\".plugin-memo > div.side > div > script[src$=\\\"/rakuten_widget.js\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".plg_area > h2.plg_title\",\"tasks\":[[\"has-text\",\"スポンサー\"],[\"upward\",1]]}"],["{\"selector\":\".ta-c > b > font[size=\\\"+1\\\"]\",\"tasks\":[[\"has-text\",\"PCMAX\"]]}","{\"selector\":\".ta-c > font[size=\\\"+1\\\"] > b\",\"tasks\":[[\"has-text\",\"/バイアグラ|日本最大級の会員/\"]]}","{\"selector\":\".ta-c > form > font[size=\\\"+1\\\"] > b\",\"tasks\":[[\"has-text\",\"/会員数|ハッピーメール/\"]]}"],["{\"selector\":\".l-contents > div > div.p-ad\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".type_button > a[target=\\\"_blank\\\"]\",\"tasks\":[[\"not\",{\"selector\":\"\",\"tasks\":[[\"has-text\",\"読む\"]]}]]}"],["{\"selector\":\".entry[data-type=\\\"space\\\"] script[src^=\\\"https://img.ad-nex.com/\\\"]\",\"tasks\":[[\"upward\",\".entry\"]]}"],["{\"selector\":\"a[id^=\\\"Type\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".menu_div > center > ins.contents_ad_main\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"#content > p\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\"#text-2 > div.textwidget > p > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"aside > div.plugin-memo\",\"tasks\":[[\"has\",{\"selector\":\"> div.sidetitlebody > div.sidetitle\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}]]}"],["{\"selector\":\".entry #SPREAD_VIDEO_PLAYER\",\"tasks\":[[\"upward\",\".entry\"]]}"],["{\"selector\":\"#dmm_ranking_pc_more ~ h2\",\"tasks\":[[\"has-text\",\"ランキング\"]]}"],["{\"selector\":\".-freeArea ins.adsbygoogle\",\"tasks\":[[\"upward\",\".-freeArea\"]]}"],["{\"selector\":\".hidden-sm > p > a[data-target=\\\"#adModal\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".side--right > section.module--free\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\".article__bottom__container > div.article__bottom__ad__container\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".module--free > center > a[href^=\\\"https://prf.hn\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".module--free > center > script[src*=\\\"//adm.shinobi.jp\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".module--free > center > script[src*=\\\"i-mobile.co.jp\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"#links > div.sidetitle\",\"tasks\":[[\"has-text\",\"注目\"]]}"],["{\"selector\":\".module--free h3.module__heading\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\".jbbsCustomHeader > table[width=\\\"95%\\\"] #tokuwari\",\"tasks\":[[\"upward\",\"table[width=\\\"95%\\\"]\"]]}","{\"selector\":\".jbbsCustomHeader > table[width=\\\"95%\\\"] a[href=\\\"http://wiki.livedoor.jp/fuzokuwiki/\\\"]\",\"tasks\":[[\"upward\",\"table[width=\\\"95%\\\"]\"]]}","{\"selector\":\".jbbsCustomHeader > table[width=\\\"95%\\\"] td > a[href^=\\\"http://seesaawiki.\\\"]\",\"tasks\":[[\"upward\",\"table[width=\\\"95%\\\"]\"]]}"],["{\"selector\":\".entrys #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entrys\"]]}"],["{\"selector\":\"#sitemap_right > div.ul_main > h3\",\"tasks\":[[\"has-text\",\"ADリンク\"],[\"upward\",1]]}"],["{\"selector\":\".entry-content > center > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".genre > ul > li.pr\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"p.text-center.caption\",\"tasks\":[[\"has-text\",\"/^スポンサーリンク/\"]]}"],["{\"selector\":\".art_li[style^=\\\"width\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".contents_title > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".entry_foot > a[title=\\\"[PR]の記事トップへ\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".entry_main #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".entry_main\"]]}","{\"selector\":\".entry_state > a[href=\\\"\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#EntryBlock > .w1 #ninja-blog-inactive\",\"tasks\":[[\"upward\",\".w1\"]]}"],["{\"selector\":\".archive-entry > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".entry-content > p[style=\\\"text-align: center;\\\"]\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\"#rank li > iframe[src^=\\\"/ad_frame.\\\"]\",\"tasks\":[[\"upward\",\"li\"]]}"],["{\"selector\":\".box-onetag-rec\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#secondary > div.widget_text a[href^=\\\"https://al.dmm.com/\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"#secondary > div.widget_text a[href^=\\\"https://amzn\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".SimpleBox > p[style^=\\\"padding-left:\\\"] > a[href]\",\"tasks\":[[\"has-text\",\"[PR]\"]]}"],["{\"selector\":\".newslist__item > div[id^=\\\"div-gpt-\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"article > a[href^=\\\"https://al.dmm.co.jp\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"aside > h3\",\"tasks\":[[\"has-text\",\"Rapidgator\"],[\"spath\",\" + div.custom-html-widget\"]]}","{\"selector\":\"aside > h3\",\"tasks\":[[\"has-text\",\"Rapidgator\"]]}"],["{\"selector\":\"#log-1[colspan=\\\"2\\\"]\",\"tasks\":[[\"has-text\",\"スポンサードリンク\"]]}","{\"selector\":\"body > div:not([style]) > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"div[style=\\\"margin-left:175px;zoom:1;\\\"] > div[style=\\\"margin-top:10px;\\\"]\",\"tasks\":[[\"has-text\",\"/^スポンサードリンク$/\"]]}"],["{\"selector\":\".bigpickupin > a[href^=\\\"https://www.dmm.co.jp\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".elementor-heading-title\",\"tasks\":[[\"has-text\",\"Sponsored Links\"]]}"],["{\"selector\":\"font > table > tbody > tr\",\"tasks\":[[\"has\",{\"selector\":\"> td[align] > font\",\"tasks\":[[\"has-text\",\"/^\\\\(PR\\\\)$/\"]]}]]}"],["{\"selector\":\"table[width=\\\"780\\\"] > tbody > tr > td[height][bgcolor=\\\"#ff0080\\\"][align=\\\"center\\\"] > font\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"#box2-inner > .hatena-module-html\",\"tasks\":[[\"has-text\",\"スポンサーリンク\"]]}"],["{\"selector\":\"div.center[style=\\\"margin-top:20px;min-height:167px;\\\"] > ins.adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"p a[href^=\\\"//ck.jp.ap.\\\"]\",\"tasks\":[[\"upward\",\"p\"]]}","{\"selector\":\"p a[href^=\\\"https://px.\\\"]\",\"tasks\":[[\"upward\",\"p\"]]}"],["{\"selector\":\".entry-content > p:nth-of-type(2) > a:first-of-type > img\",\"tasks\":[[\"xpath\",\"//div[contains(@class, \\\"entry-content \\\")]//a[@target=\\\"_blank\\\" and contains(@rel, \\\"noopener\\\") and not(@href=ancestor::div[contains(@class, \\\"entry-content \\\")]/p[2]/a[1]/@href)]/img\"]]}"],["{\"selector\":\".home-h\",\"tasks\":[[\"has-text\",\"ライブ配信中\"]]}"],["{\"selector\":\".c-article-footer-title\",\"tasks\":[[\"has-text\",\"/^関連(記事|動画)/\"]]}"],["{\"selector\":\".grid > div[id^=\\\"div_fam_async_\\\"]\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",1]]}","{\"selector\":\"li.large.grid\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".container > div.sub-content > div[align=\\\"center\\\"]\",\"tasks\":[[\"has-text\",\"/^- PR -$/\"]]}"],["{\"selector\":\".widget_st_custom_html_widget > div > div.adsense-wrapper\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".menu_underh2\",\"tasks\":[[\"has-text\",\"PCMAX\"]]}"],["{\"selector\":\".entry > h3\",\"tasks\":[[\"has-text\",\"こちらの記事も\"]]}"]];

const hostnamesMap = new Map([["gokkun.biz",[0,1]],["otokonoko.biz",[0,1]],["petanko.biz",[0,1]],["anarumama.com",[0,1]],["aokanmama.com",[0,1]],["ashikosu.com",[0,1]],["bata-wagina.com",[0,1]],["carsexspot.com",0],["chikubi-mu.com",[0,1]],["girikoki.com",[0,1]],["lesbianmama.com",[0,1]],["mazomenzu.com",[0,1]],["miwakunotango.com",[0,1]],["nanpamama.com",[0,1]],["ninshinmama.com",[0,1]],["nosemania.com",[0,1]],["pakomanmama.com",[0,1]],["panchirarizumu.com",[0,1]],["passion-passion.com",0],["peepspider.com",[0,1]],["pisuton.com",[0,1]],["sadomazomama.com",[0,1]],["sukatoromama.com",[0,1]],["taitsukingu.com",[0,1]],["tsubahaki.com",[0,1]],["worldporuno.com",[0,1]],["blackgal.net",[0,1]],["boindoru.net",[0,1]],["dadamore.net",[0,1]],["ero-outdoor.net",0],["erocampus.net",[0,1]],["gerorian.net",[0,1]],["hamemama.net",0],["hipup.net",[0,1]],["kochokocho.net",[0,1]],["muchimuchimama.net",[0,1]],["meisaku.org",[0,1]],["kagua.biz",2],["livedoor.biz",[3,4,5,6]],["2chcopipe.com",[3,26]],["eroduma.com",3],["itaishinja.com",[3,161]],["news109.com",3],["blog.jp",[3,4,5,14,17,26,33,222,225,246,304,305,306,307,308]],["blog.livedoor.jp",[3,4,5,6,14,16,17,33,222,225,246,304,306,307,308,368,370,407,408,418,419]],["2chblog.jp",[4,5,177,292]],["doorblog.jp",[4,5,14,17,33,222,246,308,368,369,370]],["youblog.jp",[4,16,304,370,491]],["livedoor.blog",[5,14,15,16,17]],["akb48matomemory.com",5],["kitizawa.com",5],["news-buzz1.com",5],["oumaga-times.com",5],["paranormal-ch.com",[5,177]],["shuraba-matome.com",5],["blogo.jp",5],["ldblog.jp",[5,17,33,246,308,406,407,408]],["vipnews.jp",5],["kyousoku.net",5],["akb48taimuzu.livedoor.biz",7],["michaelsan.livedoor.biz",8],["namaeuranai.biz",9],["asobu.blog",10],["betweenjpandkr.blog",11],["lifematome.blog",12],["happy-news-style.com",12],["japan-hentai.com",12],["31012.jp",12],["lionmaru.blog",13],["moetataiken.com",[16,199]],["nadarenews.com",[16,177]],["syurabahazard.com",[17,222]],["valorantchannel.livedoor.blog",18],["jetstream.bz",19],["miyachan.cc",20],["niiblo.jp",20],["tamaliver.jp",[20,118]],["osakazine.net",[20,541]],["ti-da.net",20],["sekisei.click",21],["yaamjw.click",22],["anime-festa.com",[22,38,39]],["anime-report.com",[22,38,43,44]],["anime-voice.com",[22,38,39,45]],["animegoe.com",[22,38,39,40,46]],["bangofan.com",[22,38,59,60,61]],["bijual.com",[22,38,41,42,64]],["blog-fps.com",[22,38,40]],["cosplay-festa.com",[22,38,46]],["cosplay-navi.com",[22,38,40,69]],["cosplay-report.com",[22,46]],["game-ss.com",[22,38,128]],["iku4.com",[22,38]],["kakuren-bo.com",[22,38,42,170]],["ko-me.com",[22,38,40,42]],["koushijima.com",[22,38,40,42,46,88,141]],["living-myself.com",22],["mamagoto.com",[22,38,42,59,60]],["mangalog.com",[22,38,39,42,69,141,193]],["mmo-fps.com",[22,38,40,42,45,46,60,61,198]],["ms-inst.com",22],["pazru.com",[22,38,42,227]],["sankuzushi.com",[22,38,40,46,88,240]],["satsumablog.com",[22,38,40,41,42,45,88,141,155,207,213,241]],["sugo-roku.com",[22,38,42,69]],["tyoshublog.com",[22,38,40,46]],["ya-gasuri.com",[22,38,60,61,213]],["blog.shinobi.jp",[22,38,39,42,59,60,128,171,198,207,239,276,468,469]],["99ing.net",[22,38,39,42,504]],["anime-japan.net",[22,38,67]],["anime-movie.net",[22,38,39,40,67]],["anime-navi.net",[22,38,40]],["anime-ranking.net",[22,141]],["animech.net",[22,40,213]],["cos-mania.net",[22,38]],["cosplay-japan.net",[22,40,44]],["fukuwarai.net",[22,38,45,239,469]],["gjgd.net",[22,38,42,69,88,128,141,155,241]],["gjpw.net",[22,38,45,67,141]],["go-th.net",[22,42,141]],["kai-seki.net",[22,38,40,42,46,59,60]],["ky-3.net",[22,38,42,88]],["mangadou.net",[22,38,40]],["ni-3.net",[22,38,42]],["o-oi.net",[22,38,42]],["p-kin.net",[22,38,39,40,46,64,67]],["yamatoblog.net",[22,38,67,88]],["eroangle.club",23],["amaebi.co",24],["2ch-mma.com",25],["afo-news.com",25],["newsnow-2ch.com",25],["besttrendnews.net",25],["konowaro.net",25],["matometatta-news.net",[25,535]],["news-choice.net",25],["news-three-stars.net",25],["blog.2nt.com",[27,28,29]],["blog.fc2.com",[27,29,103,104,105,106]],["sennenaigis.jp",[29,106]],["nikonikona.blog.2nt.com",30],["ac-illust.com",31],["akb48rompen.com",[32,33]],["burusoku-vip.com",33],["crx7601.com",[33,84]],["squallchannel.com",33],["taikankyohou.com",33],["tsuisoku.com",33],["baseballstats2011.jp",33],["dreamlog.jp",[33,307]],["gootore.xyz",33],["akiba-souken.com",34],["angel-bbs.com",35],["anihatsu.com",36],["animanch.com",37],["anime-cosplay.com",[38,39,40,41]],["anime-life.com",[38,40,42]],["bangalog.com",[38,40,41,42,45,58]],["blog-mmo.com",[38,42,67,68]],["blog-rpg.com",[38,42,69]],["blog-sim.com",[38,44,46,70]],["coelacanth108.com",38],["cos-live.com",[38,40,46,64]],["dankanoko.com",[38,40,42,46,59,60]],["darumasangakoronda.com",[38,45,85]],["dou-jin.com",[38,88]],["en-grey.com",[38,42]],["escapepower.com",38],["futatsutomoe.com",[38,41,42,45,126]],["gg-blog.com",[38,42]],["guhaw.com",[38,42,69,141]],["iga-log.com",[38,155,156]],["indiesj.com",[38,39,41,42,64]],["kagome-kagome.com",[38,40,141]],["kamakurablog.com",[38,42,44,64,171]],["kazamidori-o.com",38],["komochijima.com",[38,40,45]],["kurofuku.com",[38,40,42,184]],["manga-cosplay.com",[38,39,85]],["misujitate.com",[38,40]],["moe-cosplay.com",[38,40,45]],["nari-kiri.com",[38,40,42,45,46,67,207]],["ni-moe.com",[38,46,88,213]],["no-mania.com",[38,39,40]],["or-hell.com",[38,41,42,69,141]],["outisigoto.com",38],["ria10.com",[38,42,60,61,69]],["sekigaharablog.com",[38,39,45]],["tosalog.com",[38,213]],["tou3.com",[38,40,45,69]],["tsuyushiba.com",[38,39,42,58,213]],["visualfan.com",[38,39,40,42]],["wa-syo-ku.com",[38,40,42,45,46,213,264]],["yotsumeyui.com",[38,39,42,46,275,276]],["zoku-sei.com",[38,42,45,69,155,280]],["11songs.info",38],["ginoushi.jp",38],["3rin.net",[38,42,88,155]],["7narabe.net",[38,69,275]],["asukablog.net",[38,42,45,509]],["atgj.net",[38,46,59,60,85,141]],["cooklog.net",[38,45,60,61,69,515]],["coslife.net",[38,40,213,241]],["edoblog.net",[38,39,42,59,60,88]],["game-waza.net",[38,40,42,141]],["hyakunin-isshu.net",[38,40,42]],["ichi-matsu.net",[38,42]],["janken-pon.net",[38,40,45,67,88,213]],["kuizu.net",[38,40,42,59,60,69]],["kyotolog.net",[38,39,213]],["omaww.net",[38,39,42,88]],["sakeblog.net",[38,39,40,42,141,239,275,469]],["side-story.net",[38,141]],["syoyu.net",[38,141]],["take-uma.net",[38,39,40,551]],["blog.tkooler.net",38],["v-kei.net",[38,42,67,141,557]],["visualshoxx.net",[38,40,59,60,141,558]],["kimamana-theater.info",42],["b0ne.me",42],["totheworld.net",42],["akashicdesign.org",42],["asahi.com",47],["4years.asahi.com",48],["nakamaaru.asahi.com",49],["sippo.asahi.com",50],["asiatravelnote.com",51],["astage-ent.com",52],["at-s.com",53],["athleterecipe.com",54],["aucfree.com",55],["avgle.com",56],["backsi.com",57],["baraero.com",62],["bengo4.com",63],["bipblog.com",65],["biteki.com",66],["mikado-koubou.com",67],["minaminumaebi.blogmimi.com",71],["blogspot.com",72],["bokuslog.com",73],["bukidobi.com",74],["tennimuhou.com",74],["texal.jp",74],["butti15.com",75],["fragrantica-japan.com",75],["gadgerba.com",75],["taisy0.com",75],["complesso.jp",75],["nilcollection.net",75],["xn--zcka7aza6gyb9jd.net",75],["disney-fun.xyz",75],["casabrutus.com",76],["chansoku.com",77],["chaos2ch.com",78],["otakomu.jp",[78,457]],["chiebiyori.com",79],["cidresweet.com",79],["coco2i.com",79],["favoriteslibrary-books.com",79],["753ya.net",79],["gowomengo.press",79],["cnmi-dfw.com",80],["paipan-holic.com",80],["connecnect.com",81],["cookpad.com",82],["cosmopolitan.com",83],["elle.com",83],["esquire.com",83],["harpersbazaar.com",83],["womenshealthmag.com",83],["25ans.jp",83],["ellegirl.jp",83],["fujingaho.jp",83],["designstoriesinc.com",86],["dietnavi.com",87],["douga-getter.com",89],["e-kodate.com",90],["ear-phone-review.com",91],["anime.eiga.com",92],["elog-ch.com",93],["enrichoneslife.com",94],["entameclip.com",[95,96]],["shareblog.info",95],["4k8ktv.jp",95],["erokolky.com",97],["erologz.com",98],["f1jouhou2.com",99],["famitsu.com",100],["fashionsnap.com",101],["fc1adult.com",102],["blog19.fc2.com",[104,112]],["blog31.fc2.com",104],["blog55.fc2.com",[105,106]],["pandora11.com",106],["channelz.blog.fc2.com",107],["nmbschedule.blog.fc2.com",108],["blog103.fc2.com",109],["workingnews.blog117.fc2.com",110],["blog120.fc2.com",111],["blog47.fc2.com",113],["blog94.fc2.com",114],["contents.fc2.com",115],["femimatsu.com",116],["ff14hikasensokuhou.com",117],["ffsagami.com",118],["fightingirl.com",119],["financial-field.com",120],["fnjpnews.com",121],["xn--mck5e585m.com",121],["football-2ch.com",122],["forestofbreast.com",123],["formula1-data.com",124],["futabagumi.com",125],["gadget2ch.com",127],["geartics.com",129],["geinoujam.com",130],["gekimatosoku.com",131],["gfoodd.com",132],["gemmed.ghc-j.com",133],["ghibli-tosidensetu.com",134],["gmo-animation.com",135],["go2senkyo.com",136],["goal.com",137],["golfsapuri.com",138],["gosyuinsanpo.com",139],["gotrip.jp",139],["gpc-check.com",140],["mogtas.net",141],["hadakanonude.com",142],["haijin-boys.com",143],["hatenablog.com",[144,145,146,147]],["hatenadiary.com",[144,146,147]],["kobonemi.com",[144,145]],["longamerikastock.com",144],["hateblo.jp",[144,146,147]],["hatenablog.jp",[144,146,147]],["hatenadiary.jp",[144,146,147]],["kansou-blog.jp",144],["blog.wanichan.net",144],["yoima2.hatenablog.com",147],["hayamimi-gunpla.com",[148,149]],["hayamimi-hobby.com",149],["hikak.com",150],["shindans.com",150],["zengin.ajtw.net",150],["zyuken.net",[150,564]],["hikaritube.com",151],["poyopara.com",151],["sugirl.info",151],["iqoo.me",151],["erry.one",151],["hitoikigame.com",152],["hlsloader.com",153],["i2chmeijin.com",154],["inutomo11.com",157],["kidan-m.com",157],["irasutoya.com",158],["irodorich.com",159],["itainews.com",160],["sutekinakijo.com",160],["ebitsu.net",160],["its-mo.com",162],["iyuto.com",163],["j-cast.com",164],["jisaka.com",165],["jishin-yogen.com",166],["jpstreamer.com",167],["tanweb.net",167],["originalnew.org",167],["kaigainoomaera.com",168],["kakaku.com",169],["kandatasokuho.com",172],["kanjitisiki.com",173],["kashi-mo.com",174],["kichikuou.com",175],["kijomatomelog.com",176],["kijyokatu.com",177],["kijyomatome-ch.com",177],["kijyomita.com",178],["kodate-ru.com",179],["sumu-log.com",179],["kokuhakutaiken.com",180],["netoraretaiken.com",[180,209]],["koro-pokemon.com",181],["pente.koro-pokemon.com",182],["kosoch.com",183],["kuroyonhon.com",185],["laboradian.com",186],["life-gogo.com",[187,188]],["zatsubitown.com",[188,277]],["news.livedoor.com",189],["lyrical-nonsense.com",190],["m4ex.com",191],["majikichi.com",192],["matomeantena.com",194],["matomecup.com",195],["medibang.com",196],["mildch.com",197],["moeyo.com",200],["moyugenn.com",201],["mukakin-blog.com",202],["musenboya.com",203],["namaxchang.com",204],["gossip1.net",204],["nan-net.com",205],["comic.nan-net.com",206],["netamesi.com",208],["newmatoan.com",210],["news-boaters.com",211],["newsee-media.com",212],["news.nifty.com",214],["nijifeti.com",215],["nijimoemoe.com",216],["xtech.nikkei.com",217],["nukeruerodouga.com",218],["shiroino.com",218],["nuki-dokoro.com",219],["onepiece-log.com",220],["onihimechan.com",[221,222]],["yagov30.com",222],["keyakizaka46matomemory.net",[222,503]],["openloadpro.com",223],["jav.direct",223],["asmr18.fans",223],["oreteki-design.com",224],["pachinkolist.com",225],["patanouchi.com",226],["peko-step.com",228],["photo-ac.com",229],["picb2.com",230],["pokemasujikaku.com",231],["ppvdatabank.com",232],["purelovers.com",233],["puzzle-ch.com",234],["qiita.com",235],["rastaneko-blog.com",236],["raw19.com",237],["ronsoku.com",238],["ryorika.com",239],["scienceplus2ch.com",242],["seikatsu-hyakka.com",243],["setusoku.com",244],["simtaro.com",245],["ske48matoeme.com",246],["soco-st.com",247],["solodc2017.com",248],["splatoon-torikara.com",249],["stats-japan.com",250],["sumomo-ch.com",251],["suzukikenichi.com",252],["taittsuu.com",253],["tekoki-fuzoku-joho.com",254],["thedigestweb.com",255],["togetter.com",256],["tokai-tv.com",257],["toremaga.com",258],["sp.uta-net.com",259],["otonasalone.jp",[259,458]],["uta5.com",260],["utamap.com",261],["viet-jo.com",262],["w-higa.com",263],["warotanikki.com",265],["scp-jp.wikidot.com",266],["wws-channel.com",267],["xn--icktho51ho02a0dc.com",268],["xn--l8j1bc5qvlge4c1402b4ha377l2f3cvvyd.com",269],["xn--u9j3iub5080abs7bxbc.com",270],["xn--w8jtkjf8c570x.com",271],["yamareco.com",272],["yaruo18book.com",273],["yosakoimatsuri.com",274],["zch-vip.com",278],["japan.zdnet.com",279],["zuuonline.com",281],["eegg.fun",282],["opantsu.fun",283],["popjav.in",284],["dqmj.info",285],["dev.ftbucket.info",286],["hoge5ch.info",287],["wa3.i-3-i.info",288],["nijie.info",289],["npodb.info",290],["realtime-chart.info",291],["gahalog.2chblog.jp",293],["rabitsokuhou.2chblog.jp",294],["5chan.jp",295],["8mato.jp",296],["9db.jp",297],["ameba.jp",298],["ameblo.jp",299],["asajikan.jp",300],["w.atwiki.jp",301],["portal.auone.jp",302],["bestcarweb.jp",303],["asianoneta.blog.jp",309],["baynews.blog.jp",310],["eroitaiken.blog.jp",311],["kininaru-geinou-m.blog.jp",312],["seikeidouga.blog.jp",313],["sow.blog.jp",314],["buffalo.jp",315],["buzzap.jp",316],["car-me.jp",317],["news.careerconnection.jp",318],["chixi.jp",319],["cinematoday.jp",320],["cnn.co.jp",321],["daily.co.jp",322],["excite.co.jp",323],["blog.excite.co.jp",324],["exblog.jp",324],["fukuishimbun.co.jp",325],["r.gnavi.co.jp",326],["hokkaido-np.co.jp",327],["itmedia.co.jp",328],["nlab.itmedia.co.jp",329],["iwate-np.co.jp",330],["j-wave.co.jp",331],["jomo-news.co.jp",332],["kobe-np.co.jp",333],["kochinews.co.jp",334],["mapion.co.jp",335],["netmile.co.jp",336],["nishinippon.co.jp",337],["oricon.co.jp",338],["trafficnews.jp",[338,405,479]],["plaza.rakuten.co.jp",339],["pointmall.rakuten.co.jp",340],["sagatv.co.jp",341],["shimotsuke.co.jp",342],["shinmai.co.jp",343],["sponichi.co.jp",344],["mangalifewin.takeshobo.co.jp",345],["vogue.co.jp",346],["carview.yahoo.co.jp",347],["chiebukuro.yahoo.co.jp",348],["detail.chiebukuro.yahoo.co.jp",349],["finance.yahoo.co.jp",350],["jobcatalog.yahoo.co.jp",351],["mail.yahoo.co.jp",352],["search.yahoo.co.jp",353],["yakuji.co.jp",354],["yomiuri.co.jp",355],["otekomachi.yomiuri.co.jp",356],["ytv.co.jp",357],["zakzak.co.jp",358],["coinpost.jp",359],["crefan.jp",360],["curet.jp",361],["cyclowired.jp",362],["da-te.jp",363],["game-i.daa.jp",364],["deneblog.jp",365],["dokuha.jp",366],["doope.jp",367],["akankore.doorblog.jp",371],["anacap.doorblog.jp",372],["kimamamatome.doorblog.jp",373],["otakumix.doorblog.jp",374],["pokemon-goh.doorblog.jp",375],["douga100ka.jp",376],["manga100ka.jp",376],["doujinonsei.jp",377],["enuchi.jp",378],["erozon.jp",379],["esportsnewsjapan.jp",380],["favsite.jp",381],["frequ.jp",382],["fukafuka295.jp",383],["gaccom.jp",384],["gamedbs.jp",385],["gameranbu.jp",386],["grapee.jp",387],["hochi.news",[387,565]],["h1g.jp",388],["taxtax.hatenablog.jp",389],["heim.jp",390],["hibiki-radio.jp",391],["hosyusokuhou.jp",392],["hotokami.jp",393],["ibarakinews.jp",394],["jbpress.ismedia.jp",395],["jisakuhibi.jp",396],["jprime.jp",397],["jugem.jp",398],["kabushiki.jp",399],["kabutan.jp",400],["city.atsugi.kanagawa.jp",401],["kanaloco.jp",402],["kk1up.jp",403],["kurukura.jp",404],["kuruma-news.jp",405],["anicobin.ldblog.jp",409],["hattatu-matome.ldblog.jp",410],["leaked.jp",411],["city.chichibu.lg.jp",412],["city.niigata.lg.jp",413],["city.owariasahi.lg.jp",414],["pref.shimane.lg.jp",415],["libae.jp",416],["lifehacker.jp",417],["2-carat.net",[419,500]],["lnews.jp",420],["magmix.jp",421],["maidonanews.jp",422],["yorozoonews.jp",422],["mainichi.jp",423],["markezine.jp",424],["mbs.jp",425],["medicalnote.jp",426],["cc.minkabu.jp",427],["minnyuu.jp",428],["minute.jp",429],["mirrorz.jp",430],["mixi.jp",431],["moviecollection.jp",432],["woman.mynavi.jp",433],["39.benesse.ne.jp",434],["39mag.benesse.ne.jp",434],["st.benesse.ne.jp",435],["biglobe.ne.jp",436],["cinema.ne.jp",437],["eurus.dti.ne.jp",438],["free.foto.ne.jp",439],["goo.ne.jp",440],["map.goo.ne.jp",441],["oshiete.goo.ne.jp",442],["d.hatena.ne.jp",443],["iza.ne.jp",444],["japandesign.ne.jp",445],["news.merumo.ne.jp",446],["www2.odn.ne.jp",447],["yukkuri-futaba.sakura.ne.jp",448],["news.so-net.ne.jp",449],["blog.nicovideo.jp",450],["dic.nicovideo.jp",451],["nurse-senka.jp",452],["ongakumichi523.jp",453],["jacom.or.jp",454],["kankomie.or.jp",455],["topics.or.jp",456],["peta2.jp",459],["precious.jp",460],["president.jp",461],["ryukyushimpo.jp",462],["s8a.jp",463],["sagafan.jp",464],["sakigake.jp",465],["sanyonews.jp",466],["seinaruyakata.jp",467],["shipping.jp",470],["blog.skeg.jp",471],["smart-flash.jp",472],["soredoko.jp",473],["main-hrs-game.ssl-lolipop.jp",474],["tanoshiiosake.jp",475],["tap-biz.jp",476],["teller.jp",477],["thetv.jp",478],["trailrunner.jp",480],["t-mall.tsite.jp",481],["tsuiran.jp",482],["tuma.jp",483],["toukou.tv",483],["tver.jp",484],["volx.jp",485],["weekly-jitsuwa.jp",486],["wiki3.jp",487],["xn--68jza6c6j4c9e9094b.jp",488],["hoimiso.xsrv.jp",489],["xxxblog.jp",490],["yourei.jp",492],["medley.life",493],["creive.me",494],["mangalove.me",495],["blog2.mmm.me",496],["picrew.me",497],["gendai.media",498],["limo.media",499],["2ch-c.net",501],["417ena.net",502],["46matome.net",503],["all-freesoft.net",505],["ani-chat.net",506],["app-ranking.net",507],["ascii2d.net",508],["avgle.net",510],["bi-girl.net",511],["blogterest.net",512],["boshisoukan.net",513],["clublucifer.net",514],["counter-attaaack.net",516],["diamond-rm.net",517],["doucolle.net",518],["elog-ch.net",519],["fashion-press.net",520],["figsoku.net",521],["azby.fmworld.net",522],["fumumu.net",523],["pokemon.gamerstand.net",524],["gigafree.net",525],["gigazine.net",526],["news.gree.net",527],["imas-cg.net",528],["japohan.net",529],["keokeoblog.net",530],["kitimama-matome.net",531],["kokopyon.net",532],["konyoku.net",533],["lettuceclub.net",534],["mj-news.net",536],["morekorea.net",537],["namae-yurai.net",538],["nihongonosensei.net",539],["openworldnews.net",540],["sp.oshaburi.net",542],["pokemongo-kouryakumatome.net",543],["privatter.net",544],["rakukan.net",545],["renote.net",546],["seesaa.net",547],["hdata.seesaa.net",548],["jj-labo.seesaa.net",549],["jbbs.shitaraba.net",550],["amigo.tennis365.net",552],["topitane.net",553],["toyokeizai.net",554],["twiman.net",555],["twivideo.net",556],["wackwack.net",559],["wifi-kiwami.net",560],["with2.net",561],["yoheim.net",562],["zekamashi.net",563],["fevian.org",566],["jav-free.org",567],["kabegami.jpn.org",568],["loveh.org",569],["news-us.org",570],["shitagi.org",571],["bbs.shitagi.org",572],["hellokpop.site",573],["connect.coron.tech",574],["ribbon.to",575],["adult-video.tokyo",576],["doujinantena.top",577],["javmix.tv",577],["times.abema.tv",578],["nukiez.tv",579],["mineralfoundation.work",580],["nijisenmon.work",581],["jukujo-neet.xyz",582],["socom.yokohama",583]]);

const entitiesMap = new Map(undefined);

const exceptionsMap = new Map(undefined);

self.proceduralImports = self.proceduralImports || [];
self.proceduralImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
