/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: annoyances-overlays

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = [".is-blocked",".ico.close,\n[href=\"/user/profile/premium-membership\"]","#cboxOverlay","#colorbox",".GrowthUnauthPinImage > a > div[class^=\"Jea\"]:has(button[class^=\"noButtonStyles \"]),\n.Hsu.iyn.zI7:nth-of-type(2) > div > .FullPageModal__scroller,\n[data-test-giftwrap],\ndiv[class=\"Closeup__wrapper\"] > div > div[style^=\"cursor: default\"],\ndiv[class=\"GrowthUnauthPinImage__imageDim\"],\ndiv[data-test-id=\"giftWrap\"]","#js-abContainterMain",".alert-danger.alert","main.py-4 > p",".GetRewardsBlock_GetRewardsBlock__3tHaD",".yui-popup-container-node",".esub-section-wrap","#tie-newsletter-3",".t-nl-box-1",".adblock-box","#mc_embed_signup",".newsletter-subscription",".sticky_top",".newsletter",".ck-modal--newsletter-modal-wrapper,\ndiv[class^=\"NewsletterBanner_\"]",".newsletter-section-wrapper",".subscription-note-wide",".reveal-modal",".reveal-modal-bg","#newsletter",".bg-refurbed-blue",".box-emarsys",".footer__subscription","#thegapnewsletter",".ml-manual-widget-container",".outpost-pub-container","#backdrop-container,\n.EmailSignupModal__portal",".email-overlay",".focus-guest-alert",".pum",".ba-widget-namespace",".mail_signup",".modal-backdrop",".modal","#NewsletterSignUpSideHero",".subscription-modal",".bg-indigo-700",".sign-up-widget-placeholder","#adBlockMessage",".c-notification-bar",".subscribe-box",".signup_form_container","#middleSubscribe,\n.home_fixed-subscribe__JNPlW",".pm-todays-newsletter-block","._1iiWS",".subscribe_drive-subscribe-content__wrapper__H5Hu0,\n.subscribe_drive-subscribe-content__wrapper__eL0k9",".max-w-7xl","#omnisend-dynamic-container",".footerSubscribeMe",".curated-content-block__newsletter","#pop-convert-app",".subscribe-newsletter",".otp-overlay",".promo-banner",".subscribe-footer",".subscribe","a[href*=\"/newsletter\"]","#subscribe-main","#mc-embedded-subscribe-form",".shopify-section-group-popup-group","._13cnlxs2af",".newsletterForm-1Gx",".footer-block__newsletter",".subscribe-border-bottom",".ml-subscribe-form",".gform_widget",".signup","#newsletterForm",".newsletter_container",".ow-signup",".widget_infusionsoft",".ff-63da3514de520bd60dc34604","#visitor-notice","#footer-collect-emails",".newsletter-form-wrapper",".block-wrap-mailing,\n.subscribe-wrap",".qe-news--inline",".emthemesModez-footer-topColumns-wrapper",".offYourDial",".l-footer-join","#newsletter-form","#subForm,\n.cm-form-container","#_lpSurveyPopover",".newsletter-container",".footer-top",".popup_overlay",".newsletter-style-4,\n.spy-newsletter",".enews-quick","#custom_html-3",".vc_single_image-wrapper,\n.vc_wp_text",".js-footer-email-capture","#catalogueDrawer,\n.drawerTitleTextWrapper","#interstitial",".border-years,\n.sign-up-form-latest,\n.signup-box-container",".slide-in-from-bottom","div[class*=\"StyledFormContainer\"]",".sidebar-sticky--briefing",".panel--subscribe","#emailPopUpModal",".Newsletter",".emailReengagement",".b-sideSub",".subscribe-callout",".InlineSubscribe_inlineSubscribe__Yc5sT",".SiteFooter_signup",".warning",".js-blocknwlsub","#NEWSLETTER_OCHTEND","#block-nieuwsbrief",".footer-newsletter",".cj-root","box-newsletters",".article-detail-nieuwsbrief",".floorad,\n.pane-bulweb-general-bulletinguide-block,\n.pane-bulweb-general-registration-block",".newsletter-form",".newspopup_up_bg",".subscription",".form_iscriviti",".premium-popup,\n.widget-dynamic","div.aslot","#sidebar-mailer",".gh-footer-signup",".kg-signup-card-content","._subscribeDialog_1h9fv_1,\n.intro-popup,\ndiv[class^=\"_background_1h9fv_\"]",".c-newslatter-box",".revue-embed",".catchment-box",".newsletters","script[id^=\"wccp_\"]",".form-email-container",".ad-aside,\n.im-cta",".cs-site-subscribe",".wpforms-widget",".mc-optin",".newsletter_form_amp_inner",".newsV2-assinar",".form-subscribe,\n.navigation-menu__form-create",".tec--thebrief,\n.tec--thebrief__bg,\n.tec--widget-thebrief",".jupiter-news-notice",".c-newsletter",".btn-newsletter,\n.sup-newsletter","#exit-modal-signup, #overlay-modal",".subscribeBox",".subscribeNews",".customer-gift",".footer-customer-gift,\n.gift-bag,\n.git-bag-pop",".nua-newsletter",".gfm-subscriptions-in-content",".fancybox-container",".product-details-page__ad-unit","[class^=\"newsLetterCont\"]",".block__newsletter-cta",".footer-social-share-icon__container-1","#emailCheckFooter",".accountCTA-XwarX",".footer-cta",".newsletter-signup",".current.blocker,\n.newsletter-cta-large-wrapper",".share-mailing",".bm-footer__wrapper__subscribeButton","[id^=\"smsbump-form-\"]",".react-responsive-modal-root","[data-aqa=\"widget-breaking-banner\"]",".vip-enrollment-banner",".foo-newsletter",".pp-btn-container","#insiderEmailAlert","#footerSubcribeForm",".home-subscribe",".main-footer-newsletter","#website_ticker","#newsletterSignUp",".c-newsletterSignup","#headerAd,\n.c-textSignup",".ad-container","#notification,\n.news-letter-form","#shopify-section-newsletter-popup","#hh-newsletter",".browsepopup","#newsletter-modal",".adthrive-ad,\n.send-footer,\n.slbElement","#modalSignup",".sharing","#newsletter-hub-promo-box,\n#newsletters-subscription-box-root,\n.brz_msg_wall_body,\nbody > div[style]:has(.brz_msg_wall_body)",".simpleltkmodal-container",".simpleltkmodal-overlay",".modalStyled",".__wrap__2golE.nl-signup > div > .inner,\n.single-article-text > blockquote > p",".hero-sidebar,\n.under-article-widget-nl",".wcb-md-modal,\n.wcb-md-overlay",".paragraphs-item-call-to-action","#ndms-newsletter_widget",".dialog-type-lightbox",".reveal-overlay",".promo-designer-modal",".c-newslettersticky",".subscribe-bar",".popUp-overlay",".StyledNewsletterSection-sc-67bd630a-0,\n.most-popular-newsletter-container,\n.sc-pahfbg-0.beUHeC.print\\:hidden",".newsletter-popup",".enewsSubscribeModal",".ReactModal__Overlay","#savingSignupWidget",".connect-us",".plp__newsLetterSignUp__3GXDU","#shopify-section-popups",".footer-section__newsletter_signup",".needsclick[aria-label][style]",".elementor-popup-modal",".brave_popup",".messaging-zone","._form,\n.sidebar-above-footer",".spu-bg,\n.spu-box",".b-footer_email",".email-popup__overlay",".ju_Con,\n.ju_overlay",".ara-newsletter","#nlt_signup_botton","#popup",".w-full > div[class*=\"min-h-\"]:has(> style + div > .markdown > p > a[href*=\"adblock\"]),\n[id^=\"headlessui-\"] [role=\"dialog\"]:has(.w-full > .w-full > .markdown > p > a[href=\"https://pks.raenonx.cc/en/docs/view/help/disable-adblock\"]),\ndiv[class*=\"main_announcement-animation\"]:has(> [class*=\"announcement\"] > .markdown > p > a[href$=\"/docs/view/site/ads-and-credits\"]),\ndiv[class=\"fixed bottom-0 z-anchor w-full bg-slate-500\"]:has(> div[class=\"flex flex-col w-full\"] > button.button-clickable-bg-opaque > .transform-smooth > svg),\ndiv[class^=\"grid w-full size-full grid-cols\"]:has(> div[class^=\"relative bottom-0 w-full overflow-hidden outline-transparent\"] > .absolute > .adsbygoogle)","#dh-donation-prompts-5",".in-article-sub-form",".widget_sib_subscribe_form",".NewsletterPopup",".snm-newsletter-subscription","#adnz_maxiboard_1","[class^=\"style__NewsletterPopupComponent\"]","#newsletter-flyin,\n.--is-open,\n.infobox,\n.newsletter-modal__container,\n.si-teaser--newsletter-subscription,\n.sib-form-container",".newsletter-modal","section[class^=\"NewsletterBox_\"]",".watson-snippet__newsletter",".popup",".mt-3","#mc_register_iframe,\n.rotulo-newsletter","#suscripcion,\n.mail_box",".flex.mt-20.my-10,\n.opacity-0.bg-slate-900,\n[role=\"dialog\"][id=\"radix-:rh:\"][data-state]",".nav-tools",".outpost-cta",".NLFormInsertFromCMS,\n.dZRtZo,\n.drEkmg","[class=\"md:mt-10\"]","#email-modal-container,\n#email-modal-overlay",".flex-col.flex.border-t.p-10.gap-4,\ndiv > .p-10.gap-4","#coco-newsletter-sidebar,\n#coco-subscriber-newsletter",".suscribe",".GridItem.hEYXVm.sc-39129d7e-1,\n.left-0.top-0.fixed,\n.max-w-prose",".asDecapitated",".TheFooterSignUp",".widget-ad-container","#lead_newsletter","[data-cy=\"layout-newsletter-signup\"],\n[data-ga-view-prompt=\"psyche_footer_banner_newsletter\"],\n[data-ga-view-prompt=\"psyche_midarticle_insert_newsletter_oatmeal\"],\n[data-ga-view-prompt=\"psyche_popup_rightcorner_newsletter_oatmeal\"]","#ethad",".form-simple",".md-colorbox,\n.subscribebox",".modal-container",".subscribe-panel",".footer-Newsletter-input,\n.newsletter-subscription_newsletterform__ulg8Q","#notice-root","#hs_cos_wrapper_blog_post_simple_sticky_cta,\n.blog-hustle-form-config-wrapper",".app-subscribe",".mailchimp-subscribe",".newsletter_sidebar_block",".blocked-notice-small","#sg_email",".newsletter-main-old,\n.newsletter-mini",".ui-widget-overlay",".ui-dialog[aria-describedby=\"modal-msg\"]:has(a[href$=\"/console/abo.pl\"][style^=\"text-decoration:underline\"])",".EsolEmailSubscribeWidget",".section-email-sub","#text-8",".adace-popup",".banner",".article__subscribe,\n.subscribe--sidebar",".cb-box","#BannerNewsletter_Container","#smile-ui-container",".wpcf7",".Form-wrapper",".TwoColumnContainer3070",".article-subscription-form,\n.exit-intent-popup",".custom-html-widget",".email-box,\n.hello-bar-container",".bio-lp-newsletter",".modal--content",".aside-newsletter-signup",".Shfq",".block-subscribe","#newsLetterSignup",".skl-widget",".privacy-policy-banner",".subscribe-post",".block-email",".block-inline-email",".adBlocked, .banner",".recirculationCTA",".wpforms-container",".signup-global",".in-content-house,\n.in-house","._footer_newsletter_1ecdc_1","#adm-signupbar,\n#ftr_subscribe-join,\n#hdr_sign-up",".signup-block","#global-footer-main_contact","#featured-news",".magazine__banner,\n.newsletter-overlay","#widget-newsletter","#signup-popup",".show-newsletter-container",".newsletterwrapper",".savicom-subscribe-widget",".hbspt-form","#block-2","#newsletter-popup-container, #newsletter-popup-overlay",".bannerleads","#newuser_promotion_ad",".region--trending.region,\n.sidebar-signUp-blockWrapper",".boxemail",".uabb-modal-parent-wrapper",".black-box",".subscribe-btn",".email-signup",".alg_subscribe_cont,\n.formnews",".light-box-shadow",".seva-overlay","#GeneralSaleBanner","#mailing-list","._9u2nava_713",".new-release-newsletter-promo-tile",".promo",".mntl-dialog--campaign",".r-klde5a.r-1awozwy.css-175oi2r",".block-listraksubscribe-block,\n.newsletter-incontent,\n.newsletters-signup-wrapper",".sidebar-form",".subscribe-s",".wpsta-ar-newsletter-1st-page-view",".fs-daily","#cm-embed_signup","#slidebox","#homeSignUp",".anw-subscribe","#piano-modal-backdrop,\n.sc-8051a6e6-3",".tp-container-inner",".inset-0.fixed",".js-section__promo-pop",".terrabanner",".elementor-element-36dbceb","[class] > [class] > form[class]",".swal-overlay",".ck_form_container","#articleNewsletterForm",".subcription-block",".article-subscribe-box","#form_newsletter",".c-pwa-email-signup--footer",".subscribe-div",".fancybox-overlay",".notify",".mc_embed_signup","#cb-announement-bar",".footer-block--newsletter",".tingle-modal",".channel-subscribe",".hd-promo","#jsNewsletterContainer",".ar-newsletter-tc__sheet","#nlForm,\n.dml-wrapper",".subscribe-form",".c-toaster","[class^=\"_newsletter_\"]",".techforge-subscribe-widget","#ouibounce-modal",".theme-newsletter-signup",".aom-subscribe",".c-newsletter_wrap","signup-modal-prompt-fullscreen",".newsl-suscribe__content,\n.nwl,\n.publi",".sgpb-popup-overlay",".ao-newsletter","#block-panels-mini-clone-of-sharer,\n.pane-mailchimp-signup-signup-to-our-emails","#block-13,\n#block-14,\n#block-16","#block-15",".SubtoNew_box",".wp-block-cover[style=\"padding-top:0;padding-bottom:0\"]",".atavist-mailchimp","#homepage-newsletter-component,\n.footer-subscribe,\n.js-email-ask-form,\n.js-subscription-ask-modal,\n.modal-sm-fullscreen",".newsletter-sign-up--station",".foot-newsletter","[class^=\"PopUp_\"]",".white-bkg","#NewsletterModal,\n.cta-small","#omnisend-forms-container","#mail-list-button","#newsletter-box",".modals-wrapper",".bloc-netitmail",".modal, .modal-backdrop",".news-letter","#uf-cta-beside",".footer-top-follow-us",".ms-footer_top",".alertbar",".block-newsletter","#newsletter-signup",".newsletter-section",".Modal_ctaContainer__kHYHl,\n.\\!bg-blue-core,\n.landing-page-cta,\n.right-rail-cta,\n[class*=\"StoryPageCTA_story-page-cta_\"]",".tm-desk-reg-box-wrapper,\n.tm-join-box",".infopub,\n[id^=\"adReplacement\"]",".overflow-hidden.bg-primary-orange",".overscroll-contain",".chakra-portal",".chakra-modal__content-container","#webform-submission-e-mail-popup-node-2111-form-ajax,\n.block-sign-up-for-our-email-newsletter","#shopify-section-popup",".section--newsletter",".experience-card-dialog-wrap",".banner-text","#sub-footer",".box-informed,\n.ft--stay-informed",".dimmer,\n.oneTapLoginModal","#section-newsletter-blk",".fd-modal",".for-email",".style--newsletter-signup-bottom--1Spc175x",".subscribeToOurNewsletter","[id*=\"cdm-zone\"]",".ui-dialog","#reg5-form-fon","#zephr-message,\n.zephr-overlay,\nimg[alt=\"News Daily banner\"]",".subscription-widget,\nps-subscription-module",".mw1200px.rel",".kg-signup-card","#emailSignupRoot",".becker_doubleclick","#page_triggers",".dark-gradient-bg","#fancybox-overlay","#fancybox-wrap,\n#top-alert","#subscribe",".bic-newsletter",".newsletter-header",".simple-row-signup",".email-alert-signup",".footer__mailing__right",".OPF__embedded-form",".call-to-action-container",".widget-postup-standalone-form",".beautify__newsletter",".css-mha66v-Box-Flex-StyledNewsletterLayout",".adblock",".widget-popup","[class^=\"newsletter_\"]",".votd-subscribe-form",".post-article-signup",".cta-container",".newsletterSignupGrid",".cta--subscription,\n.ctas-container",".blackOverlay",".bt-block__inner",".subscribe-win",".flyout_newsletter_center",".wp-block-ldm-blocks-call-to-action",".adace-slideup-slot-wrap",".adblock-tips",".bodysection-subscribebar",".section-subscribe",".elementor-element-2db20597",".dXWTEu,\n.gyHIup","#facebox,\n#facebox_overlay,\n.bottom-slideIn","#custom_html-7",".cta","#block-cdwregistertimedmodal,\n.hdr-top,\n.insider-register-one-form-wrapper,\n.paragraph--type--linked-image,\n.views-field-field-cta-slide-image",".cp-popup-container",".persistentcomponent",".simplemodal-container,\n.simplemodal-overlay",".CampaignFullscreen__bravoLayer",".c-signup",".newsletter-module","#tnp-modal",".newsletterwidgetminimal-6",".w21_middle-bar__newsletter",".subs-block",".journey-template--cm_footer,\n.persistent-bottom",".journey-unit__container",".subscribe-form-home",".b-newsletters",".blur.signup-gate",".overlay",".subscribe-ad__corner",".gta-link-track",".border-neutral-200.border-b.bg-white,\n.exit-modal",".m-generic-cta--email-signup",".bl-f-wrap",".subscription-section","#app-overlay","div[class^=\"newsletter\"]",".newsletter-box",".join-email-list-wrapper",".in.fade",".tve-leads-slide-i,\n.widget_mailchimpsf_widget","#simplemodal-container, #simplemodal-overlay","#simplemodal-overlay",".subscribe_div","#block-4,\n#fluentform_6,\n.five.row","#bbd_incontent",".bottom-banner","div.overlay, .bottom-banner",".bat-theme-widget-constant-contact",".newsletter-row",".subscribtion-form","#fdn-sm-NewsletterSignupWidgetSlideIn","#web-subscribe2",".guide-newsletter",".footer-info-col--newsletter",".block-email-subscribe","#modal-root",".noblock-modal",".signup-wrapper",".popup-modal",".homepage-newsletter-module,\n.inline-newsletter-signup",".inline-newsletter-form",".popup-wrapper",".nw-ns-main",".VrW.j1J,\n.card-180737953,\n.lqj,\ndiv.lqj:last-child",".in-post-recipe-save,\n.newsletter2",".bfp-newsletter-signup",".g1-popup-newsletter",".subscribe-enter-done","#pn-newsletter-signup",".woocommerce-store-notice",".lg\\:top-\\[125px\\]",".newsletter-sign-up-wrapper",".bee-page-container,\n.exit-intent-acm","#black_mask",".newsletter-for-scroll,\n.td-pb-span4.tdi_127,\n.tdi_117,\n.tdi_134.vc_column",".email-capture",".dialog,\ncars-newsletter-signup",".modal-wrap",".cta46_component",".footer-head",".bg-col-blue","#block-newsletterfooterblock,\n.block-newsletter-block",".EventPromoInline",".site-newsletter-menu",".pum-overlay[data-popmake*=\"newsletter-signup-popup\"]",".pum-overlay",".single-footer-subscribe",".subscription__content","#text-4","#newsletter_widget",".signUpWrapper","[data-cy*=\"Newsletter\"]","#eme-global-head",".newsletterSignup",".footer-email-signup",".elementor-element-648759a3",".wripper_block",".mailpoet_form",".preloaded_lightbox",".fb_lightbox-overlay","section[class^=\"inline-newsletter\"]","#newsletter-popup",".ebookbox,\n.newsletterbox",".kadence-conversion-wrap",".media-width-half,\n.signup-module","#restrict-access-model","#right-widget-d-newsletter_form_widget-17,\n#right-widget-top-newsletter_form_widget-14",".td-all-devices",".article-subscription",".newsletterSignUpBox","#custom_html-2","#nlsubscribe",".footer-sub",".conversion-module",".newsletter-block",".adblock_detector",".case_newsletter",".signup1","#sliding-popup.sliding-popup-bottom",".cdj-vip","#shopify-section-promo-pop",".loyalty-offer-overlay",".black.bg-orange-1-500.bottom-0.fixed,\n.mt6.ph2.bg-blue4",".NewsletterSignup",".gklQZJ","#sib-form",".CNBCFooter-info",".c-newsletterInlineUnit",".newsletter_deals",".bx-impress",".factbox_inline-small",".bottom-0.fixed",".subscribe__fixed",".NewsletterWrapper-JRxKg",".ticker-view",".et_pb_widget",".adsbygoogle",".signup-box",".ct-newsletter-subscribe-container",".dialog-lightbox-widget","[class^=\"article-sign-up-\"]",".Mainads,\n.Newslettershare",".aside-little_newsletter","#hs-web-interactives-top-anchor","#tncms-block-1390809",".has-light-gray-background-color","#sticky-footer-cta","#ps__widget_container",".Newsletter__NewsletterContainer-sc-1ysnx0y-0,\n.sc-2ff98d60-0",".mailpoet_form_popup_overlay",".box--teal-accent",".lcw-modal__parent",".subscribePromo",".fd-form-popup",".subscribebar",".wp-block-group__inner-container","#newsletter_signup",".e1iisoe612","[href=\"https://link.cosmosmagazine.com/JP4n\"]","#email-popup-title","#newsletter-entry-footer,\n.subscribe-tab","body > .force-to-login-popup",".wrap__newsletter",".subscribe-area","#email-subscribers",".module-newsletter",".upper",".crain-newsletter-v2-wrapper",".block-about__right,\n.block-newsletter-cta-sidebar",".block-newsletter-cta",".cb-box__wrapper-center_modal",".sgpb-popup-dialog-main-div-wrapper",".js-signup-visibility",".wp-block-cata-newsletter","#email,\n.gb-container-6d731b3a",".ad-imu-sticky","#popinCK,\n.ck-newsletter","#emailFooter",".herald-ad,\n.herald-txt-module",".footer-card-email",".tve-leads-shortcode","#cp-newsletter-block",".followit--follow-form-container","#mo_optin_widgets-2","#expanded-message,\n#ezve-inbody-newsletter-widget",".newsletter-subscription-small",".marketo-newsletter-form","#divSideNews,\n.c-box-news",".z-newsletter","#subscribe_black_box",".fancybox-is-open,\n.sidebar-section--subscribe",".news-control",".mpc-callout","#popup_box","#dc-home-tab-bar",".newsletter-button,\nfooter",".dfx-inHouseGuideBannerComponent,\n.dfx-inHouseNewsletterBanner","[class^=\"IframeNewsletter_iframe-\"],\n[class^=\"NewsletterModule_newsletter_\"]",".dk-action-embed",".EmailSignup",".mfp-bg",".mfp-wrap","#nativo_rightrail1,\n.b-modal.b-dialog",".dmn-newsletter-overlay,\n.dmnc_features-cta-newsletter-cta-newsletter-module__eQOmx,\n.dmnc_features-cta-social-cta-social-module__YgCAW",".SubscribeBannerTopicPage-Content",".newsletter-sign-up",".block-channel_subscription,\n.block-registration_prompt,\n.js-mktoFormBlock",".fit-omv2-modal",".ju_iframe",".magazine-cta",".widget-newsletter",".widget_nypost_decider_social_connect_widget",".page_footer-container_newsletter_sticky","#block-8",".abp-banner",".ContentGate_wrapper__tNtjt","div[class*=\"NewsletterSign\"]",".defia-right-rail-newsletter","journey-modal-newsletter","#mh-ext-signupemail-modal","#footer-email-sign-up-form","#promo-designer-modal-custom-pop","#tncms-region-global-container-top",".navbar-nm__n","#below-article,\n#newsletter-subscribe-div,\n#subscribe-box",".jet-popup",".form-inline","[data-cy=\"SignupWidget\"]","#dga-newsletter-cta",".footer-sub-form",".foot-login,\n.j-foot-login",".dsg-react-footer-cwu-sign-up",".gform_wrapper",".widget",".newsletter-form--article","#digg-subscribe,\n#subscribePromotion,\n.md\\:p-4.p-2.rounded-md,\n[data-cy=\"namespace-home-newsletter\"]",".khfYvn",".cta-link","[class^=\"buttonWrapper\"][tabindex=\"2\"]",".tp-modal",".tp-active.tp-backdrop","#email-signup",".o-AdhesionNotifier",".mc4wp-form","#article-sign-up,\n.bg-blue-750,\n.bg-bottom.bg-\\[length\\:100\\%_100\\%\\]","#tncms-block-529772",".widget_convertkit_form",".dib-footer-signupemail","#email-signup-template","#simple-banner,\n.widget-wrap.widget_text","#cbox",".large-footer-shot","#freetrial_popup","#totalpoll",".signup-modal",".reveal-newsletter","#shopify-section-entry-popup","#shopify-section-newsletter",".advads-background,\n.drugt-before-you-go",".subscribe__form",".badge-link--newsletter,\n.js-footer-card",".meta-info-block",".nlbox",".signin-prompt",".landing-subscribe",".copyRight-div",".NewsSubscribeLg_main__3THYS","#news-letter-pop","#ep-footer-subscribe",".c-postup-widget,\n.newsletter-window",".mailinglist","#eb-bottom-banner,\n.eb-promotions--subscribe",".cta-suscripcion,\n.mf-modal-iframe,\n.mf-modal-overlay",".article__suscribe-bottom,\n.article__suscribe-sidebar","#nlSubscriptionForm","#SMSBump-Modal",".newsletter-widget","#newsletter-register",".mfp-bg, .mfp-wrap",".site-footer",".top-news-letter-cta","#pt_dark_over",".md-subscription,\n.md-suscription",".NewsletterPopup_newsletter-popup__1pFRF",".has-newsletter,\n.popup-modal-mask",".boletin-wrapper",".w-cta.w,\n.w_tx",".btn-subscribe",".show.middle.modal,\n.show.modal-backdrop",".flujo-suscripciones",".subscription-widget-wrap","#newsletter-asset",".promo-inline",".BFm46L","#notification-bars","div[data-component=\"NewsletterCard\"]","#mambasms-forms-container",".paywall-mount","#hsNewletterFooterSub-container",".sf__newsletter-section",".side-rail-ads",".current","#block-12","#newsletter-subscribe-modal,\n.newsletter-subscribe-inline",".wixui-form",".block-et-newsletter,\n.full-bleed-newsletter",".wp-block-eugene-weekly-newsletter-signup",".subscribe-for-news",".cTopicPostArea:has(.cGuestTeaser)",".footer-top-block",".tve-leads-lightbox","#text-26",".newslattre-modal","#email_signup",".code-block-6",".optshorts","._jotform_newsletter",".swal2-container","#entWinSlideBox","#topHeaderBannerWrap,\n.solutionLeadCapture",".mail-popup,\n.wrap-subscribe",".bg-gray-100","section > .mt-8",".brx-popup","._5hn6","div[style^=\"background: none;\"]:has(#mobile_login_bar)",".f-ssw,\n.f-ssw-subscribe-hook",".catfish",".site-ftr__subscribe",".sign-up",".fd-focus-visible-applied",".g1-popup",".terror-teletype",".sub-footer-container",".featherlight",".bcToaster",".newsletter__widget","div[class^=\"signUpForm_\"]",".BMP",".jNY",".newsletter-wrapper","#articleNewsletterSignup_div",".has-quinary-background-color",".block-newsletter-share",".breaking-news-signup",".blackout",".regoverlay",".fadeIn.animated,\n.fixedBar,\n.mfp-container",".FooterSignup__SignupContainer-sc-bzm7ki-0,\n.fender-EmailSignup","#bottom-banner, #top-banner,\n.ad-placement",".node--type-embed-promo","div.black.banner","#top-anch",".card-subscribe","#subscribe-app","#subscribeButton,\n.-newsletter","#boxzilla-overlay, .boxzilla-container",".spaceball",".is-newsletter",".diverse-subscribe,\n.if-signup-sidebar","#shopify-section-signup-modal",".ft-email-box",".Subscribe",".modals-overlay,\n.popup-newsletter",".mailing-list-banner,\n.mailingListRoot",".l-newsletter","#subscribeToNewsLetters,\n.newsletter-inline-flex,\n.zephr-editorial-newsletter-backdrop,\n.zephr-editorial-newsletter-modal",".p-0.container-fluid > .mt-5",".sign-up-container",".newsletter-backdrop",".pk-subscribe-form-wrap",".fb_lightbox-overlay-fixed.fb_lightbox-overlay,\n.newsletter-signup-and-ads,\n[data-shortcode-newsletter]",".download-block,\n.hello-overlay,\n.join-section",".hello-bar",".sidebarPlea",".tp-backdrop","._1Pece,\n.guanggao_close_group",".promo-image","#text-3","#ppsPopupBgOverlay",".container-fullwidth-subscription",".kds-Modal-overlay",".lb_overlay,\n.quitifyBannerContainer",".f-block--form-text",".app-footer",".super-form","#custom_html-8",".trackingSection-modal",".wp-block-kadence-rowlayout",".grey_background","#subscribe-home","._background_1mspu_85,\n._subscribeDialog_1mspu_1",".block-cookbook",".is-style-default",".newsletter_modal",".body-overlay,\n.newsletter-sticky-bar",".spinPromo",".article__content-sign-up,\n.n-sliding-popup,\n.o-message","app-mailing",".max-w-screen-lg.w-full",".modal-overlay","[id^=\"subscribetonewsletterv2_\"]",".c-quick-subscribe",".js-nlsub","#popmechanic-snippet",".mc-signup",".TGN_site_FullOverlay","#POPUPS_ROOT","#footer-newsletter-subscribe-form","#nsltr",".floating-banner",".ldm-cta",".sub_bg","#itemz[style^=\"position:fixed; top:10px\"]",".announcement-box",".slide-up-banner",".boxzilla-container",".boxzilla-overlay",".boxzilla-slide-in-free-newsletter-2","#maillist-modal","body > div[attr=\"[object Object]\"]",".MuiModal-root",".top-footer-wrapper",".sidebar.col-md-3",".tdm-popup-modal-wrap",".w-newsletter-in_article",".cp-modal-popup-container",".form-container",".ps-curtain","#exit-intent-registration-modal,\n#sitewide-overlay",".main-overlay-container",".paragraph--type--gdn-newsletter-ii",".LbnIX",".b-footer-newsletters",".newsletter-home","#divInterstitialContainer,\n.divInterstitialBGCover",".conversion-module-nl-signup","#automizely_marketing_popup_bars",".subNewsletter",".newsletter__title-image-overlay","#modal-host","#js-subscribe-takeover",".subscribe-block-container",".subscribe-block",".module--email-cta",".sign-up-banner-inner",".cms-popup","#spotlight",".footer_subscribe_subscribe-wrap",".mailing-list","#curtain,\n#modal-overlay",".home-form,\n.join-newsletter",".bg-borderMoreLightColor",".email-subscriber","#article-nl-wrap",".sticky-footer-overlay",".lity",".af-form-wrapper",".elementor-element-be4633f",".poster-wrap--subscribe-news",".newsletter__bottom-wrapper,\ndiv[id^=\"sNewsletter_\"]","div[id^=\"newsletter\"]",".newssignup",".emailBox",".sidebar-form-wrap",".alo-newletter",".to-sky-100",".dy-modal-container",".newsletterBoxSidebar",".subscribe-widget",".newsletter-dialog-header-link","#boxes-box-subsctiption_middle,\n#home-subscription-row","#CoverPop-cover","#hcpro-misc-form",".footerNewletSub",".news-form",".block-save-recipe",".has-quaternary-background-color","#text-40",".newsletterClass_n1f72qdk",".adblock-detected","body > .text-center[style=\"color:white; font-size:16px;\"]",".opportunity-container",".bc-newsletter-signup-container,\n.header-newsletter-btn",".sp-form-outer",".pulse-subscribe",".yellow-nl","#he1",".gradient_subscription","#sms-opt-in-modal,\n.callout-newsletter,\n.toast-wrapper","#shopify-section-static_site_popup",".forUnit___ixF4Y,\n.mpu___jBf9d,\n.unitContainer___ykMrM",".js-swimingBlock-stoper",".nl-signup-container","#credential_picker_iframe,\n.new__newsletter__signup","#credential_picker_container",".proof-factor-app","#elementor-popup-modal-40,\n.elementor-element-3b03fc7c","#sticky-email-updates",".m-brand-engagement",".app-redirect-panel",".email-sign-up-form",".single-page-subscription","#hlifenewsletter",".RegisterAndGetOFF",".popup-signup",".Subscribe_subscribe__fsS5P",".active-campaign-form",".gb-container-20db77c8",".home-owner-carousel-section",".widget-2",".avb-magento-form",".footer-newsletter-block",".nl-box",".widget_custom_html","#newsletter-popup-fullscreen",".article-email-signup-wrapper,\n.newsletter-popup-modal","#pico_prompt",".jetpack-subscribe-modal",".newsletter-in-article","#blox-message-incompatible,\n.tnc-overlay.tncms-block",".sb3",".signup-container","#ids-newsletter-modal,\n.bg-ids-light-blue,\n.bg-ids-primary-container",".header-secondary","iframe[width=\"100%\"][height=\"100%\"]",".email-subscription-container",".ck_vertical_subscription_form",".Footer-whitelist","#text-15",".gnt_mol_oy",".modal-wraper",".article-newsletter,\n.join-community",".top-newsletter-subs",".layoutFooter-newsletterSignUp-form",".is-layout-constrained",".w-form","#smallmeternote",".elementor-element-8da89b7",".footer__banner",".grid-article-subscribe-container",".msnt-mail-dialog",".msnt-mail-footer",".signup-text","[data-lpos=\"headlines-newsletter\"]","#ArticleNewsletterBottom",".alert",".fancybox, .fancybox-overlay, .fancybox-wrap","#react-root ~ div[class*=\" \"][class$=\" \"][role=\"presentation\"]:has(a[href^=\"/accounts/\"][href*=\"signup/\"]):not(:has(button[type=\"button\"] > div > svg[aria-label][width=\"18\"][height=\"18\"][viewBox*=\"48\"])),\nnav > div[class^=\"_\"] > div[class^=\"_\"] > div[class^=\"_\"] > div[class^=\"_\"] > div[class^=\"_\"] > div[class] > div[class^=\" _\"][style=\"width: 100%;\"]:only-child",".Subscription_sub_wrapper__eQ6n1",".stripe--newsletter",".SubscriptionInlineForm_articleInlineVariant__dcdCo,\n.home-news-letter-banner",".newsletterForm","#subscribe-wide-side",".dsa","#blocker,\n.subPopupTop",".exit-intent-modal",".bg-grey-700.inv-sidebar-widget,\n.email-capture__zigzag",".ArticleBase-Newsletter",".NewsletterSignupButton,\n.SubscribeBanner",".pre-footer-subscribe-box",".wpdev-email-signup",".woo-login-popup-sc-modal,\n.woo-login-popup-sc-modal-overlay",".mfp-ready",".footer__bar",".custom-functionality-newsletter,\n.d-flex.row","#overlay-form-container",".mail-chimp",".article-join-button",".modulonewsletter",".nw_cont","#exitpopup-modal",".SubscribeBanner-Wrapper",".cta__inner",".hero",".NewsLetterInlineHome",".jg-newsletter-sign-up",".join-list",".site-footer__item-inner--newsletter",".module-footer__signup","#Newsletters",".subscribeModalOuter","#ema_signup_form","[href=\"/subs.php\"]","#jms-tray",".c-hgrWQv",".jr-modal-wrapper,\n.proposal-box",".block-media-feature-image","#lb-wrapper-autonewsletter",".mb-4.card",".block-ebook","#premium-link","#newsletter-subscription-aside-widget,\n.notification-banner",".top-bar","#bio_ep,\n#bio_ep_bg",".jcom-c-promo-newsletter",".css-81stxx","[aria-label=\"Receive our newsletter.\"]",".get-subscribe-form-wrap,\n.td_block_kbb_bestcardeals_subscription_form",".Placeholder",".footer-col--newsletter","#modalnewsletter___BV_modal_outer_",".newletter-widget-wrapper","._inline-form",".autoplay","#block-recipenewslettersignup",".blueconic-article__wrapper",".member-register",".footer-productsignup","#gb-newsletter-modal-reg","#HTML1",".popup-overlay",".newsletter-opt",".dQrqPv",".promo-design","#forms-block_ee1e843a9348070a466c6e3f908c9703","div[id^=\"div-gpt-ad-\"]",".newsSignup","#popup-banner-subscription-ecom,\n.popupBannerSubscribeUd,\n.ukraine-daily-side-banner,\n.war-notes-banner,\n.wtfr-snippet",".gf_form_mail_wrapper",".ArticlePage-aside-content,\n.Page-footer-content-above",".elementor-element-5f8f7d3,\n.elementor-element-dc75b6d",".css-jh5v8h","#bottom_navbar,\n.track-reminder","div[id$=\"___BV_modal_outer_\"]",".marketo",".site-footer__form-wrap",".avada-footer-scripts",".hosting-below-post",".modal:has([style^=\"background-image: url(\\\"/assets/newsletter-\"])",".newsletter__col",".suscribehorizontal","#reg-modal",".show.fade.modal-backdrop",".c-promo-slice__link",".o-callout__newsletter","c-tag-home-page-sign-up-pop-up","#newsletter-signup-modal,\n.lv-modal-blocker",".popupally-overlay-gfcr-1","#block-edu-prospect-edu-prospect-email-catcher",".c-homepage__newsletter-block",".p-7.border-eerie-black,\n.py-\\[60px\\]",".email-subscription-form,\n.full-vp-welcome-modal-wrapper",".ml-form-embedContainer","div.loading-links",".bottom-wrapper",".text-strong-invite",".close-popup-overlay,\n.popup-acm",".lg\\:py-36.md\\:py-24.custom-background-image","#blockModalPopupDiv,\n.outerModalPopupDiv",".latest-issue-spotlight","#savetherecipe",".subscribe-popup",".subscribe-maskLayer",".global-alert--yield.global-alert, #global-alert-queue","[href^=\"https://subscribe.linuxiac.com/\"]",".modal-email-signup","#MainModule div[data-max-width=\"2400\"] + div[class],\ndiv[class][tabindex=\"-1\"][role=\"region\"][aria-label][data-min-width][data-max-width] ~ div[class][data-max-width=\"2400\"] + div[class]",".message",".subscription .paywall .subscriptionBox",".mlform",".Footer_email-form",".emphasis-h2","#slidingbar",".email-subscription-modal",".jsx-3f4fe83626c3275",".subscribe-now-box",".newsletter-box-container",".lnl-recipe-emailme,\n.lnl-theme-widget-subscribe-popup",".lhMiox",".elementor-element-515d4e87",".uix_sidebarInner",".campaign-pop-container,\n.campaign-pop-mask",".wixui-lightbox",".blnotice",".loyalty",".subcribe-banner",".newsub-box",".footer__signup","#newsletterSubscriptionModalLoad",".Newsletter_component__sowM_,\n.comp-newsletter-box","#newsletterform",".magazine-subscription",".markamayNewsletter",".gradient-purple,\n.p-3.h-100",".td-a-rec-id-content_inline",".footer-newsletter__container",".border-secondary-300,\n.border-warmgray-100,\n.max-w-9xl",".pk-subscribe-container","#email-capture",".brazen-modal",".piano-newsletter-article","aside.widget_custom_html",".subscribe-cta","#newsletterModal",".email_SignUp",".StickySubscriptionFooter_mck-c-subscription-footer__au9pl",".newsletter-html-asset","#support_banner",".wdn_responsive_table","#home-sidebar-1-container,\n.site-top-bar",".subscribe-ltr",".g1-newsletter","#subscribe_form",".subscribe-callout-bar",".grwf2-wrapper",".grwf2_backdrop","#banner-sticky,\n.sticky_ad_container",".footer-form","#nlModule","[class][style=\"bottom: 0px;\"]",".cme-join",".subscribe-modal",".content_mailchimp",".MPHomepageModalWidget",".footerSub","#bottom3","#mcomEmailBanner","#message-purchased",".fixed-footer",".Mg2-connext, .connext-modal-backdrop, .modal-scrollable",".active-subscribe,\n.footer-subscribe-block",".side-newsletter-wrap",".tap-email","#modalsRenderedAfterPageLoad",".memo-newsletter-wrap",".amped-wrapper","#modal-darkener,\n.lead-gen-pop-up",".jpKUNM",".m-modal-bg,\nM-MODAL","[href^=\"http://www.pingperfect.com/aff.php\"]","#adBlockDisclaimer",".footer-join-wrapper",".wp-elements-6af074a2b773903132682d24a9a289ae","#newsletter_article",".css-1dwh0gf","#block_footer_custom",".modal, .modal-backdrop, .modal-wrapper",".footNewsletter","#mc_newsletter_signup_article,\n.newsletter-article-container,\n.newsletter-form-container","#signmd___BV_modal_outer_",".content-wrapper[ethical-ads-big],\n.info-wrapper[data-v-7cd21295],\n.info-wrapper[ethical-ads-big=\"\"]","div.center-align","#newsbox",".hpv2-newsletter,\n.m00646-mc-newsletter",".newsletter-signup-rhs,\n.tech_newsletter",".analytics-tiplistbox,\n.reference-email-tip-box,\n.tip-email-popup",".before-content",".boxzilla-bottom-right-container",".footer-newsletter__form",".init.open,\n.top-banner",".news__subscribe",".widget__form-subscribe","#homepage-newsletter-promo,\n#homepage-subscription-promo,\n.mj-adblock-widget,\n.mj-text-cta",".sII9F","#wmpci-popup-wrp","#sledgehammer",".ad-blocker-notice","#newsletterSignUpDivAnime,\n#viewportGreyout,\n.in-content-container-coverage",".SubscribePopup2,\n.SubscribePopup2__pop-up-overLay",".ms-actions",".msnbcDaily__footer","#buy-tickets,\n#sign-up,\n.amazon-tickets",".mb-interstitial",".responsive-footer_email-signup","#subscription",".hustle-inline","#express-signup,\n#side-block-02,\n#side-block-04,\n.comment-hunter-block","#side-block-01,\n.meter-warning-box",".form-version-cid-1",".bottom-bar-optin,\n.section--optin",".cb-ready",".login-callout",".cs-entry__subscribe","#overlay, .social-media-popup",".ebook","#tncms-region-article_bottom",".subscribenew","#natgeo-marketing-inline-email-footer-frame1-module2,\n.EmailStickyFooter__Modal,\n.InlineEmail__Container","#modalBackdrop,\n#site-broadcast,\n.modal-default",".aside-module--promo-module,\n.aside-newsletter",".home-section-register,\n.subscriber-box",".Subscription-Article-Box","div.c-site-messages,\ndiv.nature-briefing",".site-footer-newsletter__one-half","#company_profile_form",".tile-newsletter","#\\5f _cricketsubscribe,\n#___ndtvpushdiv",".mailmodo-news-letter-m__card-wrapper__o-Dst",".dy-act-overlay",".newsletterCol","#pr-sidebar-subscribe","#contextual-reg-modal-container",".fr-dialogmodal",".optinforms-form-container",".sticky-footer",".sqs-popup-overlay",".newsletter-subscription-section",".blink-sdk-widget-container",".double-padding-top",".newsletter-signup--group",".bg-blue-link","#custom_html-30",".NewsletterPromotion,\n.NewslettersPanel,\n.SidebarNewsletterWrapper","div[class^=\"Newsletter_\"]",".dialog-widget-content","#nmsbma__container","#Widget15",".newsletter-signup-horizontal,\n.promo-link",".newsletter-subscribe-form",".subscription-form","#adtoniq-msgr-bar,\n#text-36,\n.widget-no-mobile",".email-sidebar-signup",".connected","#att_lightbox_email",".emthemesModez-footer-topColumns","div[data-newsletter-popup-container]","#in-article-newsletter-signup",".wppopups-whole","#easybanner-overlay-el,\n.easybanner-lightbox-content","#popup_newsletter",".impact-subscribe-cta",".site-footer-mailing-list","#custom_html-23",".home-signup",".tfCi0",".SubscribeSection",".site-announcement",".newsletter-mod",".newsletter-form-block,\n.nl-space",".overflow-hidden.bg-blue-700,\n.rounded-lg.px-6",".nn-newsletter",".module-subscribe",".uui-blogpost05_newsletter","#header-banner",".border-\\[\\#000777\\]",".perm_ad",".type-newsletter_subscription",".freebie-opt-in-form",".footer_form_section",".playerBlocker","a[href=\"https://info.ipet-ins.com/emagazine_subscribe_nyanpedia.html\"] > img",".text-form-wrapper",".inline-module--newsletter",".border-sunGolden","#modal-portal-regiwall,\n.ReactModalPortal:has(.welcomeAd),\n.a8f50c72,\n[data-gtm-element=\"newsletter_loaf_form\"],\n[data-scp=\"newsletter\"]",".footer_newsletterSectionBlock__c0Qgo,\n.modal_modal-window-container__26ycp",".enews-container",".l2VEg",".PD_modal,\n[href=\"/alerts\"]",".lightbox-push",".wp-block-observer-newsletters","#extras-container,\n.email-updates",".sib-form",".tl-states-root",".background_lozad",".dNsyER,\n.lnolAx",".af-form",".piano-inline-template__content",".lh-subscribe","#dsgvoModal",".nt_se_newsletter2",".et_bloom_popup",".sidebar-signup-form",".ribbon",".ooni-footer-newsletter",".mailster-form","#footBox3",".tdi_174",".modal_overlay",".rawhtml","#newsletter2","#details-widgets",".met-footer-toast",".ad-container-responsive,\ndiv[id^=\"div-gpt-ad\"]",".guest-mail,\n.mailMagazine","#text-12",".Subscribe__Subscribe___2hrcO",".adblockalert",".email-input",".newsletter-content",".ArticleSignupForm,\n.Modal",".output-mag-newsletter-form",".o-content-cta","#dynamic_banners,\n#omailContainer,\n.fusion-emailSignup",".insider-exclusive__container,\n.site-footer__insider-promo",".IndexStyled__NewsletterSection-x8xg4h-5",".lg-backdrop,\n.lg-outer",".meter-warning-text",".essb_mailform",".mailchimp-form",".m-flex-nav--right-engagement",".btn--follow,\n.css-1at62qq,\ndiv[class^=\"ContentBlocks_CardDetail__SubscribeBlock\"]",".simple-signup",".join_email_capture_component","#newsletter_descri,\n#newsletter_titre,\n.inscriptionmail","#g-bottom1",".pclHotDeals","div[x-init*=\"initNewsletter\"]",".playback-ad-blocker-notice",".module__promo",".custom-a-banner",".pw-nl-su__container","#signUpWrapperOuter",".form-nl",".newsletter_flyout_newsletterFlyout__ms6QT","#bww-advertising-popup-overlay,\n.newsletterWide",".ui-dialog[tabindex=\"-1\"]",".subscribe-section",".gtp-ad",".fullwidth-newsletter-sign-up__email",".article_sub",".new--lttr--sec",".yotpo-smsbump-modal__backdrop","#nonono",".pb-site-subscription",".takeover.modals","#hs-web-interactives-bottom-anchor",".daily-callout-list",".sponsor, div.wrapper",".contact-wrapper","#below-story-text > .story-enhancement,\n.sign-up-21",".ftr-subsWrap",".m-supporter",".EmailAcquisitonstyles__EmailAcquisitionOuterContainer-sc-1b9duud-0",".page-error","#tncms-region-article_instory_bottom",".tp-backdrop, .tp-modal","#text-6",".ragansdaily",".mfp-ready, .mfp-wrap","#sml_subscribe_widget",".article-inline-promo",".PHNewsletter",".widget-area",".site-newsletter-bar",".sign-up-modal","#form_out",".animate-floating-banner,\n.exit-popup",".pflrgAds",".newslatter_box",".Notice",".footerEmailSignUp-container,\n.modal-wrapper","#registerPopup",".home-promo-center-right-bottom",".email-bar20",".lead-capture-campaign",".ml-subscribe-form-5774674,\n.mt-3.sticky-top,\n.sailthru-nl-signup",".invader-overlay","#block-elettersubform","#gb-reg-modal-block,\n#gb-reg-modal-reg,\n.gb-reg-modal-overlay",".border.bg-white.mb-4",".widget_oih_opt_in_widget",".SignupWallInline-overlay",".new_signup_dialog.modal_bg,\n.qu-overflow--hidden[class*=\"qu-zIndex--modal_\"],\nbody > div[id]:has(.modal_signup_dialog)",".js_qz_newsletter_signup_placeholder,\n.kHmXgL","#inner-ad-container,\n.floating.share-btn",".Footer__topsection",".c-action-box","#rb-newsletter",".sc-bUQzRK,\n.sc-xGAYn",".w-md-100",".widget_ymlp",".gdm-company-profile-unit__profile-container",".whine",".NewsletterSubscription_main__V_dFS","[class^=\"AdBlockDetector\"]","#piano-infobar-container",".modal-newsletter",".rcrwi-hubspot-article-form",".js-intro,\n.post-subscribe-cta-wrapper,\n.sidebar__subscribe",".rw-subscribe-sec",".single-post-signup-box","#module_form,\n.form-wrap,\n.remodal-overlay,\n.remodal-wrapper",".newsshort,\n.rtJqibox",".card-newsletter-modal,\n[style*=\"opacity:\"]",".email-collection-banner","#span_subscibe_top",".dfm-sidebar-top-flex-container","aside",".XNbml","div.hello",".email-signup__container","#ltkpopup-overlay","#ltkpopup-container",".rns-newsletter-embed-content,\n.rns-pop-up-wrapper","#ad-plea",".footer-fixed",".newslettreastuce",".slot1",".Campaign",".widget_text.zox-side-widget",".article-prompt__container__3uXJV,\n.regular-article-layout__newsletter__3wzPk",".nlsm-small,\n.rj-newsletter-signup",".emma-show","#popupModal, .modal-backdrop",".footer__email-signup","#lightboxWrapper,\n#promotion_banner,\n.lightboxOverlay",".form-preview","#newsletter_subscription","#form_newsletter-blog,\n#form_newsletter-sub-single",".SubscribeBox",".newsletter-link",".cta-modal",".smart-slot","#block-nodepagebelownewsletter,\n#block-romaniainsiderfreenewsletter-2,\n#block-romaniainsiderfreenewsletter-3","div[id^=\"PopupOverLay_SF_\"],\ndiv[id^=\"pframe_SF_\"]",".email-wrap,\n.mask",".Subscription-isReact",".subscribe-layout",".formkit-form",".comp-landing-newslettersignup",".home-email-signup","#sgpb-popup-dialog-main-div-wrapper, .sgpb-theme-1-overlay",".sub_promo",".mailchimp-links",".sc-footer-desktop-sect01",".wp-block-san-san-inarticle-newsletter-signup,\n.wp-block-san-sidebar-cta__content",".newsletter-m","#sank-prestitial",".interstitial",".email-subscription-footer",".message-inner:has(.ads)",".NEWSLETTER_ONENTRY","#emailCollectorModalOverlay,\n.headerText-EI4-q,\n[class*=\"newsletterSign\"]",".css-e2xo3p",".daily-scan-form","div[data-qa=\"NewsletterWidgetContainer-NewsletterWidget\"]","#subscribeModal",".ftr-subscribe","#subs-ribbon","#new-home-row-3,\n#new-home-row-7",".notification[style^=\"height: 189px;\"]",".featured-subscribe",".sej-subscribe-form,\n.sej-widget,\n.web-dwn",".bg-ftr-subscribe,\n.nl-inline-form,\n.nl-stacked-form","#signup_large",".footer_newsletter_wrap",".smn-banner-newsletter,\n.smn-header-subscribe,\n.smn-home-section__sticky-container",".c-form--newsletter,\n.c-widget-subscribe","#custom_html-29",".sw-newsletter","#inline-africa-form,\n#inline-business-form,\n#inline-flagship-form,\n#inline-media-form,\n#inline-principals-form,\n#inline-technology-form,\n#newsletter-sign-up,\n#vertical-signup-form,\n.liveramp-inline-signup-form,\n.styles_newsletterSection__6CWXE",".widget_s1_signup",".max-h-\\[250px\\],\n.tablet\\:max-xl\\:max-h-\\[250px\\]","#realpop_optincontent","#stay-on-top-flyout",".newsletter_signup",".ft-right-email,\n.j-quick-register-container",".newsletter__container",".form__container","#sidebar-newsletter-signup","flashy-popup",".blp-container",".gooble-omodal","#post-article-subscribe",".drawer--newsletter",".signup-background",".bottom-20,\n.left-0",".simpl-adlabel",".ipsDialog,\n.ipsModal",".noFocusOutline > div > div > div > div > div[style^=\"position: relative; display: flex; flex-direction: column; flex-grow: 0; flex-shrink: 0; overflow: hidden; align-items: stretch; align-self: stretch; background-color\"][style$=\"border-style: solid;\"]",".totalpoll-container",".top-start","#text-2","#newsletter-embed",".c-garfield__nl",".in-article-newsletter",".footer-email-subscribe",".action",".ldm-newsletter-promo-inner",".cas-container,\n.cas-wide-container,\ndiv[style^=\"width: 300px; height: 250px;\"][style*=\"background: #fff;\"],\ndiv[style^=\"width: 860px; min-height: 90px\"]",".springbot-overlay","#overlay","#sub_pop",".CustomHubspotForm_blogForm__6LtFv",".pattern-newsletter-subscribe",".subscribe-line-link","#removeAdsSidebar,\n.ad-wrapper, #adTopLarge, [id^=\"adSide\"], [id^=\"adMiddle\"]",".email-signup-offer-wrap",".join-login-wrapper.join-login-alt--six-second[data-alt-modal],\n.zd-privacy-content",".fluentform",".mb4.pa4.pb5.overflow-auto.tc.flex.flex-column.bg-center.cover.bg-dark-red.white",".newsletter-podcast","#leaveSiteContainer",".newsletter-ui,\n.signup-msg-cta-wrapper",".cWZgjA",".tw-email-signup-section",".content-block-sidebar-form",".article__news-services-subscribe,\n.cell-subscribe",".top_block","#smartcta_1",".footer-subscribe-form__formWrapper",".breakingPopUp,\n.emailbox",".Article_newsletterPromo__YXJkV",".hp-newsletter,\n.sidebar-newsletter-signup-wrap","#email-subscribe","#infographicNewsletter,\n#newsletterPopupOverlay","#stat-modal-base,\n.stat-hubspot-signup","#text-11",".abg-card","#mailerlite-form_1",".footer-right__box",".subscribe-article","#sidearm-adblock-modal",".email_popup",".cordial-email-signup",".st-newsletter",".mc-modal,\n.mc-modal-bg","#cartx-wrap",".show-subscribe","article.post > div[class*=\"frontend-components-SubscribePrompt-module\"]",".t-newsletter-form--container","[data-mht-widget=\"signu-up-black-background\"]",".footer-info-newsletter-inn",".gh-foot-menu",".subscribe-header",".custom_signup","#swell-overlay,\n#swell-popup",".site-footer-col--subscribe","a[class^=\"_\"][href^=\"/restaurants\"]:has(div[style=\"background: rgb(58, 60, 65) none repeat scroll 0% 0%; color: rgb(255, 255, 255); border-color: rgb(30, 32, 35) transparent;\"])",".blog-post__gated__wrapper",".afill",".Toastify",".regcta,\n[style^=\"width: 100vw; height: 100vh; background-image: linear-gradient\"]",".SubstackWidget",".my-32",".jumbotron",".hKxMSJ",".sidebar-newsletter-container",".block-meal-plan,\n.wprm-custom-cta",".eb-init",".custom-mailing-list",".global-newsletterBanner","#consentModal, .modal-backdrop","[href=\"https://techcabal.com/newsletter\"]",".wp-block-tc23-newsletter-signup-compact",".sidebar-signup-form-container","#lightbox_container,\n.backdrop",".elementor-element-8e82188,\n.sidebar-optin",".mb4wp-form-wrapper","#ti-subscribe-form",".ubub",".base_subscribe_footer,\n.featuredVendors,\n.inner_content_lazy_load_content_divider","[class^=\"stayConnected__wrapper-\"]",".header-newsletter-cta","#subscriptionModal, .modal-backdrop",".subscribe-medium",".ta-campaign-widget,\n.ta-campaign-widget__popup-wrapper","#kt-popup-newsletter",".js-notices",".newletter-signup-wrapper","#talk-marketing-banner",".spin-modal",".ts-banner-overlay-first",".ue-c-nl-banner","#bg-simple-portal-container,\n#bg_pc_benefit_download_modal_container_id","#join-mailing-footer",".et_bloom_below_post,\n.widget_bloomwidget",".eoa__newsletter-signup",".newsLettetPb",".sim-module-wrapper",".above-email",".widget-signup",".c-article-comments-banner__content,\n.c-subscribe-email__wrap","#the_analyst_subscribe_widget-2,\n.subscribe-form-footer",".newsletter-subscribe-card-warp","div[class^=\"BottomLeaflets_newsletter_\"]",".bg-graphite",".push-notification-inline-cta","#article-newsletter,\n.pane-simplenews",".ml-vertical-align-center","#inarticle-sponsored-headline",".newsletterModal",".bg-turquoise-500,\n.savvy-target",".subscription-box","#overlay_search","#robly_embed_signup",".MuiDialog-root",".cool_gallery__main,\n.cool_newsletter,\n.tcd-gradient-cerulean-alt",".popup-box",".nlSignup",".sign-up-banner-container,\n.sign-up-bannerstyled__SignUpBannerWrapper-sc-13sjkk5-0,\n.toaststyled__ToastArticleWrapper-sc-1i4l75i-0",".space-y-8 > .subscribe-form",".ProductCalloutNewsletterModule",".interact",".right-footer",".articleNewsletter,\n.homepage-newsletter-cta",".weekender-blue,\n.weekender-green,\n.weekender-white","#modal-OVERLAPABLE,\n.showTopNav",".footer_content,\n.popular_posts",".subscribe_widget_item",".Hd__banner,\n.NewslBanner,\n.SplitCTA",".mailchimp_form","#myEmailModal,\n.c-side-header__extra,\n.substack-frame-root",".newspack-pattern",".gfl-blogpost-daily-digest,\n.signup.blog-sidebar-section",".email-list-subscribe",".capdigest_sign_up_page_breaker,\n.newsletter_sign_up_page_breaker",".marketing-container-wrapper,\ndiv[class^=\"NewsletterOnArticleSubscribe_\"]","[data-spacefinder-type=\"model.dotcomrendering.pageElements.NewsletterSignupBlockElement\"]","#email-outer",".sub-button",".newsletter__popup-container",".network-footer__newsletter","#htp",".enews-backdrop,\n.inertia-newsletter-home",".subscribe-form-wrap","#offer-0-lwmcg,\n#third-party--viewport-takeover,\n.newsletter-block__content",".tjp-newsletter-box","#newsletter-reminder,\n.subscribe__footer",".widget_mc4wp_form_widget",".section-subscription",".bg-left-top.bg-cover,\n.overflow-hidden.relative.w-\\[300px\\],\n.overflow-hidden.relative.xl\\:px-9,\n.px-5.bg-navy",".meta-join",".newsletterbanner","#news-letters,\n.email-signup-module",".newsletter_subscribe_container",".footer__subscriber,\n.post_home__newsletter,\n.subscribe__popover",".join","#newslettersignup,\n.c-channel__cta,\n.channel-cta",".sign-up-form",".newsletter-promo-box","div[class*=\"EmailSignUp_\"]",".bg-warning,\n.card-body",".header-breaking__secondary",".elementor-element-16c138b","[class*=\"Newsletter\"]",".newspack-lightbox,\n.subscribe__style-1","div[class^=\"NewsletterCard_\"]","#modal-dialog-dismiss",".rounded-3.px-5",".m-custom-component,\n.mm-navigation--multiple-menus","#tncms-region-global-side-secondary",".wds-block-newsletter","#cms-popup",".InlineForm",".duet--cta--newsletter","#blueconic-article-theweek",".aspect-ratio-newsletterbox",".bJ_pf,\n.dr_wr",".wp-block-newsletter-builder-signup-form","#snack_dex6,\n.ad-billboard,\n.c-header__advert",".c-newsletter-signup-box",".email-sign-up_emailSignUpContainer__OJefo",".substack-popup-container",".modal-div",".modal-underlay,\n.redux-modal","[class^=\"EmailAcquisitonstyles\"]","[data-thurrott-layout-section-footer-section=\"newsletter\"],\n[data-thurrott-section=\"inline-form\"]",".c-banner","a[href^=\"https://cloud.newsletters.time.com/signup?\"]","#ad300",".newsletter_inline,\n.newsletter_inline_banner,\ndiv[class^=\"_inlineNewsletter_\"]","#body-subscribe","a[href^=\"https://timesofindia.onelink.me\"]",".daily-edition-signup,\n.nlsignup","#footerNewEmail",".adblock-on","#tjx-newsletter","#browser-notifications-prompt,\n.canvas-video-block--aside",".subscription-block",".suscripcion",".freePointWrap","#sbnewsletter-signup-wrap",".hrWTog,\n[data-testid=\"NewsletterFooter\"]",".adsninja-ad-zone,\n.daily-vid-ad,\n.top-horizontal-ad-content,\n.txt-ad",".FGceuF2n",".subscribe_news_letter",".promo-popup",".widget_mo_optin_widgets",".sib_signup_form",".musthave-right",".tp-follow-container",".content31_newsletter",".newsFooter","#prefooter","#newsletterContainer,\n.nlform",".push-subscribe-newsletter-wrapper",".lp__formPopCont",".related",".J_PopupMask,\n.h5-subscribe-card-con,\n.o-pop-box-retention","#newsletterCheckbox",".subscription-island--home","#grow-consent-modal",".join-our-newsletter",".signup_section",".js-modal_wrap",".block-webform-block",".signupAfter,\n.signupInline",".tmblr-iframe--follow-teaser",".dark-theme-dialog__dialogBody___106Di","#bannerAdBlock",".n-subscribe-footer","._newsletter_1cw2x_1",".p2-subscribe",".right_subscribe",".financetldr-top-bar,\n.financetldr-top-bar-card","#layers > div[class] > div[class] > div[class] > div[class]:has(> div[class] > div[class] > div[class] > div[class] > div[class] > a[href=\"/login\"]),\n#layers div[class=\"css-1dbjc4n r-l5o3uw r-97e31f\"]",".js-signup-call-out",".subs-box",".ug-footer-subscribe",".alert-discreet","#js-stickyEmailSignUpFooter",".newsletter-pop-up-container",".blog-subscribe-inline,\n.dt-tip-subscribe",".single-ad","#block-10 > .container > .background-gradient",".code-block-4",".modal--newsletter",".force-load-ad",".mailchimp-popup-overlay-upworthy,\n.mailchimp-popup-upworthy",".rounded-md.md\\:p-8.mb-4.dark\\:text-white",".o-pwa-modal-overlay",".gnt_m_th_em",".js-inline-email-cta,\n.persistent-email-cta","div.mb5 > react-trigger,\ndiv[class^=\"KioskFirstClass__Container-\"]",".investedpromo","#kashi,\n#kashi_layer",".inline-signup",".t-signup-navigation","#footer-primary","div[id^=\"popup-smart-root-\"]",".widget-wysiwyg",".callout","#shopify-section-custom-popup",".never-miss",".wpforms-location-newsletter",".post-boilerplate","#gigya-subscribe-with-email-screen,\n.gdn-popup-modal,\n.paragraph--type--gdn-contact-us",".user-newsletter-signup","#blog-sidebar-cms-block",".signup-newsletter-style-two",".home-email-cta",".alert-info",".enewsBanner",".footer-mid",".mvp-widget-home-head,\n.wp-image-1216,\n.wpforms-ajax-form",".silk-modal-root",".component-cnid-modal-backdrop","div[style=\"width: 100%; height: 100%; top: 0;left: 0; position:fixed; z-index: 255;\"]",".duet--layout--rail",".form-newsletter",".showfreemethod",".contact-form","#kajabi-form",".footer__email-sign-up",".ad-align-center,\n[data-section=\"header_top\"],\n[data-section=\"news_header_top\"]",".hub-newsletter","#cred-bnr-top","#gform_wrapper_1",".bg-light.card,\n.home-subscribe-header","#ctct_form-2,\n#signup,\n.ctct-form-block",".mb-lg-mod.bh.b",".email-alerts,\n.piano-fixed-footer-two",".vm-hello-bar,\n.vm-newsletter-signup-bait,\n.vm-newsletterbribe","._4zodakb._4zodaka,\n.fINiis",".search-container2",".subscribe-now",".frontpage-quiz",".AnonymousNewsletter--AnonymousNewsletter--1Btxs,\n[aria-label=\"The Weather Channel Newsletter\"]",".lepopup-popup-container,\n.lepopup-popup-overlay",".hp-nl-main,\n.sf-nls-wrapper",".article-subscribe-form",".sec-subscribe",".elementor-element-ba0e7fd",".newsextras",".footer--subscribe","#js-blog-subscription",".oxy-alert-box","#hp_newsletter","#join-email-campaign",".swal-modal, .swal-overlay",".atf-signup,\n.newsletter-prompt",".article-registration-form",".ad,\n.consumer-marketing-unit--cm-footer,\n.consumer-marketing-unit--display-rail,\ndiv[class^=\"ConsumerMarketingUnitThemedWrapper-\"]",".M0a",".newsletterContainer",".nl-container,\n.side-bar-nl-wrap,\ndiv[id*=\"snewsletter-popup-MailChimp_\"]",".widget_execphp.widget",".worth-newsletter-section","#text-19","[data-inset_type=\"newsletterinset\"]",".nl-footer__inner","#newsletter-signup-bar-01",".u-width-300.lrv-u-background-color-black,\n.wwd-subscribe-now-banner-ad-container,\n.wwd-subscribe-now-banner-background","#block-6",".signup-form","#baseModalContainer",".independent_mailchimp_widget",".caas-figure-with-pb[style=\"max-height: 192px\"],\n[href^=\"https://subscription.yahoo.net/Newsletter/\"]",".react-wafer-Featurebar",".newsLetter",".subscribe_form_box","#YncLightBox",".newsletter-subscription-block,\n.sidebar-item-subscribe-form","ytd-popup-container > .ytd-popup-container > #contentWrapper > .ytd-popup-container[position-type=\"OPEN_POPUP_POSITION_BOTTOMLEFT\"]","#mealbar\\:3 > ytm-mealbar.mealbar-promo-renderer",".qi-z,\n.xh-z",".EmailSignupForm","#modal-generic-modal","#abd-banner,\n.modal__overlay,\n[class^=\"ExitModalNewsletter_\"],\n[class^=\"MidArticleNewsletter_\"]",".idx-bg,\n.tap-hdl","div[class^=\"article-page-module--article__newsletter\"]","[class^=\"advt-\"]",".fb-inst",".email-capture-component","#emailInfobar",".newsletter_section","#cro-common-newsletter-ecomail-entityform-edit-form",".s1-newsletter-outer",".reklama","[href^=\"https://airvpn.org/\"]",".daily-newsletter-anmeldung_r",".newsletter-sign-in-wrap","#newsletter-subscription-popup",".cs-newsletter-registration-overlay,\n.js--overlay","#boersen-briefing",".js-newsletter-popup,\n.js-newsletter-popup-inner","app-newsletter-popup",".nl_subscription_form","#popup-background","#footer-bold",".post_newsletter",".paragraph-wrapper--ParagraphNewsletter",".promo__newsletter",".newsletter-layer",".newsletteranmeldung",".subscribeboard",".np-nl-widget","#article-subscribe",".modal-custom--overlay",".arcticmodal-container,\n.arcticmodal-overlay","#nl-overlay","#persoblock,\n.underlay",".asf-newsletter","#adsGross1,\n#adsKlein",".reminder-modal",".ab-feature-popup",".pn-header",".newslettereinblendung","#nl_block",".form-newsletter-subscription",".block-sam-newsletter-popup",".vert-subscribe-aside",".article-newsletter-bottom-toolbar",".blog-subscribe",".c-post__blog-sign-up",".sticky-popup,\n.welcome-popup",".webform-submission-form",".ma-subscribe-form","#sticky",".mailinglist-form",".block-cidrap-persistent-newsletter",".hnf-container-fluid",".article-subscribe","#subscribe-form",".modalbg",".ue-l-article__newsletter-widget","#nlt_signup_botton_desktop",".subs_box",".subscribe-container",".suscribete",".block-views-blocknewsletter-block-3","[class^=\"san_howtowhitelist_\"]",".blockingOverlay",".gDiv",".pb-8","center[style=\"margin-bottom: 2px;\"]","#newsletterBox","[data-testid=\"in-house-ad-climatetech\"]","#mailsignup",".optin-form",".s-footer__newsletter","div[style*=\"position: fixed; width: 100%;\"]",".newsletter-popup-elements","[class^=\"Dialogue__Overlay-tmcl\"]",".subscribe-newsletter_wrapper","#text-61",".item.sidebar.reader-comp.main-gray-bg:has(a[href=\"/tilaa-moottorin-uutiskirje/\"])","#ctl00_verkkolehdenmainos,\n.in.fade.modal-backdrop",".smm-newsletter",".hustle-popup","a[href=\"https://uutiskirje.valitutpalat.fi\"]",".hs-form-private","#liner-notes","#overlay:not(.overlay)","#spb-block-popinnewsletter",".isg-shared-banner-popin,\n.mrk-footer-newsletter",".pmcInsert",".casting-card-subscribe-newsletter","#bloc_newsletter_bas,\n#newsletter_box",".r-1ups-description","app-newsletter",".doc-newsletter-banner-wrapper",".bandeau-abo-nl","#newsletter-container + #legal-terms",".NewsletterForm",".nl-block",".content-banner-nl",".nlregister",".registration-banner__bg",".popup--newsletter","#articleFormNL",".nl-article-card",".nl-form-inscription",".PromoFooter,\n.User-subscription-form",".subscribe-nl",".widget-first",".NewsletterBox",".nl-social",".o-modal",".bp14_recevoirannonces","#popup_actu",".nwsBlock",".relance-newsletter",".vi-newsletter-subscribe__content",".fullwidth,\n.widget-advert","[class^=\"ArchonLayout_containerSidebar\"]:has(> [class^=\"Advertisements\"]),\n[class^=\"ArchonLayout_stickyFooterAd\"]",".bg-\\[rgba\\(0\\,0\\,0\\,0\\.5\\)\\],\n.rounded-2xl.min-w-\\[300px\\].max-w-\\[600px\\]","#ad-blocker-nudge,\n.items-right-square,\n.remove-turtles","#onePassportModal,\n#onePassportOverlay",".adfree-banner,\n.adfree-td","[class*=\"AdContainer\"],\ndiv[class^=\"css-feed\"] > div.chakra-stack",".premium-top-banner-container",".uni-newsletter-toast","#ag-newsletter",".uscb-container-foreground,\n.uscb-email-subscription","#GD-snippet-form","div#unsupportedBrowser",".text-center.bg-gray-light",".usa-sign-up",".bottomcta-wrapper",".wrap-banner",".widget_et_ads",".subscribox",".oes-hbs-dedicated-article,\n.oes-hbs-sticky-bar",".flex.bg-gray-900.pt-12",".c-margin-top-m.ct-div-block,\n.ct-link-text","#bp_piano_homepage_newsletter_container",".separator-newsletter-redesign",".subscriptions",".quick_subscribe",".email-marketing-embed",".aside_subscribe",".bottom-right-subscribe","#ad_blocker_detect_dialog,\n.advert-panel,\n.exit-window-modal,\n.info-container2",".n13_foot_subscribe",".newsletter-sub-fixed",".py-8.bg-gradient",".sidebar_right_bottom,\n.sidebar_right_top",".interscroller-wrapper[style^=\"height: 700px; \"],\ndiv[style=\"min-height: 300px;\"]",".tni-newsletterModal","#advertisement",".email-optin-widget","#mpu-top",".menu_ad1Box",".placeholder",".disable-prompt-header",".styles__dialog__1KnWX,\n[class^=\"article_layout__signupCTA_\"],\n[href=\"https://www.hackster.io/newsletter/sign_up\"]","#gwvideo",".header-carbon","#ad_block_reminder_dialog","#leevz-io_300x250",".mt-1.mb-1.text-center",".Section-module-isBrief_subscription",".mainMenuAdBox",".framer-2ydke7-container","#subscribe-embed","#moneySquare","#trevda","#ad-block-left",".basic_mailchimp_widget","#tns-frontpage-newsletter,\n#tns-post-newsletter","#moneyMakerHolder","#mm-skin-over",".news-signup-container","div.rounded-0.alert-info.alert:nth-of-type(1)","a[href=\"/iscriviti-alla-newsletter\"]","abbo-newsletter",".nl-bottom-content",".agi-newsletter",".sib_signup_box_inside_2","div[class^=\"BoxNewsletter_\"],\ndiv[class^=\"ModalNewsletter_\"]",".custom-newsletter-container","#subscription-form",".box-hebdo",".MuiDialog-container",".mailpoet_form_popup",".form-newsletter-wrapper","#box_newsletter",".article-footer",".tuplus-newsletter","#footernews,\n.dialog-lightbox-message",".forbes-newsletter,\n.forbes-newsletter-invite",".xnc-form-general__container","a[title=\"Newsletter\"]",".nl",".boxNewsletterArticle-BUON",".form-offerte",".ma_div",".elementor-element-7c001dd6","#frm-mltchnl",".widget_wpmailup_widget","#weekly_newsletter,\n.cta_nl_ext_container",".exitpopup-modal-window","#newsletter-footer-form",".RegNewsletterBox",".subscribeDataTable",".nl-signup-frm",".mailpoet_form_widget",".email-container-footer",".essb-subscribe-form",".nlslim","#iqitpopup,\n#iqitpopup-overlay",".box_newsletter",".vb-magazine-newsletter","#jsiModalOverLayerShare,\n.md-question.js-modal-window",".blockOverlay",".mailbtn",".meter","#js-sticky-footer,\n.gap-12 > .bg-surface-secondary.p-4.lg\\:flex-col",".l-header__subscribe","#mc_embed_signup_bar,\n.pop-up-content",".suscribevertical",".newsletterPopupBtn",".flex-block-11",".widget-page__banner",".mc-embed",".sidebar__widget--newsletter","#lock_pre_desc","#suscribe",".widgetMC",".block-ao-activecampaign",".ng-star-inserted.sign-up-box",".bilten-signup","#bottombanner,\n#header > .wrapper > [class],\n.cc-banner,\n.hostBtn",".Popup-popup-T3F,\n[class*=\"Search-contentBlocker-\"]",".premodal-share",".hljs-button.signin",".get-updates,\n.pane-mailchimp-signup-ei-readers",".elementor-element-b0ed665",".newslatter-s",".wrapallwowpopup","[id^=\"reklamy\"]",".adBlocked",".experience-commerce_assets-AdvanceTextEditor,\n.top-header-banner",".iib-signup",".sidebar-signup",".wp-block-id-newsletter",".itd-nl-box",".ulp-window-container",".wp-image-9836","#addBlockModal",".chapter-bottom-ads,\n.chapter-top-ads",".article-embedded-newsletter-form,\n.hp-newsletter-form",".red.b.center.mute",".sharepost","#ms-newsletter-2","[style^=\"display: flex; align-items: center; justify-content: center;\"]",".promo-container",".in-article-signupbox",".category-bar,\n[class^=\"sp_veil\"],\n[id^=\"sp_message_panel_id\"]","#topic-notification-signup-box","#top-donation-banner,\n.donation-cta-contentbottom,\n.donation-cta-contenttop,\n.sidebar--banner",".notices","#blog-subscription-form",".previewPageSubscribe,\n.subscribeForEmail","#noty_bottom_layout_container",".textwidget","#blocked-results-banner",".signup-area",".tdm-popup-modal-over-screen",".wp-block-jetpack-subscriptions",".home-sidebar-signup",".footer__heading","#unit_a_cont",".exit_intent_pop_up-0-2-2,\n[class^=\"mobile_newsletter_\"],\n[id^=\"SubscriptionBox-react-component-\"]",".after-post",".tb-newsletter",".wpFootSuscrip","#text-10,\n#text-9",".outer-grid-container","#warning-content",".adaptive","#SubscribeForm",".has-blue-grey-very-light-background-color",".footer-daily-drop","small","#header-subscribe-button,\n#homepage-fixed-signup",".gh-cta",".js-esend-user",".ctct_form-2","#ays_tooltip",".c-footer-subscribe",".component__newsletter",".mnl-signup",".bg-lichtgrijs.p-6.md\\:py-8.lg\\:py-12.rounded-br-2xl.lg\\:rounded-br-3xl.sm\\:mx-auto.sm\\:max-w-lg.md\\:max-w-xl.lg\\:max-w-3xl.xl\\:max-w-4xl",".footer__blocks__newsletter","#ctl00_ctl00_NewsletterFooter_UpdateForm",".aanmelden",".modal-exit-intent","#adholderContainerHeader","#overlay-container","[id^=\"newsletter_\"]",".email-grid-item",".email_newsletter",".newsletter-subscribe",".signup-promo","#wa_web_headertofloor,\ndiv.commercial_space",".nieuwsbrief",".block-cta__subscribe","div[class*=\"newsletter_content-side_\"]","#ctl00_ctl00_footer_newsletter_UpdateForm","#ctl00_Newsletter_UpdateForm",".ct_footer_nieuwsbrief",".single_post_sub_form",".call-to-action__container",".widget_budgetmailer_widget_subscribe",".newsletterform","#ctl00_ctl00_newsletter_UpdateForm,\n#ctl00_newsletter_UpdateForm",".mm-popup-wrapper","#aabl-container","#formNewsletterFooter",".modal-scrollable",".news",".gkDSfm",".newsLetterSignupWrapper",".s-popup",".tw-text-white.tw-bg-gray-900",".modal-subscribe",".frm_form_fields",".container-news-sub",".main-footer__subscribe",".wufoo-form-container","#signup-component",".newsletter-nag-modal",".ArticleAttribution",".c-promo",".email-boost",".newsletter__lightbox",".curtain",".ply-backdrop","#modal-adblocker, .in.fade.modal-backdrop",".open-js-modal-full",".modal-background",".modal-newsletterModal",".uxdia-c-widget--newsletter",".wp-popup",".floating-action-wrapper,\n.has-background-yellow",".Button_button__dSklw,\n.NewsletterCTA_inner__8UZPJ",".marketo-form-block","#block-webform,\n.block-cta-block,\n.region-footer-third",".newsletter__wrapper___14iH8",".supplement",".signUp",".signup2","#corner-slider",".banner-fixed",".actionbox",".email-callout",".ac-mkto-form",".footer-social-column",".wp-block-lede-common-newsletter",".astra-advanced-hook-7207",".signup_card",".slide-in","#subscribe_container","[data-block=\"newsletter\"]",".newsletter-form-article",".hp_signup__container,\n.site-header__secondary-nav","#interContainer,\n#interVeil",".ml-embedded",".black_newsletter,\n.content_newsletter_wrapper",".signupprint",".freestar-placement","#mtExitModalPopup,\n#yeGivingTuesAlertContainer,\n.cda-newsletter","#coWondersWrapper,\n.legacy-newsletter,\ndiv[class^=\"newsArticleSignup_\"]",".main-footer",".dm-sign-form-wapper",".elementor-element-85562d2",".module-fixed-sign-up","#daily_digest_modal,\n.home_daily_digest",".earth-widget,\n.post-subscribe",".wrapper-anchor-subscribe,\n.wrapper-subscribe-form",".notice",".box","a[href*=\"/subscribe/\"]",".newsletter_popup","#subcribe-nl","#text-39",".form-view","#newsletter-block-bottom","#subscribeblock",".article-signup,\n.signup-section","#cboxWrapper",".elementor-element-1922719,\n.elementor-element-241f781c",".gv-mailchimp-form-container",".hp-topper-newsletter","#pelcro-app",".block-email-subscription-block","[id*=\"_modal_outer_\"]",".lightbox-popup","#popup-home",".icn-newsletter-block",".page-general__newsletter-btn",".nl-small-cta",".component-daily-update-sticky",".block--newsletter","#newsModel,\n#newsletter-promo-item",".PromoD,\n.PromoNewsletter","[class*=\"modal\"]",".cta_newsletters_explore","._slug__donationCard__glcwg,\n.styles_newsletterContainer__8v_OS",".gf__widget--subscribe",".in_frame_sub",".email-footer",".footer-newsletter-col",".modaal-overlay",".show.fade.modal","#wbounce-modal",".myc-subscription-form",".footer--upper",".GLSideBarSlider",".subscribe-for-updates","labcoat-promo",".alert-dismissible",".newspack-newsletters-subscribe","#connect","#pardotForm","#mc-signup-iframe",".bg-navylightblue.padding-v20",".nav__mag",".c-article-cta__inner-narrow",".block-ncr-api-emailmarketing",".pb-house-message",".s2-bottom-emailpromo,\n.simple-endofarticleemail,\n.simple-sidebar-emailsignupbox,\ndiv[style^=\"border: 1px dashed #a51c30; color: #333;\"]",".callout-end-of-story-mount-piano-wrap",".homepage-email-icon",".StayConnected",".subscribe__box,\n.subscribe__form-wrapper","#popupModal,\n.attachment-full",".wp-block-prc-block-promo",".ads-336x280,\n.amp-unresolved","#action,\n.-gg\\:1.-mb\\:3,\n.footer1-signup","[data-class=\"support-us__wrapper\"]",".signup-ad","#block-newsletterlink-2",".bb-callout,\n.promo-newsletter-signup-2",".exit-modal__shade",".subscribe__style-6","a[href=\"#newsletter\"]",".block--homepage-newsletter",".infgraphicsAttach",".header__top",".banner-wrapper",".paragraph--type--newsletter","#block-nieuwsbriefblok",".shi-subscribe","#zephr-user-form-root,\n.zephr-form-container",".shvertise-banner",".subscribe-tile","[class^=\"widget-resources_\"]",".email-signup-widget",".ga\\:component\\:main\\:homepage\\:midpage\\:tout,\n.ga\\:component\\:main\\:sidebar\\:rail-newsletter,\n.ga\\:component\\:main\\:sidebar\\:top\\:promo-image",".dk-newsletter",".c-subscribe",".txo-newsletter__outer",".c-featured-series__newsletter,\n.c-promo-modal__overlay,\n.c-sign-up","#toaster_banner,\n.cta_snippet",".infobox-icon-above-title","#firefly-poll-container,\n.tgp-ic-subscribe-box",".subscribe-sticky",".widget_brainpickings_newsletter_midweek_vertical_widget,\n.widget_brainpickings_newsletter_vertical_widget",".cta--subscribe,\n.promotion--newsletter",".email-signup-v2-js,\n.post-footer-subscribe-promo,\n.toast-notifications-container",".mdl-fixed-informer,\n.mdl-section-subscribe,\n.tml-in-content-block--subscribe",".signup-cta,\n.support-cta",".rail-enews",".mui-style-19k9qdy",".widget_text","#newsletter__sticky,\n.newsletter__block",".has-background.homepage-posts__style-7","#req_login_reg_interrupt,\n#window_overlay",".shop-promo",".Campaign__innerWrapper,\n.WallOfLinks_actions__cAUTE","#toplink",".button-floating",".promo-block",".fajardo-campaign","#ad-top-dsk,\n.adx1",".newsletter-post","#newsletterOnline-68",".box-adv","#adblocker",".popupNewsletter",".t-s18-i",".newsletter-subscription-form",".t-footer-nl",".obs-cta",".t-d6-nl-1",".fusion-builder-row-5","#block-23",".nl-content,\n.sidebar-nl",".subscribers-area",".text-warning",".subscribe_popup,\n.subscribe_wid",".bss_show_subscribe",".journal-subscribe","[href=\"/bulletin\"]","#ad-zone-panorama",".subscribe-sec","#signup-wrapper","#NewsletterPopup-newsletter-popup",".NewsletterSignup_wrapper__rmf2c",".e_newsletters",".box-mail-chimp",".popup_bg",".alert-errors.in.fade.alert",".totally-not-an-ad",".jw-reset.jw-error",".kanews-banner",".com-onboarding-OnboardingModalContainerView--enter-done","#formNL",".newsletter-page","#text-43",".aviso",".footer--signup",".np_signup_container",".mail-subscribe-user",".bn-subscribe,\n.coronavirus_subscribe",".social-signup--container",".block-custom-mailchimp-subscription",".modular-footer-socials",".main-sign-up","#abandonednewsletter",".subscribe1",".mail-best-v2-wrapper_1jvCah-U,\n.newsletter-modal-shopping",".digital-download-wrapper",".footer-newsletterTop",".dfp-ad,\n.mar-block-ad",".c-infobar-wrapper",".contact-box--article",".jsFixedMessage","#news",".sendysubscribe","#footerPrompt,\n.newsletter-component,\n.tp-active",".inews__email-signup,\n.inews__masthead",".styles_DesktopBottomBarSubscriptionForm_21C_s",".modal-window,\n.new-nl-popup","#alert-box-multiple,\n#alert-footer-div",".button-wrap-large","#info-popup-overlay,\n#voucher-request-popup",".sidebar_nl",".metro-email-signup,\n.metro-email-signup-mpu,\n.spot-im-spotlight",".email__toaster-component",".wrapNewsletterFooter","#po-inline-article-above","#lootly-widget",".NewsletterSignup_wrapper__mTmqu",".subscribe-popup-container",".background--dark,\n.ub-emb-container","#ajaxNewsletter",".section--blue.section,\n.subscription-popup",".gform_fields",".css-17zlb8c",".martech-newsletter-unit",".newsletter-container-placeholder","[data-newsletter]","#onExit",".ToolSignpost__container--1h2Ap",".front-newsletter",".footer__mailing",".promotion-messages",".listings_sign_up",".h-newslatter--newsletter",".subscribe-section-container",".stay_connected",".move-social__inner","section[data-testid=\"newsletter-section\"]","#widgetNewsHolder,\n.nsl-form-container",".teaser__shoulder-banner--newsletter","#danger_adblock",".top-subscribe",".newsletter-subscription-cta-wrapper","#register-popup-backdrop,\n.register-modal-popup-wrapper",".mailer-signup-sidebar",".mk-subscribe-link","#omnisend-form-6374e71bfb02cc636d393258",".sc-kkGfuU.ufUAH",".subscribe-input-box,\n.v-alert","#mc_embed_signup1,\n#overlayPromo,\n.markets-widget,\n.markets-widget-content",".feed-newsletter",".css-16esypq","#text-37","#itro_opaco,\n#itro_popup","#omnisend-form-63c2e367547ff69603390250-submit-form,\n.emthemesModez-footer-newsletter",".top-newsletter",".subswrapper","#subscribeWrapper","#fde_bar"];

const hostnamesMap = new Map([["spielspiele.de",0],["ibtimes.com.au",2],["forbestravelguide.com",[2,3]],["westhawaiitoday.com",[2,3,1819]],["gatestoneinstitute.org",[2,2256]],["globalvoices.org",[2,3,2258]],["sinya.com.tw",[2,3]],["md5hashing.net",[6,2117]],["autonomous.ai",8],["stability.ai",9],["recoveryguru.com.au",9],["brucelee.com",9],["clereviewofbooks.com",9],["fridaythings.com",[9,851]],["ooshtush.com",9],["paleofuture.com",9],["rgmwatches.com",9],["unifiedpatents.com",9],["worldofreel.com",9],["eli.org.nz",9],["jphs.org",9],["rai.ac.uk",9],["bodyweightwarrior.co.uk",9],["unremarkable.ai",10],["armradio.am",11],["expansao.co.ao",12],["randaris.app",13],["lacapital.com.ar",14],["metrotime.be",14],["alreporter.com",14],["americanmilitarynews.com",[14,340]],["appleinsider.com",14],["benwajdi.com",14],["bisnis.com",14],["biznews.com",[14,470,471]],["bowenislandundercurrent.com",14],["burelfactory.com",14],["burnabynow.com",14],["californiasunday.com",14],["capitolhillseattle.com",14],["caribjournal.com",[14,334,534]],["chinafile.com",14],["churchmilitant.com",[14,566]],["cinainitalia.com",14],["circuitdigest.com",14],["convertingcolors.com",14],["culturemap.com",[14,649]],["dailyfreepress.com",14],["delta-optimist.com",14],["ebar.com",[14,731]],["exstreamist.com",14],["firstpost.com",14],["funcheap.com",14],["ghafla.com",[14,884]],["howlermagazine.com",14],["idropnews.com",[14,982,983]],["informagiovani-italia.com",14],["itm.com",14],["kyivpost.com",14],["lapatilla.com",14],["lascimmiapensa.com",14],["leoweekly.com",14],["majorgeeks.com",14],["national-justice.com",14],["newsshooter.com",14],["newzimbabwe.com",14],["nextbigfuture.com",14],["nsnews.com",14],["ny1.com",[14,488,1301]],["onorient.com",14],["pcgamesn.com",14],["planetware.com",14],["playstationbit.com",14],["politifact.com",[14,1384]],["portlandmercury.com",14],["prescouter.com",[14,378]],["punchng.com",14],["richmond-news.com",14],["russia-insider.com",14],["thedrinknation.com",[14,17]],["thegrayzone.com",14],["theloadout.com",14],["thestandnews.com",14],["thestranger.com",14],["thethaiger.com",14],["tricitynews.com",14],["union-bulletin.com",14],["wayfm.com",14],["winedharma.com",14],["gamereactor.dk",14],["engineering.columbia.edu",14],["gamereactor.es",14],["gamereactor.eu",14],["demokraatti.fi",14],["gamereactor.fi",14],["gamereactor.fr",14],["publinews.gt",14],["dv.is",14],["grapevine.is",14],["agenziaimpress.it",14],["davidemaggio.it",14],["ilfarosulmondo.it",14],["ilprimatonazionale.it",14],["meteonetwork.it",14],["moked.it",14],["money.it",14],["pallacanestrotrieste.it",14],["pharmacyscanner.it",14],["techzilla.it",14],["tvsvizzera.it",14],["vvox.it",14],["businessinsider.mx",14],["thestar.com.my",14],["francescocosta.net",14],["indiaclimatedialogue.net",14],["ticotimes.net",14],["volkskrant.nl",[14,111]],["gamereactor.no",14],["resett.no",14],["scoop.co.nz",14],["cjr.org",[14,23,2232]],["current.org",14],["iowapublicradio.org",14],["sfpublicpress.org",[14,33]],["worldhistory.org",14],["wpr.org",14],["dailytimes.com.pk",14],["kliknijwzdrowie.pl",14],["gamereactor.se",14],["trancentral.tv",14],["mg.co.za",14],["letrap.com.ar",15],["globo.com",[15,131]],["intego.com",[15,1010]],["news24.com",[15,1261]],["phonearena.com",15],["sundayworld.com",[15,1574]],["recepty.cz",15],["deutschland.de",15],["discover.lanl.gov",15],["elfinanciero.com.mx",15],["alarabiya.net",15],["tn.com.ar",16],["voydeviaje.com.ar",17],["kleinezeitung.at",17],["crazysales.com.au",[17,46]],["essentialbaby.com.au",17],["essentialkids.com.au",17],["goodfood.com.au",17],["ozbargain.com.au",[17,76]],["taste.com.au",17],["goodbye.be",17],["voetbalnieuws.be",17],["administradores.com.br",17],["bitmag.com.br",17],["estadao.com.br",17],["estrelando.com.br",17],["fdr.com.br",17],["imasters.com.br",17],["jornaldebrasilia.com.br",17],["pinkluna.com.br",17],["portalinsights.com.br",17],["verdesmares.com.br",17],["cdt.ch",17],["elmostrador.cl",17],["capx.co",[17,33]],["2gb.com",17],["a2zphoneselectronics.com",17],["aawsat.com",[17,23]],["addictivetips.com",[17,70]],["adventures.com",17],["airqualitynews.com",17],["aldianews.com",17],["algemeiner.com",[17,323]],["antlionaudio.com",17],["apracticalwedding.com",17],["arab24.com",17],["arcade1up.com",[17,362]],["artnews.com",17],["atimes.com",17],["atlantadailyworld.com",17],["autoguide.com",17],["automotive-fleet.com",17],["basketinside.com",17],["billboard.com",17],["biometricupdate.com",17],["boerse-express.com",17],["bostonglobe.com",17],["bostonmagazine.com",17],["brooklynbased.com",17],["businessfleet.com",17],["carolinajournal.com",17],["chicagodefender.com",17],["clubic.com",[17,585]],["cnn.com",[17,589,590]],["completesportsnigeria.com",17],["condominioweb.com",17],["corsedimoto.com",17],["crn.com",[17,636]],["cronista.com",17],["cuisineetvinsdefrance.com",17],["cyberscoop.com",17],["dazeddigital.com",17],["deichmann.com",17],["denofgeek.com",17],["diepresse.com",[17,695]],["digiday.com",17],["dirt.com",17],["discoverymedia.com",17],["dojacat.com",17],["dreambigtravelfarblog.com",[17,711,712]],["edscoop.com",17],["electroeshop.com",17],["electronicsweekly.com",[17,59]],["enstarz.com",17],["epicurious.com",17],["etonline.com",[17,766]],["euractiv.com",17],["everymarket.com",17],["familyhandyman.com",17],["fandom.com",17],["fantamagazine.com",17],["fashionotes.com",17],["fedscoop.com",17],["fleetfinancials.com",17],["focusardegna.com",17],["forbesafrica.com",17],["gizchina.com",17],["goodrx.com",[17,893]],["government-fleet.com",17],["grandandtoy.com",17],["greatbritishchefs.com",[17,900]],["greenbot.com",[17,59]],["hannity.com",17],["healthday.com",17],["hits973.com",17],["hngn.com",17],["hodinkee.com",17],["hollywoodreporter.com",17],["horse-canada.com",[17,968]],["huffpost.com",17],["iltascabile.com",17],["infoq.com",[17,44]],["inthesetimes.com",[17,1013]],["investopedia.com",[17,331]],["itechpost.com",[17,1031]],["jdpower.com",17],["jewishjournal.com",[17,600]],["jfrog.com",17],["jornaldocomercio.com",17],["shop.juliamichaelsofficial.com",17],["laopinion.com",17],["laprensafl.com",17],["laraza.com",17],["lctmag.com",17],["leitgamhof.com",17],["life.com",17],["livability.com",17],["longislandpress.com",[17,1127]],["maritimejobs.com",17],["massivesci.com",17],["michiganchronicle.com",17],["mlb.com",17],["moodiedavittreport.com",17],["motorionline.com",17],["multichannel.com",17],["muscleandfitness.com",17],["newbeauty.com",17],["newpittsburghcourier.com",17],["newrepublic.com",[17,1259]],["newsdeeply.com",17],["nofilmschool.com",17],["noticiasrcn.com",17],["out-law.com",17],["passioneinter.com",17],["phonandroid.com",[17,558]],["piriform.com",17],["pitchfork.com",17],["pomade.com",17],["psfk.com",17],["qualitymobilevideo.com",17],["quickanddirtytips.com",17],["rainbowplantlife.com",17],["recombu.com",17],["redsharknews.com",17],["roguefitness.com",17],["rollingstone.com",17],["salon.com",[17,1475]],["sapstjean.com",17],["saucemagazine.com",17],["scarpescarpestore.com",17],["schoolbusfleet.com",17],["screencrush.com",17],["servers4less.com",17],["servus.com",17],["sheknows.com",17],["skyairline.com",17],["slashfilm.com",17],["sourcingjournal.com",17],["speedcafe.com",17],["sportico.com",[17,1544]],["spy.com",17],["startpage.com",17],["statescoop.com",[17,59]],["surfer.com",17],["surveillance-video.com",17],["tasteofhome.com",17],["techbeat.com",17],["technologygalaxy.com",17],["teksavvy.com",17],["tenniscircus.com",17],["thawrah2day.com",17],["the-decoder.com",17],["theblaze.com",[17,1510,1633]],["thedp.com",17],["theepochtimes.com",[17,1650]],["themeshreport.com",17],["thenevadaindependent.com",17],["theodysseyonline.com",17],["thetruthaboutcars.com",[17,23,1696]],["time.com",[17,1712]],["timesofisrael.com",[17,1717]],["topdocumentaryfilms.com",17],["toutelanutrition.com",[17,1733]],["travelweekly.com",17],["tech.trivago.com",17],["truckinginfo.com",17],["truthdig.com",[17,1746]],["tuasaude.com",17],["tvquran.com",17],["twice.com",[17,59]],["twitchy.com",17],["undercurrentnews.com",17],["usatoday.com",[17,991,1775]],["mmajunkie.usatoday.com",17],["variety.com",17],["vibe.com",17],["violanews.com",17],["vtvgujarati.com",17],["wgnamerica.com",17],["wikihow.com",[17,1831]],["wikitribune.com",17],["wizworkwear.com",17],["workscoop.com",17],["worktruckonline.com",17],["wwd.com",[17,1846]],["4investors.de",17],["airliners.de",17],["alexander-wallasch.de",17],["delamar.de",17],["euractiv.de",17],["fliegermagazin.de",17],["silicon.de",[17,1894]],["the-decoder.de",17],["ukraine-nachrichten.de",[17,1901]],["ccmagazine.es",17],["silicon.es",[17,1894]],["juvenews.eu",17],["voxeurop.eu",[17,1933]],["kipparilehti.fi",17],["superfly.fm",17],["francetvinfo.fr",[17,1959,1960]],["lanutrition.fr",17],["trendy.letudiant.fr",17],["offresasaisir.fr",17],["hottopics.ht",17],["atlatszo.hu",17],["ezalenyeg.hu",17],["fmc.hu",17],["israeltoday.co.il",17],["hdwallpapers.in",17],["sangbadpratidin.in",17],["forzaroma.info",17],["madeinbz.info",17],["01net.it",[17,2039]],["advisoronline.it",17],["astrooroscopo.it",17],["bintmusic.it",17],["bolzano-bozen.it",17],["brindisisera.it",17],["carpicalcionews.it",17],["chiesadimilano.it",17],["cittaceleste.it",17],["digitaleterrestrefacile.it",17],["dissipatio.it",17],["fcinter1908.it",17],["gazzamercato.it",17],["giornaledibrescia.it",[17,2059]],["gogedizioni.it",17],["golssip.it",17],["ilgiorno.it",[17,1265]],["ilmilanista.it",17],["ilposticipo.it",17],["ilrestodelcarlino.it",[17,1265]],["ilsecoloxix.it",17],["itasportpress.it",17],["key4biz.it",17],["lanazione.it",[17,1265]],["legab.it",17],["lescienze.it",17],["linkiesta.it",17],["lintellettualedissidente.it",[17,23]],["lvh.it",17],["mediagol.it",17],["meteolive.it",17],["mondoudinese.it",17],["numericalcio.it",17],["pianetamilan.it",17],["rivistacontrasti.it",17],["sassuolocalcionews.it",17],["sportavellino.it",17],["swz.it",17],["theitaliantimes.it",17],["tuttobolognaweb.it",17],["valori.it",17],["the-star.co.ke",17],["aeroporto.net",17],["hcb.net",17],["ilsussidiario.net",17],["mcsweeneys.net",17],["nooun.net",17],["pianetagenoa1893.net",17],["quotidiano.net",[17,1265]],["toronews.net",17],["transworld.net",17],["verportugal.net",17],["crypto.news",17],["oilcity.news",17],["torresette.news",17],["web3wire.news",17],["gooieneemlander.nl",17],["haarlemsdagblad.nl",17],["handdoekentoiletpapier.nl",17],["leidschdagblad.nl",17],["nieuwrechts.nl",17],["noordhollandsdagblad.nl",17],["participaties.nl",17],["cheapies.nz",17],["eventfinda.co.nz",17],["clevelandclinic.org",17],["doktersvandewereld.org",17],["goodnet.org",17],["icij.org",[17,2262]],["indypendent.org",17],["news.jstor.org",17],["kpfa.org",17],["nationalinterest.org",[17,2293]],["paidcontent.org",17],["pbs.org",[17,235,2301]],["revealnews.org",17],["sciencemag.org",17],["sfitalianheritage.org",17],["usopen.org",17],["bit.pt",17],["cmjornal.pt",17],["dn.pt",17],["jornaldenegocios.pt",17],["record.pt",17],["sabado.pt",17],["sapo.pt",17],["voltaaomundo.pt",17],["evz.ro",17],["ziarulevenimentul.ro",17],["deraktionaer.tv",17],["i24news.tv",17],["padovasport.tv",17],["syria.tv",17],["tunisna.tv",17],["1stplace4trophies.co.uk",17],["boardgameprices.co.uk",17],["bodybuildingwarehouse.co.uk",17],["coachmag.co.uk",17],["maplin.co.uk",17],["muslimnews.co.uk",17],["prospectmagazine.co.uk",17],["silicon.co.uk",[17,1894]],["tuffshop.co.uk",17],["paratimujer.us",17],["timeslive.co.za",17],["calvinklein.at",18],["calvinklein.be",18],["calvinklein.bg",18],["calvinklein.ch",18],["calvinklein.com",18],["calvinklein.cz",18],["calvinklein.de",18],["calvinklein.dk",18],["calvinklein.ee",18],["calvinklein.es",18],["calvinklein.fi",18],["calvinklein.fr",18],["calvinklein.hr",18],["calvinklein.hu",18],["calvinklein.ie",18],["calvinklein.it",18],["calvinklein.lt",18],["calvinklein.lu",18],["calvinklein.lv",18],["calvinklein.nl",18],["calvinklein.pl",18],["calvinklein.pt",18],["calvinklein.ru",18],["calvinklein.se",18],["calvinklein.si",18],["calvinklein.sk",18],["calvinklein.co.uk",18],["eschuhe.at",19],["obuvki.bg",19],["eschuhe.ch",19],["eobuv.cz",19],["eschuhe.de",19],["zapatos.es",19],["chaussures.fr",19],["epapoutsia.gr",19],["ecipele.hr",19],["ecipo.hu",19],["escarpe.it",19],["eapavi.lv",19],["eobuwie.com.pl",19],["epantofi.ro",19],["eskor.se",19],["eobuv.sk",19],["evzuttya.com.ua",19],["falter.at",20],["laendlejob.at",[21,22]],["generalpants.com",[21,22]],["visittopeka.com",21],["audiofilemagazine.com",[22,391]],["modern-banking.at",23],["gardeningaustralia.com.au",23],["getprice.com.au",23],["intersport.com.au",23],["mattinonline.ch",23],["7digital.com",23],["alligator-sunglasses.com",23],["bloomberg.com",[23,478]],["boldsky.com",23],["download3k.com",23],["drivespark.com",23],["deploy.equinix.com",23],["filmibeat.com",23],["gainkit.com",23],["gamblingitalia.com",23],["gizbot.com",23],["heraldextra.com",23],["hispantv.com",23],["keshaofficial.com",23],["langenscheidt.com",23],["leseclaireuses.com",23],["mayoclinic.com",23],["movies.com",23],["nativeplanet.com",23],["ohmyrockness.com",23],["oneindia.com",23],["pdfcoffee.com",23],["penny-arcade.com",23],["petroleumservicecompany.com",23],["producebluebook.com",23],["rivistastudio.com",23],["styleite.com",23],["tennismajors.com",23],["termometropolitico.com",23],["vidaextra.com",23],["modern-banking.de",23],["acento.com.do",23],["acpm.fr",23],["largus.fr",23],["lepoint.fr",23],["misya.info",23],["codefresh.io",23],["agriaffaires.it",23],["atalanta.it",23],["ilfattoalimentare.it",[23,2063,2064]],["lacnews24.it",23],["monitorimmobiliare.it",23],["radiospeaker.it",23],["silhouettedonna.it",23],["soldioggi.it",23],["sscnapoli.it",23],["termometropolitico.it",23],["terranuova.it",23],["valgardena.it",23],["opendemocracy.net",[23,2125]],["salemnews.net",[23,1195]],["envol-vert.org",[23,887,1088]],["malwarebytes.org",23],["pewforum.org",23],["publicradio.org",23],["quantamagazine.org",[23,70,2312]],["scottishrugby.org",23],["wdcb.org",23],["iol.pt",23],["fundatiacaleavictoriei.ro",23],["dailymaverick.co.za",23],["refurbed.at",24],["refurbed.de",24],["refurbed.dk",24],["refurbed.fr",24],["refurbed.ie",24],["refurbed.it",24],["refurbed.nl",24],["refurbed.se",24],["sn.at",25],["teufelaudio.at",26],["teufelaudio.be",26],["teufel.ch",26],["spigen.com",26],["teufelaudio.com",26],["teufel.de",26],["teufelaudio.es",26],["teufelaudio.fr",26],["teufelaudio.it",26],["teufelaudio.nl",26],["tvgids.nl",26],["teufelaudio.pl",26],["thegap.at",27],["thelocal.at",28],["thelocal.ch",28],["thelocal.de",[28,1900]],["thelocal.dk",28],["thelocal.es",[28,1900]],["thelocal.fr",28],["thelocal.it",[28,1900]],["thelocal.no",28],["thelocal.se",28],["wheresyoured.at",29],["allbirds.com.au",30],["allbirds.com",30],["allbirds.co.nz",30],["arb.com.au",31],["australianfrequentflyer.com.au",32],["australiangolfdigest.com.au",33],["thecanary.co",[33,258]],["artificialintelligence-news.com",[33,371]],["coloradotimesrecorder.com",33],["hypebot.com",33],["moneymagpie.com",33],["thefreethoughtproject.com",33],["thurrott.com",[33,1710]],["total-croatia-news.com",33],["fatgirlskinny.net",33],["matomo.org",[33,2281]],["mercadonegro.pe",33],["verdadeiroolhar.pt",33],["australianorganicproducts.com.au",34],["deal4.ca",[34,164]],["unwiredshop.ca",34],["runninwildkids.co",34],["jdstorefashion.com",34],["phyllisdunn93.myshopify.com",34],["pixibow.com",34],["winnerscircle.com",34],["ish.guitars",34],["bodynutritionuk.co.uk",34],["autoaction.com.au",35],["bandt.com.au",[36,37]],["underarmour.com.au",[36,102]],["underarmour.com.br",[36,102]],["factorydirect.ca",[36,170]],["frontrunners.ca",[36,37]],["journeys.ca",[36,185]],["niagarafallsreview.ca",[36,198]],["stcatharinesstandard.ca",[36,198]],["trutone.ca",[36,37]],["underarmour.ca",[36,102]],["wellandtribune.ca",[36,198]],["underarmour.cl",[36,102]],["thecradle.co",[36,37,259]],["tinysociety.co",[36,37]],["abeka.com",[36,290]],["artnet.com",[36,37]],["artstation.com",[36,376]],["atlasobscura.com",[36,386]],["ba-bamail.com",[36,37,407]],["babylonbee.com",[36,409,410]],["bankbazaar.com",[36,420]],["baybloorradio.com",[36,37]],["bellhelmets.com",[36,37]],["bibleportal.com",[36,37]],["bongino.com",[36,37,485]],["boredpanda.com",[36,37]],["breakingdefense.com",[36,501]],["dgmlive.com",[36,37]],["dollartree.com",[36,709]],["drinkfreshjuice.com",[36,717]],["fermatslibrary.com",[36,37]],["freshbooks.com",[36,848]],["geopoliticalmonitor.com",[36,880]],["groundies.com",[36,907]],["humanevents.com",[36,37]],["idsnews.com",[36,984]],["insauga.com",[36,37,1001]],["lensculture.com",[36,37]],["littleburgundyshoes.com",[36,1117]],["lull.com",[36,37]],["mbt-store.com",[36,1155]],["media4growth.com",[36,37,1162]],["www.microsoft.com",[36,1185]],["moneycontrol.com",[36,37,1206]],["moroccoworldnews.com",[36,37,1213]],["nordvpn.com",[36,1287]],["nycgo.com",[36,37]],["omr.com",[36,1321]],["otterbox.com",[36,37,1340]],["patch.com",[36,37,1353]],["poolsupplies.com",36],["prompthero.com",[36,1397]],["publish0x.com",[36,1404]],["pulseuniform.com",[36,37,1406]],["pv-magazine.com",[36,693]],["www.razer.com",[36,1429]],["saksfifthavenue.com",[36,37,1473]],["saluhallmarket.com",[36,183,1013]],["scmagazine.com",[36,37,778,1487]],["scottishlegal.com",[36,1489]],["staradvertiser.com",[36,805,1554]],["szucstermekek.com",[36,37]],["thepeterboroughexaminer.com",[36,198]],["thepostmillennial.com",[36,37,1685]],["therecord.com",[36,198,357]],["thespec.com",[36,198]],["thestar.com",[36,1691]],["uinterview.com",[36,37,1763]],["underarmour.com",[36,102]],["vegnews.com",[36,37]],["wafuu.com",[36,1805]],["wateronline.com",[36,37,1816]],["worlddogfinder.com",[36,37]],["zorbabooks.com",[36,37]],["zumub.com",[36,37]],["underarmour.de",[36,102]],["underarmour.es",[36,102]],["trucksbook.eu",36],["underarmour.eu",[36,102]],["underarmour.fr",[36,102]],["de-santis.it",[36,37]],["underarmour.it",[36,102]],["underarmour.com.mx",[36,102]],["underarmour.com.my",[36,102]],["cataz.net",[36,2099]],["liga.net",[36,2114]],["bolddata.nl",[36,2162]],["underarmour.nl",[36,102]],["apotekfordeg.no",[36,232]],["ballantynes.co.nz",[36,2185]],["bizpromo.co.nz",[36,37]],["drinkspy.co.nz",36],["mightyape.co.nz",[36,2197]],["protel.co.nz",36],["underarmour.co.nz",[36,102]],["knowablemagazine.org",[36,37,232,2270]],["shop.pbs.org",[36,37]],["projectcbd.org",[36,37]],["fruugo.co.uk",[36,37]],["pbsamerica.co.uk",[36,37]],["toysrus.ca",[37,217]],["ardene.com",37],["biglots.com",37],["fanatics.com",37],["fwrd.com",[37,861]],["history.com",[37,959,960]],["kenyabuzz.com",37],["opositiv.com",[37,1330]],["revolve.com",[37,861]],["thebrick.com",[37,801]],["vogue.com",[37,1800]],["tradedepot.co.nz",[37,2206]],["adpri.org",[37,439]],["answear.ua",37],["beautycrew.com.au",38],["broadsheet.com.au",39],["cityam.com",[39,120]],["canberratimes.com.au",40],["theland.com.au",40],["carsales.com.au",41],["carsguide.com.au",42],["chasingcars.com.au",43],["christiantoday.com.au",44],["mamamia.com.au",[44,67]],["newegg.ca",44],["save.ca",[44,206]],["faithpot.com",44],["newegg.com",44],["onmilwaukee.com",44],["paloaltonetworks.com",[44,1169]],["theenergymix.com",[44,1649]],["heatmap.news",44],["christiantoday.co.nz",44],["oversixty.co.nz",44],["countryroad.com.au",45],["crikey.com.au",47],["dicksmith.com.au",48],["mattblatt.com.au",48],["kogan.com",48],["dicksmith.co.nz",48],["drive.com.au",49],["examiner.com.au",50],["factoryfast.com.au",51],["orka.ca",51],["pastimesports.ca",51],["a1supplements.com",51],["allyouplay.com",51],["globaleparts.com",51],["jj-motorsports.com",51],["mavigadget.com",51],["myvillagegreen.com",[51,278]],["nevstudio.com",51],["northwestohioliquidations.com",51],["noticethereckless.com",51],["recstuff.com",51],["santiemidwest.com",51],["skinhelpzone.com",51],["thetruthbeautycompany.com",51],["toolsplus.com",51],["orbitgear.net",51],["huskymoto.co.uk",51],["supplementschester.co.uk",51],["snatcher.co.za",[51,2457]],["startmycar.co.za",51],["fantasticfurniture.com.au",52],["forbes.com.au",53],["forkneasy.com.au",54],["gizmodo.com.au",55],["kotaku.com.au",55],["lifehacker.com.au",55],["hardtofind.com.au",56],["harrisscarfe.com.au",57],["anacondastores.com",57],["spotlightstores.com",57],["i-tech.com.au",58],["ilglobo.com.au",59],["indaily.com.au",59],["lafiamma.com.au",59],["mumbrella.com.au",[59,70]],["smartcompany.com.au",59],["rabble.ca",[59,200]],["404media.co",[59,241]],["a-z-animals.com",[59,284]],["alhurra.com",59],["attn.com",59],["bamargera.com",59],["blackagendareport.com",59],["boardingarea.com",59],["broadwayworld.com",[59,509,510]],["cheeserank.com",59],["chicagomag.com",59],["cityandstateny.com",[59,574]],["coincodex.com",59],["coinspeaker.com",[59,603]],["cointelegraph.com",59],["cybernews.com",59],["defenseone.com",[59,574]],["divascancook.com",59],["downshiftology.com",59],["ebayinkblog.com",59],["fcw.com",[59,574]],["foxnews.com",[59,118]],["freshersworld.com",59],["fromthegrapevine.com",[59,855]],["gadgets360.com",59],["gcn.com",[59,574]],["gellerreport.com",59],["gimmesomeoven.com",[59,62]],["govexec.com",[59,897]],["greece-is.com",59],["hpcwire.com",[59,971]],["inc-aus.com",59],["irishpost.com",[59,1027]],["jewishinsider.com",[59,1042]],["kristineskitchenblog.com",[59,298]],["livewellbakeoften.com",59],["messynessychic.com",59],["miaminewtimes.com",[59,511]],["mouser.com",59],["naij.com",59],["nationalpost.com",[59,343]],["ndtv.com",[59,1248]],["newsmaxtv.com",59],["newsthump.com",59],["nextgov.com",59],["notquitenigella.com",59],["outerplaces.com",59],["pando.com",59],["pandodaily.com",59],["parentherald.com",59],["people.com",59],["poundsterlinglive.com",59],["rbth.com",59],["recipetineats.com",59],["route-fifty.com",59],["searchengineland.com",[59,1496]],["selenagomez.com",59],["seroundtable.com",[59,1505]],["space.com",59],["spoonuniversity.com",59],["svpino.com",59],["ted.com",[59,1613]],["teenchatdecoder.com",59],["theaircurrent.com",59],["thechunkychef.com",[59,172]],["thecookierookie.com",59],["topflightautomotive.com",59],["tv.com",59],["up.com",59],["vagabomb.com",59],["venezuelastar.com",59],["viewfromthewing.com",59],["wackymania.com",59],["washingtontechnology.com",[59,574]],["wccftech.com",[59,1819]],["windows7news.com",59],["today.ucsd.edu",59],["news.usc.edu",59],["doordash.engineering",[59,1918]],["shopify.engineering",59],["allocine.fr",[59,1947]],["defense.gov",59],["android.gs",59],["newsclick.in",59],["professionearchitetto.it",59],["tuko.co.ke",[59,2083]],["damndelicious.net",[59,1494]],["techeye.net",59],["naija.ng",59],["jbhifi.co.nz",59],["player.one",59],["al-shabaka.org",59],["artscanvas.org",59],["gotquestions.org",59],["mpr.org",59],["skiptomylou.org",59],["stream.org",59],["therichest.org",59],["dailyfeed.co.uk",59],["briefly.co.za",59],["mygaming.co.za",[59,1395]],["politicsweb.co.za",59],["tourismupdate.co.za",59],["innovations.com.au",60],["adweek.com",60],["avclub.com",60],["bloomberglinea.com",60],["chicoer.com",60],["coloradodaily.com",60],["coloradohometownweekly.com",60],["dailybreeze.com",60],["dailybulletin.com",60],["dailycamera.com",60],["dailydemocrat.com",60],["dailynews.com",60],["deadspin.com",60],["denverpost.com",60],["detroitnews.com",60],["dw.com",60],["eastbaytimes.com",60],["eco-business.com",[60,732]],["euobserver.com",[60,160]],["eurweb.com",60],["gizmodo.com",60],["helpnetsecurity.com",60],["infowars.com",60],["jalopnik.com",60],["japantoday.com",60],["jezebel.com",[60,87]],["kake.com",60],["kotaku.com",60],["lifehacker.com",[60,1109]],["lowellsun.com",60],["marinij.com",60],["mendocinobeacon.com",60],["mercurynews.com",[60,1181]],["montereyherald.com",60],["ocregister.com",60],["orovillemr.com",60],["paradisepost.com",60],["pasadenastarnews.com",60],["pe.com",60],["post-gazette.com",60],["presstelegram.com",60],["readingeagle.com",60],["record-bee.com",60],["redbluffdailynews.com",60],["redlandsdailyfacts.com",[60,1439]],["santacruzsentinel.com",60],["scotsman.com",[60,343]],["spokesman.com",[60,1543]],["thereporter.com",60],["theroot.com",60],["thetakeout.com",60],["times-standard.com",60],["timesheraldonline.com",60],["ukiahdailyjournal.com",60],["whittierdailynews.com",60],["willitsnews.com",60],["wsj.com",[60,1843]],["web.dev",60],["corriere.it",60],["stuff.co.nz",60],["pap.pl",60],["telegraph.co.uk",[60,2427]],["investordaily.com.au",[61,62]],["egyptianstreets.com",62],["evonomics.com",[62,776]],["macrumors.com",62],["reductress.com",62],["theawesomer.com",62],["themichiganstar.com",62],["theminnesotasun.com",62],["theohiostar.com",62],["wweek.com",62],["reliefweb.int",62],["dagelijksestandaard.nl",62],["italianluxurygroup.com.au",63],["tweeters.ca",63],["shop.libbey.com",63],["tiedex.co.uk",63],["jbhifi.com.au",64],["kathmandu.com.au",65],["kathmandu.co.nz",65],["localthreads.com.au",66],["halseymusicstore.com",66],["store.lizzomusic.com",66],["michaelwest.com.au",68],["designersbrasileiros.com.br",68],["dailynewshungary.com",68],["justrunlah.com",68],["osxdaily.com",68],["roadiscalling.com",68],["upinthesky.nl",68],["fosspost.org",68],["motoring.com.au",69],["womensagenda.com.au",69],["navyhistory.au",69],["centralmaine.com",69],["pv-magazine-usa.com",[69,183]],["sunjournal.com",69],["thecollegefix.com",69],["threatpost.com",69],["trendingpolitics.com",[69,693]],["tylerwoodgroup.com",69],["wvexplorer.com",69],["yellowhammernews.com",69],["euractiv.it",69],["mondoweiss.net",69],["kusc.org",69],["whoprofits.org",69],["catholicherald.co.uk",69],["additudemag.com",[70,299]],["armytimes.com",70],["biblegateway.com",[70,453]],["biopharmadive.com",70],["insidehook.com",[70,1004]],["moon.com",70],["motorsportweek.com",70],["tatemcrae.com",70],["theafricareport.com",[70,1624]],["tripstodiscover.com",70],["tubefilter.com",[70,488,1750]],["elie.net",70],["fullfact.org",70],["thecourier.co.uk",70],["reinsurancene.ws",70],["mwave.com.au",71],["applefirmwares.com",71],["mycause.com.au",72],["mince.nl",72],["officeworks.com.au",73],["onelifeadventures.com.au",74],["outandaboutwithkids.com.au",75],["ozsale.com.au",77],["popsugar.com.au",78],["press-start.com.au",79],["quarterlyessay.com.au",80],["australianforeignaffairs.com",80],["rosmancomputers.com.au",81],["t-shirt.ca",81],["edmfast.com",81],["joelinksstore.com",81],["priceblaze.com",81],["theonlinedrugstore.com",81],["youritdelivered.com",81],["rtrfm.com.au",82],["runningwarehouse.com.au",83],["sbs.com.au",84],["coxautoinc.com",84],["dezeen.com",84],["discogs.com",84],["soft112.com",84],["altreconomia.it",84],["spectator.com.au",85],["spendless.com.au",[86,87]],["advocate.com",[87,306]],["out.com",87],["pastemagazine.com",87],["popsci.com",87],["san.com",[87,160,232,1478]],["weeklyrecess.com",87],["nextplz.fr",87],["sportsgirl.com.au",88],["canadianbestseller.com",[88,530]],["moon-audio.com",88],["styletread.com.au",89],["styletread.co.nz",89],["supplementwarehouse.com.au",90],["target.com.au",91],["techguide.com.au",[92,93]],["codeur.com",92],["digitalfernsehen.de",92],["templeandwebster.com.au",94],["thegoodguys.com.au",95],["theiconic.com.au",96],["govtech.com",[96,103,312]],["themonthly.com.au",97],["thenewdaily.com.au",98],["thenightly.com.au",99],["thesaturdaypaper.com.au",100],["traveller.com.au",101],["who.com.au",103],["littlewordsproject.com",103],["i-d.vice.com",103],["zavvi.com.au",104],["zavvi.ca",104],["zavvi.cn",104],["cultbeauty.com",104],["lookfantastic.com",104],["myprotein.com",104],["myvitamins.com",104],["thehut.com",104],["zavvi.com",104],["zavvi.de",104],["zavvi.es",104],["zavvi.ie",104],["myprotein.it",104],["zavvi.it",104],["zavvi.nl",104],["cultbeauty.co.uk",104],["cyberdaily.au",105],["unsw.edu.au",106],["abc.net.au",107],["futurework.org.au",108],["baby.be",109],["beursduivel.be",110],["eurobench.com",110],["belegger.nl",[110,2160]],["debeurs.nl",110],["iexprofs.nl",110],["demorgen.be",111],["parool.nl",111],["trouw.nl",111],["hagelandactueel.be",112],["leuvenactueel.be",112],["kunstenfestivalwatou.be",113],["funko.com",113],["loungefly.com",113],["truecrimedaily.com",113],["nieuwsblad.be",114],["rtl.be",115],["sport247.be",116],["thebulletin.be",117],["dnevnik.bg",118],["thecanadianpressnews.ca",118],["appfigures.com",118],["cined.com",[118,567]],["cnnturk.com",118],["frandroid.com",118],["pitcherlist.com",118],["securityaffairs.com",118],["superdeluxeedition.com",[118,203]],["usmagazine.com",118],["visualstudiomagazine.com",118],["wayfairertravel.com",[118,1818]],["wsbtv.com",[118,441]],["challenges.fr",118],["blog.google",[118,1986]],["news247.gr",118],["infostart.hu",118],["carwashpro.nl",[118,1423,2164]],["infrasite.nl",[118,1423,2164]],["rijschoolpro.nl",[118,1423,2164]],["spoorpro.nl",[118,1423,2164]],["tankpro.nl",[118,1423,2164]],["taxipro.nl",[118,1423,2164]],["zelfrijdendvervoer.nl",[118,1423,2164]],["eff.org",118],["aeiou.pt",118],["douglas.bg",119],["news.bg",120],["6sqft.com",[120,282]],["augustman.com",120],["brighteon.com",[120,488,506,507]],["healthboards.com",120],["lifestyleasia.com",120],["livejournal.com",120],["cgsociety.org",120],["noticiasmagazine.pt",120],["alhayat.tv",120],["alquds.co.uk",120],["hagerty.co.uk",[120,2403]],["digital4.biz",121],["offshore-energy.biz",122],["photoshop-online.biz",123],["pocketgamer.biz",124],["disconnect.blog",[125,126]],["broadbandbreakfast.com",[125,241]],["dkb.blog",127],["sambowman.co",127],["antiracismnewsletter.com",127],["aporiamagazine.com",127],["asiasentinel.com",127],["newsletter.banklesshq.com",127],["computerenhance.com",127],["construction-physics.com",127],["duffelblog.com",[127,722]],["eugyppius.com",127],["experimental-history.com",127],["friendlyatheist.com",[127,852]],["fullstackeconomics.com",127],["hamiltonnolan.com",[127,751]],["honest-broker.com",127],["piratewires.com",127],["semianalysis.com",127],["slowboring.com",127],["substack.com",[127,722,1571,1572]],["theankler.com",[127,722]],["thebignewsletter.com",127],["unchartedterritories.tomaspueyo.com",127],["garbageday.email",127],["flowstate.fm",127],["popular.info",127],["platformer.news",[127,722,1571,2151]],["racket.news",127],["understandingai.org",127],["jacobwolf.report",127],["dossier.today",127],["engineeringleadership.xyz",127],["henrikkarlsson.xyz",127],["b9.com.br",128],["correiobraziliense.com.br",129],["crusoe.com.br",130],["em.com.br",131],["ferroviando.com.br",132],["counciloflove.com",132],["easyayurveda.com",132],["infokik.com",132],["jafekri.com",132],["sharktankblog.com",132],["truyenbanquyen.com",132],["ezmanga.net",132],["kulinarnastronamocy.pl",132],["folhadelondrina.com.br",133],["infomoney.com.br",134],["macmagazine.com.br",135],["foreigndesknews.com",[135,831]],["hackread.com",[135,831]],["mysteriesrunsolved.com",[135,1234]],["maquinadoesporte.com.br",136],["autocar.co.nz",136],["health-e.org.za",136],["moneytimes.com.br",137],["oantagonista.com.br",138],["olhardigital.com.br",139],["poder360.com.br",140],["tecmundo.com.br",141],["uol.com.br",142],["folha.uol.com.br",143],["huffingtonpost.es",143],["skyandtelescope.org",143],["gizmodo.uol.com.br",144],["zoom.com.br",145],["letras.mus.br",[146,147]],["iflscience.com",[146,985]],["123ink.ca",[148,149]],["primecables.ca",[148,149]],["shopperplus.ca",[149,207]],["advisor.ca",150],["albertafarmexpress.ca",151],["canadiancattlemen.ca",151],["country-guide.ca",151],["grainews.ca",151],["manitobacooperator.ca",151],["producer.com",151],["shop.artnoise.ca",152],["headphonebar.com",152],["jolinne.com",152],["berkeleyearth.org",152],["scetv.org",152],["hifiheadphones.co.uk",[152,519]],["atlanticsuperstore.ca",153],["bestbuy.ca",154],["bluetrain.ca",155],["canadiantire.ca",156],["cb2.ca",157],["cbc.ca",158],["cheknews.ca",159],["brisktest.com",159],["blog.duncangeere.com",159],["blog.elevatedataviz.com",159],["fleshlight.eu",159],["citynews.ca",160],["aeon.co",[160,242]],["readcars.co",160],["readfashion.co",160],["readfilm.co",160],["readfood.co",160],["readgaming.co",160],["readmusic.co",160],["readshowbiz.co",160],["readtv.co",160],["247sports.com",160],["4029tv.com",160],["abovethelaw.com",160],["asmartbear.com",160],["blackburnnews.com",160],["bookriot.com",160],["citusdata.com",[160,573]],["clickorlando.com",160],["cockroachlabs.com",160],["creation.com",160],["dailybee.com",160],["dailysignal.com",160],["dallasinnovates.com",160],["fox10phoenix.com",160],["fox13news.com",160],["fox13seattle.com",160],["fox26houston.com",160],["fox29.com",160],["fox2detroit.com",160],["fox32chicago.com",160],["fox35orlando.com",160],["fox4news.com",[160,838]],["fox5atlanta.com",160],["fox5dc.com",160],["fox6now.com",160],["fox7austin.com",[160,838]],["fox9.com",160],["foxla.com",160],["greencarreports.com",160],["kcci.com",160],["kcra.com",160],["ketv.com",160],["kmbc.com",160],["koat.com",160],["koco.com",160],["komando.com",160],["ksbw.com",160],["ktvu.com",160],["livescience.com",160],["londondrugs.com",160],["motherjones.com",[160,1214]],["mynbc5.com",160],["nbc-2.com",160],["newsweek.com",[160,1269]],["q13fox.com",160],["readbetting.com",160],["readceltic.com",160],["readmanutd.com",160],["readmotorsport.com",160],["reverb.com",160],["slate.com",160],["sportsworldnews.com",160],["tastecooking.com",[160,1407]],["techfinitive.com",160],["thekitchenmagpie.com",160],["tomsguide.com",160],["toofab.com",[160,1725]],["wapt.com",160],["wbaltv.com",160],["wcvb.com",160],["wdsu.com",160],["wesh.com",160],["wgal.com",160],["wisn.com",160],["wjcl.com",160],["wlky.com",160],["wlwt.com",160],["wmtw.com",160],["wmur.com",160],["womanandhome.com",160],["wpbf.com",160],["wtae.com",160],["wvtm13.com",160],["wxii12.com",160],["wyff4.com",160],["japantimes.co.jp",160],["thebeliever.net",160],["jta.org",160],["progressive.org",160],["publicdomainreview.org",[160,2310]],["tvtropes.org",160],["undark.org",[160,693,817]],["wqxr.org",160],["citiblog.co.uk",160],["clubhouseforchefs.ca",161],["cochraneeagle.ca",162],["fitzhugh.ca",162],["lakelandtoday.ca",162],["westernwheel.ca",162],["airdriecityview.com",162],["rmoutlook.com",162],["stalbertgazette.com",162],["thealbertan.com",162],["timescolonist.com",[162,1715]],["ctvnews.ca",163],["bergautodesign.com",164],["braveandkindbooks.com",164],["bwpsales.com",[164,180]],["fwdformnutrition.com",164],["gizmogoober.com",[164,361]],["pitviper.com",[164,1374]],["sweetteacaviar.com",[164,1579]],["deskhero.ca",165],["driving.ca",166],["dsw.ca",167],["theshoecompany.ca",167],["esourceparts.ca",168],["everythinglifestyle.ca",169],["fraservalleytoday.ca",[169,174]],["fleetnetwork.ca",171],["flexispot.ca",172],["flexispot.com",172],["flexispot.de",172],["flexispot.es",172],["flexispot.it",172],["flexispot.nl",172],["yesmagazine.org",[172,2350]],["flexispot.pl",172],["flexispot.co.uk",172],["fortnine.ca",173],["battlefordsnow.com",174],["everythinggp.com",174],["farmnewsnow.com",174],["larongenow.com",174],["lethbridgenewsnow.com",174],["meadowlakenow.com",174],["nanaimonewsnow.com",174],["panow.com",174],["rdnewsnow.com",174],["ginospizza.ca",175],["globalnews.ca",[176,177,178]],["zdnet.com",176],["stoneyroads.com",178],["files.minecraftforge.net",[178,2121]],["healthing.ca",179],["hockeylion.ca",180],["justcloseoutscanada.ca",180],["kitchenutopia.ca",180],["chillamo.com",180],["detroitmodular.com",180],["fitnessav.com",180],["gronkfitnessproducts.com",180],["kyliejennershop.com",180],["lakshmistores.com",180],["metrocheese.com",180],["wilcooffroad.com",180],["zerobreeze.com",180],["otisoatmilk.co.nz",180],["homehardware.ca",181],["chapters.indigo.ca",182],["infotel.ca",183],["cryptonews.com",183],["glasses.com",[183,888]],["thejc.com",[183,1671]],["iphoneincanada.ca",184],["jvns.ca",186],["lapresse.ca",187],["leons.ca",[188,189]],["12tomatoes.com",[188,189,266]],["almanac.com",[188,189,333]],["princessauto.com",[188,189]],["victorpest.com",[188,1444,1792]],["lowes.ca",190],["macleans.ca",[191,192]],["chatelaine.com",192],["massivetoyblowout.ca",193],["mcgill.ca",194],["nascar.ca",195],["naturalsound.ca",196],["shellsoul.com",196],["sigav.com",196],["fruitarian.store",196],["networldsports.ca",197],["brandingmag.com",[197,497]],["drinkcirkul.com",[197,716]],["staygenerator.com",197],["summitracing.com",197],["kmzu.com",[198,1075]],["noovomoi.ca",199],["lovefoodnotcooking.com",200],["spectator.org",[200,2324]],["racketsandrunners.ca",201],["ici.radio-canada.ca",[202,203]],["frontofficesports.com",[203,856]],["mikebloomberg.com",203],["nimsdai.com",203],["smnovella.com",203],["treblezine.com",[203,562]],["trustedreviews.com",203],["solidaarisuus.fi",203],["cremaoggi.it",[203,2050]],["cremonaoggi.it",[203,2050]],["cremonasport.it",[203,2050]],["oglioponews.it",[203,2050]],["heelhollandbakt.nl",203],["rona.ca",204],["rugs.ca",205],["bigissue.com",[205,457]],["coinbase.com",205],["shoppersdrugmart.ca",208],["simcoeav.ca",209],["atelierskn.com",209],["awables.com",209],["camerawholesalers.com",209],["flight-model.com",209],["loudshop.com",209],["p2nstore.co.uk",209],["sportchek.ca",210],["staples.ca",211],["highcarbhannah.co",211],["asweetpeachef.com",211],["biggerbolderbaking.com",211],["craftboxdirect.com",211],["dailycaller.com",[211,655]],["gamebyte.com",211],["glerups.com",211],["kurufootwear.com",211],["motor1.com",[211,1002]],["mychicagosteak.com",[211,1230]],["mylivelobster.com",211],["readwrite.com",[211,1432]],["redrightvideos.com",[211,578]],["rocketeyewear.com",211],["thesatanictemple.com",211],["tibi.com",211],["unknowncomicbooks.com",[211,1770]],["warpedsense.com",211],["geoffanderson.dk",211],["mobellageret.dk",211],["bookshop.org",211],["techbomb.ca",212],["analyticsindiamag.com",[212,347]],["lalaskinessentials.com",212],["parametric-architecture.com",212],["pcipolicyportal.com",[212,1357]],["redhuntlabs.com",212],["swidget.com",212],["whereyourebetween.com",[212,1826]],["gastgewerbe-magazin.de",212],["tlv1.fm",212],["nusantararom.org",212],["reclaimthenet.org",212],["houseandleisure.co.za",212],["thenarwhal.ca",213],["thetyee.ca",214],["thewalrus.ca",[215,216]],["mayottehebdo.com",[216,1153]],["tsc.ca",218],["well.ca",219],["birdbgone.com",219],["draxe.com",219],["hugesupplements.com",[219,973]],["loveyourmelon.com",219],["ritual.com",219],["ara.cat",220],["diaridegirona.cat",221],["regio7.cat",221],["diariocordoba.com",221],["elperiodicodearagon.com",221],["elperiodicoextremadura.com",221],["elperiodicomediterraneo.com",221],["levante-emv.com",221],["noticiasdenavarra.com",221],["diariodeibiza.es",221],["diariodemallorca.es",221],["elcorreogallego.es",221],["eldia.es",221],["farodevigo.es",221],["informacion.es",221],["laopinioncoruna.es",221],["laopiniondemalaga.es",221],["laopiniondezamora.es",221],["laprovincia.es",221],["lne.es",221],["mallorcazeitung.es",221],["superdeporte.es",221],["deia.eus",221],["noticiasdealava.eus",221],["noticiasdegipuzkoa.eus",221],["emporda.info",221],["artdaily.cc",222],["researchnews.cc",222],["radioandmusic.com",222],["shopcytee.com",222],["raenonx.cc",223],["jamesgmartin.center",224],["iamexpat.ch",225],["iamexpat.de",225],["iamexpat.nl",225],["blog.jobeo.ch",226],["ortodacoltivare.it",226],["pressgiochi.it",226],["laurentferrier.ch",227],["dauletapparel.com",227],["blog.nationalmuseum.ch",228],["nzz.ch",229],["pfister.ch",230],["swissinfo.ch",[231,232]],["exceptional.com",232],["louderwithcrowder.com",232],["the-line-up.com",[232,726,1621]],["theportalist.com",[232,726]],["tokmanni.fi",232],["zeta.nu",232],["lung.org",[232,2279]],["monitor.co.ug",232],["tdg.ch",233],["watson.ch",234],["jumia.ci",235],["morningconsult.com",[235,1212]],["pushmycart.com",235],["jumia.dz",235],["jumia.com.eg",235],["jumia.com.gh",235],["jumia.co.ke",235],["jumia.ma",235],["jumia.com.ng",235],["pagani.co.nz",[235,2202]],["jumia.sn",235],["jumia.com.tn",235],["jumia.ug",235],["seastarsuperbikes.co.uk",235],["ciperchile.cl",236],["cooperativa.cl",237],["pauta.cl",238],["evcars.club",239],["shine.cn",240],["animalchannel.co",[243,244]],["homehacks.co",[243,244]],["parentingisnteasy.co",[243,244]],["relieved.co",[243,244]],["seeitlive.co",[243,244]],["spotlightstories.co",[243,244]],["sweetandsavory.co",[243,244]],["blockworks.co",245],["coconuts.co",246],["motor.com.co",247],["elgrafico.com",247],["laprensagrafica.com",247],["thejakartapost.com",[247,1670]],["ultimominuto.news",247],["decrypt.co",248],["ello.co",249],["grove.co",250],["instaread.co",251],["modernretail.co",252],["psyche.co",253],["routinehub.co",254],["tech.co",255],["tedium.co",256],["theblock.co",257],["all3dp.com",257],["christiantoday.com",[257,562,563]],["thedisconnect.co",260],["thehustle.co",261],["thenetnaija.co",262],["thetrek.co",263],["weareexplorers.co",264],["101soundboards.com",265],["177milkstreet.com",267],["1fichier.com",[268,269]],["aritzia.com",[268,366]],["bathandbodyworks.com",[268,427]],["bestreviews.com",268],["biztechmagazine.com",[268,427,472]],["fye.com",[268,427]],["madewell.com",[268,1136]],["ptitchef.com",[268,427,1365]],["2-spyware.com",270],["247wallst.com",271],["29secrets.com",272],["itmunch.com",[272,1032]],["pqube.co.uk",272],["2hbn.com",273],["bilgisentezi.com",[273,463]],["farklifarkli.com",273],["readingclock.com",273],["2pdfconverter.com",274],["annotation.com",274],["changefaces.com",274],["chartle.com",274],["coloringonline.com",274],["fakechatapp.com",274],["files2zip.com",[274,812]],["htmlgames.com",274],["mapimage.com",274],["maproute.com",274],["mindclouds.com",274],["phideo.com",274],["photocollage.com",274],["photoeditor.com",274],["photoenlarger.com",274],["photofilters.com",274],["photoresizer.com",274],["postermaker.com",274],["qrapp.com",274],["stripbackground.com",274],["toonytool.com",274],["wordclouds.com",274],["youtubetrimmer.com",274],["fotofilter.de",274],["voxc.org",274],["3dprint.com",275],["3dprintingspot.com",276],["3f-filippi.com",277],["5percentnutrition.com",278],["legacytoys.com",278],["myotcstore.com",278],["newvaping.com",278],["nisupplements.com",278],["5pillarsuk.com",279],["raya.com",279],["sentieriselvaggi.it",279],["6amcity.com",[280,281]],["straightdope.com",280],["8newsnow.com",283],["news.uthscsa.edu",283],["a16z.com",285],["abc15.com",286],["abc57.com",287],["abc7.com",288],["abc7ny.com",288],["abeautifulmess.com",289],["afamilyfeast.com",289],["airandspaceforces.com",289],["hightechplace.com",289],["thebestcakerecipes.com",[289,1632]],["metronieuws.nl",289],["want.nl",289],["abplive.com",291],["accuweather.com",292],["acimena.com",293],["catholicnewsagency.com",293],["aciafrica.org",293],["aciafrique.org",293],["acouplecooks.com",[294,295]],["gimmedelicious.com",294],["lilluna.com",[294,1112]],["noracooks.com",294],["tastesbetterfromscratch.com",[294,1591]],["therecipecritic.com",294],["actiongame.com",296],["classicgame.com",296],["hiddenobjectgames.com",296],["mahjong.com",296],["match3games.com",296],["mindgames.com",296],["neongames.com",296],["solitaireonline.com",296],["timemanagementgame.com",296],["brain-games.co.uk",296],["games-site.co.uk",296],["mahjong.co.uk",296],["match3.co.uk",296],["neongames.co.uk",296],["adage.com",297],["addapinch.com",298],["budgetbytes.com",[298,515]],["thestayathomechef.com",298],["vacationstravel.com",298],["adexchanger.com",300],["adidas.com",301],["admonsters.com",[302,303]],["bookmundi.com",[303,344,491]],["autocar.co.uk",303],["adorama.com",304],["advfn.com",305],["aeromalls.com",307],["aetv.com",[308,309]],["historytoday.com",308],["affectionink.com",310],["baskdallas.com",310],["bigphilspeaks.com",310],["brit-pet.com",310],["brookeandarrow.com",310],["crownnstyle.com",310],["dollmeupmakeup.com",310],["www.drinktco.com",310],["grainbrainusa.com",310],["invitationhouseph.com",310],["labellerobe.com",310],["learnintt.com",310],["leighcountry.com",310],["lucieandpompette.com",310],["modelsindustry.com",310],["modernmotifsocks.com",310],["mortonjamesboutique.com",310],["mykitchenmall.com",310],["brilliant-30.myshopify.com",310],["brilliant-demo.myshopify.com",310],["ella-demo-4.myshopify.com",310],["single-citrus.myshopify.com",310],["sportwear-2.myshopify.com",310],["rhianjohn.com",310],["shopmeko.com",310],["smsaree.com",310],["straightarrowtherapeutic.com",310],["telabeautyorganics.com",310],["toptiertac.com",310],["vernyx.com",310],["compagniadeltabacco.it",310],["sofii.org",310],["simmiwoman.co.uk",310],["topgear.co.za",[310,2459]],["ahchealthenews.com",311],["aircargonext.com",312],["baltimoremagazine.com",312],["cargofacts.com",312],["gvwire.com",[312,919]],["medcitynews.com",[312,839,1161]],["interrupt.memfault.com",312],["interlochenpublicradio.org",312],["airfactsjournal.com",[313,314]],["newmatilda.com",314],["airtahitinui.com",315],["akkogear.com",316],["al-monitor.com",317],["al-sharq.com",318],["alamocitygolftrail.com",319],["albawaba.com",[320,321]],["sport360.com",321],["alexcityoutlook.com",322],["crooksandliars.com",322],["crucial.com",322],["drewberquist.com",[322,714,715]],["kentuckytoday.com",322],["keysnews.com",322],["ktbs.com",322],["kulr8.com",322],["lifezette.com",[322,714,715]],["magazines.com",322],["msmagazine.com",[322,1221]],["napacanada.com",322],["northcentralpa.com",322],["novaramedia.com",322],["redvoicemedia.com",[322,715]],["refinery29.com",[322,1440]],["trueachievements.com",322],["truetrophies.com",322],["urbanmilwaukee.com",322],["newsmirror.net",322],["heartlandalliance.org",322],["newsnow.co.uk",322],["alldayidreamaboutfood.com",[324,325]],["fearlesssalarynegotiation.com",325],["inspiredtaste.net",[325,2109]],["alldayshirts.com",326],["allkpop.com",327],["snowbrains.com",327],["tokyohive.com",327],["volquartsen.com",327],["allmodern.com",328],["birchlane.com",328],["jossandmain.com",328],["allmusic.com",[329,330]],["theconversation.com",[330,1639]],["allrecipes.com",331],["foodandwine.com",331],["seriouseats.com",331],["shape.com",331],["simplyrecipes.com",331],["southernliving.com",331],["thespruceeats.com",331],["travelandleisure.com",331],["tripsavvy.com",[331,1744]],["verywellhealth.com",331],["verywellmind.com",331],["allthatsinteresting.com",332],["altpress.com",334],["alvarotrigo.com",335],["amazingribs.com",336],["amazonadviser.com",337],["apptrigger.com",337],["arrowheadaddict.com",337],["bamsmackpow.com",[337,418]],["fansided.com",[337,794]],["gamesided.com",[337,418]],["gojoebruin.com",[337,418]],["hiddenremote.com",337],["lastnighton.com",[337,794]],["lawlessrepublic.com",337],["mlsmultiplex.com",337],["netflixlife.com",[337,794]],["playingfor90.com",337],["stormininnorman.com",[337,794]],["winteriscoming.net",[337,794]],["ambcrypto.com",338],["amd.com",339],["americanwirenews.com",341],["americastestkitchen.com",[342,343]],["heraldscotland.com",343],["suntimes.com",343],["vancouversun.com",[343,1785]],["hbr.org",343],["amgreatness.com",344],["anker.com",344],["spotlightpa.org",[344,592,2325]],["shop.amoreterra.com",345],["amtraker.com",346],["androidauthority.com",348],["androidcentral.com",349],["androidpcreview.com",350],["raptitude.com",350],["thelittlekitchen.net",350],["androidpolice.com",351],["cbr.com",351],["collider.com",351],["dualshockers.com",351],["gamerant.com",351],["makeuseof.com",351],["movieweb.com",351],["pocketnow.com",351],["screenrant.com",351],["thegamer.com",351],["thetravel.com",351],["topspeed.com",[351,1727]],["angara.com",352],["anothermag.com",353],["antena3.com",354],["anthropologie.com",355],["freepeople.com",355],["urbanoutfitters.com",[355,1774]],["aorus.com",356],["nutritioninsight.com",[356,1300]],["packaginginsights.com",356],["apnews.com",357],["heraldnet.com",[357,944]],["humankinetics.com",357],["inquirer.com",357],["parent.com",357],["thehill.com",[357,1665]],["proiezionidiborsa.it",357],["newsnationnow",357],["ar15.com",358],["arabnews.com",359],["tribalfootball.com",359],["onmeda.de",359],["castanet.net",359],["arcade-sound.com",[360,361]],["justripenutrition.com",361],["vargooutdoors.com",[361,1786]],["arcamax.com",363],["architectmagazine.com",364],["jlconline.com",364],["argusdelassurance.com",365],["arkansasonline.com",367],["armageddonexpo.com",368],["etsy.com",368],["itsfoss.com",[368,1034,1035]],["global.microless.com",368],["pandotrip.com",368],["pissdaily.com",368],["rigzone.com",[368,1460]],["sfist.com",368],["allthings.how",368],["jurist.org",368],["reasonstobecheerful.world",[368,378,632,1369]],["businesstech.co.za",[368,2444]],["arrowheadpride.com",369],["badlefthook.com",369],["barcablaugranes.com",369],["bavarianfootballworks.com",369],["bleedinggreennation.com",369],["bloggingtheboys.com",369],["bloodyelbow.com",369],["brightsideofthesun.com",369],["cagesideseats.com",369],["celticsblog.com",369],["eater.com",369],["goldenstateofmind.com",369],["libertyballers.com",369],["managingmadrid.com",369],["mmafighting.com",369],["mmamania.com",369],["polygon.com",369],["silverscreenandroll.com",369],["sounderatheart.com",369],["artforum.com",370],["footwearnews.com",[370,826]],["indiewire.com",370],["stylecaster.com",370],["news.artnet.com",[372,373]],["skylineatlas.de",[372,1895]],["arti-definisi-pengertian.info",372],["kedak.online",372],["artofmanliness.com",374],["artribune.com",375],["as.com",377],["asianjournal.com",378],["creativedestructionmedia.com",[378,632]],["floridianpress.com",[378,632,820]],["marktechpost.com",[378,632,1146]],["mediaplaynews.com",[378,632]],["soundproofcow.com",[378,632]],["thefullpint.com",[378,632]],["delacortereview.org",[378,632]],["asiaone.com",379],["asiaresearchnews.com",380],["askleo.com",[381,382]],["musically.com",382],["asmag.com",383],["astronomy.com",384],["atavist.com",385],["audacy.com",387],["audfree.com",388],["audialab.com",389],["audioadvice.com",390],["audiogeeks.com",392],["keepgo.com",392],["audioholics.com",393],["austinchronicle.com",394],["authenticoilco.com",395],["geizdental.de",395],["powgen.fr",395],["sensilab.se",395],["auto-moto.com",396],["autoblog.com",397],["steelersdepot.com",397],["autocarindia.com",398],["india.com",398],["sassymamahk.com",398],["laleggepertutti.it",398],["isglobal.org",398],["autodesk.com",399],["autoplicity.com",400],["autosport.com",401],["motorsport.com",401],["averagelinuxuser.com",402],["averiecooks.com",403],["bingehq.com",403],["streamsgeek.com",403],["open.online",403],["carbonbrief.org",403],["whyy.org",[403,2349]],["awapress.com",404],["gbnews.com",404],["ridefox.com",404],["nakedsecurity.sophos.com",404],["awesomebooks.com",405],["percona.com",405],["poynter.org",405],["axios.com",406],["babel.com",408],["notthebee.com",[410,592,1291]],["backcountry.com",[411,412]],["fine-day.com",411],["backroads.com",413],["backroadslondon.com",414],["fsaproshop.com",414],["mofi.com",414],["vulkit.com",414],["crates.whosampled.com",414],["vibergboot.eu",414],["ownsilent.international",414],["bazaar-foods.co.uk",414],["modify71.co.uk",414],["roughandreadywholefoods.co.uk",414],["backstage.com",415],["wenku.baidu.com",416],["balkangreenenergynews.com",417],["bangkokpost.com",419],["bankinfosecurity.com",421],["barefootuniverse.com",422],["bestbeefrecipes.com",422],["herwholesomekitchen.com",[422,791]],["laurenslatest.com",422],["yinibinibaby.com",422],["barnesandnoble.com",423],["barrons.com",424],["bartendersbusiness.com",425],["basilmarket.com",426],["iclg.co.uk",427],["baystatebanner.com",428],["bbc.com",429],["bcg.com",430],["beaumontenterprise.com",431],["ctpost.com",431],["expressnews.com",431],["greenwichtime.com",431],["houstonchronicle.com",431],["lmtonline.com",431],["manisteenews.com",431],["michigansthumb.com",431],["mrt.com",431],["myjournalcourier.com",431],["myplainview.com",431],["nhregister.com",431],["middletownpress.com.ourmidland.com",431],["registercitizen.com",431],["sfchronicle.com",431],["stamfordadvocate.com",431],["theintelligencer.com",431],["beautifulpublicdata.com",432],["scarletink.com",432],["codereliant.io",432],["blog.privacyguides.org",432],["overkill.wtf",432],["beautycounter.com",433],["beckershospitalreview.com",434],["bedbathandbeyond.com",435],["overstock.com",[435,1345]],["beermenus.com",436],["beforeitsnews.com",[437,438,439]],["partsinmotion.co.uk",437],["biblio.com",439],["codastory.com",439],["dlnews.com",[439,705]],["fjolt.com",439],["homeofdirectcommerce.com",439],["marineelectronics.com",439],["swimswam.com",439],["technostall.com",439],["appstorm.net",439],["dailygood.org",439],["worldwatchmonitor.org",439],["celebrity.red",439],["u.today",439],["biblio.co.uk",439],["beincrypto.com",440],["beinsports.com",441],["wftv.com",441],["wpxi.com",441],["beliefnet.com",442],["belk.com",443],["bellingcat.com",444],["benjamingroff.com",445],["benzinga.com",446],["bestlifeonline.com",447],["bestpricenutrition.com",448],["fallindesign.com",448],["bet.com",449],["betaprofiles.com",450],["beverageforyou.com",451],["bhphotovideo.com",452],["bicycleretailer.com",454],["bigbearrealestateagent.com",455],["bigislandnow.com",456],["bigkitchen.com",458],["bigthink.com",459],["bikeexif.com",460],["bikerumor.com",[461,462]],["gearjunkie.com",[461,462,872]],["soaphub.com",[461,1531]],["bilibili.com",464],["billyparisi.com",[465,466]],["kimpetras.com",466],["bingehulu.com",467],["news.bitcoin.com",468],["bizcommunity.com",469],["opindia.com",[470,1329]],["bridgemi.com",471],["thenation.com",[471,1677]],["propublica.org",[471,2309]],["biztimes.com",473],["bkstr.com",474],["blendernation.com",475],["blogpascher.com",476],["blooloop.com",477],["forward.com",[478,700,801,836]],["latimes.com",478],["northernvirginiamag.com",478],["sandiegouniontribune.com",478],["tvinsider.com",478],["jns.org",478],["wamu.org",478],["bocanewsnow.com",[479,480]],["piacenza24.eu",479],["podwatch.io",479],["bodybuilding.com",481],["bolavip.com",482],["bonappetit.com",[483,484]],["gq.com",484],["boohoo.com",486],["bookbub.com",487],["bookforum.com",[488,489]],["dsw.com",488],["gunsamerica.com",[488,916]],["realclearpolitics.com",488],["realclearscience.com",488],["ultra1plus.com",[488,1765]],["fairplanet.org",[488,2249]],["aif.ru",[488,2367]],["booking.com",490],["boston.com",492],["bostonagentmagazine.com",493],["boutirmall.com",494],["takimag.com",[494,1585]],["bramptonguardian.com",[495,496]],["simcoe.com",495],["buzzfeed.com",496],["buzzfeednews.com",[496,526]],["coindesk.com",[496,601]],["petmd.com",[496,1366]],["zicasso.com",[496,1864]],["cpr.org",[496,630,2238]],["sciencenews.org",[496,2320]],["snexplores.org",[496,2323]],["business-punk.com",497],["cosmosmagazine.com",[497,619]],["dealnews.com",497],["libhunt.com",[497,1106]],["pharmaceutical-business-review.com",497],["thepitchfootball.com",497],["it-times.de",497],["borsonline.hu",[497,1636]],["metropol.hu",[497,1636]],["ripost.hu",[497,1636]],["businessworld.in",497],["ricethresher.org",497],["brandsmartusa.com",498],["braziljournal.com",499],["vedbex.com",499],["breakingbelizenews.com",500],["breakingenergy.com",502],["breathecast.com",503],["breathedreamgo.com",504],["breitbart.com",505],["cruxnow.com",506],["bringatrailer.com",508],["networkdevicesinc.com",509],["browardpalmbeach.com",511],["dallasobserver.com",511],["phoenixnewtimes.com",511],["westword.com",511],["browserling.com",512],["browserstack.com",513],["btr.com",514],["latenighter.com",[515,1087]],["build.com",516],["buondua.com",517],["burkesoutlet.com",518],["busbeestyle.com",519],["towerhousewares.co.uk",519],["businessinsider.com",[520,521,522]],["insider.com",[520,521]],["ekathimerini.com",521],["wearesync.co.uk",522],["businesstraveller.com",523],["bustle.com",524],["butterwithasideofbread.com",525],["bygonely.com",527],["impulkits.com",527],["musclecarsandtrucks.com",527],["thepetslife.online",527],["cafemom.com",528],["calgaryherald.com",529],["edmontonjournal.com",[529,737]],["montrealgazette.com",529],["ottawacitizen.com",529],["thestarphoenix.com",529],["canarymedia.com",531],["capitaltransport.com",532],["captainaltcoin.com",533],["carnewschina.com",535],["cars.com",[536,537]],["invezz.com",[536,1018]],["carsalesbase.com",538],["bitcoinke.io",538],["carsauce.com",539],["carshopinc.com",540],["catchnews.com",541],["cbn.com",542],["cbssports.com",543],["ccjdigital.com",544],["equipmentworld.com",544],["ceenergynews.com",545],["celebrityaccess.com",[546,547]],["securityweek.com",[546,1502]],["eastasiaforum.org",[546,2245]],["mag.toyota.co.uk",546],["channelnewsasia.com",548],["chargedevs.com",549],["gomag.com",549],["mauritiustimes.com",549],["charismamag.com",550],["roughstock.com",550],["charlestonbusiness.com",551],["columbiabusinessreport.com",551],["gsabusiness.com",551],["scbiznews.com",551],["charlieintel.com",552],["dexerto.com",[552,688]],["chemistryworld.com",[553,554]],["flightglobal.com",554],["fruitnet.com",[554,857]],["screendaily.com",[554,1491]],["thegrocer.co.uk",554],["cheshirehorse.com",555],["farmandfleet.com",555],["chicagocrusader.com",556],["chicagotribune.com",557],["chipsandcheese.com",558],["consummateathlete.com",[558,610]],["exputer.com",558],["logitheque.com",558],["mixed-news.com",558],["notionthings.com",558],["plusrew.com",[558,610]],["pstribune.com",[558,610]],["slaynews.com",[558,1523]],["tech4gamers.com",558],["yogaworld.de",[558,610]],["tomshardware.fr",558],["sardiniapost.it",558],["chowhound.com",[559,560]],["kob.com",559],["christianpost.com",561],["fodors.com",562],["nocamels.com",[562,1284]],["theface.com",562],["talotekniikka-lehti.fi",562],["christinacooks.com",564],["chronicle.com",565],["cinelinx.com",568],["cinesprint.com",569],["circleid.com",570],["circuitbasics.com",571],["loyaltylobby.com",[571,1131]],["citoyens.com",572],["citybeach.com",575],["everything5pounds.com",575],["momentarecovery.com",575],["starlocalmedia.com",[575,1387]],["worldwidevoltage.com",575],["elcaribe.com.do",575],["slate.fr",[575,1976]],["soccity.net",575],["gaytimes.co.uk",575],["thedial.world",[575,1257]],["civicx.com",576],["claimdepot.com",577],["clashdaily.com",578],["thinkamericana.com",578],["americanprogress.org",[578,2217]],["classicreload.com",579],["classicsdujour.com",580],["clementoni.com",581],["clinique.com",582],["cloudflare.com",583],["cltampa.com",584],["clutchpoints.com",586],["cnbc.com",587],["cnet.com",588],["mashable.com",[590,1148]],["edition.cnn.com",591],["cnnindonesia.com",[592,593]],["nysun.com",[592,1305]],["refurbly.se",592],["cntraveler.com",594],["cntraveller.com",595],["them.us",595],["cocktailsaway.com",596],["codehelppro.com",597],["freshersnow.com",597],["knshow.com",[597,1077]],["minecraft-schematics.com",[597,1191]],["samfw.com",597],["bdcraft.net",[597,2097]],["phys.org",[597,2304]],["codeproject.com",598],["reviewjournal.com",[598,1454]],["coincodecap.com",[599,600]],["diarioelregionaldelzulia.com",600],["homesteading.com",600],["innotechtoday.com",[600,999]],["jessicabryson.com",600],["nowtoronto.com",600],["shapeways.com",600],["underground-england.com",600],["epoliteia.gr",600],["brownstone.org",[600,2225]],["coingape.com",602],["collato.com",604],["phillymag.com",[604,1370]],["coloradopolitics.com",605],["coloradosun.com",606],["columbian.com",607],["comfortoneshoes.com",608],["getrawnutrition.com",608],["groovelife.com",608],["mypatriotsupply.com",608],["myvidaorigins.com",608],["revivesups.com",608],["complex.com",609],["bsnews.it",[610,2049]],["contexttravel.com",611],["contiki.com",612],["controleng.com",613],["cookienameddesire.com",614],["cookingclassy.com",615],["cookingwithjanica.com",616],["core77.com",617],["cosmopolitan.com",618],["costco.com",620],["cottonon.com",621],["coub.com",622],["countryviewah.com",623],["countynewscenter.com",624],["vallejosun.com",[624,1783]],["courthousenews.com",625],["cracked.com",626],["craftybaking.com",627],["crainsnewyork.com",628],["crazyforcrust.com",[629,630,631]],["frommybowl.com",[630,853,854]],["vegrecipesofindia.com",[630,1788]],["easypeasyfoodie.com",631],["thetinylife.com",631],["creditcards.com",633],["creepycatalog.com",634],["crisismagazine.com",635],["croq-kilos.com",637],["cruise.com",638],["news.crunchbase.com",639],["crutchfield.com",640],["crypto-news-flash.com",641],["cryptopolitan.com",[642,643]],["izismile.com",643],["techsupportalert.com",643],["cryptopotato.com",644],["csmonitor.com",645],["csoonline.com",646],["cspdailynews.com",647],["restaurantbusinessonline.com",647],["cuisineaz.com",648],["culturewhisper.com",650],["curiocity.com",651],["cyberctm.com",652],["cybersecurityventures.com",653],["d2-store.com",654],["dailydot.com",656],["dailyfx.com",657],["dailyhive.com",658],["dailykos.com",659],["dailymemphian.com",660],["dailynewsegypt.com",[661,662]],["daphneoz.com",[661,662]],["hdwalle.com",[661,662]],["liquidationgta.com",[661,662]],["megacatstudios.com",[661,662]],["ubitennis.com",[661,662]],["scholarlykitchen.sspnet.org",[661,662]],["quzo.net",662],["dailyvoice.com",663],["dallasnews.com",664],["darkreading.com",[665,666]],["everydayhealth.com",666],["gamedeveloper.com",666],["historyextra.com",666],["radiotimes.com",666],["datacenterdynamics.com",667],["datamation.com",668],["esecurityplanet.com",668],["eweek.com",[668,777]],["www.serverwatch.com",668],["webopedia.com",668],["dbrand.com",669],["dcvelocity.com",670],["deadline.com",671],["decider.com",672],["deciem.com",673],["theordinary.com",673],["decode39.com",674],["deezer.com",675],["defector.com",[676,677]],["aftermath.site",[676,2375]],["goop.com",677],["hellgatenyc.com",677],["nationalworld.com",677],["dirt.fyi",677],["context.news",677],["streetsblog.org",677],["which.co.uk",[677,2431]],["defiantamerica.com",678],["delish.com",679],["esquire.com",679],["goodhousekeeping.com",679],["dell.com",680],["denon.com",681],["dentonrc.com",682],["sfexaminer.com",682],["wfmz.com",682],["denvergazette.com",683],["depor.com",684],["designtaxi.com",685],["desmog.com",686],["devdiscourse.com",687],["upi.com",687],["dgardiner.com",689],["dharmann.com",690],["dhgate.com",691],["dickssportinggoods.com",692],["dictionary.com",[693,694]],["pressherald.com",693],["thefinancialbrand.com",[693,782]],["atlanticcouncil.org",[693,2222]],["vtdigger.org",[693,2345]],["digg.com",696],["digitalocean.com",697],["digitimes.com",698],["discordapp.com",699],["dispatch.com",[700,701]],["monroenews.com",[700,836]],["nationalobserver.com",[700,836,1240]],["poconorecord.com",[700,836]],["vice.com",[700,836,1791]],["washingtontimes.com",[700,836,1815]],["npr.org",[700,836,2298]],["thebulletin.org",[700,836,2331]],["independent.co.uk",[700,836,2407]],["disqus.com",702],["diynetwork.com",703],["foodnetwork.com",703],["dlife.com",704],["dnronline.com",706],["doctornerdlove.com",707],["doitbest.com",708],["domainnamewire.com",710],["founderreports.com",711],["interacnetwork.com",[711,1011]],["dreamstime.com",713],["revolver.news",715],["store.drlivingood.com",718],["gizmodern.com",718],["drugtargetreview.com",719],["dualipa.com",720],["duckduckgo.com",721],["duckduckgogg42xjoc72x3sjasowoarfbgcmvfimaftt6twagswzczad.onion",721],["dx.com",723],["dzone.com",724],["e-flux.com",725],["earlybirdbooks.com",726],["openroadmedia.com",726],["earth.com",727],["easternstandardtimes.com",728],["nabd.com",728],["eastporters.com",729],["eatthis.com",730],["economipedia.com",733],["ecowatch.com",734],["edenfantasys.com",735],["edikted.com",736],["eenewseurope.com",738],["ef.com",739],["efe.com",740],["efinancialcareers-gulf.com",741],["egmnow.com",742],["elespanol.com",743],["elgato.com",744],["elimento.com",745],["elordenmundial.com",746],["elpais.com",747],["elplural.com",748],["elsalvadorsurfrealestate.com",749],["eluniverso.com",750],["emianalysis.com",751],["empr.com",752],["endocrinologyadvisor.com",752],["hematologyadvisor.com",752],["mcknights.com",[752,1158]],["mcknightshomecare.com",[752,1158]],["medicalbag.com",752],["neurologyadvisor.com",[752,1254]],["ophthalmologyadvisor.com",[752,1254]],["optometryadvisor.com",[752,1254]],["thecardiologyadvisor.com",752],["endocrineweb.com",753],["eneba.com",754],["energylivenews.com",755],["engadget.com",756],["enjoybot.com",757],["enotes.com",758],["entrepreneur.com",759],["epomaker.com",760],["esologs.com",761],["fflogs.com",[761,810]],["swtorlogs.com",761],["warcraftlogs.com",761],["esportsawards.com",762],["esquireme.com",763],["fedsmith.com",763],["essence.com",764],["ethostimes.com",765],["madelinekopp.com",[765,1134]],["eugeneweekly.com",767],["euroweeklynews.com",768],["discussion.evernote.com",769],["prestashop.com",769],["everout.com",770],["everyday-reading.com",771],["everydaycheapskate.com",772],["nextplatform.com",[772,1272]],["everythingrf.com",773],["evitamins.com",774],["evolvepolitics.com",775],["expatexplore.com",778],["expquebec.com",778],["vadimkravcenko.com",778],["vat19.com",778],["expediacruises.com",779],["experts-exchange.com",780],["expressvpn.com",781],["extremetech.com",[782,783]],["fabriziovanmarciano.com",784],["facebook.com",785],["facebookcorewwwi.onion",785],["facebookwkhpilnemxj7asaniu7vnjjbiltxjqhye3mhbshg7kx5tfyd.onion",785],["b-m.facebook.com",786],["iphone.beta.facebook.com",786],["m.beta.facebook.com",786],["mtouch.beta.facebook.com",786],["touch.beta.facebook.com",786],["x.beta.facebook.com",786],["iphone.facebook.com",786],["m.facebook.com",786],["mobile.facebook.com",786],["mtouch.facebook.com",786],["touch.facebook.com",786],["x.facebook.com",786],["b-m.facebookcorewwwi.onion",786],["touch.beta.facebookcorewwwi.onion",786],["iphone.facebookcorewwwi.onion",786],["m.facebookcorewwwi.onion",786],["mobile.facebookcorewwwi.onion",786],["mtouch.facebookcorewwwi.onion",786],["touch.facebookcorewwwi.onion",786],["x.facebookcorewwwi.onion",786],["b-m.facebookwkhpilnemxj7asaniu7vnjjbiltxjqhye3mhbshg7kx5tfyd.onion",786],["touch.beta.facebookwkhpilnemxj7asaniu7vnjjbiltxjqhye3mhbshg7kx5tfyd.onion",786],["iphone.facebookwkhpilnemxj7asaniu7vnjjbiltxjqhye3mhbshg7kx5tfyd.onion",786],["m.facebookwkhpilnemxj7asaniu7vnjjbiltxjqhye3mhbshg7kx5tfyd.onion",786],["mobile.facebookwkhpilnemxj7asaniu7vnjjbiltxjqhye3mhbshg7kx5tfyd.onion",786],["mtouch.facebookwkhpilnemxj7asaniu7vnjjbiltxjqhye3mhbshg7kx5tfyd.onion",786],["touch.facebookwkhpilnemxj7asaniu7vnjjbiltxjqhye3mhbshg7kx5tfyd.onion",786],["x.facebookwkhpilnemxj7asaniu7vnjjbiltxjqhye3mhbshg7kx5tfyd.onion",786],["factinate.com",787],["faithwire.com",[788,789]],["just-food.com",788],["naval-technology.com",[788,1246]],["railway-technology.com",[788,1424]],["fakartany.com",790],["loopchicago.com",790],["loopnet.com",790],["nintendonews.com",790],["tbn.org",790],["iai.tv",[790,2388]],["familystylefood.com",791],["mallorynikolaus.com",791],["splashoftaste.com",[791,1542]],["withspice.com",791],["fandomwire.com",792],["fangoria.com",793],["fashionrepublicmagazine.com",795],["hollywoodunlocked.com",795],["travelcaffeine.com",795],["fastcompany.com",[796,797]],["inc.com",796],["fastxmovie.com",798],["missionimpossible.com",798],["teenagemutantninjaturtlesmovie.com",798],["transformersmovie.com",798],["thesupermariobros.movie",798],["fatherly.com",[799,800]],["mic.com",799],["romper.com",799],["fatquartershop.com",801],["gadgets-africa.com",801],["webmd.com",[801,1823]],["jam-news.net",801],["ijnet.org",801],["favesouthernrecipes.com",802],["favfamilyrecipes.com",803],["feastingathome.com",804],["federalnewsnetwork.com",805],["feedspot.com",[806,807,808]],["reason.com",[806,1433]],["fender.com",809],["fiercewireless.com",811],["filmaffinity.com",813],["finbold.com",814],["fingerhut.com",815],["fivebooks.com",816],["flashbak.com",817],["naturalblaze.com",[817,877,878]],["saludmovil.com",817],["thebaffler.com",[817,877,878,1629]],["marijuanamoment.net",[817,877,878]],["geneticliteracyproject.org",[817,2257]],["wealthydoc.org",817],["flickr.com",818],["floridasportsman.com",819],["flovitamins.com",821],["flytrippers.com",822],["focusrisparmio.com",823],["outsystems.com",823],["foliosociety.com",824],["food52.com",825],["forbes.com",827],["foreignaffairs.com",[828,829,830]],["monocle.com",829],["billboard.it",831],["foreignpolicy.com",832],["forksoverknives.com",[833,834]],["history-computer.com",834],["fortune.com",835],["fotor.com",837],["franklincounty-news.com",839],["guides.wp-bullet.com",[839,1525]],["cineguru.screenweek.it",839],["frankmerenda.com",840],["frankwatching.com",841],["fredmeyer.com",842],["freemans.com",843],["freethink.com",844],["freevector.com",845],["freightwaves.com",846],["frequentmiler.com",847],["freshoffthegrid.com",849],["freshplaza.com",850],["lgbtqnation.com",854],["forecourttrader.co.uk",857],["ft.com",858],["ftaonline.com",859],["trend-online.com",859],["futurism.com",860],["fxstreet.com",862],["gallup.com",863],["gamespot.com",864],["gameworldobserver.com",865],["ganjapreneur.com",866],["gatesnotes.com",867],["gayemagazine.com",868],["gazelle.com",869],["gazette.com",870],["gazoo.com",871],["geekbuying.com",873],["geektyper.com",874],["geekwire.com",875],["genuine-people.com",876],["geopoliticalfutures.com",[877,878,879]],["iafrica.com",[877,878]],["kdnuggets.com",[877,878]],["wakingtimes.com",[877,878,1806]],["labourlist.org",[877,878]],["getintopc.com",881],["getlatka.com",882],["getrxd.com",883],["ghpage.com",885],["givemesport.com",886],["pocket-lint.com",886],["simpleflying.com",[886,1520]],["thethings.com",886],["backyardboss.net",886],["glassblocktint.com",887],["glassons.com",889],["hallensteins.com",889],["insights.globalspec.com",890],["globoshoes.com",891],["goodnes.com",892],["goodwillfinds.com",894],["gothamist.com",895],["gourmetfoodstore.com",896],["gpulive.com",898],["grandhotelcalciomercato.com",899],["greatist.com",901],["psychcentral.com",901],["greatvaluevacations.com",902],["greenbiz.com",[903,904]],["iranwire.com",904],["lifesitenews.com",904],["proofpoint.com",904],["techtimes.com",904],["greenbuildingadvisor.com",905],["groceryoutlet.com",906],["groupon.com",908],["livingsocial.com",908],["groupon.ie",908],["groupon.co.uk",908],["gsmserver.com",909],["guernicamag.com",910],["outinsa.com",910],["audubon.org",[910,928,2223]],["guidedoc.com",911],["guidingtech.com",912],["guitarcenter.com",913],["gujaratsamachar.com",914],["gulfnews.com",915],["gunsandammo.com",917],["guru99.com",918],["bucketlistjourney.net",918],["goodnewsnetwork.org",918],["gwaramedia.com",920],["gzeromedia.com",921],["haaretz.com",922],["hakaimagazine.com",923],["hammacher.com",924],["hamodia.com",925],["happy-trail.com",926],["haproxy.com",927],["harborfreight.com",928],["hartfordbusiness.com",929],["hartmannreport.com",930],["splash247.com",930],["thedefensepost.com",930],["wonkette.com",[930,1166]],["corrieredellumbria.it",930],["corrierediarezzo.it",930],["corrieredisiena.it",930],["kingattitude.it",930],["health.com",931],["lifewire.com",[931,1111]],["healthcareitnews.com",932],["mobihealthnews.com",932],["healthitsecurity.com",933],["healthleadersmedia.com",934],["healthshots.com",935],["healthyceleb.com",936],["healthyfitnessmeals.com",[937,938]],["thefoodcharlatan.com",937],["hellenicshippingnews.com",939],["hellomagazine.com",940],["hendersonville.com",941],["hentainhaven.com",942],["hepper.com",943],["herbiesheadshop.com",[945,946]],["ukragroconsult.com",945],["hereisoregon.com",947],["heroescommunity.com",948],["heysocal.com",949],["hiddenvalley.com",950],["hificentre.com",951],["highsnobiety.com",952],["highya.com",953],["hilltimes.com",954],["hindustantimes.com",955],["tech.hindustantimes.com",956],["timesnownews.com",956],["hippieshine.com",957],["simpurelife.com",957],["workprotools.store",957],["totallypersonal.co.uk",957],["hiresaudiocentral.com",958],["parade.com",[960,1352]],["hket.com",961],["hobbylobby.com",962],["hollywoodinsider.com",963],["hollywoodlife.com",964],["homary.com",965],["homecookingadventure.com",966],["hoorayteams.com",967],["housefresh.com",969],["houzz.com",970],["hudsonappliance.com",972],["laredoute.fr",973],["hugolescargot.com",974],["journaldunet.com",974],["linternaute.com",974],["journaldesfemmes.fr",974],["ccm.net",974],["commentcamarche.net",974],["humansbefree.com",975],["momfabulous.com",975],["pymnts.com",[975,1408]],["wersm.com",975],["mpost.io",975],["insidethemagic.net",975],["hypebae.com",976],["hypebeast.com",977],["hyperallergic.com",978],["ianbetteridge.com",979],["liamodell.com",979],["vvng.com",979],["snackstack.net",[979,2134]],["ibtimes.com",980],["ibtimes.co.uk",980],["idahopress.com",981],["screenshot-media.com",[983,1492]],["justdetention.org",983],["ign.com",986],["iherb.com",987],["iliketomakestuff.com",988],["imgur.com",989],["independent.com",990],["sportsspectrum.com",990],["christiannews.net",990],["independentmail.com",991],["northjersey.com",991],["indiainfoline.com",992],["indiatimes.com",993],["auto.economictimes.indiatimes.com",994],["indiegogo.com",995],["indyweek.com",996],["thefrisc.com",[996,1656]],["wisconsinwatch.org",996],["inferless.com",997],["infodocket.com",998],["inov-8.com",1000],["insideevs.com",[1002,1003]],["insideottawavalley.com",1005],["insiderintelligence.com",1006],["insidermedia.com",1007],["insidesources.com",1008],["instagram.com",1009],["interestingengineering.com",1012],["intomore.com",1014],["inverse.com",1015],["investmentnews.com",1016],["investors.com",1017],["iotworldtoday.com",[1019,1020]],["lightreading.com",1019],["ip2location.com",1021],["ipatriot.com",1022],["ipmark.com",1023],["ipowerqueen.com",1024],["socialitelife.com",1024],["aihome.com.my",1024],["ipwatchdog.com",1025],["irishexaminer.com",1026],["israellycool.com",1028],["israelnationalnews.com",1029],["italia-informa.com",1030],["diritto.it",1032],["leggioggi.it",[1032,2066]],["rollingstone.it",1032],["itprotoday.com",1033],["therighthairstyles.com",1035],["historynewsnetwork.org",1035],["hnn.us",1035],["jagranjosh.com",1036],["jamaica-gleaner.com",1037],["jared.com",1038],["zales.com",1038],["jaysresales.com",1039],["jcrew.com",1040],["jeuxvideo-live.com",1041],["jewishpress.com",1043],["jewishworldreview.com",1044],["jif.com",1045],["jingdaily.com",1046],["jobrapido.com",1047],["jocooks.com",1048],["johnsonfitness.com",1049],["joydeepdeb.com",1050],["joyfoodsunshine.com",1051],["spendwithpennies.com",1051],["jpost.com",1052],["law.justia.com",1053],["justthenews.com",[1054,1055]],["ionos.de",1055],["juventus.com",1056],["katespade.com",1057],["kayak.com",1058],["kbb.com",1059],["keybr.com",1060],["keychron.com",1061],["kftv.com",1062],["khaleejtimes.com",1063],["kilgorenewsherald.com",1064],["kimkazandi.com",1065],["kingarthurbaking.com",1066],["kiplinger.com",1067],["kissanadu.com",1068],["kitchenaid.com",1069],["kitchenknifeforums.com",1070],["kitchenparade.com",1071],["kitchentime.com",1072],["kitchentime.de",1072],["kitchentime.dk",1072],["kitchentime.fi",1072],["kitchentime.no",1072],["kitchentime.se",1072],["kivitv.com",1073],["kiwi.com",1074],["mdjonline.com",1075],["knewz.com",1076],["ksl.com",1078],["kyivindependent.com",1079],["lacolon.com",1080],["laist.com",1081],["lakegenevacountrymeats.com",1082],["lakeside.com",1083],["ltdcommodities.com",1083],["lalanguefrancaise.com",1084],["lamusica.com",1085],["blog.lastpass.com",1086],["latina.com",1088],["laughingsquid.com",1089],["launer.com",1090],["lauramercier.com",1091],["laverdadnoticias.com",1092],["law.com",[1093,1094]],["magiclen.org",[1094,2280]],["lawandcrime.com",[1095,1096]],["mediaite.com",1095],["leer.com",1097],["leevalley.com",1098],["lemonstripes.com",1099],["rairfoundation.com",1099],["lerobert.com",1100],["lesmobiles.com",1101],["levernews.com",1102],["levi.com",1103],["levittownnow.com",1104],["thegazette.com",[1104,1659]],["techpolicy.press",1104],["lewdzone.com",1105],["nodejs.libhunt.com",1107],["librotea.com",1108],["lifenews.com",1110],["lilysilk.com",[1113,1114]],["tpain.com",1113],["linkedin.com",1115],["linuxiac.com",1116],["outlook.live.com",1118],["livecoinwatch.com",1119],["livemint.com",1120],["lizzomusic.com",1121],["llbean.com",1122],["lmtribune.com",1123],["logisticsit.com",1124],["logitech.com",1125],["logicool.co.jp",1125],["lonelyplanet.com",1126],["metro.us",[1127,2437]],["lorientlejour.com",1128],["loveandlemons.com",1129],["lowes.com",1130],["forums.macrumors.com",1132],["made-in-china.com",1133],["tv.mademyday.com",1135],["magnetomagazine.com",1137],["maketecheasier.com",1138],["mandmdirect.com",1139],["shop.mango.com",1140],["manofmany.com",1141],["mapyourshow.com",1142],["marinelink.com",1143],["marinetechnologynews.com",1143],["worldenergynews.com",1143],["markammay.com",1144],["marketbeat.com",1145],["marshallheadphones.com",1147],["massispost.com",1149],["masterclass.com",1150],["matadornetwork.com",1151],["mathrubhumi.com",1152],["mbconfidential.com",1154],["mcguckin.com",1156],["mckinsey.com",1157],["me3tweaks.com",1159],["meatpoultry.com",1160],["supermarketperimeter.com",1160],["world-grain.com",1160],["petfoodprocessing.net",1160],["mediadump.com",1163],["mediapost.com",1164],["mediatrust.com",1165],["medicaldaily.com",[1166,1167]],["medicalnewstoday.com",1168],["medicalxpress.com",1169],["techxplore.com",1169],["medicinenet.com",1170],["medium.com",1171],["codeburst.io",1171],["medpagetoday.com",1172],["meetup.com",1173],["melodijolola.com",1174],["meltingpot.com",1175],["memeburn.com",1176],["ventureburn.com",1176],["menafn.com",1177],["menards.com",1178],["merchoid.com",1179],["en.mercopress.com",1180],["merriam-webster.com",1182],["metv.com",1183],["microperfumes.com",1184],["middleeastmonitor.com",1186],["mightyskins.com",1187],["pinkstork.com",1187],["milwaukeetool.com",1188],["mindbodygreen.com",1189],["minds.com",1190],["minijuegos.com",1192],["minitool.com",1193],["minnpost.com",1194],["minotdailynews.com",1195],["miningjournal.net",1195],["minted.com",1196],["misterworker.com",1197],["mlbshop.com",1198],["mmoga.com",1199],["mmoga.de",1199],["mmoga.es",1199],["mmoga.fr",1199],["mmoga.se",1199],["mmoga.co.uk",1199],["mobilesyrup.com",1200],["modesens.com",1201],["modrinth.com",1202],["download.mokeedev.com",1203],["momontimeout.com",1204],["money.com",1205],["moneysavingexpert.com",1207],["moneysavingmom.com",1208],["monochrome-watches.com",1209],["moonpalacecancun.com",1210],["moovitapp.com",1211],["donpatriot.news",1212],["motortrend.com",1215],["mountaintopwebdesign.com",1216],["mountainwarehouse.com",1217],["moving2canada.com",1218],["mrfood.com",1219],["mrporter.com",1220],["msnbc.com",1222],["music-news.com",1223],["theatre-news.com",1223],["film-news.co.uk",1223],["game-news.co.uk",1223],["musicbusinessworldwide.com",1224],["musiciansfriend.com",1225],["musictimes.com",1226],["mustsharenews.com",1227],["mv-voice.com",[1228,1229]],["paloaltoonline.com",[1228,1349]],["mygenefood.com",1231],["mygermanyvacation.com",1232],["dev.mysql.com",1233],["justgeek.fr",1234],["nadidetarifler.com",1235],["namelymarly.com",1236],["nashvillescene.com",1237],["natashaskitchen.com",1238],["nationalgeographic.com",1239],["nationalreview.com",1241],["nationaltoday.com",1242],["naturalnews.com",1243],["nature.com",1244],["navafresh.com",1245],["ncaa.com",1247],["ndtvprofit.com",1249],["nectarsleep.com",1250],["neonyxcruises.com",1251],["nerdist.com",1252],["nerdwallet.com",1253],["neurosciencenews.com",1255],["newarab.com",1256],["fbi.gov",1256],["puck.news",1256],["alaraby.co.uk",[1256,2393]],["newblueontario.com",1257],["newportjerkycompany.com",1258],["news-daily.com",1260],["newsbreak.com",1262],["newsbtc.com",1263],["newscientist.com",1264],["newsday.com",1265],["iltelegrafolivorno.it",1265],["newslinet.com",1266],["newsmax.com",1267],["newstarget.com",1268],["cnnsofake.news",[1268,2146]],["collapse.news",1268],["health.news",[1268,2146]],["veteranstoday.news",1268],["newyorker.com",[1270,1271]],["blog.phylum.io",1271],["kommersant.uk",[1271,1916]],["nfcw.com",1273],["nfib.com",1274],["nfm.com",1275],["ngpstoreusa.com",1276],["nikkei.com",1277],["asia.nikkei.com",1278],["nintendosoup.com",1279],["thehappyfoodie.co.uk",1279],["niteize.com",1280],["nitrokey.com",1281],["nj.com",1282],["nme.com",1283],["nomadicmatt.com",1285],["nordstrom.com",1286],["nostalgiaproducts.com",1288],["notateslaapp.com",1289],["noticiasaominuto.com",1290],["nowness.com",1292],["nplusonemag.com",1293],["nscale.com",1294],["nsmb.com",1295],["ntd.com",1296],["numberempire.com",1297],["numero.com",1298],["nutriciously.com",1299],["nyanpedia.com",1302],["nymag.com",1303],["thecut.com",1303],["nypost.com",1304],["pagesix.com",1304],["nytimes.com",1306],["cooking.nytimes.com",1307],["nzgeo.com",1308],["oakandluna.com",1309],["oann.com",1310],["oantagonista.com",1311],["observer.com",1312],["offers.com",1313],["offthebeatenpoints.com",1314],["inquirer.net",1314],["ohsweetbasil.com",1315],["oilprice.com",1316],["okmagazine.com",1317],["oled-info.com",1318],["olivemagazine.com",1319],["omnivorescookbook.com",1320],["onebioshop.com",1322],["online-tech-tips.com",[1323,1324]],["onthegotours.com",1323],["everybithelps.io",1323],["nutritioncare.net",1323],["diycarserviceparts.co.uk",1323],["onlinepokerreport.com",1325],["ooni.com",1326],["openculture.com",1327],["leadership.ng",1327],["openspeedtest.com",1328],["oregonlive.com",1331],["oreilly.com",1332],["orilliamatters.com",1333],["orlandosentinel.com",1334],["orlygift.com",1335],["otakumode.com",1336],["otakuusamagazine.com",1337],["powerlineblog.com",[1337,1389]],["otcmarkets.com",1338],["otomobilgunluklerim.com",1339],["outdoorlife.com",1341],["outdoorstatus.com",1342],["output.com",1343],["outsideonline.com",1344],["oxygen.com",1346],["ozy.com",1347],["paceathletic.com",1348],["frontrunnercolombo.co.nz",1348],["pambianconews.com",1350],["thescoop.us",1350],["papermag.com",1351],["patheos.com",1354],["pbteen.com",1355],["potterybarnkids.com",1355],["pcastuces.com",1356],["pcliquidations.com",1358],["pcmag.com",1359],["peacocktv.com",1360],["pennlive.com",1361],["perfectdailygrind.com",1362],["perfil.com",1363],["permanentstyle.com",1364],["petitchef.com",1365],["petitchef.es",1365],["kongnews.it",1365],["petitchef.it",1365],["petri.com",1367],["petrimazepa.com",1368],["philadelphiaherald.com",1369],["thechainsaw.com",1369],["bitdegree.org",1369],["physicsworld.com",1371],["pianu.com",1372],["pinkvilla.com",1373],["planete-205.com",1375],["playbuzz.com",1376],["playpilot.com",1377],["blog.plerion.com",1378],["plough.com",1379],["poeapp.com",1380],["pokcas.com",1381],["politico.com",1382],["politicshome.com",1383],["popsugar.com",1385],["pornfd.com",1386],["postandcourier.com",[1387,1388]],["propertywheel.co.za",[1389,2455]],["prdaily.com",1390],["prepinsta.com",1391],["preppykitchen.com",1392],["pressdemocrat.com",1393],["primerahora.com",1394],["printmag.com",1395],["prohockeylife.com",1396],["protocol.com",1398],["prowritingaid.com",1399],["proxfree.com",1400],["psychologies.com",1401],["ptable.com",1402],["publiclands.com",1403],["publishersweekly.com",1405],["punchdrink.com",1407],["qd-europe.com",1409],["qsrmagazine.com",1410],["quadraphonicquad.com",1411],["quillette.com",1412],["quipmag.com",1413],["quizlet.com",1414],["quora.com",1415],["qz.com",1416],["r7.com",1417],["racingamerica.com",1418],["racked.com",1419],["racketboy.com",1420],["radaronline.com",1421],["railmarket.com",1422],["railtech.com",1423],["automobielmanagement.nl",1423],["fleet-mobility.nl",[1423,2157]],["mobiliteit.nl",1423],["randomlists.com",1425],["ranker.com",1426],["ratebeer.com",1427],["rawstory.com",1428],["rcrwireless.com",1430],["readtangle.com",1431],["rebelnews.com",1434],["recipetips.com",1435],["recyclingproductnews.com",1436],["reddit.com",1437],["rediff.com",1438],["regex101.com",1441],["regexr.com",1442],["rei.com",1443],["reigningchamp.com",[1444,1445]],["shop.reigningchamp.com",[1444,1445]],["ruralking.com",1445],["religionnews.com",1446],["remotelyawesomejobs.com",1447],["renodepot.com",1448],["repasdelice.com",1449],["blog.resy.com",1450],["retailwire.com",1451],["softwaretestinghelp.com",1451],["retbit.com",1452],["reuters.com",1453],["revolvermag.com",1455],["revouninstaller.com",1456],["revzilla.com",1457],["rhino.com",1458],["righto.com",1459],["ripleys.com",1461],["riverbender.com",1462],["robbreport.com",1463],["robinsonsshoes.com",1464],["www.rockpapershotgun.com",1465],["thepopverse.com",1465],["vg247.com",1465],["eurogamer.net",1465],["romania-insider.com",1466],["rootforamerica.com",1467],["rosegal.com",1468],["rt.com",[1469,1470]],["freedert.online",1469],["esrt.space",1469],["rtde.tech",1469],["saabplanet.com",1471],["valuewalk.com",1471],["sacurrent.com",1472],["salary.com",1474],["salud180.com",1476],["samsclub.com",1477],["sandiegoreader.com",1479],["chan.sankakucomplex.com",1480],["sap-press.com",1481],["sasapost.com",1482],["forum.sbenny.com",1483],["schottnyc.com",1484],["scientificamerican.com",1485],["scientificcoder.com",1486],["scmp.com",1488],["screenbinge.com",1490],["scrolller.com",1493],["sdxcentral.com",1494],["searchenginejournal.com",1495],["seatguru.com",1497],["sebgorka.com",1498],["secretchicago.com",1499],["securelist.com",1500],["securityboulevard.com",1501],["semafor.com",1503],["sentinelone.com",1504],["servedez.com",1506],["sfstandard.com",1507],["shakira.com",1508],["shein.com",1509],["soaps.sheknows.com",1510],["shenandoahah.com",1511],["shieldsgazette.com",1512],["shopcjglobal.com",1513],["shopkitchenclique.com",1514],["shoppingsouthparkmall.com",1515],["shtfplan.com",1516],["signalfestival.com",1517],["simonandschuster.com",1518],["simpleanalytics.com",1519],["community.simtropolis.com",1521],["web.skype.com",1522],["sleepworld.com",1524],["slightnorth.com",1525],["publicbooks.org",1525],["sltrib.com",1526],["smashingmagazine.com",1527],["smithsonianmag.com",1528],["sneakernews.com",1529],["snocountry.com",1530],["socialblade.com",1532],["solestop.com",1533],["lambland.co.uk",1533],["soleyama.com",1534],["safetyfirstaid.co.uk",[1534,2423]],["soundandvision.com",1535],["sourcegraph.com",1536],["spacenews.com",1537],["spaceref.com",1538],["spanishdict.com",1539],["sperry.com",1540],["community.spiceworks.com",1541],["sportsbusinessjournal.com",1545],["sportskeeda.com",1546],["sportsline.com",1547],["sportsmans.com",1548],["sportspromedia.com",1549],["sputnikglobe.com",1550],["squidboards.com",1551],["stamen.com",1552],["staples.com",1553],["startrek.com",1555],["starttv.com",1556],["statcounter.com",1557],["statista.com",1558],["statnews.com",1559],["steakschool.com",1560],["steamcollector.com",1561],["steamdeckhq.com",1562],["stereogum.com",[1563,1564]],["2night.it",1564],["stevensducks.com",1565],["stgeorgeutah.com",1566],["stoneberry.com",1567],["straitstimes.com",1568],["stripes.com",1569],["stylewe.com",1570],["suncoastparts.com",1573],["sunsetmicro.com",1575],["supercombomagazine.com",1576],["superwatchman.com",1577],["sweepstakesfanatics.com",1578],["sweetwater.com",1580],["swiggy.com",1581],["syfy.com",1582],["tabstats.com",1583],["takealot.com",1584],["talkingpointsmemo.com",1586],["tampabay.com",1587],["tanga.com",1588],["target.com",1589],["taskandpurpose.com",1590],["thedrive.com",1590],["taurususa.com",1592],["taylorswift.com",1593],["team17.com",1594],["teamaretuza.com",1595],["techcabal.com",1596],["techcrunch.com",1597],["techerati.com",1598],["techforless.com",1599],["techgenix.com",1600],["techgenyz.com",1601],["techinformed.com",1602],["techmeme.com",1603],["technologynetworks.com",1604],["technologyreview.com",1605],["techonomy.com",1606],["techopedia.com",1607],["techpout.com",1608],["techrepublic.com",1609],["techstudiomumbai.com",1610],["techtobo.com",1611],["techwalla.com",1612],["teepop.com",1614],["teleticketservice.com",1615],["telva.com",1616],["temu.com",1617],["tenaquip.com",1618],["tennesseestar.com",1619],["texasmonthly.com",1620],["the-sun.com",1622],["the18.com",1623],["theamericanconservative.com",1625],["theanalyst.com",1626],["theasianparent.com",1627],["theatlantic.com",1628],["thebaltimorebanner.com",1630],["thebarentsobserver.com",1631],["theblockcrypto.com",1634],["thebudgetsavvybride.com",1635],["thecaterer.com",1636],["magyarnemzet.hu",1636],["veol.hu",1636],["vg.hu",1636],["faroutmagazine.co.uk",1636],["theclever.com",1637],["thecoastnews.com",1638],["brics.it",[1639,2048]],["thecooldown.com",[1640,1641]],["wanderlust.co.uk",1641],["thecourier.com",1642],["theculturetrip.com",1643],["thecurrent.com",1644],["thedailybeast.com",1645],["thedevicedepot.com",1646],["thediscoveriesof.com",1647],["thedrum.com",1648],["thefader.com",1651],["thefastmode.com",1652],["thefinancialdiet.com",1653],["thefinancialist.com",1654],["thefp.com",1655],["thegadgetflow.com",1657],["thegatewaypundit.com",1658],["theglobeandmail.com",1660],["theguardian.com",1661],["thehackernews.com",[1662,1663]],["yardbarker.com",1663],["thehaul.com",1664],["thehouseofportable.com",1666],["theinertia.com",1667],["theinspiredhome.com",1668],["theintercept.com",1669],["thelondoneconomic.com",1672],["thelostavocado.com",1673],["themessenger.com",1674],["themighty.com",1675],["themoscowtimes.com",1676],["thenationalnews.com",1678],["thenationalpulse.com",1679],["thenewcivilrightsmovement.com",1680],["judicialwatch.org",[1680,2268]],["thenextweb.com",1681],["thepinknews.com",1682],["thepitchkc.com",1683],["thepointsguy.com",1684],["theprovince.com",1686],["thequantuminsider.com",1687],["therealdeal.com",1688],["therealnews.com",1689],["thescore.com",1690],["thestreamable.com",1692],["thestreet.com",1693],["thesuburban.com",1694],["thetoyinsider.com",1695],["theurbanlist.com",1697],["theverge.com",1698],["theweek.com",1699],["thewellnesscorner.com",1700],["thewildest.com",1701],["thewrap.com",1702],["thisisfutbol.com",1703],["thisoldhouse.com",1704],["thomaspink.com",1705],["thomhartmann.com",1706],["thorne.com",1707],["thredup.com",1708],["thrillist.com",1709],["tidbits.com",1711],["timeanddate.com",1713],["timeout.com",1714],["m.timesofindia.com",1716],["tirerack.com",1718],["jimnong.tistory.com",1719],["tkmaxx.com",1720],["tmz.com",1721],["todayonline.com",1722],["standout.co.uk",1722],["todomecanica.com",1723],["tomtop.com",1724],["topgear.com",1726],["toptal.com",1728],["topuniversities.com",1729],["touchy-style.com",1730],["touristspy.com",1731],["tourscanner.com",1732],["weinkenner.de",1732],["mole24.it",1732],["technology.org",1732],["tp-link.com",1734],["tracebit.com",1735],["tradeinn.com",1736],["trailspace.com",1737],["trains.com",1738],["traxmag.com",1739],["trendhunter.com",1740],["triblive.com",1741],["trip.com",1742],["trip101.com",1743],["trlnutrition.com",1745],["trutravels.com",1747],["tsunagujapan.com",1748],["ttnews.com",1749],["tumblr.com",1751],["tunein.com",1752],["tusubtitulo.com",1753],["tutorialslink.com",1754],["tvline.com",1755],["tvseriesfinale.com",1756],["tweaktown.com",1757],["twitchquotes.com",1758],["twitter.com",[1759,1760]],["x.com",[1759,1760]],["twitter3e4tixl4xyajtrzo62zg5vztmjuricljdp2c5kshju4avyoid.onion",1759],["tycsports.com",1761],["ugreen.com",1762],["ulta.com",1764],["umaar.com",1766],["umterps.com",1767],["unchainedcrypto.com",1768],["unherd.com",1769],["uploadvr.com",1771],["upworthy.com",1772],["urbandictionary.com",1773],["reviewed.usatoday.com",1776],["usnews.com",1777],["money.usnews.com",1778],["sp.uta-net.com",1779],["utilitydive.com",[1780,1781]],["themarshallproject.org",[1780,2336]],["valgourmand.com",1782],["vancouverisawesome.com",1784],["eurasianet.org",1785],["vegancooking.com",1787],["venturebeat.com",1789],["verybestbaking.com",1790],["blog.vidizmo.com",1793],["vinepair.com",1794],["virustotal.com",1795],["visitcalifornia.com",1796],["vistashops.com",1797],["visualcapitalist.com",1798],["vitaminworld.com",1799],["votetw.com",1801],["vox.com",1802],["vozpopuli.com",1803],["uominietrasporti.it",1803],["exchangerates.org.uk",1803],["vrcmods.com",1804],["walgreens.com",1807],["walletinvestor.com",1808],["wallhere.com",1809],["wards.com",1810],["warontherocks.com",1811],["washingtonengager.com",1812],["washingtonmonthly.com",1813],["washingtonpost.com",1814],["wayfair.com",1817],["wearemitu.com",1820],["weather.com",1821],["webcodegeeks.com",1822],["pcguia.pt",1822],["welivesecurity.com",1824],["wethegeek.com",1825],["whmi.com",1827],["wholesomeculture.com",1828],["whosampled.com",1829],["whysobeerious.com",1830],["williams-sonoma.com",1832],["windowscentral.com",1833],["winnipegfreepress.com",1834],["wionews.com",1835],["wired.com",1836],["wmagazine.com",1837],["wob.com",1838],["worldcrunch.com",1839],["worldscreen.com",1840],["worth.com",1841],["worthynews.com",1842],["wtatennis.com",1844],["news.wttw.com",1845],["wyofile.com",1847],["xbiz.com",1848],["theiconic.co.nz",1848],["thesoapery.co.uk",1848],["xconfessions.com",1849],["xrprightnow.com",1850],["yahoo.com",1851],["news.yahoo.com",1852],["yaoota.com",1853],["desh.co.in",1853],["1news.co.nz",1853],["pgpf.org",1853],["yeprecipes.com",1854],["yoncu.com",1855],["youcouldtravel.com",1856],["m.youtube.com",[1857,1858]],["music.youtube.com",1857],["tv.youtube.com",1857],["www.youtube.com",1857],["youtubekids.com",1857],["zappos.com",1859],["zazzle.com",1860],["zenith-watches.com",1861],["zerohedge.com",1862],["zhulang.com",1863],["zippyupload.com",1865],["zmescience.com",1866],["homestore.zola.com",1867],["zumiez.com",1868],["thegame.cool",1869],["portal.rozhlas.cz",1870],["tvsatshop.cz",1871],["windguru.cz",1872],["bitblokes.de",1873],["bluray-disc.de",1874],["buecher.de",1875],["efahrer.chip.de",1876],["cube-magazin.de",1877],["deraktionaer.de",1878],["dgb.de",1879],["distrelec.de",1880],["focus.de",1881],["focus-gesundheit.de",1882],["gamepro.de",1883],["gamestar.de",1883],["goldinvest.de",1884],["haus.de",1885],["herz-fuer-tiere.de",1886],["lto.de",1887],["mt.de",1888],["netzwelt.de",1889],["nextpit.de",1890],["onlinehaendler-news.de",1891],["posylka.de",1892],["rktbns.de",1893],["silicon.fr",1894],["silicon.pt",1894],["soliver.de",1896],["sonnenverlauf.de",1897],["suncalc.org",1897],["studyflix.de",1898],["studysmarter.de",1899],["kfz-betrieb.vogel.de",1902],["woolworth.de",1903],["woolworth.pl",1903],["samvirke.dk",1904],["vert.eco",1905],["brookings.edu",1906],["escoffier.edu",1907],["folger.edu",1908],["health.harvard.edu",1909],["hms.harvard.edu",1910],["thereader.mitpress.mit.edu",1911],["news.northwestern.edu",1912],["psu.edu",1913],["cidrap.umn.edu",1914],["wusfnews.wusf.usf.edu",1915],["today.wayne.edu",1916],["buttondown.email",1917],["elmundo.es",1919],["epe.es",1920],["lavozdegalicia.es",1921],["mcdiscount.es",1922],["welife.es",1923],["bandainamcoent.eu",1924],["centrumher.eu",1925],["ftm.eu",1926],["guildstats.eu",1927],["labiotech.eu",1928],["ping.eu",1929],["pinlight.eu",1930],["sifted.eu",1931],["techzine.eu",1932],["techzine.nl",1932],["naiz.eus",1934],["olimpstore.f",1935],["iltalehti.fi",1936],["kauppalehti.fi",1937],["talouselama.fi",1937],["tekniikkatalous.fi",1937],["tivi.fi",1937],["uusisuomi.fi",1937],["metsalehti.fi",1938],["mobiili.fi",1939],["moottori.fi",1940],["rakentaja.fi",1941],["suomenmaa.fi",1942],["tyyliniekka.fi",1943],["spring.org.uk",1943],["valitutpalat.fi",1944],["blog.payara.fish",1945],["chorus.fm",1946],["brgm.fr",1948],["bruneau.fr",1949],["capital.fr",1950],["casting.fr",1951],["comment-economiser.fr",1952],["dcshoes.fr",1953],["distrelec.fr",1954],["doctissimo.fr",1955],["ecommercemag.fr",1956],["fourchette-et-bikini.fr",1957],["francebleu.fr",1958],["telegraaf.nl",1958],["edweek.org",1958],["orizzontescuola.it",1959],["homap.fr",1961],["hostinger.fr",1962],["italiangourmet.fr",1963],["lamanchelibre.fr",1964],["leparisien.fr",1965],["letelegramme.fr",1966],["lopinion.fr",1967],["loractu.fr",1968],["maison-travaux.fr",1969],["marieclaire.fr",1970],["mariefrance.fr",1971],["optigura.fr",1972],["paruvendu.fr",1973],["sanctuary.fr",1974],["senetic.fr",1975],["viata.fr",1977],["valid.x86.fr",1978],["archon.gg",1979],["esports.gg",1980],["light.gg",1981],["oneesports.gg",1982],["op.gg",1983],["top.gg",1984],["u.gg",1985],["oag.ca.gov",1987],["census.gov",1988],["commerce.gov",1989],["nppes.cms.hhs.gov",1990],["jpl.nasa.gov",1991],["usa.gov",1992],["whitehouse.gov",1993],["pronews.gr",1994],["taperaki.gr",1995],["am730.com.hk",1996],["oneesports.id",1997],["breakingnews.ie",1998],["businessplus.ie",1999],["businesspost.ie",2000],["dailyedge.ie",2001],["thejournal.ie",2001],["fora.ie",2002],["independent.ie",2003],["rte.ie",2004],["10dakot.co.il",2005],["allevents.in",2006],["boomlive.in",2007],["news13.in",2008],["peoplematters.in",2009],["sprintmedical.in",2010],["hardware.info",2011],["tarnkappe.info",2012],["thenew.institute",2013],["agar.io",2014],["autodidacts.io",2015],["brutal.io",2016],["wings.io",2016],["chemz.io",2017],["cssreference.io",2018],["evades.io",2019],["hackster.io",2020],["helldivers.io",2021],["htmlreference.io",2022],["jojoy.io",2023],["leevz.io",2024],["mapgenie.io",2025],["meduza.io",2026],["nuggetroyale.io",2027],["prodvana.io",2028],["readysetcloud.io",2029],["sketchful.io",2030],["starve.io",2031],["surviv.io",2032],["thedriven.io",2033],["thenewstack.io",2034],["witz.io",2035],["wormate.io",2036],["presstv.ir",2037],["png.is",2038],["abbonamenti.it",2040],["affaritaliani.it",2041],["agi.it",2042],["astrospace.it",2043],["auto.it",2044],["bergamonews.it",2045],["bitcity.it",2046],["boatindustry.it",2047],["boatsnews.it",2047],["pescare.news",2047],["dilei.it",2051],["editorialedomani.it",2052],["fastweb.it",2053],["financecommunity.it",2054],["forbes.it",2055],["funweek.it",2056],["gds.it",2057],["qualenergia.it",2057],["gioconews.it",2058],["hwupgrade.it",2060],["ilcittadinomb.it",2061],["ilcorrieredelgiorno.it",2062],["melarossa.it",2064],["secoloditalia.it",2064],["internazionale.it",2065],["mag1861.it",2067],["mentelocale.it",2068],["milanodabere.it",2069],["mrw.it",2070],["myvalley.it",2071],["visitami.paginemediche.it",2072],["policymakermag.it",2073],["startmag.it",2073],["starbene.it",2074],["td-toys.it",2075],["virgilio.it",2076],["volksbank.it",2077],["video.tv-tokyo.co.jp",2078],["audioreview.m1001.coreserver.jp",2079],["go.orixrentec.jp",2080],["technologyreview.jp",2081],["theletter.jp",2082],["legit.ng",[2083,2155]],["dot.la",2084],["tonica.la",2085],["lematin.ma",2086],["jorgegalindo.me",2087],["start.me",2088],["landline.media",2089],["therecord.media",2090],["storm.mg",2091],["elinformador.mx",2092],["informador.mx",2092],["expansion.mx",2093],["ancient-origins.net",2094],["athletic.net",2095],["b92.net",2096],["b92s.net",2096],["behance.net",2098],["blog.csdn.net",2100],["electronicintifada.net",2101],["elektroauto-news.net",2102],["financialit.net",2103],["formiche.net",2104],["free-barcode-generator.net",2105],["glitterphoto.net",2106],["hummel.net",2107],["informationisbeautiful.net",2108],["tuc.org.uk",[2109,2435]],["interiordesign.net",2110],["it-daily.net",2111],["lcpshop.net",2112],["lifeinnorway.net",2113],["mangainn.net",2115],["manilatimes.net",2116],["messitv.net",2118],["metalsucks.net",2119],["middleeasteye.net",2120],["nativenewsonline.net",2122],["neowin.net",2123],["news-medical.net",2124],["osxinfo.net",2126],["particular.net",2127],["zookeys.pensoft.net",2128],["plagiarisma.net",2129],["racefans.net",2130],["context.reverso.net",2131],["shareable.net",2132],["shokuhin.net",2133],["sojo.net",2135],["streetartnews.net",2136],["striketactics.net",2137],["tapinto.net",2138],["techspree.net",2139],["tecnoblog.net",2140],["telesurtv.net",2141],["theplaylist.net",2142],["timesnews.net",2143],["windguru.net",2144],["xeiaso.net",2145],["forkast.news",2147],["grid.news",2148],["handball-world.news",2149],["headlight.news",2150],["premierchristian.news",2152],["tnc.news",2153],["loginhit.com.ng",2154],["amstelveensnieuwsblad.nl",2156],["baarnschecourant.nl",2156],["barneveldsekrant.nl",2156],["bennekomsnieuwsblad.nl",2156],["biltschecourant.nl",2156],["bunniksnieuws.nl",2156],["denieuwsbode.nl",2156],["deputtenaer.nl",2156],["derijnpost.nl",2156],["destadamersfoort.nl",2156],["destadgorinchem.nl",2156],["dewoudenberger.nl",2156],["edestad.nl",2156],["ermelosweekblad.nl",2156],["harderwijkercourant.nl",2156],["hcnieuws.nl",2156],["hetkompashardinxveld-giessendam.nl",2156],["hetkompassliedrecht.nl",2156],["houtensnieuws.nl",2156],["huisaanhuiselburg.nl",2156],["huisaanhuisoldebroek.nl",2156],["leusderkrant.nl",2156],["nieuwsbladdekaap.nl",2156],["nunspeethuisaanhuis.nl",2156],["recreatiekrantveluwe.nl",2156],["regiosportveenendaal.nl",2156],["rijnenveluwe.nl",2156],["scherpenzeelsekrant.nl",2156],["soestercourant.nl",2156],["stadnijkerk.nl",2156],["stadwageningen.nl",2156],["weekbladvoorouderamstel.nl",2156],["wijksnieuws.nl",2156],["automotive-online.nl",2157],["autoreview.nl",2158],["avantisport.nl",2159],["boerenbusiness.nl",2161],["buienradar.nl",2163],["deondernemer.nl",2165],["drimble.nl",2166],["duic.nl",2167],["eurocampings.nl",2168],["eurogamer.nl",2169],["frontpage.fok.nl",2170],["gezondheidsnet.nl",2171],["hpdetijd.nl",2172],["id.nl",2173],["iex.nl",2174],["iexgeld.nl",2175],["independer.nl",2176],["israeltoday.nl",2177],["kro-ncrv.nl",2178],["shespot.nl",2179],["smulderstextiel.nl",2180],["tostrams.nl",2181],["forsvaretsforum.no",2182],["tv2.no",2183],["tuinartikelen.nu",2184],["becextech.co.nz",2186],["bunnings.co.nz",2187],["computerlounge.co.nz",2188],["cosmicnz.co.nz",2189],["drivencarguide.co.nz",2190],["ensemblemagazine.co.nz",2191],["farmersweekly.co.nz",2192],["adventistworld.org",2192],["flashtrend.co.nz",2193],["grabone.co.nz",2194],["harveynorman.co.nz",2195],["livenation.co.nz",2196],["newshub.co.nz",2198],["newstalkzb.co.nz",2199],["nzherald.co.nz",2200],["olaproducts.co.nz",2201],["rouleurcycles.co.nz",2203],["topomap.co.nz",2204],["torpedo7.co.nz",2205],["tradetested.co.nz",2207],["aarp.org",2208],["accessnow.org",2209],["aclu.org",2210],["axial.acs.org",2211],["aei.org",2212],["africacheck.org",2213],["agsiw.org",2214],["aerospaceamerica.aiaa.org",2215],["americamagazine.org",2216],["americasquarterly.org",2218],["amnesty.org",2219],["answersingenesis.org",2220],["physics.aps.org",2221],["blockclubchicago.org",2224],["campusreform.org",2226],["carnegieendowment.org",2227],["catholicculture.org",2228],["cepa.org",2229],["cfr.org",2230],["citizensforethics.org",2231],["clevercreations.org",2233],["commondreams.org",2234],["compellingtruth.org",2235],["concertarchives.org",2236],["consumerreports.org",2237],["ctsbooks.org",2239],["culture.org",2240],["dailysceptic.org",2241],["deansforimpact.org",2242],["democracynow.org",2243],["earthsky.org",2244],["ecosia.org",2246],["educatedguesswork.org",2247],["factcheck.org",2248],["fides.org",2250],["fightthenewdrug.org",2251],["flotrack.org",2252],["foodandwaterwatch.org",2253],["fsf.org",2254],["futurity.org",2255],["grist.org",2259],["hcn.org",2260],["humanesociety.org",2261],["spectrum.ieee.org",2263],["inhope.org",2264],["insideclimatenews.org",2265],["insightcrime.org",2266],["investigativepost.org",2267],["kffhealthnews.org",2269],["kpbs.org",2271],["kqed.org",2272],["kuow.org",2273],["lareviewofbooks.org",2274],["lawliberty.org",2275],["leftfootforward.org",2276],["lenfestinstitute.org",2277],["letsencrypt.org",2278],["mayoclinic.org",2282],["mediamatters.org",2283],["meforum.org",2284],["memri.org",2285],["michiganmedicine.org",2286],["minimum-wage.org",2287],["missionlocal.org",2288],["monthlyreview.org",2289],["mrctv.org",2290],["museumcrush.org",2291],["mypenndentist.org",2292],["nature.org",2294],["ncronline.org",2295],["nejm.org",2296],["niemanlab.org",2297],["opencv.org",2299],["opensecrets.org",2300],["peoplesworld.org",2302],["pewresearch.org",2303],["pirg.org",2305],["plantbasednews.org",2306],["pnas.org",2307],["privacyinternational.org",2308],["publicintegrity.org",2311],["restofworld.org",2313],["rferl.org",2314],["rightwingwatch.org",2315],["royalsocietypublishing.org",2316],["rsf.org",2317],["schrijvenonline.org",2318],["sciencehistory.org",2319],["scriptinghelpers.org",2321],["semanticscholar.org",2322],["strategic-culture.org",2326],["takebackourtech.org",2327],["northdevongazette.co.uk",2327],["texasobserver.org",2328],["texastribune.org",2329],["the74million.org",2330],["thefederalistpapers.org",2332],["thefire.org",2333],["themarginalian.org",2334],["themarkup.org",2335],["themedialine.org",2337],["thenewhumanitarian.org",2338],["theparisreview.org",2339],["theworld.org",2340],["truthout.org",2341],["usafacts.org",2342],["voiceofsandiego.org",2343],["volunteermatch.org",2344],["wbur.org",2346],["webqc.org",2347],["whowhatwhy.org",2348],["ikorektor.pl",2351],["komerso.pl",2352],["portalprzedszkolny.pl",2353],["queer.pl",2354],["masternodes.pro",2355],["consul.pt",2356],["dinheirovivo.pt",2357],["idealista.pt",2358],["jn.pt",2359],["observador.pt",2360],["ojogo.pt",2361],["realitycheck.radio",2362],["tmo.report",2363],["bucataras.ro",2364],["kudika.ro",2365],["pbinfo.ro",2366],["interfax.ru",2368],["tonkosti.ru",2369],["tfn.scot",2370],["byggahus.se",2371],["soldfy.se",2372],["businesstimes.com.sg",2373],["surreyhillsgrocer.sg",2374],["dennikn.sk",2376],["mistergadget.tech",2377],["longevity.technology",2378],["nmac.to",2379],["doubledouble.top",2380],["hulnews.top",2381],["haberiniz.com.tr",2382],["abema.tv",2383],["aljadeed.tv",2384],["amu.tv",2385],["arynews.tv",2386],["eshentai.tv",2387],["thepeoplesvoice.tv",2389],["minfin.com.ua",2390],["english.nv.ua",2391],["nhm.ac.uk",2392],["balfesbikes.co.uk",2394],["blackwells.co.uk",2395],["celticwebmerchant.co.uk",2396],["chargedretail.co.uk",2397],["dailymail.co.uk",2398],["deliciousmagazine.co.uk",2399],["eastendprints.co.uk",2400],["eppingforestguardian.co.uk",2401],["gq-magazine.co.uk",2402],["harbourbookshop.co.uk",2404],["hive.co.uk",2405],["ianvisits.co.uk",2406],["inews.co.uk",2408],["inyourarea.co.uk",2409],["jewishnews.co.uk",2410],["jobisjob.co.uk",2411],["legalfutures.co.uk",2412],["markselectrical.co.uk",2413],["masterinvestor.co.uk",2414],["metro.co.uk",2415],["mirror.co.uk",2416],["monkeyoffice.co.uk",2417],["newsshopper.co.uk",2418],["okvape.co.uk",2419],["penguin.co.uk",2420],["politics.co.uk",2421],["processengineering.co.uk",2422],["sainsburysmagazine.co.uk",2424],["socialistworker.co.uk",2425],["stylist.co.uk",2426],["thesun.co.uk",2428],["thisismoney.co.uk",2429],["virginexperiencedays.co.uk",2430],["amnesty.org.uk",2432],["christian.org.uk",2433],["onlineshop.oxfam.org.uk",2434],["healthyone.us",2436],["oceana.mi.us",2438],["rare.us",2439],["regain.us",2440],["elpais.com.uy",2441],["vaticannews.va",2442],["duhoctrungquoc.vn",2443],["mybroadband.co.za",[2444,2453]],["citizen.co.za",2445],["dispatchlive.co.za",2446],["heraldlive.co.za",2446],["ewn.co.za",2447],["heartfm.co.za",2448],["homemark.co.za",2449],["iol.co.za",2450],["itweb.co.za",2451],["moneyweb.co.za",2452],["onedayonly.co.za",2454],["sahomeowner.co.za",2456],["topauto.co.za",2458],["wined.co.za",2460],["polity.org.za",2461]]);

const entitiesMap = new Map([["funnygames",0],["gomovies-online",1],["mimaletamusical",[2,3]],["pinterest",4],["pornhub",5],["ymovies",6],["zt-protect",7]]);

const exceptionsMap = new Map(undefined);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
