/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: annoyances-social

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = [".follow-google","#Share",".article__news-services-subscribe",".social-icons",".youtube-subscriber",".notapage_sticky",".social",".group-redes,\n.redes-left",".share-buttons",".noticia-social-share",".compartir",".social-share",".liCompartir",".shares",".list-icons",".BarraRedesNot",".socialIcons",".socialbar",".tik4-sharing",".al__socials",".share",".mainFooter__socialItem",".share-dialog",".socials",".social-buttons","#services-sidebar-icons,\n.circle-icons","#sharing",".header-social",".article-toolbar","#zeen_retina_image-3",".social-share-sticky-menu__wrapper",".c-strap--youtube",".pm-socials-block","#social",".react-share__ShareButton",".gb-share-list",".sharing",".pm-share-horizontal",".footer-icons",".social-media-container",".service-links","div[data-component=\"ShareUtility\"]",".SiteFooter_socials",".flex.flex-wrap.justify-end.space-x-\\[1\\.5rem\\]",".grid.grid-cols-4.gap-0.border.mx-auto.dark\\:border-gray-600",".uc-social-bar-wrapper",".item__share-wrap",".flex.flex-row.lg\\:flex-col,\n.flex.flex-row.tems-center.justify-center","#social-icons",".js-sticky-content",".article-full__footer-share",".twitter",".facebook","[class*=\"shareitemlist\"]","[class*=\"_share_\"]",".share-post-container",".footer-social-icons",".twitter-icon","#custom_html-7",".social_share",".btn-block.btn",".page__share",".social-links",".follow-container",".webshare",".social-networks",".social-items",".ag-mobile-social-widget",".mw-botaoGoogle",".compartilhamento",".c-social-midias","#bxkapp",".DivIconsTopo",".follow",".buzzfeed-socials",".flex.h-14.w-full.items-center.justify-center.gap-4.rounded.bg-\\[\\#25D366\\].px-4,\n.mb-8.flex.flex-col.flex-wrap.justify-between.gap-3.tablet\\:flex-row",".google-news",".social__footer,\n.top__share",".hover-compartilhar",".row_gn",".compartilhar-button",".tools",".btn-share",".social-icons-colunist,\n.social-icons-post",".share-container",".social-icon",".button-share-icon",".compartilhar-interna,\n.compartilhar-noticia",".compartilhe",".sigaInstagram",".share-float",".share-page","[data-ds-element^=\"social-Links-\"],\n[data-ds-element^=\"social-share-\"]",".pl-1",".cta-model",".ast-footer-social-wrap,\n.ast-post-social-sharing","div[class^=\"styles_shareLinks_\"]",".content-shares",".nav-tools-footer__social-media",".post-sharing-menu",".b-footer__social-links-container,\n.follow-us-wrap","#redes_sociais",".box--share-single-page,\n.box-networks,\n.header-netwoorks,\n.widget_nr-socials-widget",".social-media","div[class^=\"ShareButtons_\"]",".noticia-share",".share-icons",".nm-fb-share","#socials",".sociallink",".footer-content__social,\n.share-posts",".zz-header-social,\n.zz-header-social-bar",".share-card,\n.social-media-share-wrapper",".share-header",".btn-whatsapp",".botao-google-news,\n.icons-group",".lista-redes",".fixed-list",".redes-socias-noticia","#footer-social-links",".social-wrapper","#sociaisnk",".newsContent__article__meta__socials","#google-news,\n#shareitens,\n.docs","#single-compartilhe",".tec--didyouknow,\n.tec--share__container",".icon-partner-social,\n.t360-sharebar__wrapper",".flex.gap-2.ml-auto.mobile\\:hidden,\n.flex.mobile\\:mt-4.desktop\\:mt-2",".noticias-single-header__share__list,\n.tnh1-botao,\n.tnh1-videos-single__share",".jobview__btn-sharedVacancy,\n.sharedVacancy",".redes","#communit-box",".jupiter-share",".col.text-center.py-3,\n.d-flex.col-12.col-sm-4.align-items-end.justify-content-end,\n.header-block-right.d-block.my-auto.ml-auto.ml-md-0",".icons","#share",".fab",".c-follow-social-media",".sup-share-block__position,\n.sup-social",".barradeacoes__acionarredessociais",".barra-midias",".share-link","#block-block-11","#block-block-6",".socialshare",".ft-social",".sc",".b-share-bar",".share-toggle",".engagement-widgets",".footer1",".share-icon",".c-teaser",".item_share_area","#social-share-icons",".item--share","#article-social-icons",".c-actionsTools",".sc-sa6od2-0",".flex.flex-wrap.items-center.gap-3.pt-4.xsToSm\\:pt-2.print\\:hidden,\ndiv[class^=\"StyledSharingBar-\"]",".sc-expanded",".news_content_tools",".btn-social-icon",".dpsp-network-list-item",".social_diviser,\n.twitter_bas",".ara-header-social,\n.footer-rrss,\n.tool-set",".post-share-sms",".M-compartir,\n.R-rightShare",".club-producte-social",".rrss",".socialsharesnoticia","button[aria-label^=\"Partager\"]",".socials-custom",".footer-social-media",".social-media-blocks","button[class^=\"ActivityButton_\"]",".share-button",".ccm-element-social-share",".a2a_kit","#buttons-social",".node_share_news",".watson-sharebuttons",".banner-google-news,\n.cuerpo-share",".c-sn",".cnt-interaccion",".botones-llevatelo",".post-social-container,\n.redes-container",".ssd",".botones-redes-sociales,\n.contenedor-compartir,\n.contenedor-sociales,\n.modulo-channels,\n.modulo-google-news",".col-xs-12.col-sm-12.col-md-12.text-right.pull-left.pad-none",".share-content",".compartir-noticia,\n.gnews-container",".social-grid",".sn-single","#facebook",".entry__social",".three-right",".section-common-share-wrap",".jiathis_style_shine",".container__btngoogle",".floatin-button-container-social",".Social",".SocialMedia",".Button_google",".text-neutral-700","#after_disclaimer_placement",".google-news-link",".container__boton-whatsapp,\n.footer__redes,\n.share-redes,\n.texto_redes7",".social-follows",".lb_overlay",".entry-share-link",".blog-hustle-social-links",".ActionBar","#sidebar > h4,\n.sharetocare-popup",".networks",".social-media-list",".flex.flex-row.items-center.justify-center.md\\:justify-start.p-16.md\\:p-0,\n.w-full.md\\:w-auto.h-full.flex.flex-row.items-center.justify-center.md\\:justify-start.pt-16.md\\:pt-0.border-t.md\\:border-none.border-black\\/10.dark\\:border-white\\/10",".tip-share",".form-success.text-center","#siguenos",".widget_sm411_widget",".kleo-quick-contact-wrapper",".Page-actions",".wrapperBase_1ietptp-o_O-wrapperDefault_dlcy9n",".bm-social-top",".footer-redes",".fb_iframe_widget",".header__social-search__icons",".post-share-area,\n.stay-connected","#conversions-box",".nav-sharebox","#ftr_social-icons","#share_buttons_top_of_petition_menu",".tw",".fb",".aw-social-share-container",".story-share",".ArticlePage-actions-wrapper",".social-links-menu","#share-list",".sharingColumn",".social-network",".fb-banner,\n.ig-banner,\n.tw-banner",".connect",".sticky-panel-container",".SingleSocial",".FollowUsOn",".share-tools__list",".rgt-links",".sticky_1ds30c3",".compartir-nota",".w-full.mb-10",".follow-please",".social-media-links > .sidebox-content,\n.social-media-links > h3[class=\"sidebox-header\"]",".SocialButtons",".mercatino-toggle,\n.social-bookmarks",".cb__share-box",".btn-facebook",".btn-flipboard",".btn-linkedIn,\n.btn-reddit,\n.btn-x",".btn-mail",".copy-link-button",".author-tw","#social-bookmarks",".social-button",".article-author__social","#box-message",".content-redes",".zd-social",".share-capture",".tweet",".entry-views,\n.meta-area",".editoSocialBar","#follow-us",".blog-article__share-sticky,\ndiv[data-component=\"social-media\"]",".author-links",".sh-bar",".SnsUtilityArea",".ao-share-buttons,\n.telegram-share-wrapper",".PartialSocialLinks","div[style=\"clear:both;position:absolute;top:20px;left:0px\"]","#more-less-btn,\n.rating-count,\n.singlemeta",".stay-social",".widget_connect","#footer-social-list",".icon-email","#reaction-wrap",".component--share",".af-socialIcons",".follow-us",".bloc-partage",".follow-google-news-p",".footer-svg-icons",".leading-0",".article-shareables",".twitter-embed",".w-share",".boxnav--social","div[class^=\"social-share-\"]",".sticky-header__sharetoolsContainer,\n.style--save-and-share-container--KMiFF4od","#bot-soc-icon-wrap,\n#top-soc-icon-wrap",".fb-social,\n.tw-social",".social-bar","#icons",".beebom-social-share",".bg-primary-blue,\n.share-block",".div-rating","#shares",".sb-footer__notes__socials",".footer_social_media",".news-info",".pinterest",".ldm-social-menu",".floating-buttons",".widget-social-b",".spc-social-follow",".social-menu-desktop","#share_line",".soc",".rs-icon","#bc_sharing_is_caring,\n#google_follow","#share-box",".facebook-round-control,\n.twitter-round-control",".css--social-wrapper-outer",".ts-share-bar-custom",".ArticlePage-google-news",".post__share-block",".td-social-share-text,\n.td-social-whatsapp",".footer__footer-top__social-links,\n.whatsapp-link",".one-head-share1-links",".social-box",".dd-share",".mojo-fb-logo,\n.mojo-tw-logo",".story-base-template-m__share-floating-expanded__1E6W0","#share-container",".top-nav",".heateor_sss_sharing_container",".ea-share-count-wrap","#social-follow-sidebar-widget,\n.bnn-social-share",".m-social",".follow-buttons-block",".single-share-wrap",".wprm-call-to-action",".MainStory_whtsppchannle___HEk3,\n.MetaPost_flwggle__kFKIT,\n.whtsclick",".join-tg",".social-heading","#aboutsocial",".js-inline-share-bar,\n.post_shareBottom__9whII,\n.share-bar_buzzfeed___uZ4R",".social-sharing",".share-buttons-icons","#IconContainer",".youtube",".instagram",".modulo_compartir,\n.ssnn",".caf-c-followbar,\n.caf-o-footer__socials",".art-action-wrp",".relative-social",".cm-share",".icon-share",".detail__soc",".post_share",".social_link",".td-post-sharing-style2,\n.tds-button,\n.telegram-scrolling",".global-footer-social-buttons,\n.sds-social-share",".analytics-cta,\n.py-4.flex-wrap.flex",".SocialIconsBar",".cgd-social-wrapper",".header-v3-follow-common",".w-full.border-gray-900.p-5",".navigation-footer-platforms-component",".seguicisu",".footer-links",".widget_block",".article-control-bar",".comp-content-sharetools",".fdn-content-multi-row-share-tools-small",".list-footer-rs","div[class^=\"SocialShare-\"]",".google-btn-div","#btn-teleg",".headerradio__social,\n.section__social,\n.share-buttons-style-two,\n.share__radios,\n.storyfull__social",".sharepost",".sosmed",".social-icons--share",".ct-block-wrapper","#social-icons-box","#social-ad-new,\n.GoogleFollws,\n.Socilsm","#sharerbox-section",".wrapp_aside-share",".post__socials-block,\n.shares-list__list","#sfsi-widget-2","a.mr-10.left > [src]",".cta",".l-shared-sec-outer,\n.socials-counter,\n.xs_social_counter_widget",".SocialLinks__SocialButtonsContainer-sc-vif6xs-0","div[class^=\"share-bar_\"],\ndiv[class^=\"social-list_\"]",".icon-font",".socialoverlay",".bloc_reseau",".gl-btn,\n.gl-likes",".article-sharing",".breathe,\n.lc-article_share",".desktop-controls",".right-share-box",".share-box",".border-all-mid-gray-rounded",".social-connect-links","#ss-sticky-bar,\n.ss-inline-share-content",".nso_single_social",".ssk",".share-col",".share-links",".call-now-button,\n.mvp-alp-soc-wrap",".links-bar","#social-media",".shB",".social_media",".g-b","#twitter",".sns-sharing",".a2a_default_style",".social__variant",".swp_floating_horizontal_wrapper",".group-xs,\n.list-inline-xs",".social-media-icons-container",".twitter-share-button",".nav-social__items,\n.social-links__anchor--sharing",".nav__story-social-network","#top-buttons",".top-sidebar-wrapper",".btn-connect","#newsletter-form,\n.badges",".single-artical-page-shear-section-shear-section",".box-social-com",".atw-socials,\n.otd-socials","#menu-2021-social,\n.b-share","#print_article","#about-social",".social_icons_colored",".dm20-footer-social-link,\n.dm20-lory-share-panel","[data-tracking-name=\"footer-section-social-media\"],\n[data-tracking-name^=\"sharing-icons-\"]",".banner",".footer__top","ea-social-links",".feed",".Footer_social_bar__E9yGn",".galleryImageShare",".e-shared-sec,\n.t-shared-sec",".l-shared-sec",".open-compartir",".sharebutton",".article__share-buttons,\n.site-header__social",".social-menu",".boton_ws,\n.btn-compartir","div[class^=\"share-widget_\"]",".socialNav",".contenedor-google-noticias",".article__footer-nav",".Button_googleAlert,\n.Button_whatsapp",".SocialNetworks",".comparte_noticia",".w_rs",".countsocialhor",".ft-mol-rrss-column",".swBar",".btn_googlelink,\n.c-detail__info-share,\n.c-subheader__social,\n.sharrre",".share-options","#cuDetalle_cuBarraSocial_redesSociales,\n#redesSociales","#follow","#block-footersociallinks","#footsocbuttons",".btn-group","[href=\"https://bit.ly/39WhWFF\"],\n[href=\"https://bit.ly/3pozgtL\"],\n[href=\"https://bit.ly/3qLFns9\"],\n[href^=\"http://bit.ly/\"]",".mpGTIt",".some > *","#ea-social-footer-links,\n.ea-social",".vermas",".c-post__social",".gGWTmb,\n.kifGPa",".list-group","#fixed-facebook,\n#fixed-wechat,\n#footer-wechat-container",".siguenos","body > #links > div[align=\"center\"]",".footer-right",".fa-share-alt",".social__buttons",".wikia-bar-anon",".widget_bimber_widget_facebook_page","#social-promotion",".fcbr_social_share",".thumbnail_pinit",".Entry-infoSocial",".mh_share_footer","#page-pre-footer","div[class*=\"article-section_shareButton_\"]",".article-icons,\n.article-icons-color,\n.contact-widget__sticky",".follow-us-on,\n.ie-google-news",".partial-heading-social,\n.partial-share",".social-sharers",".bg-mail,\n.home,\n.subcrbe_btn,\n.whats-app-desc",".recipe__social",".email",".single-social-share",".fdbst-share-button",".o-SocialShare",".single-social-icon,\n.social_top_bar","[class^=\"_socialMedia_\"]",".google-news-card",".action-icon-list__wrapper,\n.article-slot__socials",".post_bottom_socials_buttons_wrapper",".share-post",".article-share-icons","#custom_html-3",".wprm-template-fmb-footer",".mvp-story-share-wrap","#block-fs_helpers-fstop_socials",".social-content",".redes__articulo",".fxs_bg_light_5_clr","._nvshrw,\n.gsocialbar,\n.story_social_share",".js-toplink-container",".gk__footer__social-bar,\n.gk__share__label",".Footer_follow__eMVb8,\n.Share_pc_share__RxDpq",".social-16-soc,\n.social-19-out-GP",".gametyrantSocial",".tag-social-media",".social-new",".content-share",".share-panel","#gd-social-widget",".x-social-menu",".menu-follow",".social-actions",".whatsapp",".article-float-buttons,\n.social-follow-unit",".post-share","#d-block",".compartilhar",".container-card-follow-me",".hdr-social-links",".share-social-icons",".social-widget,\n.social_tracking_home",".component-share,\n.component-social-twitter",".footer-widgets",".share-group","#share-buttons,\n.navbar-social",".share_count_holder","[href^=\"https://t.me/\"]",".v-share-tools","._3fq8S-container",".share-box-container",".social_panel",".article__social",".section-footer-social",".follow-list",".facebook-page","#awt_popup_landing",".addtoany_shortcode",".sosyal",".googleNews",".pk-share-buttons-wrap,\n.pk-social-links-wrap",".headericons,\n.icon-icons_twitter-top-share,\n.post-story-social-sharing,\n.shareicons","#SideSocial","app-icon-link",".creator-recipe-footer",".follow-buttons",".sns",".follow-us-post-section","#block-social-2",".button-wrapper",".stickySocial",".fp-hero-block",".article-sticky-social",".content__compartir",".ln,\n.new__socialIcons,\n.subscribe-social",".googlenewfollowidget",".shareLinks,\n.socialWidgets","#sharings-footer",".menu.nav",".contact,\n.news__social",".cookbook-instagram",".qa-gallery-socials",".Share_share__FQTKw",".custom-html-widget","#text-23",".ul_media_links",".linkedin",".jSharer",".news-shares",".share_item","div[class^=\"index_share_box_\"]","#FollowOnGoogleNewsBtn,\n.social-share-elements",".social-icons-button",".header-banner-menu",".list-inline--tools,\n[data-type=\"fb\"],\n[data-type=\"in\"],\n[data-type=\"tw\"]",".icon-send",".footerLinks_03","#findUs",".ie-ie-share",".d23-button-share",".noprint",".footer__social-wrap",".social-icons-item",".mb10",".telegrame_cta_content",".menu-icon-discord,\n.menu-icon-fb,\n.menu-icon-tw,\n.menu-icon-yt",".sns-list",".confess,\n.menu-menu4_home-container",".opinion-advertising","#irish-header-social-wrapper",".header-nav-addons-link",".kadence-column_09a01f-df",".SocialShare","ul[class^=\"Details_Social_\"]",".subscribe-buttons",".social-link",".social__link--share",".td-post-sharing",".twitter-follow-button",".barra-acoes-container",".bn-block-brand",".article-footer,\n.gdm-article-actions",".article-sns-btm,\n.article-sns-top","#footer_social_channels",".art-top-share-pan-nf",".pinit",".cisc-box",".sqr-social-icons",".group.flex.w-40.items-center.space-x-2.text-xs.font-bold.text-gray-400.hover\\:text-primary",".MailToLink",".fb-page-like-box",".btn-whatsup",".twit",".fa-instagram",".c-share__wrapper",".list-inline",".section-soc-icons",".send-article-icon",".action-buttons","#socialSidebar",".action-bar",".c-article-foot__site,\n.c-header-social-item",".sm-btns",".btns-partage",".LNPocket",".ln__m-shr",".kg-callout-card-blue",".social-tile","[data-ga-element=\"social-link\"]",".art-share-nav,\n.home-social-icons",".pre-footer_instagram","#menu-social-buttons-header",".parler",".CompanyPage2CompanyPageAbout__share",".lmm_external_footer",".social_links",".widget_twitter_timeline",".social-feed-container",".buttons-social",".support-now",".ebm-share-wrapper",".google","button[data-taggyid]",".base_redes_sociales_fotogaleria","#pinthispage",".addthis_toolbox",".socialMedia--3i9tSnAb",".rezo_sociaux",".footer_icons_container",".widget_a2a_share_save_widget",".btn-twitter",".header-social-menu",".wrap_social_account",".ShareBar_listItem__6t0E_,\n.mom-entry-meta-buttons",".home-content-panel__details-social__main-holder,\n.icon-share-card-lite","[href=\"https://t.me/maps4heroes\"]",".swp_social_panel",".ssbc-button__link",".actions",".interacciones",".post-social-share",".slide-on-scroll",".widget_group","#js-soc-panel","#jj_sl_navigation",".botoes-compartilhar",".fa-circle",".socialfloating","#fixed-share",".social_icons",".footer-options","#block-publicmenusocial",".style-mai-share,\n.tm-click-to-tweet","div[class^=\"HeaderSocialWrapper-\"]",".side_col_follow_box",".sharelink_act,\n.social-icons-inline",".set-bottom-footer",".memo-footer-social,\n.memo-top-social,\n.share-link-btn",".ma-AdDetailShare","#share-icons-container,\n.google-news-follow,\n.info-networks",".block--addtoanyadv",".ssm","#sidebar_items_container",".social-signup",".likeBtn",".social-web",".widget_media_image","#Social","#partage",".partage",".fsoci,\n.join_follow,\n.social_icons_wrapper",".mdc-social-share",".socail-share1,\n.social__media",".social-container","#socialshare_title,\n[data-c=\"social-share\"]",".mvhub-social-button",".footer-bg",".followbuttons",".aji-social-items-wrapper",".stb-bsb",".sharedaddy__wrapper","#follow-us-social",".sharecell",".article-share-container,\n.lets-connect,\n.like-it-share-it,\n.share-it-side","#shrarea",".blocco_condividi_dettaglio",".social-share-links",".styles-m__sticky-social-share__fJQ4J",".article-utility-nav",".c-article-extras-additional-links",".gdm-article-share",".ncaa-share-hanger,\n.tile-follow",".pst_scl",".col-4",".nerdist-social-share",".ns-share-count",".ActionLink","#header-social-follow",".elementor-element-44f5e77,\n.elementor-element-c6f7bc9",".article-social,\n.footer__middleRow",".article_bnow,\n.article_follow_1,\n.article_socials,\n.nhsocial,\n.pht-artcl-shr2",".article_socialShare,\n.followBtn,\n.followUs_Links",".subscribeBar",".ArticleHeader__SocialWrapper","div[class^=\"share-tools\"]","#lightbox",".simple-social-icons",".btn-primary",".nfl-c-article__share-bar",".-social",".nhl-o-sharebar","#bonus,\n.c2share",".sharebar-impact","#tele",".site-footer-social",".BlogPost__social-block","#redes",".footer-info-social,\n.news-social-bottom",".btn-google-news","#floatingfacebook",".take-shareables",".nn-follow-us,\n.nn-join-us__col",".eshare",".uui-blogpost05_share-wrapper",".Detail-share,\n.Follow",".floating-share,\n.floating-share-wrap","[data-testid=\"social-group\"]",".mashsb-container","#custom_html-2",".box-fixed-subscription",".social-sharing-bar",".tabrow",".indexstyles__SocialMedia-sc-1np4juy-1","#youtube_promo,\n.goog-one-news",".blog-post-single-share","#block-13","#footBox2",".page-social-share,\n.site-header-actions-social",".tdi_134",".condivisioni",".ocial,\n.ocialWhite",".scl-icons","#subscribe_box",".p-product-detail__social-buttons","#partager",".recurrent-share",".nav-socials,\n.rm-social-share,\n.social_sharing_article",".social-media-icons",".creator-social","#socialmenu",".share-copy-mail",".footer__right,\n.top-footer",".styles_SocialShare__lQpUq",".fixed-action-btn","#side-follow","#redesArticulo,\n.social-topsharing","#follow_social",".fdn-site-header-social-icons","div[align=\"RIGHT\"]",".image-with-overlay-pinterest-0-2-76,\n.share-icons-single-icons-0-2-82",".m-social-profile",".social_network",".social-tools__list",".canais-s",".flex.gap-2.justify-center.border-b.border-\\[\\#ebebeb\\].mb-3\\.5.pb-3\\.5",".condividi",".sbnr",".ragan-social-share,\n.sidebarShareHeading",".author-social-icons",".b-sharers","img[style=\"margin: 0px 10px; float: left; width: 26px;\"]",".btn--email,\n.btn-classic","#hit",".share-site",".nlg-social-icons",".header-social-network,\n[class*=\"article-fill-social-\"]",".widget_twitter_followers",".social-share__actions",".body-share-wrap",".before_footer,\n.social_single_post,\n.social_single_post_bottom",".Popup-telegram,\n.follows-channel",".awesome","#secondary-nav-bar-social,\n.rn_widgets","#rhs-pinbar,\n#shr-actn-bar",".partilha",".ess-buttons",".footer-media",".acm-article-share",".socials2",".zox-post-soc-scroll-out,\n.zox-post-soc-stat","#toolbar-item-parent-share-12,\ndiv[class^=\"image-caption__social__\"],\ndiv[class^=\"social__container_\"]",".social_holder,\n.social_label",".footer-social-wrapper","#text-3","#text-9",".post-share-float",".page-content--byline-share--share",".qyh","#widget,\n.ft-soc-block",".dt_social_single",".share-bar,\n.topper-social",".article__google-news","#google_news_banner",".GoogleNewsBanner-link",".sabc_footer_btm_social,\n.sabc_social_box",".fdn-icon-button-smaller","#social_total",".social_comments_app_wrapper",".google-news-cta","span[class^=\"SnsPlugin_items_\"]",".dQkCRJ",".footer__followus-text",".new-home-banner",".qa-placement-share-bar",".subheader",".sharebtn",".article-share",".author-share-buttons,\n.top-bar-social-media",".social-media-links",".c-detail__share","#social-networking","div[class^=\"styles_shareWrapper_\"]",".footer-google-news,\n.gtmGoogleNewsDetalleSm",".socialts","#panel-3",".notizia-end-share-panel,\n.notizia-single-sharing-panel,\n.notizia-tweet-this",".follow-links",".ListingTile_social_nav-wrapper",".floating-header-share,\n.twitter-svg",".PopupSharer_container__Nhcrt,\n.StickySharer_list__Lirqs",".o-social-list__item",".sc_socialconnection",".social-horizontal-container",".sharebarBetaWrapper",".data-we-share",".follow-me-foot,\n.sj-recipe-callout","td > .nomobile","#communication",".share-article",".site-share-wrapper","[data-component-name=\"sdc-article-strapline\"]",".fb_messanger","#block-48,\n#dpsp-floating-sidebar",".meta-box--share","#sb-footer-menu",".tvsc-footer-social,\n.tvsc-social-share",".listenDetails__login","#sticky-sharing,\n.post-sharing",".ba",".social_table",".follow-action","#cta",".header-social-media-links",".fbk,\n.twt",".Article_shareToggle__D2fGG",".social-network-icons",".field-name-telegram",".plugin-ss-sticky",".social-flex","._socialMedia_1o0tg_1","[data-testid=\"article-share\"]","#gp-social-share",".detail_text_socials","._share-wrapper",".networking",".footer-segment-bottom__social-list",".a2a_share_target",".recipe-social-share",".block-follow-me,\n.block-follow-updates",".reddit",".google_news_button",".article__floating-wrap","#subscribe",".s_so",".tl-social,\n.tl-social-share","div[class^=\"socialList_\"]",".article_footer",".facebook-icon,\n.flipboard-icon",".mvp-top-soc-wrap,\n.supersharer",".article-interaction__social",".tecmint-float-social-wrapper",".astkysharebox,\n.followusbox","a[title=\"Share\"]",".twitterModule",".-sharebar",".fl-social",".footer__bottom--social-links",".post-links","div[class^=\"ArticleShare_\"]",".field-name-sharing-buttons-1,\n.field-name-sharing-buttons-2","#text-2",".cinemaholic-share",".styled-social-box",".wprm-social",".td-follow",".jeg_custom_share_wrapper,\n.pf-button","#article-share-it-now,\n#article_top_right_share_btn,\n#social_share_widget",".facebook_plugin,\n.twitter_plugin",".social-navigation",".essb_links",".c-site-header__buttons",".float-share,\n.follow-box,\n.mobile-share,\n.share-open-modal,\n.top-follow",".inertia-social-ad","#share-menu-button,\n#share-menu-top-button",".foot__socials",".toplinks",".sharing-cta",".jeg_share_top_container",".art__tools",".inline-flex",".sharethis-menu",".social-share-rail__sticky",".code-block-3,\n.code-block-8,\n.share-layout-stack,\n.share-post-button",".btn-social",".c-engage",".socials_promo",".block-pinterest-cta",".custom-pinterest-wrap",".wa__btn_popup",".article_set_wrap","#header2",".project-actions-header",".duet--article--share-buttons",".like",".dJ_xt","#mc_scoreboard",".post-google-news-link",".header_google_button,\n.header_twitter_button",".share-this","#native-share",".mobile-sprite",".social-item",".subcription-two",".socialite-widget-ul",".social-nav",".elements-Tombstone-social,\n.modules-SocialWidget-socialWidget","._1oxEOBHC","#addthisimage",".heateor_sss_follow_icons_container",".blog-post-header3_share-wrapper",".socialshare_box",".navbar-right",".social-sharing-sidebar",".google-news-button-wrapper",".son",".fa-comments,\n.fa-reddit,\n.vc",".fa-twitter",".masthead__social-list",".social-media-top",".footer-menu--icons","#menu-social-navigation-1",".follow_us_icons",".post-article_sns",".ao-sbcontent",".block-better-social-sharing-buttons",".social_buttons",".telegram",".tv5monde-footer-menu--social","._socialMedia_1y23u_1",".sharedesktop",".thm-sc",".fancybox-overlay",".widget_custom_html","#banniere-2951-particle,\n#banniere-6584-particle",".button-holder","div[class^=\"ShareButton_\"]","#ShareModal",".component--shareline","div[class*=\"SocialShar\"]","#social-bar-valora",".Shares",".block-social-links",".widget_et_social_followers",".tdi_141",".masthead-nav-social,\n.post-comments-shortcut",".social-item-mail,\n.social-item-media",".share_body",".social-share-list",".vr-sharing",".channel_card",".social-btn",".inner__more",".min-height-800",".spc-social-block",".tools-container",".story-share-bottom",".zocial",".Footer--socialContainer--3z8CW","[href^=\"http://twitter.com/intent/tweet\"]","#block-37,\n.elementor-widget-share-buttons",".sidebar-card-media",".fdn-site-header-social-icons-block",".ReviewSocialSection_reviewSocialSection__qzV0o",".follow-more-news,\n.shareMobile",".interactive",".article-share-data","div[class^=\"StickyBoxWrapper\"]",".sagaltpop",".article__sharing",".share-wrap-icons",".article-action",".tool-list",".YDC-Overlay","#top-nav-soc,\n.expanded.button,\n.msnfc",".AccordionShareWrapper,\n.SiteArticleSocialShareNew1280","#secondary-links",".naf-article-share,\n.naf-article-social-block",".followdesktop",".c-connect","[href=\"https://zycryp.to/GoogleNews\"]",".buttons",".share__block__wrapper",".c-ticket-fan__social-icons",".nfy-footer-social",".ston-shareicn","section[class^=\"article-top-panel_socials_\"]",".article-addons",".smIconsWrap",".connectButtons",".social-line",".sticky-bar",".uncode-vc-social","#footerlinks",".page-tools",".mtbnews-post-share__container",".field-share",".sideSocialMedia",".dm-articleUserActions",".article--footer",".bookmarks",".socFbLikeShare",".social-buttons_container",".share__bottom,\n.share__top",".soucials",".alice-push-channel",".social-block,\n.uael-marketing-button",".social-tools",".footer__sharing",".iz-socmed",".social-channels",".fb-page",".kick__article__social",".module-share","#shareButton",".sliderbar",".meta,\n.to_facebook",".icon__social",".ov-article__sharebar",".artSocialLinks",".shariff",".bookspalte",".story-sharing","[href=\"https://www.pinterest.de/redensartenindex/\"]",".socialnetwork",".sharing_is_caring",".tg-social-bottom",".sbm",".smeShare",".socilamedia-share-btns",".pagetools","#verticalShare","#jm_sl_navigation",".googlenews-btn",".g-footer__social,\n.o-hero__social",".social-cont",".news-article--share",".btn-link",".connect-links",".follow-virginia-tech-icons",".article__info > .article-utility",".compartir-mas,\n.herramientas",".toolbar",".noticia-compartir,\n.top-bar-rrss","#buttons",".ue-c-article__share-tools",".detail_rrss,\n.icons_rrss","#subnavegacionFixed",".fl-socials",".site-footer__rrss",".link-redes",".srvm-nw__share-wrapper",".ft-mol-rrss","a[href=\"#condivisioni\"]",".header_facebook","#grnation",".inline-block.space-y-8",".subscribe",".menu-icons,\n.telegram-banner",".insta-frame",".compartir_sociales,\n.flex.my-4.space-x-4.lg\\:justify-center.lg\\:my-0,\n.flex.space-x-4.justify-left.w-full.mt-5",".post-footer:has(> .share)",".anchored","div[class^=\"Styles__InnerContainer-\"] > .animated",".herald-single-sticky:has(.herald-share)",".somejaot",".clLoPp.sc-7urq97-0",".cyhxvA.sc-tq30ek-31","#text-15,\n.mobsome_icons","#elevator","#scrak_CONT_keski",".entry-socialmedia-title",".fmUFKd.sc-zxh5v-0",".cArfwR.sc-1fbt3do-0",".social-navigation > .nav-item",".principio_plugin",".proradio-shareball,\n.reakticons-share,\n.sh_fb,\n.sh_li,\n.sh_te,\n.sh_tw,\n.sh_wa,\n.ttg-btn-share",".attentionUs","#email,\n#fb",".button-sign-social",".nl-social",".content-social,\n.slide-share","#sfsi_floater",".ShareNetwork,\n.gfAGVu",".social-zone__wrapper",".bubblegum",".footer_col_social,\n.header_content_networks,\n.share_content_button",".cs-meta-shares",".fig-share-mobile-layer,\n.fig-sharebar",".sc-eVBRet.htUQLJ",".reseau-soc-page",".reseaux_sociaux",".ShareManager,\n.StationFooter-social",".communities",".gg,\n.ld,\n.shared-logo",".lksociaux,\n.reseaux-list",".widget-toms-widget-google-news",".cloux-social-links",".article_social_button",".articlesocial",".d-flex.mt-3,\n.research__details--share",".article_social_bottom",".fa-lg.text-center.my-5",".headerSocials,\n.ring-detail-social-share",".usa-footer__social-links",".m-social-media",".social-section",".block--footer-media,\n.block--page-head__row__share",".nist-social__wrapper,\n.social-twitter",".controls","#enternity_social_dialog",".tkp_con_share",".item__social-jl",".single-page__social-share-container",".h-screen",".item_social_share",".item__share",".instagram_feed,\n.social_networks",".m-cf-fejlec_container_inda_additional",".megoszt",".topicons","#stickInArticle",".facebook-layer-box",".mw_social",".ms-link-list",".header-right-socials","#didyou,\n.cikkbar",".article-bottom,\n.framed-content",".fb-box",".fejlec_osztas","app-share-buttons",".mb-1.pt-4,\n[aria-label=\"Facebook\"],\n[aria-label=\"Instagram\"],\n[aria-label=\"Twitter\"]",".c-padding-xs.ct-div-block",".social-links-wrapper",".social-btn-container","#sticky-share-button-redesign,\n.social-container-redesign",".Share",".rrss-link",".facebookSection",".social-common-blck,\n.social-panel-rgt",".cmp_shr_btn,\n.rhs-fixwhtsapp,\n.social_tracking",".share-btn-wrp",".stay_connected","#soc",".fixedshared,\n.footer__socialshare",".like-text",".art-social-block",".social_media_link",".socials-section",".jota-actions,\n.jota-article__share",".boldShare",".fa-facebook",".sbuttons",".telegram_sub_href",".news-social",".meks_ess",".spu-bg",".spu-box",".sfsi_centered_icon,\n.space-footer-top-soc","#tns-footer-bar,\n#tns-post-body-sidebar-share,\n.share-media",".social_icon_head",".social-icons__list",".temporary-skin-adv",".hidden.xlarge\\:flex.border-t.border-base-300.pt-2.core.items-center.justify-between",".td-post-sharing-bottom","#header-fanpage",".default--toolbar,\n.default--toolbar-listitem[data-type=\"icon\"]",".media-share,\n.new-toolbar-menu","#vimeo",".socials_det","#ss-floating-bar",".ld-t-footer-sharing,\n.share-control","div[style=\"margin-top: 15px;display: block;padding-left: 18px;font-size: 45px;position: relative;clear: both;\"]","#gnews_label",".box-gnews","#box-social",".lista-social",".cirioYou",".box-canale-telegram,\n.company-social",".sharing_icons_wrapper",".social-launch",".post-meta-actions",".widget-social-network","#condividi","#segui",".p-gnewsBanner,\n.p-telBut",".ft-icon",".tutplus-socials",".foc-footer-social",".SATover",".bottoniera-social",".btn-toolbar",".googlenewsd",".art-item-footer","#boxCondivisioneVoto",".partial-button-telegram,\n.section-cards-social,\n.single-post__social",".footer__tools","#custom_html-8,\n#custom_html-9","div[class^=\"SocialShare_\"],\ndiv[class^=\"WhatsApp_\"]","#condividi_news,\n.giornale-contatti",".magazine-article-share-tools",".eltdf-woo-social-share-holder","#whatsapp",".instagram-widget",".footerIconsUl",".socialBtn",".tgla7-condividi",".sswfb-buttons",".lp-social-post",".code-block-10",".seguici",".iol-share-menu",".iol-social",".post__trends",".post-actions",".google_news","div[class^=\"SocialBar_\"]",".ts-social-list-item",".ss-box",".dsoc,\n.shr",".fb-menu",".info-links",".btnYou",".lista-is",".vota-pul-consiglio",".footer_el","#gn_cta",".share-item",".sfm-floating-menu",".td-social-sharing-button",".box-condivisione",".extra_info_social",".jw-video-details-share",".mvp-post-soc-wrap",".top_nav_social","share-view","#social-container",".share-toggler",".prefooter__social__list",".banner-buttons",".alert",".totwitter",".social-column","#site-menu-social-footer",".hashtags",".link_invia_amico",".follow-title","#follow-us-on,\n.condividi-button",".footer","div[class^=\"ModifyAndShareDetailArticle_\"]",".sgtv_divRowContent_messenger_subscribe",".fco2b,\n.finfo3",".wo-opening-share-panel",".cond",".condisione-social",".discover",".foobar-social",".obfx-sharing",".socials-link",".condivisione",".condividipagcatd,\n.condividisottod",".vea_share",".foglia__social,\n.vv-shr","#sf","nav-social",".media-icons","#vertical_sns",".sns_list",".swp-hover-pin-button",".dc__footer_sns","#snsbtn","#snsLink",".officialAccount","#sns",".block-sub-sns",".sns-box",".cmp-misc003",".ninja_onebutton",".sns_icons","fw-storyblock",".button_ss,\n.single_s_bt,\n.socal",".header-fb,\n.header-tw,\n.sns-fixed,\n.sns-icons","#Jfacebook,\n#Jtwitter,\n.sharetxt",".g-sticky","#article-bottom,\n.synd",".headlinks",".socials_bar",".sare-sns",".sns_area",".sm-list",".foot_bar,\n.foot_social",".boxinstagram,\n.followvertical__home,\n.newsvideo__share",".mod--googlenews",".article-tools","#myModal","#fancybox-overlay,\n#fancybox-wrap","li.menu-link.d-xl-inline-block",".ff-social-icon","event-popup","#simplemodal-container,\n#simplemodal-overlay","#article_sns_inner",".edent-share",".ListSiguenos-SocialStrip",".net-social",".botonGoogleNews,\n.socialMediaBottom-Section",".pane-rate-widgetk",".in-img,\n.uni_videoRedes","#social-bottom-node,\n#social-top-node",".btn-seguinos-gnews",".ic-rs",".RedesFlotante",".share_alt","#scan",".comments-social-share",".header-alert",".google-news-callout",".icon-bar",".loftocean-social-share-icon,\n.sticky-share",".share-toolbox",".shareButtons",".sh",".bam-topbar-social,\n.bm-social-sharing",".cms_widget_content.widget_content > [align=\"center\"]","ul.inline.links","#et_sticky_pc,\n.et_social_2","#bookmarks",".Bigfoot-socialLinks",".topsoc",".media-links-area",".ghacks_share_widget","ui-social",".follow-section,\n.link-icon",".hd-discord",".socialmedia","#cht-shr","#topicons",".SiteHeaderSticky_share",".shared,\n.siguenos-reducido",".iib-share-buttons,\n.iib-viz-section--share",".profile-icons",".ns-buttons",".has-medium-font-size.has-background",".ftr_social_box",".to-send-row",".socialsider",".st-inline-share-buttons",".js-sns-icon-container","#like,\n#social3",".hw-el-share,\n.hw-toolbar-navplus",".noticia-ampliada-compartir",".header-info-text",".follow-od","#LinkList76",".article_details_icons",".focus-social","#tb-banner-whatsapp",".liveRedes,\n.redesHeader,\n.wpRedesFoot",".addtoany_share_save_container",".google-news-banner,\n.google-news-button",".wrapper__search",".et_social_rectangle",".header__follow","#custom_html-53","#guardian-follow-links",".holder-social","#socialmedia,\n.menu-social-media-container",".social-media-sharers-wrap",".mt-8.flex.gap-x-4",".badge-social","#mediaLinks","div[class*=\"sharesticky\"]",".socials-share-button",".slogan-bar-social",".linkbar",".entry-social","#indexNavigatorbox,\n#indexNavigatorboxf,\n#indexNavigatorboxl",".article-single__meta__socials","div[class^=\"article_share_\"]","#block-socialicons",".app-follow-us","[class^=\"shares_shares_\"]","div[class^=\"share_\"]",".share-like",".favshare-holder",".js-share",".c-article__header__social-sharing--vertical","#shareThisAd",".zld-ftr__social",".self-center",".fm-share-bar",".nrkno-share",".color_mobile_bg-forskersonen-primary",".bg-twitter-default","div[data-type=\"social_feed\"]",".Navigation-items-social","#socialListParent","#social-component",".c-ArticleHeading-actions",".o-share-list,\n[data-test-ui=\"social-connect\"]",".pane-odt-social-odt-social-rsb","#article-tools",".comment-and-share,\n.stuff-article-sharebar",".ffsAxx",".shareButton",".media--mobile-hide",".Fiction-FeedBack","#social-list",".share-icons__social-shares___2eB-m",".horizontal-icon-bar,\n.vertical-icon-bar",".social-ico","#aps-share-widget",".header-share",".gta-hover-share-container",".global-footer-connect",".post-social-sharing__list",".page-info-header__social",".sharedaddy",".i-facebook,\n.i-twitter","#SM_area","#a11y-dialog,\n.shares-simple",".flex.gap-rem24px",".google_news-space",".social_icon",".btn__social",".legacy-social-list","#story_social",".ft-soc",".connect-2",".social-profiles",".ampz_container",".footer-social-big",".sticy-share-block",".article_like",".ftr-follow","#article-share","#push_notificationBlock",".icn-share-holder",".twitter-featured",".top-bar-right",".share-icons-box",".ActionBar-items",".components-SocialShareTray-__SocialShareTray__SocialShareUL",".c-story-meta__share,\n.o-social-share",".share-hdg",".nb-twitter-block",".social-story-bottom",".fixed-ad,\n.reveal-modal-bg",".more-from-pbs__social","#header_right_top_right",".social-share-partial","#smx,\n#smx2",".chicklets","[href^=\"https://news.google.com/publications/\"]",".rss",".qc-footer_social-media-links",".share-article-link",".rrssb",".follow-us__background___WNsfy",".sbar_social_div",".dk-social__items","#technology-org-application",".teaser-utility-links",".mdl-share-tool-vertical",".article__aside-share,\n.article__post-share",".mui-style-dfyfg6-socialShareMenu",".post-article-share,\n.sidebar-action-share",".ArticlePage-actions",".links",".shared-counts-wrap",".SocialShare_root__3h83X",".s-buttons",".article__follow",".container_shared--internal",".sidebar-social-icons,\n.story-social-icons,\n.topsocial-icons","#header > .slidebox","#floatingbar",".kac-sm-panel","#block-lifetime-custom-social-puzzle","#widget_shop7","#cboxOverlay,\n#colorbox","#narzedzia",".fa-youtube",".fc",".fsocBody","#exitpopup-modal","#toolbar",".ssmw-handler",".social-style-2",".footermenu",".partilhas,\n.subscrever_whatsapp",".t-f-bar-apps",".article--aside_share",".articleShareToolsContainer",".t-article-footer-bar-1",".col_partilhas,\n.shareModal",".social_stick",".wp-block-newsplex-social-share,\n.wp-block-social-icons",".social-bar-footer",".ink-button-share",".article-tools-container,\n.share-toggle-wrapper",".icon-social",".aft-social-share",".single-news-share",".row.pt-4.pb-4",".share-action-posts",".custom-share",".newsTitleShare",".article__messengers",".header__buttons","._links,\n.blockOk",".smm",".sharing_item,\n.soc_wid","#footer_counter,\n.news_story > div",".in,\n.ok,\n.vk,\n.yt",".sotial","#footsoc",".h-soc",".header__soc,\n.inIco",".network",".sn","#bottomsoc",".share__list > *","#rgb_vk,\n#rgb_yandex-zen_zen",".article__aggr","#telegram_push",".socseti",".socials-group",".campaign-metrics-card__share",".wsfb-wrapper",".popup",".leftColumn-socialLinks",".flex.justify-center.items-center.fill-current.mt-18.md\\:mt-0,\n.flex.justify-center.md\\:justify-end.items-center.fill-current.mt-6.md\\:mt-0.xl\\:mt-0.w-auto",".social--bar",".social-dialog-wrapper",".articleActions",".sharedButtons",".dr-article-content__social-links",".ArticleView-googleNewsBanner,\n.ArticleView-rotatorBanners",".rs_bas","#block-block-5",".soci",".article__gnews,\n.card__subscribe",".ustBar-sosyal",".pageTools",".share-list",".paylasWrap",".social-aw",".share-tool","._main-footer-socials,\n._main-header-socials__permalink,\n.main-video-single__socials,\n.the-single-body__share",".lobibox-notify-wrapper,\n.navbar-sosyal,\n.sosyal-alt-ust",".news-social-share_wrapper",".share-news",".elfsight-widget-social-share-buttons",".soc_list",".footer-social-wrap,\n.soc-links-hor",".footerIcons",".post-footer-on-bottom",".vjs-icons-bar","#s1,\n#s2",".sb",".facebook-share",".ns-buttons-wrapper",".social-media-link",".article_community_box","#backgroundPopup,\n#popup",".post__social",".post_bottom_socials",".post_social_item,\n.post_text > blockquote",".article__footer__additional_share",".singleSocSeti",".box-services",".ssrcss-11faxz6-TagShareWrapper",".s-video-h","#articleIconLinksContainer,\n.container-3zJLP,\n.dms-puff,\n.fbmessenger,\n.flipboard,\n.image_strapline_slant_wocc,\n.prevNextWrapper-1Vg7e,\n.socialContainer-1Yly1,\n.vjs-social-controls","ul[class^=\"linksHolder-\"]",".tw-link",".inews__footer__menus__icons,\n.inews__post-share",".followbox","#share-buttons-bottom,\n#share-buttons-top,\n.footer-follow,\n.item-share-buttons,\n.share-buttons-floaty",".header__nav__share--active,\n.social-sites",".share-highlight",".block-article-content__socialbar",".entry-meta__item--social",".ne-social-list",".follow-the-tablet","div[class^=\"socialContainer-\"]","#whatsapp-community",".content__sharing",".bg-twitter",".yasip.widget",".c-social-links","#DonTelegram",".modal-backdrop",".nav__socialz",".sticky-media",".essbasc-popup",".sociales",".Page-actions-wrapper,\n.SocialLink,\n.section-rrss-wrapper",".container-bar",".bqt-share-social",".box_fixRight",".fixed-social",".article-top-bar-share","#whatsapp-widget",".btn-sm",".footer-column-3",".social-meks",".css-p1ns9f",".sticky-buttons",".eltd-blog-single-share,\n.widget_eltd_social_icon_widget"];

const hostnamesMap = new Map([["albayan.ae",0],["indiatvnews.com",[0,6]],["amazon.ae",1],["amazon.com.au",1],["amazon.com.be",1],["amazon.com.br",1],["amazon.ca",1],["amazon.cn",1],["amazon.com",1],["pramgnet.com",[1,806]],["amazon.de",1],["amazon.eg",1],["amazon.es",1],["amazon.fr",1],["amazon.in",1],["amazon.it",1],["amazon.co.jp",1],["amazon.com.mx",1],["amazon.nl",1],["amazon.pl",1],["amazon.sa",1],["amazon.se",1],["amazon.sg",1],["amazon.com.tr",1],["amazon.co.uk",1],["sputnikarabic.ae",2],["sputnik.af",2],["sputniknews.africa",2],["armeniasputnik.am",2],["sputnik.az",2],["sputniknewsbr.com.br",2],["sputnik.by",2],["sputniknews.cn",2],["sputnik-georgia.com",2],["sputnik-ossetia.com",2],["sputnikglobe.com",[2,891]],["sputniknews.com",2],["sputniknews.in",2],["sputnik-abkhazia.info",2],["spnfa.ir",2],["sputniknews.jp",2],["sputnik.kg",2],["sputnik.kz",2],["sputniknews.lat",2],["sputnikportal.rs",[2,20,891,1576]],["sputniknews.ru",2],["sputnik.tj",2],["sputniknews.com.tr",2],["sputniknews.uz",2],["sputniknews.vn",2],["pelisplus2.ai",3],["wielerkrant.be",[3,48,56]],["esquerdaonline.com.br",[3,83]],["letras.mus.br",3],["abc13.com",[3,6]],["andreagaleazzi.com",[3,255]],["asmartbear.com",[3,20]],["blogdoiphone.com",3],["changer4u.com",3],["dcrainmaker.com",[3,422]],["dreambigtravelfarblog.com",3],["ijr.com",3],["iranintl.com",3],["justthenews.com",3],["liliputing.com",3],["neonyxcruises.com",3],["netgear.com",3],["nypost.com",[3,765]],["observer.com",3],["outkick.com",3],["ptinews.com",3],["saucemagazine.com",3],["scmagazine.com",3],["screenshot-media.com",[3,852]],["superporn.com",3],["tedi.com",3],["the-decoder.com",[3,20]],["thechunkychef.com",3],["thegrayzone.com",3],["thetoyinsider.com",3],["thewindowsclub.com",3],["trtafrika.com",3],["trtarabi.com",[3,983]],["trtbalkan.com",3],["trtdeutsch.com",[3,983]],["trtfrancais.com",3],["trtrussian.com",3],["deraktionaer.de",[3,176]],["nasa.gov",3],["davidwalsh.name",3],["allears.net",[3,24]],["cuevanahd.net",3],["alternet.org",3],["futurity.org",[3,1500]],["publicdomainreview.org",3],["glas-javnosti.rs",[3,1572]],["pink.rs",3],["unitednews.sr",3],["akkogear.com.vn",[3,1669]],["news.am",4],["0221.com.ar",5],["agrositio.com.ar",6],["radionacional.com.ar",6],["therese-moelk.at",6],["christiantoday.com.au",6],["mumbrella.com.au",6],["skynews.com.au",6],["slurpee.com.au",6],["dhakacourier.com.bd",6],["knack.be",6],["voetbal24.be",6],["voetbalnieuws.be",6],["paginasiete.bo",6],["climatempo.com.br",6],["conjur.com.br",6],["correiobraziliense.com.br",6],["estadao.com.br",[6,84,85,86]],["estrelando.com.br",[6,87]],["odia.ig.com.br",6],["jornaldebrasilia.com.br",6],["motonline.com.br",6],["olhardigital.com.br",[6,8,27,113]],["portaldotransito.com.br",[6,20]],["portalinsights.com.br",[6,20]],["tuacasa.com.br",6],["sportnews.bz",[6,144]],["monovolume.cc",6],["cdt.ch",[6,20,172]],["pauta.cl",6],["europages.cn",6],["caustica.co",[6,199,200]],["12tomatoes.com",[6,213]],["6abc.com",6],["abc11.com",6],["abc30.com",6],["abc7.com",6],["abc7chicago.com",6],["abc7news.com",6],["abc7ny.com",6],["adsoftheworld.com",6],["africa1.com",6],["al-ain.com",[6,76]],["al-akhbar.com",6],["al-sharq.com",[6,20,76]],["albawabhnews.com",6],["algemeiner.com",[6,20]],["alligator-sunglasses.com",6],["allkpop.com",6],["almanaquesos.com",6],["androidiani.com",6],["apkmb.com",6],["armageddonexpo.com",[6,62]],["assopoker.com",[6,281]],["avira.com",6],["banca5.com",6],["beatsbydre.com",6],["bestlifeonline.com",6],["bet.com",6],["bleacherreport.com",6],["bobvila.com",6],["boursier.com",6],["businessinsider.com",6],["cityam.com",6],["clarin.com",[6,20]],["classicalite.com",6],["clearancejobs.com",6],["cmt.com",6],["cnnindonesia.com",[6,20,382]],["collectorsweekly.com",6],["comicbook.com",6],["comicbookmovie.com",6],["cookingwithjanica.com",6],["courrierinternational.com",6],["dagospia.com",6],["dailysignal.com",[6,243]],["deepsilver.com",6],["diarioti.com",6],["dpreview.com",6],["ebar.com",6],["ecologiaverde.com",[6,10,449]],["ecranlarge.com",6],["eetimes.com",[6,455]],["elconsolto.com",6],["elmundofinanciero.com",[6,460]],["elplural.com",[6,114]],["elvenar.com",6],["entywbas.com",6],["epicgames.com",6],["estrellatv.com",6],["etcanada.com",6],["fakartany.com",6],["fantamagazine.com",[6,20]],["fastcompany.com",6],["fiercewireless.com",6],["finanzaonline.com",[6,318,497]],["fivebooks.com",[6,24]],["fmglobal.com",6],["formulatv.com",6],["foxcharleston.com",6],["gamergen.com",6],["gidhaur.com",[6,535]],["gmx.com",6],["grandhotel-et-des-palmes.com",6],["greencarreports.com",6],["grostracteurspassion.com",6],["guildwars2.com",6],["gulfstream.com",6],["haber7.com",6],["hawaii.com",6],["hellogiggles.com",6],["heraldnet.com",6],["hispanidad.com",6],["idiva.com",6],["iliketomakestuff.com",6],["ilsole24ore.com",[6,594]],["imadrassa.com",6],["infomotori.com",6],["insideedition.com",6],["insider.com",6],["interior-news.com",6],["inthesetimes.com",6],["irannewsdaily.com",6],["isprime.com",6],["journaldugeek.com",6],["lacivertdergi.com",6],["lavozdeltajo.com",6],["ledevoir.com",6],["leseclaireuses.com",6],["lethbridgeherald.com",6],["libertaddigital.com",6],["libremercado.com",6],["lorientlejour.com",6],["marvel.com",6],["medicinehatnews.com",6],["mondaymag.com",6],["moneyversed.com",6],["motorionline.com",6],["muckraker.com",6],["muckrock.com",6],["myevreview.com",6],["nabd.com",[6,23]],["nintendolife.com",6],["nplusonemag.com",6],["ntdtv.com",6],["nzgeo.com",6],["nzx.com",6],["olivetti.com",6],["oo-software.com",6],["opendns.com",6],["petitfute.com",6],["petrolicious.com",6],["phanteks.com",6],["phonearena.com",6],["pokernews.com",6],["protonvpn.com",6],["publish0x.com",6],["purexbox.com",6],["pushsquare.com",6],["qualcomm.com",6],["radioorient.com",6],["red-buzz.com",6],["register724.com",6],["renaultsport.com",6],["retailmenot.com",6],["ropeofsilicon.com",6],["rottentomatoes.com",6],["russia-insider.com",6],["samachar.com",6],["samfw.com",6],["sanook.com",6],["scalescale.com",6],["schiit-europe.com",6],["scorpionbay.com",6],["scottishconservatives.com",6],["searchmarketingexpo.com",6],["seattleweekly.com",6],["sectionstudios.com",6],["sex.com",6],["sfist.com",[6,868]],["shacknews.com",6],["shanghaiist.com",6],["shefinds.com",6],["singaporeair.com",6],["smithsonianmag.com",6],["soccerway.com",6],["softexia.com",6],["solidfiles.com",6],["sparknotes.com",6],["spgpromos.com",6],["spin.com",6],["spratings.com",6],["stackpath.com",6],["stardock.com",6],["startpage.com",6],["sygic.com",6],["t3.com",6],["tacticalshit.com",6],["techonthenet.com",[6,916]],["techpowerup.com",6],["telegiz.com",6],["testimania.com",6],["thecookierookie.com",[6,933]],["thedissolve.com",6],["themoscowtimes.com",6],["thepeninsulaqatar.com",6],["theringreport.com",[6,20]],["ti.com",6],["tickld.com",6],["timesofisrael.com",6],["tmonews.com",6],["tmz.com",[6,971]],["todomecanica.com",6],["toofab.com",[6,974]],["tourhebdo.com",6],["truecrimedaily.com",[6,987]],["tt.com",6],["tubestart.com",6],["tudocelular.com",[6,995]],["tuttomercatoweb.com",[6,51,52,996]],["utorrent.com",6],["vg247.com",6],["victoriassecret.com",6],["violanews.com",[6,20]],["viralnova.com",6],["voxafrica.com",6],["wallpaper.com",6],["wallstreetitalia.com",[6,1020,1021]],["webs.com",6],["wegotthiscovered.com",6],["willyweather.com",6],["woot.com",6],["yachtingjournal.com",6],["legacoop.coop",6],["radio.cz",6],["alpin.de",[6,62]],["businessinsider.de",[6,11]],["dastelefonbuch.de",6],["infosat.de",6],["kabeleins.de",[6,1080]],["klassikradio.de",6],["krautundrueben.de",6],["osthessen-news.de",6],["peugeot.de",6],["prosieben.de",[6,1080]],["ran.de",[6,1080]],["ranactive.de",6],["sat1.de",[6,1080]],["seen.de",6],["sixx.de",[6,1080]],["the-voice-of-germany.de",6],["thomann.de",6],["tichyseinblick.de",6],["top.de",6],["ukraine-nachrichten.de",6],["europages.dk",6],["algerietelecom.dz",6],["extra.ec",[6,466]],["cmu.edu",6],["hub.jhu.edu",6],["err.ee",6],["europages.ee",6],["20minutos.es",6],["albaceteabierto.es",6],["clm21.es",6],["europages.es",6],["europapress.es",[6,1116]],["madridiario.es",6],["paginasamarillas.es",6],["publico.es",6],["sport.es",[6,169,463,1121]],["todomercadoweb.es",[6,51,52]],["europages.eu",6],["juvenews.eu",[6,20]],["notiziecalciomercato.eu",6],["europages.fi",6],["20minutes.fr",[6,17]],["doctissimo.fr",6],["europages.fr",6],["europe1.fr",[6,709]],["gmx.fr",6],["ladepeche.fr",[6,52]],["leboncoin.fr",6],["lemondeinformatique.fr",6],["medisite.fr",6],["rustica.fr",6],["sofarsogood.fr",6],["sudouest.fr",[6,27]],["europages.gr",6],["pentapostagma.gr",6],["europages.hk",6],["mikronis.hr",6],["atv.hu",6],["budapester.hu",6],["europages.co.hu",6],["hvg.hu",[6,20]],["metropol.hu",[6,1194]],["veol.hu",6],["supermacs.ie",6],["thesun.ie",6],["dunsguide.co.il",6],["businesstoday.in",[6,1209]],["ibtimes.co.in",[6,1210]],["forzaroma.info",[6,20]],["korben.info",6],["mobileapk.info",6],["affaritaliani.it",6],["altoadige.it",[6,1235]],["amicidicasa.it",6],["angeloparodi.it",6],["angolotesti.it",6],["aruba.it",6],["auto.it",6],["avivaitalia.it",6],["aztesti.it",6],["badtaste.it",6],["bancaprivataleasing.it",6],["bioisotherm.it",6],["borsadelcredito.it",6],["brindisisera.it",6],["mader.bz.it",6],["calcionapoli1926.it",6],["cielotv.it",6],["cipiacecucinare.it",6],["cittaceleste.it",[6,20]],["consigli.it",[6,36,178,1247]],["coopcasarsa.it",[6,20]],["corriere.it",6],["corrierecomunicazioni.it",[6,1122]],["creditosportivo.it",6],["dequo.it",6],["derbyderbyderby.it",6],["dererker.it",6],["diariodelweb.it",6],["eurogamer.it",6],["euronics.it",6],["europages.it",6],["eurospin.it",6],["fcinter1908.it",[6,20]],["fm-world.it",6],["gay.it",6],["gazzetta.it",[6,20]],["gazzettadimantova.it",6],["gazzettaregionale.it",6],["gedidigital.it",6],["gediwatch.it",6],["giornaledibrescia.it",[6,1260]],["giornaletrentino.it",[6,1235]],["globalist.it",6],["golssip.it",[6,20]],["gse.it",6],["hdmotori.it",[6,655,995]],["hellas1903.it",6],["html.it",[6,1265]],["ildolomiti.it",[6,20]],["ilgiornale.it",6],["ilmilanista.it",[6,20]],["ilpost.it",6],["ilposticipo.it",6],["inmoto.it",6],["istat.it",6],["italiaoggi.it",6],["itasportpress.it",[6,20]],["ivid.it",6],["kataweb.it",6],["lapressa.it",6],["laprovinciadivarese.it",6],["lasicilia.it",6],["liberoquotidiano.it",6],["lifegate.it",[6,20,1282]],["linkiesta.it",6],["luinonotizie.it",6],["magnoliatv.it",6],["mdspa.it",6],["mediagol.it",[6,20]],["mediocredito.it",6],["milanofinanza.it",6],["mondoudinese.it",[6,20]],["moto.it",6],["mtv.it",6],["nationalgeographic.it",6],["naturalborngamers.it",6],["numericalcio.it",[6,20]],["omnialyrics.it",6],["opinione.it",6],["ornews.it",[6,36]],["pianetamilan.it",[6,20]],["regione.piemonte.it",6],["pneusnews.it",6],["professionearchitetto.it",6],["proiezionidiborsa.it",6],["qualenergia.it",6],["quice.it",6],["radiocitymilano.it",6],["rollingstone.it",6],["roncadin.it",6],["rossopomodoro.it",6],["sardiniapost.it",6],["sorgenia.it",6],["suzuki.it",6],["tari.it",6],["tuttobolognaweb.it",[6,20]],["unica.it",[6,1279]],["unita.it",[6,1328]],["units.it",6],["vg247.it",6],["vitatrentina.it",6],["viveregiovani.it",6],["vortice.it",6],["mobilenews.jp",6],["europages.lt",6],["europages.lv",6],["latvija.lv",6],["lematin.ma",6],["monacomatin.mc",[6,20]],["radbox.me",6],["vijesti.me",6],["debate.com.mx",6],["razon.com.mx",6],["informador.mx",6],["az.com.na",6],["republikein.com.na",6],["we.com.na",6],["centerblog.net",6],["damndelicious.net",6],["ilsussidiario.net",[6,20]],["islamweb.net",6],["jamescoyle.net",6],["neowin.net",6],["rmcsport.net",6],["sucuri.net",6],["toronews.net",[6,20]],["tweakers.net",6],["typomaps.net",6],["uk-mkivs.net",6],["urbanomnibus.net",6],["ultimominuto.news",[6,1430]],["guardian.ng",[6,1432]],["bnr.nl",6],["europages.nl",6],["marketingtribune.nl",6],["rd.nl",6],["rtlnieuws.nl",6],["schuttevaer.nl",6],["sciencenorway.no",[6,1460]],["christiantoday.co.nz",6],["jeep.co.nz",6],["aica.org",6],["al-shabaka.org",[6,20]],["c-span.org",[6,20]],["chimeraos.org",6],["democracynow.org",[6,20,1494]],["filmitalia.org",6],["gunviolencearchive.org",6],["healthychild.org",6],["impresspages.org",6],["indypendent.org",6],["jns.org",6],["meetingrimini.org",6],["monthlyreview.org",6],["moviechat.org",6],["omdb.org",6],["responsibility.org",6],["rickey.org",6],["rtcc.org",6],["truthout.org",6],["twr.org",6],["washwasha.org",6],["wdet.org",6],["workersliberty.org",6],["europages.pl",6],["goldenline.pl",6],["pap.pl",6],["alaqsavoice.ps",[6,1556]],["raya.ps",6],["abola.pt",[6,1020]],["autofoco.pt",6],["dn.pt",6],["iol.pt",[6,13]],["rts.rs",6],["forbes.ru",[6,13]],["mk.ru",6],["moscowtimes.ru",6],["retrofm.ru",6],["vz.ru",[6,20]],["europages.se",6],["swedroid.se",6],["europages.si",6],["thomson",6],["hannibaltv.com.tn",[6,1607]],["misk.tn",6],["a2tv.com.tr",6],["atv.com.tr",6],["dr.com.tr",6],["deabyday.tv",6],["madanichannel.tv",6],["padovasport.tv",[6,20]],["sat.tv",6],["u.tv",6],["ox.ac.uk",6],["ucl.ac.uk",[6,33,858]],["carmagazine.co.uk",6],["masterinvestor.co.uk",6],["sportsmole.co.uk",6],["thescottishsun.co.uk",6],["thesun.co.uk",6],["scottishlabour.org.uk",6],["jeu.video",6],["businesslive.co.za",6],["dailymaverick.co.za",6],["dispatchlive.co.za",[6,713]],["heraldlive.co.za",[6,713]],["timeslive.co.za",[6,289,713]],["wantedonline.co.za",[6,62]],["trust.zone",6],["classifieds.co.zw",6],["diariodecuyo.com.ar",7],["diariouno.com.ar",8],["letrap.com.ar",8],["radio-osterreich.at",[8,24]],["radio-belgie.be",[8,24]],["internetradio-schweiz.ch",[8,24]],["emisorascolombianas.co",[8,24]],["thecradle.co",8],["accessonline.com",[8,227]],["alwatanvoice.com",[8,106]],["animecenterbr.com",8],["auto-moto.com",[8,290]],["canadaradiostations.com",[8,24]],["canli-radyo-dinle.com",[8,24]],["criminaljusticedegreehub.com",8],["design-milk.com",8],["diariolasamericas.com",[8,62]],["emisoras-puertorico.com",[8,24]],["exputer.com",8],["ff-bz.com",8],["fmradiofree.com",[8,24]],["gamosaurus.com",8],["globalconstructionreview.com",8],["hardwaretimes.com",[8,567]],["houstoniamag.com",8],["informe360.com",[8,602]],["mediaplaynews.com",8],["nbcbayarea.com",8],["nbcboston.com",8],["nbcchicago.com",8],["nbcconnecticut.com",8],["nbcdfw.com",8],["nbclosangeles.com",8],["nbcmiami.com",8],["nbcnewyork.com",8],["nbcphiladelphia.com",8],["nbcsandiego.com",8],["nbcwashington.com",8],["necn.com",8],["psychologies.com",8],["psychologytoday.com",8],["radio-ao-vivo.com",[8,24]],["radio-dominicana.com",[8,24]],["radio-hk.com",[8,24]],["radio-hrvatska.com",[8,24]],["radio-korea.com",[8,24]],["radio-philippines.com",[8,24]],["radio-singapore.com",[8,24]],["radio-suomi.com",[8,24]],["radio-thai.com",[8,24]],["radio-ua.com",[8,24]],["radios-bolivia.com",[8,24]],["radios-chilenas.com",[8,24]],["radios-guatemala.com",[8,24]],["radios-uruguay.com",[8,24]],["radios-venezuela.com",[8,24]],["robbreport.com",8],["spy.com",[8,870]],["telemundo20.com",8],["telemundo31.com",8],["telemundo33.com",8],["telemundo40.com",8],["telemundo47.com",8],["telemundo48elpaso.com",8],["telemundo49.com",8],["telemundo51.com",8],["telemundo52.com",8],["telemundo62.com",8],["telemundoareadelabahia.com",8],["telemundoarizona.com",8],["telemundochicago.com",8],["telemundodallas.com",8],["telemundodenver.com",8],["telemundofresno.com",8],["telemundohouston.com",8],["telemundolasvegas.com",8],["telemundonuevainglaterra.com",8],["telemundonuevomexico.com",8],["telemundopr.com",8],["telemundosanantonio.com",8],["telemundoutah.com",8],["telemundowashingtondc.com",8],["tenor.com",8],["wn.com",8],["internetradio-horen.de",[8,24]],["radio-danmark.dk",[8,24]],["radio-espana.es",[8,24]],["radio-en-ligne.fr",[8,24]],["radioindia.in",[8,24]],["datingscammer.info",8],["radio-italiane.it",[8,24]],["radio-en-vivo.mx",[8,24]],["radio-nederland.nl",[8,24]],["techzine.nl",8],["vlaamskijken.nl",8],["adressa.no",8],["radio-stations.co.nz",[8,24]],["apk4free.org",8],["investigativepost.org",[8,768]],["radio-australia.org",[8,24]],["radio-ecuador.org",[8,24]],["radio-maroc.org",[8,24]],["radio-norge.org",[8,24]],["radioindonesia.org",[8,24]],["radiojapan.org",[8,24]],["radiomalaysia.org",[8,24]],["radios-argentinas.org",[8,24]],["radiosdelperu.pe",[8,24]],["pastebin.pl",[8,108]],["radio-polska.pl",[8,24]],["radios-online.pt",[8,24]],["radio-sveriges.se",[8,24]],["radiotaiwan.tw",[8,24]],["bank.gov.ua",8],["metro.co.uk",[8,1647]],["radio-uk.co.uk",[8,24]],["radio-south-africa.co.za",[8,24]],["elterritorio.com.ar",9],["diarioeldia.cl",9],["lanacion.com.ar",10],["el9nou.cat",10],["elsaltodiario.com",10],["laverdad.com",[10,130]],["psicologia-online.com",10],["revistafamilia.ec",10],["qmusica.tv",10],["lavoz.com.ar",11],["coindesk.com",[11,385]],["crn.com",[11,405]],["gadgets360.com",[11,519]],["techcrunch.com",[11,911]],["meteored.com.ar",12],["meteored.cl",12],["tameteo.com",12],["tempo.com",12],["tiempo.com",12],["meteored.mx",12],["ilmeteo.net",[12,1406]],["tempo.pt",12],["tn.com.ar",13],["bulawayo24.com",[13,135]],["foodbeast.com",[13,503]],["levantenews.it",13],["twistedfood.co.uk",13],["voydeviaje.com.ar",14],["deportv.gov.ar",15],["gamereactor.asia",16],["gamereactor.cn",16],["relationshiphero.com",16],["gamereactor.cz",16],["gamereactor.de",16],["gamereactor.dk",16],["gamereactor.es",16],["gamereactor.eu",[16,1124]],["gamereactor.fi",16],["gamereactor.fr",16],["gamereactor.it",16],["gamereactor.jp",16],["gamereactor.kr",16],["gamereactor.nl",16],["gamereactor.no",16],["gamereactor.pl",16],["gamereactor.pt",16],["gamereactor.se",16],["bigpara.hurriyet.com.tr",[16,1613]],["meduniwien.ac.at",17],["thueringer-allgemeine.de",17],["suedtirolnews.it",17],["today.rtl.lu",17],["kleinezeitung.at",18],["stuff.co.nz",[18,1470]],["krone.at",19],["laola1.at",20],["cricket.com.au",20],["radiotoday.com.au",20],["sportando.basketball",20],["actiefwonen.be",20],["autoline.be",20],["autoline-nl.be",20],["businessam.be",20],["diningcity.be",20],["gettyimages.be",20],["landrover.be",20],["newsmonkey.be",20],["nieuwsblad.be",[20,53]],["autoline.bo",20],["abril.com.br",20],["administradores.com.br",20],["crusoe.com.br",20],["em.com.br",20],["epochtimes.com.br",[20,81]],["exclusivo.com.br",20],["landrover.com.br",20],["obastidor.com.br",20],["otempo.com.br",[20,114,115]],["portugueselegal.com.br",20],["rftvoficial.com.br",20],["uol.com.br",[20,132]],["mmegi.bw",20],["autoline.by",20],["cbc.ca",[20,149]],["ara.cat",[20,165]],["elperiodico.cat",20],["kleinreport.ch",20],["landrover.ch",20],["nzz.ch",20],["cncnews.cn",20],["landrover.com.cn",20],["411mania.com",[20,220]],["9gag.com",20],["alfredopedulla.com",[20,242]],["alibaba.com",20],["aristeguinoticias.com",20],["arizonasports.com",20],["astanatimes.com",20],["autoline-az.com",20],["autoline-br.com",20],["autoline-ge.com",20],["autoline-tm.com",20],["averagelinuxuser.com",[20,292]],["basketinside.com",20],["bilibili.com",20],["blogtivvu.com",20],["cctv.com",20],["ch-aviation.com",20],["classicandsportscar.com",20],["cnbcindonesia.com",20],["cnnturk.com",20],["columbian.com",[20,392]],["corsedimoto.com",20],["cryptopotato.com",[20,411]],["dailysabah.com",[20,415,416]],["dailytrust.com",20],["dancestarparty.com",20],["devisesquare.com",20],["dictionary.com",[20,434]],["downzen.com",20],["ecoaustral.com",20],["elgrafico.com",20],["elperiodico.com",[20,169,462,463]],["elquindiano.com",20],["euobserver.com",20],["flowingdata.com",20],["food.com",20],["football365.com",20],["frandroid.com",20],["gamespot.com",20],["gamingonlinux.com",[20,33]],["geekwire.com",20],["globo.com",[20,537,538]],["hispantv.com",[20,577]],["idcquan.com",20],["intesasanpaolo.com",20],["jewishinsider.com",[20,615]],["kingarthurbaking.com",20],["ktar.com",20],["lagranepoca.com",20],["landroverkz.com",20],["laprensagrafica.com",20],["lifezette.com",[20,651,652]],["megasesso.com",20],["milesplit.com",20],["money.com",20],["mynorthwest.com",20],["neoplan.com",20],["newhua.com",20],["newsmaxtv.com",20],["nicematin.com",20],["asia.nikkei.com",20],["ntn24.com",20],["oantagonista.com",20],["omglinux.com",20],["paper-io.com",20],["passioneinter.com",20],["planetrugby.com",20],["planetware.com",20],["new.qq.com",20],["qz.com",20],["r7.com",[20,815]],["recyclingproductnews.com",[20,23]],["reductress.com",20],["segmentnext.com",20],["slantmagazine.com",20],["sportsbusinessjournal.com",[20,65]],["steampowered.com",20],["tenniscircus.com",20],["tennismajors.com",20],["theroot.com",20],["thisiscolossal.com",20],["toy-people.com",20],["trend-online.com",[20,85]],["tuttoeuropei.com",20],["valeursactuelles.com",20],["vastoweb.com",20],["vectorstock.com",20],["webdunia.com",20],["wikiway.com",20],["windowsreport.com",[20,1033]],["xxxymovies.com",[20,135]],["yougov.com",20],["weltbild.de",20],["dr.dk",20],["gettyimages.dk",20],["landrover.dk",20],["news.unl.edu",20],["autoline-ru.ee",20],["autoline.es",20],["gettyimages.es",20],["landrover.es",20],["lavozdegalicia.es",20],["autoline-eu.fr",20],["buzzmoica.fr",20],["commentwiki.fr",[20,27]],["ecommercemag.fr",20],["epochtimes.fr",20],["franceinter.fr",20],["francetvinfo.fr",[20,73,1153]],["gettyimages.fr",20],["landrover.fr",20],["insomnia.gr",20],["knjizara-dominovic.hr",20],["diningcity.hu",20],["landrover.hu",20],["napi.hu",20],["nuus.hu",20],["speakingtree.in",20],["laverita.info",20],["madeinbz.info",[20,986,1220]],["autodidacts.io",20],["good.is",20],["amica.it",20],["areanapoli.it",20],["autoline-eu.it",20],["bianconeranews.it",20],["carpicalcionews.it",20],["chicercacasa.it",20],["firenzeviola.it",20],["foodnetwork.it",20],["funweek.it",20],["gazzamercato.it",20],["gettyimages.it",20],["miur.gov.it",20],["ilsecoloxix.it",20],["ilviaggiatorgoloso.it",20],["isaechia.it",[20,1272]],["laleggepertutti.it",20],["landrover.it",20],["lantidiplomatico.it",20],["lastampa.it",20],["metropolitano.it",20],["nachrichten.it",20],["paginegialle.it",20],["panorama.it",20],["perlaretorica.it",20],["radiotirol.it",20],["ravennanotizie.it",20],["reteimprese.it",20],["romadailynews.it",[20,1311]],["sassuolocalcionews.it",20],["sportavellino.it",20],["suedtirol1.it",20],["supereva.it",20],["tag43.it",20],["comune.torino.it",[20,1252]],["alu.jp",20],["autoline.kg",20],["autoline-eu.kz",20],["autoline-ru.lt",20],["autoline.lu",20],["autoline.lv",20],["autoline-ru.lv",20],["landrover.lv",20],["autoline.md",20],["autoline.me",20],["eleconomista.com.mx",20],["jornada.com.mx",20],["viveusa.mx",20],["brundisium.net",20],["huuto.net",20],["maannews.net",[20,146]],["pianetagenoa1893.net",20],["crypto.news",[20,1427]],["aminiya.ng",20],["at5.nl",20],["autoline.nl",20],["automotive-online.nl",20],["diningcity.nl",20],["epochtimes.nl",20],["fleet-mobility.nl",20],["gettyimages.nl",20],["landrover.nl",20],["nos.nl",20],["hyundai.co.nz",20],["fairplanet.org",20],["freespeech.org",20],["kmfa.org",20],["mobilita.org",20],["pbs.org",[20,1516]],["responsiblestatecraft.org",20],["rxresource.org",20],["sleepfoundation.org",20],["scholarlykitchen.sspnet.org",20],["autoline.pe",20],["autoline.com.pl",20],["gazeta.pl",20],["autoline.pt",20],["gettyimages.pt",20],["landrover.pt",20],["autoline.com.py",20],["autoline.ro",20],["sasomange.rs",20],["autoline-eu.ru",20],["landrover.ru",20],["mail.ru",20],["ria.ru",[20,1592]],["autoline-eu.se",20],["gettyimages.se",20],["landrover.se",20],["va.se",20],["mediacorp.sg",20],["sanmarinortv.sm",20],["autoline.tj",20],["u.today",[20,1610]],["fotomac.com.tr",20],["takvim.com.tr",20],["vavradyo.com.tr",20],["gids.tv",20],["tivusat.tv",20],["cna.com.tw",20],["ltn.com.tw",20],["news.tvbs.com.tw",[20,1632]],["taiwanheute.tw",20],["taiwantoday.tw",20],["autoline.ua",20],["autoline.com.ua",20],["rbc.ua",20],["cardealermagazine.co.uk",20],["dailymail.co.uk",[20,51,52,501,533,1642,1643]],["exchangerates.org.uk",[20,635]],["autoline.uz",20],["gumtree.co.za",20],["nachrichten.at",21],["orf.at",22],["ots.at",23],["addictivetips.com",23],["ambito.com",23],["archivebate.com",23],["cracked.com",[23,402]],["dacast.com",23],["hot.com",23],["instant-gaming.com",23],["ipwatchdog.com",23],["iranpress.com",23],["jagranjosh.com",[23,613]],["kyivpost.com",[23,361,635,636]],["rt.com",[23,841]],["salon.com",[23,846,847]],["thejc.com",[23,944]],["thetruthaboutcars.com",[23,176,961]],["einbecker-morgenpost.de",23],["ouest-france.fr",23],["ezalenyeg.hu",23],["hirtv.hu",23],["bazar.it",[23,1238]],["fastweb.it",[23,1256]],["laprovinciadicomo.it",23],["radiolina.it",23],["screenweek.it",[23,550,1313]],["secoloditalia.it",23],["sportwebsicilia.it",[23,264,1315]],["videolina.it",23],["tuttotech.net",23],["az.nl",23],["mechanisatiemarkt.nl",23],["mob.org",23],["anews.com.tr",[23,1220]],["animeworld.tv",[23,1615]],["hot.co.uk",23],["crimeonline.com",24],["dezeen.com",[24,431]],["informer.com",24],["opencritic.com",24],["redvoicemedia.com",24],["religionnews.com",24],["tarreo.com",24],["thecollegefix.com",[24,302,932]],["upcomingvinyl.com",[24,411]],["open.online",24],["eandt.theiet.org",[24,1530]],["soeren-hentzschel.at",[25,26]],["kirjastot.fi",26],["transfermarkt.at",27],["vijesti.ba",27],["transfermarkt.ch",27],["avn.com",27],["bostonmagazine.com",27],["cloth5.com",27],["dzfoot.com",27],["hothardware.com",27],["livingly.com",27],["lonny.com",27],["lovenature.com",27],["malwaretips.com",27],["northernvirginiamag.com",27],["sneakernews.com",27],["sourcefed.com",27],["soutalomma.com",27],["stylebistro.com",27],["transfermarkt.com",27],["wowhead.com",27],["zimbio.com",27],["transfermarkt.de",27],["transfermarkt.es",27],["xn--tbnespaa-j3a.es",27],["lci.fr",27],["atlatszo.hu",[27,360,1186]],["ikhwanonline.info",27],["regione.abruzzo.it",27],["epochtimes.it",[27,81,416]],["kiss100.co.ke",27],["mpasho.co.ke",27],["radiojambo.co.ke",27],["the-star.co.ke",27],["liganews.net",27],["transfermarkt.nl",27],["niedziela.pl",27],["transfermarkt.pl",27],["transfermarkt.pt",27],["cas.sk",27],["sabah.com.tr",27],["transfermarkt.com.tr",27],["atvavrupa.tv",27],["transfermarkt.co.uk",27],["wienerzeitung.at",28],["always-on.com.au",29],["arnnet.com.au",30],["csoonline.com",30],["infoworld.com",30],["networkworld.com",30],["chasingcars.com.au",31],["crikey.com.au",32],["donnahay.com.au",33],["meteovista.be",33],["ledpros.ca",33],["atomic-robo.com",33],["bollywoodhungama.com",33],["classicreload.com",33],["phoronix.com",33],["telesatellite.com",33],["whtop.com",33],["archifacile.fr",33],["meteovista.fr",33],["sfr.fr",33],["autobelle.it",33],["canavesenews.it",[33,135]],["fotografidigitali.it",33],["lavoro.gov.it",33],["rasom.it",33],["navigaweb.net",[33,1416]],["zookeys.pensoft.net",33],["weeronline.nl",33],["chnetwork.org",33],["meteovista.pl",33],["nexto.pl",33],["joburg.org.za",33],["drive.com.au",34],["dermatologytimes.com",34],["reneweconomy.com.au",35],["spectator.com.au",36],["goedgevoel.be",36],["amoledo.com",[36,252]],["astrologyzone.com",36],["bigleaguepolitics.com",36],["marketingweek.com",36],["metacritic.com",[36,689]],["moviemaker.com",[36,62,716]],["numberempire.com",36],["screenrant.com",36],["thepointsguy.com",36],["indiatoday.in",[36,540,1213]],["raiplay.it",[36,1307]],["goodnet.org",[36,1501]],["theroar.com.au",37],["westpac.com.au",38],["morbidology.com",38],["topuniversities.com",38],["lineageos.org",38],["cyberdaily.au",39],["gamingbolt.com",[39,525]],["newsroom.unsw.edu.au",40],["frieze.com",40],["abc.net.au",41],["futurework.org.au",42],["avaz.ba",43],["klix.ba",44],["n1info.ba",45],["n1info.hr",45],["n1info.rs",45],["nova.rs",45],["n1info.si",45],["oslobodjenje.ba",46],["radiosarajevo.ba",47],["atletiekkrant.be",48],["autosportkrant.be",48],["basketbalkrant.be",48],["handbalkrant.be",48],["hockeykrant.be",48],["tenniskrant.be",48],["volleybalkrant.be",48],["vrouwenvoetbalkrant.be",48],["pinetools.com",48],["voetbalkrant.com",48],["sport-planet.eu",48],["dvo.be",49],["hagelandactueel.be",50],["leuvenactueel.be",50],["lesoir.be",[51,52]],["teleticino.ch",[51,52]],["catapult.co",[51,52]],["anandtech.com",51],["buzzfil.com",[51,52]],["cadenaazul.com",[51,52,351,352]],["clubic.com",[51,52,376]],["gameranx.com",51],["ludokado.com",[51,52]],["peoplesweather.com",[51,52,351,352,586]],["richersounds.com",[51,234]],["screendaily.com",[51,52,501,586]],["shortlist.com",51],["tripstodiscover.com",[51,52,311]],["trueachievements.com",[51,289,985,986]],["truesteamachievements.com",51],["yoink.com",[51,52]],["ifun.de",51],["iphone-ticker.de",51],["ondacero.es",[51,52,476]],["lounge.fm",51],["rfm.fr",[51,52,351,352,1162]],["lci.tf1.fr",[51,52,661]],["agenziacasaclima.it",[51,52,351]],["ilfoglio.it",[51,52,352]],["webnews.it",51],["nikkei-cnbc.co.jp",[51,1341]],["miningjournal.net",51],["programme-tv.net",[51,52]],["iexprofs.nl",[51,1442]],["filmgo.org",51],["mf24.pl",[51,52,351]],["habrahabr.ru",51],["trt.net.tr",[51,52]],["bdonline.co.uk",[51,501]],["iveybusinessreview.ca",52],["europafm.com",[52,476]],["futbol24.com",52],["loi1901.com",[52,661]],["picclick.fr",52],["klimahaus.it",[52,351]],["startromagna.it",52],["suedtiroler-gaertner.it",52],["nyheteridag.se",52],["sporza.be",54],["wielerflits.be",55],["wielerflits.nl",55],["scarpescarpestore.com",56],["tribune.com.pk",[56,1542]],["news.bg",57],["ceoworld.biz",58],["gamesindustry.biz",59],["abplive.com",59],["24sata.hr",59],["insidethegames.biz",60],["kinoland.biz",61],["pocketgamer.biz",62],["nau.ch",62],["addapinch.com",62],["anothermag.com",62],["antena3.com",[62,265]],["averiecooks.com",62],["cgchannel.com",62],["classic105.com",62],["fortune.com",62],["gimmedelicious.com",62],["hannity.com",[62,411]],["idsnews.com",62],["insurancejournal.com",62],["jobrapido.com",62],["mobilesyrup.com",[62,411]],["oann.com",62],["overwolf.com",[62,176,788]],["realnewsmontana.com",62],["screencrush.com",62],["soaps.sheknows.com",62],["skinnyms.com",[62,878]],["stoneyroads.com",62],["tuasaude.com",62],["wakingtimes.com",62],["bnn.de",62],["ebu.io",62],["bolina.it",[62,801]],["thedailystar.net",62],["wijwedden.net",62],["trustradio.com.ng",62],["nextplay.nl",[62,589]],["fullfact.org",62],["quantamagazine.org",62],["global.espreso.tv",[62,1619]],["i24news.tv",62],["rocketbeans.tv",62],["metro.us",[62,1663]],["sowetanlive.co.za",[62,713]],["ctrl.blog",[63,64]],["ein-herz-fuer-kinder.de",63],["adrenaline.com.br",65],["mundoconectado.com.br",65],["phonandroid.com",65],["agazeta.com.br",[66,67]],["knewz.com",66],["atarde.com.br",68],["folhadelondrina.com.br",68],["atribuna.com.br",69],["forbes.com.br",69],["b9.com.br",70],["baixaki.com.br",71],["bandnewsfm.com.br",72],["bitmag.com.br",73],["batman-news.com",73],["bbcamerica.com",73],["flashbak.com",73],["fox10phoenix.com",73],["fromthegrapevine.com",73],["fstoppers.com",[73,515]],["grindtv.com",73],["mmoga.com",[73,704]],["shazam.com",73],["techxplore.com",[73,919]],["telanganatoday.com",73],["tribuneindia.com",73],["unz.com",[73,1004]],["vagabomb.com",73],["verisigninc.com",73],["wonderwall.com",73],["mmoga.de",[73,704]],["s3nnet.de",73],["silicon.de",73],["mmoga.es",[73,704]],["silicon.es",73],["mmoga.fr",[73,704]],["ansa.it",[73,411,452,1236]],["pulsenews.co.kr",73],["alarabiya.net",[73,289,968,1384]],["geeksaresexy.net",73],["macstories.net",73],["cheapies.nz",73],["catholic.org",73],["phys.org",[73,683]],["symmetrymagazine.org",[73,1126]],["bit.pt",73],["mmoga.se",[73,704]],["mmoga.co.uk",[73,704]],["silicon.co.uk",73],["skatehut.co.uk",73],["buzzfeed.com.br",74],["canaltech.com.br",75],["cartacapital.com.br",76],["ecuavisa.com",[76,452,453]],["ringsidenews.com",[76,831]],["tv100.com",76],["cellulare-magazine.it",76],["cnnbrasil.com.br",77],["connectparts.com.br",78],["defatoonline.com.br",79],["econodata.com.br",80],["cp24.com",81],["n-tv.de",81],["toyokeizai.net",81],["progressive.org",[81,1520]],["esportesdp.com.br",82],["f1-news.eu",82],["cheknews.ca",84],["beebom.com",[84,304]],["fandomwire.com",[84,487]],["stadiumtalk.com",84],["magyarnemzet.hu",[84,176,1192]],["india.com",85],["news18.com",[85,740]],["wionews.com",[85,1035]],["bricovideo.ovh",85],["estudokids.com.br",88],["radiorock.com.br",88],["gkpb.com.br",89],["gp1.com.br",90],["ig.com.br",91],["rebelnews.com",[91,822]],["infomoney.com.br",92],["jcconcursos.com.br",93],["jovempan.com.br",94],["maquinadoesporte.com.br",95],["megacurioso.com.br",96],["meiahora.com.br",97],["mercadoshops.com.br",98],["mercadowebminas.com.br",99],["metroworldnews.com.br",100],["meutimao.com.br",101],["nerdrecomenda.com.br",102],["netshoes.com.br",103],["ojornalextra.com.br",[103,112]],["khamsat.com",103],["latenighter.com",103],["milenio.com",[103,699]],["securityaffairs.com",[103,858]],["techopedia.com",103],["thegamer.com",[103,260,261]],["trtworld.com",103],["watchesbysjx.com",103],["recipes.net",103],["rtvstichtsevecht.nl",[103,1451]],["nexojornal.com.br",104],["noataque.com.br",105],["noticiasaominuto.com.br",[106,107]],["atlantablackstar.com",[106,282]],["binnews.com",106],["gulf-times.com",106],["iheart.com",[106,592]],["jessekellyshow.com",[106,592]],["jfrog.com",106],["news12.com",106],["noticiasaominuto.com",[106,107,757]],["steveharveyfm.com",[106,592,895]],["supermarketnews.com",106],["thewildest.com",[106,964]],["blog.phylum.io",106],["nsctotal.com.br",[108,109]],["oantagonista.com.br",110],["ogol.com.br",111],["androidpolice.com",[114,257,258,259,260,261]],["givemesport.com",[114,258,260]],["agrimag.co.za",[114,257,670]],["automart.co.za",[114,257,670]],["pinkluna.com.br",116],["poder360.com.br",117],["portaldozacarias.com.br",118],["reclameaqui.com.br",119],["redebrasilatual.com.br",120],["rbth.com",[120,713,820]],["larazon.es",[120,1118]],["menselijklichaam.nl",[120,411]],["spinoff.com.br",121],["suno.com.br",122],["superesportes.com.br",123],["tatarada.com.br",124],["tecmundo.com.br",125],["terra.com.br",126],["timnews.com.br",127],["tnh1.com.br",128],["trabalhabrasil.com.br",129],["tvcultura.com.br",130],["biobiochile.cl",[130,186]],["crea-mexico.com",130],["expansion.com",[130,481]],["futbolred.com",[130,199,517]],["jornaldocomercio.com",[130,619]],["mvsnoticias.com",130],["portalperifacon.com",[130,537,803]],["telesurtv.net",[130,1425]],["elobservador.com.uy",[130,1665]],["futbol.com.uy",130],["montevideo.com.uy",130],["pantallazo.com.uy",130],["uai.com.br",131],["aventurasnahistoria.uol.com.br",133],["canalarte1.uol.com.br",[134,135,136]],["photofunia.com",134],["newsweek.ro",134],["dbknews.com",135],["designtaxi.com",[135,428]],["hqbabes.com",135],["hqsluts.com",135],["libsyn.com",135],["memuplay.com",[135,688]],["meteoblue.com",[135,690]],["monstercockland.com",135],["seroundtable.com",135],["sohu.com",135],["sputniknewslv.com",135],["m.tribunnews.com",135],["xvideos-br.com",135],["foreca.fi",135],["keepone.net",135],["themoviedb.org",135],["voltairenet.org",135],["sputnik-abkhazia.ru",135],["sputnik-georgia.ru",135],["sputnik-ossetia.ru",135],["koreatimes.com",[136,632]],["folha.uol.com.br",137],["gizmodo.uol.com.br",138],["vrum.com.br",139],["yamaha-motor.com.br",140],["zapimoveis.com.br",141],["nymag.com",[141,311]],["thisismoney.co.uk",[141,1643,1654]],["salto.bz",[142,143]],["algerie-radio.com",142],["alaskahighwaynews.ca",[145,146]],["baytoday.ca",145],["bradfordtoday.ca",145],["cambridgetoday.ca",145],["cochraneeagle.ca",[145,146]],["collingwoodtoday.ca",145],["fitzhugh.ca",145],["haltonhillstoday.ca",145],["innisfiltoday.ca",145],["midlandtoday.ca",145],["miltontoday.ca",145],["mountainviewtoday.ca",[145,146]],["newmarkettoday.ca",145],["newwestrecord.ca",[145,146]],["ontarioflyers.ca",145],["pelhamtoday.ca",145],["stratfordtoday.ca",145],["theorca.ca",[145,146]],["thesarniajournal.ca",145],["thoroldtoday.ca",145],["westernwheel.ca",[145,146]],["airdriecityview.com",145],["barrietoday.com",145],["bowenislandundercurrent.com",[145,146]],["burlingtontoday.com",145],["burnabynow.com",[145,146]],["delta-optimist.com",[145,146]],["elorafergustoday.com",145],["flamboroughtoday.com",145],["guelphtoday.com",145],["moosejawtoday.com",[145,146]],["northernontariobusiness.com",145],["notllocal.com",145],["nsnews.com",[145,146]],["orilliamatters.com",145],["piquenewsmagazine.com",[145,146]],["princegeorgecitizen.com",[145,146]],["prpeak.com",[145,146]],["richmond-news.com",[145,146]],["rmoutlook.com",[145,146]],["sootoday.com",145],["stalbertgazette.com",[145,146]],["sudbury.com",145],["thealbertan.com",145],["timescolonist.com",[145,146]],["tricitynews.com",[145,146]],["vancouverisawesome.com",[145,146]],["coastreporter.net",[145,146]],["oakvillenews.org",145],["lakelandtoday.ca",146],["squamishchief.com",146],["bnnbloomberg.ca",147],["breachmedia.ca",148],["cfl.ca",150],["citynews.ca",151],["news.cgtn.com",[151,367]],["newsus.cgtn.com",[151,367]],["ctvnews.ca",152],["flyercity.ca",153],["huskiefan.ca",154],["rocketfan.ca",154],["royalsfan.ca",154],["vernonmatters.ca",154],["battlefordsnow.com",154],["everythinggp.com",154],["larongenow.com",154],["lethbridgenewsnow.com",154],["meadowlakenow.com",154],["nanaimonewsnow.com",154],["northeastnow.com",154],["panow.com",154],["rdnewsnow.com",154],["sasknow.com",154],["iphoneincanada.ca",155],["nascar.ca",156],["noovomoi.ca",157],["radio-canada.ca",158],["ici.radio-canada.ca",159],["sasktoday.ca",160],["sfu.ca",161],["thetyee.ca",162],["thewalrus.ca",163],["thefitcareerist.com",163],["nouvelles.umontreal.ca",164],["beteve.cat",166],["ccma.cat",167],["clubdelsubscriptor.cat",168],["diaridegirona.cat",169],["regio7.cat",169],["cadenaser.com",[169,183,184,353]],["diariocordoba.com",169],["elperiodicodearagon.com",169],["elperiodicoextremadura.com",169],["elperiodicomediterraneo.com",169],["globovision.com",169],["levante-emv.com",169],["noticiasdenavarra.com",169],["cronicabalear.es",[169,1112]],["diariodeibiza.es",169],["diariodemallorca.es",169],["elcorreogallego.es",169],["eldia.es",169],["farodevigo.es",169],["informacion.es",169],["laopinioncoruna.es",169],["laopiniondemalaga.es",169],["laopiniondezamora.es",169],["laprovincia.es",169],["lne.es",169],["mallorcazeitung.es",169],["superdeporte.es",169],["welife.es",169],["deia.eus",169],["noticiasdealava.eus",169],["noticiasdegipuzkoa.eus",169],["emporda.info",169],["naciodigital.cat",170],["arcinfo.ch",171],["lacote.ch",171],["lenouvelliste.ch",171],["gastrojournal.ch",[173,174]],["myanimelist.net",[173,1415]],["lematin.ch",175],["letemps.ch",176],["tastecooking.com",176],["tirto.id",176],["bergamonews.it",176],["fantasymagazine.it",176],["almanar.com.lb",176],["heidi.news",176],["nebelspalter.ch",177],["ocaholic.ch",178],["pctipp.ch",179],["suedostschweiz.ch",180],["watson.ch",181],["13.cl",182],["adnradio.cl",[183,184]],["caracol.com.co",184],["wradio.com.co",184],["alairelibre.cl",185],["concierto.cl",187],["fmdos.cl",187],["cooperativa.cl",188],["df.cl",189],["elamaule.cl",190],["elboyaldia.cl",190],["elconcecuente.cl",190],["elmagallanews.cl",190],["elmartutino.cl",190],["elmorrocotudo.cl",190],["elnaveghable.cl",190],["elnortero.cl",190],["elobservatodo.cl",190],["elquehaydecierto.cl",190],["elrancahuaso.cl",190],["elrepuertero.cl",190],["elvacanudo.cl",190],["laopinon.cl",190],["elmostrador.cl",191],["nostalgica.cl",192],["radioimagina.cl",193],["soychile.cl",194],["fark.com",[194,418]],["bastabugie.it",[194,418]],["tuttocampo.it",194],["universo.cl",195],["chinadaily.com.cn",196],["people.com.cn",197],["shine.cn",198],["portafolio.co",[199,207]],["revistacromos.com.co",[201,202,203]],["veteranstoday.news",201],["kuorsauskauppa.fi",202],["decrypt.co",204],["electrek.co",[205,206]],["9to5google.com",[205,206]],["9to5mac.com",[205,206]],["dronedj.com",[205,206]],["9to5toys.com",206],["searchengineland.com",[206,226]],["spaceexplored.com",206],["readcars.co",208],["readfashion.co",208],["readfilm.co",208],["readfood.co",208],["readgaming.co",208],["readmusic.co",208],["readshowbiz.co",208],["readtv.co",208],["readbetting.com",208],["readceltic.com",208],["readmanutd.com",208],["readmotorsport.com",208],["sendatext.co",209],["supertvaovivo.co",210],["thehustle.co",211],["10news.com",212],["aboutamazon.com",212],["chronicle.com",212],["deseret.com",212],["ktvq.com",212],["laist.com",212],["scrippsnews.com",[212,854]],["suntimes.com",212],["tvazteca.com",212],["vanidades.com",212],["washingtonexaminer.com",212],["aboutamazon.de",212],["aboutamazon.it",212],["adn40.mx",[212,1371]],["iowapublicradio.org",212],["nepm.org",212],["wgbh.org",[212,1535]],["aboutamazon.co.uk",212],["2001online.com",214],["thepostmillennial.com",[214,348]],["247sports.com",215],["24ur.com",216],["30seconds.com",217],["3bmeteo.com",218],["3djuegos.com",219],["4sysops.com",221],["6amcity.com",222],["apnews.com",222],["lopinion.fr",222],["90min.com",223],["9to5linux.com",224],["a24.com",225],["perfil.com",[225,795]],["abajournal.com",226],["buddytv.com",226],["gospelway.com",226],["masslive.com",226],["mlive.com",226],["modamee.com",226],["shocktillyoudrop.com",226],["topsecretwriters.com",226],["elektronista.dk",226],["comingsoon.net",226],["gpforums.co.nz",226],["aceshowbiz.com",228],["activistpost.com",229],["adexchanger.com",230],["admonsters.com",231],["adressit.com",232],["advocate.com",[233,234]],["hindustantimes.com",[233,234,574]],["franceantilles.fr",[233,234]],["rtl.fr",[233,234,1163]],["slashdot.org",233],["avtoradio.ru",[233,234,1582]],["leitgamhof.com",234],["gamer.hu",234],["crocebianca.bz.it",234],["eurocash.pl",234],["adweek.com",235],["aetv.com",236],["wccftech.com",[236,1025]],["afar.com",237],["afro.com",238],["theatlantavoice.com",238],["washingtonmonthly.com",238],["aiseesoft.com",239],["al-watan.com",240],["qatar-tribune.com",240],["alahlionline.com",241],["elkhabar.com",241],["tilifony.com",[241,967]],["citroenselect.it",241],["apkpure.net",[241,1387]],["nieuweoogst.nl",241],["allafrica.com",[243,244]],["almdrrj.com",245],["almesryoon.com",246],["am800cklw.com",247],["amarujala.com",248],["amazonadviser.com",249],["apptrigger.com",[249,269,270]],["arrowheadaddict.com",249],["bamsmackpow.com",249],["fansided.com",249],["gamesided.com",249],["gojoebruin.com",249],["hiddenremote.com",249],["lastnighton.com",249],["mlsmultiplex.com",249],["netflixlife.com",249],["playingfor90.com",249],["stormininnorman.com",249],["winteriscoming.net",249],["americateve.com",250],["amgreatness.com",251],["ampparit.com",253],["amusingplanet.com",254],["telegraaf.nl",254],["androidpcreview.com",256],["cbr.com",[260,261]],["collider.com",260],["dualshockers.com",[260,261]],["gamerant.com",[260,261]],["howtogeek.com",260],["makeuseof.com",[260,261]],["movieweb.com",[260,261]],["pocketnow.com",[260,261]],["thethings.com",260],["thetravel.com",[260,261]],["xda-developers.com",[260,261]],["backyardboss.net",260],["pocket-lint.com",261],["androydi.com",262],["animenewsnetwork.com",263],["ansalatina.com",264],["disroot.org",264],["antotunggal.com",266],["apertura.com",267],["cronista.com",267],["application-remuneratrice.com",268],["motherjones.com",[270,713]],["arabnews.com",271],["argusdelassurance.com",272],["arstechnica.com",273],["mymotherlode.com",273],["artforum.com",274],["news.artnet.com",275],["carwashpro.nl",[275,1434]],["infrasite.nl",[275,1434]],["mobiliteit.nl",[275,1434]],["rijschoolpro.nl",[275,1434]],["spoorpro.nl",[275,1434]],["tankpro.nl",[275,1434]],["taxipro.nl",[275,1434]],["zelfrijdendvervoer.nl",[275,1434]],["as.com",276],["asahi.com",277],["asiaone.com",278],["ask.com",279],["smarter.com",279],["askmefast.com",280],["atlantatribune.com",283],["atlasobscura.com",284],["atptour.com",285],["auburnpub.com",286],["azdailysun.com",286],["beatricedailysun.com",286],["billingsgazette.com",286],["bismarcktribune.com",286],["chippewa.com",286],["columbustelegram.com",286],["cumberlink.com",286],["dailyjournalonline.com",286],["democratherald.com",286],["elkodaily.com",286],["fremonttribune.com",286],["gazettetimes.com",286],["globegazette.com",286],["hanfordsentinel.com",286],["helenair.com",286],["herald-review.com",286],["jg-tc.com",286],["journalstar.com",286],["journaltimes.com",286],["lacrossetribune.com",286],["lebanon-express.com",286],["lompocrecord.com",286],["magicvalley.com",286],["missoulanews.com",286],["missoulian.com",286],["mtstandard.com",286],["muscatinejournal.com",286],["napavalleyregister.com",286],["nwitimes.com",286],["pantagraph.com",286],["poststar.com",286],["qconline.com",286],["qctimes.com",286],["rapidcityjournal.com",286],["ravallirepublic.com",286],["santamariatimes.com",286],["siouxcityjournal.com",286],["stltoday.com",[286,726]],["tdn.com",286],["thesouthern.com",286],["thetandd.com",286],["theworldlink.com",286],["trib.com",286],["tucson.com",286],["wcfcourier.com",286],["winonadailynews.com",286],["wiscnews.com",286],["audacy.com",287],["audiofilemagazine.com",288],["ausgamers.com",289],["notateslaapp.com",289],["republicworld.com",289],["truetrophies.com",289],["cloudwards.net",289],["autocarindia.com",291],["axios.com",293],["babylonbee.com",294],["notthebee.com",[294,760]],["baesystems.com",295],["baidu.com",296],["bangkokpost.com",297],["barandbench.com",298],["barrons.com",299],["baystatebanner.com",300],["bearingarms.com",[301,302]],["hotair.com",[301,302]],["redstate.com",[301,302]],["heraldscotland.com",[302,572]],["pjmedia.com",302],["townhall.com",302],["tag24.de",302],["augustanews.it",302],["avolanews.it",302],["catanianews.it",302],["ibleinews.it",302],["leontinoinews.it",302],["notonews.it",302],["pachinonews.it",302],["sicilianews.it",302],["siracusanews.it",302],["meridiano.net",302],["ilsettimanale.online",302],["thenational.scot",302],["glasgowtimes.co.uk",302],["salisburyjournal.co.uk",[302,1650]],["beautifuldecay.com",303],["celebdirtylaundry.com",303],["beincrypto.com",305],["benditofutbol.com",306],["ultimasnoticias.ec",306],["benq.com",307],["betano.com",308],["bfmtv.com",309],["bhaskarhindi.com",310],["bicycling.com",311],["caranddriver.com",311],["cosmopolitan.com",311],["delish.com",311],["goodhousekeeping.com",311],["vulture.com",311],["bikerumor.com",312],["billionaireimmo.com",313],["bingehq.com",314],["watchinamerica.com",[314,535,835,1023]],["bingehulu.com",315],["birdsandblooms.com",316],["familyhandyman.com",316],["rd.com",316],["tasteofhome.com",[316,907]],["thehealthy.com",316],["bitinfocharts.com",317],["bizarrepedia.com",318],["porngals4.com",318],["mediaset.it",[318,1288]],["teleborsa.it",318],["tempostretto.it",318],["bledina.com",319],["bleedingcool.com",320],["blogspot.com",321],["blogto.com",322],["bloomberg.com",323],["bloomberglinea.com",324],["bluradio.com",325],["caracoltv.com",325],["bnnbreaking.com",326],["bohemian.com",327],["bolavip.com",328],["boldsky.com",329],["boredpanda.com",330],["lasexta.com",330],["varesenews.it",330],["criticalthreats.org",330],["bostonagentmagazine.com",331],["boxofficemojo.com",332],["bqprime.com",333],["bracketfights.com",334],["tiermaker.com",334],["ecuadoradio.ec",334],["bravewords.com",335],["breakingbelizenews.com",336],["breakingdefense.com",337],["breitbart.com",338],["bringmethenews.com",339],["dealbreaker.com",339],["psmag.com",339],["si.com",339],["brobible.com",340],["budgetbytes.com",[341,342]],["butterwithasideofbread.com",[342,346]],["handletheheat.com",[342,564,565]],["therecipecritic.com",[342,956]],["business-standard.com",343],["business2community.com",344],["businessgreen.com",345],["computing.co.uk",345],["investmentweek.co.uk",345],["buzzfeed.com",347],["byjus.com",348],["commentpicker.com",348],["hakaimagazine.com",[348,561]],["iphoneitalia.com",348],["malaymail.com",[348,671]],["maxabout.com",348],["news24.com",348],["politico.eu",348],["nu.nl",[348,1448]],["novosti.rs",348],["homemark.co.za",348],["bylancer.com",349],["c-sharpcorner.com",350],["sassymamahk.com",352],["zoom.earth",352],["cafonline.com",354],["calcalistech.com",355],["calciatoribrutti.com",356],["calciomercato.com",357],["m.calciomercato.com",358],["fliegermagazin.de",358],["allocine.fr",[358,1148]],["tviplayer.iol.pt",358],["capital.com",359],["captainaltcoin.com",[360,361]],["celebritycruises.com",360],["elearn.interviewgig.com",360],["orologipertutti.it",360],["ndtv.com",361],["ndtv.in",361],["carnewschina.com",362],["cars.com",363],["cbn.com",364],["cbssports.com",365],["cgdirector.com",366],["charlieintel.com",368],["dexerto.com",368],["chess.com",369],["chiesi.com",370],["chinafile.com",371],["chipsandcheese.com",372],["chosun.com",373],["citybeat.com",374],["cltampa.com",375],["cnbc.com",377],["cnbctv18.com",378],["cnevpost.com",379],["cnnespanol.cnn.com",380],["cnn59.com",381],["comicxy.com",382],["cntraveler.com",383],["coincodecap.com",384],["coingape.com",386],["coinlore.com",387],["coinspeaker.com",388],["cointelegraph.com",389],["colibriwp.com",390],["colourlovers.com",391],["colunadofla.com",393],["complex.com",394],["computerhoy.com",395],["hobbyconsolas.com",395],["autobild.es",395],["businessinsider.es",395],["topgear.es",395],["cookieandkate.com",396],["cookingclassy.com",397],["coreight.com",398],["cosmopolitanturkiye.com",399],["harpersbazaar.com.tr",399],["samdan.com.tr",399],["cosmosmagazine.com",400],["forbes.com",400],["phillyvoice.com",[400,796]],["coxautoinc.com",401],["crealitycloud.com",[403,404]],["scientificamerican.com",[404,851]],["calcioefinanza.it",404],["tiscali.it",404],["news-medical.net",404],["crosscut.com",406],["news.crunchbase.com",407],["crypto-news-flash.com",408],["cryptonews.com",409],["cryptopolitan.com",410],["miragenews.com",411],["lagaceta.com.ec",411],["mole24.it",411],["sampdoria.it",[411,1312]],["eff.org",411],["jurist.org",411],["vivercomsaude.site",411],["ewn.co.za",411],["cryptotvplus.com",412],["cybernews.com",413],["cyclingstage.com",414],["gmanetwork.com",[416,539]],["dailyzone.com",417],["dansingerman.com",418],["thetvaddict.com",418],["radioguide.fm",[418,1147]],["rare.us",418],["darkreading.com",419],["datacenterdynamics.com",420],["davinotti.com",421],["defensacentral.com",423],["defenseone.com",424],["govexec.com",424],["nextgov.com",424],["demilked.com",425],["denofgeek.com",426],["depor.com",427],["destructoid.com",429],["devdiscourse.com",430],["dhakatribune.com",432],["diarimes.com",433],["digitaltrends.com",435],["dinamani.com",436],["samakalikamalayalam.com",436],["dissapore.com",437],["dnaindia.com",438],["donnamoderna.com",439],["dw.com",440],["dxomark.com",441],["dz-privatbank.com",442],["ea.com",443],["eadaily.com",444],["earth.com",445],["ebaumsworld.com",446],["echonewshub.com",[447,448]],["jugomobile.com",[447,448]],["airlive.net",[448,1383]],["econotimes.com",450],["ecowatch.com",451],["gosunoob.com",452],["joblo.com",452],["insideclimatenews.org",[452,1505]],["editorji.com",454],["elcolombiano.com",456],["elespanol.com",457],["elespectador.com",458],["elmogaz.com",459],["elpais.com",461],["elsate.com",464],["eltiempo.com",[465,466]],["expreso.ec",466],["emol.com",467],["empoweringparents.com",468],["tvmaze.com",468],["enca.com",469],["eporner.com",470],["equinix.com",471],["eteknix.com",472],["ethostimes.com",473],["etusuora.com",474],["euractiv.com",475],["euroweeklynews.com",477],["videocelts.com",477],["exame.com",478],["exchange4media.com",479],["exmoo.com",480],["exzerry.com",482],["f1i.com",483],["factinate.com",484],["faithwire.com",485],["rtvs.sk",[485,1601]],["fandom.com",486],["fangoria.com",488],["fastcompanybrasil.com",489],["favpng.com",490],["federalnewsnetwork.com",491],["fellahe.com",492],["fia.com",493],["fifa.com",494],["financemagnates.com",495],["financialexpress.com",496],["borse.it",497],["fiorentinanews.com",498],["fiorentinauno.com",498],["tuttosporttaranto.com",498],["brindisimagazine.it",498],["monza-news.it",498],["pianetalecce.it",498],["salernogranata.it",498],["firstpost.com",499],["fleischmannsyeast.com",500],["flightglobal.com",501],["frasicelebri.it",501],["flyingmag.com",502],["foodnetwork.com",504],["foodsforbetterhealth.com",505],["footwearnews.com",506],["indiewire.com",506],["foozine.com",507],["forexlive.com",508],["forklog.com",509],["forward.com",510],["freebeacon.com",511],["bygg.no",511],["freegameplanet.com",512],["frommybowl.com",513],["frostfairs.com",514],["fujitsu.com",516],["fxstreet.com",518],["gagadget.com",520],["gamekult.com",521],["gameloop.com",522],["guides.gamepressure.com",523],["gametyrant.com",524],["gasteizhoy.com",526],["gazetaweb.com",527],["gbnews.com",528],["rawstory.com",[528,818]],["theblaze.com",528],["commondreams.org",[528,1491]],["spectrum.ieee.org",528],["geekdashboard.com",529],["geekflare.com",530],["genbeta.com",531],["vidaextra.com",[531,1014]],["getpocket.com",532],["midad.com",532],["getthetechnow.com",533],["oogtv.nl",533],["gfinityesports.com",534],["stealthoptional.com",534],["earthsky.org",[535,1496]],["glassrpske.com",536],["gnttv.com",[540,541]],["aajtak.in",540],["indiatodayne.in",540],["goal.com",542],["goingawesomeplaces.com",543],["goldderby.com",544],["gomag.com",545],["goodmenproject.com",546],["goodyfeed.com",547],["gothamist.com",548],["grammarly.com",549],["grandhotelcalciomercato.com",550],["greenbot.com",551],["greenbuildingadvisor.com",552],["delfi.ee",[552,1109]],["groceryoutlet.com",553],["grubstreet.com",554],["gujaratsamacharepaper.com",555],["epaperlokmat.in",555],["gulte.com",556],["gwaramedia.com",557],["marqueesportsnetwork.com",557],["accessnow.org",557],["haberinadresi.com",558],["minika.com.tr",558],["haberler.com",559],["hackread.com",560],["hakone-japan.com",562],["handelsblatt.com",563],["businesstech.co.za",[565,1175,1671]],["mybroadband.co.za",565],["hankooktire.com",566],["joins.com",566],["op.gg",566],["bestcarweb.jp",566],["videor.co.jp",[566,1344]],["biglobe.ne.jp",566],["theinvestor.co.kr",566],["fhm.com.ph",566],["harvardmagazine.com",568],["healthline.com",569],["healthshots.com",570],["helpnetsecurity.com",571],["highxtar.com",573],["auto.hindustantimes.com",575],["tech.hindustantimes.com",576],["hoegert.com",578],["hola.com",579],["homecookingadventure.com",580],["honesttopaws.com",581],["hoorayteams.com",582],["hornoxe.com",583],["ithinkdiff.com",583],["horoscoponegro.com",584],["hp.com",585],["hsbc.com",586],["project-syndicate.org",586],["hugolescargot.com",587],["ibctamil.com",588],["idlprocycling.com",589],["indeleiderstrui.nl",589],["ifeng.com",590],["iflscience.com",591],["ilbianconero.com",593],["24plus.ilsole24ore.com",595],["imagecollect.com",596],["imgflip.com",597],["indianexpress.com",598],["infobae.com",599],["infobyip.com",600],["infoq.com",601],["civil.ge",602],["inquisitr.com",603],["insidebitcoins.com",604],["insider-gaming.com",605],["invenglobal.com",606],["inyminy.com",607],["iranwire.com",608],["irishnews.com",609],["israelnationalnews.com",610],["itnwwe.com",611],["itprotoday.com",612],["jasonwatmore.com",614],["jenkemmag.com",615],["masterduelmeta.com",[615,677]],["merriam-webster.com",615],["largus.fr",615],["english.nv.ua",[615,1637]],["jetphotos.com",616],["jewishpress.com",[617,618]],["techgenyz.com",[617,913]],["thenewsglobe.net",[617,1426]],["jornalrazao.com",620],["just-food.com",621],["kakakumag.com",622],["cybermap.kaspersky.com",623],["khaleejtimes.com",624],["kharphonk.com",625],["khmertimeskh.com",626],["khutabaa.com",627],["kick.com",628],["kivitv.com",629],["knowyourmeme.com",630],["koimoi.com",631],["kslnewsradio.com",633],["structurae.net",633],["kyivindependent.com",634],["la-croix.com",637],["la-razon.com",638],["1prime.ru",[638,1577]],["lasvegassun.com",639],["latimes.com",640],["marriott.com",640],["sandiegouniontribune.com",640],["lawandcrime.com",641],["leagle.com",642],["ledojomanga.com",643],["leganerd.com",644],["lesnumeriques.com",645],["levernews.com",646],["overkill.wtf",646],["lgbtqnation.com",647],["lifehacker.com",648],["lifesitenews.com",649],["lifestyleasia.com",650],["revolver.news",651],["embed.listcorp.com",653],["listenmoneymatters.com",654],["lithub.com",[655,656]],["hdblog.it",[655,995]],["livecoinwatch.com",657],["livescience.com",658],["locals.com",659],["locksmithledger.com",660],["lonelyplanet.com",662],["los40.com",663],["loveandlemons.com",664],["lwlies.com",665],["macrumors.com",666],["madagascar-tribune.com",667],["madamasr.com",668],["madinamerica.com",669],["maketecheasier.com",670],["manhwatop.com",672],["manofmany.com",673],["manutd.com",674],["maps4heroes.com",675],["marktechpost.com",676],["elements.visualcapitalist.com",676],["podwatch.io",676],["mc-doualiya.com",678],["skuola.net",678],["mdzol.com",679],["medcitynews.com",680],["foodandwaterwatch.org",680],["publicbooks.org",[680,1522]],["medcraveonline.com",681],["mediapost.com",682],["medicalxpress.com",683],["mediterraneodigital.com",684],["megacidade.com",685],["megashare.com",686],["meiobit.com",687],["pix-geeks.com",689],["trustedreviews.com",[689,989]],["woodworkforinventor.com",689],["audi-sport.net",[689,1388]],["eurogamer.net",689],["meteofrance.com",691],["methodshop.com",692],["metropoles.com",693],["michaelmedved.com",694],["mid-day.com",695],["midasbuy.com",696],["middleeastmonitor.com",697],["milanuncios.com",698],["military.com",700],["mingpao.com",701],["miningweekly.com",702],["engineeringnews.co.za",702],["polity.org.za",702],["mintpressnews.com",703],["online-tech-tips.com",703],["mmorpg.com",705],["mobilemarketingreads.com",706],["molecularrecipes.com",707],["mondediplo.com",[708,709]],["moneycontrol.com",710],["morningstar.com",711],["moroccoworldnews.com",712],["online-convert.com",713],["dibujos.net",713],["onet.pl",713],["iservices.pt",713],["novabh.tv",713],["motortrend.com",714],["movehub.com",715],["moviemistakes.com",717],["mp1st.com",718],["msn.com",719],["muscleandfitness.com",720],["music-news.com",721],["theatre-news.com",721],["film-news.co.uk",721],["game-news.co.uk",721],["mydorpie.com",722],["mymodernmet.com",723],["namnak.com",724],["napolimagazine.com",725],["nashvillescene.com",726],["nationalheraldindia.com",727],["nationalreview.com",728],["nature.com",729],["naval-technology.com",730],["ncaa.com",731],["sports.ndtv.com",732],["neatorama.com",733],["nerdist.com",734],["nerdnomads.com",735],["stationx.net",735],["newatlas.com",736],["newindianexpress.com",737],["newsgram.com",737],["newnoisemagazine.com",738],["newrepublic.com",739],["news9live.com",741],["newsandguts.com",742],["newscientist.com",743],["newsday.com",744],["newser.com",745],["newsshooter.com",746],["nezavisne.com",747],["nfl.com",748],["nhl.com",[749,750]],["petri.com",749],["nintendoworldreport.com",751],["nj.com",752],["nl7za.com",753],["nme.com",754],["operawire.com",[754,777]],["nordvpn.com",755],["notiactual.com",756],["noticiasrcn.com",758],["notquitenigella.com",759],["nowness.com",761],["nrttv.com",762],["nscale.com",763],["nutraingredients.com",764],["nutraingredients-asia.com",764],["nutraingredients-latam.com",764],["nutraingredients-usa.com",764],["nytimes.com",766],["odditycentral.com",767],["ofbez.com",[768,769]],["officialcharts.com",770],["okgoals.com",771],["olympics.com",772],["oneindia.com",773],["onextrapixel.com",774],["onmsft.com",775],["openspeedtest.com",776],["opindia.com",778],["optimagazine.com",[779,780]],["optimaitalia.com",779],["primapaginanews.it",[779,1299]],["oracle.com",781],["osxdaily.com",782],["otakumode.com",783],["ouedkniss.com",784],["outdoorlife.com",785],["popsci.com",785],["taskandpurpose.com",785],["thedrive.com",785],["outlookindia.com",[786,787]],["pgpf.org",787],["palais-de-la-voiture.com",789],["paloaltonetworks.com",790],["pastebin.com",791],["patch.com",792],["peepingmoon.com",793],["perezhilton.com",794],["phoenixnewtimes.com",797],["photorumors.com",798],["picsart.com",799],["planetarealmadrid.com",800],["planetebd.com",801],["politico.com",802],["portalrapmais.com",804],["portoravennanews.com",805],["lacronacadiravenna.it",805],["livesicilia.it",[805,1284]],["sportoutdoor.tv",805],["prdaily.com",807],["proprivacy.com",808],["protos.com",809],["publicar.com",810],["purewow.com",811],["qoshe.com",812],["quebeccoupongratuit.com",813],["quipmag.com",814],["railtech.com",816],["rappler.com",817],["raya.com",819],["realnienovosti.com",821],["recipeland.com",823],["recordeuropa.com",824],["relevantradio.com",825],["repsol.com",826],["reserveamerica.com",827],["blog.resy.com",828],["retbit.com",829],["reuters.com",830],["rivanimation.com",832],["rocketnews24.com",[833,834]],["thebeet.com",[833,930]],["themusicuniverse.com",834],["previously.tv",834],["rockstarintel.com",835],["rogerebert.com",836],["romper.com",837],["rosphoto.com",838],["rpdrlatino.com",839],["rpgfan.com",840],["snanews.de",[841,1093]],["de.rt.com",[842,843]],["anonymousnews.org",842],["sabcsport.com",844],["sacurrent.com",845],["snopes.com",847],["sammobile.com",848],["galaxystore.samsung.com",849],["sanarmed.com",850],["scribol.com",853],["searchenginejournal.com",855],["seattletimes.com",856],["secretchicago.com",857],["knowablemagazine.org",[858,1508]],["segre.com",859],["huffingtonpost.es",859],["seibertron.com",860],["semafor.com",861],["semana.com",862],["senpaiediciones.com",863],["seohorsesense.com",864],["sfbayca.com",865],["sfexaminer.com",866],["sfweekly.com",866],["sfgate.com",867],["sfstandard.com",869],["sheknows.com",870],["shopclues.com",871],["siliconrepublic.com",872],["silive.com",873],["similarweb.com",874],["simplejoy.com",875],["skeptoid.com",876],["skidrowreloaded.com",877],["texasmonthly.com",878],["news.sky.com",[879,880]],["skysports.com",879],["skynewsarabia.com",881],["slaynews.com",882],["smashingmagazine.com",883],["snowbrains.com",884],["sorrisi.com",885],["soundcloud.com",886],["spiked-online.com",887],["spokesman.com",888],["sportitalia.com",889],["fcinternews.it",889],["sportskeeda.com",890],["stamen.com",892],["starmedia.com",893],["startrek.com",894],["straitstimes.com",896],["streamingrant.com",897],["studyshoot.com",898],["stylecaster.com",899],["sundayworld.com",900],["superluchas.com",901],["ta3.com",902],["tableconvert.com",903],["taiwebs.com",904],["tampabay.com",905],["tandfonline.com",906],["tastesbetterfromscratch.com",908],["teamcoco.com",909],["tomshardware.com",[909,973]],["techadvisor.com",910],["techdirt.com",912],["techlila.com",914],["technologyreview.com",915],["cpr.org",[915,1493]],["techradar.com",917],["techweekmag.com",918],["tecmint.com",920],["telegraphindia.com",921],["telekom.com",922],["telexitos.com",923],["tennis.com",924],["testbook.com",925],["theanalyst.com",926],["theashleysrealityroundup.com",927],["theatlantic.com",928],["thebarentsobserver.com",929],["rightwingwatch.org",930],["thecinemaholic.com",931],["thediplomat.com",934],["theenergymix.com",935],["theepochtimes.com",936],["thefastmode.com",937],["thefrisc.com",938],["thegatewaypundit.com",939],["wersm.com",939],["theglobeandmail.com",940],["thehackernews.com",941],["theinertia.com",942],["theintercept.com",943],["thejewishstar.com",945],["thekitchenmagpie.com",946],["thelondoneconomic.com",947],["themarker.com",948],["themessenger.com",949],["thenation.com",950],["thenationalnews.com",951],["thenationalpulse.com",952],["thenewamerican.com",953],["glasistre.hr",953],["meemetoranje.nl",953],["thenextweb.com",954],["thepopverse.com",955],["therighthairstyles.com",957],["thesfnews.com",958],["thespectator.com",959],["thetrekcollective.com",960],["theverge.com",962],["thevision.com",963],["thisisfutbol.com",965],["tilestwra.com",966],["timeextension.com",968],["timesnownews.com",969],["recipes.timesofindia.com",970],["todayonline.com",972],["revistalideres.ec",974],["automobielmanagement.nl",974],["topic.com",975],["toptal.com",976],["torrentsafe.com",977],["touristspy.com",978],["tracebit.com",979],["traveltriangle.com",980],["triblive.com",981],["trip101.com",982],["trthaber.com",984],["radiolodz.pl",[986,1220,1550]],["trumparea.com",988],["truthdig.com",990],["trutravels.com",991],["tsunagujapan.com",992],["ttgmedia.com",993],["ttnews.com",994],["crash.net",994],["time.is",995],["tv5monde.com",997],["tvline.com",998],["tweaktown.com",999],["twitchy.com",1000],["ultraslan.com",1001],["unanimodeportes.com",1002],["universfreebox.com",1003],["upday.com",1005],["url-encode-decode.com",1006],["usatoday.com",1007],["usnews.com",1008],["zerohedge.com",1008],["valoraanalitik.com",1009],["veganblatt.com",1010],["vegrecipesofindia.com",1011],["vgleaks.com",1012],["victoriabuzz.com",1013],["videocardz.com",1015],["vimeo.com",1016],["vozpopuli.com",1017],["vreme.com",1018],["wabetainfo.com",1019],["vaticannews.va",1020],["washingtonian.com",1022],["waterstechnology.com",1024],["risk.net",1024],["wdwmagic.com",1026],["weather.com",1027],["webfail.com",1028],["weisradio.com",1029],["welivesecurity.com",1030],["westword.com",1031],["whatcar.com",1032],["winnipegfreepress.com",1034],["wired.com",1036],["wmaraci.com",1037],["wnep.com",1038],["wrif.com",1039],["wxyz.com",1040],["xbiz.com",1041],["finance.yahoo.com",1042],["yardbarker.com",1043],["ynetnews.com",1044],["youtube.com",1045],["zerolives.com",1046],["zimbabwesituation.com",1047],["zmonline.com",1048],["flava.co.nz",1048],["hauraki.co.nz",1048],["mixonline.co.nz",1048],["thehits.co.nz",1048],["zycrypto.com",1049],["360.cymru",1050],["89.0rtl.de",1051],["adticket.de",1052],["b4bschwaben.de",1053],["bafoeg-rechner.de",1054],["studis-online.de",1054],["berliner-kurier.de",1055],["butenunbinnen.de",1056],["derfinanzinvestor.de",1057],["esg-aktien.de",1057],["inv3st.de",1057],["kapitalerhoehungen.de",1057],["deutsche-startups.de",1058],["deutsche-wirtschafts-nachrichten.de",1059],["deutschland.de",1060],["dioezesanmuseum-rottenburg.de",1061],["dls-logistics.de",1062],["domradio.de",1063],["emtb-news.de",1064],["mtb-news.de",1064],["rennrad-news.de",1064],["evangelisch.de",1065],["evrejskaja-panorama.de",1066],["juedischerundschau.de",1066],["express.de",1067],["finanznachrichten.de",1068],["fnp.de",1069],["sport1.de",1069],["focus.de",1070],["formel1.de",1071],["gameswelt.de",1072],["geo.de",1073],["giga.de",1074],["goldinvest.de",1075],["golem.de",1076],["publico.pt",1076],["herz-fuer-tiere.de",1077],["islamische-zeitung.de",1078],["jetzt.de",1079],["prosiebenmaxx.de",1080],["suomi24.fi",1080],["kicker.de",1081],["laut.de",1082],["mein-schoener-garten.de",1083],["mindfactory.de",1084],["ndr.de",1085],["nn.de",1086],["nordbayern.de",1086],["onvista.de",1087],["pcgameshardware.de",1088],["pferdekult.de",1089],["bdkj.info",[1089,1217]],["pipeline.de",1090],["presseportal.de",1091],["redensarten-index.de",1092],["st-georg.de",1094],["t3n.de",1095],["teltarif.de",1096],["urlaubsguru.de",1097],["citizen.digital",1098],["politikenhistorie.dk",1099],["acento.com.do",1100],["sudhorizons.dz",1101],["metroecuador.com.ec",1102],["getty.edu",1103],["thereader.mitpress.mit.edu",1104],["news.mit.edu",1105],["psu.edu",1106],["utexas.edu",1107],["vt.edu",1108],["abc.es",1110],["cope.es",1111],["nurse24.it",1111],["cuencanews.es",1113],["elmundo.es",1114],["neomotor.epe.es",1115],["iblogmovil.es",1117],["movistar.es",1119],["servimedia.es",1120],["agendadigitale.eu",1122],["economyup.it",1122],["insuranceup.it",1122],["fidelityhouse.eu",1123],["labiotech.eu",1125],["topbet.eu",1126],["npr.org",1126],["thefinance.sg",[1126,1598]],["tvrus.eu",1127],["zona.eu",1128],["eitb.eus",1129],["apotti.fi",1130],["dawn.fi",1131],["demokraatti.fi",1132],["forssanlehti.fi",1133],["ku.fi",1134],["mediuutiset.fi",1135],["mikrobitti.fi",1136],["mobiili.fi",1137],["rakennusmaailma.fi",1138],["rakentaja.fi",1139],["seura.fi",1140],["tekniikkatalous.fi",1141],["tivi.fi",1142],["voice.fi",1143],["gamestorrents.fm",1144],["giornaleradio.fm",1145],["lizhi.fm",1146],["autoplus.fr",1149],["trendy.letudiant.fr",1149],["boursedirect.fr",1150],["comment-contacter.fr",1151],["francebleu.fr",1152],["gossip-room.fr",1154],["homap.fr",1155],["justgeek.fr",1156],["lefigaro.fr",1157],["liberation.fr",1158],["moneyvox.fr",1159],["pulsaroptics.fr",1160],["radiofrance.fr",1161],["terresinovia.fr",1164],["tomshardware.fr",1165],["giocodigitale.game",1166],["intermedia.ge",1167],["interpressnews.ge",1168],["kvirispalitra.ge",1169],["lelo.ge",1170],["netgazeti.ge",1171],["pulse.com.gh",1172],["pulse.ng",1172],["commerce.gov",1173],["consumerfinance.gov",1174],["discover.lanl.gov",1175],["niaid.nih.gov",1176],["nist.gov",1177],["capital.gr",1178],["enternity.gr",1179],["takungpao.com.hk",1180],["gloria.hr",1181],["hkm.hr",1182],["hrt.hr",1183],["jutarnji.hr",1184],["slobodnadalmacija.hr",1185],["femina.hu",1187],["index.hu",1188],["totalcar.hu",1188],["velvet.hu",1188],["infostart.hu",1189],["instyle.hu",1190],["life.hu",1191],["origo.hu",1191],["travelo.hu",[1191,1192]],["mediamarkt.hu",1193],["nemzetisport.hu",1195],["telex.hu",[1196,1197]],["transtelex.ro",1197],["tv2.hu",1198],["vg.hu",1199],["breakingnews.ie",1200],["businessplus.ie",1201],["businesspost.ie",1202],["rte.ie",1203],["thejournal.ie",1204],["7kanal.co.il",1205],["inn.co.il",1205],["focusjunior.it",[1205,1258]],["aurora-israel.co.il",1206],["glz.co.il",1207],["businessinsider.in",1208],["digit.in",1211],["gidonline.in",1212],["lionexpress.in",1214],["overdrive.in",1215],["web3cafe.in",1216],["jota.info",1218],["labusa.info",1219],["narew.info",1221],["rzn.info",1222],["tvpolsat.info",1223],["urbantv.info",1224],["visionguinee.info",[1225,1226]],["terranostranews.it",1225],["mpost.io",1227],["thenewstack.io",1228],["alalam.ir",1229],["ad-italia.it",1230],["gqitalia.it",1230],["lacucinaitaliana.it",1230],["vanityfair.it",1230],["vogue.it",1230],["www.wired.it",1230],["agensir.it",1231],["agi.it",1232],["agimeg.it",1233],["altamuralife.it",1234],["andriaviva.it",1234],["bariviva.it",1234],["barlettaviva.it",1234],["bisceglieviva.it",1234],["bitontoviva.it",1234],["canosaviva.it",1234],["cerignolaviva.it",1234],["coratoviva.it",1234],["giovinazzoviva.it",1234],["gravinalife.it",1234],["margheritaviva.it",1234],["materalife.it",1234],["minervinoviva.it",1234],["modugnoviva.it",1234],["molfettaviva.it",1234],["ruvoviva.it",1234],["sanferdinandoviva.it",1234],["spinazzolaviva.it",1234],["terlizziviva.it",1234],["traniviva.it",1234],["trinitapoliviva.it",1234],["bancadipiacenza.it",1237],["biografieonline.it",1239],["blitztv.it",1240],["blogsicilia.it",1241],["calcionapoli24.it",1242],["ccsnews.it",1243],["clubalfa.it",1243],["centrometeoitaliano.it",[1244,1245]],["leggo.it",1244],["cirio.it",1246],["cronacheancona.it",1248],["deejay.it",1249],["dissipatio.it",1250],["divisionecalcioa5.it",1251],["dueruote.it",[1252,1253]],["everyeye.it",1254],["fanpage.it",1255],["focus.it",1257],["gamershqitalia.it",1259],["teletutto.it",1260],["giornalelavoce.it",1261],["giornali.it",1262],["salute.gov.it",1263],["greenstyle.it",1264],["ilfattoalimentare.it",1266],["ilgiorno.it",1267],["ilrestodelcarlino.it",1267],["iltelegrafolivorno.it",1267],["lanazione.it",1267],["quotidiano.net",1267],["ilmeteo.it",1268],["internazionale.it",1269],["iodonna.it",1270],["iolecal.it",1271],["jeanlouisdavid.it",1273],["la7.it",1274],["tg.la7.it",1275],["lapancalera.it",1276],["lapresse.it",1277],["lapresse.us",1277],["lemillericette.it",1278],["lescienze.it",1279],["libero.it",[1280,1281]],["virgilio.it",[1280,1331]],["lintellettualedissidente.it",1283],["rtsplaneta.rs",1283],["montecarlonews.it",1284],["perizona.it",1284],["mag1861.it",1285],["maremmanews.it",[1286,1287]],["fintech.tv",[1286,1620]],["mezzicommerciali.it",1289],["milanodabere.it",1290],["money.it",1291],["mrw.it",1292],["mymovies.it",1293],["nazarenogabrielli.it",1294],["notebookitalia.it",1295],["ohga.it",1296],["orvieto24.it",1297],["ostuninews.it",1298],["quattroruote.it",1300],["tv.quattroruote.it",1301],["quotidianopiemontese.it",1302],["radioinblu.it",1303],["play.radionorba.it",1304],["radiosubasio.it",1305],["rainews.it",1306],["raiplaysound.it",1308],["ricetta.it",1309],["roccosiffredixxx.it",1310],["showprice.it",1314],["stabiachannel.it",1316],["staseraincucina.it",1317],["stol.it",1318],["superguidatv.it",1319],["theitaliantimes.it",1320],["thewom.it",1321],["toplegal.it",1322],["torinomagazine.it",1323],["tv8.it",1324],["udinese.it",1325],["unicoebello.it",1326],["unionesarda.it",1327],["valsusaoggi.it",1329],["veritaeaffari.it",1330],["wikihow.it",1332],["zett.it",1333],["amazon.jobs",1334],["biz-journal.jp",1335],["buyee.jp",1336],["arigatojapan.co.jp",1337],["diners.co.jp",1338],["etour.co.jp",1339],["news.j-wave.co.jp",1340],["ntv.co.jp",1342],["oricon.co.jp",[1343,1344]],["tokyo-np.co.jp",1345],["zaikei.co.jp",1346],["join.commufa.jp",1347],["gizmodo.jp",1348],["roomie.jp",1348],["iphone-mania.jp",1349],["ismedia.jp",1350],["knivesout.jp",1351],["lab.re-katsu.jp",1352],["srad.jp",1353],["suumo.jp",1354],["ntvkenya.co.ke",1355],["auction.co.kr",1356],["koreatimes.co.kr",1357],["caravan.kz",1358],["dot.la",1359],["tonica.la",[1360,1361]],["show.news",1361],["dailystar.com.lb",1362],["eurekalert.org",1362],["playforukraine.life",1363],["playforukraine.live",1363],["tvnet.lv",1364],["discord.me",1365],["lubuntu.me",1366],["rgshows.me",1367],["upic.me",1368],["storm.mg",1369],["shkspr.mobi",1370],["businessinsider.mx",1372],["de10.com.mx",[1373,1374]],["elgrafico.mx",1373],["eluniversal.com.mx",1375],["excelsior.com.mx",1376],["tribuna.com.mx",1377],["economiahoy.mx",1378],["notimex.gob.mx",1379],["nupcias.mx",1380],["lelong.com.my",1381],["adslzone.net",1382],["alekhbariya.net",1385],["sadisflix.vip",1385],["analyticsinsight.net",1386],["bravotube.net",1389],["butwhytho.net",1390],["edugeek.net",1391],["electronicintifada.net",1392],["ettoday.net",1393],["f1network.net",1394],["rugbynetwork.net",1394],["thefootballnetwork.net",1394],["cricketnetwork.co.uk",1394],["finanzfrage.net",1395],["gutefrage.net",1395],["firstshowing.net",1396],["geotastic.net",1397],["ghacks.net",1398],["gmx.net",1399],["gptoday.net",1400],["hard-drive.net",1401],["hcb.net",1402],["henaojara.net",1403],["hexus.net",1404],["horizont.net",1405],["informationisbeautiful.net",1407],["inspiredtaste.net",1408],["it-daily.net",1409],["jam-news.net",1410],["kingmodapk.net",1411],["liga.net",1412],["megaup.net",1413],["middleeasteye.net",1414],["noisypixel.net",1417],["noticierovenevision.net",1418],["nova-magazine.net",1419],["opendemocracy.net",1420],["rockmods.net",1421],["salemnews.net",1422],["steamverde.net",1423],["tecnoblog.net",1424],["donpatriot.news",1428],["headlight.news",1429],["naijachoice.com.ng",1431],["100p.nl",1433],["computable.nl",1435],["ditjesendatjes.nl",1436],["dutchnews.nl",1437],["fanclubbarcelona.nl",1438],["gooieneemlander.nl",1439],["haarlemsdagblad.nl",1439],["leidschdagblad.nl",1439],["noordhollandsdagblad.nl",1439],["headliner.nl",1440],["heracles.nl",1441],["participaties.nl",1442],["israeltoday.nl",1443],["looopings.nl",1444],["nd.nl",1445],["nhnieuws.nl",1446],["nltimes.nl",1447],["omroepbrabant.nl",1449],["pu.nl",1450],["smulderstextiel.nl",1452],["twentefans.nl",1453],["vi.nl",1454],["yachtonline.nl",1455],["zeelandnet.nl",1456],["altinget.no",1457],["klartale.no",1458],["nrk.no",1459],["tu.no",1461],["land.nrw",1462],["thecity.nyc",1463],["1news.co.nz",1464],["livenation.co.nz",1465],["newshub.co.nz",1466],["newstalkzb.co.nz",1467],["odt.co.nz",1468],["scoop.co.nz",1469],["teaonews.co.nz",1471],["thespinoff.co.nz",1472],["wellington.govt.nz",1473],["omannews.gov.om",1474],["adblockplus.org",1475],["agsiw.org",1476],["apa.org",1477],["aporrea.org",1478],["physics.aps.org",1479],["archaeology.org",1480],["atlanticcouncil.org",1481],["avaaz.org",1482],["blockclubchicago.org",1483],["brennancenter.org",1484],["calmatters.org",1485],["jta.org",1485],["dictionary.cambridge.org",1486],["catholicculture.org",1487],["citizensforethics.org",1488],["health.clevelandclinic.org",1489],["coinpedia.org",1490],["consumerreports.org",1492],["digitalcontentnext.org",1495],["facethefactsusa.org",1497],["federprivacy.org",1498],["freesvg.org",1499],["haymarketbooks.org",1502],["houstonpublicmedia.org",1503],["inforesist.org",1504],["isglobal.org",1506],["daily.jstor.org",1507],["kpbs.org",1509],["kqed.org",1510],["marketplace.org",1511],["mprnews.org",1512],["newsbusters.org",1513],["nhm.org",1514],["onegreenplanet.org",1515],["philosophynow.org",1517],["plantbasednews.org",1518],["prlog.org",1519],["psypost.org",1521],["quechoisir.org",1523],["radiopaedia.org",1524],["schrijvenonline.org",1525],["sciencenews.org",1526],["sordum.org",1527],["strategic-culture.org",1528],["technology.org",1529],["themedialine.org",1531],["thenewhumanitarian.org",1532],["theworld.org",1533],["undark.org",1534],["wheelsage.org",1536],["whowhatwhy.org",1537],["worldathletics.org",1538],["elcomercio.pe",1539],["rpp.pe",1540],["wapa.pe",1541],["biutiq.pl",1543],["gadzetomania.pl",1544],["kamazpolska.pl",1545],["lifetimetv.pl",1546],["motocombo.pl",1547],["pinka.pl",1548],["polskatimes.pl",1549],["redcarpettv.pl",1551],["salon24.pl",1552],["skomplikowane.pl",1553],["strefabiznesu.pl",1554],["virtualeye.pl",1555],["wafa.ps",1557],["cmjornal.pt",1558],["dinheirovivo.pt",1559],["tsf.pt",1559],["dnoticias.pt",1560],["expresso.pt",1561],["jn.pt",1562],["jornaldenegocios.pt",1563],["record.pt",1564],["sapo.pt",1565],["megahits.sapo.pt",1566],["rr.sapo.pt",1567],["sicnoticias.pt",1568],["qatarradio.qa",1569],["tmo.report",1570],["alo.rs",1571],["blic.rs",1571],["republika.rs",[1571,1574]],["tanjug.rs",1571],["happytv.rs",1573],["rtv.rs",1575],["5-tv.ru",1578],["academic.ru",1579],["aif.ru",1580],["aimp.ru",1581],["dni.ru",1583],["dnr-online.ru",1584],["free-kassa.ru",1585],["interfax.ru",1586],["kommersant.ru",1587],["latuaitalia.ru",1588],["ntv.ru",1589],["rambler.ru",1590],["rg.ru",1591],["sibnet.ru",1593],["traveller-eu.ru",1594],["9anime.se",1595],["apoia.se",1596],["sportbibeln.se",1597],["nms.si",1599],["vizita.si",1600],["sme.sk",1602],["teraz.sk",1603],["vidasana.sv",1604],["dropbox.tech",1605],["rtde.tech",1606],["tunisiatv.tn",1608],["watania1.tn",1608],["netcine.to",1609],["yourdailypornmovies.ws",1609],["aa.com.tr",1611],["ahaber.com.tr",1612],["aspor.com.tr",1612],["medyaalemi.com.tr",1614],["atletica.tv",1616],["canalnet.tv",1617],["diyanet.tv",1618],["war.ukraine.ua",1620],["fism.tv",1621],["grozny.tv",1622],["gtrk.tv",1623],["loewe.tv",1624],["montagna.tv",1625],["motorsport.tv",1626],["redice.tv",1627],["streamkiste.tv",1628],["news.stv.tv",1629],["thepeoplesvoice.tv",1630],["twitch.tv",1631],["avtosale.ua",1633],["eurointegration.com.ua",1634],["forklog.com.ua",1635],["pravda.com.ua",1636],["vesti.ua",1638],["cardiff.ac.uk",1639],["bbc.co.uk",1640],["cryptodaily.co.uk",1641],["independent.co.uk",1644],["inews.co.uk",1645],["kentonline.co.uk",1646],["mirror.co.uk",1648],["newsnow.co.uk",1649],["spectator.co.uk",1651],["theneweuropean.co.uk",1652],["thetablet.co.uk",1653],["walesonline.co.uk",1655],["christian.org.uk",1656],["libdems.org.uk",1657],["spring.org.uk",1658],["cityoflondon.police.uk",1659],["dontorrent.uno",1660],["govtrack.us",1661],["hnn.us",1662],["thescoop.us",1664],["elpais.com.uy",1666],["laprensalara.com.ve",1667],["baoquocte.vn",1668],["reasonstobecheerful.world",1670],["citizen.co.za",1672],["junkmail.co.za",1673],["leisurewheels.co.za",1674],["mg.co.za",1675],["onedayonly.co.za",1676],["sundayworld.co.za",1677],["topauto.co.za",1678]]);

const entitiesMap = new Map(undefined);

const exceptionsMap = new Map(undefined);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
