/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: hun-0

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = ["[src*=\"/banner/\"]","[id*=\"float\"]","div:has(> .ai-attributes + script + ins)","#article_end_popup,\n.banner.boxed","a[rel*=\"sponsored\"]","#a1,\n#a2","#onetrust-banner-sdk","#eu-cookie-law,\n#facebook-likebox-8,\n.wpcnt","[class*=\"advert\"]","#facebook-sharebar,\n#webaruhaz-ajanlo,\n.-contentTop,\n.a2blckLayer,\n.ctsGadx,\n.hashtags,\n.wrap,\nTD[id*=\"l_sponsor\"],\n[class*=\"adv_\"]","[class*=\"adtext\"]",".fb-exit-popup-container","#fanback,\n#permission-bar,\n.fu-container,\n.sample,\n[href*=\"hirdetes\"],\na[href*=\"adf.ly\"],\na[style=\"text-decoration:none;\"],\ntable[bgcolor=\"darkgray\"]",".content-list.content-body > .recommendation-holder,\n.content-text > .recommendation-holder,\n.left-column.col-md-8.col-sm-12 > .recommendation-holder,\n.right-column.text-center.hidden-sm.hidden-xs.col-md-4 > .recommendation-holder:nth-of-type(1),\n.right-column.text-center.hidden-sm.hidden-xs.col-md-4 > .recommendation-holder:nth-of-type(2),\n.top-column.col-xs-12 > .recommendation-holder,\ni > .recommendation-holder:nth-of-type(1),\ni > .recommendation-holder:nth-of-type(2)",".tqWLsnEEqeEw-bg,\n[style=\"z-index: 999999; background: rgba(0, 0, 0, 0.85098); display: block;\"]","[style=\"background: rgb(255, 255, 255); max-width: 720px; z-index: 9999999; opacity: 1; visibility: visible;\"]","[data-zadtype=\"billboard\"],\ndiv.mobileArticleAds,\ndiv.right-rail:has(div.ad-wrapper),\nfigure:has(a[href*=\"ignshop.hu\"])","DIV[id*=\"banner\"]","[class*=\"banner\"]","[app=\"tibrr-cookie-consent\"],\n[class^=\"k\"][class*=\"-container\"][class*=\"-2\"][class$=\"-hide\"]",".bpkad","A[href^=\"http://goo.gl\"]","[class*=\"reklam\"]","[id*=\"reklam\"]",".code-block:has(script + ins)","[class*=\"pea_cook\"]","[style=\"width:300px;height:250px;\"],\nscript[data-cfasync=\"false\"]","[class*=\"advertisement\"]","[class^=\"ad-\"]","#text-3","#kpopup","#sliding-popup","[id^=\"block-views-block-banners-\"]","[id*=\"banner\"]","[id*=\"etarget\"]","[class^=\"ads\"]","[id^=\"adchange\"]","#alsobox","#cookieinfo","DIV[id*=\"col_2\"]","[id*=\"advertisment\"]","#sutik",".bannergroup","#_iph_cp_popup,\n#cookie-bar,\n#cookie-notice,\n#cookie-window,\n#cookiebar,\n#hirdetes,\n#hirdetesek,\n.cc-banner,\n.cc-banner-wrapper,\n.cc-window,\n.cc_banner,\n.cc_banner-wrapper,\n.cc_window,\n.hird,\n.hirdetesek,\n.leet_product_banner_container,\n[class*=\"overlayBg\"],\nins[id^=\"aswift_\"]",".hirdetes","#cookie-law,\n.banner_middle",".ads_show_ad_title",".banner-wrapper",".banner-container","#overlay_readers_letter,\n#stickyHomePageRecommender,\n#webPushPopup,\n.a-hirstartRecommender,\n.m-donationBottomLine,\n.spklw-post-attr[data-type=\"ad\"],\n.widget-mini-article",".adaptiveAd[id^=\"444_cikk_mobil_\"],\n.adaptiveAd[id^=\"444_cikk_pc_\"],\n[id*=\"-banner-\"],\narticle:has(a[href*=\"hirdetes\"]),\ndiv.item:has(a[href*=\"hirdetes\"])","#text-5,\n#text-6","#galsoreklam,\n#oldalreklam,\n[href=\"https://777blog.hu/reklamblokkolo-kikapcsolasa/\"],\ndiv#rechtangle.widget:nth-of-type(5)","#cookieBox,\n#cookieBox_bg,\n.whiteBox:has(.goAdverticum)","#cookies-alert,\n[class^=\"zone_\"]","#g0,\n.az-layer,\n.big_badge,\n.floating-help-wrapper","[class*=\"ads\"]","#ajanlo","div#mymodal:has(#form-popup)",".flyout",".ez-egy-dc-doboz:has(> .double_click_doboz),\n[style^=\"min-height: 128px; background: url(\\\"https://static.agroinform.hu/static/site/img/hirdetes_up.png\\\") no-repeat center bottom -1px;\"]","#alapjarat_cikk_fekvo_1,\ndiv.header + .clearfix + .clearfix","#block-block-16,\n#block-block-22,\n#block-views-ajanlo-block,\n#sticky_footer",".mailingActionC",".ui-widget-overlay","[aria-describedby=\"cookies-dialog\"]","div.cikk_zona,\ndiv.rightside > iframe",".sidebar1 > div:first-child,\n[id^=\"hird_\"]",".mask,\n.showLink.reveal","[class*=\" adH\"]","#cookie-disclaimer,\n.brandbox",".tamogatoi,\n.wp-caption","#facebookPopUp,\n#facebookPopUpBackground,\n#szechenyi-container,\n.plus-wrapper","#_cikk_jobbhasab_2,\n#_cikk_jobbhasab_3,\n#_fooldali_header_alatti_banner,\n#_fooldali_header_banner,\n#_fooldali_jobbhasab_2,\n#_fooldali_jobbhasab_3,\n#custom_html-18,\n#custom_html-19,\n#custom_html-2,\n#custom_html-20,\n#custom_html-21,\n#custom_html-23,\n#custom_html-26,\n#custom_html-7,\n#custom_html-8","#custom_html-10","[class*=\"Advert\"]","[class*=\"etarget\"],\n[class*=\"szamlatabla\"]","[class*=\"hirdetes\"]","#CybotCookiebotDialog",".ads","#adds","p + center:has(iframe[data-src*=\"facebook\"]),\nscript + ins + h5",".cookie-notice-container","#article-2,\n#block-block-30,\n#block-block-60,\n.region-content-1-1 > div:last-child,\n.region-content-1-1 > div:nth-child(-1n+3),\n.region-content-1-3 > div:nth-child(-1n+2),\n.region-content-1-3 > div:nth-last-child(-1n+5),\n.view-banner-blokkok",".addd,\n.bannpos,\n[aria-label=\"cookieconsent\"],\ndiv:has(> .fb-like)","#cookie","#popupajanlo","#total,\n.category-section.ad,\n.minisite","app-article-subscription-box,\napp-newsletter-modal","main + .ok-prerender","iframe[src=\"https://tunderszepek.baon.hu/tunderszepek-banner\"]",".widget_media_image",".pea_cook_wrapper","[class*=\"adcikk\"]",".hidden-xs:has(> .lablec_alatt),\n.hidden-xs:has(> .weboldal_felett),\n.tapeta.fixed,\n[data-ai],\nblockquote","[id*=\"sponsor\"]","#karrier,\n.modal,\n.modal-dialog",".modal-backdrop","#footerLogos,\n#pe_confirm,\n#underArticleAdvertisement,\n[id*=\"-ad-\"][data-x=\"1\"],\n[id^=\"div-gpt-ad-\"] + [class$=\"widget\"],\n[style=\"width:100%;text-align: center; margin-bottom:15px;\"],\na[href*=\"gemius\"],\nbody > .extraContentSection:nth-of-type(-1n+3)","#articleOfferFlag","#pe_confirm_optin_6","#ad-cikk1,\n#ad-cikk2,\n#ad-fekvo1,\n#ad-fekvo2,\n#ad-jobb1,\n#ad-jobb2,\ndiv:has(> div[id^=\"div-gpt-ad-\"])","#pe_confirm_optin_1","#taft,\n.living-earth,\n.meropixel-hide,\n.share,\nDIV[class*=\"_ad\"],\nDIV[class*=\"adv\"],\nDIV[class*=\"blh-billboard-ad\"],\nDIV[id*=\"wAdBox\"],\n[class*=\"follow_promo_figure\"],\n[id*=\"cp_popup\"]","[class*=\"adbox\"]","[id*=\"Banner\"]","DIV[class*=\"etarget\"]","#fbox-background","#lightview1,\n[class*=\"popupBanner\"]","#cookie_policy,\n#lw_bg1,\ndiv[style^=\"height:\"]","#newASZFLayer","#onetrust-consent-sdk,\n.o-banner--hirdetes",".real-estate-wrapper",".cookie__wrapper,\n.subscription-box,\nA[href=\"/jatek\"],\nA[href=\"/nyarimagazin\"],\n[class*=\"__ad\"],\n[class*=\"adContainer\"],\na[target=\"_blank\"][class=\"videa-wrapper\"],\niframe[src*=\"koponyeg.hu\"]",".newsletter-box","#wpgtr_stickyads_textcss_container,\n.extpp-container,\n.otw-sidebar:has(a[href=\"https://bpiautosok.hu/tamogatonk-a-te-ceged-jelenj-meg-nalunk-a-youtube-on-es-a-bpiautosok-hu-n/\"]),\n.widget.widget_text:has(.adsbygoogle),\nbody > center:first-child,\nbody > center:first-child + br,\ncenter:has(> a[href=\"https://bpiautosok.hu/mediaajanlat\"]),\ncenter:has(> a[href=\"https://bpiautosok.hu/mediaajanlat\"]) + br,\ncenter:has(> font),\nfont + center","#onesignal-bell-container,\n#onesignal-slidedown-container","#custom_html-11,\n#custom_html-6,\n#media_image-17,\ndiv[style=\"margin-top:20px;\"]","#upprev_box","div.bpkad","#full-desktop,\n#full-mobile,\nheader + div[style^=\"margin:\"]","#cooker_container,\n.banner_main_page_wrapper","#cadre_alert_cookies,\n#pa-push-notification-subscription,\n#sp-right > .sp-column > .sp-module.hidden-mobile,\n.banneritem","[class^=\"adsense\"]",".advert,\n.occsz-banner",".ads-container",".ads-left-container,\n.ads-name-title,\n.ads-right-container,\n.cookie-box-cnt,\n.infobar-cnt,\n.popup-ad,\napp-ads,\niframe[src^=\"https://cfusionsys.com\"]","#cookie-policy-content,\n.ad-article-comment,\n.ad-article-end,\n.ad-article-inside,\n.ad-article-inside-automatic,\n.ad-article-under-lead,\n.ad-content-top,\n.ad-header-after > *,\n.ad-header-after-article,\n.share-article","#web-push-popup","[class*=\"-adv\"]","#CookieAcceptLayer,\n#bdism1,\n#cikkajanlo,\n[class*=\"adv-\"]",".art-sidebar1,\n.art-sidebar2","#fadeandscale_background,\n#fadeandscale_wrapper",".enews-article-content .endless-shared-area",".sb-right > div:first-child","#cookie-law-info-bar","#banner_sav","#headerBanner,\n.col-md-4.blog-sidebar:nth-child(even),\n.slidingBanner,\n.tablet-advert,\n.totop,\n.widgetDefault",".billboard","#billboard,\n[class*=\"prbox\"],\n[id^=\"linkbox_article\"]",".region-header.region",".jquery-modal.blocker.current",".cikk-halfpage.t-article-container_sidebar > div:first-child,\n.menu-sponsor_link,\n.rovat-halfpage.t-rovat-container_sidebar > div:first-child,\n.tctk,\n[id*=\"szponzoracio\"],\niframe",".cikk-vegi-ajanlo-reklamok","[id*=\"hirdetes\"]","#interstitial",".adbd-layer","body > section:not(.site-header):not(#toreskar):last-of-type","[class=\"td-a-rec td-a-rec-id-content_top  tdi_62 td_block_template_1\"],\n[class=\"td-a-rec td-a-rec-id-header  tdi_53 td_block_template_1\"]","[id*=\"_ad\"]",".hirdetes-block","[class*=\"ad_\"]","[id*=\"ad_\"]",".detailRightAds,\n.min700height-desktop,\n.rltd_container [id^=\"rltd-ad-\"],\n.row:has(> #onet-ad-top),\n[class*=\"ad-\"],\n[class^=\"ads \"],\n[id^=\"ad-\"],\n[style=\"min-height: 300px;\"],\na[title=\"Hirdetés\"],\ndiv.wrapAds,\ndiv.wrapRectangle:has(#ad-cikk)",".ibb-banner-decor","[id^=\"ad_\"]","div[class*=\"contentBanner\"],\ndiv[style=\"text-align: center; margin-bottom:10px; position: relative;\"]",".sgpb-popup-dialog-main-div-wrapper",".penci-wrap-gprd-law,\n.sgpb-popup-overlay",".rckaexclude",".super","div.cookieLayer,\ndiv.supportModal","IFRAME","#article-recommend-popup,\n.adaptiveAd,\n.cookie-popup,\n.overlay-popup","[class*=\"_adv \"]",".popupunderlay,\n[class*=\"adPlace\"],\n[class^=\"goAdverticum\"]","[class*=\"adzone\"],\ndiv[id*=\"elementor-popup-modal-\"]","#catapult-cookie-bar","#darklayer,\n.views-field-nothing,\n[class*=\"_ad \"],\n[id*=\"_ad-\"]","#femina-shop-ajanlo-slider,\n.cikk-torzs [data-miniapp-id]:has(.femina-shop-ajanlo-slider-hirdetes),\n.cikk-torzs [data-miniapp-id]:has(.lapozgato-ajanlo),\n.doboz_harmados,\n.szelso-jobb > div:has(> a),\n[class*=\"kepeslinkes\"]","DIV[class*=\"reklam\"]",".crp_related,\ndiv[id^=\"forbesad\"],\np + [class*=\"-bekezdes-utan-\"]",".foot-logos.col-md,\n[href=\"https://www.barion.com/hu/vasarlok/arak-vasarloknak/\"],\na[href=\"http://consumer.huawei.com/hu/phones/mate10series/\"]","div:has(> [style*=\"calc\"])","#accept-container","[class*=\"banners\"],\n[href*=\"hirdetesek\"]",".etarget",".facebook-layer-box","#content-container > div > a:not([class*=\"MailListItem-\"]),\n[class*=\"magnum\"]","[class^=\"container-\"][class*=\"adZone\"]",".grey-popup-layer","#background_ad_top","#right > .xabrew300.box",".partners",".spleft,\n.spright","[class$=\"responsive-300px-600px\"],\na[onclick*=\"/muvelet/hozzaferes/kapcsolodas.php?id=\"],\nbody > style,\ndiv:has(> h4 + div[style*=\"calc\"])","#thanks > .hlist.nohead,\n.xabrecontainer,\na[onclick*=\"$.ajax\"],\ndiv#center:has(div > div > p > a[style=\"color: #b42223;\"]),\ndiv[class*=\"xabre-responsive\"]:not([class*=\"-980px-139px\"])",".roadblockcont",".act_hun,\n.adt_hun","#qc-cmp2-container,\n[id^=\"ibb-\"][class*=\"banner\"]",".leavingPopupLayer","#partnerek","[id^=\"zone\"]",".ad",".box-wrapper > .box-actual-magazine + .box-html","#adryf,\n.rltdwidget,\n[href^=\"https://www.webminute.hu\"],\n[id*=\"aswift\"],\ndiv.reklam_jobbra,\ndiv[style*=\"text-align\"]:has(> a > img),\ntd.txtcenter:has(> script + ins),\ntd[style=\"width: 10px;\"]:empty","#cookiekezeles","#banner,\nDIV[class*=\"Advert\"]","[class*=\"contentBanner\"]",".accept-cookies","div[id^=\"jqueryFloating\"]","#cookie_bar,\n#infobar","#banner2016kormanyhu,\n[id*=\"banner_1_29_\"]",".catch-click",".banner-widget-container",".mc-modal:has(iframe),\n[class^=\"moove-gdpr-\"],\n[id^=\"um-\"]:has(.fb-page.fb_iframe_widget)",".Ad,\n[id*=\"Ad_\"]",".Clear,\nDIV[id*=\"AdContainer\"]","#top > .p-0.container","#ajanlo_box_ah,\n#lightwindow_overlay","#player,\n#superbox",".szkozepkis","#kapubanner,\n[id*=\"_ads\"],\n[id^=\"cookieconsent\"]",".box_remote,\n.fbcont2,\n.fbfollow,\n.fbshare,\n.h-sideboard_2,\n.kalkulator","[id*=\"hirdet\"]","#cookiewarnbar","#nyeremenyModal,\n[class=\"modal-backdrop fade show\"],\n[id*=\"popup\"],\ndiv.row:has(> div.ads)",".hover_bkgr_fricc:has(.facebookPopupCloseButton),\nDIV[id*=\"Banner\"],\nDIV[id*=\"zone-wallbanner-header\"]","#gyuri1,\n#gyuri2","[class*=\"billboard\"]","#cookieAlertBox,\n.banner_container,\n.banner_widget,\n.frame:has(> span[style^=\"font-size: 11px;\"]),\n.sy-box","[class*=\"-ad-container\"]","P[class*=\"banner\"]","[id^=\"advert\"]","DIV[class*=\"banner\"]","DIV[class=\"module noheading\"],\nEMBED","#tetszett","[data-adblockonly]","#cucc,\n#layerbanner","#custom_html-3","#euro-event,\n#league-selector + .row + .row:has(.banner),\n#sponsors,\n.gdpr-cookie-notice","[class*=\"_ad\"]","#lebegodoboz,\n#szupertorony,\n[id*=\"-reklam\"],\n[id*=\"fancybox\"],\n[id^=\"hirdetes_jobb\"] + div,\n[id^=\"hirdetes_jobb_2\"] + div + div,\n[id^=\"szuperbanner_\"]","[id^=\"hirdetes\"]","#webpushSelctorFormId,\n.adcaption,\n.article-menu.panelgap,\n.article-otherelements-container content,\n.articlebox.clear.sidebar-ajanlat,\n.block-ms-box2,\n.cimlap-ajanlat.elem-1180.cimlap-grid-elem,\n.hosting,\n.hvg_push,\n.jobline-palyakezdo-feed,\n.selectWidget,\n.support-stripe,\n[class*=\"adtype-\"],\n[class=\"articleitem clear smallimage imgleft\"],\n[class=\"site-scarab-bottom open\"]","[class*=\"adsense\"]","[id*=\"-ad-\"]",".parallax_bottom,\n.parallax_top","DIV[class*=\"ad_\"]","#announcement,\n#cikktoolbaradomany,\n#cookiealert,\n#sidebar > table,\n.cikkszovegaction,\n.cikkszovegakcio,\n.kommentadomany,\nDIV[id*=\"hirdetes\"],\nbody > div > a[target=\"_blank\"]","[class*=\"hird-\"],\n[class*=\"hird_\"],\na[data-bs-content*=\"(hirdetés)\"]",".banner",".article-cards-inlist-ad,\n.article-text > p,\n.footer-banner-row,\n.iho-adzone,\n.social-icon","[class*=\" ad\"]",".topAdv",".shopline-box,\n.travelo-box",".cikk-vegi-ajanlo-reklamok-container","[class*=\"ad-container\"]","#ad_null_position,\n#also_bannerek,\n#index_shopline","#ot2015,\n#rightcoltd,\n#site_header","#main div[class*=\"banner\"],\n#sidebar > div[class*=\"banner\"],\ndiv.read div[class*=\"banner\"]","#_ao-cmp-ui,\n#sitemodal:has(.fb-button),\n.am_targetvideo_container,\ndiv[data-qa=\"oil-Layer\"]",".notification-popup","#bottompopup","#leftPoszter-section,\n#salePoszter,\n.home-section-banner,\n.u-hide\\@mobile.flag-wrapper--fill.flag-wrapper.grid-col-lg-1-4.grid-col-md-1-2.grid-col-1.article-list__item","div[class=\"tl-state-root tve-leads-ribbon tve-trigger-hide tve-tl-anim tve-leads-track-ribbon-1 tl-anim-slide_top tve-leads-triggered\"]","#cookie-law-info-again","#roadblock-adcum-zone,\n[style*=\"text-align: center;\"]:has(> .adverticum-label + a)","#joylike,\n[class*=\"Adverticum\"],\n[class^=\"adIn\"],\n[class^=\"adPlace\"]","#cookie_container","[data*=\"banner\"]","#header","#cookieSpan,\ndiv.bottom_sticky_banner","#check-also-box,\n#fejlec-hirdetes,\n[id^=\"cikken-beluli-hirdetes-\"]","#cookie-consent-dialog","#above_article_banner,\n#advertisements,\n#below_content_banner,\n#left_banners,\n#right_banners,\n#social,\n#wide_banners,\n.article_banner,\ndiv.subscribe_module,\ndiv[class=\"fb-like fb_iframe_widget\"]",".cookies-message-container","#cookieAcceptanceContainer","[id*=\"advert\"]","#nap_ajanlata,\n.tamogatott,\n.vippr,\nDIV[id*=\"billboard\"],\nDIV[id*=\"linkbox\"],\n[class*=\"banner-\"],\n[class*=\"offer prbox\"],\n[class*=\"pr--\"],\n[class^=\"pr-\"],\n[class^=\"prbox\"],\ndiv.endless-shared-area",".qc-cmp2-container","#vshu-box,\n.integralt_felso_zona,\n.recommendationzone,\n[id*=\"adsense\"]","div[class*=\"banner\"]","div:has(> a + h6)",".kapu,\n.mini_slider_div0","[class*=\"Banner\"]","div.accept-cookies","[name*=\"banner\"]",".adbg",".category > #prodstop1,\n.single-post > #prodstop1","#current_promotions_block,\n#skin-left,\n#skin-right,\n.box-general.clearfix,\n.discount.clearfix.nonLpk,\n.fullwidth.current_promotions_block","#beuszoAjanlo,\n#cikkalatti,\n#floating-recommendation,\n#mc-holder,\n#ovasar,\n#pr-box,\n#right-ecom,\n#top,\n.col-visible-xl.r-side.col-xl-4,\n.email-under-article,\n.frip-inline:has([data-module-name=\"inline-article\"]),\n.hird300,\n.kiskepes,\n.magnum,\n.panorama-wrapper,\n.pr-item,\n.spar,\n.szoveges,\n[data-module-name=\"hirlevel\"],\n[data-module-name=\"ingatlanbazar\"],\n[data-module-name=\"koponyeg\"],\n[data-module-name=\"videa\"],\n[id^=\"szponz-\"],\n[size=\"300x600\"],\ndiv[class$=\"widget\"]","#ac",".newsletter-layer,\ndiv.article-recommendation-zones","#accept-cookie","#page-top","div.lol:has(> a[onclick=\"getValue()\"]),\ndiv.widget:has(> div.textwidget > p > script)",".cikkhirdetes,\n.sticky1hirdet","[class*=\"adserver\"]","[class*=\"-ad\"]","#navi_btm + div,\nimg[src^=\"https://logout.hu/muvelet/hozzaferes/kapcsolodas.php\"]",".nobanner,\n[class^=\"banner_\"],\n[id^=\"banner_\"]","#exposeMask","#page_PopupContainer",".goAds,\n.visible-lg.container,\ndiv[class=\"container-full\"][style=\"background:#fff\"]:has(.topadv)","#eucookielaw,\n.ad-magnum,\n.ad-verticalfull,\n[class*=\"simpleads\"]","#block-block-12,\n#block-block-19,\ndiv.gdprBoxContainer,\ndiv.promo-bar",".bannerContent",".modal[role=\"dialog\"],\napp-calendar,\napp-facebook-popup,\napp-newsletter-popup","[class*=\"articleBanner\"]","#cboxOverlay,\n#colorbox","#cookie-msg","#floatingBox,\n.ui-floating-message,\n.wsp-wrap,\n[class*=\"tBanner\"]",".banner_row,\n.proposer,\n.read_vs,\n.rightbanner",".cookie-bar,\n.mrc-bnr-plchldr,\n.popup-wrap,\n[class^=\"banner\"]",".sticky",".article-textlinkbox","#ad-image-big,\n#fadeandscale,\n#portfolioEzekIsErdekelhetnek,\n#recipeAndRelateds > h2.noprint,\n#sidebar_ads_box_2,\n.billboard-cikk,\n.hir-fekvo,\nDIV[class=\"billboard fr\"],\nDIV[class=\"fej-elso-sor cf\"],\nDIV[id*=\"-ad-\"],\n[class*=\"ads_box\"]",".allow-cookie-stripe","#app-advice,\n#app-commission,\n.x-marketing",".cim-reklam,\n.widget_text.widget.widget_custom_html",".om-holder","[class*=\"box ajanlo\"],\n[id*=\"ctnet\"]",".adbox","#sticky,\n.b336","[align=\"center\"] > a[href*=\"banner\"],\n[class^=\"ui-dialog\"]",".fb-page-cont,\n.topHorizontalBanner,\n[src^=\"/public/img/efi/\"]","#mobilinstruments,\n#stickyfooter,\n.cikkajanlo,\n.totalcar,\n[id*=\"billboard\"],\na[href^=\"https://bit.ly/\"]","#custom_html-4,\n#primary-sidebar,\n.right","#sidebar",".banner-bottom",".ckwrap,\n.list-item.has-banner",".code-block:has(> div + ins.adsbygoogle + script)","#didyou,\n#wallpaper_left,\n#wallpaper_right,\n.bet365_connect,\n[class*=\"_szponzor_\"]","[class^=\"ad_\"]","[class*=\"adlabel\"],\n[class*=\"leftlogo\"],\n[id*=\"adserver\"]","div#show_news_box,\ndiv.cookie-message","#tab-widget",".m-fbPopup",".m-breakingLayer:has(a[href*=\"nlc.hu/balkonfanatik\"]),\n.m-pcPromoArticlePointsLayer,\n.m-pcPromoFooterLayer,\n.rubAd,\ndiv.m-articleStickySocial,\ndiv.m-breakingLayer","[data-placeholder-caption=\"hirdetés\"]",".noprint,\nDIV[class*=\"ad-container\"]","#cookie-consent",".colorbox-cookiepolicy","#datasheetNavHelp","#slidebox,\n.highlighted-banner","#detect + .wrapper","[class*=\"ad-warning\"],\n[class=\"ad-blocked\"],\n[class=\"p-t-10 ad-blocked\"]",".col-xl-8 + aside.col-xl-4.col-visible-xl,\n.mw-allow-notification-dialog,\napp-article-page app-sidebar app-free-display-inventory,\napp-sport-article-page app-sidebar app-free-display-inventory,\nkesma-advertisement-adocean,\nsection.spar","div.facebook-layer-box","[class^=\"ad\"]","#zone-halfpage,\n#zone-roaddblock,\n.centercol.sponsor","#zone-titleheader",".slidein.popup.closeablenotification.scripted,\n.zone[data-zoneid]","#cookieconsentbar,\n#subscribepopuppanelalign",".banner-content,\na[href*=\"banner_click\"]","#kutu","#recommend,\n.frame-center,\n[class^=\"f10\"],\n[class^=\"grbox\"]","[class^=\"ads-\"]",".justClassBanner","#cikkertesito-reg-form,\n.banner.clearfix,\n.inner","#pushpushgo-container,\n.ad-container,\n.ph-flexi-box-wrap,\n.ui-dialog[aria-describedby=\"newsletter-modal\"],\n.ui-widget-overlay.ui-front,\n[aria-describedby=\"dialog-welcome\"],\n[class*=\"adbreak\"],\n[class*=\"c_banner\"],\n[class*=\"placeholder\"],\n[class=\"ph ph-responsive-wrap\"],\n[data-analytics-value]","#popup",".articleMetadata,\n.container.css-table > div:not(.container),\n.edgebox-widget.show,\n.introjs-helperLayer,\n.introjs-overlay,\n.introjs-tooltip,\n.port-adbd,\n[class*=\"_spon\"],\n[class=\"advert fix-advert\"]","#BlockCikkajanlo,\n#mymodal2,\n.footer--partners,\nDIV[id*=\"adocean\"],\n[data-qa=\"oil-Layer\"],\n[data-qa=\"oil-full\"]",".lead_alatti_txt,\n.mfor_cikk_beuszo,\n.news-page > div[style*=\"background: #FFF900;\"]:first-child","#newsletter_footer,\n#twister-banner,\n.cookie-layer","#fb_like_modal",".popup","#top > div:first-child",".banner__ad","[class*=\"banner \"],\n[id^=\"overlay\"]","[aria-describedby=\"newsletter-modal\"],\n[class*=\"adv--\"]","#wallpaper,\n.wallpaper-link","#psCookieNotification,\ndiv.ad-sm-text","#cookieconsent",".adblock-confirm,\n.newsletter-modal",".std0,\nIMG[src=\"images/hirdetes.gif\"]","#gdprCookieWrap,\n[class*=\"AdWrap\"],\n[id*=\"AdWrap\"]","#enableCookieDiv","[id*=\"ctnet_ad_\"],\ndiv[class*=\"ad \"]","#fhr-cookie-bar,\n#fragment,\n[class*=\"-ad-\"]","#text-9,\ndiv.sprtrvs-ad,\ndiv.tt-shortcode-1,\ndiv.tt-shortcode-2","#menusimple2 + div,\ndiv[style=\"width:100%;height:14px;text-align:left;font-size:9px;letter-spacing:3px;color:#5F5F5F;border-bottom:1px solid #CCC;margin: 10px 0 5px 0;\"],\nscript[async] + [data-widget-id]","#push-notification,\n.kezdo-kereso,\n[box-name=\"Hirdetés\"],\n[class*=\"Adv\"],\n[class*=\"peelgame\"],\n[class^=\"adact\"],\n[class^=\"adx_\"],\n[id*=\"Advert\"],\n[id*=\"peelgame\"],\ndiv.container.banner-container.left,\ndiv.container.banner-container.right,\ndiv.container.banner-container.wide > *","#google-display","[src*=\"hirdetes_\"]",".cikk-hir,\n[class*=\"googlebox\"],\ndiv[class*=\"adserver\"],\ndiv[id*=\"kirakat\"],\ndiv[id*=\"rightad\"]","[class=\"wp-container wp-top\"]","div.fb_shares",".modal_popup","[src^=\"/uploads/images/banners/\"]",".active.popup-screen,\n.popup-box,\n.stream-item,\n[id^=\"stream-item-\"],\n[id^=\"tie-block\"]:has(.stream-title)",".rightContent + [style]","#cookie-policy-bar,\n#hatterkep,\n#rovatpromo,\n.adslabel,\n[class^=\"ads_\"],\n[class^=\"ads_\"] + .clear,\niframe[class*=\"my-fbrecommend\"]","#ecom_pr,\n.ad-wrap-100,\n.jobb_300","#magnum","[class*=\"google-cikk\"]","[style=\"height: 250px\"]","#app-cookie-policy","#modal--umbrella,\n.recommendation.recommendation--out,\n.recommendation.recommendation--pr,\n.title-section__sponsored","div.banner",".kiemelttartalombox_feher","div[id*=\"hirdetes\"]",".border-top.p-4.bg-8.cookie-alert__inner",".spu-bg,\n.spu-box,\n[style=\"margin: 8px 0; clear: both;\"]","[id*=\"_bnr\"]",".sgpb-theme-3-overlay.sgpb-popup-overlay-1402.sgpb-popup-overlay,\nimg[class*=\"sgpb-\"]",".cross-site-programmatic-zones",".cikk-torzs-content-container > .kep_szeles.kep,\n.hasznaltautok-iframe-cikk-torzs,\n.header-tk-ajanlo,\n.joautok-iframe-cikk-torzs,\n.microsite,\n.szelso-jobb-lead_container,\n.totalkarWidget,\n[class*=\"adblokk\"]","#ads,\n[id*=\"adocean\"]",".ooono_promo","div.qc-cmp-ui-container",".adsense","#popunder_featured,\n.banner_box",".leftSide > .bnr,\n.rightSide > .bnr,\n.row:has(.mainTopBnr)","#blanket,\n#popUpDiv",".hird-cont",".banner-commercial,\n.reklamnagy",".page-rightside-advert,\ndiv[id*=\"advert-container\"]","[class*=\"szovegkozi\"],\n[id*=\"reklam_\"]",".adszoveg,\n[class*=\"ad_container\"],\n[class*=\"guestbox\"],\ndiv[class*=\"microsite\"],\ndiv[id*=\"microsite\"]","#backdrop,\n#best-cars-layer,\n#beta-message-invite,\n.centerHead,\n[class*=\"Etarget\"],\n[class*=\"Hirdetes\"],\n[class*=\"advert \"],\n[class*=\"szponzor\"]","[style^=\"bottom: 0px; left: 0px; position: fixed; width:\"],\ndiv[class*=\"-ad\"],\ndiv[class*=\"hird-\"],\ndiv[class*=\"hirdetes\"],\ndiv[class=\"fej_felett cf\"],\ndiv[id*=\"etarget\"]","#sitemessage",".top-video-container-banner","div[id*=\"Banner\"]","[class^=\"adv\"]","[style=\"z-index: 999999; background: rgba(0, 0, 0, 0.901961); display: block;\"]",".no_banner",".footprint_cookie","[id*=\"_ajanlatunk_\"],\ndiv.floating_share","[id*=\"AdFrame\"]","[class=\"wc_content wc_contentwide\"],\n[id*=\"AdZone\"]","div.penci-wrap-gprd-law,\ndiv.sgpb-popup-dialog-main-div-theme-wrapper-1,\ndiv.sgpb-popup-overlay-42657,\ndiv.sgpb-popup-overlay-42658","[id*=\"sense-\"]","#advert",".logopic2 + .fll,\n.overlay,\n.pupopadbox,\n[class=\"cikkbanner hirdbox mh40 listafriss\"],\n[style=\"margin-left:auto;margin-right:auto;width:980px;text-align:center\"]","#sidebad,\n#spu-main,\n#text-html-widget-6,\n[class*=\"PostAd\"],\n[class=\"e3lan e3lan-top\"],\n[id*=\"-bg\"]",".Cookie--bottom,\ndiv[id^=\"ga_g\"]","[href^=\"https://rosszlanyok.hu/\"],\n[style]:has(.adslot_1)","#adserving-tag-hb,\n#pa_sticky_ad_box_middle_left,\niframe[id^=\"postbid_if_\"]",".hover_bkgr_fricc","#RedUserNotification","#zadost,\n.cookies",".wrapper > .slider",".widget.widget_text",".back","#article > section > div:not(.article_content)","#st-2,\n.cookie-consent,\ndiv[id*=\"banner\"]","#Promolecek,\n.header-1,\n[class*=\"Reklam\"],\ndiv[id*=\"Reklam\"],\ndiv[id*=\"anner\"]",".myftp-widget,\n[id^=\"fancybox-\"],\n[id^=\"myftp\"]"];

const hostnamesMap = new Map([["trollfesz.cc",[0,1]],["privatbankar.hu",[0,355]],["harmonikum.co",2],["carstyling.com",3],["cfusionsys.com",4],["dictzone.com",5],["eredmenyek.com",6],["gumiszoba.com",7],["hazipatika.com",[8,9,10,11]],["delmagyar.hu",[8,33,75,77,88,138,139]],["kisalfold.hu",[8,17,77,88,138,268,269]],["mindenkilapja.hu",8],["sg.hu",[8,367]],["mobilarena.hu",[10,173,174,183,185,186,313]],["24.hu",[11,48,49]],["hosszupuskasub.com",12],["humormagazin.com",13],["hungliaonline.com",[14,15]],["vilagunk.hu",[15,418]],["hu.ign.com",16],["ingatlan.com",17],["data.hu",[17,136]],["harmonet.hu",[17,77,209]],["klubradio.hu",17],["portfolio.hu",[17,252,354]],["ingatlanmagazin.com",18],["revizoronline.com",[18,33]],["444.hu",[18,50]],["autopro.hu",[18,79,80]],["bitport.hu",[18,33,95]],["blogstar.hu",[18,108]],["dimo.hu",18],["donna.hu",[18,33]],["epresso.hu",18],["eropolis.hu",18],["es.hu",[18,33,162]],["est.hu",[18,164]],["femina.hu",[18,34,77,169]],["figyelo.hu",[18,104]],["galamus.hu",18],["gondola.hu",[18,33,191]],["gportal.hu",18],["gyoricegregiszter.hu",18],["gyorplusz.hu",[18,135]],["hir6.hu",18],["hirstart.hu",[18,77]],["hrportal.hu",[18,64,228]],["ingatlanok.hu",18],["intima.hu",18],["jogiforum.hu",18],["kalohirek.hu",[18,33,259]],["kamaszpanasz.hu",[18,260,261]],["kapos.hu",18],["kaposvarmost.hu",18],["komment.hu",[18,33,77]],["lifemagazin.hu",[18,33,285]],["lovebox.hu",18],["magyarhirlap.hu",[18,33,183,295]],["mainap.hu",18],["mfor.hu",[18,306]],["mixonline.hu",18],["mmonline.hu",18],["mno.hu",[18,104,105,151,312]],["moly.hu",[18,314]],["napi.hu",[18,33,77,145,317]],["napiszar.hu",18],["nemzetisport.hu",[18,33,155,243,308,323,324]],["nice.hu",[18,326]],["noinetcafe.hu",18],["noplaza.hu",18],["novagyok.hu",[18,33]],["nyest.hu",[18,332]],["origo.hu",[18,33,75,283,338,339]],["partyponty.hu",[18,33]],["prim.hu",18],["retikul.hu",[18,364]],["ricsajok.hu",18],["sporthirado.hu",[18,33]],["szoftverbazis.hu",[18,282,385,386]],["tech.hu",[18,33]],["valasz.hu",18],["vidget.hu",18],["weborvos.hu",[18,231]],["wellnesscafe.hu",[18,105,423]],["kronika.ro",18],["sportoldal.ro",18],["szatmar.ro",[18,439]],["deres.tv",18],["karpathir.com",19],["kekfeny.com",20],["ketkes.com",21],["magyarszo.com",[22,23]],["napinemszar.hu",[23,319]],["najlepsie-clanky.com",[24,25]],["5percblog.hu",[24,51]],["napiszar.com",26],["napiuzlet.com",27],["nemkutya.com",[28,29]],["joy.hu",[28,258]],["paleomedicina.com",30],["pannonrtv.com",[31,32]],["elemzeskozpont.hu",31],["femcafe.hu",[31,77,129,168]],["pdafanclub.com",33],["bacsmegye.hu",[33,87]],["betegvagyok.hu",33],["bien.hu",[33,46,77,94]],["divany.hu",[33,77,142,143,144,145,146,147]],["duen.hu",33],["egeszsegkalauz.hu",[33,99,102,153,154]],["eletmod.hu",[33,34,77,159,160]],["eron.hu",33],["geeks.hu",33],["hajdupress.hu",[33,77,203]],["hirposta.hu",33],["index.hu",[33,77,143,146,245,246,247,248]],["ipon.hu",[33,254]],["kezilabda.hu",33],["kiskegyed.hu",[33,56,99,154,190,270]],["kreativ.hu",[33,275,276]],["life.hu",[33,75,106,177,281,282,283,284]],["multiplay.hu",33],["pirulapatika.hu",33],["revizoronline.hu",33],["romnet.hu",[33,77,144]],["startlap.hu",[33,235,374]],["stylemagazin.hu",[33,378]],["trademagazin.hu",33],["velvet.hu",[33,77,145,146,245,247,400,411]],["kakukk.ro",33],["svedasztal.com",[34,35]],["autonavigator.hu",[34,75,76,77,78]],["szervuszausztria.hu",[34,35]],["ecoline.hu",[35,149]],["teltlanyok.com",36],["5mp.eu",37],["autobazar.eu",38],["eudomain.eu",39],["netbulvar.eu",40],["tarhely.eu",41],["utajovobe.eu",42],["hu",[43,44]],["liked.hu",[44,287]],["112press.hu",45],["168.hu",[46,47]],["player.hu",[46,125,351]],["twice.hu",46],["hiros.hu",[48,220]],["777blog.hu",52],["ado.hu",53],["adoforum.hu",54],["adozona.hu",[55,56]],["eduline.hu",[56,75,149,151,152]],["agrarszektor.hu",[57,58,59]],["hellovidek.hu",[57,213]],["infostart.hu",[57,59,251,252]],["penzcentrum.hu",[57,347]],["agroinform.hu",60],["alapjarat.hu",61],["alfahir.hu",62],["alza.hu",63],["americantourister.hu",[64,65]],["raketa.hu",[64,362]],["androgeek.hu",66],["angol-magyar-szotar.hu",67],["aranyoldalak.hu",[68,69]],["telefonkonyv.hu",69],["arukereso.hu",70],["atlatszo.hu",71],["atv.hu",72],["automotor.hu",[73,74]],["budapestkornyeke.hu",[74,117,118,119,120]],["blog.hu",[75,103,104,105,106]],["hasznaltauto.hu",[75,78,210]],["olcsobbat.hu",[75,144,334]],["cegbongeszo.hu",[77,105,123]],["hajokonyha.hu",77],["heol.hu",[77,88]],["hwsw.hu",[77,138,239]],["itmania.hu",[77,159]],["kitekinto.hu",[77,92,144]],["koponyeg.hu",[77,235,271,272]],["ma.hu",[77,159,160,277]],["motorrevu.hu",77],["noitema.hu",77],["onlinecegjegyzek.hu",77],["sonline.hu",[77,88,370]],["storyonline.hu",[77,377]],["szabadfold.hu",[77,379]],["szoljon.hu",[77,88,387]],["totalcar.hu",[77,146,147,245,246,398,399,400]],["travelo.hu",[77,339,402]],["vezess.hu",[77,105,328,412]],["offline.hu",[79,167]],["telekom.hu",[79,389]],["autosjog.hu",[81,82]],["helyitipp.hu",[82,214]],["napjainkportal.hu",[82,322]],["autoszektor.hu",83],["azonnali.hu",84],["babanet.hu",[85,86]],["szepsegbroker.hu",[85,352,383]],["bama.hu",88],["baon.hu",[88,90]],["beol.hu",[88,93]],["boon.hu",88],["duol.hu",88],["feol.hu",88],["haon.hu",[88,105,206,207]],["kemma.hu",88],["nool.hu",88],["szon.hu",88],["teol.hu",88],["vaol.hu",88],["veol.hu",88],["zaol.hu",88],["bankmonitor.hu",89],["bebiztositva.hu",[91,92]],["bkv.hu",[96,97]],["mandiner.hu",[97,112,298]],["blikk.hu",[98,99,100]],["glamour.hu",[99,100,154,189,190]],["blikkruzs.blikk.hu",[101,102]],["freemail.hu",[104,176,177,178]],["mon.hu",[105,206]],["metazin.hu",106],["blogspot.hu",107],["tudtade.blogstar.hu",109],["bonuszbrigad.hu",110],["bookline.hu",111],["borsonline.hu",[112,113,114]],["iho.hu",[114,241,242]],["magyarnemzet.hu",[114,296]],["ripost.hu",[114,365]],["vg.hu",[114,413]],["bpiautosok.hu",[115,116]],["pestisracok.hu",[116,348]],["likenews.hu",[118,119]],["starity.hu",[118,373]],["kekvillogo.hu",[119,120]],["budapestpark.hu",121],["cartourmagazin.hu",122],["ceginformacio.hu",124],["civishir.hu",[125,126]],["computerworld.hu",[127,128]],["gamestar.hu",[127,128]],["pcworld.hu",[127,128]],["puliwood.hu",[127,128]],["gsplus.hu",[128,193,194]],["pcwplus.hu",[128,193,194]],["csaladinet.hu",[129,130]],["csongradihirek.hu",131],["csupasport.hu",[132,133]],["mindmegette.hu",[132,307,308]],["cyberpress.hu",[134,135]],["itthonrolhaza.hu",[135,256]],["dehir.hu",137],["demokrata.hu",140],["dijnet.hu",141],["linkcenter.hu",[144,288]],["transindex.ro",[144,243,275,440]],["totalbike.hu",[146,147,398]],["e-cars.hu",148],["magyarnarancs.hu",149],["economx.hu",150],["sportorvos.hu",[151,372]],["egeszsegtukor.hu",155],["vehir.hu",[155,324,410]],["elelmiszer.hu",156],["elemi.hu",[157,158]],["topark.hu",[157,397]],["epiteszforum.hu",161],["gyakorikerdesek.hu",[162,195,196]],["esport1.hu",163],["evamagazin.hu",165],["f1vilag.hu",[166,167]],["forbes.hu",[167,171]],["filmoldal.hu",170],["fototrend.hu",[172,173,174]],["gamepod.hu",[173,174,182,183,184,185,186]],["hardverapro.hu",[173,174,184,185,208]],["itcafe.hu",[173,174,183,184,185,186]],["prohardver.hu",[173,174,183,184,185,186,359]],["logout.hu",[174,183,184,185,186,290]],["fovarosi-hirhatar.hu",175],["zene.hu",176],["unilife.hu",[177,282]],["accounts.freemail.hu",179],["fressnapf.hu",180],["gamekapocs.hu",181],["gentleman.hu",187],["gepigeny.hu",188],["gphirek.hu",192],["nepszava.hu",[193,224,325]],["hoxa.hu",[196,227]],["gyaloglo.hu",197],["gyartastrend.hu",[198,199,200]],["pharmaonline.hu",[198,349]],["medicalonline.hu",[199,302]],["gyorihir.hu",201],["gyulaihirlap.hu",202],["hang.hu",[204,205]],["magyarhang.org",205],["hatarido-szamitas.hu",211],["haziallat.hu",212],["hestore.hu",215],["hetek.hu",216],["hirado.hu",217],["hircsarda.hu",218],["hirextra.hu",219],["indavideo.hu",[219,244]],["hirtv.hu",221],["hoc.hu",222],["hogyankell.hu",223],["holtankoljak.hu",[224,225]],["kapcsolat.hu",224],["hotdog.hu",226],["huaweiblog.hu",229],["mlzphoto.hu",[229,310]],["napidroid.hu",[229,318]],["hunbasket.hu",230],["kosarsport.hu",230],["hunhir.hu",231],["hupont.hu",[232,233]],["webbeteg.hu",[233,272,421]],["hvg.hu",[234,235,236]],["vilagszam.hu",[236,417]],["m.hvg.hu",237],["hvo.hu",238],["idokep.hu",240],["ize.hu",241],["napiszex.hu",[241,320,321]],["promotions.hu",[241,360]],["sztarklikk.hu",241],["tvgo.hu",241],["ncore.pro",241],["ilovebalaton.hu",243],["forum.index.hu",249],["infoajka.hu",250],["infobekescsaba.hu",250],["infocegled.hu",250],["infocelldomolk.hu",250],["infodebrecen.hu",250],["infodombovar.hu",250],["infodunaujvaros.hu",250],["infoesztergom.hu",250],["infofehervar.hu",250],["infogyor.hu",250],["infohodmezovasarhely.hu",250],["infokarcag.hu",250],["infokeszthely.hu",250],["infokiskunfelegyhaza.hu",250],["infomiskolc.hu",250],["infomovar.hu",250],["infonograd.hu",250],["infopapa.hu",250],["inforabakoz.hu",250],["infosarvar.hu",250],["infosopron.hu",250],["infoszentendre.hu",250],["infoszigetkoz.hu",250],["infoszombathely.hu",250],["infotamasi.hu",250],["infotatabanya.hu",250],["infoveszprem.hu",250],["infozalaegerszeg.hu",250],["internet-marketing.hu",253],["ite.hu",255],["jofogas.hu",257],["mozinezo.hu",261],["muhelynet.hu",[261,292]],["kapu.hu",262],["kecskemet365.hu",263],["kektura.hu",264],["keol.hu",265],["kfc.hu",266],["kh.hu",267],["gloria.tv",268],["koroshircentrum.hu",273],["kossuth.hu",274],["marmalade.hu",275],["nol.hu",[275,331]],["turizmusonline.hu",275],["kulturpart.hu",277],["lakberendezes.hu",278],["leet.hu",279],["libri.hu",280],["ok.hu",284],["reblog.hu",284],["videa.hu",[284,414,415]],["lifestory.hu",286],["litera.hu",289],["superiorhirek.hu",289],["love.hu",291],["lumenet.hu",[292,293]],["mafab.hu",294],["magyarorszagom.hu",297],["manus.hu",299],["mavcsoport.hu",300],["sorozataddict.hu",300],["mediacenter.hu",301],["menetrendek.hu",303],["merce.hu",304],["meska.hu",305],["mkbnetbankar.hu",309],["mme.hu",311],["mozishop.hu",311],["mult-kor.hu",315],["myonlineradio.hu",316],["telex.hu",[320,390]],["nkmenergia.hu",327],["nlc.hu",[328,329]],["noizz.hu",330],["webforditas.hu",[332,422]],["obi.hu",333],["onroad.hu",335],["onvideo.hu",336],["oprend.hu",337],["otvenentul.hu",340],["hir.ma",[340,428]],["pcforum.hu",[341,342,343,344]],["prog.hu",[341,342,344,358]],["pcguru.hu",345],["pecsma.hu",346],["piacesprofit.hu",350],["politaktika.hu",352],["hu.jooble.org",[352,437]],["port.hu",353],["profession.hu",356],["profitline.hu",357],["propeller.hu",[358,361]],["rendszerigeny.hu",363],["rtl.hu",366],["sielok.hu",368],["simple.hu",369],["sorozatwiki.hu",371],["kereso.startlap.hu",375],["stop.hu",376],["szamoldki.hu",380],["szeged.hu",381],["szeged365.hu",382],["szeretlekmagyarorszag.hu",384],["sztaki.hu",386],["telefonguru.hu",388],["terhesferfi.hu",391],["termalfurdo.hu",392],["terminal.hu",393],["thaimatrac.hu",394],["titkokszigete.hu",395],["tlap.hu",396],["traffihunter.hu",401],["turmixvilag.hu",403],["twn.hu",404],["ugytudjuk.hu",405],["usernet.hu",406],["valaszonline.hu",407],["vasarnap.hu",408],["vatera.hu",409],["videaloop.hu",415],["videoklinika.hu",416],["vilagszammagazin.hu",417],["vs.hu",419],["wasabi.hu",420],["widescreen.hu",424],["wikiszotar.hu",425],["feliratok.info",426],["kuruc.info",427],["szekelyfold.ma",429],["filmvilag.me",430],["mozinet.me",431],["online-filmek.me",432],["androbit.net",433],["calculat.org",434],["feliratok.org",435],["hogyan.org",436],["maszol.ro",438],["nepszava.us",441]]);

const entitiesMap = new Map(undefined);

const exceptionsMap = new Map(undefined);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
