/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: idn-0

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = [".popbox",".kln","#popup_bawah,\n#popup_box,\n[href=\"https://tinyurl.com/anoboyvip\"]","[href^=\"https://bit.ly/\"]","[href=\"https://klik.gg/anoboy\"],\n[href=\"https://klik.gg/anoboyvip\"]","#floating_banner_top1",".inner-floatbanner-bottom","#headads","#ptbanner","#top-banner",".loaded.ads-50","#ads","#le_header_ads","#ouibounce-modal","#sgpb-popup-dialog-main-div-wrapper",".sgpb-popup-overlay","#teaser3",".ads",".floating__footer,\n[href^=\"https://tinyurl.com/\"]","#playerOverplay,\n[href^=\"https://s.id/\"]","#fbanner,\n#fbbanner,\n#pbanner","#hbanner","[href^=\"https://yukclick.me/dunia21\"]","#teaser1","#teaser2","#floating_bot","#floatbottom,\na[href][target=\"_blank\"] > img[src$=\".gif\"]","#floatcenter",".adsrow",".lepopup-popup-container,\n.lepopup-popup-overlay",".lepopup-popup-loader","img[alt=\"Advertisement\"]",".banner-float-bottom-2.banner-float-bottom","#repop","#floating_bot.btm_ban",".box_item_berlangganan_popup","a[href^=\"https://cek.to/\"]",".mfp-inline-holder.mfp-s-ready.mfp-container",".mfp-ready.mfp-with-zoom.mfp-no-margins.mfp-img-mobile.mfp-bg",".lazyloaded.loaded.ads-50","#overplay",".sgpb-popup-dialog-main-div-wrapper","#floattop,\n#top6",".banner-img",".lazyloaded.ads-50","#btm_bannerMobile","a[href^=\"http://bit.ly/\"]","a[href^=\"https://goo.gl/\"]","#semprotpokemon_3,\n#semprotpokemon_4",".lazyloaded.ls-is-cached.bannerdua,\n.lazyloaded.ls-is-cached.bannersatu","#KD_adpB,\n.krucil_ads",".banner-float-bottom","#fixedban","#iklantengah1","#tutupen,\n[href=\"https://bit.ly/idx-xx\"]",".headbanner","#floatbanner-bottom",".ban_empat","div[id^=\"floating_banner_bottom\"]","#advertisement","#overlay",".sgpb-popup-overlay.sgpb-popup-overlay-19287.sgpb-theme-1-overlay",".underlay","#iklap,\n#iklhead,\n#jwp_gmn_adss","#promoContainer",".blocker.jquery-modal",".jwseed",".kln.mlb.blox",".wp-image-80765.size-full.alignnone",".banner-left,\n.banner-right",".separator > a[imageanchor=\"1\"],\n[id^=\"ftads\"]","#kayan_reklam_sag,\n#kayan_reklam_sol",".contentlist","[href^=\"https://manjur.id/search.php\"]",".td-header-rec-wrap",".sg-popup-content","#middle-banner","div[class^=\"adsgen\"],\ndiv[class^=\"mobileads\"]",".lmd-iklan","#popup_content","#tengah > span",".imgbanner","#floating_banner_left,\n#floating_banner_right","#wrap > .headborder > .headcontent > .textwidget","#col,\n#tengah,\n#tengahaa,\ndiv.content-kuss",".klikdisini","#fadeinbox","#filmoncereklam","a[href^=\"https://bit.ly/\"]","a[target=\"_blank\"][rel=\"nofollow\"] > img[src$=\".gif\"]","#banner-tengah","[href$=\"/sukamovieclub\"]","[href^=\"/GoUrl.php?ads=\"]",".pop-overlay","[href^=\"http://152.44.32.81\"]","#btm_banner",".iklansamping,\n.klnrec,\na[rel=\"nofollow\"] > img[src*=\"bp.blogspot.com\"],\na[rel=\"noopener\"] > img[src*=\"bp.blogspot.com\"]","#bioskop-kiri,\nbioskop-kanan","#modal","#myModal","#playerOverlay","a[href^=\"https://shope.ee/\"]","iframe[style*=\"z-index: 2147483647\"]","a[href][target=\"_blank\"][rel=\"nofollow\"] > img[src$=\".gif\"]",".td-banner-wrap-full","#div-Inside-MediumRectangle",".ad-photo,\n.commSkin__fluid--left.commSkin__fluid,\n.commSkin__fluid--right.commSkin__fluid,\n.mb3.gpt-ad-head-wrapper.widget",".cls-outstream","#advertisement-2",".banner-fix-bottom,\n.banner320x480,\n.banner970x250,\n.bannerfull,\n.bannerhead,\n.closebanner1,\n.closebanner2,\n.head-banner,\n.parallax-box",".ayu-headads","#energysaving",".banner","img[width=\"720\"][height=\"90\"]","#floatads1",".middle-ad-cont",".anm__flying--ads-holder","#cont-megabillboard","a[href^=\"http://anizan.slask.pl/go.php\"]","#footer_sticky","#billboard",".d-flex.w-100:has([id^=\"div-gpt-ad\"]),\n.underlay-ad","#floatbannerkanan","#floatbannerkiri,\n#popupklan","#floating_banner_top","#popupklanfooter,\n.pc-only.inline-banner","#billboard_banner","#floating_banner_bottoms","#floating_banner_tops","#wrap > center",".headborder:nth-of-type(5)",".billboardBig.billboard,\n.billboardBottom,\n.billboardFlying,\n.billboardFlyingBanner,\n.billboardFlyingFix,\n.billboardFlyingInner,\n.billboardLeaderboard.billboard,\n.billboardPushdown,\n.billboardRectangle.billboard,\n.billboardTop.billboard,\n.skyscrapper--left,\n.skyscrapper--right",".flying_carpet_show,\n.flying_carpet_show_inner",".product__card:has(.product__tag__ads)","#floating_banner_bottom2,\n#floating_banner_top img[width=\"728\"][height=\"90\"]","#headlineatas","#HTML2,\n.lalulintas",".ads-on,\n.ads__stick--left,\n.ads__stick--right,\n.ads_below_photo,\n.float-ads",".ads-partner-wrap",".ads__top-big,\n.cls-composite,\n.cls-geniee",".mgidclsbanner",".pushdown-banner",".bl-product-card-new:has(.bl-product-card-new__ads-badge)",".dp-card-container:has(.ico_promotion)",".code-block",".wpa","#adsic728,\n#adsic7282",".ad",".adsbawahjudul,\n.adsbawahposting","#hbanner:nth-of-type(1)",".adstops","#sgcboxOverlay",".mr1:has([id^=\"div-gpt-ad\"]),\n.mr2:has([id^=\"div-gpt-ad\"])","#skinad,\n.detikads",".billboardmobile,\n.stickystatic,\ndiv.undefined,\ndiv[style$=\"height:600px;\"],\ndiv[style*=\"height:400px;\"],\ndiv[style^=\"width:970px;\"]",".megabillboard",".footer_banner",".detail_ads,\n.mr3:has([id^=\"div-gpt-ad\"])",".ads-scrollpage-container,\n.ads-scrollpage-height,\n.parallaxindetail",".ads-slot",".paradetail",".Widget:nth-of-type(2),\n.Widget:nth-of-type(3)","#ads-728,\n#ads-960-mid,\n#ads-mid,\n#mid-banner,\n.ads2-home,\n.fixed-ads-atas,\n.mid-banner","#bottom_banner","#leaderboard:has([id^=\"div-gpt-ad\"]),\n#leaderboard[style*=\"width: 750px;height: 100px;\"],\n#megabillboard-desktop,\n#otp_banner,\n#sto_banner,\n#top_banner,\n.banner_inside_article,\n.bb_banner,\n.billboard-top,\n.mr1:has(#adv-caption-mr1),\n.normalbanner,\n.otp_banner_close,\n.parallax_abs,\n.skinad_1,\n.skinad_2,\n.skybanner,\n.staticdetail_ads,\n.staticdetail_container:has(.staticdetail_ads)","[href^=\"http://www.dukungbpjs.com/ref.php\"]","#ads-stack,\n#close-ads-stack,\n#itro_opaco,\n#itro_popup","#float-bottom-banner",".visible-lg",".ads_square_banner,\n.section_sticky_ads_bottom",".banner-common",".left.banner-vertical,\n.right.banner-vertical","#peluang",".ktzsingle-bannerright",".ads-billboard",".btn_ads_close_top_frame",".pps-single-popup",".random","#footer_sticky_inside",".adsense-header-in-article",".box","#div-Inside-Medium-Rectangle,\n.ads-liftdown,\n.ads__stick,\n.ads__stick__fluid,\n.ads__stick__fluid--left,\n.ads__stick__fluid--right,\n.ads__stick__wrap,\n.ads__top-big250,\n.js-ads-stick,\n.read__left","#jxOutstreamContainer",".ads__boxr",".blocker-notice,\n.blocker-overlay","#balloonads,\n#megabillboard,\n#parallaxdetail,\n.ads_native_d,\n.billboard__banner,\n.m-r1:has([id^=\"div-gpt-ad\"]),\n.m-r2:has([id^=\"div-gpt-ad\"]),\n.parallax1","#ads-float,\n#solopos_float,\n.bottom-fix","#bannerkategoriheader,\n#mybannerpopup,\n#mybannerpopup2",".article-bottom-ad,\n.article-desktop-ad",".spb_middle.spb_banner","#text-28 > .textwidget,\na[href^=\"http://www.pembesar-vimax-herbal.com/\"]","[style=\"float:right; margin:7px 0 10px 10px;\"] > small",".parallax-ad",".sponsor_ads:nth-of-type(1),\n.sponsor_ads:nth-of-type(2),\n.sponsor_ads:nth-of-type(4)",".bottom-iklan,\n.bottom-iklan-detail","#floating_ads_bottom_textcss_wrap",".adBar-vertical.left,\n.adBar-vertical.right","#IklanIDGS,\n#bottombanner",".ktz-banneraftercontent","#headerbanner","#baca_juga,\n#more_stories,\n#title_kanal,\n#vertical_top_kanal",".aligncenter","#player-side-right","._ning_link.strack_cli","#anchormasklink",".bt-g1.b-g3.wb-300x100,\n.bt-g1.b-g3.wb-300x250","#bannerkiri",".d.wp-120x600,\n.wb-300x250","[style^=\"padding-top:16px;margin-bottom:24px;\"]","img[style=\"width: 125px; height: 125px;\"]","img:nth-of-type(2)","[class^=\"ad-\"][class*=\"-container\"]",".ads-jav","#in_image,\n[class$=\"__disclaimer\"]","#banner-popup,\n.gmr-banner-afterrelpost,\n.gmr-banner-logo,\n.gmr-footerbanner,\n.gmr-topbanner,\n.gmr-verytopbanner","#hello",".ans-300x250",".adv-space","#leaderboard",".bottom-frame-banner-close-btn,\n.bottom-leaderboard-cont,\n.skycapper","#dfp-bframe-cont","#v5-marcommpromotion.home-right-box,\n#v5-marcommpromotion2,\n#v5-showcase3,\n#v8-leaderboard,\n.banner-title,\n.box--banner,\n.crm-wrapper","#v5-showcase1,\n#v5-showcase2",".ad2",".ads__under__image",".textwidget img[width=\"300\"][height=\"250\"],\ncenter img[width=\"728\"][height=\"70\"]","#left-skyscraper,\n#right-skyscraper,\n.ad.b300x250","#floatbanner",".widget_text:has([href^=\"https://shope.ee/\"])","#box-zone_osm,\n#credential_picker_container,\n.ads-latest-wrap,\n.ads-on-body,\n.adsMR1Lipsus1,\n.bannerAdB,\n.bannerCenter,\n.bannerCenter1SubRubrik,\n.bannerCenter2SubRubrik,\n.bannerCenterRubrik,\n.bannerR,\n.bannerR2,\n.bannerR2A,\n.bannerR3,\n.bannerR3A,\n.bannerTopOut,\n.boxBanner1,\n.boxBanner3,\n.boxBannerR1akt,\n.boxSkinAd,\n.gramedia__gate,\n.hAds,\n.kcm-track,\n.kcm-track-sticky,\n.kcm__articleList,\n.kcm__big,\n.kcm__horizontal,\n.kcm__rectangle,\n.kcm__stick--left,\n.kcm__stick--right,\n.kcm__sticky,\n.kcm__superbig,\n.kcm__top,\n.kcm__tower,\n.kcm__track,\n.native-wrap,\n.ol_big_inner,\n.premium_div,\n.show.ol_promo,\n.video-box-wrap,\n[src^=\"https://adsimg.kompas.com\"],\ndiv:has(> #gpt-passback)","iframe[title=\"3rd party ad content\"]",".bannerTop1",".banner-center,\n.banner-mgid",".banner-dable.banner,\n.banner-gennie.banner,\n.banner-mgid-read.banner,\n.banner-right-big.banner,\n.banner-right.banner,\n.mb20.mt20.banner-dable-read.banner","#bannertheme_left,\n#bannertheme_right",".adssingle,\na[href=\"http://kshowid.com/advertising/\"]","center",".banner_box",".banner_main,\n.leftcontent[style=\"padding:0px; margin:0px auto; height:250px; width:720px; border:0px; background:none; \"]",".img-banner","#idcomboard1.com-728x90,\n#idcomright1.com-300x250,\n#idcomright2.com-300x250,\n#idcomsensebox1.com-300x250,\n#idcomsky1.com-160x600,\n.ctnitem.ctncom","#lht2_lesson_after_vocab2_300x250_phone,\n#lht2_lesson_bottom_300x250_phone,\n#lht2_lesson_top_320x50_phone,\n#lht_base_bot_320x50_phone,\n#lht_lesson_right2_300x250_desktop,\n#lht_lesson_right_300x250_desktop",".box-ads-right","#float-banner","#rotating",".ad_990_80","p:has(> a[href=\"#downloadnow\"])",".hero_adslot",".manado-widget","#aa,\n#close,\n.mas_tamvan","#lbanner","img[width=\"240\"][height=\"240\"]",".-mx-\\[24px\\],\n.adsMarketeers,\n.h-\\[110px\\],\n.h-\\[260px\\],\n.modal-login-container,\n.w-\\[300px\\]",".masthead","#floating_ads_bottom_textcss_container",".banner-top,\n.bannercol,\n.bannerfloat,\n.bannerpos,\n.cell_banner_inside","#ad-genie-container,\n#div-paralax-container",".js-tower-sticky.clearfix.kcm__tower.kcm",".nkt__stick--left,\n.nkt__stick--right",".p-press__ad",".spnsr-top,\n.vip-info","a[href][target=\"_blank\"] > img",".in.modal-backdrop","#fab","[href^=\"//wizliebeg.com/\"]",".box_item_berlangganan",".sitemaji_banner","#nbpopx-wrapper,\n.jx-ads.nobar-ads","#left_ads_float_phonedevelop,\n#under-video-ads,\n.mask-ads","#wrap > table","#sidebar-right,\ncenter > table",".bannermovie,\n.banners",".content-kuss-ikln","#fatas","#previewBox2","#previewBox4","#floatbawah","#floating_banner_bot2",".ads-bottom-fixed,\n.ads-mega-box,\n.bannertopcenter,\n.box-ads-konten,\n.center-ban,\n.center-paralax,\n.detads,\n.flying_ads,\n.rc-ad-300x250,\n.skyscrapper,\n.sponsored-belt468x60",".banner-zone",".r-ads",".alignnone.size-large.wp-image-458","#prmn__megabillboard",".megabillboard-container",".czlll-rlselse",".float-ck",".gpt-ad-inner,\n.site-sticky-bottom",".ads-video-zone,\n.video-list-ads","#float-left,\n#float-right",".sg-popup-builder-content",".ads-50,\n.sgpb-popup-dialog-main-div-theme-wrapper-6","a.thirstylink",".semprotnenenmontok_2",".c-message > div:nth-of-type(1)","#me-div-gpt-ad-parallax,\n#me-div-gpt-ad-stickyad,\n.clear.size-wide-custom.dummy,\n.warp-ads-paralax","div[style=\"height:260px;\"]",".margin-right-40.left.pullquotes,\ndiv.ad-before","#forum_ads_8,\n#sodasusu_ads_side_left,\n#sodasusu_ads_side_right","#teaser4","#adds-top,\n#desktop-native-1,\n#desktop-native-2,\n#div-ad-dbt,\n#pariwara_dua,\n.adds-top.add,\n.bg-ads-sticky-side,\n.bg-ads-sticky-top,\n.parallax_swipe,\n.placeholder_belt,\n.placeholder_expose,\n.placeholder_leaderboard,\n.placeholder_medium,\n.placeholder_r1,\n.placeholder_r2,\n.placeholder_r3,\n.placeholder_read_body,\n.widget-ads-top,\n[id^=\"berita-terkait-\"],\ndiv.placeholder_pariwara","#anchorads",".\\33 .Premium.Sundul,\n.\\34 .Premium.Sundul","#right_ads_float_phonedevelop,\n.overlay","div[style=\"position:absolute; top:20px; left:45px; width:70px; background:#000; text-align:center;\"]","#fancybox-wrap","#fancybox_ajax,\n.advertisement_box1,\n.advertisement_box2","#banner-atas,\n#banner-bawah",".expandable-bottom-sticky,\n.tjp-placeholder-ads","a[data-testid=\"lnkProductContainer\"]:has(img[alt^=\"topads\"]),\ndiv[data-ssr=\"findProductSSR\"]:has(span[data-testid=\"lblTopads\"]),\ndiv[data-ssr=\"findProductSSR\"]:has(span[data-testid=\"linkProductTopads\"]),\ndiv[data-testid=\"CPMWrapper\"],\ndiv[data-testid=\"divProduct\"]:has(span[data-testid=\"icnHomeTopadsRecom\"]),\ndiv[data-testid=\"divProductWrapper\"]:has(span[data-testid=\"divSRPTopadsIcon\"]),\ndiv[data-testid=\"featuredShopCntr\"],\ndiv[data-testid=\"lazy-frame\"]:has(span[data-testid=\"lblProdTopads\"]),\ndiv[data-testid=\"master-product-card\"]:has(span[data-testid^=\"linkProductTopads\"]),\ndiv[data-testid=\"topadsCPMWrapper\"],\ndiv[data-testid^=\"divProductRecommendation\"]:has(span[data-testid=\"icnHomeTopadsRecom\"]),\nsection[data-unify=\"Card\"]:has([href^=\"https://ta.tokopedia.com\"]:first-child)","#idb3","#div-Right-MediumRectangle-1","#div-Top-Leaderboard","#bannerku,\n#bannerkubawah,\n#boxright [style=\"width:300px; height:250px;\"],\n#div-Center-FullBanner-1,\n#div-Center-FullBanner-2,\n#div-Tribunnews-Home-Center-2-FullBanner,\n#skinads,\n.belanja-picks,\n.content [style=\"width:160px; height:600px;\"],\n.ovh[style=\"width:468px;height:60px\"],\n.reserved_box_ads,\nimg[src*=\".pgi.tribunnews.com/\"]","#div-Right-MediumRectangle-3","#boxleft > .mb20","#an-Modal,\n.reveal-modal-bg","img[width=\"320\"][height=\"105\"]",".banneritem",".code-block-3.code-block","[class^=\"wisat-\"]","#Ad300B,\n#Ad728","#aside img[width=\"300\"][height=\"250\"],\n#lAds,\n#rAds,\n#simplemodal-container,\n#simplemodal-overlay","#teaser5","#previewBox3","#flobwh,\na[href^=\"https://rebrand.ly/\"]",".adshu",".show.popup","#floatbot,\n.appup",".mfp-ready.mfp-with-zoom.mfp-no-margins.mfp-img-mobile",".nyaa300,\n.nyaa728",".adsbygoogle",".box-ads--container",".bausastra-ads",".affcoups",".inf_infusionsoft_popup","div.ui_adblock","#TopBannerBg",".bnr",".banner-sc,\n.banner-sc2,\n.col-banner,\n.masonry-brick.drm-banner-x.drm-artikel:nth-of-type(3)",".header__kasad,\n.kasad-h",".flying_carpet_div,\n[style=\"height:0; min-height:180px;\"],\ndiv:has(> [id^=\"div-gpt-ad\"][class^=\"paralax\"])","#modalPopup","#adsoutsream,\n#div-Halfpage-,\n#fixslowshow,\n#halfpage-ads,\n.kiri-det-desk,\n.kus,\n.liftdownclass,\n.text-center.center.width-px-1100,\n[class*=\"heightads\"]","#Kolom-random-300,\n#iklan-dalam-postingan-300,\n#overlay[style=\"display: block;\"],\nimg[style=\"border:0;display:block;\"]","#top-banner-parallax,\n.banner-parallax,\n.footer_stickyexp",".adsense",".description-ads",".ads-120__left.ads,\n.ads-120__right.ads,\n.ads_160x600.ads",".ads-120__left,\n.ads-120__right,\n.ads-160,\n.ads-160-600,\n.ads-300-video,\n.ads_160x600,\n.ads_970x250,\n.set-ads-468,\na[style=\"width: 100%; height: 100%; display: block; position: fixed; z-index: 1\"]","#otp_ads,\n.giant-banner,\n.portlet.sideskycrapper,\n.slotiklan","#bottomframe-ad,\n#skinframe-ad-left",".ad-inventory-wrapper",".ads-article-inner,\n.ads-article-sidebar,\n.cover-ads-article,\n.news__detail-ads",".text-center:has(+ div[style^=\"background-image: url(\\\"/img/logo-ads\"]),\ndiv[style^=\"background-image: url(\\\"/img/logo-ads\"]","a[href^=\"http://www.apktiga.com/p/start-download-reayus.html\"]","#detailSkinAdLeft,\n#detailSkinAdRight",".ads-mr,\n.ads__skyscraper,\n.ads_imr2,\n.ads_sky,\n.ads_wrapper,\n.bottom_banner-wrapper.relative,\n.relative.below_photo,\n.relative.skycrapper,\n.relative.w-full,\n.skin_ads,\n.top_banner-wrapper",".mt20.top1,\ndiv.banner-r","#div-top-banner-transparent","#ads_megabillboard,\n#parallax-ad,\n.ads_sticky_footer,\n.rowx",".ads-sticky-left,\n.ads-sticky-right,\n.bg-grey.text-center.p-0.mb-3.mt-3,\n.mb-4.bg-grey.text-center",".ad-box-wrappr,\n.row > .show-desktop > div,\n.underlay-ad-text-box",".nkt__stick","#main-banner-middle,\n.legend_banner-container,\n.stickybanner",".gambar_pemanis",".ftadss",".parallax_ads,\n.widebanner.banner,\ndiv.showcase.banner,\ndiv.skycrapper.banner","[href^=\"https://scratchy-trick.com/\"]",".cls.code-block-center","#div-Inside-MediumRectangle2,\n.banner-skin--left,\n.banner-skin--right,\n.banner__giant,\n.banner__left,\n.banner__right,\n.banner__top,\n.read__skyscraper",".ads-popup__inner",".flying_carpet_show_fix",".ads.single_post_content,\n.animated.ads",".adbox","#bkgOverlay,\n#bn-premium,\n#delayedPopup,\n#premium,\n.article-sidebar,\n.d-sidebar,\n.skinner-left,\n.skinner-right,\n[id^=\"gpt-inline\"]",".box-ads-300x250,\n.box-ads-billboard,\n.box-ads-billboard-mobile,\n.section-ads-mid",".text-align-center.box-ads-content",".in_up_ad-area",".cads","#ilang2",".modal",".box-banner","#floating_ads_bottom_textcss2",".wait","[href=\"javascript:showHideGB()\"],\n[href^=\"http://dwatngkas.\"],\na[href^=\"http://cocobet.\"]","#ilang1",".adv",".bannersinglefot","#googlebox","#floatbtmleft,\na[href^=\"//angel4d.com/\"],\na[href^=\"//telolet4d.com/\"]",".iklanSUKI",".slot-iklan",".float_tengah,\n.separator",".lenyap",".ad-float-image",".rsABlock","a[href=\"https://klik.fun/Kp7S5\"]",".col-xs-12.col-md-6.col-lg-6",".bannerbawahheader,\n.inline-banner","#previewBox","#ftads,\n.berlangganan-500",".elementor-popup-modal",".bot.ads","ins.adsbygoogle","#float-pop","#overlay-pop","#fancybox-overlay","[href=\"http://bit.ly/adsvbola\"],\n[id^=\"yui-gen\"].postcontainer",".bm.overlay","a.bnner","[href=\"https://klik.fun/ZyslX\"]","[id^=\"btop-\"]",".adbtm,\n.bh-ad,\n.block-bh-googledfp,\n.center-block.img-responsive",".stick-leaderboard-wrapper",".a_f,\n.a_mu",".cari-ads",".td-banner-bg.td-banner-wrap-full",".col-lg-3:has([id^=\"div-gpt-ad\"])","#Taboola_widget,\n#rec_ad4,\n.tonal__standfirst",".adplaceholder-mrec","[data-testid^=\"featured-ads\"]",".code-block-6,\ndiv[data-ub-carousel]","#sadl,\n#sadr",".ktz_banner","#sct_banner_top,\n#videoad1",".ads-header-5","#bmpop_adpB",".placeholder-container",".ads-container","img.aligncenter",".cfmonitor","#banner-popup-desktop",".idmupi-topbanner","#banner-right",".clearfix.act2-970x90:nth-of-type(1),\n.clearfix.act2-970x90:nth-of-type(3)","img[width=\"1020\"][height=\"350\"]","#semprot_ads_side_left,\n#semprot_ads_side_right","#jsemrp_372_719,\n#jsemrp_373_873,\n#jsemrp_374_469,\n#jsemrp_380_290",".semprotpokemon_1,\n.semprotpokemon_2",".coliklan",".cm-popup-modal",".banner3",".blox","#floatads2,\n#floatads3",".anuads","a[title^=\"manga4d\"]","#openpopunder","#adrandpop,\n#aplikasi",".mvic-btn",".floating-banner",".active.adde_modal-overlay,\n.adde_modal_detector-show.adde_modal_detector","a[href^=\"//bit.ly/\"]",".footer_sticky","#tutup,\n#tutup2","#float-atas",".header-banner","#lmd-iklan",".swal-overlay--show-modal.swal-overlay",".s-sponsor","#popuppress-9119,\n#top-banner-content","#main-popup",".banner-middle","[class*=\"banner\"]","a[target=\"_blank\"][rel^=\"noopener noreferrer\"] > img[src$=\".gif\"]",".kzl-header.kzl","[href=\"https://klik.gg/manhwadesu\"]",".iklan-tengah",".banner_player,\n[class^=\"adspost\"]","[href$=\"/referral/nontoncinema\"],\na[href^=\"http://referral.\"]",".box_banner","[href=\"//dumbpop.com/help.xml\"]","#largebanner","[class*=\"popmake\"]","table","#ffbp-bg,\n#ffbp-body,\n#ffbp-close",".btm_ban",".full-brkas-container",".setdah","a[rel^=\"nofollow noopener\"] > img[src$=\".gif\"]","#ffbp,\n#popup",".gmr-bannerpopup,\n[href^=\"//avgirls.asia/\"]",".add,\n.mobi.content-left,\n.mobi.content-right","#wpb_overlay,\n.wpb-image-popup.wpb-main-wrapper","#epmblock",".av-content-full",".adsincenter","#bannerhomefooter","#ftadsth",".fixed-lside,\n.fixed-rside",".ik-overlay","#player-side-left","#home-bnner-content","#home-bnner2-content,\n.reklam-goster-sag,\n.reklam-goster-sol","#directorio > .random > center","#sidebar_right > .side:nth-of-type(5) > .textwidget,\n#sidebar_right > .side:nth-of-type(6) > .textwidget,\n#sidebar_right > .side:nth-of-type(7) > .textwidget,\n#sidebar_right > .side:nth-of-type(8) > .textwidget,\n#sidebar_right > .side:nth-of-type(9) > .textwidget",".bannerwrap","#previewBox1","#top-bnner-content",".gulai_asam_manis","#_popIn_recommend_word,\n.alert,\n.container_skinad,\n[class^=\"ads-\"]",".fancybox-skin",".navbar-brand.bot,\ndiv[id^=\"previewBox\"]",".ads728-slot-panjang",".banner-premium","[class=\"sc__wrp\"]","[class^=\"xnxx5-\"]","[href^=\"https://klik4.me/dunia21\"]","#content > div:nth-of-type(1)"];

const hostnamesMap = new Map([["agenbokep.co",[0,93]],["agenbokep.guru",[0,93]],["agenbokep.pro",0],["45.12.2.2",[1,16,35,53]],["107.152.37.223",1],["185.217.95.43",1],["15.235.11.45",[1,16,23,40,41,61]],["185.217.95.48",1],["185.217.95.49",[1,13]],["157.245.12.72",1],["manhwaindo.cfd",[1,16]],["komikremaja.club",1],["komikindo.co",[1,101]],["komikstation.co",[1,102]],["javsubid.com",[1,3,212]],["manhwalist.com",1],["mareceh.com",1],["nontondramaseri.com",1],["starjepang.com",1],["oploverz.fan",[1,16,23,24]],["lendirpedia.fun",1],["anikor.icu",1],["lendirpedia.icu",1],["anoboy.id",1],["kiryuu.id",[1,102]],["mangakita.id",[1,3,13,16]],["manhwaindo.id",1],["isekaisubs.web.id",[1,23,24,27]],["oploverz.co.in",1],["oploverz.info",[1,16,23,24,40]],["westmanga.info",[1,396]],["komikcast.io",1],["tv1.anikor.lol",1],["hencop.lol",[1,298]],["komikdewasa.me",[1,16]],["komikindo.me",1],["manhwaindo.me",[1,16]],["123.anikor.mom",1],["manhwaland.mom",1],["skandalpedia.mom",1],["kazefuri.net",[1,442]],["mangakita.net",[1,3,13,16,95,445]],["mangashiro.net",[1,23,88,446]],["mirrorkomik.net",[1,447]],["animasu.nl",[1,456]],["mangakyo.org",[1,16]],["skandalpedia.rest",1],["melongmovie.site",1],["manhwaland.top",1],["oploverz.top",[1,15,16,23,24,40,75]],["oploverz.tv",[1,16,23,24]],["kazefuri.vip",1],["139.99.33.205",3],["139.99.120.222",[3,57]],["185.231.223.76",[3,63,64]],["gudangmovies21.cfd",3],["pecintabokep.club",[3,89]],["21filem.co",3],["bioskop45.co",3],["lk21go.fun",3],["manganime.in",[3,392]],["www.nontondramas.net",3],["kawanfilm21.online",[3,5]],["movieajip.online",3],["kawanfilm21.pro",[3,5]],["otakudesu.watch",3],["gm21.xyz",3],["anoboy.ink",4],["75.119.147.12",5],["194.163.158.12",5],["149.102.130.200",[5,13]],["45.67.231.215",5],["161.97.116.33",[5,13]],["89.117.61.35",5],["185.182.187.38",5],["173.212.245.75",[5,13]],["46.149.76.81",5],["154.12.229.9",[5,13]],["81.0.220.98",[5,13]],["cinema-indo.co",5],["northridgeautospa.com",[5,277]],["zonafilm.icu",5],["nontonlk21.live",[5,124]],["baladfilm.skin",5],["bioskopkeren.beauty",7],["bioskopkeren.bond",7],["bioskopkeren.sbs",7],["158.69.0.212",9],["terbit21.cafe",[9,76]],["movies21.co",[9,76]],["bioskopkerenin.com",9],["kebioskop21.com",9],["lk21tv.com",[9,76,167,243,244]],["dunia21.cx",[9,76]],["bioskopkeren.dev",9],["lk21.web.id",[9,46,243,385]],["sinemaindo.web.id",[9,46,243,379,389]],["terbit21.in",9],["kebioskop21.online",9],["ganool.watch",[9,76]],["ganool21.watch",9],["cctvbokep.bet",11],["inibokep.bet",11],["dutasex.bio",11],["perawabokep.cam",11],["perawanbokep.cam",11],["idxchannel.com",[11,194]],["cctvbokep.help",11],["budiarto.id",[11,332]],["cinemaindo.web.id",[11,21,379,380]],["malemjumat.ink",11],["malemjumat.lol",11],["malemjumat.mom",11],["dutasex.top",11],["filmapik.tv",11],["5.182.209.205",12],["filmapik.international",12],["filmapik.kim",12],["filmapik.sbs",12],["filmapik21.space",12],["filmapik.support",12],["173.249.59.185",13],["194.163.145.21",13],["94.250.202.221",13],["185.217.95.30",13],["207.244.225.48",[13,62]],["drakorindo.best",13],["wibudesu.co",13],["giladrakor.com",13],["gudangmovies21.lol",13],["gatsunime.org",[13,463]],["indosemi45.org",13],["manhwaid.org",13],["layarkeren.site",13],["gudangmovies21.skin",13],["kazemanga.xyz",[14,289]],["65.108.132.145",[15,23,24,40,41]],["oploverz.bz",[15,40,75]],["sebokep.com",[15,44,289,290]],["komik18.art",[16,67]],["komikdewasa.art",[16,68]],["bioskop201.biz",[16,24,71,72]],["animasu.cc",[16,78]],["bioskop21.co",16],["bioskopgalaxy21.com",[16,24,124,129]],["doujinlands.com",16],["downloadfilmbaru.com",[16,24,166]],["layarbiru21.com",16],["lmanime.com",16],["realmscans.com",[16,23,24]],["warungkomik.com",16],["22cinema.download",[16,24,322]],["nontonmovie.web.id",[16,24,149,387]],["luciferdonghua.co.in",16],["filmbaru.in",[16,24]],["luciferdonghua.in",[16,23,24]],["pemersatu.link",16],["komikcast.lol",16],["kuramanime.lol",[16,18]],["sektedoujin.lol",16],["komikmanhwa.me",[16,410]],["kumapoi.me",16],["mangaindo.me",16],["kikil.net",16],["komiku.net",[16,24,443]],["movie76.net",[16,24,124,127,129]],["ganool.nl",[16,24]],["ganool.ph",[16,24,397]],["cinemaindo.stream",[16,23,24,150]],["cinemaindo.tv",[16,23,24,494]],["animexin.xyz",[16,27]],["kanzenin.xyz",16],["95.216.163.177",17],["192.99.70.18",17],["samehadaku.cam",[17,26,27]],["akurat.co",[17,94]],["22cinema.com",[17,110]],["ayojakarta.com",[17,117]],["topgans.blogspot.com",17],["dapurpacu.com",[17,162]],["dewanontons.com",17],["download-lagu-mp3.com",17],["embed.dramanices.com",17],["duniafilm21.com",17],["gridoto.com",[17,107,137,138,141,181,182,183]],["harianjogja.com",[17,186]],["jawapos.com",[17,117,213]],["kompas.com",[17,138,141,229,230]],["masagipedia.com",17],["pikiran-rakyat.com",[17,117,163,282]],["smallencode.com",17],["samehadaku.day",[17,26,27,28]],["embed.dramacool.es",17],["republika.co.id",[17,348]],["komikindo.info",17],["dunia21.ltd",17],["k-vid.net",17],["otakuindo.net",17],["miyanime.site",[17,488]],["neumanga.tv",[17,23]],["layarkaca21.com",21],["layarkaca21.web.id",21],["layarkaca21.net",21],["lk21.org",21],["lk21official.wiki",22],["film-ganool.co",[23,24]],["cinemaindo.com",[23,24,150]],["film-ganool.com",[23,24,177]],["filmroster.online",23],["bioskopmovie.tv",[24,493]],["ruangbokep.bond",25],["sibokep.bond",25],["ruangbokep.sbs",25],["streamingbokeponline.site",25],["ruangbokep.top",25],["streamingbokeponline.top",25],["kamarbokep.xyz",25],["kebokepanku.xyz",25],["samehadaku.run",[26,27,28]],["149.28.158.117",27],["212.32.226.234",27],["awsubs.co",[27,95,96]],["bgibola.com",[27,122,123,124,125]],["bgibola.lat",[27,122,123,124,398]],["animekompi.vip",27],["anixlife.xyz",27],["samehadaku.win",28],["shinigamitoon.com",[29,31]],["51.81.238.0",32],["193.178.172.113",33],["157.245.195.114",34],["194.163.183.129",[35,36]],["37.49.229.132",[37,38]],["juraganfilm.icu",[37,328]],["216.155.135.144",39],["oploverz.best",40],["oploverz.love",40],["80.209.252.146",42],["164.68.127.15",43],["194.233.87.224",43],["154.26.132.73",43],["bokepmobile.fun",43],["194.233.73.15",44],["103.194.170.153",45],["xtubecinema.club",[45,92]],["xtubecinema.top",45],["46.166.167.16",[46,47,48]],["lk21.cam",46],["nekopoi.care",[46,77]],["nekopoi.cash",[46,77]],["gudangmovies21.cc",46],["indomovies.club",46],["indoxx1.club",[46,84]],["bioskop168.co",[46,97]],["filmbioskop21.co",46],["layarmovie21.co",46],["nontonsub.co",46],["01nonton.com",46],["123drakor.com",[46,47]],["bioskop45.com",[46,47]],["idbioskop.com",[46,47]],["nonton-streaming.com",46],["nonton789.com",46],["nontongratis88.com",46],["nontonmovie81.com",46],["nontonsub.com",[46,88]],["sashahillfilm.com",46],["semprot.com",[46,48,292]],["semprotku.com",[46,48]],["thirdstarfilm.com",46],["layarkacaxxi.id",46],["meownime.id",46],["zonabola.id",46],["nekopoi.lol",[46,77]],["animeboy.me",46],["nontonani.me",46],["nontondrama.me",46],["ns21.me",[46,47,57]],["sukamovie.mobi",[46,55]],["gandhool.net",46],["indomv.net",46],["nonton33.net",[46,47]],["satujiwa.net",46],["bioskop168.online",[46,97]],["layarxxi.online",[46,459]],["bioskop168.pro",[46,88,97]],["lk21.rip",46],["dewamovie.tv",46],["drakorindo.tv",[46,47]],["filmroster.tv",46],["ganoolmovie.video",46],["bioskopkeren.club",47],["bioskopxx1.com",47],["moviebaru21.com",[47,114]],["serunonton.com",47],["awsubs.id",47],["bioskopkeren.online",47],["indoxxi.top",[47,88,491,492]],["ns21.top",47],["bioskopkeren.xyz",47],["188.166.39.172",49],["173.199.167.192",50],["krucil.com",50],["krucil.net",50],["139.99.33.192",51],["164.68.105.199",52],["drakorindofilms.net",52],["bokepid.wiki",[52,505]],["173.249.49.204",54],["139.99.33.210",55],["bokepfull.fun",55],["videocrot.org",[55,387]],["5.253.86.213",56],["layardrama21.icu",56],["nontonserial.com",[57,273,274,275]],["nonton21.tv",[57,274,275,323,399]],["139.99.61.225",58],["94.237.74.225",59],["streamingbokeps.co",[59,108]],["149.56.24.226",60],["kricom.id",60],["gomunime.biz",64],["68.65.123.84",65],["didrakorindo.com",65],["simontok.cx",65],["simontok.ink",65],["avtub.io",65],["sukanonton.online",65],["indoxxi.pictures",[65,474]],["indoxx1.pw",[65,479]],["avtub.sx",65],["indoxx1.art",66],["indoxxi.bz",66],["dewabioskop21.asia",69],["dewabioskop21.org",[69,460,461]],["mangaku.bio",70],["b201.info",[71,393]],["kabarviral.blog",73],["lewat.club",[73,85]],["mediapermata.com.bn",74],["terkini.id",[74,373]],["cafecinema.cc",79],["lk21.io",79],["dramamu.net",79],["lk21.cc",80],["dunia21.top",[80,88]],["dutafilm.cfd",81],["dutafilm.observer",[81,457]],["dutafilm.us",81],["bioskop007.club",82],["bioskop55.club",[82,83]],["bioskop1080.com",82],["bioskop90.com",[82,130]],["cinema007.com",82],["cinemastar21.com",[82,87]],["nontononline99.com",82],["bioskop55.me",[82,124]],["bioskop90.me",82],["bioskop212.net",[82,87]],["apk.miuiku.com",85],["nf21.club",86],["nontonfilm21.club",87],["sinema21.id",87],["ns21.club",88],["animeindo.co",88],["idxxi.co",88],["lk21indo.co",88],["lk21xxi.co",88],["bioskopbos.com",88],["dramaind.com",88],["filmbioskop21.com",88],["lk21n.com",88],["nontondramas.com",88],["otakufile.com",88],["bioskopkeren.fun",88],["lk21c.fun",[88,324]],["subindo.id",88],["animebatch.web.id",88],["eka.web.id",[88,381]],["kazefuri.web.id",[88,384]],["mangaku.in",[88,386]],["lk-21.me",88],["neonime.net",88],["nontongratis88.net",88],["nontonbioskop21.org",88],["cinemaindo.pro",88],["layarindo21.pro",88],["animeku.tv",88],["sukamovie.club",[90,91]],["indoxx1.co",90],["idxxx1.com",[90,195]],["sidrama.com",90],["benfile.com",95],["blifnews.com",95],["kabar2.com",[95,218]],["mangacanblog.com",[95,249]],["semuaberita.com",95],["mangaku.web.id",[95,386]],["nusareborn.in",95],["film21terbaru.org",95],["fastdrama.co",[98,99]],["hkfree.co",98],["iyottube.co",100],["iyottube.com",100],["komikcast.com",102],["bacamanga.id",102],["komikindo.id",[102,364]],["lk21official.co",103],["nontondramaonline.co",104],["nontondramaonline.net",104],["parapuan.co",105],["bolasport.com",[105,107,137,138,139,140,141]],["sonora.id",[105,138,141,257,369]],["www.parapuan.co",[106,107]],["motorplus-online.com",[107,138,183,256,257,258]],["tempo.co",109],["90animax.com",111],["animebatchs.com",[112,113]],["goblintvfree.com",112],["kapanlagi.com",[112,220,221,222]],["merdeka.com",[112,253]],["nanime.in",112],["juragan-anime.net",[112,441]],["anixverse.com",114],["astroawani.com",115],["autonetmagz.com",116],["bagas31.com",118],["bareksa.com",119],["beritasatu.com",[120,121]],["cnnindonesia.com",[120,152,156,157,158,159,160]],["detik.com",[120,152,153,155,156,158,159,163,164]],["rumahperjaka.live",[122,124,401]],["bioskopstar88.com",124],["cinemaqq.com",[124,151]],["juragantomatx.com",[124,129]],["juraganmovie.net",[124,129]],["bioskop78.com",[126,127,128,129]],["cnbcindonesia.com",[126,152,153,154,155]],["nonton33.com",128],["bioskop99.me",[128,402]],["bioskop99.mobi",128],["nonton33.tv",128],["bisnis.com",[131,132]],["www.tek.id",[132,371]],["blibli.com",133],["blogspot.com",134],["destinasiwisatamu.blogspot.com",135],["starringheavenlyrics.blogspot.com",136],["kompasiana.com",[138,204,232]],["kontan.co.id",[138,342]],["grid.id",[138,258,356]],["kompas.tv",[140,182,499]],["bukalapak.com",142],["m.bukalapak.com",143],["carisinyal.com",144],["cdramabase.com",145],["ceritasexindonesia.com",146],["clip.cewecewe.com",147],["chordtela.com",148],["cinema-indo.com",149],["nonton21.net",149],["haibunda.com",[155,158,160,163,185]],["insertlive.com",[156,160,208]],["teknoup.com",[156,304,305]],["beautynesia.id",[159,331]],["comotin.com",161],["dewantn.com",165],["dunia21tv.com",[167,168]],["cinema-indo.web.id",[167,168]],["layarcinema.tv",[167,168]],["duwitmu.com",169],["dwanonton.com",[170,171]],["dewanonton.vip",[170,503]],["eramuslim.com",172],["faktabali.com",173],["femaledaily.com",[174,175]],["alinea.id",174],["filem456.com",176],["gadgetren.com",178],["gamebrott.com",179],["gopego.com",180],["gudangpemain.com",184],["solopos.com",186],["hdtvku.com",187],["hellosehat.com",188],["hipwee.com",189],["hotabis.com",190],["iberita.com",191],["idntimes.com",192],["sindonews.com",[192,294]],["idpelago.com",193],["indobokepz.com",196],["indogamers.com",197],["indonesiamovies21.com",198],["indosiar.com",199],["indotelko.com",200],["indoxtream.com",201],["indoxx1.com",202],["idxx1.top",[202,409,490]],["indoxximovie.com",203],["inilah.com",[204,205]],["ekonomi.inilah.com",206],["teknologi.inilah.com",[206,207]],["isdaryanto.com",209],["jakbos.com",210],["jalantikus.com",211],["jendelakaba.com",214],["jenismac.com",215],["jpnn.com",216],["k-vid.com",217],["dramacool.io",217],["dramanice.io",217],["kabar24.com",219],["liputan6.com",[220,242]],["otosia.com",222],["m.kapanlagi.com",223],["klikanggaran.com",224],["www.hops.id",224],["klikseru.com",225],["komikbaru.com",226],["komikstation.com",227],["komiku.com",228],["tribunnews.com",[230,300,310,312]],["indonesiasatu.kompas.com",231],["www.kompasiana.com",233],["kotakgame.com",234],["kshowid.com",235],["kuyhaa-me.com",236],["gigapurbalingga.net",236],["lapar.com",[237,238]],["loveindonesia.com",[237,245]],["ld2tv.com",239],["lensaindonesia.com",240],["www.lingohut.com",241],["lk21.pw",243],["cloud.majalahhewan.com",246],["info.mapsaddress.com",[246,251]],["info.vebma.com",[246,251,316]],["info.gambar.pro",[246,251,316]],["malaysiakini.com",247],["manadobaswara.com",248],["mangafap.com",250],["marketeers.com",252],["mgkomik.com",254],["modifikasi.com",255],["my-best.com",259],["mydramalist.com",260],["mypt3.com",261],["doujindesu.tv",261],["nanimex1.com",262],["negumo.com",263],["nekonime.com",264],["neonime.com",265],["neonime.vip",265],["ninemanga.com",266],["nobartv.com",267],["nontonbokeps.com",268],["nontonfilm77.com",269],["nontonfilm88.com",270],["nontonme.com",271],["nontonplus.com",272],["fb21.tv",[274,275,323,496]],["dunia21s.fun",[275,323]],["lk21.li",[275,323,399]],["nontonsini.com",276],["okezone.com",278],["oktavita.com",279],["otomania.com",280],["palingseru.com",281],["popbela.com",283],["rbtv77.com",284],["readwebtoons.com",285],["realitakita.com",286],["realthaisluts.com",287],["remo-xp.com",288],["semarangkota.com",291],["siherp.com",293],["tetew.info",293],["greget.space",293],["situshp.com",295],["smartphoneku.com",296],["sodasusu.com",[297,298]],["suara.com",[299,300]],["sundul.com",301],["susterbokep.com",302],["tabloidbintang.com",303],["idfl.me",[304,406,407]],["r-l.me",[304,406]],["tempointeraktif.com",306],["thejakartapost.com",307],["tokopedia.com",308],["topfilmz.com",309],["blog.tribunjualbeli.com",[310,311]],["makassar.tribunnews.com",313],["wartakota.tribunnews.com",314],["unixmen.com",315],["waralabakan.com",317],["windowsreport.com",318],["wisatalova.com",319],["wowkeren.com",320],["zonabola.com",321],["lkprd.fun",325],["nomat.fun",326],["lk21.host",327],["animeindo.id",329],["apkmod.id",330],["radarlombok.co.id",330],["novelgo.id",330],["paraedu.id",330],["hightech.web.id",[330,383]],["nama.web.id",330],["ceklist.id",333],["alona.co.id",334],["cerpen.co.id",335],["chip.co.id",336],["cosmogirl.co.id",337],["anime17.net",[337,423]],["dream.co.id",338],["kaskus.co.id",339],["katadata.co.id",340],["ketik.co.id",341],["lihat.co.id",343],["orami.co.id",344],["pontianakpost.co.id",345],["pricebook.co.id",346],["rejogja.co.id",347],["viva.co.id",349],["log.viva.co.id",350],["wartaekonomi.co.id",351],["dailysocial.id",352],["dataindonesia.id",353],["filmterbaru.id",354],["ggwp.id",355],["nextren.grid.id",357],["www.grid.id",358],["inews.id",359],["www.inibaru.id",360],["investor.id",361],["jurnalisindonesia.id",362],["kabargames.id",363],["komikcast.net",364],["komikindo.pro",[364,477]],["komikindo.tv",[364,498]],["manganime.id",365],["medcom.id",366],["slurr.my.id",367],["onlinemetro.id",368],["tek.id",370],["terasjakarta.id",372],["tirto.id",374],["uzone.id",375],["internetpositif.uzone.id",376],["animeindo.web.id",377],["animeindo.video",377],["animekompi.web.id",378],["filmbagus21.info",380],["ganool.web.id",382],["mangaku.site",[386,487]],["resep.web.id",388],["suki48.web.id",390],["zigi.id",391],["senimovie.info",[394,395]],["senimovies.net",394],["ganool.is",397],["ganool.se",[397,483]],["ganool.st",397],["manganime.live",400],["doroni.me",403],["dunia21.me",[404,405]],["dunia21.net",405],["dunia21.org",405],["dunia21.wtf",405],["idtube.me",[408,409]],["lk21official.mom",411],["bharian.com.my",[412,413]],["hmetro.com.my",[413,417]],["cari.com.my",414],["mforum.cari.com.my",415],["hijabista.com.my",416],["majalahpama.my",416],["nona.my",416],["vanillakismis.my",416],["utusan.com.my",418],["mediahiburan.my",419],["mudah.my",420],["rasa.my",421],["youtube-mp3.my",422],["animeindo.net",424],["awnime.net",425],["bintangmawar.net",426],["brilio.net",427],["briliobeauty.net",[427,428]],["briliofood.net",427],["cinema-indo.net",429],["dramaqu.net",430],["duniaku.net",431],["filmace21.net",432],["filmbagus88.net",433],["filmku.net",434],["funtasticko.net",435],["gadismalam.net",436],["harakahdaily.net",437],["ibugil.net",438],["indoxxi.net",439],["inidramaku.net",440],["kurazone.net",444],["nobarfilm21.net",448],["pinayflex.net",449],["sangetods.net",450],["seri168.net",451],["suarasurabaya.net",452],["tvkabel.net",453],["unyil.net",454],["zonapanaz.net",455],["indobokep.pro",455],["bokepml.online",458],["dwa21.org",[460,462]],["kumpulmanga.org",464],["manhwadesu.org",465],["nanimex.org",466],["nontonanimeid.org",467],["nontoncinema.org",468],["otakuindo.org",469],["pakbos21.org",470],["pkspiyungan.org",471],["pojokmanga.org",472],["satujiwa.org",473],["bokepkita.pro",475],["indoporn.pro",476],["otakudesu.pro",478],["layardrama21.rest",480],["file.rocks",481],["lonteku.sbs",482],["cmovieshd.se",483],["myasiantv.se",484],["ganol.si",485],["komikcast.site",486],["komikcast.vip",486],["mangaku.vip",487],["samehadaku.skin",489],["indoxxi.tv",[491,497]],["elde.tv",495],["xx1.tv",497],["layarkaca21.tv",500],["lk21.tv",500],["ns21.tv",501],["ns21.us",501],["drakorasia.us",502],["kurina.vip",504],["tv.lk21official.world",506],["indostreamings.xyz",507]]);

const entitiesMap = new Map([["agenbokep",0],["anichin",1],["komikcast",[1,16]],["komikdewasa",[1,16]],["komikremaja",[1,16]],["manhwaindo",[1,16]],["oploverz",[1,16,23,24]],["skandalpedia",1],["anoboy",[2,3,4]],["baladfilm",[3,5,6]],["kuramanime",[3,18,19]],["bioskopkeren",[7,8,9]],["layarkaca21",[8,20,21]],["drbokep",10],["dutasex",11],["perawanbokep",11],["filmapik21",12],["gudangmovies21",[13,14,15]],["komikindo",17],["samehadaku",[17,26,27,28]],["nontondrama",22],["ruangbokep",25],["streamingbokeponline",25],["shinigami",[29,30,31]],["shinigamitoon",31]]);

const exceptionsMap = new Map(undefined);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
