/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: ind-0

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = [".header__banner",".penci-banner-box:not(#penci-banner_box--86294)",".theiaStickySidebar .widget_text",".wpb_content_element","#black-studio-tinymce-41,\n#black-studio-tinymce-67,\n#hotwp-header-banner,\n.hotwp-box.widget_black_studio_tinymce:has(> div > p > img:only-child),\n.hotwp-box.widget_black_studio_tinymce:has(> div > p > ins)","#front-widget .front-widget:nth-child(2),\n#sidebar .widget:nth-child(2)",".item_content,\n.vc_col-sm-4 .horizontal_carousel_container",".wpb_single_image","div[id^=\"nutdcr\"]",".header-promotion",".content-ad-block360,\ndiv[class*=\"ads__\"]",".td-a-rec","figure.wp-block-image",".canvas-slider,\n.wpb_single_image.vc_align_center a[target=\"_blank\"] img","#sidebar .widget_text",".e3lan",".my-3 img","div[style^=\"font-size:25px;\"] > table",".ad img",".home_popup","#tie-block_855",".stream-item-125-widget",".banner","#div_252,\n.aw320","div[data-ad-slot] ~ hr",".add img",".sidebar .widget_media_image:not(#media_image-5)","#Image1",".advt-col",".widget_media_image",".powrMarkContainer,\n.spad-section img,\na[onclick*=\"GPMonthlyPromo\"]","#descripton div[style*=\"url\"],\ndiv[pid^=\"10\"]",".advertise","#block-14",".td-a-rec .td-all-devices",".vc_widget_sidebar .td-a-rec",".vl-header-ads","#spcl_advertise_right,\n.DAdd .hidden-xs,\n.DAdd img,\n.topadv","#sv_gad_left",".ads",".fullwidth-add,\n.header-upper .pull-right,\n.sidebar-adds-widget",".add-inner",".td-header-sp-recs",".td-main-sidebar .widget_text,\n.wpb_raw_html:has(.adsbymahimeta)",".paidPoster",".n2-section-smartslider",".sideadholder,\n.theadstop",".theiaStickySidebar .stream-item-widget",".img-ads > li > img","#text-2",".widget_custom_html",".main-content .stream-item",".stream-item-widget",".widget_media_image:not(#media_image-2)","#header-aside","aside.widget_media_image","div[class^=\"AdvtSample\"]",".mom-e3lanat",".mom_custom_text",".main-menu ~ .container div:has(> a > img[src*=\"/uploads/ads/\"])",".header-ads-wrapper","a[href*=\"kidoovacations.com\"]","[id*=\"_level_\"]:not([data-mixin]):not(#right_level_2_1)",".advertisement_above_footer","#Image10","#Image11","#Image3","#Image6","#jssor_1","#slider",".himac-widget,\n.mg-headwidget .pull-right",".code-block",".gmx-image","#main-content > .e3lan-post,\n#main-content > .ml-slider",".e3lan-bottom",".wp-block-jetpack-tiled-gallery",".widget_media_gallery:not(#media_gallery-3)",".banner-add",".cm-125x125-advertisement-widget",".comContent div[style*=\"min-height: 225px;\"]",".mom-e3lanat-wrap",".tr_e3lan-widget","#custom_html-4",".add-left",".add-sideber","#HTML2 .separator img",".sidebar .widget.Image",".widget_block",".banner-promotions-wrapper","#sidebar-right .widget_custom_html:not(#custom_html-33),\na[href^=\"tel:\"]",".owl-carousel",".adsvnment",".post-image.entry-content",".bannerfooter","#sidebar .widget_black_studio_tinymce","#side-banner-ads",".iframe-ads-block",".bannar",".betterad-container",".m_none > a[target=\"_blank\"]",".custom-slider",".elementor-widget-shortcode img:not([src*=\"1f642.svg\"])",".widget_media_gallery",".videoaddwraper",".header-right","div[class*=\"sgpb-\"]","div[class^=\"a2zsa-content\"]",".adv",".wpb_content_element img",".wpb_row.vc_inner",".elementor-widget-image .size-full",".banner-img","div[id^=\"aagol-\"]","div.colombiaonesuccess div:has(> div > div > a > div > p),\ndiv.colombiaonesuccess div:has(> div > div > a > h2 + h4)",".theiaStickySidebar .widget_media_image","figure.wp-block-gallery","div.col-lg-3:has(> ins.adsbygoogle),\ndiv[class*=\"ads_\"]","#secondary .widget_media_image",".stream-item",".ws-block-body > a[href=\"\"]","#text-7",".elementor-widget-banner-box","#block-13",".elementor-col-33 .elementor-section","#media_image-4",".my-2",".bn-lg",".bn-lg-sidebar",".bn-md","div[id^=\"itro_\"]",".adsImg_section",".advertismentRow",".colombiatracked",".imgOverlayAd,\ndiv[id^=\"AS_O_LHS\"] div:has(> div > span > a[rel*=\"sponsored\"])","#text-25","#text-54,\n#text-61","#HTML15","#ms-admananger a:not([imageanchor]) img:not([src*=\"qr-code\"]),\n.billboardad,\n.tr-caption-container,\ndiv[id^=\"articlead\"]","div[id^=\"aapni-\"]",".aapno-widget","#roadBlock,\ndiv[class*=\"bigyap\"]",".ai-sticky-widget",".textwidget img",".long-ad,\n.single-content ~ p",".text-center:has(> a > img[src*=\"/ads/\"])",".sponsers",".elementor-widget-image",".elementor-widget-wp-widget-advads_ad_widget,\n.entry-content figure.is-resized,\ndiv[id^=\"abbih-\"]",".entry-content > figure.wp-block-image",".td-a-rec img","#text-3",".vc_col-sm-3 .bs-shortcode","#bigyaapan","a[target=\"_blank\"] img","img[alt*=\"Sidebar AD –\"]","#main_content .d-sm-block",".myAdBox",".top_new_add","div img[src^=\"ad/\"]","#media_image-2",".a-ecom-wrap,\n.uk-text-meta",".uk-sidebar._hsidebar","#HTML18","#HTML5",".ml-slider",".a-wrap","#sidebar1","#text-30","#text-48","#text-49","#text-50","div[id^=\"achhi-\"]","#text-18","#text-24","a[href*=\"newzoninfotech.com\"] img:only-child",".widget_media_video",".sidebar .kopa-carousel-widget",".elementor-widget-smartmag-codes",".footer_top_banner",".tab_265top_left",".ad-banner","a.external",".right_adbox iframe","#HTML1",".dt_navbar-banner-item",".small-banner-2,\na[href*=\"drneem.com\"]","a[href*=\"daraz.com.bd\"]",".wpb_raw_code",".ads-sec,\n.agnij-news-bhitra","figure.wp-block-image.size-large","#main-body .custom,\n#sp-slider-wrapper,\n:not(#sp-component-area) > #sp--wrapper,\nsection:not(#sp-big-footer-wrapper) .article_anywhere,\nsection[id$=\"add-wrapper\"]",".widget_block:not(#block-2)",".stream-item-top-wrapper",".stream-item-widget:not(#stream-item-widget-3)",".ajabg-widget,\ndiv[class^=\"ajabg-\"]",".dn-container",".widget.Image","#text-4","div:has(> ins.adsbygoogle)","#bunyad_ads_widget-3","div[data-amads-id]",".header-baner",".Add",".add",".notice_single",".col-md-12 .textwidget,\n.textwidget:only-child",".DHeaderBanner","img[alt=\"advertisement\"]","#content + .col-md-4 > div:nth-child(3)","a[href*=\"pathwaydrivingschool.com\"]",".advertise_to",".ad-ajmernama",".widget_tibwky","div[data-adid]",".ad","#recent-boxes2,\n.blog-posts marquee ~ :not(div)","div[class*=\"pannel-banner\"],\ndiv[id^=\"ear-\"]","#text-html-widget-2",".td-main-content-wrap .tdm_block img:not([src*=\"_n-1.gif\"])",".td-ss-main-sidebar .widget_media_image","#supermag_ad-12","#ai_widget-2","#block-12",".text-html","#media_image-6 img","aside.widget_custom_html","#text-32",".add_banner",".sideAdd","#header-right-section",".DAdd2",".carousel",".hdr_banner","a[href*=\"pustokbazar\"]","div[data-adid] img:not([alt*=\"e-Paper\"])",".adv_single,\n.banner-ad-01",".itpolly_widget img",".head_bottom_add",".uc-sky-ads","#text-20",".DAdd",".td-a-rec-id-sidebar","#popUp",".index_ads_one,\n.index_ads_three,\n.index_ads_two",".td-spot-id-header",".wonderpluginslider-container","._df_custom",".row + .single_side_bar",".adss_banner,\n.cm-beside-slider-widget",".adv-slot",".ad-mb-app",".elementor-widget-shortcode img",".sidebarVoteAd",".ne-banner-layout1","main .htmlwidget,\nmain .imagewidget","#text-11","#text-14","#text-17","#text-29","#text-36","#text-37","#text-38","#text-52","#text-57","#text-58",".adbox",".adouterbox,\n.marketingbnnerbox,\n.rightadbox","a[href*=\"jeevansathi.com\"]","#text-1",".header-banner",".customAds,\ndiv:has(> div[id*=\"-ad-\"])",".stickyAds",".ai_widget","#custom_html-3",".four-col > a[href=\"\"] img",".full_ad_section",".sidebar_top_Ad",".bigyapan",".modal__img",".tdm_block","#block-5",".stream-item:not(#tie-block_1354)","#custom_html-19","div[id^=\"SC_TBlock_\"]",".widget_text p",".colombiaadcode","div[id^=\"AS_O_LHS_\"] > div:nth-child(-1n+10)","div[id^=\"AS_O_LHS_\"] > div:nth-child(1n+20)","div[id^=\"showAS_\"]","#header-right-sidebar .widget_media_image:not(#media_image-7)",".advRow-fullW",".footer-ad-img,\ndiv.rhs > div:nth-child(1n+4),\ndiv[id^=\"AS_O_LHS_3\"] > div:nth-child(-1n+10),\ndiv[id^=\"AS_O_LHS_3\"] > div:nth-child(1n+21),\ndiv[name^=\"ArticleShow_Paid_\"]",".top-ad-d","iframe[id^=\"ifr_\"]","#headadd,\n.big-add,\n.reseller-add,\ndiv[class^=\"contentadd-\"]","#text-19","#text-21",".ad-pvt",".apand-before-content","#homeads",".advertisement","div[id^=\"goji_yo\"]",".portlet-journal-content","#text-11 iframe",".col-lg-2 > .white-bg,\n.order-3 .mt-4",".entry-content > p img","a[href*=\"alljobvacancies.com\"]",".container1","#FullWidthWidget-Top","#block-7",".html-div img","marquee img",".flexslider","a[href*=\"traffictail.com\"] img",".advertisement-heading,\n.mb-4 .mt-3 img,\n.uk-container a[target=\"_blank\"] img[src*=\".gif\"]","section.widget",".news-desc figure img","div[class*=\"advertisement\"]",".custom-ad-link,\n.esn_twin_ad_widget","#sidebar",".adcontainer","main [data-adid]",".one-1",".primary-sidebar-widget:not(.h-c),\ndiv[data-adid] a:not([href*=\"arthosuchak.com\"]) img","#custom_html-11",".widget_origin_animated-image","div[id^=\"aryav-\"]",".affiliate-card.text-center",".adds_menu","body ~ iframe[style*=\"height: 100%\"]",".adsection:has(.ad-1),\n.desktop-ad-1,\n.revive-ads-top",".tdm-popup-modal","#custom_html-5",".widget_custom_html.panel-first-child",".ad_sec","div:has(> div > p > .adsbygoogle)","div[id^=\"AS_O_LHS_1\"]","#HP_O_LHS_7 > div:nth-child(-1n+10),\ndiv[id^=\"AS_O_LHS\"] > div:has(a[href*=\"paid.outbrain.com\"])","div[id^=\"showAS_O_BEL\"]","#widget-sidebar-1","#widget-sidebar-3",".wpb_single_image img:not([src*=\"krishi-\"]):not([src*=\"ban2-\"])","a[href*=\"prabhatnamkeen.com\"]","[data-adid]","div[class*=\"sgpb-popup-\"]",".elementor-popup-modal",".td-spot-id-content_bottom",".td-spot-id-content_top","#custom_html-13,\n.header-widget-region",".widget_sp_image",".widget_gallery_img_widget","#content section.widget_media_image","#text-6",".addtoany_content_bottom ~ div img",".sidebar .widget_media_image",".td-main-content-wrap .td-a-rec",".slider-section",".row > .mb-3",".barta-ad",".td-a-rec-id-header","#sidebar .widget_media_image",".supsystic-slider-wrapper",".widget_text",".wpb_wrapper .wpb_single_image",".widget_smartslider3",".side-bar center > embed","#media_image-3",".master-slider",".vc_images_carousel","div[class^=\"sgpb-\"]",".et_pb_ads_0,\n.widget_et_ads","div[class^=\"adcntnr\"]",".addd",".bigyaapan-section",".full-bigyapan",".aloks","#HTML20","#media_image-5",".widget_metaslider_widget",".ad-home",".AdSection",".AdvertClass",".prl-panel .widget_text","#mvp-leader-wrap","#custom_html-18","#HTML16","#HTML860",".code-widget","#bannerclassfd,\n#classlistmain,\n.addima,\n.almanacheader",".home-e3lan","#secondary .widget_text",".biggapon",".home_page_ad img","img.max-w-full:not([src*=\"BLDA.jpg\"])","a[href*=\".ac.bd\"]",".theiaStickySidebar .wp-block-image,\n.width-ad-wrap",".elementor-widget-html iframe",".text-secondary.d-block",".sny-ads-panel","div[id^=\"bangl-\"]",".right-container .ads",".textwidget img:not([src*=\"banner-\"])",".Front-page-Right-Side-Ad,\n.Single-Post-Left-Side-Ad,\n.Single-Post-Right-Sidebar-Ad,\n.front-page-ad,\n.header_top_ad_area_2",".col-md-3 .widget_text.widget_area + .widget_area,\n.single_details .widget_area",".widget_area img","#HTML2","#block-25",".stream-item:not(#tie-block_309)","a[href*=\"itcornerbd\"] img",".widget_text .custom-html-widget","img[alt=\"Skin'O.-ad\"]",".aunqur img,\n.overayFeaturedImage,\n.topLeaderBoardAdHome,\ndiv[id*=\"BT_Inner_\"]",".header_ad_block",".topbanner",".gb-container-f86c88c8",".printOff",".top_add",".codeneric_uam_link,\na[target=\"_blank\"] img:not([src*=\"icons\"])",".esn-ainfo-widget","#right_level_2",".left_level_ad","#block-2","#after-ad","#before-ad",".widget_adsforwp_ads_widget","a[href^=\"/advertisements/advts/\"]","#id-widget-advertisements-4","#tie-slider-widget-2,\n#tie-slider-widget-9","#custom_html-6",".widget_area p > img","a[href*=\"enjoy.net.bd\"] img,\ndiv[data-href*=\"enjoynetwork.bd\"]","#custom_html-7",".home_page_ad",".widget_text img",".sidebar .widget_black_studio_tinymce","div[class^=\"barnalatoday\"]",".adalyticsblock img:not([src*=\"newbarnan_\"])",".bigyapaan__section",".a-widget,\na[href*=\"BandhoB\"]",".sidebar .widget_custom_html",".popup-wrpp,\n.widget_text img:not([src*=\"Captureeeebbbb.jpg\"])","a[href*=\"bdinfobiz.com/pos-software\"]","div[class*=\"adSlot\"]",".basta-first",".main-sidebar .widget_media_image","#HTML3","#Image2","a[href*=\"ad.battinews.com\"]","#HTML4","#SidebarWidgets-S1 .widget.Image","#block-6",".after-menu-ads",".featad",".bot-ads","#cm-secondary .widget_block","#wp-custom-header",".adv_image","#media_image-12","#secondary .ai_widget",".logo-right-wrapper",".single-page2-topAdd","div[class^=\"add-section\"]","#block-4","#custom_html-2",".entry-ads-top",".h_ads,\n.sidebar-adv img",".wpb_wrapper .vc_raw_html","#text-13",".textwidget > p img,\n.textwidget:has(.adsbygoogle)",".advertise_space1",".header .pull-right","#BDIPO_ad_id,\n.advertisements","#media_image-6",".first-ad,\n.second-ad,\ndiv[class*=\"_ad-slot__\"]",".add_img",".adflexbox","#bottom-header-banner",".DAdvertisement",".add_area",".add-section",".banner2",".bdsom-content,\n.td_mod_wrap.td-fix-index > a img","div[style^=\"width:320px; height: 260px!important; float: right;\"]",".ad_text_box,\ndiv[class^=\"angwp_\"]","#text-html-widget-25,\n#text-html-widget-35,\n#text-html-widget-41","#secondary .side-widget:first-child,\n.coronaupperadd,\n.post-content .sidebar-content,\n.single-news-widget > img.size-full,\n[class^=\"add-\"]","#ai_widget-3",".better-ads-listitemad",".header-right-adv",".vce-blank-module:not(#main-box-12)",".theiaStickySidebar .owl-carousel","img[alt*=\"AD \" i]",".wp-image-12972,\ndiv[id^=\"bebak-\"]",".entry-content .code-block","figure.wp-block-image.size-full",".sidebar .widget_text:not(#text-10)",".belag-content",".elementor-widget-image img:not([src*=\"bbtv-logo\"])","#rev_slider_1_1_wrapper",".gam-each-npad",".wplite-banner-ads",".FooterAdArea .wp-block-image","aside.widget_block",".td-ss-main-sidebar .td-a-rec","#primary img[alt=\"ads\"],\na[href*=\"mastercafebd\"],\naside:not(#text-33):not(#text-47) img[alt=\"ads\"]","#media_image-7",".swiper",".features-slide-widget",".image-post-slider",".code-block img",".jeg_ad",".addBox,\n.widget_categories:not(.postLatest-list)",".header-ainfo","#block-8",".common-widget .Image:not(#Image1):not(#Image3)",".sidebar .stream-item-widget:not(#stream-item-widget-18)",".stream-item-top","div:has(> div[id^=\"Ad--\"])",".mb_ads_title,\n[id*=\"_ad_\"]","#custom_html-15","a[href*=\"amzn.to\"]",".theiaStickySidebar .e3lan",".theiaStickySidebar .widget_custom_html",".entry-content img[src*=\"advt\"]",".metaslider",".content_top:first-child .latest_slider",".header_bottom_right",".add .widget_area > img",".single-dtls a[href*=\"accbuysell.com\"]","div:has(> p > img.wp-image-23118)",".wpb_text_column.wpb_content_element",".default-advertise,\n.thedailytext-advertise","#HTML10","#HTML11","#home-ads","#div-ub-bhorerkagoj,\n#sidebar .textwidget",".np-header-ads-area",".bidro-content_4","section.widget_custom_html","#bk_sidebar_8,\n#text-69",".top-add",".bihar-widget","#wonderpluginslider-container-1",".elementor-widget-shortcode img[src*=\"WhatsApp\"],\nsection[data-id=\"e3b7c3d\"],\ntagdiv","aside.widget_media_gallery",".customad","a.post-middle-banner,\na.sidebar-banner",".elementor-image","#custom_html-1",".afw_ad",".wp-video",".asn-bk-txt","#media_image-10","#media_image-8","div[data-adid]:not([data-adid=\"5022\"]):not([data-adid=\"3716\"])",".bikan-before-content","div[class*=\"bikan\"]",".advertise img,\n.containerhome a[target=\"_blank\"] img:only-child,\n.desktop_main_news_banner",".container a[target=\"_blank\"] img","div[id^=\"sgpb-\"]",".divAdvertisement,\n.home-sidebar-banner,\n.topadmid",".full-with-add,\ndiv[class^=\"top-sidebar-adv\"]",".code-block-4",".home_widget",".navbar-top-banner,\n.newspaper-advertisement",".tdm-popup-modal-wrap",".td-post-content > p a:not([href*=\"biswabanglasangbad\"]),\n.td_block_single_image:not([data-td-block-uid=\"tdi_41\"])","img[alt=\"Gurukpo plus app\"]",".banner-bigyapan,\n.bigyapan-inside-content,\n.sidebar-advs","#skip-ads",".ad-banner-img",".adRightSideBar","#showAS_O_BEL_0",".sidebar_top_wrapper","#HTML8",".headerright","#Image119,\n#Image125,\n#Image25,\n#Image33,\n#Image85,\n#LinkList21","#Image16","#Image4","#main-top","#sidebar .widget.HTML:not(#HTML2)","#HTML9",".add-place",".header-add-place",".xembgt,\naside#sidebar-primary-sidebar","#text-9",".entry-content .stream-item",".stream-item img",".stream-item-below-header",".topadlft","h5[style*=\"PEARL-ads.jpg\"]","div[data-zoneid]","div[style^=\"min-height:250px;\"]",".td-ss-main-sidebar .widget_block",".wp-image-13566,\n.wp-image-352",".wpcnt",".pbwidget.slideshow",".footer_logo",".bornamelanews24adlabel","aside.widget_metaslider_widget",".body2_ad,\ndiv[class^=\"ad_mid\"]",".add_pad_bot_single,\n.add_pad_bottom",".sticky-sidebar .widget_media_image","#heatmapthemead-primary-sidebar,\n.amzn_wdgt",".bs-vc-block .wonderpluginslider-container",".header-inner #sidebar","#block-3","#block-9",".stream-item:not(.stream-item-top-wrapper)",".slider-pro",".Nws_banner_Hp,\n.ad-height-desktop,\n.div[id^=\"between_article_content\"],\n.hide-on-mobile,\n.podcastads",".ads_box_grid",".col-sm-6 .add-imgae","#stream-item-widget-1","figure.wp-caption","img[alt=\"add buxar\"],\nimg[alt=\"ads buxar\"]",".add img:not(.wp-image-19734)","div[class^=\"ads_\"]",".blurb",".ds-ms-blurb",".theiaStickySidebar .wpb_single_image,\n.wpb_gallery_slides,\na[href*=\"amrutveni.com\"] img,\na[href*=\"chungathjewellery.com\"] img","#skipAdModal,\n.advertisement-fullwith,\n.bignews_slider,\nfooter ~ ul.images",".modal-backdrop",".insert-ad","#text-45,\n#text-47",".add > .widget_area img","div[data-adid][data-type=\"image\"]","#example,\n#logoright","#content img.jetpack-lazy-image[src*=\"-march.jpg\"]",".navbar-ad-section",".piki-ads",".epcl-banner",".widget_media_image:not(#media_image-5)",".bwg_container",".bwp_gallery_slideshow",".entry-content div[id^=\"cgmit-\"]",".header-before-ad",".main-sidebar .widget_block,\ndiv[id^=\"local-\"]",".add-top-margin,\n.ne-sidebar > div:not(.sidebar-box),\n.sidebar-box.bg-aqua","#media_video-2","#block-71","#media_video-3",".chaip-after-content_4","#text-26",".adspace,\napp-ad-control-header","div[class$=\"-ads\"]",".chama-before-content,\n.chama-widget",".widget_media_image img:not(.wp-image-11601):not(.wp-image-11642)",".champ-content",".code-block-center","#text-5",".story-wrapper a.disabled","div[id^=\"AS_O_LHS\"] > div:nth-child(-1n+10)","#secondary section.widget_media_image","#sticky-wrapper .widget_media_image,\n.newscard-widget-ad","#main .code-block",".entry-content > p > img",".d-print-none","#text-67",".e3lan-top","#secondary section.widget_media_image:not(#media_image-23)",".widget_media_image:not(.media_image-50):not(.media_image-54)",".single-ditails + .add .widget_area",".add figure.size-full",".jeg_main .widget_media_image,\ndiv[id^=\"chann-\"] img:not([src*=\"Google-News-Icon-Channel-i-1.jpg\"])",".col-md-3 .master-slider,\n.elementor-widget-wp-widget-master-slider-main-widget,\n.entry-content figure img[width=\"600\"]",".content-box-ads,\n.news_content .code-block","#media_image-24","#HTML7","#secondary .widget_custom_html",".inner-ads",".spbs-width-ad",".mom_e3lan-empty",".home .elementor-widget-image","#header #sidebar","a[href*=\"ksrm.com.bd\"]","aside.widget_text",".widget_advertisement-bar",".evo-header-banner","#custom-img-header,\n#right-sidebar aside.widget_sp_image,\n#topbanner","section[id^=\"id\"]","a[href*=\"bharatgeneric.com\"]","#Image9",".cheta-before-content",".subhakamana-ad","#image_gallery_36934,\n#image_gallery_37522,\n#image_gallery_37524,\n#pg-22-3,\n#pg-22-5,\n.entry-the-content .code-block,\n.entry-the-content img.aligncenter.size-full,\n.entry-the-content img.alignnone.size-full,\n.topbar-inner .hgrid-span-12","#main .widget_media_image",".ad--space",".ad--widget-no,\n.carousel:not(#myCarousel2),\n.main--sidebar .widget:has(> div.ad--widget-no)","div[id^=\"chhat-\"]",".img-my-ad","#custom_html-21",".news_portal_ads_banner","aside.sidebar .widget_media_image","div[class*=\"stream-item\"]",".stickey-side .ad-title ~ a",".m-280,\ndiv[id^=\"v-chopaltv\"]","#carouselExampleControls",".home-page-top-right-add",".home-lead-block,\n.square-space",".site-header-banner","[class*=\"googleAd\"]",".custom-html-widget","#block-15,\n.elementor-widget-he-advertisement-banner",".pum-content",".page.hentry",".code-block:not(.code-block-3)",".fw-bold.text-center",".td-main-content-wrap .td-a-rec-id-custom-spot","#newscard_horizontal_vertical_posts-3 .col-md-4:not(.first-col),\n#newscard_horizontal_vertical_posts-8",".widget_block:not(#block-43)",".sticky-sidebar .widget_block","section.widget_media_image",".adwrp",".ad-div",".details-page-side-banner",".details-page-side-banner-2,\n.new-international-right",".-indx,\n.Video-indx",".jeg_midbar","#sidebar .widget.Image:not(#Image8)","#sidebar-primary-sidebar > .widget:not(#better-social-counter-2),\n#sidebar-secondary-sidebar > .widget","section.widget img","aside.text-center",".add figure,\n.map",".vc_raw_html img",".elementor-widget-wp-widget-news247_ads_banner_widget",".adalytics_ad",".bigyapan-gif-gallery",".features-spaces,\n.features-spaces-collages,\n.header-bigyapan",".para-3-ad",".block-da",".zeen-da-wrap",".momizat-ads",".sidebar .mom-e3lanat","#sidebar .widget.Image",".special_featur","#secondary .widget_block iframe","#ouibounce-modal","div[id^=\"AS_O_LHS_\"] > div:nth-child(-1n+8),\ndiv[id^=\"AS_O_LHS_\"] > div:nth-child(1n+16)",".ads-space",".widget_media_image:not(#media_image-40)",".sidebar-widget:has(> .widget-body > p:only-child),\n.widget-body > p img",".sidebar .widget_text",".sidebar > .widget_metaslider_widget",".topAdvertisementWrapper",".plyr","#wb_element_instance35,\n#wb_element_instance48",".ad-box",".ads728x90-thumb","#text-15",".widget_text.widget_area",".vc_raw_html a[target=\"_blank\"]",".fxozitmah","[data-adid] img",".right_sidebar_ads,\n.single_ads_top",".bsac",".elementor-widget-jnews_element_ads_elementor",".single_details .code-block","#sitebox-ad125-3",".DADD",".DContentAdd",".well","#sp-right .bannergroup",".hpRightAdvt,\n.navbar-static-top a[target=\"new\"]",".advertise a",".down_social_display_ad,\n.uc-sdr-ads,\n.vertical_add",".wp-image-6674,\n.wp-image-7688","#small-news","div[class^=\"ad_\"]","#bottomadothers",".textwidget:has(> p > ins.adsbygoogle),\nfigure.wp-block-image > img",".widget_area > img",".full_ad_widget",".td_block_image_box",".abv-container:not(.p-right-0)",".td-fix-index img",".smartmag-widget-codes","a[href*=\"theme-sphere.com\"] img",".add img:not([src*=\"Dainik-Dishari-\"]),\n.widget_area:not(.widget_text)",".digital-newspaper-advertisement-block",".widget_block img",".prl-grid .widget_black_studio_tinymce",".add-high",".single_page .add","a[href*=\"click.htm?\"][target=\"_blank\"]","#HTML12",".toped,\na[href*=\"chemmanurinternational.com\"]",".d-sm-block.my-3",".widget-header,\nfooter > center img",".adBgGray",".DetailsContent .textwidget",".ub-anchor-adcontainer,\ndiv[class^=\"DAdd3\"],\ndiv[id^=\"div-gpt-ad-\"]",".top_ads2","div[class^=\"add_\"]",".sidebar .s-widget img[src*=\"_n-\"]",".live .embed-responsive","#content-p > .row,\na[href*=\"karatoacourierservice.com\"]",".ad-container",".headerHt","#news_portal_ads_banner-3",".col-md-3.py-2 a img,\n.py-1 > a img,\n.single_page_two_advertisement","#myVideo,\n.col-md-4 .row.center-block,\n.col-md-4 .row.margin-bottom-30",".e-widget-swiper",".ads160_600-widget",".ads_click_counter",".wp-image-783",".ad_section,\n.mt-3 .wp-block-image","#metaslider_16689,\n#metaslider_21872","#backgroundad","#sidebaradvertise","#stickyadd",".wpb_wrapper > p:has(> ins.adsbygoogle),\nimg[class^=\"sb-ads\"]",".add img:not(.wp-image-1158)",".header-top-right",".add-longhead,\n.right-add-container","img[alt^=\"iTree\"]:not([data-lazy-src*=\"-my-PIC\"])",".add .widget_area ~ .widget_area",".penci-google-adsense-2","#secondary .widget_media_image:not(#media_image-17)",".e3lan300_600-widget",".middle-primary .news_portal_ads_banner","figure.vc_figure",".td_block_single_image",".advertaisement,\n.head-banner",".Advt,\n.bottom_snackbar_common,\n.container-body > div:not(#topHead) .to-be-async-loaded-ad,\n.popup-ad-content-wrap",".inside-post-ad",".logo-banner,\ndiv[class*=\"advert\"]",".wpcp-carousel-wrapper",".add-img","div:has(> .w3-small)","section.widget_block","#custom_html-24",".block-custom-content",".widget_area > .textwidget",".widget.widget_block:not(#block-4):not(#block-95)","#media_image-23","#secondary .widget_block","div[id^=\"daini\"]",".gallery_section",".add:not(.wp-image-3687)",".wp-block-image","div[name=\"Articleshow-Organic-LHS-1\"]",".td-a-rec:not([class*=\"tdi_127_\"]),\n.td-ss-main-sidebar .widget_media_gallery","section img.attachment-full","#sidebar-primary-sidebar .widget_text","marquee",".td-a-rec:not(.tdi_274)","#header-right-sidebar",".ixnf","adnblock",".entry-content div[class*=\"daini-\"]",".widget_text:has(> div > div[id^=\"daini\"])",".penci-banner-box",".add-imgae",".siteber-add-section",".wpb_wrapper > .td-fix-index",".entry img.alignnone",".entry-content img",".advt_bx",".add:not(:has(> .widget_area > h3))","#metaslider_288,\n#metaslider_295,\n#metaslider_4598,\n.ad2","#adsense-468","#text-22",".popupad",".textwidget > p:has(ins.adsbygoogle)",".add-sec","#id",".adbnr","#leader-wrap",".sidebar-widget .widget-body > p > img",".site-content .imagewidget","div[id^=\"AS_O_LHS_\"] > div:nth-child(-1n+15),\ndiv[id^=\"AS_O_LHS_\"] > div:nth-child(1n+31)","#tie-block_2253,\n.g-dyn",".list-advertisement,\n.mt-3",".tr-ad",".flashwp-featured-posts-area,\n.flashwp-side-widget.widget_text",".widget-shortcode:not(#custom_html-12),\naside#sidebar-primary-sidebar > .widget_custom_html",".widget_area img:not(.wp-image-1166)",".gam-ad-position-wrap",".fullwidthbanner-container",".mujib_logo,\nimg[alt=\"Advertisement\"]",".ddnew-after-content","#divTopNewsHead + .row > .inner_news_head,\n#dvPopup",".elementor-image-carousel-wrapper",".elementor-shortcode img",".wonderpluginslider","#media_video-6","div[class*=\"colombia\"]:not(#LP_O_LHS_1)","#media_video-16,\n#media_video-17,\n#media_video-18,\n.widget_media_image:not(#media_image-3):not(#media_image-26)",".adone > div,\n.db-scnAd2","div[class^=\"desha-\"]",".wpb_video_widget","div[class*=\"m_ad-slot\"],\ndiv[data-test-id=\"ad\"]","a[href*=\"daraz.com.bd/sepnil/\"]",".advertisement-section",".add-wrap",".code-block:not(.code-block-6),\n.tdi_348",".home-page-ads a:not([href*=\"deshprotikhon.com\"]),\n.main-content a[target=\"_blank\"] img,\n.main-header-ad",".header_top_ad_code,\n.jw_article_body div[style=\"text-align:center\"] div[style*=\"width:300px;\"]","img.alignnone.size-full",".horizontal_ad_wrap",".banner_section",".td_block_empty_space",".tdi_28",".vc_raw_html iframe","figure img.tie-appear",".td-a-rec-id-content_inline",".popmake-content",".widget_black_studio_tinymce",".single-content p ~ figure.wp-block-image,\n.str3",".adspace img",".dhadi-content_2","#awaken_video_widget-4,\n.banner21",".ads-container",".container-section.py-3,\ndiv[class*=\"h-[250px]\"]","#media_image-9",".mid-add",".squareadd img,\na.hide-for-print","#left_level_2","#left_level_3","#level_5_after_ad_space,\n.ad_before_level_3,\n.c-ad-container",".AD_NEWS_CONTENT_INNER_P1,\n.popover-ad",".e3lan300_250-widget",".td-g-rec",".logo__ads","#secondary .widget_text:not(#text-32)",".news_scrol-bean","#header .sidebar-col",".main-wrap div[data-adid]",".header-full-ads-top",".td-main-content-wrap .td_spot_img_all,\n.tdb_single_content figure.wp-block-image",".tdm_block_inline_image","#metaslider_widget-3","#metaslider_widget-5","#sidebar .widget_metaslider_widget,\n.slider_2,\n.slider_3",".add figure img","#main-ads-post","#newmodal .modal-dialog",".add-item",".header-promo,\nimg[alt=\"ad728\"]",".software",".ad-part",".elementor-widget-wp-widget-custom_html",".MuiBox-root:has(> div > .adunitContainer)",".gal-img2,\n.topadtxt160","div[id^=\"adv\"]",".content-av,\n.widget-container-439 > div:not(#section_content_check_14080)","aside.ads-info-block","div[style^=\"height: 350px;\"]",".add-widget","#full_level_1_detail,\n#left_level_after_paragraph,\n.to-be-async-loaded-ad#after_related_post,\ndiv[class*=\"-ad-\"]",".advertisments",".widget_media_image:not(#media_image-38)",".adsbx728x90,\n.topnewsbx > div[style]",".page-content-single div[style*=\"clear:both;float:left;\"],\n.widget_media_image:not(#media_image-28):not(#media_image-49)",".widget_palika_advertisement","#content .widget_text","#text-8","#widget-sidebar-0 ~ div:not(#widget-sidebar-14)","#secondary-right,\ndiv[id^=\"doaba-\"]",".widget.Image:not(#Image1)",".sg-ad",".floating_ad_single",".addb",".skada,\n.skadd",".skads",".adv_box_3x25,\n.dool-ad,\n.dool_ad,\n.doolgad,\n.horiz_adv_area",".category_ad_space,\n.duble_advertisement,\niframe[src*=\"webdevelopmentjapan.com\"]",".td-banner-wrap-full",".dpAdSection",".wp-block-gallery-3",".advertise-area",".content-middle-ads",".entry-content a img,\nsection.widget_text",".td_block_video_embed","#custom_html-10","#text-31",".widget_area",".widget-sidebar img,\nimg[alt=\"add image\"]","div[id^=\"eadar-\"]",".stream-item-mag",".long-ads","#sgpb-popup-dialog-main-div-wrapper",".ad1",".atf-wrapper","#addheaderbanner","a[href*=\"aruchuna.com\"],\na[href*=\"eelamhomeland.com\"],\na[href*=\"eelamview.com\"],\na[href*=\"eelamwallpapers.com\"],\na[href*=\"eelapparavaikal.com\"],\na[href*=\"eelavarkural.blogspot.com\"],\na[href*=\"eelaveechu.net\"],\na[href*=\"eelavenkai.blogspot.com\"],\na[href*=\"pulikalinkural.com\"],\na[href*=\"puliveeram.wordpress.com\"],\na[href*=\"tamileelamsongs.blogspot.com\"],\na[href*=\"thesakkatru.com\"],\na[href*=\"veeramaravarkal.com\"],\na[href*=\"veeravengaikal.com\"],\na[href*=\"verkal.com\"],\na[href*=\"yaalvaakai.com\"]","#AutoNumber1",".td-fix-index > h4,\n.td-ss-main-content .code-block",".td-main-sidebar .widget_custom_html",".td-a-rec-id-content_top",".td-post-content > p > strong:only-child",".td-post-content figure.wp-block-image",".elementor-widget-jet-listing-grid,\n.jet-popup",".ad-wrapper-250",".ad-wrapper-275,\n.ad-wrapper-photo,\n.align-home-ads,\n.amz-with-ads,\n.fbnad,\n.midArtContainer",".ad1_native",".adCANContainer,\n.wdt_amz",".hp-rhs-ads-container","div[class$=\"_ads\"]",".dgw","#welcome",".bn-content",".ad-img",".adalyticsblock",".banner-top:not(.first),\n.wrapper-box","#roadblock-ad",".ads-rightside,\n[class*=\"center-ads\"]",".entry-content figure.wp-block-image",".wp-block-gallery","#text-12",".add-image",".bay-ad",".in-pan-ad,\n.mid-had,\n.side-bar-big-ads,\n.span-2 a:only-child,\n.top-bar-left-nav",".banner-section",".details-big-banner,\n.top-header","#eloka-google",".gam-each-ad","#pravas-channel",".full-width-bigyapan-wrapper","#kode-iklan-bawah,\n.widget img[src^=\"data:\"]","#v-enavabharat-0","#logo_middle",".advt_r",".banner-header",".ad_squar,\n.extra_ad",".stream-item-below-post-content",".second_section_right,\n.third_section_ads","#messagem",".widget_sow-image:not(#sow-image-27)",".ad-sec img,\n.daraz-ad",".w-60,\n.w-70","#header-helpful,\n.brand_wrapper .tagline,\n.widget_ads_easy_widget,\na[href*=\"pipaffiliates.com\"]",".single-entry > div[style^=\"float\"]","div[class^=\"topad\"]","#divSliderMain,\n.widget_media_image:not(#media_image-121):not(#media_image-113)",".master-slider-parent",".bstyle-list ~ .post,\n.wpb_single_image figure","section.widget img:only-child","#HTML94","img[alt=\"ad image\"]",".main-ads-pikihome","#custom_html-8","#custom_html-9",".block-custom-content:not(#tie-block_1405)","#roadblockModal,\n.logo__right,\n.promo-detail,\n.promo__col,\n.promotional__col",".ws_gestures",".mainadvert,\n.mainadvert2,\n.mainadvert3,\n.mainadvert6,\n.mainadvert7,\n.mainadvert8","#text-16",".singlepage-section .col-md-8 .add img","img.img-fluid[src*=\"/backend/logo/\"]",".header_date_sidebar",".header_top_banner",".add_area > .textwidget","#top_level_full_1,\n.inside-post-ad-1",".kenm,\n.widget_kenm",".removeStyleAd,\ndiv[id^=\"taboola-\"]",".filmi-kan-ad,\n.filmi-kan-header-ad-wrapper,\ndiv[id^=\"cmscontent-article\"]","div[class*=\"kan-ad\"]","#modalBody,\n.mb-hidden img.center","#itro_popup",".widget_fgwt",".jft_ads",".belowslideshow,\n.topheaderpic,\ndiv[style*=\"float: left; width: 320px; height: 180px;\"],\ndiv[style*=\"margin-top: 16px; height: 80px;\"]","div[id^=\"BANNER\"]",".header-middle-area,\n.post-widget-carouselr,\n.theiaStickySidebar iframe,\naside.tb-posts-slide-widget",".buget-banner,\n.for-add",".InsidePost",".text-html ~ .stream-item-widget",".ad728_cont_mid",".post figure[id]",".ar_ads","#content .abv-container",".sidebar .stream-item-widget",".widget.text-html",".widget_right .textwidget","#text-10",".no-bg-box-model",".adds_taja img,\n.ads aside:not(#custom_html-7)","div[class*=\"-shortcode-\"],\ndiv[id^=\"ganda-\"]",".wp-image-25993","#sp-ads,\n.sppb-addon-content .custom",".bdaia-box7",".site-adv1","#wonderpluginslider-container-3,\n.beforeheader_728",".myIFrame",".wp-image-27299","#media_image-21","#media_image-26","#media_image-27","#media_image-28",".mb-3:has(> div > ins.adsbygoogle)","#npkit-recent-posts-5,\n.entry-content .wp-block-image",".wp-block-group","#video-widget-2,\naside.sidebar-narrow",".single-post-content img.alignnone","#HTML24","#Image14","#content .widget_block","#content section.widget_text[id^=\"text-1\"]","a[href*=\"bit.ly\"]","aside.widget_media_image img:only-child",".innerAdColum","div[id^=\"ad_\"]","div[class*=\"_ads\"]","#text-html-widget-3","#text-html-widget-4","#khb-button-ades,\n#square-close .front,\n.uk-container section.widget","#main-content .textwidget img,\n.pf-content > div[style]",".stream-item-above-header",".theiaStickySidebar .widget_text:not(#text-22)","#custom_html-14","#custom_html-39","#custom_html-40",".countdown_wrapper","#widget-sidebar-0","#recent-post-slider-1","#media_image-51",".site-header-ads",".top-news-sidebar-ads",".adv-box-wrap,\n.box_wrap.p-2,\n.content-box-ad,\n.sm-main-adv-box",".below-samachar-add,\n.news-inline-add","#HTML6","#top1,\n.rimage,\ndiv.HTML:has(> div ins.adsbygoogle)",".add-slider,\n.adds-lg,\n.adds-sm",".side-indent .wgs-ads:first-child",".banner-right,\n.custom1,\n.ga-1,\n.videowrapper.mtop20,\nimg[alt=\"banner\"]","div[class^=\"grami-\"]",".elementor-widget-shortcode",".widget_media_image:not(#media_image-2):not(#media_image-4)",".dtl_section figure.image,\n.scrollable-slider,\n.sideAds_bg","#HTML29","#HTML30",".ads_css_title","#v-grehlakshmi-0","aside.widget_sp_image","#fsb_image,\n.add_block_hdefault,\n.custom-html-widget iframe,\n[id^=\"itro_\"]",".add-300x250,\n.rhsTopBannerParentAd",".a-single",".topad","#widget4",".do-space,\n.sep",".text-html-box.h250","#gulte-text-html-widget-2",".thumbnail_container",".stream-item-above-post",".tdi_107.td_block_slide,\n.tdi_118","div[class*=\"iklan-\"],\ndiv[id^=\"center-ads\"]",".e3lan-below_header",".aalb-product-carousel-unit",".col-lg-3 .home__news_box,\n.footer__top__up__image,\n.web__banner","div[id^=\"haldw-\"]",".details-ad",".wp-image-29079,\n.wp-image-29080",".wp-image-173195",".td-post-content .td-a-rec","a[href*=\"/ads/\"]",".long__ads",".banner-click-action,\n.display,\n.top-income-source-wrapper",".min-global-adv","[class^=\"sgpb-\"]",".container-ad",".banner_wrapper",".in-news-advertisement",".hbm-320-50-ad",".featured-ad-bg",".cnt_cnt_ads,\n.neptop-ads-place,\n.nt_ads_space img","a[rel*=\"sponsored\"]",".m-116",".m-200","#covernews_posts_carousel-7","#sidebar-primary-sidebar,\n#sidebar-secondary-sidebar,\n.single-post-content > p img:only-child","#ads300_600-widget-3,\n#eaa-12","#adAboveHeader",".ws-block img:not([src*=\"headline24.jpg\"])",".article_text-content figure","div[id^=\"hello-\"]",".article-desktop-ad-container","aside.widget_media_video","div[id^=\"AS_O_\"] > div:nth-child(-1n+10)",".list_ads",".article-container",".rd-ads",".rd-between-ads,\n.rd-bottom-popup",".Ad",".content-banner,\n.feature-ad,\n.feature-bottom-ad","#myCarousel","#sppb-addon-1492748325089,\n.sppb-addon-container.main-content",".adsen,\n.c_ad","div[id^=\"himac-\"]",".et_pb_image,\n.widget_text a[target=\"_new\"] img,\ndiv[id^=\"himal-\"]","#widget_sp_image-12,\n.simple-image","#simple-image-popup","div[data-adid] img","#text-35,\n#text-39","#text-40",".bigyaapan-box",".bigyaapan-item",".elementor-widget-image:not(.elementor-element-79c39f1)","#primary .widget_media_image","#sidebar-primary-sidebar .widget_media_image","#custom_html-51",".lhk-ads-container","#content .widget_block:not(#block-62)",".post-text img","a[href*=\"astrosage.com\"],\na[href*=\"ojassoft\"]",".sticky-sidebar .widget_custom_html","#right-sidebar .widget_block",".obi_random_banners_posts",".penci-text-block",".theiaStickySidebar > .widget_text","a[href*=\"fkrt.it\"]","section[id^=\"ai_widget-\"]",".rd-widget-ads",".theiaStickySidebar .widget_block","#text-7 iframe","img[src*=\"c-force/booking/\"]",".advMasterSlot,\ndiv[class^=\"advInBtweenNewsCard\"]","#popup_box,\n#wowslider-container105,\n#wowslider-container113,\n.main_header .ws_images,\ndiv[class^=\"avtg\"]","#media_image-17",".logobanner",".main-and-sidebar .Image","#wdslider-57",".ed-first,\n.right_level_2,\nsection[class*=\"-ad-\"],\nsection[class*=\"ad_after_\"]","#block-23","#block-24","#stream-item-widget-5","a[target=\"_blank\"] img:not([src*=\"Screenshot_2022-11-22_at_10_43_32_PM.png\"])",".side_bar .py-1 img","p[class=\"fontBold\"]",".sideLeft .custom-html-widget,\n.sideRight .custom-html-widget,\n.sidebar > .widget_custom_html,\n.wp-image-87280,\n.wp-image-87281,\n.wpb_content_element span[style=\"color: #999999;\"],\n.wpb_wrapper .vc_single_image-wrapper:only-child",".advertisement img",".inside_ads",".et_pb_image:not(.et_pb_image_0_tb_header),\n.et_pb_post_content img,\n.et_pb_slider","div[id^=\"AS_P_\"]",".proad",".alignnone.size-medium","iframe[src*=\"igoogleportal.com\"]",".entry-content > div,\n.home .site-wrap > div:not(.elementor)","#content .master-slider-parent",".bg-color-gray-fot,\na[target=\"_new\"]",".newsbox_text,\n.page_left div > iframe",".ads-between-story,\n.bccl-ad-wrapper","#sidebar .widget:has(.banner)","a[href*=\"reecha.lk\"] img","#main-content .e3lan","a[target=\"_blank\"] img[alt=\"images\"]",".marquee-ads",".iftam-content",".widget_block:has(> p > ins.adsbygoogle)","header + div .elementor-shortcode img","#banner",".td-a-rec-id-content_bottom","#HTML27,\n#adx,\n#full-size-Ad,\n#p-vila","#Image8",".bsac-container","#parentDiv0",".picgaladdcntr","#HTML14,\nimg[alt^=\"Menu\"]",".td-a-rec-img",".ie-network-taboola","#featured-multi-wrap",".sidebar .widget_block","#sticky-wrapper .widget_metaslider_widget","#media_image-14","#text-28",".widget_fcko:not(#fcko-25),\nfigure[id^=\"attachment\"]",".pwa-deals,\ndiv:has(> div[data-native-ad])","a[onclick*=\"eskcl/click.htm\"]:not([onclick*=\"&u=https%3A%2F%2Feisamay.indiatimes.com\"])","#sidebar .widget:not(#widget-sidebar-7)","#custom_html-36",".td-ss-main-sidebar .widget_metaslider_widget","#aniview",".adsBox",".ad_section_1",".innew-before-content,\n.innew-widget",".widget_esn_ad",".td_block_video_playlist,\na.td_spot_img_all",".mag-adver-part","#text-577","#ads160_600-widget-2","#widget_626,\n#wrapper_526","section.widget img:not(.wp-image-85373)","div[id^=\"jagat-\"]",".widget_728x90_advertisement,\naside.widget_text:not(#text-25):not(#text-27)",".amws-custom-widget-show-ad",".ad-aria,\n.dt-highlighted-news-2 aside.widget_text","#fscorecard,\n.adv-img,\ndiv[style*=\"height:104px;\"]","#post-7708",".webAds",".AdCont,\n.BannerAds,\n.NativeAd",".Ads",".modal-body,\n.slider img:not([src*=\"1595764637\"]),\n.video-container ~ img:not([src*=\"1595764637\"])",".container-bn",".widget_supermag_ad","#custom_html-34",".futureads","#HTML101,\n#HTML123",".widget_custom_html:not(#custom_html-9)",".advertise_space2,\n.popbox,\n.top-bar",".photo-gellary iframe,\n.single_page .widget_area","#wr,\n.bigyapaan,\n.bigyapaan__section img:not([src*=\"election_result.jpg\"]),\n.inline__bigyapaan",".block-29",".advert_sec1_left,\n.advert_sec2",".elementor-shortcode",".advertisement_bar","#panel-31350-5-1-1",".CMAC_AdChangerWidget",".bigyaapan",".bigyapan-box",".mom_box_sc","#tie-block_1354",".td-main-content-wrap .td_block_single_image",".mukhya-samachar > .full-bigyapan",".adsimage img:not(.wp-image-63475)",".vmagazine_medium_ad",".pum",".sidebar-inside .widget_custom_html,\na[target=\"_blank\"]:not(.btn) > img",".e-con:has(> .e-con-inner > .elementor-widget-heading),\n.e-con:has(> .e-con-inner > .elementor-widget-html)",".header-nav-main.nav-right",".ws-block-body a img:not([src*=\"dj.JPG\"])",".inside-post-ad-before",".block-60,\n.block-74,\n.block-85","a[href*=\"click-add/\"]",".penci-content-main .wpb_content_element","#top_level_3,\ndiv:has(> ins)",".to-be-async-loaded-ad","#main .container",".desk-ad-bg-container","#media_gallery-3","#topads","#metaslider_widget-2",".stream-item-below-post",".post-content .tr-caption-container","#tie-block_576,\n.wonderplugincarousel",".leaderboard-wrapper",".homeboxouter",".entry-content img.size-full",".widget_text .td-all-devices",".jhark-content",".rd-ads img:not(.wp-image-2735)",".code-block figure:has(> figcaption)","a[href*=\"affiliraiser.com\"]",".widget_ads_big",".code-block-8","#secondary .widget_media_video",".inimistacad-home",".jogin-widget",".elementor-widget-html",".elementor-widget-sidebar","div[id^=\"johar-\"]",".jonop-content",".ksrm_ads_bnr,\n.td-a-rec:not(.tdi_138)",".wp-image-1366",".adds-block","section[data-id=\"147a440\"]","#popAd,\na[href*=\"eximbankbd.com\"]:only-child,\na[href*=\"jamunagroup.com.bd\"]:only-child",".addtop_inner",".blurb img","#block-108",".wp-block-video",".kages-widget","#attachment_43256,\n#attachment_44092,\n.banner-ad-wrap",".code-block-3","hr:first-child ~ div","div[id^=\"slideshow\"]",".header .slide_img,\n.text_post_section + .row img","#author-bio-widget-1","div[id^=\"car-SL_\"]","#right-sidebar .widget_custom_html,\n#right-sidebar .widget_text img:not([src*=\"/Apps-\"]),\n.advertisement img:not([src*=\"Abu-Nasor-sir\"])",".advertisement-single-float",".desktopView:has(> [ad-position])",".widget_namo_advertisement",".wpb_content_element.vc_align_center","div[class*=\"m__ad-\"]","a[href*=\"successacademy.org.in\"] img",".bannerListWidget",".custom-banners-cycle-slideshow",".wp-image-1118","#header-right",".tagdiv-type .td-fix-index img",".enhanced-text-widget",".HTML .widget-content img","div[class*=\"kanak-\"]",".kd_adv1",".td-ss-main-sidebar .td_block_image_box",".elementor-widget-spacer",".widget-container-188",".embed-responsive-4by3",".ktmjq","#text-2 p ~ p,\n#text-3 p ~ p","img[alt*=\"add\"]",".single-sidebar iframe",".above-sidebar-wrapper","#ivrss_holder1","#panel-38-2-1-1,\n#pg-38-7",".vmagazine_lite_medium_ad",".addDivR1",".theiaStickySidebar .widget_custom_html:not(#custom_html-4)",".kd-ad-horizontal,\nsection.widget img:not(.wp-image-53237)",".theiaStickySidebar .text-html-box","#HTML1 a[href*=\"facebook.com/kasargodvartha/\"] img,\n#HTML92,\n#add-widget,\n#main-widget .widget.HTML,\nimg[title=\"wellfitindia\"]","[alt=\"add image\"]","div[id^=\"kastu-\"]","#myModal","#wrapper a[target*=\"blank\"] img,\n.foot_ad",".sp-ad-row,\n.spnsrd-ad",".no-bod .ad-title + a img","#slideshow","#stream-item-widget-2",".block-15","#content .stream-item",".theiaStickySidebar .widget_metaslider_widget",".inner-square","section.widget figure",".brdbt.stock",".a-300-250,\n.cs-sec-feat-title",".st-banner","a.disabled",".bg-light.py-5","#header-widgets,\n#secondary .widget_text img","#foot-ad-wrap","div[id^=\"AS_O_LHS_\"] > div:nth-child(1n+21)","a[href*=\"ksfe.com\"]","#widget_sp_image-14","#widget_sp_image-10,\n#widget_sp_image-11",".theiaStickySidebar .widget_media_image:not(#block-2):not(#media_image-17)",".single_sidebar:has(> ul > div)","div[class*=\"jeg_ad\"]","#block-127",".widget_block:has(> ins.adsbygoogle)",".widget_media_image:not(#block-245)",".sb-widget-ad",".sidebar-inner .widget_custom_html,\n.uris-slider-post-title",".ad-row-container,\n.detail-right-ad img:not([src*=\"unicode_converter.jpg\"])","#block-29,\n.sticky-sidebar > section.widget_media_image",".text-html-box figure","div[id^=\"khaba-\"] img:not([src*=\"Join-WhatsApp-Group\"])",".add:has(> div[id$=\"advertisement\"])",".hm-header-image,\n.widget_text:not(#text-15)",".right_adbox img","#custom_html-28",".wonderplugincarousel-container","table[style^=\"width: 100%; background-color: rgb(255, 238, 0);\"]","#header .widget_block",".banner-widget,\n.khabarhub-inner-ads,\n.title-top section",".single-728,\n.single-box",".img-ads,\n.site-footer__bottom,\n.view-ads",".td-spot-id-sidebar","#content .widget_media_image",".insd-advert","div[id^=\"khaba-\"]","div[class^=\"add-\"]","#block-18",".InArtilce-AdSlot01",".khaba-widget","#widget-sidebar-4","div[class*=\"vigyapan\"]",".addbelow",".elementor-widget-video",".wp-image-320000","#media_gallery-2","#adgshp985719811,\nheader a[href*=\"/click-\"]",".vc_row:has(> .vc_column > .wpb_wrapper > .td-a-rec:only-child)",".tdi_62",".add_logo",".n2-ss-slider",".colombiaonesuccess iframe,\ndiv[name=\"ArticleShow-Organic-LHS-1\"] div:has(> div > div > span + a),\nimg[alt=\"sonu\"]","#secondary .widget_custom_html:not(#custom_html-14):not(#custom_html-15),\n.elementor-spacer,\n.elementor-widget-heading","#sidebar-right .widget_custom_html","#sidebar-right .widget_media_image",".banner_add_class_main,\n.banner_add_class_right",".view-ads-view","div.mrgR5[style*=\"height:250px;\"],\ndiv[style^=\"background-color: lightgrey;\"]",".post-entry .code-block,\nsection .textwidget img:not(.wp-image-131626)",".tdb_single_content img",".add-bg-02",".wpb_raw_code img",".box_outer.widget_text,\n.mom_ads300",".vide_area,\naside.right_content div.single_sidebar:has(> a[target=\"_blank\"])",".desktop-ad-nilsagor",".widget_section .add","#sidebar .ws-block-body > a img","div[style=\"overflow:hidden;min-height:250px\"]",".img-ad","a[href*=\"angelbroking.com\"]","div:has(> p > ins.adsbygoogle)",".textwidget p img",".widget_media_image:not(#media_image-2):not(#media_image-6)","img[alt=\"ad\"]","#block-27,\n.pixelMainDiv",".hr_ad_block","div[data-first-video=\"ul8Qyg4Ylko\"]",".topside-ad",".add .widget_area:has(> img)",".add p img,\n.singlepage-section .widget_area",".container-fluid.pt-3","[data-adid] > p",".koyil-widget,\ndiv[id^=\"koyil-\"]",".widget_block:not(#block-3)",".td-ss-main-sidebar .widget_media_video",".krant-after-content,\n.krant-below-title,\nsection.widget_custom_html:not(#custom_html-2)",".add-top","#slider-pro-3-31077",".herald-da",".sidebar-widget .widget_media_image",".single-post aside.widget_media_image","#simpleimage-13,\n.sideadd",".topadd","#simpleimage-14,\n#simpleimage-26,\n#simpleimage-27,\n#simpleimage-29,\n#simpleimage-31,\n#simpleimage-5,\n.add1","div[class*=\"ad-slot-\"]","#secondary .widget_media_image:not(#block-3),\n.entry-content p > a > img:not([src*=\"whatsapp-group.jpg\"])","#Image7","#belowflash,\n#belowmainnews,\n#pgc-7-1-1,\n.widget-header > img",".kushi-after-content",".above-banner",".amazingcarousel-list-container","a[href*=\"kasargodvartha.com\"],\na[href*=\"pace.edu.in\"]",".advbox,\n.sp_simple_youtube",".widget-banner",".bichar",".header_img","#block-11","figure > iframe","img[src*=\"Modhomoti-\"]",".card.text-center,\n.fluid-news,\n.left .aside-wrapper","#main-content + aside > .widget_media_image",".code-block-6",".sticky > div:nth-child(2),\ndiv:not(.sticky) > div > .splide[aria-label=\"My Favorite Data\"]","#cookieModal,\n#header-banner .text-right","#sidebar .e3lan,\n.inner-wrapper .e3lan-below_header","#content > .widget_text",".banner-news-section",".lekali_online_adv",".widget_media_image img:not([src*=\"nocs.png\"])",".ad_bottom_lip",".ads_bottom_disp","#AD_FLOAT","#logoBand-image,\n.StoryPage_tabooWrp__NKSGA,\n.ntwrk-wdgt,\n.prlads,\ndiv[class^=\"Ads_\"]",".taboola","#headermain .sp7","#news_portal_ads_banner-5",".cntarea img","#sidebar-right .widget_block figure",".e3lan-post",".center-aligned-ad,\n.paraAd img:not([src*=\"viber_image_\"])","div[id^=\"ai_widget\"]",".wp-image-122343,\n.wp-image-41683,\n.wp-image-59042","#sidebar .ws-block-body > a > img",".bottom_ad_slide,\n.slider_ad_top","#beforehead,\n#headerBanner,\n.inarticleAd","div[id^=\"photoInlist\"],\ndiv[id^=\"rhs-\"],\nhomepage-taboola",".ads_699","#herald-module-1-10,\n#herald-module-1-15,\n#herald-module-1-19,\n.herald-no-sid,\n.herald-txt-module img.size-full,\n.wp-image-148506,\n.wp-image-225930,\n.wp-image-242302,\n.wp-image-246528,\n.wp-image-84961",".wpb_single_image img:not([src*=\"mukhaya-mantri-add.gif\"])",".entry-content > div[style^=\"float\"]","a[href*=\"deshihost.com\"]","div[class*=\"m__ad\"]",".bigyapan-section","#block-10",".block-right-bottom-ads",".ads-style1","#block-59",".wow",".wp-image-27407","div[style*=\"height:260px\"]","div[id^=\"madat-\"]","#sidebar .widget.HTML:not(#HTML8):not(#HTML6)","#Image12,\n#Image18,\n#Image19","#Image13,\n#Image15,\n#Image17,\n#Image20","#Image21,\n#Image22","#Image23","#Image5","#media_image-50,\n#media_image-52,\n#media_image-53,\n#media_image-56,\n#media_image-60,\n#media_image-72,\n#media_image-82,\n#media_image-84,\n#media_video-5",".ads-iframe",".extra_bottom_sections,\n.hocal-ad-block,\n.story-ad1,\ndiv[class*=\"ad-box\"]",".left_level_2","a[href*=\"adview\"] img",".widget_media_image:not(#media_image-125)",".code-block:not(.code-block-4)",".stream-item-below-post-comments,\n.stream-item-in-post","aside.ai_widget",".sidebar-widget-wrapper > aside.widget_media_image",".news-advertorial","#metaslider_widget-4",".widget_custom_html:not(#custom_html-4)","#adoverlay",".is-full-widescreen-ad",".section-ad-space",".single-post-content [data-adid],\ndiv[class*=\"makda-\"]","#ad",".inner-post-ads","div[id^=\"malab-\"] > img",".alertAdd,\n.malab-article-top-ads,\n.malab-home-page-sidebar-2",".entry-banner","iframe[src*=\"MalusKitchens\"]","#boxes",".container #sidebar img",".top-d",".vc_raw_html","div[style*=\"height:1120px; \"]","entry-content a[href^=\"tel\"]",".code-block-2","a[href*=\"maloutonline.com/listing/\"] > img:only-child","#footer_section_1 img:not(#Image1_img)","#viral_advertisement-11,\n#viral_advertisement-7,\n#youtube_responsive-10",".post-entry div[style^=\"float\"]",".header-adds,\n.livedemo img",".sam-pro-ad",".wpb_content_element p[style*=\"SolaimanLipi\"]","#dfp_banner_header_panel + span,\n#recommendations,\n.siderbar-eds,\nspan[id] > iframe[id]:only-child",".advert",".inner-add,\n.post-inner-image",".comp-ad",".container .experiencefragment,\n.top-advt-block",".rhs-cont",".td-main-content-wrap .td-a-rec:has(> div > div > h4.block-title)",".mh-header-widget-2",".theiaStickySidebar .elementor-inner-section",".advertise-border","#sidebar-right .widget_media_video","#vdo_ai_div-0",".widget_viy",".branding_logo,\ndiv[class^=\"banner_sliders\"],\ndiv[id^=\"ML_DT\"]",".mzb-advertisement","#main_ad1",".article-content .ml-slider",".header .mom-e3lanat",".sidebar-column,\ndiv[class*=\"pubadban\"],\ndiv[data-adid]:not([data-adid=\"3307\"])",".post > a img",".sm-ads","div[class*=\"td-spot-id-content_\"]",".fullwidth-header-ads-wrapper","#left_level_after_image,\n.ad-gap-sm","footer .widget_media_image",".bigposter","#block-16","#block-39",".tdb_single_content .wp-block-image,\n.tdm_block img","#right-sidebar-inner,\n.hustle-layout",".bigyapan-banner","#HP_O_LHS_1 > div:nth-child(2),\n.extraList","div[class*=\" ad-slot-\"]",".latest_postnav","#mep_0",".ads .widget_media_image:not(#media_image-53)","img[alt=\"mAD\"]",".dpad_custom",".piki-ads-res",".wpwbs_banners",".mohag-widget",".DHeaderAdd,\n.ads img","div:has(> div > span[name=\"adchoicehtml\"])",".in__between_ads",".headRightAdv,\n.side_right li ~ li","#text-124",".td-post-content a > img",".add-section img","#metaslider_1316","#wds_container1_0",".ugaam-ad-wrapper","#widget-sidebar-2 ~ .widget:not(#widget-sidebar-14)","#data_id_1",".wpb_images_carousel",".wpb_single_image .attachment-full,\n.wpb_single_image .wpb_heading",".d-block",".home-small-ad,\n.top-links-form","#adsentop",".bd-sidebar .widget_text","center img.w-100",".banner-half",".homead-fullwidth,\n.top-header .add-bottom-margin","#panel-134-5-1-0",".dfad,\n.wpb_wrapper .vc_raw_html img",".hb-img",".rt-top-ad",".article-tag-content:has(> .oiad)",".oiad",".os-ad,\n.os-ad-c",".footer-addds",".font_widget_two,\n.section_lead #myCarousel,\na[href*=\"/ad-2/\"]","#sidebar-primary-sidebar .widget_custom_html",".starofmysore",".d-sm-flex,\n.d-sm-none.d-block:not([class^=\"co\"]),\n.d-sm-none.d-flex,\n.mb-5.justify-content-center,\n.my-5.justify-content-center,\ndiv[style*=\"min-height\"],\nins[id^=\"infostation-\"]",".sidebars-area",".bdaia-header-e3-desktop,\n.bdaia-widget-e3","div[class*=\"ads_detail\"],\ndiv[id^=\"adverts\"]",".ads img:not([src*=\"nagarikpati-tv\"])",".wp-block-image img,\ndiv[class*=\"naini-\"]",".advertisement-wrap,\n.logo-right-ad,\n.news-content-inner-ad","#bdaia-widget-html-4,\n#bdaia-widget-html-5","#stream-item-widget-4",".three_ads","div[id^=\"namma-\"]","div[id^=\"nande-\"]",".add-section-home.right",".no-vigyapan-section,\n.no-vigyapan-single","#fn-before-content-sidebar",".fn-widget-image",".stream-item-inline-post",".ad_responsive",".topadrt",".long_ads1",".wp-image-12870,\n.wp-image-245,\n.wp-image-251,\n.wp-image-252","#header-banner","#media_image-42","#sidebar .widget_block",".widget_media_image:not(#media_image-3)",".header_biggapon",".ads-bar,\n.details-sidebar > .row.justify-content-center","#stream-item-widget-12",".code-block:not(.code-block-10)",".bs-injection,\ndiv[id^=\"vuqly-\"]",".td-a-rec:not(.td-a-rec-id-content_top),\n.td_separator_solid",".tbarad-content-wrapper","div[id^=\"navin-\"]","div[class*=\"m__dfp\"]","#media_image-11","#text-4 marquee",".penci-sidebar-right",".mid-ad-heading",".td-banner-bg",".wpb_raw_code + .td_block_text_with_title",".naya-bikalpa-advertisement",".detail-ad-holder,\n.image.attachment-full","#slotbanner",".image_head","a[href*=\"gurkhasfinance.com.np\"],\ndiv[id^=\"nayap-\"],\nsection.widget img:not(.wp-image-243554)","#flashnews",".post-body .tr-caption-container,\n.sidebar .HTML:not(#HTML15):not(#HTML8),\n.sidebar .Image:not(#Image6)",".wp-image-2104,\n.wp-image-2806","aside[id^=\"ai_widget-\"]","div[class^=\"bigyapan\"]",".header-top-details-right,\n.widget_black-studio-tinymce",".single-wrapper-details-sidebar-ads",".horizental-ad-image",".logo-ads,\n.logo-ads-header,\n.logo-ads-singlepage",".adsgo,\n.midads",".nepalijanta-ad","#content .news_portal_ads_banner","#sfSideadd .sfModulecontent > div:not(#divLatestNews)","a[href*=\"callrakesh.com\"]",".fixedbar",".bannergroup",".nk-sidebar-ads,\n.paraAd",".advertiseImage,\n.single-post-advertisement,\n.siteContent > p a img",".modal-content",".ads img:not(.wp-image-72119)","#Image39",".adsimage img:not(.wp-image-143293)",".full-ad-img,\n.inner-page-ful-ad-btm,\n.rojgar-img-blk",".don",".td_block_single_image:not(.tdi_27)",".no-bod > a,\n.skip-ads",".full-bigyaapan",".tc-side-ads",".ad-sec",".comon-ads","div a[target=\"_blank\"] img",".content-heading video,\n.gam-each-nvad",".fullwidth__add,\n.gam-each-caad:not(#gam-ad-13):not(#gam-ad-15)","div.ptop--30:has(> .ad--space)","#floating-sidebar .custom",".tigDiv,\n.vc_figure",".vc_slide","main .advertisement img","td:has(> script)","#main-head .right",".widget_mts_widget_adcode",".align_cent","#content center img",".news1-before-content_6,\n.news1-before-content_9",".ays-pb-modals","#right div:has(> div.nw18-dfp-ad),\n#vigyapan,\n.ad_cntainer,\n.add_secton,\n.ads-slider,\n.ftrad,\n.global-storylist li[style^=\"height\"],\n.listview-story li:has(div[data-implementation]),\n.listview-story li:has(div[id^=\"mobileAd\"]),\n.my-ad-rhs,\n.pwa_add,\n.sideMiddle,\n.sideTop,\n.site-ad-container,\n.taboola_setting,\ndiv:has(> .myad),\ndiv[class*=\"Header_inner_ad\"],\ndiv[class^=\"HomeMobile_mobile_add\"],\ndiv[style*=\"300px\"][style*=\"background\"]",".TABOOLA,\n.add_container,\n.newadd",".n18thder","div.newstrendvideo-box > ul > li:nth-child(7)",".entry-content iframe",".container .container #page-sidebar",".wp-image-643,\n.wp-image-8371","a[href*=\"narendramodi.in\"]","#widget-footer-0","#widget-sidebar-2",".custtwo_swiper-container",".home_last_ad",".single-block .col-sm-12 img",".topHeaderAd,\n.w-100","a[href*=\"/newspaper-ads/\"] img,\na[target=\"_blank\"] img[src*=\".gif\"],\na[target=\"_blank\"]:only-child img",".section-wrapper .stream-item",".add-banner,\n.aside-add",".adds_menu img",".code-block:not(.code-block-1)",".wpb_singleimage_heading",".img-advertise,\n.oit-ad-code",".neder_advertisement_content_banner","#below-header",".bc_random_banner",".wpb_gallery",".wpb-image-popup,\ndiv.g",".sidebar .widget_media_image:has(> :not(div))",".elementor-widget-image .size-large,\n.smart-head-mid .h-text",".right-banner",".Add-Master-Sside1,\n.Matter-Bottom-Add,\n.Matter-Top-Add",".td-main-content-wrap .widget_text",".elementor-widget-image img:not([src*=\"logo-en.png\"])",".block__2,\n.book_ads",".twp-ad","div[id^=\"newsh-\"]","#Feed1",".entry-content p img",".newsk-content,\n.nktv_adv,\ndiv[class*=\"_adv_\"]",".sidea .wp-block-image,\n.wid-1",".ob-cards",".adfoxly-wrapper,\n.td-main-sidebar .widget_media_image,\n.ugaam-ad-wrapper-outer,\na[href*=\"href.li\"]","div[id^=\"newsl-\"]",".wpb_single_image figure img:not([src*=\"NM-01\"])",".add-right",".banner-head,\ndiv[class*=\"adsense\"]",".advanced_text","#secondary .widget_block:not(#block-17)",".container-fluid a[target=\"_blank\"] img","#custom_html-23",".widget_media_image:not(#block-33)",".advertising,\n.advtertise","div[id^=\"AS_O_\"] > div:has(> div > div > span[name=\"adchoicehtml\"])",".section .adalyticsblock,\nsection.widget img:not(.wp-image-85386):not(.wp-image-87331)",".mySlides",".ads300x250",".header-second-adv,\n.row.mb-30,\n.sidebar-banner,\n.single-sidebar .post-carousel-1",".top-most-banner",".wp-image-10388,\n.wp-image-10536,\n.wp-image-11042,\n.wp-image-19215,\n.wp-image-2083,\n.wp-image-22995,\n.wp-image-3711,\n.wp-image-77",".axil-banner,\n.axile-ads-wrapper","a.disabled img,\ndiv[id^=\"AS_O_RHS\"] > div:has(> div > div > div > p)",".left_level_3,\n.section_before_trneding","div[class^=\"newst-\"]","#main .widget_custom_html,\n.click-zoom,\n[id^=\"newsu-\"]",".td-g-rec-id-custom_ad_1","div[id^=\"newsw-\"]","#main .widget_sow-image",".p-3.text-center",".intes_fixed,\n.intes_fixed + div","div[id^=\"AS_O_LHS_1\"] > div:nth-child(2n+1)","div[id^=\"showAS_O_BEL_\"]",".td-footer-wrapper .widget_media_image,\n.top_index_block_adnow","#webbank-ad-section,\n.sidebar-right.card4",".foogallery_widget",".smashwords-widget","#sidebar2",".nnews-content",".advertise-ifrme,\n.top-hda","div[class^=\"nokha-\"]",".sidebar .mb-2",".latest_news_post_ad,\n.top_most_news_post_ad,\ndiv[class*=\"_bottom_ad\"],\ndiv[class*=\"_right_ad\"],\ndiv[class*=\"inner-main-ad\"]",".ai-attributes",".sidebar iframe",".addsn,\na[href*=\"countryoven.com\"]","#awt-left",".widget_media_image:not(#block-9)",".below-content.widget_text","#HTML19",".single-dtls img","div[id^=\"AS_O_LHS_\"] > div:nth-child(1),\ndiv[id^=\"AS_O_LHS_\"] > div:nth-child(1n+10)","#content section.widget_text",".td-ss-main-sidebar .widget_custom_html",".header-inner .sidebar-col",".main-section [data-adid]","#header .sidebar",".wp-image-133",".cmscontent-article1","div[style=\"min-height: 250px;\"]","._adr_abp_container,\n.cmscontent-top","div[class^=\"discounts-\"]","#text-55",".btmAdHldr",".advls","#ok18-roadblock-wrap,\n.add__fullwidth,\n.nh_widget_wrap,\n.ok-full-widht-adv,\n.okam-ad-position-wrap,\n.okam-each-ad,\n.tribox-add",".adds-sec",".sgpb-popup-overlay","img[alt=\"1205X128\"],\nimg[alt=\"Header Ad\"]","aside.widget_media_image img:not(.wp-image-64636)",".googleAdBlock",".onlyn-after-content",".BannerAdd2","a[href*=\"hons.com\"]","div.row:has(> .col-md12 > .margin-top > img.attachment-full),\nimg.attachment-full",".addcomponent","a[href*=\"rv-weddinghall\"]","a[href*=\"tel:\"]","#olh-rhs1,\n.ad_unit_728x90",".widget_custom_html:not(#custom_html-14)",".ads_fix",".widget_custom_html:has(> div > ins.adsbygoogle)",".pahad-widget","div[id^=\"pahad-\"]",".biz-ad-block","div[class^=\"pakun-\"]","div[data-structure=\"12\"]","#content .widget_sp_image",".carouselbanner",".site-wrap .elementor-widget-image",".block-widget",".ads > a","#webs-bin-5836d5a9170f38d57b00df0a,\n#webs-bin-5bd3752bd8b6aa0001ca1138,\n#webs-bin-5bd3762dd8b6aa0001ca1164,\na[href*=\"baluasiaadd\"],\na[href*=\"channel/UCrx9evkteoAOVMtnZIssVuA/\"],\na[href*=\"stsstudio.com\"]",".kopa-adv-widget","#primary .gam-ad-position-wrap,\n.roadblock__ad a img",".gallery-ads",".topRightAdSec",".wp-image-4609,\n.wp-image-5343,\n.wp-image-5345,\n.wp-image-5348,\n.wp-image-735,\n.wp-image-752,\n.wp-image-8135,\n.wp-image-822,\n.wp-image-825","#box,\n.annonce_head,\n.group2,\n.group3,\n.text-center > table[width=\"98%\"],\ndiv[style$=\"height:90px;\"]",".parva-before-content",".theiaStickySidebar .widget_media_video",".parva-widget,\ndiv[class^=\"parva-after-content\"]",".advertise-section",".col-md-4 .aligncenter.size-full","#text-23",".adds",".widget_media_image:not(#media_image-29)",".td-adspot-title + a","#Mod155,\n#Mod173,\n#Mod174","div[class^=\"aryav-\"],\ndiv[class^=\"newsf-\"],\ndiv[class^=\"patna-\"]","div[id^=\"gpt_ads_\"],\ndiv[style]:has(> div[id^=\"gpt_ads_\"])","#slide-holder,\n.oad",".vmag_pro_medium_ad",".featured-post-ads,\n.fullwidhtads,\n.indexadsone,\n.pragads,\n.title_below_ads","#block-142,\n#block-222","#FloatAdx-left,\n#FloatAdx-right",".elementor-size-small",".td_uid_23_5ee077adb2830_rand","img[alt*=\" Ad-\"]",".tdb_single_content figure .blocks-gallery-grid:only-child",".elementor-widget-image img:not([src*=\"About-pokhara\"])",".mid-header .navbar-nav img",".vc_figure .vc_box_border_blue",".main-bg .carousel",".tdc-row-content-vert-center",".widget_area .wp-block-image img:not(.wp-image-72)",".fn-header-banner",".long_adv,\n.side_adv_part",".kc_single_image",".td-a-rec:not(.tdi_72)","div[style=\"min-height:280px;\"]","div:has(> div[id^=\"div-gpt-ad-\"])",".td-post-content .aligncenter,\n.td-post-content .alignleft,\n.td-post-content img.size-full",".adbar-area--,\n.navbar-area-2 ~ div[style],\n.ob-smartfeed-wrapper",".footer-widgets-wrap",".entry-content figure",".single-post-content div[class*=\"pubadban\"]",".py-3 .w-100","#block-pj-advt1",".site-header .htmlwidget","#secondary .ai-sticky-widget",".last_ads",".wpb_wrapper.td_block_single_image",".tdi_76","[class^=\"ad-service\"]","#services1 li.last",".header .banner",".imgad1",".ad--widget,\n.counter--section",".ad-on-header",".ai_widget:not(#ai_widget-3)",".wpb_wrapper .td_single_image_bg",".sadv",".home_right_ads",".Hero-ads,\n.Hero-ads-banner,\n.sports_section .muktomot_section",".offer_grid",".single-add",".single-page-add2",".post-header .bg-e2e2e2,\ndiv[class*=\"adbox\"]","#addv,\n.for_add",".thads",".safe_life:has(> .textwidget)","#custom_html-17","#media_image-20","div:has(> .dfp-ad-unit)",".ad img:not([src*=\"protichhobi-job.gif\"])",".d-flex > div[style*=\"height: 130px\"]","h2[style^=\"width:710px; height: 100px;\"]",".slideshow-container",".slideshow-container ~ div .dot",".all_add_div",".ads-widget-sec","#media_image-15","#text-600060003,\n.bdaia-e3-container","div.widget_media_image:not(#media_image-12)",".sticky-sidebar section.widget_media_image",".AdvtRight",".ad-box-300",".mh-widget-col-1 .widget_media_image","#right-sidebar .elementor-widget-image,\n.metaslider:not(#metaslider-id-1999)","#supermag_ad-3",".Al_ads_area","#primary-sidebar",".single__bigyapaan",".col-md-4 .pbwidget,\n.slideshow",".header-image-wrap,\n.purva-widget",".logo.float-right",".widget > .wp-block-image","#head-imgput",".adver-half,\n.adver-mkks,\n.adver-rightmkks,\n.logo-adverimg",".widget_media_image:not(#media_image-53)",".footer-widgets-area section.widget_media_image","div[id^=\"AS_O_LHS_1\"] > div:nth-child(-1n+5)","#MenuAlertAD",".gofollow","div.td-a-rec",".qvzk",".wds_slider_cont",".widget_news_magazine_adv:not(#news_magazine_adv-6)",".wpb_raw_html",".secOne-add,\n.siteber-add",".category-covid19_corona .pf-content figure.wp-block-image:first-child,\n.pf-content div.wp-block-image:not(:first-child)","div[class^=\"display-area\"]",".popular-section.pt-50",".entry-content div[style*=\"float:left\"]",".small-adv","div[id^=\"rasht-\"]",".rg-advertisement-long-horizontal,\n.rg-side-adv",".full-ads-wrapper,\n.side-ads-wrapper",".td-modal-image img.size-full","#owl-demo1",".bigyapan-margin-btm",".adv-item,\n.content-banner--single",".sidea","#metaslider-id-135",".news247_ads_banner_widget",".tdb_single_content .tdb-block-inner > h4 + p ~ :not(div)",".main-sidebar > .widget_text:not(:last-child)",".small-arthik-widget","div[id$=\"-ad\"]",".wp-image-70951",".colombiaadcode img,\ndiv[id^=\"AS_O_LHS_1\"] > div:nth-child(-1n+6)",".add_content","div[style=\"min-height: 90px;\"]","#sidebar > .widget_media_image","#adHeaderBottom,\n.footer-adv",".top_dd","#custom_html-53,\n#custom_html-54",".banner1","#popup_indiv2",".adore-adver","#myCarousel2,\n.add_image_ryt,\n.add_img_left,\n.add_img_left_new_2,\n.add_img_mid,\n.banner_add,\n.banner_slider,\n.img_1_logo,\n.img_2_logo,\n.middle_add_image_top,\n.top-news-ad",".unite-gallery,\n.widget_awaken_medium_rectangle_ad",".dazar-ad","#widget_sp_image-2","#custom_html-26,\n#custom_html-29,\n#custom_html-30",".td-post-content .code-block",".td-ss-main-sidebar .widget_text","#kp-premodal-1--wrap","img[alt=\"advertise\"]","#block-20,\n.theiaStickySidebar .widget_media_image:not(#media_image-15),\ndiv[class*=\"stream-item-below-post\"]",".prachar",".e3lan img",".AdvtSample","div[class*=\"slide\"]:has(> div > .AdvtSample)",".wp-image-248125,\n.wp-image-248302","#herald_video_widget-2","div[id^=\"sachk-\"]",".view-ads-all-blocks",".full-banner,\n[class*=\"advertisement\"]","a[class^=\"myadsply\"]","div[id*=\"_O_\"] div:has(> div > div > a > p + h3)",".post-footer center","#block-31",".td-ss-main-sidebar aside,\na[href*=\"uihmt.com\"]","div[class^=\"sajag-\"]","div[id^=\"hwp-\"]",".text-center iframe",".primary-sidebar-widget",".adtext,\n.google_ads_wrap",".add-text,\n.add-text + a:last-child","#right_banner","div[class^=\"home-adright\"]","#quads-ad17070",".both_AD",".img-add,\n.top_advertize","div[id^=\"samac-\"]","div[class^=\"sgpb\"]",".add-sm",".cont_break_ads",".full-bann",".bsac img:not([src*=\"go-seva.jpeg\"])",".bannar-full-width",".slider2","#popUpModalAd,\n.app-news-section-div:has(> .adv),\n.bottomReadMoreCart div[style*=\"width: 300px !important;height: 250px\"],\n.bottomStickyDesktopDiv,\n.text-body-ad,\n.topStickyDesktopDiv,\ndiv[class^=\"textBodyAd\"]",".widget-container-130",".advertorialwrapper,\n.box-item,\n.wdt-taboola","a[onclick*=\"tgsctp/click.htm?\"]:not([onclick*=\"https%3A%2F%2Ftelugu.samayam.com\"])","#HP_O_LHS_7 > div:nth-child(-1n+2),\ndiv:has(> a > div > .pd_title),\ndiv[id^=\"AS_O_LHS_\"] > div:nth-child(-1n+2)","#tie-slider-widget-5","table:has(> tbody > tr > td > a[href*=\"drkeshavjee.com\"])",".tdi_86",".widget_hootkit-slider-image","#sidebar-right-1 .widget.Image",".widget_block:not(#block-23):not(#block-22)","#sidebar-wrapper .widget.HTML:not(#HTML4)",".wiejqhgsp-container","#block-113,\n#block-114,\n#block-116,\n#block-117,\n#block-119,\n#block-120,\n#block-121,\n#block-122,\n#block-123,\n#block-124,\n#block-125,\n#block-126,\n#block-128,\n#block-129,\n#block-130,\n#block-131,\n#block-132,\n#block-134,\n#block-135,\n#block-136,\n#block-137,\n.footer-column-1 section:not(#block-95)",".entry-content .widget_media_image",".fw-bold.text-black","#media_gallery-10",".theiaStickySidebar > .widget_media_image",".item-size-right img,\n.mid-adv-sec-bottom,\n.top-head-hori-adv","#myCarouse2",".add-2","aside .widget_custom_html",".tophightlight_ad,\n.widget_text:not(#text-6)","div[data-widget_type*=\"_ads\"]",".mtphr-dnt-widget",".three-col-ads,\n.three-col-ads-block",".news_left_part_ad,\n.single_page_bottom_ad,\n.square_advertisement",".sangb-after-content",".advertisement_left_column,\n.advertisement_right_column",".advrts",".hm-sidebar > div[style],\n.top-banner",".pr-0","div[class^=\"sanje-\"]","#sanje-slider-30,\ndiv[id^=\"sanje-\"] img",".sidebar-right > .widget_text > h5","main section.sk_banner",".jeg-vc-wrapper iframe,\n.vc_row.vc_row-has-fill","#header-widget",".ws-block video","div.a",".allrounder-advertisement","figure.wp-block-table","a[href*=\"padmabankbd.com\"],\na[href*=\"premierbankltd.com\"]","div[class*=\"adver\"]:not(.logoadver)","#text-html-widget-6,\n.text-html-box","div[id^=\"sarth-\"]","#content div[data-adid]","div[id^=\"inven-\"]","#media_image-31",".banner__ads",".posts__banner__ads,\n.stream-item img:not([src*=\"File.gif\"])",".widget_sisw_widget",".maan-header-adds,\n.maan-news-side-add",":has(> .metaslider)","#text-33,\n.quadss-location",".etad","div[id^=\"satym-\"]",".sidebar__ads","div[class^=\"jsx-\"]","#text-html-widget-7","#ads400px,\n.ads400pxinner,\n.briefNewsAd,\n.header_adbar,\n.toppageadsindexheader,\na[href*=\"splads\"]",".textwidget",".main-bigyaapan,\ndiv[class*=\"-bigyaapan-\"]",".hmxbiekzq",".leadnews .widget_area",".ws-block img:only-child",".tdi_88","#media_gallery-26",".adsp","#custom_html-1291,\n#custom_html-1292,\n#custom_html-1293,\n#custom_html-1371,\n#text-882,\n.company-ads,\n.home-page-ads a:not([href*=\"sharebazarnews.com\"]),\n.lef-sidebar-ads,\n.main-header-ads,\na[href*=\"kidarkar.com\"]","[href*=\"whistleloop.com\"] img",".py-1 .w_lead,\nimg[alt=\"-Advertisement-\"]",".vc_raw_html:not(.tdi_87)",".custom img",".topAdv",".entry-content a[target=\"_blank\"] img,\n.iframely-embed","div[class^=\"sherp-\"],\ndiv[id^=\"sherp-\"]","#focus_slider",".sidebar-box a[target=\"_blank\"]",".headeradvt,\n.pageadvt,\n.post-item-description p a strong,\n.post-item-description p img",".theiaPostSlider_slides p > img","img[src*=\"WhatsApp-Image-2021-08-16-at-3.07.30-PM\"],\nimg[src*=\"WhatsApp-Image-2021-08-19-at-2.46.04-PM\"]",".add_440,\n.add_910",".shobu-widget,\ndiv[id^=\"shobu-\"]",".featured-add,\n.sa-ad",".entry-content > img",".coupon_dealtop",".elementor-widget-sidebar .widget_custom_html,\ndiv[class^=\"shree-\"]","#ucier-4,\n#ucier-5,\n#ucier-6",".shrin-widget,\ndiv[id^=\"shrin-\"]","div[data-index]","section[class^=\"advertise\"]","#sidebar-primary aside.widget_media_image",".elementor-widget-image .size-full:not([src*=\"simanapari-1.png\"]),\n.elementor[data-elementor-type=\"wp-page\"] .elementor-widget-image",".hidedivcopy","#block-100",".widget_custom_html:not(#custom_html-11):not(#custom_html-2)",".hustle-popup","aside.widget_media_image > img",".widget_media_image:not(#block-6)","#media_video-1",".add_after_scroller,\n.addtop_header,\n.addtop_inner img[data-filename],\n.single_after_ad,\n.single_before_ad",".theiaStickySidebar .elementor-widget-image,\n.theiaStickySidebar .elementor-widget-video",".advertise-widget-box",".widget_esn_ad:not(#esn_ad-3)","#news_portal_ads_banner-20,\n#news_portal_ads_banner-22","#sub-footer .widget_media_image",".themesBazar_widget > .textwidget",".single_page > .widget_area",".td-g-rec-id-sidebar",".post-inner .code-block img",".big-banner-left,\n.small-side-banner-wrapper","#wrapper-content .widget_text",".add img:not(.wp-image-18706):not(.wp-image-22177)",".jeg_main .elementor-widget-image",".twp-ad-image-section","#amazonautolinks_widgetbyid-2","#tdi_191,\na[title=\"Sidebar ad-1\"]","#stream-item-widget-3",".FrameAdvt1","#sidebar .text-muted","a[href*=\"staraluminium\"]",".penci_single_ad_after_content",".ad-title ~ * > img:not([src*=\"BARON-\"])",".ds-scroll-ads",".main-headera .advertise","#colorcontentasash3,\n#featgal ~ div > #colorcontentblock",".suddi-after-content_13,\n.suddi-content_10,\n.whistleAds",".adredux","div[id^=\"suddi-\"]:not(.suddi-before-content_3)",".news-addheight","#sidebar-primary-sidebar .widget_text:not(#custom_html-4)",".block-inline-blockad-block,\n.field--name-field-ad-image",".container_fluid.bgColor2,\n.details-sidebar .mb-3,\n.py-3,\n.sidebar-news.justify-content-center","div[class^=\"ads\"]",".h_ads a:not([href*=\"sunbd24.com\"]),\n.header_area > .container,\n.share-ads,\n.sidebar-adv",".adv-load,\na .adv-vload,\ndiv[style^=\"padding: 25px 25px 90px 25px;\"]",".hero-section",".tdi_33 .td_block_single_image",".w-image.align_none .attachment-large","section.widget > figure",".nv-header-ads-area",".adMark","#sync3",".sponsored","#commentform img,\nspan[style^=\"color: red;\"]",".stoybday-ad",".advertise_image","a > img.img-responsive",".widget_box img","#newsphere_posts_slider-7","#media_image-25",".add-area",".header__add,\nimg[alt=\"Page Add\"]",".jeg_midbar .jeg_nav_right","div[id^=\"itro_popup\"]",".advertisement-area","#itro_opaco",".home-section-ad","a[href*=\"cinefield.com\"],\na[href*=\"tamiltv.com\"]","#sidebar-schedule-slider",".tamil-widget",".cine_ad","#sidebar .text-html","#sidebar .widget_custom_html","a[href*=\"periyarkural.com\"],\na[href*=\"pna-aerial.fr\"]",".sidebar > p",".adv_slider","a.in-cell-link",".home-mid-banner,\nsection.slider-sec","[alt=\"Short Term Rental - Toronto\"]",".sidebar-ad-banners","#block-19","#block-21",".euvradxs,\n.spu-bg,\n.spu-box",".a-wrap:has(div[id^=\"div-gpt-ad\"])",".td-a-rec img:not([src*=\"join\"])",".after-menu-ad,\n.sidebar-add",".elementor-image img:not([src*=\"Tatviknews-white\"])","div[id^=\"tazak-\"]","#secondary aside.widget_custom_html,\na[href*=\"kitchenworldbd.com\"]","#sidebar-wrapper .widget.HTML:not(#HTML14):not(#HTML7)","#sp_widget_post_slider-2",".td-fix-index,\n.widget_custom_html img",".add-slot-3",".stay-connected-ads",".technology-section-ads",".tdb_single_content img.size-full,\n.tdb_single_content p img,\n.tdm-inline-image-wrap,\nh2 a[href*=\"one-medicine-\"]",".td-main-content-wrap .vc_raw_html",".fluid-width-video-wrapper,\niframe[name^=\"fitvid\"]","#sidebar-right > .widget_media_image","#right_level_0,\n.inside-post-ad-before-before","#block-17",".data-area2 .heading,\n.single_leftbar.wow > h2",".custom-header","#djslider875,\n.content-holder-tvshowvaluevision,\n.content-holder-valueparma,\n.content-holder-valuevision,\n.wishesh-add",".td_spot_img_all","div[style=\"background-color: #fff; padding:0px; margin-right:10px;\"]","a.vc_single_image-wrapper:not([href*=\"thaiveedu.com\"])",".custom-html-widget > img","div[id^=\"thare-\"]","#HTML13","#carousel",".content-details .code-block",".add-sectionb,\n.add-sectionw,\n.lefr-box","a[href*=\"newtraffictail.com\"]","div[id*=\"ArticleShow_\"] > div:nth-child(-1n+10)",".elementor-widget-image .size-large:not(.wp-image-61263)","#header-section .my-1,\n.widget-wrapper.overflow-hidden","#homepageTopLeader_2,\n#homepageTopLeaderboard_1,\n.admanager_home,\n.infostation,\n.purplepatch,\n.roni-bhai-special,\ndiv[style*=\"width: 300px\"][style*=\"height: 250px;\"],\ndiv[style*=\"width:300px\"][style*=\"height:250px;\"]",".add_03",".elementor-widget-penci-featured-boxes",".code-block-1",".widget_text:not(#text-2)",".footer_top_add","#right_level_3","#top_full_width_level_15",".main-full .elementor-widget-image,\n.widget_text iframe[title],\ndiv[class^=\"thejo-\"]",".banner-adver","#taboola-ads,\n.py-2,\n.videoAdInArticle",".entry-content > div[class]:not(.addtoany_content)",".pos",".sidebar .widget.HTML",".single-image .carousel","#top-slider2",".entry-content p > img",".td-a-rec img:not([src*=\"perfect_kejriwal-\"])","figure .widget-image-caption","aside.widget_text:not(#text-49):not(#text-51)","#add-place,\n.idlc,\n.top-add-left4,\ndiv[id*=\"_300x250\"]",".farrr,\n[style*=\"height:80px;width:300px;\"]",".zox-post-ad-wrap",".category_page_right .single_page_bottom_ad",".thest-widget,\n[id^=\"thest-\"]","#custom_html-12","#block-block-81",".code-block .my-a","div[id^=\"third-\"]",".entry-content > :not(figure) img,\n.widget_youtube_responsive",".dmp","div:has(> .adv)",".elementor-widget-penci-custom-sliders",".single-wrapper-details-sidebar-ads img,\n.siteorigin-widget-tinymce","#secondary .widget_block:not(#block-9)","#ai_widget-7","a[href*=\"facebook.com/Future-Company-\"]","#app > section > div:first-child:not([class]),\n#mgIDReadMore div[style*=\"min-height\"]",".atfAdContainer,\n.bggrayAd","div[style*=\"min-height: 181px;\"]","div:has(> .ad-div)",".kopa-banner-300",".text-description ~ div[style*=\"height: 360px;\"]","#rev-slider-widget-2,\n.wpb_revslider_element",".rt-post-slider-style1",".hot_rwc_ads,\n.mid_rwc_ads",".addbx,\n.headnBx .text-right","a[href*=\"valokichu.com\"],\na[href*=\"webacademy-edu.com\"]","#text-27,\n.lefta,\n.righta",".wpb_text_column,\naside.widget_black_studio_tinymce",".td_mod_wrap",".mg-nav-widget-area .pull-right",".entry-content > div[style*=\"float\"]","#smart-head .h-text,\ndiv[id^=\"today-\"]",".sidebar-nav .mb-2 img","#unitDivWrapper-0[style^=\"height:\"]",".widget_block:not(#block-9)",".border-bottom.bg-white","div[id^=\"AS_O_LHS_1\"] > div:nth-child(1n+16)","#advertsub2","#custom_html-16","#text-42,\n.galboxcontainer,\n.widget_html_javascript_adder,\nimg[alt=\"SAT\"]",".elementor-widget-slides",".adimg:not([src*=\"_aalapp.jpg\"]):not([src*=\"_next tv.jpg\"]),\ndiv[id^=\"Truevisionnews_Banner_\"]",".af-middle-header .content_block",".piller_main","[class*=\"-banner\"]","aside .widget_media_image","div[id^=\"tvann-\"]",".section-content p img","#logo-right","#ads,\n.ad-white-blk,\n.adliadworld,\n.ads-white-blk,\ndiv[class^=\"amp_Ad\"]","#text-44","#text-51",".wp-image-102704",".elementor-widget-image img:not([src*=\"new-logo.png\"]),\n.td_block_single_image.td-no-img-custom-url,\ndiv[id^=\"udupi-\"]",".post-middle-banner","#custom_html-20,\n#custom_html-27,\n.entry-content .code-block img",".ad a:not([href*=\"ujyaalo\"]),\n.iframe-container",".wp-block-image figure",".site-header ~ .bg",".div_ad_rgt","#block-35","#block-37",".category_side","#mvp-site-wall","#text-43",".mh-sidebar .widget_media_image","div[class*=\" ads_\"]",".header_bottom_ad",".right_bottom_ad_section,\n.twp-adv-header","#sidebar-wrapper .widget.Image",".container > .features-today-box:only-child",".aft-sticky-sidebar,\n.header_ads_slide",".single_post_content a[href*=\"?tag=bitspi-21\"],\n.top_addarea",".column-inner,\n.fn-widget_media_image",".fn-block .size-large:not(.wp-image-64792),\n.wp-image-35679,\n.wp-image-35692","div[id*=\"_O_\"] div:has(> div > div > a > div h3 + p)",".uttar-widget,\ndiv[id^=\"uttar-\"]","div[class*=\"uttar-\"]","div[id*=\"_O_LHS_\"] > div:nth-child(-1n+10)","#media_video-4",".widget_block:not(#block-26)","#home_page_ad","#mvp-ad-rel-wrap,\n#mvp-head-top,\n.theiaStickySidebar figure.wp-block-image,\nsection.widget_custom_html:not(#custom_html-7)",".each-side-ads > a,\n.full-ad-wrp,\n.tp-ad","div[id^=\"topmiddle\"]",".td-main-sidebar aside",".sidebar .widget_text:not(#custom_html-2)",".upper_links",".elementor-widget-vinazine-ads",".vatsa-middle",".td-post-content > div[style^=\"clear\"]",".widget.Image:not(#Image150)",".sppb-addon-clients","#sidebar-footer-4,\n#sidebar-primary-sidebar .widget:has(div[data-adid]:not([data-type=\"custom_code\"])),\ndiv[data-adid]:not([data-type=\"custom_code\"])",".sidebar.s2 .AdWidget_ImageWidget",".c-sections__container,\n.l-hp-top__off-off-lede",".velsm-content","#custom_html-116","img[alt=\"- ADVERTISEMENT -\"]",".mainEpaperR1R2 ~ div","#ads120_60-widget-2",".ad-top-bottom-space,\n.widget300xauto,\n.widget300xauto-targetted,\n[class*=\"-ad-\"],\n[class*=\"__ad\"],\ndiv:has(> .ad)",".add:only-child,\ndiv:not(.tab-header) ~ .add","a[href*=\"goo.gl/18LXwT\"],\na[href*=\"puthinamnews.com\"],\na[href*=\"tubetamil.com\"],\na[href*=\"tubetamil.fm\"]","#adv",".add-box,\n.add-large-box","div[data-adid]:not([data-adid=\"99627\"])",".bdaia-post-content figure,\n.bdaia-post-content p img",".add-bar,\n.add_area img",".stream-item-widget:not(#stream-item-widget-8)",".ln-advertisement-block,\n.widget_local_news_banner_ads_widget",".widget_digital_newspaper_banner_ads_widget","#first-advertisement","[class=\"hidden xmd:block\"],\ndiv:has(> div[id^=\"VTV_\"])",".td-no-img-custom-url,\n.td_block_single_image > span",".widget_nmrh,\ndiv[data-adid]:not(.nmrh-type-custom_code)","#block-28,\n#block-30",".advt_336,\n.full_ads_block",".twp-advertisement-section","#stream-item-125-widget-3",".a-15,\n.adv_side","a[href*=\"traffictail.com\"]","#right_siran",".footer-add",".bk-rect-fullWidth-desktop-vigyapan--1 img",".exclusiveSec + .row,\n.text-center.col-lg-12","#block-38,\n#block-52","#media_image-29","#media_gallery-28","#media_gallery-33,\n#media_gallery-41,\n#media_gallery-43",".widget.Image:not(#Image4)",".tac",".yashb-adlabel,\n.yashb-content","img[alt=\"header ads\"]",".quads-location","div[role*=\"CUSTOM\"]",".su-image-carousel,\n.tdi_26 .block-title,\n.tdi_27","#secondary .box-sec-bg,\n.adver-sec,\n.box-sec-bg .slider",".widget_media_image:not(#media_image-7):not(#media_image-8)",".elementor-widget-html img,\ndiv:has(> pubguru),\ndiv[style^=\"float: none\"]:not([data-index=\"3\"])",".elementor-widget-image-carousel:only-child,\n.footer-widget .textwidget img",".post center > a[target=\"_blank\"]","div:has(> div > .dfp-ad-unit)","#unitDivWrapper-0,\n.image_Ad",".entry-content .banner_wrapper","#block-178,\n#h-ajfashion,\n.wp-block-embed-youtube","#LinkList2","#HTML33",".td-post-content .td-a-rec > figure img:not([src*=\"whatapp\"])",".adsense-inject,\n.sidebar-widget",".ad__full--length",".add-block,\nul.post h3.widget-title","#shoppingWidget,\n.add-center-div,\n.itgdAdsPlaceholder",".top-add-section",".container > .flex-c-c,\n.flex-c-s",".entry-content figure.wp-block-image ~ .wp-block-image",".stream-item-widget-content","#news_portal_ads_banner-2",".wp-block-jetpack-slideshow,\n.wp-image-15989",".ader_ads","#block-32","#tdi_90_f99",".ad-slide",".mvp-flex-ad",".add-gap","#ad_container2,\n.right_box_golpo","figure.wp-block-embed","h2[id*=\"sponsor\"]",".stream-item:not(#tie-block_243)",".desktop-square-ad,\n.right-section-top-2",".ashmi-ad,\n.widget_block figure.size-large","div[class*=\"__adContainer__\"]",".benga-raiganj-municipality",".ms-parent-id-1",".popup","a[target=\"_blank\"] img:only-child","#text-html-widget-14,\n.RightCont iframe",".elementor-widget-image figure","#secondary aside.widget_text",".widget-slider-inner","#attachment_28282","#cust_bann,\n#lcs_ad,\n#metaslider_7568,\n#metaslider_7646,\n#metaslider_7731,\n#rma_masala",".hustle-ui,\n.ml-slider img:not([src*=\"whatsapp-\"])",".b-ads",".td-a-rec img[alt=\"Google search engine\"]",".hm-header-sidebar,\n.quads-ad-label",".amazon-auto-links-widget",".code-block ~ img",".pt-4:has(> .carousel)",".entry-content .g-single","#myCarouselv,\n.ad .carousel","#bk_sidebar_3,\n.hustle-content","section.widget_metaslider_widget",".main-box-inside:has(> p ins.adsbygoogle)","#block-22",".head-main-ad","div.HTML:has(> .widget-content)",".theiaStickySidebar .widget.HTML:not(#HTML7)","#carouselExampleDark","#addImage,\n.inner-add-banner","#block-76,\n#media_image-13",".newshit-header-ads-wrapper","#dynamic_sidebar_before",".theiaStickySidebar .widget_smartslider3",".soliloquy-container,\n.widget_media_image:not(#media_image-4)",".main-footer .widget_text,\ndiv[class^=\"india-content_\"]",".widget_media_image:not(#media_image-16)","#wowslider-container1,\naside > .widget-title",".khaba-single-blog-manual","#right_level_1.mtop15",".right-inner .right-box,\ndiv[class^=\"google-\"]",".ads-slider-widget",".mahas-widget",".backg-g,\n.dsc-banners","#main aside.widget_media_image,\n.natur-content","#block-93","#leaderboard-content",".td-a-rec iframe",".entry-content img:only-child","section.widget_block:has(> p > ins)","#oppopo,\n.bs-listing-single-tab + .bs-listing-listing-grid-1","#SidebarWidgets-S1,\nimg[id^=\"Image\"]","div[id^=\"punja-\"]",".sgpb-popup-dialog-main-div-wrapper",".widget_block:not(#block-22)",".google_ads_section","#media_gallery-4,\n#media_image-18,\n#media_image-19,\ndiv[id^=\"webre-\"]",".crime-before-content",".text-center.my-1","a[href*=\"gkprashnuttar.com\"],\na[href*=\"hindugodwallpaper.com\"]","#main .entered:not([src*=\"WhatsApp-Join-Link.jpg\"])",".stream-item.half-box","#customImage,\n#customVideo,\n#header .right",".code-block:not(.code-block-2),\n.widget_media_image:not(#media_image-57):not(#media_image-47)","#rozu-2,\n.main-wrap div[class^=\"rozu\"]","div[id*=\"_webads\"]","div[id^=\"AS_O_RHS_\"] > div:nth-child(1n+4)",".td-a-rec video",".awac img.image,\n.np-home-bottom-section,\n.spcp-sidebar,\n.wp-image-82536","#custom_html-169,\n#secondary aside.widget_media_image","div[id^=\"dolph-\"]","p:has(ins.adsbygoogle)","#sp-adsforbody,\n.sppb-column-addons > div:has(.carouselbanner)","#ccr-right-section #sidebar-video-post img",".add-row,\n.square_in img",".single_sidebar .spost_nav,\na.sideAdd",".side-bar > .widget:nth-child(2)","div[id^=\"glime-\"]","#headerTopAd","#headerBannerPromo,\n.gd-multi-news ul > div,\nli:has(> div[id^=\"taboola-mid\"])",".headinglist > div,\ndiv[style^=\"height:250px\"]","#block-26",".epcl-row,\n.grand-after-content_2","#penci_custom_html-7,\n.widget-area-1 .widget_custom_html",".the_content div[class^=\"gujar-content_\"]",".gujju-before-content_4,\n.the_content > div[class^=\"gujju-content\"]","a[href*=\"play.gamezop.com\"]",".entry-content-wrap div[id^=\"hello-\"]",".inside-right-sidebar > .gb-container:nth-child(2)","#text-34,\n.wp-image-11223","#responsive_lightbox_image_widget-2,\n#secondary section.widget_text",".NewClass iframe",".Stickyads",".alt-balaji,\n.hr_banner",".vc_sidebar .widget_custom_html","#metaslider_10258","figure .vc_single_image-img","#india-slider-227",".widget_block:not(#block-30)",".ml-slider:not(#metaslider-id-1461)","#newsSection img,\n.video-container",".custom_sidebar_ads",".ct-header-text",".ad:has(> div:first-child)","div[id*=\"indon-\"]",".banner-slider-2","#sidebar .advertisement","#sidebar-primary-sidebar .widget_block:not(#block-8)",".jaihi-before-content,\n.widget_text:not(#custom_html-7)","#secondary .widget_text:not(#text-17):not(#text-38)",".td-a-rec-id-content_bottom .ml-slider:nth-child(1n+6)",".rightbarhds,\n.toplogobannerRS1 .topcol1","#custom_html-43,\n.entry-content figure.wp-block-image:not(.size-large)","div[class*=\"kitsune-advert\"]",".newsever-widget .textwidget,\ndiv[id^=\"jhark-\"]",".stream-item-above-post-content","#text-html-widget-8,\nsection ~ .e3lan","#content .widget_text:not(#text-8),\n.av_slied,\n.avv_custom","iframe[src*=\"google.com/presentation/\"]",".ewic-slider","#content div[id^=\"khaba-\"]",".td-main-content-wrap .tdm_block_inline_text",".stream-item-widget:not(#stream-item-widget-6)",".custom-group-ads",".dce-dynamic-posts-collection,\n.elementor-element-3fb6b77","#secondary","div[class^=\"kokan-\"]","#postBody > div:nth-child(1n+3) .separator img",".elementor-widget-shortcode img[alt]",".eaa-ad,\n.tm-adv-header","#hadd,\ndiv[id^=\"lagat-\"]",".header--ad",".before-banner-ad,\n.top-left-add","div[class*=\"ads-height-\"]",".widget_carousel_slider","div[id^=\"livei-\"]",".blocks-gallery-item,\n.e3lan a img,\n.widget_custom_html:not(#custom_html-87)","div[id^=\"lokal-\"]",".theiaStickySidebar aside.widget_text","#photoInlist1,\n#photoInlist2,\n#rhs-middle,\n#rhs-top,\n.articlePage",".elementor-element-8c6f9c2,\n.elementor-element-f2e9897","#adrotate-wrapper",".code-block-5",".content-inner > p img",".td-a-rec:not([class*=\"tdi_345\"]),\ndiv[class*=\"tdi_140\"]","#ad_first_middle,\n#middle_level_1",".Image.widget",".entry-content.single-post-content > img",".penci-html-ads",".articleText > center > div","#text-9 iframe,\nsection.widget_media_image:not(#media_image-6)",".twp-ad-section,\n.twp-home-widget-section","div[id^=\"v-mumbaitak-in-\"]",".post-text section","#block-views-block-detail-page-ads-block-2,\n.header-ad-section-desk,\n.nak-adv-cen:not(#block-views-block-global-news-home-page-block-3),\n.theiaStickySidebar .block-block-content,\ncenter[class*=\"addsCenter\"]",".wp-image-404",".TpGnAd_ad-cn,\n.ads-wrp",".widget.HTML:not(#HTML5),\ncenter > b + img",".bsac img:not([src*=\"1-1.jpg\"])","#center-container [alt=\"Image\"],\n.PixyPaperad",".mobadv-4,\n.n13_adv,\n.n13_home_adv4,\n.n13_home_adv5",".td-fix-index img:only-child",".addver > ul:only-child,\n.ads-2018",".sppb-addon:has(.bannergroup)",".wp-image-109634,\n.wp-image-15016",".wpb_wrapper.wpb_text_column",".avt_masterslider_el",".master-slider-main-widget",".widget_dtuy","#advertisement,\napp-squaread,\napp-squaread2,\napp-squaread4",".widget_300x250_advertisement","#rishi_advertisement",".header-right-widgets,\nsection.widget_media_image:not(#media_image-13):not(#media_image-6)",".blockspare-blocks,\nimg[alt=\"Ad\"]",".container.frame",".td-a-rec-id-footer_top",".widget_block:not(#block-10)","div[id^=\"nextk-\"]",".elementor-element .size-large,\ndiv[id^=\"nikha-\"]",".bookingaff",".bn-sidebar-content","#Mod182,\n#Mod225,\n.main .bannergroup","div[class$=\"0-ad\"]",".leg","div[class$=\"-ad\"]",".header-advertise",".gb-container-553faf02",".right-add",".widget_custom_html:not(#custom_html-10)","#national-news-section .promobox-wrapper,\n.news-text-content p img",".post-content ~ :not(div)",".td-a-rec-id-custom-spot",".widget_media_image:not(#media_image-13),\n.wp-custom-header","div[id^=\"advDiv\"]",".td-footer-wrapper",".td-is-sticky .td-a-rec","#sb-container","#vda-4",".code-block:not(.code-block-14)","#right-sidebar-inner .widget_media_image,\n.entry-content iframe[data-mce-fragment]",".vc_col-sm-8 .mom_custom_text","#tdi_115","#tdi_101,\n#tdi_121",".wp-image-62537,\n.wp-image-62663,\n.wp-image-71118,\n.wp-image-71139,\n.wp-image-73550,\n.wp-image-73634,\n.wp-image-73651,\n.wp-image-73917,\n.wp-image-74768,\n.wp-image-74770,\n.wp-image-74771,\n.wp-image-74772,\n.wp-image-75230,\nimg[src*=\"gftr\"]","#text-19 iframe:last-child,\n.home-secondary-wrapper .widget_media_image",".adssection,\n.homemainads",".samay-widget,\ndiv[class^=\"samay-\"]",".widget_pkgrdlaobc","div[class^=\"add-right\"]","div[style*=\"margin-top:50px; margin-bottom:90px;\"]","#sticky-wrapper",".theiaStickySidebar > aside > .widget_media_image",".newsmatic-advertisement-block",".wp-image-38968,\n.wp-image-38972",".sidebar-right iframe",".jquery-modal",".mg-headwidget .code-block","#secondary .widget_media_image:not(#media_image-30)",".right-sidebar .widget_block","[class^=\"adsbox\"]","div[class*=\"sitamarhi-livecontent_\"],\ndiv[id^=\"sitam-\"]",".row-thirty.sidebar","#header_ad_mobile,\n#left_level_0_before_1,\n#level_6_before,\n.top_level_1","#disqus_recommendations","#right-sidebar-inner .widget_text",".imgslider img:not([src*=\"pratibha.jpeg\"])","#level_bottom_full,\n.right_level_1",".col-lg-4 .gdgallery-gallery-container","#navbar .image",".contents > p img,\nsection.bg-light","#cactus-body-container .widget_custom_html,\ndiv[id^=\"thehd-\"]","div[id^=\"AS_O_LHS_\"] > div:has(> div > div > a > p + h3)",".sb-banner",".alp-advert","#block-73,\n#block-74","div:has(> .nbs-flexisel-container)","div[class*=\"_ning\"]",".Home-seo-add-sidebar-bigborder,\n.section-ten-wrap,\n.tg-addbox","a[href*=\"surabooks.com\"]",".entry-content img.alignleft,\n.entry-content img.alignright","article div[class*=\"today-\"]",".elementor-video",".widget_dhnvx",".entry-content .bsac",".mob_ad_cntr iframe","#v-uptak-in-0",".mvp-post-ad-wrap",".adloc-is-banner",".mkd-sidebar .widget_text","#block-block-253--2,\n#block-block-263--2,\n#block-block-338,\na[href*=\"bitmangalore.edu.in\"],\na[href*=\"vishwasbawa.com\"]",".mega-wrap .main-ads-pikihome",".content-inner img",".rslides1,\n.rslides4",".headAdExBlock",".image-ad","div[id^=\"vknews\"]","#media_image-36,\n#media_image-38,\n#media_image-41","#v-weunetwork-in-0,\n.sale-ads,\n.top_ads_2,\n.utf_ad_content_area",".wpb_widgetised_column .wp-block-image","#secondaryright .widget_custom_html","#sidebar-section-top","html12,\nhtml2","#simpleimage-6,\na[href*=\"arabic.iirt.info\"]","#HP_O_LHS_7 > div:nth-child(-1n+5),\ndiv[id=\"showAS_O_BEL_0\"]",".wp-image-68028",".googlepublisherads,\n.post-header a[target=\"_blank\"] img",".fix-img-fluid",".carousel.slide",".newsd-widget",".dns-caption-below",".td-all-devices",".sidebar-widget:has(> .widget-body > p > img:only-child)","#adsBanner","a[href*=\"utm_medium=banner\"]",".tds-button","#myModal1",".advert-single","#desktopad",".col-bn-ds",".penci_topblock",".theiaStickySidebar .elementor-widget-image img:not([src*=\"admit.jpg\"])","a[href*=\"CrystalSoapLK\"],\na[href*=\"kandos.lk\"]",".d-flex",".widget_custom_html:not(#custom_html-7)",".btm-sticky","#flexiselDemo1,\na[href*=\"advertising page\"] img",".elementor-widget-rt-image","a[href*=\"bit.ly/44036s6\"] img",".besides-slider-right","#ads_hide",".fixed-banner,\n.main-ad-half","#headerright",".td-a-rec:not(.td-a-rec-id-sidebar)","#openModal1",".wpb_text_column.tagdiv-type","#block-views-ads-display-inner-block","#newads,\ndiv[id^=\"banner\"]","#openModal0,\n.ads-rig",".bg-grey-lighter.w-full,\na.group.w-full",".module-ct .custom",".youtube-responsive-container",".container-single-page .elementor-widget-image","#custom-ads-2,\n#main_middle_right_advert",".paid-banners",".wg-advert","img[target]","div[data-embed-button=\"embed_advertisement\"]","a[href*=\"adroll.com\"]",".a_d-banner",".add .widget_area img:not([src*=\"54342.jpg\"])",".block-block:not(#block-block-13)",".top-ads-block",".ad-sm,\n.ads-center-mt,\n.gallery,\n.header-ad-section","div[style=\"height:78px; width:100%\"]",".vc_raw_html .td-fix-index > div",".popupCloseButton,\n.rib__wrapper",".AdWidget_ImageWidget","#banner_header_728",".add-space",".content-inner h4",".widget_sp_image:not(#widget_sp_image-2)",".td-main-content-wrap .td-a-rec img",".addVertise,\ndiv[class*=\"sgpb-popup\"]",".fadInleft_ads",".Add img","#left-top-holder,\n.ad-left-holder","#right-holder","#body_ad,\n.ad728-top,\ndiv[class^=\"ad-block\"]",".wpb_content_element > .wpb_wrapper",".dt-dynamic-banner-holder-others-dt","#media_image-1,\n.footer-right-widget",".elementor-widget-text-editor","img[alt=\"weblogs\"]:not([src*=\"coronavirus_up\"])",".lnw-ad",".Ad-box-jana",".icici","#panel-38-0-1-1,\n.vmagazine-lite-medium-rectangle-ad",".mom_contet_e3lanat",".elementor-element-4f2ae98,\n.elementor-element-e9b9b10,\n.elementor-location-single .size-large",".Ad-Section,\n.google-ads-banner",".MR300250",".sub_new:not(.sss)",".lrads",".av_block","#spc-ads,\n.ti-ads",".onads",".ad-spaces",".dk_only,\n.mob_only,\n.pj-ad-card","section.widget_media_image:not(#media_image-2)",".flexslider-eid",".post-wrap.post .sidebar .widget_text",".top_ads_home",".single_page_ad","#penci_custom_html-3","#media_image-32",".logo-banner .pull-right","#content_add,\n.right_part div[style^=\"float:left;\"]","#HTML40,\n#HTML42,\na[href*=\"facebook.com\"] > img,\na[href*=\"goo.gl/\"] > img","a[href*=\"reviewmaster.info\"]","#splide24,\n.slider-below-ads,\nimg[alt=\"MKOne\"]",".td-footer-wrapper aside.widget_text img,\n.td-ss-main-sidebar > .widget_text",".hmBlock2ColRSec3","main .py-0 center img","[alt*=\" ad\"]",".Amain,\n.R300100","div[id^=\"vijay-\"]","#adOrGretings",".Image,\n.featuredposts,\ncenter > img[style=\"margin-top:20px;\"]",".sidebar > .widget_media_image",".ghont-ksrm-bottom",".ad3,\n.ad4,\n.spad","#bxnzmefcd-3",".wp-widget-group__inner-blocks",".d-ad,\ndiv[class*=\"banner\"]","#mvp-side-wrap .widget_media_image",".banner_right",".advt-widget",".addSecound-sidebar","#layerslider_1,\n.content-inner img.size-full",".code-block-15 div:nth-child(3),\n.code-block:not(.code-block-15),\n.wp-image-31222,\n.wp-image-3732","#common_top_right_1,\n#mid_level_3_after,\n#news_ticker,\ndiv:has(> .adsbygoogle)",".addCenter","div[id^=\"livet-\"]","div[id^=\"AS_O_LHS_\"] > div:nth-child(-1n+6)",".topaddsctn",".widget_media_image:not(#media_image-20)","#metaslider_widget-6",".adSlides,\na[href*=\"niet.uk\"] img",".prettyphoto",".td-ss-main-content p img.size-full",".home_add",".custom-ads-row,\ndiv[style^=\"width: 728px; height: 90px;\"]",".content_section .to-be-async-loaded-ad","div[class*=\"width-ad\"]",".td-a-rec img:not([src*=\"Whatsapp-Strip-scaled-\"]),\na[aria-label=\"728×90\"],\ndiv[id^=\"vasun-\"]",".vv_advst","div[id^=\"vision-\"]","img[src*=\"ad_files\"],\ntable[height=\"100\"]:has(> tbody > tr[bgcolor]),\ntable[width=\"1000\"]:not([cellpadding])","[class*=\"  ad-\"]",".breaking-news-area.mt-15",".addc img",".banner-slider",".adda",".top-right-ads","section:has(> div > .advimg)",".widget_sow-editor","div[aria-label*=\"-Advt-\"],\ndiv[aria-label*=\".gif\"],\ndiv[aria-label=\"27.jpg\"],\ndiv[aria-label=\"30.jpg\"],\ndiv[aria-label=\"31.jpg\"],\ndiv[aria-label=\"Auction \"],\ndiv[aria-label=\"Banner-2.jpg\"],\ndiv[aria-label=\"Inder Lyn-19 June 2020-2.jpg\"],\ndiv[aria-label^=\"HSB-\"],\ndiv[aria-label^=\"Love-Punjab-\"],\ndiv[aria-label^=\"Mandy-Gur\"],\nnav + div",".slides",".blog-sidebar .widget_custom_html",".penci-infeed_ad",".elementor-widget-image-carousel,\nsection[data-id=\"9a0f91e\"]","#secondary section.widget_block",".entry-content > p img:only-child","body > .container > .row:first-child > div:last-child","#attachment_10957,\n#attachment_11499,\n#attachment_11653,\n#attachment_12010,\n#attachment_12428,\n#attachment_12691,\n#attachment_12880,\n#attachment_12945,\n#attachment_13381,\n#attachment_13529,\n#attachment_13539,\n#attachment_13549,\n#attachment_13929,\n#attachment_14460,\n#attachment_15074,\n#attachment_15085,\n#attachment_15191,\n#attachment_16388,\n#attachment_16691,\n#attachment_17141,\n#attachment_17329","#right-sidebar .widget_sp_image",".mySlides2,\n.w3-section",".adver_banner,\n.theiaStickySidebar .ml-slider,\n.theiaStickySidebar .wpb_content_element",".lightwidget-widget",".single_featured_slide",".addd_banner","#HTML21","div[style=\"margin-top:-10px; text-align:center;\"] span",".bannertopimg,\n.bannertopimg2",".ty-trigger,\nbody ~ iframe",".vc_custom_1546328500609",".chand-before-content_5,\n.chand-widget,\n.widget_viral_advertisement",".t-out-span",".single_dtails img","body > [class$=\"ads\"]","div[style=\"height: 250px;\"]","iframe[style*=\"height: 90px\"]","#widget_623,\n#widget_871","#infostation-0-0,\ncenter > a[target=\"_blank\"]",".tdi_66","div[class*=\"bnner\"]","#content1-5 .lead > div:nth-child(1n+2) img",".ad-ticker-right,\n.entry-content [data-position]",".advertise_part",".roadblockpopup,\n.seithigalad",".zja",".wpb_wrapper aside.widget_media_image",".no-vigyapan-sidebar-section",".code-block > img,\nfigure.wpb_wrapper","#bunyad_ads_widget-9 > .widget-title",".mySlideBox,\na[href*=\"?ref=\"]","a[target=\"_blank\"] > img",".jeg_main_content .wpb_widgetised_column,\n.widget_jnews_module_element_ads",".vc_raw_html:not(.tdi_128)",".header_adv",".widget_text:not(#text-24)","#widget_sp_image-3,\n#widget_sp_image-7,\n.bwp_gallery,\n.sidebar-right","#thumbs,\n.add_inner_news,\n.news-add",".logoright,\n.nhsgallery","#slideshow2,\n#slideshow3","#module_03_ads300x250"];

const hostnamesMap = new Map([["indootimes.com.au",[0,1,2,3]],["dailysobujbarta.com",[0,821]],["htvpunjabi.com",[0,7]],["lankasudar.com",[0,852,1527]],["newsallbangladesh.com",[0,852]],["ravivardelhi.com",[0,932,2024]],["tamilstar.com",[0,1209]],["ekkhabar.online",[0,187,2894]],["biratnews24live.com",[2,562]],["minnambalam.com",2],["opennewsx24.com",2],["samacharplusjhbr.com",2],["thejoharnews.com",[2,114,2301]],["tirthchetna.com",[2,29]],["webmorcha.com",[2,52,118,2434]],["jilanazar.in",[2,2600]],["arthosuchak.com",[3,105,323]],["atharvnews.com",3],["beanibazarview24.com",[3,486,487]],["budaunamarprabhat.com",[3,604,605]],["hakkatha.com",3],["nayanepalnews.com",[3,11,102,559]],["sajagindia.com",[3,11,2064]],["shramjeevijournalist.com",3],["therisingcampus.com",3],["vidarbhaapla.com",[3,11]],["wayanadvision.in",3],["malayaleepathram.com.au",4],["rozanakhabarnama.com.au",5],["suprovatsydney.com.au",[6,7]],["adhorekhit.com",[7,178]],["bd24views.com",[7,462,463]],["bdsomoyernews.com",[7,29]],["bnanews24.com",[7,29,428,431]],["chattogramsangbad.com",7],["dailysatkhira.com",[7,817]],["deshbartabd.com",[7,11,55,553,891]],["epatrakar.com",7],["farmsandfarmer24.com",[7,359]],["filmnews24x7.com",[7,1060,1061]],["gtamilnews.com",[7,29,1136]],["hind24news.com",[7,1200]],["kafaltree.com",[7,1360]],["madhyapradeshdarshan.com",[7,245]],["manchitra24.com",7],["munshiganjnews.com",[7,359]],["mysanchar.com",[7,369]],["nayapusta.com",[7,213,1728]],["newsbreathe.com",[7,1794]],["paathoknews.com",[7,487]],["propunjabtv.com",7],["pujibazarexpress.com",7],["sabrangsamachar.com",7],["sajhaonlinekhabar.com",[7,2066]],["smsofup.com",7],["tamilscreen.com",[7,22,159]],["theamplenews.com",7],["todaynp.com",7],["alamkikhabar.in",[7,891]],["krushival.in",7],["udaipurnews.in",[7,467,1104]],["bdnews.live",[7,55]],["vidivelli.lk",7],["dainikazadi.net",[7,11,225,2805]],["abcb.news",7],["politalks.news",[7,11,29,50]],["1news.com.bd",8],["alochitokantho.com.bd",9],["jamalpurlive.net",[9,29]],["barendraexpress.com.bd",10],["binodonbichitra.com.bd",[11,12]],["protidinerkatha.com.bd",11],["gujaratnewsline.ca",11],["therepublicantimes.co",11],["touringtalkies.co",11],["247superfast.com",11],["aadarshhimachal.com",[11,29,108,109]],["abitfar.com",[11,153]],["actionpunjab.com",11],["aeznewschannel.com",11],["ajkerrajshahi.com",11],["allnewsgo.com",11],["alorkantho24.com",11],["aloron71.com",11],["amaderbharat.com",[11,55]],["amansavera.com",[11,244]],["amchimumbaionline.com",11],["angindianews.com",[11,273]],["azadexpress.com",11],["bdcurrentnews24.com",11],["bdsportsnews.com",11],["bdtimesnews.com",[11,483]],["bengalreport.com",11],["bharatupdate.com",11],["bhojpurilive.com",11],["bholanews.com",[11,108,529]],["bilaspurlive.com",[11,559]],["boltauttarakhand.com",[11,593]],["brajeshkibaat.com",[11,219]],["breakingnewz24.com",11],["breakingtube.com",11],["britbangla24.com",11],["buxarkhabar.com",[11,164]],["capitalmailnews.com",11],["chanakyanewz.com",[11,649]],["chandaulitimes.com",11],["charchitbihar.com",11],["chetaktimes.com",[11,66,446,682,683]],["chitralekha.com",11],["chothale.com",11],["cinevinodam.com",11],["coastal-mirror.com",[11,724]],["corporatebarta.com",11],["countrynewstoday.com",11],["crimecitynews.com",11],["crimecontrolnews.com",11],["crimeonusondhan.com",11],["ctgnews.com",[11,751]],["daily-khabar.com",11],["dailyamarsomoy.com",11],["dailynewsservices.com",11],["dailysomoyersomikoron.com",[11,377,822]],["dailytimesbangladesh.com",11],["dakpeon24.com",11],["dandikaanthi.com",11],["deshpatra.com",[11,49]],["deshpratidin.com",11],["devbhoomimedia.com",[11,87,902,903,904]],["devbhoomisamvad.com",11],["dishabhoomi.com",11],["doinikbarta24.com",11],["dristyprotidin.com",[11,970]],["durjoybangla.com",11],["bangla.earthtimes24.com",11],["echitwanpost.com",[11,982]],["educationoverall.com",11],["ejalakam.com",11],["ekattorer-kotha.com",11],["ekushershokal.com",[11,273,463]],["emedialine.com",11],["emissionkhabar.com",11],["epradeshtoday.com",11],["epunemetro.com",[11,923]],["fatafatnews.com",11],["firstsuddi.com",11],["frontline24.com",[11,88,609]],["globalprabhat.com",11],["golmalnews.com",11],["goraynews24.com",11],["greenkeralanews.com",11],["guruvayooronline.com",[11,1146]],["gyandarpan.com",11],["haftavasool.com",11],["himachalbreaking.com",11],["himachalplus.com",[11,1189]],["hindnewsservice.com",11],["hindukhabar.com",[11,71]],["hindustanaaj.com",11],["hnewsraftaar.com",11],["hosadigantha.com",11],["inanewsagency.com",11],["indiancinemagallery.com",11],["indnewsdaily.com",11],["innuonline.com",11],["irinjalakuda.com",[11,968,1277]],["jaibharattv.com",11],["jangathatimes.com",11],["janpadnewslive.com",[11,164]],["jharkhandvarta.com",11],["kalamerajasthan.com",11],["kanjirappallyreporters.com",11],["kanlishnews.com",[11,923]],["kannadavahini.com",11],["karavaldaily.com",11],["karudannews.com",11],["khabarexclusive24.com",11],["khabarliveindia.com",[11,1448]],["khaboronline.com",[11,1464]],["khabredinraat.com",11],["kharinews.com",[11,29]],["khaskhobor.com",11],["kheldhaba.com",[11,1475]],["khobor71.com",[11,1477]],["kholabarta24.com",11],["khulnatimes.com",[11,362]],["kirandoot.com",[11,1487]],["kochivattom.com",[11,1492]],["kohramlive.com",[11,55]],["kolkatatimes24.com",11],["kushinagarlive.com",[11,1514]],["lalitatimes.com",11],["lawyerteluguweekly.com",11],["leaksin.com",11],["lightlinesnews.com",11],["localindore.com",[11,29]],["lokjantoday.com",11],["lokpaksh.com",[11,902,923]],["lokshahilive.com",[11,71]],["madhyamat.com",11],["mahanaad.com",11],["maithilijindabaad.com",11],["malayalimanasu.com",[11,1599]],["mangalorean.com",[11,1608]],["manobshongbad.com",11],["matopath.com",[11,29,1312]],["mayanewz.com",11],["media4support.com",11],["mera-uttarakhand.com",11],["mihinews.com",11],["morekhabar.com",11],["moviemirchi24.com",11],["muhimmathonline.com",11],["muldharnews.com",11],["myagdikali.com",[11,931,1673]],["mynewswings.com",11],["nachiketalive.com",11],["nalanda-news.com",[11,29]],["narayanganjerkhobor24.com",11],["narayanganjsangbad.com",11],["nayesubah.com",[11,1730]],["nepalpostdaily.com",[11,704,1752]],["nerkazhcha.com",11],["news15india.com",11],["newsatnet.com",11],["newsics.com",11],["newspitara.com",11],["newsstudio18.com",11],["nichod.com",11],["nirikhyaka.com",11],["nishanknews.com",11],["ntvtelugu.com",[11,1856]],["onakhabar.com",11],["onegujarat.com",11],["orbittimes.com",11],["ournews24.com",[11,822,1599]],["pahadirajya.com",[11,29]],["pathanamthittamedia.com",[11,71]],["patuakhalipratidin.com",11],["pniindia.com",[11,1929]],["popular24news.com",11],["positivekhabar.com",[11,923]],["pradeshsanchar.com",[11,822]],["prahaarkonkan.com",11],["prasthutha.com",[11,1953]],["pratidindaily.com",[11,42,822]],["pravakta.com",11],["pravasiexpress.com",11],["pravasishabdam.com",[11,1961]],["progoti24.com",11],["pudhuvaioli.com",11],["punjabmailusa.com",11],["purbobarta.com",11],["purwanchaldaily.com",11],["raibaaruttarakhand.com",11],["raigarhtopnews.com",[11,2000]],["rajasthanlive24x7.com",11],["ranbheri.com",11],["raozantimes24.com",11],["rashtriyapatrika.com",11],["rastriyakhabars.com",[11,2019]],["reporter24x7.com",11],["rightnewsindia.com",11],["roundupkerala.com",11],["rozanabhaskar.com",11],["samacharup.com",11],["samayviews.com",[11,2091]],["samriddhasamaj.com",[11,369]],["samvadjanhvi.com",11],["sanjeevanisamachar.com",[11,390,915,2116]],["saranshtimes.com",11],["sarhadkasakshi.com",[11,923,1043]],["saurashtrakranti.com",11],["shadhinalo.com",[11,55,1252,1863]],["shahtimesnews.com",[11,822,2150]],["sharpbharat.com",[11,71,2156]],["sheeshanews.com",11],["sherpurnews24.com",11],["shreesamachar.com",11],["sindhudurglive.com",11],["skynewspunjab.com",[11,822]],["smarthulchal.com",11],["srnewsgroup.com",11],["starlivenews.com",[11,50]],["subhartimedia.com",11],["suddinews.com",[11,71]],["swatvasamachar.com",11],["swaviman.com",[11,433]],["sylhet-tribune.com",11],["taazaanews.com",11],["tahalka24x7.com",[11,1088,2235]],["takshaktv.com",11],["tatkalsamachar.com",[11,1599]],["telugumirchi.com",11],["telugupopular.com",11],["theappealnews.com",11],["thebandhu.com",11],["theexclusivestory.com",[11,822,1245,2296]],["thenewsmirchi.com",[11,1559]],["theprobashi.com",11],["thepunchlineexpose.com",11],["tmnewshub.com",11],["torrongonews.com",[11,593,822,1599]],["tvindiaplus24.com",11],["uddoktabarta.com",11],["ujjwalduniya.com",11],["ujjwalhimachal.com",[11,923]],["ujyalokhabar.com",[11,369,2372]],["unitednews24.com",11],["usamibanglanews.com",11],["usmalayali.com",11],["uttarakhandnews24.com",[11,1500]],["uttarakhandreport.com",11],["uttaranchaltoday.com",[11,974]],["vaartavali.com",[11,466]],["vannibbc.com",11],["vartavani.com",[11,593]],["vidarbha24news.com",[11,1972]],["vijayasakshi.com",11],["vinnobarta.com",11],["vision2020news.com",[11,989]],["voiceofjhabua.com",11],["voiceoflucknow.com",11],["vtvvitla.com",[11,55,189,2429]],["youthindiatoday.com",11],["youthmukam.com",[11,2451]],["zillakhabar.com",11],["bdnews.global",11],["24indiatv.in",11],["agrabharat.in",11],["ajhindidaily.in",[11,2476]],["anmnews.in",11],["atulyabharat.in",[11,822]],["bdindianews.in",11],["breakingmalvani.in",11],["firsteyenews.co.in",[11,2517]],["muzaffarnagarbulletin.co.in",11],["newsdna.co.in",11],["newstrust.co.in",11],["salaamindia.co.in",11],["samaysakshya.co.in",[11,55]],["crimestory.in",11],["crimeuttarakhand.in",11],["dbnews24.in",11],["divyasandesh.in",11],["dotnews.in",11],["dtw24news.in",11],["enews24x7.in",11],["entertainmenthub123.in",11],["goodmorningnews.in",11],["hind24tv.in",11],["i7news.in",11],["ivtv.in",11],["jharkhandnewsexpress.in",11],["justkannada.in",11],["khabarbhatapara.in",[11,1863,2603]],["khabor24.in",[11,2606]],["marudharbulletin.in",11],["mediawala.in",[11,55]],["newsfact.in",[11,71]],["newsncr.in",[11,1952]],["newstodayupdate.in",11],["odishanews24.in",11],["page3news.in",11],["prajapaksham.in",11],["prathidina.in",11],["pulse365.in",[11,29]],["punjabibulletin.in",11],["punjabisath.in",11],["raigarhnews24.in",[11,29]],["rajdhanisandesh.in",11],["rashtravadinews.in",11],["rastranews.in",11],["regnews.in",[11,2686]],["samacharseva.in",11],["samastipurtoday.in",11],["sangodnews.in",11],["tajavarthalu.in",11],["theangle.in",11],["thedeoriatimes.in",[11,1599]],["therealtruth.in",11],["timeshindi.in",11],["trendingnewsindia.in",[11,1863]],["twnews.in",11],["uttarakhandkesari.in",[11,49,653]],["vishalindia.in",11],["wishavwarta.in",[11,2743]],["newshunt.info",11],["samachar24.live",11],["the4thpillar.live",[11,29]],["trendingnewshindi.live",[11,2759]],["anidda.lk",11],["dailyceylon.lk",[11,1599]],["divaina.lk",[11,2489,2766]],["mawbima.lk",[11,244,347]],["news7mannar.lk",11],["smartlady.lk",[11,2779]],["sportstoday.lk",11],["makkalosai.com.my",11],["avadhtimes.net",11],["chennaicitynews.net",[11,822,2801]],["cplusbd.net",[11,97]],["newsdarpan.in.net",11],["insaf24.net",11],["jagrukjanta.net",11],["lankanewsweb.net",[11,974,2818]],["news39.net",[11,49,55]],["newstelugu.net",11],["thamilkural.net",[11,29]],["vijayavani.net",[11,2850]],["24ghonta.news",[11,775,2854]],["aks.news",11],["hastakshep.news",11],["impactvoice.news",11],["news27.org",[11,593]],["rajputektamission.org",11],["cctvonline.tv",11],["jk24x7news.tv",[11,2919]],["mytvbd.tv",11],["news24nepal.tv",11],["tatwamayi.tv",11],["tsnews.tv",11],["thelondontimes.uk",[11,923]],["aksherpati.com",12],["apnashaharnews.com",[12,305]],["chandpurtelevision.com",12],["citypokhara.com",12],["damaulionline.com",[12,873]],["eveningkerala.com",[12,1035,1036]],["hatmakhabar.com",12],["infokhabars.com",12],["janasongjog.com",12],["jonotaradalot.com",[12,480]],["kalernatunsangbad.com",12],["madhyabindu.com",12],["mymensinghpratidin.com",[12,1680]],["newssarakhon.com",12],["newzzdeskkannada.com",[12,1009]],["prasashan.com",[12,721]],["sehattimes.com",[12,15,29,2143]],["tirhutnow.com",12],["unveilnewser.com",[12,29]],["darbhangacity.in",[12,29]],["namastepurvanchal.in",[12,245,2640]],["omexpress.in",[12,50,1331]],["dainikkushtia.net",12],["update24.net",12],["newswings.online",[12,2897]],["canvasmagazine.com.bd",13],["cholomanjobab24.com.bd",[14,15]],["badaunexpress.com",[14,312]],["firstnewsbd.com",14],["udaipurkiran.in",[14,15]],["indias.news",14],["awajnews.com",[15,360,361]],["bdjournal365.com",15],["bdlawnews24.com",[15,352]],["belagavisuddi.com",[15,496]],["chalonbeelbarta.com",15],["dainikaamsabha.com",15],["indoasiantimes.com",[15,29]],["jagatbhumi.com",[15,49,1283]],["jamunanewsbd.com",[15,97,203,1300]],["janjagranmediamanch.com",15],["jansaamna.com",[15,1214]],["kasaragod.com",[15,1400]],["nationalwartanews.com",[15,1706]],["news10india.com",[15,29,50]],["newsjungal.com",15],["parbatyachattagram.com",[15,505,552]],["pratidinertottho.com",15],["purvanchalnews.com",[15,29,1214]],["sarkarimanthan.com",[15,114,2128]],["shabddoot.com",[15,377]],["shauryatimes.com",[15,29]],["sonalichandpurnews.com",15],["starnews24bd.com",[15,29]],["thecgnews.com",15],["thelastpagenews.com",15],["tosnews.com",[15,114]],["weeklyhajiganj.com",15],["ghazipurkhabar.co.in",[15,197,2518]],["punjabnewslive.co.in",[15,360,2537]],["news85.in",[15,114,650]],["livesamachar.live",[15,29]],["ceylonradio.co.uk",[15,2935]],["corporatenews.com.bd",16],["currentnews.com.bd",17],["dailysunshine.com.bd",18],["arthasansar.com",[18,316,317]],["pankourinews.com",[18,1901]],["dainikbangla.com.bd",19],["newsbangla24.com",19],["edunews.com.bd",[20,21]],["mppost.com",21],["newslive24x7.com",[21,52,118,354]],["sarthakprayash.com",[21,118]],["glimeindianews.in",[21,52,118,2562]],["hajjnews.com.bd",22],["24hnbc.com",[22,77]],["alokitokhobor.com",22],["asianmetronews.com",22],["bartakontho.com",[22,440]],["bn.bd24report.com",[22,460,461]],["chapainews.com",[22,39]],["comilla71tv.com",22],["coxsbazarpost.com",22],["crimeexpressbd.com",[22,391]],["dailyganomukti.com",22],["firlive.com",[22,1064]],["globalmalayalam.com",[22,1102,1103]],["kanchanjanghaonline.com",[22,1231]],["khobor24ghonta.com",[22,1476]],["malayaleevision.com",[22,1598]],["nabajug.com",[22,236]],["narsingdijournal.com",22],["postpati.com",[22,1937]],["puthithu.com",[22,1997]],["safalkhabar.com",[22,277,2059]],["sajhasabal.com",[22,2067]],["satkhiratoday.com",[22,203]],["sylheterchakrirkhabar.com",22],["sylhetprothidin24.com",[22,1967,2232]],["odia-ray.in",[22,2666]],["tezsamachar.in",[22,2712]],["jonaki.tv",22],["ittefaq.com.bd",23],["manobkantha.com.bd",24],["meghnanews.com.bd",25],["bandarbanpratidin.com",[25,97]],["bijoykantho.com",[25,97]],["bonggonews.com",[25,594]],["channelcox.com",[25,662]],["chitrarpar.com",25],["crimebd.com",25],["dailyajkersurjodoy.com",[25,97]],["dailyapashinkantha.com",[25,97]],["dainikdeshbarta.com",25],["dainikdesherkotha.com",25],["dainiksomoyerbangladesh.com",[25,97]],["dakhinbongonews25.com",25],["deshprotidin.com",[25,97]],["doiniksabujbiplob.com",25],["faridpursamachar.com",25],["gabtalisangbad.com",[25,97]],["jagannathpur24.com",25],["jagratajanata24.com",[25,97]],["kansatnews24.com",[25,71,97]],["kholahawa24.com",25],["meherpurpress.com",25],["mvoice24.com",25],["newsbijoy.com",25],["nirjatitonewsbd.com",25],["onnodristy.com",25],["pabnamail24.com",25],["paharechok.com",25],["prbnews24.com",25],["protisomoy.com",25],["quicknewsbd.com",25],["satkhiratimes24.com",25],["sherpurtoday.com",25],["shubhoprotidin24.com",[25,153,2174]],["unlimitednews24.com",25],["updatebarta24.com",25],["haor24.net",25],["satkhiraprotidin.net",25],["bdgaibandha.news",25],["mna.com.bd",26],["nnb.com.bd",27],["evisionnews.co",[27,64,65,66,67]],["coverageindia.com",[27,734]],["digitalindia18.com",27],["gidhaur.com",[27,65,67,578,1096,1097]],["gzpnews.com",[27,446]],["liveaaryaavart.com",[27,446,533,785]],["madhepuratimes.com",[27,64,65,66,67,446,577,578,682,1097,1512,1568,1569,1570,1571,1572]],["malabarflash.com",[27,64,65,66,67,163,446,578,682,1512,1572,1590,1591]],["shaharaman.com",[27,574]],["siyanenews.com",[27,446]],["thattungal.com",[27,64,65,66,67,162,385,445,446,577,578,682,1097,1254,1512,1568,1569,1572,2285,2286]],["unmaikal.com",[27,183]],["vanniexpressnews.com",[27,578,682,1572]],["vijaytimes.com",[27,67]],["99samacharexpress.in",[27,163,448,533,2462]],["hamaramahanagar.in",[27,183,446,578,1512,1572]],["pinkcitynews.in",27],["dth.news",27],["probashbd.news",[27,66]],["parthokko.com.bd",[28,29]],["news19tv.com",[28,159]],["sftv.com.bd",[29,36]],["janamitra.co",29],["18newsrajasthan.com",29],["6pmnews.com",29],["aagaazfirstnews.com",[29,111]],["adeventmedia.com",29],["agraupdate.com",[29,189]],["ajkerbd24.com",[29,201]],["alertchhattisgarh.com",[29,222]],["alokitonewstv.com",29],["amarvaani.com",29],["amitrekha.com",29],["anewsoffice.com",[29,272]],["antarkatha.com",[29,71]],["apanderanews.com",[29,298]],["apkhabar.com",[29,299,300,301]],["apnapradesh24x7.com",[29,303]],["apnarajya.com",29],["arthakoartha.com",29],["arthanepal.com",[29,39]],["aslipunjabi.com",29],["attariyaonline.com",[29,343,344]],["atulyaloktantranews.com",29],["azhimukham.com",[29,371]],["balliakhabar.com",[29,383]],["balliakibat.com",[29,384]],["bangbandhupatrika.com",29],["bangladaily24.com",29],["bantwalnews.com",[29,424]],["bhadas36.com",[29,118]],["bharatjan.com",[29,175,510]],["bharatsarathi.com",[29,87]],["bolozindagi.com",29],["breakingaajtaknews.com",29],["business24bd.com",29],["cgmetro.com",29],["cgnama.com",[29,50]],["cgwall.com",[29,50]],["chandrikadaily.com",29],["chatganrbani.com",[29,669]],["chauthiduniya.com",[29,678]],["chirfar.com",29],["cibindianews.com",[29,50,164,699,700]],["comillarbarta.com",29],["communistonline.com",29],["countryinsidenews.com",[29,732,733]],["crimenewstv24.com",[29,187,745]],["dailyalokitovor.com",[29,767,768]],["dailynagorik.com",29],["dailysatnadee.com",[29,50]],["dainikbhaskarup.com",[29,118,831,832]],["dainikkhabarlayehain.com",[29,50,175]],["dainikvatibangla.com",[29,203,866]],["dakhalchhattisgarh.com",[29,71,868]],["damaulinews.com",29],["deshantor.com",29],["devbhoomidarshan17.com",29],["dhorpatannews.com",[29,50,328]],["divyaindianews.com",[29,118]],["doinikbarta.com",29],["doiniksokalerbarta24.com",29],["e-barta247.com",29],["envazhi.com",[29,459]],["eratokhabar.com",[29,1029]],["expressherald.com",29],["fastsamachar.com",29],["fatehnagarnews.com",[29,49,258,976,1048]],["gadhsamvedna.com",[29,175,455,1042]],["galaxyinformer.com",29],["galaxykhabar.com",29],["gayamahanagar.com",[29,50]],["grenonews.com",[29,676,1135]],["haikaravali.com",[29,836]],["haryanabhaskar.com",29],["hindustanabtak.com",29],["hindxpress.com",[29,118]],["historydekho.com",29],["ideatvnews.com",[29,1247]],["indianlooknews.com",29],["janatarsomoy24.com",29],["jansandesh.com",29],["jayakesarionline.com",29],["jharkhandupdates.com",29],["jivikatoday.com",29],["jjvnews.com",29],["jonopotro.com",[29,519]],["kageshworikhabar.com",[29,1361]],["kakakhabarilaal.com",[29,102,118,857]],["kalikadainik.com",[29,1372]],["kanakaikhabar.com",29],["kanakaionline.com",[29,71,165,1383]],["kannadanewsnow.com",[29,71,146,165,776,1386]],["kanodnews.com",[29,1390]],["keralanewz.com",29],["khabarok.com",[29,268,459,1453]],["khabarwithcover.com",[29,146]],["khulnanchal.com",[29,42]],["liveskgnews.com",[29,175]],["lokpukar.com",[29,1554]],["makkalmurasu.com",[29,1278]],["mangalamnewsonline.com",29],["manoranjansansar.com",29],["margarekha.com",[29,1619]],["mariahulive.com",[29,1620]],["mediasaheb.com",[29,146,364]],["merabharatnews.com",29],["moviewingz.com",[29,49,1060,1660]],["nagarikbahas.com",[29,1118]],["nayabimarsha.com",29],["nepalface.com",[29,39]],["nepalmanch.com",[29,1747]],["news129.com",[29,332,1770]],["news13tv.com",29],["newsfry.com",29],["newsglobalbd.com",[29,1806]],["newskadaba.com",[29,1809]],["newsplus21.com",29],["newsxindia.com",[29,1838]],["npbharat.com",29],["odisha24.com",29],["oktelugu.com",[29,463]],["onlinejalandhar.com",[29,799]],["otvnepal.com",29],["pahadsmachar.com",29],["parvasinewspaper.com",[29,49,1148]],["paschimnepal.com",[29,1913]],["prabhatmantra.com",29],["pradeshmedia.com",29],["pradeshonlinekhabar.com",[29,50,168]],["pressbangla24.com",[29,102,971]],["primepunjab.com",[29,88]],["prothomshomoy.com",[29,54,433]],["pujibazarreport.com",[29,1980]],["punjabenews.com",29],["rashtrabodh.com",[29,45,2014]],["rashtratimes.com",[29,88]],["readertimes.com",29],["rghnews.com",[29,50]],["roytarsnews.com",29],["rubarunews.com",[29,63]],["sachkasafar.com",29],["sadaksanchar.com",29],["saiviswateja.com",29],["sajhabisaunee.com",29],["samachaarindia.com",[29,50]],["samacharhouse.com",[29,2073]],["samacharkyari.com",29],["samarsaleel.com",[29,74]],["sancharbani.com",29],["satkhiravision.com",29],["sb24live.com",[29,50]],["sbdnews24.com",[29,463]],["seemanchalnews.com",29],["setoghar.com",[29,39]],["sheershasangbad.com",[29,102,432]],["sikhvirsa.com",29],["sitakundabarta.com",[29,146,1251]],["sonipat24.com",29],["southasia24x7.com",[29,1215,1412]],["starvrutta.com",[29,104]],["sunehradarpan.com",[29,175]],["sunokhabar.com",29],["sylhetnewstimes.com",[29,50]],["tamilankural.com",[29,2239,2240]],["tamilcinetalk.com",[29,813,1060]],["tamilnews.com",[29,50,822]],["tatviknews.com",[29,111,2262]],["thefourthmirror.com",[29,2297]],["theguptchar.com",[29,832,1691]],["theindiarise.com",29],["thelucknowtribune.com",[29,669,2304]],["todaybhaskar.com",[29,2342]],["todaypati.com",[29,2345]],["tv36hindustan.com",[29,102,607]],["ujyaalonetwork.com",[29,300]],["upantaodisha.com",[29,88]],["varthamanam.com",[29,2403]],["vishwakarmakiran.com",[29,88,102]],["vision4news.com",[29,120,659]],["vivegamnews.com",29],["vvtuk.com",29],["aamaadmi.in",[29,50,52]],["bharatsamachartv.in",[29,118,2491]],["chirantannews.in",[29,71]],["alivenews.co.in",[29,2212,2509,2510]],["andbiharnews.co.in",29],["expressindian.co.in",[29,2516]],["indianewsviral.co.in",[29,71,165,957,2520]],["rainbownews.co.in",[29,175]],["yashbharat.co.in",29],["currentnewz.in",[29,49]],["dharmyaatra.in",29],["dhunga.in",[29,2552]],["epaperindia.in",[29,840]],["gauravnews.in",[29,175]],["gionews.in",29],["hamariawaz.in",29],["indiansamachar.in",29],["jagouttarakhand.in",[29,175]],["jaihindtimes.in",[29,269,2593]],["khabarbihar.in",[29,1451]],["lokalok.in",[29,88,2622]],["lokshakti.in",29],["nacnews.in",29],["nationupdate.in",[29,52,118]],["newshindustan.in",[29,2650]],["newsportals.in",[29,111,857]],["odiabarta.in",[29,455,1796]],["parmantimes.in",[29,2673]],["samachardoot.in",[29,1128,2436]],["shaheedokonaman.in",[29,50,175]],["tajakhabar.in",[29,175]],["tarunchhattisgarh.in",29],["thecritic.in",[29,2713]],["theruralpress.in",29],["thetruths.in",[29,87]],["vijayapatha.in",[29,702,1432]],["zaptang.in",29],["ziotamil.in",[29,50,187]],["bhojpurimasala.live",29],["newspost.live",29],["nkdigital.live",29],["newsplus.lk",29],["puthusudar.lk",29],["dainikchattogram.net",[29,2806]],["panjabilok.net",29],["songbadsaradin.net",29],["voiceofuttarakhand.net",29],["bangladeshmail.news",[29,1599,2857]],["newindiatimes.news",[29,364]],["satwadhara.news",[29,2874]],["jugerbarta.online",[29,512,2318]],["eksandesh.org",29],["expressnewslive.tv",[29,175]],["news71bangla.tv",29],["pavilion.com.bd",30],["pundrokotha.com.bd",31],["redtimes.com.bd",32],["bihardailynews.com",[32,462]],["dailysylheterdinkal.com",32],["hipamat.com",[32,1220]],["sachetonbarta.com.bd",[33,34,35]],["asomkhobor.com",[33,222,331]],["ghaziabad365.com",[33,117,1092,1093]],["todayexpressnews.com",34],["apnepal.com",[36,306]],["dainikprime.com",36],["mirsarainews.com",36],["tamilcinemaz.com",[36,650,1060,2241]],["sylheterdak.com.bd",[37,38]],["dainiksylhet.com",[38,240,864]],["sylhetview24.net",[38,2841]],["unb.com.bd",[39,40]],["aayokhabar.com",[39,105,143]],["amaderorthoneeti.com",[39,238]],["anusandhan24.com",39],["arthadabali.com",[39,314]],["arthadaily.com",39],["ashakakiran.com",[39,328]],["baglungpost.com",39],["bd-pratidin.com",39],["biznessnews.com",[39,569]],["campuslive24.com",[39,617]],["chapaibarta24.com",[39,666]],["chhanbin.com",39],["dailymatobad.com",39],["dailynayadiganta.com",[39,801]],["dainikeenews.com",39],["dainiknewsnepal.com",39],["demokhabar.com",39],["desherkhabor24.com",39],["emalayalee.com",[39,1018]],["gandakilive.com",39],["gokarneshworonline.com",[39,328]],["gournadi24.com",[39,1125]],["heralokhabar.com",[39,1180]],["ichchhakamananews.com",[39,1246]],["indrenisamaj.com",39],["inextlive.com",[39,1272,1273]],["internetkhabar.com",39],["jagran.com",[39,1289]],["jaljalakhabar.com",[39,102]],["jhuthasach.com",39],["kalerkantho.com",[39,1371]],["kaligandakikhabar.com",39],["kamananews.com",[39,71]],["kantipurpati.com",39],["khabarcenter.com",39],["khabortv.com",[39,1465]],["laligurash.com",39],["lekhajokhanews.com",[39,1534]],["livegandaki.com",39],["livehindustan.com",[39,1538,1539]],["mayurpati.com",39],["mediadabali.com",[39,372,1630]],["megakhabar.com",39],["motivatenews.com",[39,55]],["nagariknews.nagariknetwork.com",[39,1686]],["naidunia.com",[39,1273]],["narayanganjprotidin.com",[39,97]],["nayasadak.com",39],["nepalesediaspora.com",[39,1737]],["nepalpana.com",39],["nepalraibar.com",39],["neptvnews.com",39],["newsbihani.com",39],["newsdeskkannada.com",[39,165,444,1800]],["newsflash71.com",[39,1805]],["onlinedainik.com",39],["onlinepatrika.com",39],["palikanews.com",39],["pariwartankhabar.com",[39,315]],["punjabijagran.com",[39,1272]],["punjabstar.com",39],["reportersnepal.com",[39,189,721,2028]],["sajhapost.com",39],["samacharjagat.com",39],["samajikpatra.com",39],["sokalerkhobor24.com",[39,55]],["tamilan24.com",[39,1611]],["topnews24x7.com",39],["webtvkhabar.com",39],["dainandini.in",39],["ibc24.in",[39,2578]],["peoplessamachar.in",39],["bdcnews.info",39],["jnewsbd.news",39],["womenscorner.com.bd",41],["colorsnewslive.com",41],["jogajog24.com",41],["khabar247.com",41],["newsbarisal.com",41],["rajbari.com",41],["sheershanews.com",41],["thepratyeknews.com",41],["lokwani.tv",41],["garavigujarat.biz",[42,43]],["insurancekhabar.com",[42,1276]],["temalonline.com",42],["mediapunjab.biz",44],["mediapunjab.com",[44,1635]],["canadauthayan.ca",45],["24webnews.com",[45,87]],["angultv.com",[45,71,105]],["ausamachar.com",[45,348]],["bihardainik.com",45],["mahadbd.com",[45,1582]],["rozanapost.in",[45,71,229]],["thehdnews.in",[45,2715]],["zamania.in",[45,2745]],["cknewsgroup.ca",46],["despunjab.ca",47],["bojrodhoni.com",[47,114]],["gandakivoice.com",[47,118]],["idp24news.com",[47,118]],["mahanagarkesari.com",47],["narailsangbad.com",[47,118,159]],["rudrakshnews.com",[47,114,192]],["shirshobindu.com",47],["urjanchaltiger.com",47],["neervely.ca",48],["ptcnetwork.ca",[49,50]],["abhibharat.com",[49,150,151]],["akkinikkunchu.com",49],["anaicoddai.com",[49,255,256,257,258,259,260,261,262,263,264]],["attachowk.com",[49,71,342]],["baghuabarta.com",49],["binodonnews24.com",49],["cinemasthi.com",[49,54]],["communitynews24.com",[49,650,659]],["currentkhabar.com",[49,150,758]],["dailymomenshahi.com",[49,150]],["gobikhobor.com",49],["hindi24news.com",[49,60,239]],["indokalingtimes.com",[49,82]],["jagprerna.com",[49,120,150,197,255,273,332,352,585,650,1010,1076,1288]],["joyparajoy.com",[49,957,1076]],["karmalamadhanews24.com",[49,82,366,509,656,1395,1396]],["komashisha.com",49],["maharashtradesha.com",49],["moviemandu.com",[49,150,197,1658,1659]],["pabilnews.com",[49,88,120]],["parichowk.com",[49,71]],["postpatrika.com",[49,588]],["punjabbaani.com",[49,52,150,197,463,586,650,1982,1983]],["punjabimaaboli.com",49],["republicbharatnews24.com",[49,609]],["samacharvaarta.com",[49,2077]],["vijaychowk.com",[49,71]],["yarlosai.com",[49,1148]],["bihar.express",49],["ccnnews24.in",[49,355]],["rninewsbihar.co.in",49],["jansamparklife.in",49],["udaipurnewschannel.in",49],["udayindiahindi.in",[49,467]],["cinesnacks.net",[49,2802]],["sidhakura.net",49],["1newsnation.com",50],["anokhateer.com",[50,280,281]],["apnaranglapunjab.com",50],["apnuuttarakhand.com",50],["bharatnewschannel.com",50],["cgtaik.com",50],["ctn24.com",50],["editorjee.com",[50,985]],["goodnews-in.com",50],["gujjugully.com",50],["hadapsarexpress.com",[50,366,421,462]],["himalayandiary.com",50],["hinditechy.com",[50,52]],["indiavisionmedia.com",[50,674]],["journalistonlive.com",50],["kalkudahnation.com",[50,457,552]],["khabarbharat36.com",[50,71,146]],["khabarbhumi.com",50],["khabardarkhabar.com",50],["khabaristan.com",[50,1446]],["livereadernews.com",[50,52]],["lokbharat.com",[50,1546]],["magahinews.com",[50,552,1109,1332,1522,1579,1580]],["mbd24.com",[50,1625]],["mbmnewsnetwork.com",[50,165]],["missionsandesh.com",[50,1647]],["mussoorieaajtak.com",[50,175]],["news127.com",[50,175,827]],["news24you.com",[50,118]],["newsbanglaa.com",[50,280]],["newsorbit.com",50],["pataka24.com",[50,118]],["purvanchalpost.com",[50,1995]],["quicklinenews.com",50],["ritambangla.com",[50,377]],["sangbadkonika.com",[50,52]],["socialsamvad.com",50],["swapnilbangladesh.com",50],["swarnimbharatnews.com",[50,2229,2230]],["tamilpadalvarigal.com",50],["tamilthisai.com",[50,2252]],["thehillsofmussoorie.com",[50,712]],["topchand.com",[50,2349]],["ujjawalprabhat.com",[50,118]],["vishban.com",50],["voice4bihar.com",[50,2421]],["voiceofpanipat.com",50],["apnakhata.guide",50],["aavakaaya.in",[50,629]],["headlineexpress.in",50],["khabriadda.in",[50,2607]],["livequicknews.in",[50,52,980]],["manthannews.in",50],["news1today.in",[50,359,2646]],["priyanews.in",[50,280]],["todaysdigitalbreakingnews.in",[50,2725]],["satyamnews.net",50],["kannadavani.news",[50,360]],["metroplus.online",50],["punjabiakhbaar.ca",[51,52,53]],["aaryaanews.com",[51,141]],["hkgnews247.com",[51,1105,1221]],["hindsat.in",[51,52]],["satyagrahnews.in",[51,192]],["tararalo.net",51],["aapkimedia.com",52],["akjnews.com",[52,217]],["banglarjanapad.com",[52,406,407]],["bombaysamachar.com",52],["bundelkhandsamachar.com",[52,309,606,607,608]],["chandinarsomoy.com",52],["charotarnoavaj.com",[52,118]],["cmgtimes.com",[52,118]],["deshebideshe.com",52],["devbhoomilive.com",52],["ehapuruday.com",[52,115,118]],["globalecampus.com",52],["hamarahimachal.com",[52,114,118,280,1153]],["indiaedgenews.com",[52,378]],["internationalmalayaly.com",52],["jantaconnect.com",[52,1043]],["keralabhooshanam.com",52],["mbkhabar.com",[52,118,980]],["mpcgexpress.com",[52,118,1105]],["natunbarta.com",[52,192,980]],["nayalook.com",[52,118]],["newssow.com",[52,118]],["newz24india.com",52],["northindiastatesman.com",[52,980]],["panchagarhonline.com",52],["pokharanews.com",[52,118]],["rewariupdate.com",52],["sabkasandesh.com",[52,1411,2050]],["saffronfactor.com",[52,118]],["shekhawatilive.com",[52,118]],["telegramnews24.com",[52,2273]],["thetadkanews.com",[52,118,192]],["thetimesofchhattisgarh.com",[52,980]],["updatepunjab.com",[52,118]],["vaanishreenews.com",52],["vinayavani.com",52],["wegwannews.com",[52,118]],["apnahimachalapnishaan.in",[52,82,773,1214,2483]],["bastarflame.in",52],["cgujala.in",[52,118]],["crimejasoos.in",52],["glibs.in",52],["indiaprimenews.in",[52,118,832]],["justaction.in",52],["newsd5.in",[52,118]],["rajdhanitimescg.in",[52,114,980,1145]],["rig24.in",52],["siddhamaruthuvam.in",[52,197]],["swatantraawam.in",52],["telegraphindia.in",52],["thehindkeshari.in",52],["sonprabhat.live",[52,118,2318]],["thepublicnews.live",[52,118]],["voiceofmedia.lk",[52,1026]],["allindianews.me",[52,118]],["asha.news",[52,118]],["pudhari.news",[52,118]],["massnews.online",[52,118,1367]],["prabudhajanata.online",[52,118]],["uttarakhand24news.com",53],["punjabinational.ca",[54,55]],["solantoday.com",[54,2092,2190]],["64kalalu.com",55],["anshprabhat.com",55],["bharatnewsservice.com",[55,512]],["buxaruptodate.com",[55,463,613,614,615]],["canamnews.com",[55,359]],["champawatkhabar.com",[55,455,648]],["cinemapluz.com",[55,129]],["cumillarbarta.com",55],["dailygazipuronline.com",[55,782]],["dhunkhabar.com",[55,924]],["impact24news.com",[55,1252]],["kalakarmi.com",55],["kannadanet.com",[55,1385]],["khabarhp.com",55],["ktmkhabar.com",55],["kuberbhoomi.com",55],["mahavoicenews.com",55],["matraeducation.com",55],["mbdwebnews.com",[55,1626]],["mirmireonline.com",[55,1645]],["nepalawaj.com",[55,300,1232]],["poribortonersopoth.com",[55,187,241,359]],["prabartan.com",[55,1938]],["realviewnews.com",[55,2026]],["rj24news.com",55],["samarneetinews.com",55],["saurahaonline.com",55],["sutranews.com",[55,1291]],["tarangabarta.com",55],["theeditor24.com",[55,547,2295]],["thelifelinetoday.com",[55,1178]],["udaydinmaan.com",[55,886]],["updatesatkhira.com",[55,257,817]],["anwesantv.wordpress.com",[55,2441]],["yeskathmandu.com",55],["kokanmedia.in",[55,225,450,2611]],["bijoybangla.news",55],["udayakala.news",55],["punjabipost.ca",56],["aggarjanpatrika.com",56],["himalayanupdate.com",56],["hindiexpressnews.com",56],["jagmarg.com",56],["tatkalnews.com",56],["uthayannews.ca",[57,58]],["pclive7.com",[57,857]],["everesttimes.net",[57,732,2813]],["tamilnews.cc",59],["malayalees.ch",[60,61]],["chhattisgarhvaibhav.com",[60,691]],["dainikpana.com",60],["news1hindustan.com",[60,1777]],["indore-samachar.in",60],["makkalkural.net",[60,69]],["instanews.city",62],["chhattisgarh.co",63],["newsmalayalionline.com",[63,455]],["skyhawktimes.com",[63,433]],["nepalmother.com",[64,65,577,578,1254,1568,1571,1748]],["gyandatasamachar.blogspot.com",66],["ceylonmuslim.com",[66,183,630]],["dailyhealthletters.com",[66,136,446,533,574,785]],["inahardoi.com",[66,67]],["mithlahindinews.com",[66,936,1648]],["newsprahari.com",[66,578]],["rajsamachar.com",[66,183,446,574]],["sandwanews.com",[66,446]],["tapnewsindia.com",[66,163,183]],["vyganews.com",[66,668]],["tejasindia.in",66],["bestghazals.net",66],["fastnewsindia.co",[68,69]],["himachalmedia.co",70],["newsfront.co",71],["aafnokura.com",[71,110]],["aamsanchar.com",[71,125]],["abhayindia.com",[71,149]],["airanewsnetwork.com",[71,192,193]],["banglatelegraph.com",[71,410]],["biharivoice.com",[71,545]],["chhattisgarhprimetime.com",[71,689]],["cinemadaddy.com",[71,146,702]],["cinemapettai.com",71],["cityhalchal.com",[71,378,710]],["creativenewsexpress.com",[71,736]],["dailywhile.com",71],["dainikjayantnews.com",[71,175,847]],["dalitawaaz.com",71],["ghamasan.com",71],["gorakhpurhindinews.com",71],["govtofgaurang.com",71],["hindikhabar.com",[71,1203]],["hoophaap.com",71],["hosakannada.com",71],["idealindianews.com",[71,421,606]],["jkcnews.com",[71,1192]],["jogindernagar.com",[71,1346]],["khabarhikhabar.com",[71,832,1026,1043,1441,1442,1443]],["kingwaytamil.com",71],["knlslive.com",[71,1490]],["kothamangalamnews.com",71],["lankamurasu.com",[71,183]],["loksaakshya.com",[71,1089,1090,1555]],["malwanews.com",[71,1605]],["n7india.com",71],["navamalayali.com",[71,354]],["newscg11.com",[71,1795]],["newsthen.com",71],["patnanewslive.com",71],["priyochandpur.com",[71,460]],["priyoshomoy.com",71],["rajsattapost.com",71],["rkhabar.com",71],["roopcare.com",[71,134,296]],["rosemalayalam.com",[71,2041]],["samacharplusnews.com",[71,1620,1717]],["sangbadonline.com",71],["sangbadsafar.com",[71,118]],["satyakhabarindia.com",[71,150]],["shamolbangla24.com",[71,203,2152]],["shottoboyan.com",[71,421,2169]],["shottoboyan24.com",[71,421]],["sundarbontimes.com",[71,702]],["thecrimeonline.com",71],["thejharokha.com",[71,221]],["tnpanchayat.com",71],["uttranews.com",[71,332]],["zoombangla.com",[71,146,2454]],["andolana.in",71],["ebharatnews.in",[71,2355]],["globalindiannews.in",71],["gujaratexclusive.in",71],["media24news.in",[71,463]],["mediavisionnews.in",71],["newsuniversal.in",[71,2656]],["nikharanews.in",[71,2663]],["onlygujarat.in",71],["prajasatta.in",[71,2679]],["punjablivenews.in",[71,164,433,1128,2684]],["rajasthanichirag.in",[71,2685]],["sachchadost.in",71],["starbangla.in",[71,2709]],["theindiandaily.in",71],["wcnews.in",71],["lekhaporabd.net",[71,2366]],["kelopravah.news",[71,90,836]],["techzoom.tv",[71,2932]],["odishafast.co",72],["p2pnews.co",[73,74]],["graminujala.com",[74,1128,1129]],["ibn24x7news.com",[74,1148,1245]],["laxminews24x7.com",[74,124,159,659,1530]],["patrikajagat.com",74],["shriramjankitimes.com",74],["theinternalnews.co",75],["18indianews.com",76],["24jetnews.com",78],["24livenewspaper.com",79],["24newspress.com",[80,81]],["bn24live.in",[80,126]],["ibclive.in",[80,2579]],["mukhpatra.in",80],["48bangla.tv",80],["polikai.com",81],["swapnilsansar.org",81],["24timestoday.com",82],["amanyatralive.com",[82,118]],["hindirush.com",82],["indianletter.com",[82,1261]],["khabarwarrior.com",[82,364,602]],["thehimachal.com",[82,332]],["uttarakhandhindinews.com",82],["tnnews24.in",[82,332,609]],["24updatenews.com",[83,84]],["u71news.com",[83,1816,2363]],["24upnews.com",[85,86]],["buxarpatrika.com",86],["36garhi.com",87],["a2znewsup.com",[87,103]],["avikaluttarakhand.com",[87,197,351,352,353]],["azchavattomonline.com",[87,370]],["dainikchhattisgarhwatch.com",87],["keelainews.com",[87,1410]],["khabareducation.com",[87,1439]],["nammakudlanews.com",87],["odishatime.com",[87,269,377]],["rashtrasamvad.com",[87,269,2016]],["samastipurlive.com",87],["upaajtak.com",87],["insightonlinenews.in",87],["24x7breakingpoint.com",88],["aanthaireporter.com",[88,129]],["ambikapurcity.com",88],["banglapostbd.com",[88,399]],["cobranews24.com",88],["filmaniaentertainment.com",[88,463,1043]],["globalhimachaltimes.com",88],["himalini.com",[88,167,226,976,1194,1195]],["jalandharbreeze.com",88],["janashaktinews.com",[88,1307]],["jogiexpress.com",[88,117,1345]],["kannurvarthakal.com",88],["khaskhabar24.com",[88,114]],["khulasamedia.com",88],["koyilandydiary.com",[88,1498,1499]],["livekhabar.com",88],["navpradesh.com",[88,114,366,472,552,1717]],["newspagebd.com",[88,1822]],["prameya.com",88],["pularvu.com",88],["real4news.com",88],["saakshatv.com",[88,1112,1441,2045]],["sachkidastak.com",[88,272]],["shaktialmora.com",[88,2151]],["smartindiadial.com",[88,1636,2183]],["sorejomin.com",88],["thepressnepal.com",[88,1042]],["timesofnellore.com",88],["todaynewshunt.com",88],["tv24live.com",[88,339,2360]],["biharnewstv.in",88],["boundaryline.in",88],["focusnews.co.in",88],["indonepalnews.in",[88,2589]],["liveindiakhabar.in",[88,309,2619]],["newswayanad.in",[88,606,2658]],["shreenews.in",[88,2702]],["thefactshala.in",88],["24x7cg.com",[89,90]],["nawidunia.com",90],["timesandspace.com",90],["4malayalees.com",91],["4pmnewsonline.com",92],["4tamilmedia.com",93],["52banglatv.com",94],["balaganjprotidin.com",[94,382]],["5dariyanews.com",95],["60secondsnow.com",96],["71barta24.com",97],["71sangbad24.com",97],["71times.com",97],["ajkercrimenews.com",[97,202,203]],["ajkercrimetimes.com",[97,204]],["ajkertanore.com",[97,203]],["alochitosokal.com",97],["alokitodhaka.com",97],["alokitoteknaf.com",[97,203]],["aznewsbd24.com",[97,203,372]],["bangla71news.com",[97,203,391]],["banglanewstv.com",[97,403]],["banglarkonthosor.com",[97,172,352,408]],["banglarkonthosor24.com",97],["bholatimes24.com",97],["borendronews.com",[97,203,597]],["businesshour24.com",[97,612]],["ccnews24.com",[97,625]],["coxsbazartimes.com",[97,203]],["crimeseen24.com",97],["dailyamaderbangladesh.com",97],["dailybahadur.com",[97,770,771]],["dailydishari.com",[97,778]],["dailyjugantorsangbad.com",[97,203,795]],["dailynotunsongbad.com",[97,771]],["dainikcampus.com",[97,833]],["dainikdishari.com",[97,839,840]],["dainikshikkhokderkotha.com",[97,203]],["daynikekusherbani.com",[97,877]],["deshersangbad24.com",97],["diptonews24.com",[97,203,853]],["durnityreport24.com",97],["ektibd.com",97],["fenitribune.com",[97,1053]],["fulbarianews24.com",97],["gtbnews24.com",[97,203,977]],["haimcharbarta.com",97],["haorbarta24.com",97],["indurkanibarta.com",[97,202]],["kopotakkhotimes.com",[97,1495]],["lalsobujerkontho.com",[97,203,1524]],["munshiganjvision.com",97],["newsbna.com",97],["newspabna.com",97],["onushondhantv.com",97],["oporadhsangbad.com",97],["paribahanjagot.com",[97,203,1907]],["patiyapratidin.com",97],["pollysoktybarta.com",[97,1935]],["pracestanews24.com",97],["priyobanglanews24.com",97],["rbcnewsbd.com",[97,203]],["sarakkhonnews.com",[97,203]],["setvnews24.com",[97,2148]],["sharekhabar24.com",97],["sherpurgrambangla.com",97],["shikkhapotrika.com",[97,203]],["shiromoni.com",97],["somoyerdak24.com",97],["songbadsarakkhon.com",[97,2197]],["surjodoy.com",[97,203]],["sylhetmail24.com",97],["teknaf71.com",[97,853,854]],["thebarisal.com",[97,203]],["alokitonarayanganj24.net",[97,2794]],["banglarkagoj.net",[97,203]],["chatgarsangbad.net",[97,1009]],["eibela.net",[97,203]],["firstbdnews.net",97],["banglalivenews24.tv",97],["71newstoday.com",98],["71sangbad.com",99],["7elevennews.com",[100,101]],["raajdhaninews.com",100],["a2znewslive.com",102],["bangla52news.com",[102,390]],["cgmitan.com",[102,120,433,585,635,636]],["citynewsindia.com",102],["hindvatannews.com",[102,1219]],["jhunjhununewz.com",[102,1341]],["kundeshwartimes.com",[102,164]],["news4live.com",102],["newsnowbangla.com",[102,118,172]],["prameyanews7.com",[102,1559]],["sabalpost.com",102],["shiftindia.com",102],["shreekanchanpath.com",[102,197,352,2171]],["vvnewsvaashvara.in",[102,1449]],["a2zsamachar.com",[104,105,106]],["azadsandesh.com",104],["bikashnews.com",[104,557,558]],["chattogramersomoy.com",[104,672]],["chitwanpress.com",[104,695]],["himnewspost.com",104],["nepalsandesh.com",[104,1756]],["newsviewspost.com",104],["reporterseye.com",[104,2027]],["peoplenews.lk",104],["nainitalsamachar.org",104],["agnisamachar.com",105],["ejanakpurtoday.com",[105,999]],["khabarbit.com",[105,150,1428]],["parichaya.com",[105,108,213]],["rastriyadaily.com",[105,2017]],["kodanki.in",[105,2610]],["smnewshimachal.in",[105,149]],["aadarshasanchar.com",107],["hamrakura.com",107],["hindustanvision.com",[107,1218]],["maharashtratimes.com",[107,983,984,996,997,998,1583]],["samakal.com",[107,2084]],["weeklynepal.com",[107,2435]],["cg24news.in",107],["andhrabhoomi.net",[107,2795]],["bdrtnn.net",107],["delhicrimepressnews.com",108],["humhindustaniusa.com",110],["thinakaran.lk",[110,2764]],["bholarbani.com",[111,531]],["janotarbani.com",111],["onstimes.com",[111,1884]],["aagolavartha.com",112],["aajbikel.com",113],["aajexpress.com",[114,115]],["acpnews24.com",114],["aryasamay.com",114],["awazlive.com",[114,363]],["awaznews24x7.com",[114,175,364]],["bastabbadi.com",[114,118]],["cgtop36.com",[114,640]],["meherpurnews.com",[114,817]],["mitanbhoomi.com",[114,118,352,1026,1145]],["nandighoshatv.com",[114,1695]],["news20live.com",[114,516]],["newsnasha.com",[114,175,192]],["newsroom9.com",114],["parvatjan.com",[114,1910]],["poojanews.com",114],["rajarhatbd.com",[114,463]],["sabkajammukashmir.com",[114,378,1411]],["sitakundtimes.com",114],["subanetha.com",114],["vedantbhoomi.com",114],["vismayamadyama.com",[114,512]],["voiceofsatkhira.com",114],["vorerava24.com",[114,150,1806]],["inn24news.in",[114,118]],["jharkhandnews.live",114],["sunmision.tv",114],["ishwardinews24.net",[115,269]],["aajkaaldaily.com",116],["aajkakanpur.com",117],["aapkanews.com",117],["aryavartposts.com",[117,326]],["dakhinanchal.com",117],["demranews.com",117],["ekhabartoday.com",[117,1009]],["emediatoday.com",117],["fourthpost.com",117],["ideaciti.com",[117,562]],["janpatranews.com",117],["network10tv.com",117],["newsbindass.com",[117,1791]],["pabnabarta24.com",[117,1088,1889]],["patnapost.com",[117,1919]],["polkholonline.com",[117,146,1806]],["pradeshnews24x7.com",[117,175,550]],["thebiharnow.com",117],["thelokniti.com",117],["vishwanews24.com",117],["agnichakr.in",117],["mediapassion.co.in",117],["k24news.in",117],["ptbnews.in",[117,164,390]],["thekhabri.in",[117,932]],["vedantsamachar.in",[117,2737]],["banglasanglap.co.uk",117],["aajkalsamachar.com",118],["abpbharat.com",[118,159]],["azkersylhet.com",118],["bhorvaibhav.com",118],["bograsangbad.com",[118,522,585]],["cgnewstime.com",118],["cinenxt.com",118],["citysmartnews.com",118],["dainikrajeevtimes.com",118],["damaulikhabar.com",[118,159,872]],["damrua.com",118],["daysbulletin24.com",118],["divyadarpan.com",[118,952]],["f21news.com",[118,428,1042,1043,1044]],["himachalsamay.com",[118,1008]],["hindustanlivetoday.com",[118,172,295,467,957,1215]],["hnn24x7.com",[118,1224,1225,1226]],["jharkhandnewsroom.com",118],["kakkajee.com",[118,1367]],["kaskikhabar.com",118],["khabardekho.com",[118,1436]],["khabarvani.com",[118,742]],["khabor24x7.com",118],["khaskhabarchhattisgarh.com",118],["lovedevbhoomi.com",118],["navakeralanews.com",[118,693,1710]],["nepaljapan.com",[118,1742]],["networktodaynews.com",118],["newj9.com",[118,124,832]],["newresultbd.com",118],["newswing.com",[118,1837]],["newvavuniya.com",118],["pokharasports.com",[118,1073]],["qawmipost.com",118],["shrinaradmedia.com",[118,2173]],["surmanews.com",[118,2101]],["tehelkaindia.com",118],["tharsamwad.com",118],["theupkhabar.com",118],["uktez.com",118],["vorerbangladesh.com",[118,2424]],["yugjagran.com",[118,2453]],["aajkaaditya.in",[118,164,439,1162]],["buxaruptodate.in",[118,2502]],["cglivenews.co.in",[118,369]],["delhibulletin.in",[118,2548]],["devbhumijknews.in",[118,332,2202]],["jugasankha.in",118],["khabarsar.in",118],["lokswar.in",[118,606]],["muvattupuzhanews.in",118],["nilkantho.in",118],["pnn24.in",[118,1106,2675]],["purvanchaltimes.in",118],["shaktinews.in",[118,354]],["thesurgicalnews.in",[118,217,827,1409]],["youturn.in",118],["malayagam.lk",118],["aapkiaawaz.net",118],["aajkasamay.com",119],["aajkiawaaz.com",[120,121]],["barisaltoday.com",[120,159,273,352,431]],["brajpatrika.com",[120,352,599]],["chakarianews.com",[120,643]],["ekhansangbad.com",[120,159,957,1010,1011]],["hastakshep.com",[120,273,293,463,1172]],["indianow24.com",[120,1264,1265]],["indiawarta.com",[120,957]],["kalmunainet.com",[120,239,352]],["lenseyenews.com",[120,352,712]],["manikganj24.com",[120,1609]],["nrsewa.com",[120,957]],["scnnewsindia.com",120],["whitemirchi.com",120],["youngorganiser.com",120],["jeevanutsahnews.in",[120,197,641,957]],["mpbreaking.in",[120,2635]],["bdtodays.net",[120,295,352]],["aajkijandhara.com",[122,123]],["nwnews24.com",[122,1858]],["aakhriaankh.com",124],["bhawalbarta.com",124],["chandankesari.com",[124,650]],["dailykagojkolom.com",124],["dhinakkavalan.com",124],["kanjirappallynews.com",124],["muldharpost.com",[124,377,472]],["pahaltoday.com",124],["sasthabangla.com",[124,159,366,472,553]],["thebharatexpress.com",[124,366]],["thebiharnews.com",[124,159,1363,1527]],["updatenownews.com",[124,366]],["bharatnews18.in",[124,522]],["hindustanrepublic.in",[124,629,2575]],["janmatexpress.in",[124,164,378]],["news21live.in",[124,552]],["sajhamanch.com",[125,1636]],["aankhennews24.com",[126,127,128]],["bhadainimirror.com",[126,127]],["bhavtarini.com",[126,127]],["bundelkhandnews.com",[126,127]],["dakshinapath.com",[126,869]],["darsilivetv.com",[126,127]],["hindikhabarwaala.com",[126,127,1204]],["indraprasthasamachar.com",[126,127]],["jagrantimesnews.com",[126,127]],["lokjannews.com",[126,127]],["prativad.com",[126,127,1956]],["sirajganjexpress.com",[126,127]],["threesocieties.com",[126,127]],["weeklybangalee.com",[126,127]],["aajbangla.in",[126,127,2464]],["bharatlive.co.in",126],["dankaram.in",[126,2547]],["fesn.in",[126,127]],["naradnews.live",[126,127]],["chennaipatrika.com",127],["firstrajasthan.com",127],["gexpressnews.com",127],["hindustankhabar.com",127],["hindustansamay.com",127],["hindustanvarta.com",127],["janajeevala.com",127],["livenewsxpress.com",127],["loudspeakeronline.com",127],["metrocitysamachar.com",127],["newsexpress24.com",127],["p24news.com",127],["polkholindia.com",127],["poorvanchalmedia.com",127],["purvikranti.com",127],["sansaninews.com",127],["starsamachar.com",[127,2204]],["vartanews.com",127],["bharatvarshnews24.in",127],["champarantoday.in",127],["firstbharat.in",127],["highwaychannel.in",127],["nbc24.in",127],["pickthekhoj.in",127],["raebareliexpress.in",127],["rajasthanpost.in",127],["todaynewshindi.in",127],["nayabharat.live",[127,2610,2751]],["zndm.news",127],["newcinemaexpress.com",[129,1767]],["tamilveedhi.com",[129,516]],["vtv24x7.com",[129,653,2427]],["aapkiaawaznews.com",130],["aapkikhabar.com",[131,132,133]],["anugrahavision.com",[131,285,286,287,288]],["bulandsoch.com",131],["cricketkhabara.com",[131,285,738]],["keralavoter.com",[131,286,572,1422]],["satyavoice.com",131],["upuklive.com",131],["uttarakhandpost.com",[131,2393]],["newstm.in",[131,132]],["publicnewstv.in",[131,132]],["anweshanam.com",[132,285,290,291,292,293]],["atalnews24.com",[132,336]],["dailyharyananews.com",[132,784]],["dainikhawk.com",[132,841]],["globalbharatnews.com",132],["haryanakranti.com",[132,285,1168,1169]],["khabreelal.com",[132,285,1467]],["manoranjannama.com",[132,784,1615]],["newsremind.com",[132,336]],["newstodaynetwork.com",[132,285,1832]],["rochakkhabare.com",[132,285,2036]],["skynews100.com",132],["yuvaharyana.com",132],["zabardastharyana.com",132],["3pm.in",132],["samachartoday.co.in",[132,286]],["lifestylenama.in",132],["newsmoments.in",[132,784]],["kathir.news",[132,784,918,919,2865]],["aapkisafalta.com",[134,135]],["achhisoch.com",[134,172,173,174]],["ekusheralo24.com",134],["aapkiummid.com",[136,137]],["balotranewstrack.com",[136,183,385,386]],["bansgaonsandesh.com",[136,422,423]],["taazakhoj.com",[136,1122]],["tahkikatsamachar.in",136],["aapnihathai.com",138],["aapnojodhpur.com",139],["aarthiknews.com",140],["news4csc.com",141],["aashanews.com",142],["aayomail.com",144],["abasangthandp.com",145],["abbiharnews.com",[146,147,148]],["asianprimetime.com",146],["bisshobarta24.com",146],["citywatchnews.com",146],["filmistreet.com",[146,1059]],["hamdardtv.com",[146,421,745,1155]],["iftamil.com",[146,1248]],["indiatimesgroup.com",146],["jalauntimes.com",146],["knanayapathram.com",146],["livelokvani.com",146],["mahendranagarpost.com",[146,165]],["namasteandhra.com",[146,1692]],["newscrime24.com",[146,1796,1797]],["newsganga.com",[146,923]],["parbattaanchal24.com",146],["realtamilnews.com",[146,2025]],["tarunbharat.com",[146,883,2259]],["thurannakathu.com",[146,2325]],["timetvusa.com",[146,636,2337]],["todaypostlive.com",[146,1348,2346]],["topnewskerala.com",[146,536]],["ulipur.com",146],["voiceofmountains.com",146],["news1india.in",146],["sidelook.in",146],["nationone.tv",146],["justmuz.com",148],["adhuniksamachar.com",149],["annapurnatimes.com",[149,279]],["berartimes.com",[149,498]],["jaagonews.com",149],["ktvprotidin.com",149],["thegramtodaydailynews.com",149],["ucchakontha.com",[149,968,1863]],["uttarakhandkhabar.in",149],["abhishektimes.in.net",149],["agranews.com",150],["aryandigitalseva.com",[150,197]],["cnewsbangla.com",[150,197]],["demokraticfront.com",150],["digitalhoga.com",150],["kyakhayal.com",150],["livehalchal.com",[150,273]],["minoritiesnews.com",[150,463]],["newstodayjharkhand.com",[150,1602]],["odishanews365.com",[150,213]],["patnanow.com",150],["shomoynews.com",[150,197]],["tnilive.com",[150,173,239,255,256,650,1208,1396,1914,2341]],["pnews.co.in",[150,613,1145,1331,2536]],["tennews.in",150],["theneeweb.net",150],["abhiyandaily.com",152],["bizmandu.com",[153,568]],["notunalo24.com",153],["weeklybangladeshusa.com",153],["ablivenews.com",154],["abnews24.com",[155,156,157]],["odhikar.news",[156,2872]],["alokitobangladesh.com",157],["abnews24bd.com",158],["amaderbikrampur.com",159],["balliatimes.com",159],["banglaralobd.com",159],["bareillytoday.com",[159,428]],["bdmetronews24.com",[159,472]],["bhaskarenews.com",[159,519,520]],["chanamurra.com",159],["dainikjanatarkotha.com",159],["dainiknayak.com",[159,856,857]],["darpansamachar.com",[159,366]],["dhenkanalupdate.com",[159,213,609]],["dokkinchattala.com",159],["himalayonlinemedia.com",[159,1191]],["hindlives.com",[159,520,852,1209,1210,1211]],["national18news.com",159],["nationaldunia.com",[159,366]],["newsbrahmanbaria.com",[159,894,971,1793]],["newschutney.com",[159,192,428,463]],["nikharanews.com",159],["odishanewsservice.com",159],["pathivaraonline.com",159],["punjablivekhabarnama.com",[159,1659]],["sajagpahad.com",[159,2065]],["sandhannews.com",[159,366,377,2108]],["sehorenewsdarpan.com",159],["theachievertimes.com",159],["ukhiyanews.com",[159,226,467,976,2373]],["gujaratinurasodu.in",[159,2569]],["karnatakatoday.in",159],["najarianews.in",[159,255,650]],["upnewz.in",159],["crimekhabar.live",[159,463,519,609]],["dainikkhojkhabar.live",[159,366,377,472,505,553,915,2749]],["sherpurnews24.net",159],["abplive.com",160],["marathi.abplive.com",161],["abtakapakesath.com",[162,163]],["rashtrasamarpan.com",[162,574,1122]],["battinews.com",[163,445,446,447]],["chapainawabganjnews.com",[163,668]],["eelanesan.com",163],["media24media.com",[163,448,532,1122,1629]],["nobojagorontv.com",163],["visarnews.com",[163,2418]],["36kaakda.in",[163,445,446,448,2461]],["topbharat.in",[163,183,630,1122]],["abtakkhabar.com",164],["bigtvnews.com",164],["giridihupdates.com",[164,1098,1099]],["hapurhulchul.com",[164,463,1162]],["hindsagarplk.com",[164,378]],["pinakatimes.com",164],["rsnewslive.com",[164,1135,2042]],["smacharaajtak.com",[164,2182]],["tharexpressnews.com",[164,2284]],["24expressnews.in",[164,2459]],["soochnanews.in",164],["npg.news",[164,932,933,1200,1584,2871]],["abtakmedia.com",165],["himachalvarta.com",[165,1076]],["jhansidarshan.com",165],["livemagadh.com",165],["mujibsenanews.com",[165,177]],["satyaday.com",165],["thenetizennews.com",165],["theriyuma.com",[165,332,776]],["khabarbastar.in",[165,444]],["mpbreakingnews.in",165],["satv.tv",[165,2929]],["abtaknews.com",166],["digontonewsbd.com",166],["pradeepamonline.com",[166,712,1944]],["desikhabar.in",166],["achhikhabar.com",[167,168,169,170,171]],["live18h.com",167],["uniquesamay.com",[167,259,261,2379,2380]],["udaydarpan.com",[169,170,712,2365,2366]],["recentnepal.com",[170,262]],["akashgyanvatika.com",172],["amaderparis.com",[172,239]],["sambadsaradin.com",[172,256,295,493,585,749,957,1011]],["sachkahoon.com",[173,2055]],["actionindialive.com",175],["chamolitimes.com",[175,513,647]],["devbhoomiaajtak.com",[175,891]],["dunvalleymail.com",[175,974]],["khabaruttarakhand.com",[175,273,1459,1460]],["newsnetindia.com",175],["saunewsnetwork.com",175],["shramikmantr.com",[175,1278]],["thethinkmedia.com",[175,712]],["abhitaknewsuk.in",[175,588,1026,1105,1331,2471]],["andhrapatrika.in",175],["ts29.in",[175,2726]],["tv20news.in",[175,367,1193,2727]],["adbhutsamachar.com",176],["adbudhindia.com",177],["citizenlive.news",177],["adhunikdaur.com",179],["adityabharat.com",180],["amritsandesh.com",180],["awamileaguetimes.com",180],["lokaantar.com",[180,214,1545]],["adiyakkamangalam.com",181],["adnlive24.com",182],["adrasaka.com",183],["khantinews.blogspot.com",[183,533,574]],["kanaighatnews.com",[183,445,448]],["kathiravan.com",183],["marudharabharti.com",183],["newssapata.com",[183,574]],["sahibganjnews.com",[183,405,581,960]],["actionnews.in",183],["localmarathi.in",183],["aeiodisha.com",184],["agaminews.com",[185,186]],["ambalanews24.com",[186,252]],["agniban.com",187],["ctgsangbad24.com",187],["nayabangla.com",[187,1721,1722]],["sangbaddiganta.com",187],["agnijwala.com",188],["agrilife24.com",190],["agrtanews.com",191],["pahar24.com",[192,366,1026]],["tistanews24.com",192],["bengallive.in",[192,2487]],["ajabgjab.com",194],["ajakoartha.com",195],["ajeybharat.com",196],["biharkhabars.com",196],["emungaru.com",[196,1020]],["india2daynews.com",[196,785,1258]],["khulikhabar.com",196],["maavarahinews.com",196],["madawalaenews.com",[196,1567]],["satyawani.com",196],["newswitness.in",196],["sanskarnews.page",196],["ajithfans.com",197],["dailybhorerkolam.com",[197,774]],["dailypunjabtimes.com",[197,256,352,749]],["jagonatore24.com",[197,1286]],["kannadigaworld.com",197],["karaihinducanada.com",197],["prothomsurjadoy.com",197],["swadeshbani.com",[197,256,1048,2225]],["thakurprasad.com",197],["thepunjabi.com",197],["newswatch.co.in",[197,712,2533]],["devbhoomisamvad.in",197],["ekhabar.in",[197,421]],["indoremirror.in",197],["sabjanta.info",197],["ajkalerkhobor.com",198],["cinemainbox.com",198],["marathiworld.com",198],["maxmaharashtra.com",198],["natunsylhet24.com",[198,1709]],["nayanjagriti.com",198],["telugugateway.com",198],["teluguglobal.com",[198,2275]],["doonhorizon.in",[198,572]],["maxwoman.in",[198,420,2630]],["ajkalerkontho.com",199],["ajkerbazzar.com",200],["ajkerdarpon.com",203],["ajkernarsingdi.com",203],["alokitobarisal.com",[203,232]],["alokitocoxsbazar.com",203],["alokitodigantonews24.com",203],["alorjatra.com",203],["amaderkuakata.com",203],["aponnewsbd.com",203],["banglarjamin24.com",[203,391]],["banglarsakal.com",203],["bdfinancialnews24.com",203],["bibartonbd.com",203],["bijoysamachar.com",203],["chatgaiyakhobor.com",203],["dailyajkershomoy.com",[203,765]],["dailynagorikdabi.com",203],["dailyshowadesherkhobor24.com",203],["dailysports24.com",[203,823]],["dainiknarsingdi.com",[203,853,854]],["dainikshokalerchattogram.com",203],["engrsvoice.com",203],["gnewsbd24.com",[203,432]],["gorkhapatraonline.com",[203,1121]],["hamroeconomy.com",[203,721]],["haoranchalerkotha.com",203],["healthpati.com",203],["himalayannews.com",203],["jagodesh24.com",203],["kathmandupati.com",[203,622,1038,1404]],["khabarpunja.com",[203,1458]],["khoborpatrabd.com",203],["nagoriknewsbd.com",203],["narsingdipratidin.com",203],["natunbazar24.com",[203,372]],["natunshokal.com",203],["news18.com",[203,797,1773,1774]],["news4nation.com",[203,1783]],["newsatfirst.com",[203,1789]],["newsdnntv.com",[203,1657,1801]],["nktelevision.com",203],["npkhabar24.com",203],["odekhabishwo.com",[203,1860]],["paharkantho.com",203],["paryatanbazar.com",[203,1912]],["pirojpursomoy.com",[203,372]],["pokharaexpress.com",[203,1931]],["pollysangbad.com",203],["rangpursangbad.com",203],["savarsangbad.com",[203,853,854]],["shahnamabd.com",[203,372]],["shilonbangla.com",203],["somoyerkantha.com",203],["somoyersangbad.com",[203,2192]],["sudinamonline.com",[203,2214]],["sunamganjersomoy.com",203],["tazakhobor24.com",203],["technologykhabar.com",203],["teknafnews24.com",203],["telegraphnews24.com",203],["uttorersomoy.com",[203,372]],["vachakam.com",[203,938,2399]],["voiceworld24.com",203],["inhnews.in",[203,2590]],["doctortv.net",203],["prabhatkiran.net",203],["satkhiraprobaho.net",203],["sharebiz.net",[203,730,2835]],["janamsakshi.org",203],["ajkerjholok.com",205],["ajkermymensingh.com",206],["ajkerograbani.com",207],["dhakanewsexpress.com",207],["ajkerparibartan.com",208],["ajkerprosongo.com",209],["ajkerreport.com",210],["ajmernama.com",211],["akashjatra.com",[212,213]],["ananda-alo.com",213],["bdsangbad24.com",213],["biharnewslive.com",[213,548]],["cgtazanews.com",[213,639]],["chavakkadonline.com",213],["citypostlive.com",[213,720]],["cumillarpaper.com",213],["dainikjagrotochattogram.com",[213,844]],["dainikpotrika.com",213],["ganthan.com",213],["hamaratoday.com",213],["journalistcafe.com",213],["kilinochchinet.com",213],["konarklive.com",213],["paharbarta.com",213],["peoplespresstrust.com",213],["sabkuchgyan.com",213],["safalnews.com",213],["sudurkhabar.com",[213,2215]],["tandavnews.com",[213,2258]],["thesigmanews.com",213],["ahinsaexpress.in",213],["biharnation.in",[213,354,2495]],["dumanikhabar.in",213],["koshalnews.in",213],["malayalamdaily.in",[213,2626]],["morbinews.in",[213,2632]],["onlinemalayali.in",213],["pehchanfaridabad.in",213],["upnn.in",213],["nationexpress.live",213],["akhabarhub.com",214],["anmolkhabar.com",[214,274,275,276]],["dainikalorprotidin.com",214],["ekagaj.com",[214,1003,1004,1005]],["hetaudanews.com",214],["hetaudatoday.com",[214,275,276,1184,1185]],["justnewsbd.com",[214,317]],["kolhabinews.com",[214,275,1493]],["mazzakoonline.com",214],["mediaoneonline.com",[214,1633]],["mymahanagar.com",214],["nawayug.com",[214,275,1720]],["newsclickbd.com",214],["onenewsbd.com",214],["sunamganjerkhobor.com",[214,2217]],["swalenewsbank.com",[214,2226]],["tukhabar.com",[214,1184]],["keralasabdam.in",214],["akhandbharatsamachar.com",215],["akilanews.com",216],["globalnews24x7.com",[217,639]],["akkbd.com",[218,219]],["dainikbharatbhaskar.com",219],["sylhetvoice.com",219],["ptcnews.tv",[219,2926]],["alaikal.com",220],["alakhharyana.com",221],["lokpatrika.in",221],["paryavaranpost.com",[222,229,309,450]],["sathiyam.tv",[222,513]],["alertnews24.com",223],["aligarhmedia.com",[224,225]],["coxsbazarshomoy.com",225],["koshikiaas.com",225],["newsboardindia.com",[225,1792]],["samacharlahrein.com",225],["trendingtelugunews.com",225],["allaiyoor.com",226],["kalaroanews.com",[226,1265,1369,1370]],["allnewsbharat.com",[227,228]],["provatnews.com",[227,228,1977]],["emstv.in",[227,2558]],["allwnews.com",229],["anondobarta.com",229],["heronewsonline.com",[229,1181]],["jannewslive.com",229],["naturalnews.co.in",[229,2529]],["indiapolkhol.in",[229,2587]],["aloavanews24.com",[230,231]],["indiasamachar24.com",231],["just36news.com",231],["malayalamtodayonline.com",[231,629,1596]],["thefollowup.in",[231,2714]],["bd24time.com",232],["jamunaprotidin.com",232],["swadeshsangbad.com",232],["alokitobogura.com",233],["sangbaddinrat.com",233],["alokitoctg.com",234],["alokitomymensingh24.com",235],["alokitoshitalakha.com",236],["alokitosonargaon.com",237],["amaderprotidin.com",240],["banglanews24ny.com",[240,401]],["channel786.com",240],["dailyjalalabad.com",[240,790]],["mohanagarnews.com",[240,1651]],["surmanews24.com",240],["usharbani.com",240],["purbodeek.net",240],["sylhetexpress.net",240],["channel24bd.tv",[240,271,2915]],["weeklydesh.co.uk",[240,2938]],["amadersangbadbd.com",241],["chetona71bdnews.com",241],["dewanganjnews.com",[241,359,906]],["himkhabar.com",241],["karnalbreakingnews.com",241],["malabarnews.com",[241,1593]],["networknewsgujarat.com",241],["onebanglanews.com",241],["aadyashanewsman.in",241],["duniahalchal.in",241],["headlinenews.lk",[241,359]],["amaderkhulna.net",[241,359,1764]],["timetv.news",241],["amadershomoy.com",[242,243]],["nepalipaisa.com",[242,1740]],["amanshantinews.com",245],["himachalreport.com",[245,1189]],["ikvnews.com",[245,1250]],["amarbanglabd.com",246],["amarbarishal24.com",247],["amarsandesh.com",248],["amarsangbad.com",249],["amarujala.com",250],["ambalacoverage.com",251],["banglasangbad24.com",251],["newsinbihar.com",[251,542]],["dainiksamvad.in",251],["indiadhuandhar.in",[251,2582]],["amraikhabor.com",253],["chouranews.com",[253,697]],["gambhirmudda.com",253],["amritvichar.com",254],["arthparkash.com",255],["ctgcrimenews.com",[255,749]],["muslimkural.com",[255,585,957]],["onlinesaptari.com",255],["tamil.com",[255,467,1076]],["vyavasthadarpan.com",[255,256,467,957]],["newscup.in",[255,1076]],["bdcrictime.com",[256,332,431,462,466]],["chandpurprobaha.com",[256,654]],["onlinebhaskar.com",256],["porospor.com",[256,585]],["livekhagaria.in",[256,2621]],["fenionline.net",[256,2814]],["e-jaffna.com",[257,976]],["manvadhikartimes.com",[257,377,505,1048]],["pehchanexpress.com",257],["theblastkhabar.com",[257,366,472,553,957,1076]],["gvtjob.com",[258,1148]],["satyamlive.com",[259,260,976,1194,2138]],["trttamilolli.com",[259,749,2354]],["janvadtimes.com",261],["oneindia24live.com",[262,1872]],["himalayapost.com",[263,1190]],["anandabazar.com",[265,266]],["banglaxp.com",[265,414]],["beanibazarnews24.com",[265,485]],["lohagaranews24.com",[265,659,1544]],["pangighatidanikapatrika.in",265],["thebharatnews.net",[265,822,2845]],["radiokanchan.com.np",[265,2888]],["anandalok.com",267],["anbnews24.com",[268,269]],["munshigonjerkagoj.com",[268,360]],["priyobandhu.com",268],["timesoneodia.com",268],["liveindia.live",268],["biharnews7.com",[269,546]],["chandpurreport.com",[269,655,656]],["deshrojana.com",269],["ekuruvi.com",[269,1013]],["ekusheysangbad.com",[269,715,1015]],["ghatail.com",[269,1091]],["khabardev.com",269],["onlinespardha.com",269],["azranews.in",269],["medianow.in",269],["71bdnews.net",269],["andhrajyothy.com",[270,271]],["bwoodtadka.com",272],["pleaseindia.com",272],["sagevaani.com",272],["sonardesh24.com",272],["tamilnigar.com",272],["newsnow.co.in",272],["webakhbar.in",[272,463]],["crimemukhbir.com",273],["firsttracknews.com",[273,431]],["khabarstate.com",273],["kushtiabd.com",[273,463]],["lotpot.com",[273,1563]],["manamnews.com",[273,1606]],["motivatedkannadiga.com",273],["samastipurtown.com",[273,614]],["suddikanaja.com",[273,1449,2212]],["usanewsonline.com",[273,1698,2388]],["janadeshnews.in",273],["khabarexpert.in",[273,332,463,2604]],["marginalised.in",273],["muznews.in",273],["newsharpal.in",273],["voiceoffreedom.in",273],["channelindia.news",[273,463,2859]],["lalkhabar.com",[275,276,1520,1521]],["murchungatv.com",[275,1521]],["sajhakuranews.com",275],["annapurnapost.com",[277,278]],["canadanepal.com",277],["eadarsha.com",[277,979]],["everestawaj.com",277],["mardinews.com",277],["nepaldut.com",277],["safalawaj.com",277],["setoparewa.com",277],["indianvoice24.com",[280,377]],["newsnukkad.com",[280,606,1821]],["rcn24bd.com",280],["sikkimtoday.com",[280,462]],["antimvikalp.com",[282,283]],["ggsnews24.com",[282,1043,1087,1088,1089,1090]],["samachardarshan24.com",[282,1043]],["tejalgyannews.com",[282,519]],["ujiarpurnews.com",[282,2318,2370]],["bharatnewslive24.in",[282,1043]],["anubhaviaankhennews.com",284],["chandaulisamachar.com",[285,572,651,652]],["chopaltv.com",[285,696]],["heraldspot.com",[285,1179]],["keralaonlinenews.com",[285,286,287,290,292,1418]],["metrojournalonline.com",[285,1168,1641]],["thechopal.com",[285,2290]],["timeskerala.com",285],["newshaat.com",[286,572]],["woneminute.com",[286,338]],["aapninews.in",286],["devpath.in",[286,290,572,2551]],["anuragdarshan.com",289],["cityandolan.com",290],["livebharatnews.in",[290,2618]],["anytechtune.com",[294,295,296]],["biharhalchalnews.com",295],["rodoshee.com",295],["updatetimes.com",[295,629,749]],["fastlivenews.com",[296,976]],["ap7am.com",297],["khaptadmalikanews.com",[299,300,553]],["neelkanthafm.com",[299,300,1232]],["radiobihani.org",[299,1982]],["banglarkotha24.com",[300,409]],["bdlive24.com",300],["chandpur-kantho.com",300],["dailyinqilab.com",[300,787]],["dailylokaloy.com",300],["dainikdeshseba.com",300],["ekushnews24.com",300],["globalnewsbd24.com",[300,1104]],["gorkhalikhabar.com",[300,1120]],["jagaranpost.com",300],["jaljalaonline.com",300],["kalantor24.com",300],["kalerkotha.com",300],["lakshmipur24.com",[300,412]],["news71online.com",[300,563,1784,1785]],["newspolar.com",[300,1825]],["notunerkotha.com",300],["onlinemajdoor.com",[300,982,1876,1877]],["samaynews24.com",[300,714,2090]],["samvaad365.com",[300,1611]],["shamolynews24.com",[300,563,1784]],["shikshapratidin.com",300],["subhayug.com",[300,2208]],["tharunaya.com",300],["thebdreport24.com",[300,2287]],["timesofmalwa.in",300],["bangladeshtoday.net",300],["onabil.net",300],["ournewsbd.net",[300,589,1370,1701,2830]],["banglapost.co.uk",[300,2934]],["apnamzn.com",302],["apnapunjabmedia.com",304],["emaatimes.com",305],["sabkikhabar.net",[305,2833]],["aponzonepatrika.com",307],["arerajdarshan.com",308],["areseenews.com",309],["kundapraa.com",[309,1511]],["samacharfirst.com",[309,2072]],["athirvu.in",309],["newsnagar.in",[309,450]],["satyagrahanews.in",[309,2697]],["arghakhanchi.com",310],["arlivenews.com",311],["arohitodaynews.com",[312,313]],["arthapath.com",315],["bikastimes.com",315],["bizkhabar.com",315],["dainikonline.com",315],["deshkonews.com",[315,895]],["drishtinews.com",315],["etajakhabar.com",315],["gaunbeshi.com",315],["ghatanarabichar.com",315],["harekpalnews.com",315],["ijalas.com",315],["imagekhabar.com",315],["khabarghar.com",315],["khabarhub.com",[315,1445]],["khabarkura.com",315],["lalitkhabar.com",315],["mntvonline.com",315],["momnepal.com",315],["narayanionline.com",[315,1696]],["nepalpatra.com",[315,1751]],["onlinepana.com",315],["sabastaentertainment.com",[315,2049]],["sallerikhabar.com",315],["taksarnews.com",315],["thenepaltop.com",315],["janaboli.com",317],["tulsipurkhabar.com",317],["arthasarokar.com",318],["arthikawaj.com",[319,320,321]],["kapilvastupost.com",319],["yazhnews.com",[319,2448]],["newsindialive.in",319],["pchelplinebd.com",320],["pradeshajjtak.com",[320,927,1945]],["pragativahini.com",[320,463,1946]],["rajnitiprotidin.com",[320,2006]],["arthoneeti.com",322],["arya-tv.com",[324,325]],["bbttimes.com",[324,457]],["dvgsuddi.com",[324,332,428,975]],["satyagrahanews.com",324],["thepublicworld.com",[324,2312]],["thesunrisetoday.com",[324,641,975,2318]],["deshkiaawaz.in",324],["jharkhandsandesh.in",324],["aryavi.com",327],["eparinews.com",[328,1028]],["gandakitimes.com",[328,1078]],["pathivaradaily.com",[328,1915]],["swadeshnepal.com",328],["asianbanglanews.com",329],["asianetnews.com",330],["asrilanka.com",[332,333]],["digantabani.com",[332,925]],["globalpunjabtv.com",[332,1105,1106]],["khelarpata.com",[332,428,431,975]],["ktmdainik.com",[332,1506]],["newsganj.com",[332,462]],["newstodayinhindi.com",[332,431]],["techtamil.com",[332,2266]],["pradhanavartha.in",[332,1042]],["muznews.net",[332,2821]],["sanmarg.in",[333,749,1316]],["aswamedham.com",334],["atalhind.com",335],["atalsamachar.com",[337,338]],["atalstambh.com",[339,340]],["bharatvarshnews18.com",339],["goodmorningnation.com",[339,1115]],["hakikatnews.com",339],["khabarmantri.com",339],["mpkhabar.com",[339,340]],["news4indiatv.com",[339,1115,1781,1782]],["rajnewsupdate.com",[339,1115]],["atozpatrika.com",341],["setohimalnews.com",343],["telugumuchatlu.com",343],["theutkal.in",343],["attingalvartha.com",345],["news24bd.net",[345,1349]],["aurbta.com",[346,347]],["ausnepalnews.com",349],["avadhkiaawaz.com",350],["dainikkirankamal.com",[351,692]],["hbharat.com",352],["janadhikarmedia.com",352],["jhanjhattimes.com",352],["medianp.com",[352,1076,1632]],["nnews24.com",[352,1848]],["siwanbazar.com",[352,421,957]],["clearnews.live",[352,852,2009]],["aviralsamachar.com",354],["suryarekha.com",354],["realtimes.in",354],["aviratvaatchal.com",355],["biswabanglanews.com",[355,565]],["mahaxpress.com",355],["watnopaarpunjabinews.com",355],["avnpost.com",356],["awaaz24x7.com",357],["awaazindiatv.com",358],["awajmedia.com",359],["barnalatoday.com",[359,435]],["bbc71.com",359],["dailybanglarrup.com",[359,466,773]],["dailyrajshahibarta.com",359],["dainikdehat.com",359],["deshbanglabd24.com",359],["hamarahathras.com",359],["independentkhabar.com",359],["islamtime24.com",359],["middleeastchandrika.com",[359,1644]],["politicsnews24.com",[359,1599,1934]],["sanmarga.com",359],["suprovatuttarbango.com",359],["tajakhabaruttarakhand.com",359],["magadhnews.co.in",359],["uknews.co.in",[359,906]],["bihari.news",359],["meruraibar.com",[360,641]],["sahmatnews.com",[360,2063]],["srimanexpress.digital",[360,2455]],["dbnnews.in",360],["malayalamexpress.in",360],["awazeuttarpradesh.com",362],["deshrupantor.com",[362,412,898]],["gangalahar.com",362],["navrashtramedia.com",362],["ottrancheithi.com",362],["theevakam.com",[362,732]],["ainnews.tv",362],["biharharpalnews.com",364],["sadeaalaradio.co.nz",[364,2892]],["ayodhyasamachar.com",365],["ayushindianews.com",[366,367,368]],["dharuvu.com",[366,922]],["fbdnews.com",[366,885]],["fenirzamin.com",[366,472]],["globalsylhet.com",366],["himantar.com",[366,1198]],["hindiduniyaa.com",366],["independentcitizennews.com",[366,378]],["jobareabd.com",366],["khabromehamarashahar.com",[366,1259]],["knewsgujarati.com",366],["mirsaraitimes.com",[366,377]],["muzaffarpurwow.com",[366,1672]],["pradeshdainik.com",[366,677,1159]],["sudarshankhabar.com",366],["amritvarshanews.in",[366,463,1076]],["opensearch.co.in",366],["madhubaninews.in",366],["khabardinbhar.net",[366,629,915]],["nationalvision.news",366],["newshunter.online",[366,2896]],["azadsipahi.com",369],["bolanyathali.com",369],["entertainmentkhabar.com",369],["khabarpurwanchal.com",369],["state7online.com",[369,2207]],["surabhisaloni.co.in",369],["suryaa.co.in",369],["gnebangla.in",369],["pcbtoday.in",369],["dailyjuboraj.com",[372,794]],["tadantachitra.com",372],["deshergarjan.net",[372,2809]],["songkalpo.net",[372,2837]],["baahrakhari.com",[373,374]],["dekhapadhi.com",373],["capitalnepal.com",[374,623]],["khelpati.com",[374,1309]],["nepallive.com",374],["babuaa.com",375],["backtobollywood.com",376],["gossiplankanews.com",[376,1123]],["badauntoday.com",[377,378]],["haqeeqattoday.com",[377,472,516]],["himwantpradeshnews.com",[377,857,1199]],["janshaktikranti.com",[377,1329]],["newzzar.com",377],["dgnews.co.in",[377,2515]],["himalipatrika.com.np",[377,547,2816]],["bntlive.com",378],["ghumtidunia.com",378],["livestorytime.com",[378,1541]],["news24x365.com",[378,749]],["rbnewsindiagroup.com",378],["thekhabrilal.com",378],["up18news.com",[378,669]],["usmalayalees.com",378],["apradhprahari.in",378],["khabarwala.news",[378,632]],["aapabhitak.tv",[378,2471]],["bagmativoice.com",379],["bahumatrik.com",[380,381]],["bvnews24.com",381],["dailyjanakantha.com",[381,791]],["cinetimee.com",383],["lankac.news",383],["canarabuzz.com",384],["bangalianaa.com",387],["bangalorewaves.com",388],["bangla-news24.com",389],["cpnews24.com",390],["livebavaal.com",390],["phaddalo.com",390],["seithisolai.com",390],["sirajganjnews24.com",[390,2178]],["aapkakhabri.co.in",390],["dastavej.in",[390,836,2345]],["vatankiawaz.in",[390,915]],["24city.news",390],["mkantho.com",391],["sobkhobar.com",391],["bangladesherkhela.com",392],["bangladeshglobal.com",393],["bangladeshonline24.com",394],["bangladeshsangbadpratidin.com",395],["bangladhara.com",396],["banglainsider.com",397],["banglalive.com",[398,399]],["banglarjanarob.com",399],["banglanews24.com",400],["banglanewsca.com",402],["banglaralonews.com",404],["banglarawaj.com",405],["chilahatiweb.com",[405,448]],["kushiyaranews.com",[405,445]],["samjhobharat.com",[405,2093]],["upayuktha.com",[405,1251,2384]],["govindia.in",[406,1225,2566]],["banglatribune.com",[411,412]],["banglavashi.com",413],["dhangadhikhabar.com",[413,921]],["zeenews.india.com",[413,1257]],["bankbimaarthonity.com",[415,416]],["biniyogbarta.com",[416,560]],["doshdik.com",[416,967]],["bankingkhabar.com",417],["bankingsansar.com",418],["bankura24x7.com",[419,420]],["hmtvlive.com",[420,1223]],["thejasnews.com",[420,2299,2300]],["swadeshnews.in",[420,1103,2711]],["tv5news.in",420],["bansalnews.com",421],["bolpanipat.com",421],["khabriyanews.com",[421,1468]],["kulalworld.com",[421,1508,1509]],["thedastak24.com",[421,462]],["hellomaharashtra.in",421],["uluberiasambad.in",421],["elettilonline.com",422],["bantwaltimes.com",425],["barciknews.com",426],["bareillylive.com",427],["bidhannagartimes.com",[428,536]],["cgctnews.com",428],["cityhotnews.com",[428,629,711,712]],["newsnetworks.co.in",[428,431]],["cricnewz.in",428],["maithilmanch.in",428],["sanskardarshan.in",[428,629,2695]],["barisalcrimetrace.com",429],["barisalpress.com",430],["desherpotrika.com",431],["onlinenepal.com",[431,1879]],["emediacreative.in",431],["lokvarta.net",431],["lokwarta.net",431],["barishalnews24.com",432],["bornamelanews24.com",[432,598]],["coxsbazaralo.com",432],["dainikkishoreganj.com",432],["durnitibarta.com",432],["gouripurnews.com",432],["itihas24.com",432],["saplatv.com",432],["chandpur24.net",432],["theeditors.net",432],["barishaltimes.com",433],["dharitri.com",433],["barlekhanews24.com",434],["barnanmedia.com",[436,437]],["merofilm.com",[437,726,1640]],["bartabangla.com",[438,439]],["muchata.com",439],["mymarathi.net",[439,2822]],["bartamanbangladesh24.com",441],["tritiyamatra.com",441],["bartamanpatrika.com",442],["bastarkiaawaz.com",[443,444]],["colombotoday.com",444],["cnblive.com",[445,448,532]],["punalurnews.com",[445,1981]],["ukliveuttrakhand.com",445],["insightchhattisgarh.in",[445,2591]],["poonththalir.blogspot.com",[446,576,577,578]],["gandhawarta.com",446],["jalorenews.com",446],["jaunpurlive.com",[446,1333]],["shivpurisamachaar.com",446],["spyviewnews.in",[446,1859,2708]],["shortnews.lk",446],["battirepnews.com",[448,449]],["ekumaon.com",[448,532]],["eluvannews.com",448],["malwalive.com",[448,1604]],["nbcbangla.com",448],["kolhapurlive.in",[448,2612]],["tamilarul.net",[448,1859,2842]],["batukamma.com",[450,451]],["paridarshaka.com",[450,462,1522,1559]],["rashtranayaknews.com",[450,553,2015,2016]],["vindhya24news.com",450],["viralfactsindia.com",450],["bbc24news.com",452],["chtmedia24.com",452],["bbcpunjab.com",453],["bbn24news.com",[454,455]],["dainikathah.com",455],["sbharatnews.com",[455,712]],["bbsrreporters.com",456],["samajeralo.com",[457,2082]],["dainikmaharajganj.in",[457,1087,2546]],["manzilnews.in",457],["capitalnews.lk",457],["bcsuddi.com",[458,459]],["muktirlorai.com",[460,479,702]],["rajshahinews24.com",[461,2010]],["hdhrm.com",[462,463]],["pokharacity.com",[462,1930]],["sgstvtelugu.com",462],["veekshanam.com",462],["janadeshexpress.in",[462,2594]],["bundelkhandvoice.com",[463,609]],["comillait.com",463],["gharkavaidya.com",463],["hindustan18.com",463],["jagrotobangali.com",463],["janamanas.com",463],["janawajnewslive.com",463],["januday.com",[463,932,1331]],["kishorgonj.com",463],["live7tv.com",[463,1077]],["livepress24.com",[463,1224]],["matribhumisamachar.com",463],["muthalvannews.com",[463,509]],["navyugsandesh.com",463],["onlookersmedia.com",463],["ramprahar.com",463],["samacharmedia.com",463],["tamilvoicenews.com",463],["todayindia.com",[463,2344]],["vedsansar.com",463],["groundzeroenews.co.in",[463,1489,2519]],["revoi.in",463],["saurashtratimes.in",463],["satnanews.net",463],["bdbarrta24.com",[464,465]],["sunbd24.com",[464,2219]],["bn.bdcrictime.com",467],["janakhabar.com",[467,1303]],["padmatimes24.com",[467,767,1890]],["raftaarindianews.com",[467,1376]],["sankalpsavera.com",[467,2120]],["swisspungudutivu.com",467],["voiceofshatabdi.com",[467,957]],["newsi.in",467],["bdcrime24.com",468],["bdcrimenews.com",[469,470]],["jamalpurlive.com",[469,1299]],["bdipo.com",471],["bijoynewsbd24.com",[472,505,552,553]],["odishalink.com",[472,915]],["scotnepal.com",472],["kannurvarthakal.in",[472,553,629]],["katghara.in",472],["prajawani.in",[472,505,553,629]],["trendnew.in",[472,692]],["starexpress.news",[472,505,552,553,915]],["bangla.bdnews24.com",473],["bdnews999.com",474],["bdnewsclub.com",475],["nitharsanam.net",475],["bdnewshour24.com",476],["bdprojonmo71.com",477],["bdsangbadpratidin.com",478],["dainikdeshersathe.com",[478,838]],["fenirkotha.com",[478,1051,1052]],["natuncumilla.com",[478,1051]],["europemalayali.co.uk",[478,2937]],["bdsomachar24.com",[479,480]],["dinajpur24.com",[479,938,939]],["malisamajsocial.com",479],["probashbarta.com",[479,1966,1967]],["thebengalitimes.com",[479,865,2288]],["virakesari.lk",[479,2788]],["moulvibazar24.com",[480,1657]],["somoyerkontha.com",[480,2191]],["bdsomoy24.com",481],["bdtimes365.com",482],["bdtoday24.com",484],["beauronews.com",488],["headline24x7.com",[488,1173,1174]],["khabarduniya.com",488],["beautynewsnepal.com",489],["bebakmanch.com",490],["bebakshakti.com",491],["bebakuttarakhand.com",492],["beforepublish.com",[493,494]],["bharatbarta.com",493],["healthbangla.com",493],["rcbrn.com",493],["deepamnews.lk",[493,852]],["jagocomilla.com",494],["namastenri.net",[494,2823]],["bekhauphindia.com",495],["benkiyabale.com",497],["bethanchokkhabar.com",499],["nepalpress.com",[499,1588]],["betulsamachar.com",500],["paharipatrika.in",[500,2671]],["bhadas4media.com",[501,502]],["inkpoint.in",502],["bhaiyajinews.com",503],["bhalukanews.com",504],["bhanjyangnews.com",505],["filmybahar.com",[505,915]],["gnews5.com",[505,1087]],["swatantradastak.com",505],["visfotnews.com",[505,553,915]],["odishakhabara.in",505],["pratidin24x7.in",505],["bharatdarshannews.com",506],["bharathalchal.com",[507,508]],["bhilwarahalchal.com",508],["bharathvaibhav.com",509],["kottayammedia.com",[509,868]],["orthosongbad.com",509],["prajasattaknews.com",[509,1950]],["keralaspeaks.news",509],["dharananews.com",510],["sanjaygram.com",510],["bharatkiawaj24.com",511],["dearfacts.com",512],["doabatimes.com",[512,959]],["loktantrakaagaz.com",512],["malayalamdailynews.com",512],["bengaluruvartha.in",[512,2488]],["gujaratmirror.in",[512,1294]],["sunlightnews.in",512],["bharatpostlive.com",513],["mulukhmaidan.com",513],["tamizhakam.com",513],["wayanadnewsdaily.com",[513,607,2430]],["naanmedia.in",[513,1432]],["bharatprawah.com",514],["bhartianews.com",[515,516]],["bhaskar.com",517],["divyamarathi.bhaskar.com",518],["vasundhara.net",520],["bheldailynews.com",[521,522]],["khabar36.com",[522,1426]],["navsatta.com",[522,1719]],["parvatanchal.com",[522,1909]],["samaynewslive.com",[522,1334]],["sustothaki.com",522],["thehawabaaz.com",522],["vikalptimes.com",[522,2415]],["mithilacitynews.in",[522,1544]],["bhilaitimes.com",[523,524]],["lalitpurfastnews.com",524],["bhilwarasamwad.com",[525,526]],["nagarprabha.org",[526,2904]],["bholahatchitro.com",[527,528]],["sunbanglanews.com",527],["bholanews24.com",530],["bhopalsamachar.com",[532,533,534]],["ezhomelive.com",[532,1041]],["jaldhakanews.com",[532,574,581,1132,1297]],["sahityarachana.com",[532,2062]],["ekusheymedia.com",533],["gossip99.com",[533,1122]],["newscity.co.in",[533,2531]],["bhorerkagoj.com",535],["dailysharebazarprotidin.com",[536,820]],["currentpoltics.in",[536,692]],["dainikayodhyatimes.in",536],["dnewsnetwork.in",[536,692,2553]],["bidrohee.com",[537,538]],["drukpadam.com",[538,971]],["uttarkal.com",538],["bigkhabar.com",[539,540]],["dpcnews24.com",540],["biharaaptak.com",541],["bihardootnews.com",[542,543,544]],["news30express.com",542],["sansanikhejsamachar.in",542],["thenewsblast.com",544],["biharnewsindia.com",547],["khagracharipratidin.com",548],["biharnownews.com",[549,550]],["thirdeyenewslive.com",[550,2321]],["kalpa.news",[550,2863]],["bijoybanglabd.com",551],["dailynewshindi.com",[552,802]],["deshajtimes.com",[552,890]],["dhakardak-bd.com",[552,553,915]],["fairnepal.com",552],["lokatantraonline.com",[552,915]],["ranchilive.in",553],["chandrikadaily.qa",[553,2911]],["bikalpadainik.com",554],["bikaner24x7news.com",555],["bikanerhulchul.com",556],["udupitimes.com",[558,2367]],["biratkhabar.com",561],["malnadtimes.com",[562,1602]],["thepoliticsagain.com",[562,2309]],["bishwabarta.com",563],["dailyoporad.com",[563,805]],["bishwanathbd24.com",564],["biswabanglasangbad.com",566],["biyanitimes.com",567],["bizshala.com",570],["blastkhabar.com",571],["blivenews.com",572],["fashionnewsera.com",572],["newspoint24.com",[572,652,1824]],["odiagossip.com",[572,1861]],["toptamilnews.com",[572,1841,2351]],["himachalcrimenews.blogspot.com",573],["rknewsofindia.com",574],["nunworajasthan.co.in",[574,575]],["lakshynew.blogspot.com",575],["reporters7.com",575],["priyokulaura.com",[578,682,1512,1572]],["punalurnews.blogspot.com",579],["rujalanews.blogspot.com",580],["top99breakingnews.blogspot.com",581],["bnewskolhapur.com",[582,583]],["shikkhakantho.com",582],["bnnbharat.com",584],["himshimlalive.com",[585,957]],["techmahadev.com",585],["vaarte.com",[585,1315]],["voiceofnationnews.com",[585,1010]],["himalayauk.org",585],["boguralive.com",[586,587,588]],["uttarbangergramunnayan.com",586],["boishakhinews24.com",589],["brahmanbaria24.com",589],["boishakhionline.com",590],["telugu.boldsky.com",[591,592]],["telugu.drivespark.com",591],["telugu.filmibeat.com",[591,1058]],["telugu.mykhel.com",[591,1678]],["telugu.goodreturns.in",[591,2565]],["boolokam.com",595],["bordernewsmirror.com",596],["britishpathram.com",600],["bslnews24.com",601],["bsnknews.com",602],["bspabla.com",603],["sunaminewstv.com",605],["channelionline.com",[606,664]],["checkpostnews.com",[606,629]],["khabarindia24x7.com",606],["mobilenews24.com",606],["sanatanjan.com",[606,1836]],["tamizhdb.com",[606,1225,1559,2256,2257]],["pahadkasach.in",[606,1893,2670]],["samacharbharti.in",607],["gnewsindia.com",[609,1109,1110]],["khabarchalisa.com",[609,639,1432,1433]],["business-standard.com",610],["hindi.business-standard.com",611],["bwazarakatha.com",616],["canadamirror.com",[618,619]],["ibctamilnadu.com",618],["lankasri.com",618],["manithan.com",[618,619,1610,1611]],["cineulagam.com",619],["ibctamil.com",[619,1244]],["jvpnews.com",[619,1358]],["news.lankasri.com",619],["tamilwin.com",619],["viduppu.com",619],["canchannels.com",620],["capitallivenews.com",[621,622]],["farwesttimesdaily.com",[622,1045]],["setokhari.com",623],["careerintelligencebd.com",624],["dailylalsabujer11nosectorofbd.com",625],["dailynotundiganto.com",625],["shamoybarta.com",625],["deshtimes24.news",625],["cdnews24.com",626],["cellitnews.com",627],["celluloidonline.com",[628,629]],["khabardarinews.com",[629,1435]],["kilinochchinews.com",629],["kotajagran.com",629],["krantiodishanews.com",[629,1501]],["mediapoint24.com",[629,1634]],["punjabiakhbar.com",[629,1985]],["shabdshodh.com",[629,1329]],["24hrnews.in",[629,2460]],["chhattisgarhcrimes.in",[629,2504]],["dainiktimes.co.in",629],["overlook.co.in",[629,1098,2534]],["channeltoday.net",[629,1499]],["cgfrontline.com",[631,632]],["dainiklumbini.com",632],["cgjanadesh.com",[633,634]],["kaimurlive.com",633],["cgnewsonline.com",637],["cgsandesh.com",638],["indianamo.com",639],["odiannews.com",[639,1862]],["chaalchalan.com",641],["digitaltrend-news.com",641],["garhwalkavikas.com",641],["chaipanchayat.com",642],["chakrapath.com",644],["chakrikhobor.com",645],["chamaktaaina.com",646],["mpcgtoday.com",650],["navpravah.com",650],["navsancharsamachar.com",[650,1718]],["satkhira24news.com",650],["shadhinkhobor.com",650],["shoutmehindi.com",[650,2170]],["thesingoritimes.com",[650,1101]],["biharpatrika.in",[650,1294,1331,2496]],["chandpurnews.com",653],["mithapukur24news.com",653],["moonamvazhi.com",[656,1654]],["chandpursangbad.com",657],["chandpurtimes.com",[658,659]],["indiaupdate.co.in",659],["hindustanheadlines.in",[659,915,2574]],["chandreknews.com",660],["channel6bd.com",661],["channeldurjoy.com",663],["channelrb.com",665],["chapaidarpon.com",667],["voiceofbihar.in",[667,1088,1090,2741]],["livebihar24news.com",[668,1537]],["harmudda.com",669],["janakeeyam.in",669],["4pillar.news",669],["chatonay71news.com",670],["chattogramerpatrika.com",671],["chattogramnews.com",673],["chattolarkhabor.com",[674,675]],["delhinews24.com",674],["indiareportertoday.com",[674,1266]],["infokhabar.com",674],["kalingajyoti.com",[674,1373]],["nyayabatilive.com",674],["sakalakhabar.com",[674,1077,2068]],["thesakala.in",674],["ctgpratidin.com",[675,752,753]],["chaukastoli.com",676],["newsvariant.com",[676,1836]],["rajsattanews.com",[676,2009]],["chautarikhabar.com",677],["hamromat.com",[677,1159,1160]],["chennairoyalcinema.com",679],["chennaitodaynews.com",680],["chennaivision.com",681],["kalvinews.com",[682,1097]],["chhaharinetwork.com",684],["chhapratoday.com",[685,686]],["songbadpratidin.com",686],["chhattisgarhaaj.com",[687,688]],["panpadu.com",687],["pratyeknewslive.com",[687,1958]],["legendnews.in",[687,2616]],["khabaraaptak.net",687],["chhattisgarhtimes.com",690],["satyaketansamachar.com",[691,1043]],["siwanonline.com",[691,906]],["chirirbandar.com",692],["mirrorlive24.com",692],["nayabihar.com",692],["atnbanglaonline.tv",692],["chitrodesh.com",[693,694]],["nzpunjabinews.com",697],["chttoday.com",698],["sanjevani.com",[700,2118]],["cinejosh.com",701],["enavabharat.com",[702,1021]],["kositimes.com",[702,753,1497]],["seradesh.com",[702,2145]],["cinemapressclub.com",[703,704]],["cinemavalai.com",705],["cinereporters.com",706],["cinesamugam.com",707],["citinewslive.com",708],["citiupdate.com",709],["janaagaj.in",711],["drishtinow.com",712],["janmantra.com",712],["jayhosh.com",[712,1335]],["kahalenews.com",[712,1362,1363]],["kubiyonews.com",712],["prajakiran.com",712],["sankalpakhabar.com",[712,2119]],["siyasatdarpan.com",[712,2181]],["speednewskannada.com",[712,2199]],["mootv.in",712],["britishkairali.co.uk",712],["citykhabre.com",713],["cityliveindia.com",714],["citynewsdhaka.com",[715,716]],["citynewsexpress.com",717],["citynewsgiridih.com",718],["snpsports24.com",[718,756,2186]],["citynewshindi.com",719],["clickmandu.com",721],["healthaawaj.com",721],["himalpost.com",721],["janatatimes.com",[721,1314,1315]],["khasokhas.com",[721,1474]],["livemandu.com",721],["nagarikkhabar.com",721],["newsofnepal.com",721],["postkhabar.com",721],["sansarnews.com",[721,2123]],["thecinematimes.com",721],["yohokhabar.com",721],["cnewsbharat.com",722],["cninews24.com",723],["computerbichitra.com",725],["corporatenepal.com",[726,727,728,729]],["thahakhabar.com",[727,2281]],["nepalbahas.com",[729,1732]],["purbelinews.com",[729,1004,1993]],["corporatesangbad.com",[730,731]],["coxbangla.com",735],["crickethimalaya.com",737],["musickhabar.com",[737,1671]],["hindi.cricketnmore.com",739],["crimebarta.com",740],["crimediarybd.com",741],["crimenazarnews.com",[742,743]],["jokhimnews.com",742],["nammudekodakara.com",742],["risalaonline.com",742],["sivantv.com",742],["crimenewsnepal.com",744],["crimesuspence.com",746],["cs24bd.com",747],["primenewsbd.com",747],["ctgbarta24.com",748],["despardesweekly.co.uk",[749,1010,2044,2936]],["ctgdailynews24.com",750],["ctgtimes.com",754],["ctnewsbd.com",755],["kollywoodvoice.com",[755,1060]],["lightnewsbd.com",[755,1536]],["prottashitoalo.com",755],["kdnewslive.in",755],["ctr24.com",756],["deshersangbad.com",756],["marathwadaneta.com",[756,1618]],["cumillasdnews24.com",757],["cvoice24.com",[759,760]],["eyenews.news",759],["womeneye24.com",[760,2440]],["dabangawaj.com",761],["fastindianews.com",[761,1046]],["shatabdinews.com",[761,2158]],["tahalaka.in",761],["dabangrajdhani.com",762],["daijiworld.com",763],["dailyajkerbarta.com",764],["dailyajkertalash.com",766],["sangbadpratidin.in",[768,2694]],["dailyamadercomilla.com",769],["dailybangladeshbani.com",772],["newspage13.com",773],["dailydeshkidharti.com",775],["dailydhaka24.com",[776,777]],["inews.zoombangla.com",776],["abcnews.media",776],["dailyfaridgonj.com",779],["dailyfaridpurkantho.com",780],["dailyfenchugonj.com",781],["dailyghagot.com",783],["samacharnama.com",[784,2074]],["mathagal.net",[785,2819]],["dailyindianherald.com",786],["dailyinshort.com",788],["dailyjagoran.com",789],["dailyjonomot.com",[792,793]],["theholytimes.com",[793,2298]],["dailykaratoa.com",[796,797]],["dainikshiksha.com",[797,863]],["saralpatrika.com",797],["ichowk.in",797],["dailykesari.com",798],["dailykhowai.com",799],["dailynarayanganjerdak.com",800],["dailyolamakantho.com",803],["nationalpresstimes.com",803],["welcomeindianews.com",803],["tbcgzb.in",803],["dailyonusondhan.com",804],["passengervoice.net",804],["dailyprovatbela.com",806],["dailypunjabnews.com",807],["dailypunorutthan.com",[808,809,810]],["dhakanews24.com",[808,809]],["daynightnewsbd.com",809],["jagonarsingdi24.com",809],["newswin24.com",809],["dailypurbodesh.com",811],["dailyrajbarikantha.com",812],["dailyreportbd.com",813],["dailysabuj.com",814],["dailysamvad.com",815],["dailysangbadprotidin.com",816],["globaltamilnews.net",817],["dailyshapoth.com",818],["dailysharebazar.com",819],["kalyankesari.com",819],["digitalmalayalionline.com",[822,930,931]],["khabargujarat.com",822],["techvision24.com",[822,2267]],["teknafnews.com",[822,2272]],["thekarmanews.com",822],["yespunjab.com",[822,1599]],["postmanindia.in",[822,904]],["tazakhabar.in",[822,974]],["unanews.in",822],["dailythanthi.com",[824,825]],["madhyamam.com",[825,1575,1576]],["dailyuttorpurbo.com",826],["dainik4media.com",827],["dainikagnipath.com",828],["dainikamadershomoy.com",829],["dainikbharat24.com",830],["navabharat.news",[832,2870]],["dainikcharghat.com",834],["dainikchintak.com",[835,836,837]],["cgnews24x7.wordpress.com",[835,2132,2235,2442]],["konnivartha.com",836],["thenewswave.com",836],["brightpost.in",[836,2500]],["janmat.co.in",836],["dthreeonline.com",[840,972]],["ramailochha.com",840],["royalnews13.in",[840,1093]],["dainikhindmitra.com",842],["dainiki.com",843],["dainikjaltedeep.com",845],["cnin.co.in",[845,2513]],["dainikjanwani.com",846],["jamalpurbarta.com",847],["keralabreaking.com",847],["thebharatnama.com",847],["thepunjabwire.com",847],["cgimpact.org",[847,1089]],["dainikjharkhand.com",[848,849]],["jaunpur24.com",[849,975,1026,1145,1332]],["pressmirchi.com",849],["dainikkhabraan.com",850],["dainiklivenews24.com",851],["dainikmas.com",852],["newsmalwa.com",852],["economicbd.com",853],["sharebarta.com",853],["sharesangbad.com",853],["sharebarta.net",853],["dainiknavraj.com",855],["odishamirror.com",[857,1866]],["dainiknepal.com",858],["enepalese.com",[858,1022,1023]],["samayapost.com",[858,1023,2079]],["dainiknepal.com.np",858],["dainikparibarton.com",859],["dainikroorkee.com",860],["dainiksandhyaprakash.com",861],["dainiksatkhira.com",862],["dainiktribuneonline.com",865],["netizennepal.com",865],["dainikvishwamitra.com",867],["dakshinbharat.com",870],["purvanchalsandesh.com",870],["swatantrabharat.net",870],["dalhousiehulchul.com",871],["damstv.com",874],["daniksamachar.com",875],["daunnenews.com",876],["dcnepal.com",878],["khullamanch.com",[878,1017]],["makalukhabar.com",[878,1587,1588]],["dcnewsbd.com",[879,880]],["hotnewsindia.com",[879,1230]],["ddnews24x7.com",881],["deepika.com",882],["delhicrimepress.com",883],["ksdlivenews.com",[883,1505]],["delhiuptodate.com",[884,885]],["wayanadlivenews.com",884],["democratictvnews.com",[886,887]],["derbykhabar.com",888],["deshabhimani.com",889],["deshdoot.com",892],["deshdorpon.com",893],["deshdorshon.com",894],["deshprahari.com",896],["deshprotikhon.com",897],["deshsanchar.com",899],["desimartini.com",900],["desimediapoint.com",901],["devinenewz.com",905],["newschai.com",905],["thebanglareport.com",905],["dhadingnews.com",[907,908]],["industryhit.com",907],["dinamina.lk",[907,2764,2765]],["dhadingpost.com",909],["dhadingupdate.com",[910,911]],["onlinetajakhabar.com",910],["dhaka18.com",912],["dhakapost.com",[913,914]],["thenepaltoday.com",913],["tamilnewsstar.com",[915,2247,2248]],["dhakareport24.com",916],["dhakatoday.com",917],["dhanamonline.com",[918,919,920]],["janprahar.com",[918,1325,1326]],["filmchilive.com",[919,1054]],["dheivegam.com",923],["enavamaratha.com",923],["navdeshtimes.com",[923,1713]],["news7express.com",923],["newsinside24.com",923],["bengalwatch.in",923],["telugudesk.net",923],["digiana.com",926],["digitalkhabar.com",[927,928]],["focusbd24.com",927],["digitalkhobor.com",929],["ratdinnews.net",931],["digitalnewslive.com",[932,933,934]],["mahekasansar.com",[932,1331,1584]],["digontonews.com",935],["dildarnagar.com",936],["dilersamachar.com",937],["dinajpurnews24.com",940],["dinajpurtv.com",941],["dinakaran.com",942],["dinamalar.com",943],["cinema.dinamalar.com",944],["sports.dinamalar.com",945],["dinamani.com",946],["dineshkhabar.com",947],["dinvishesh.com",948],["dirt-sheet.com",949],["dishadaily.com",950],["divaina.com",951],["divyahimachal.com",953],["divyalive.com",954],["diyopost.com",955],["dmoitry.com",[956,957]],["gazarianews.com",957],["legalvoice24.com",[957,1531]],["harinayak.in",957],["samriddhinews.in",957],["westerntimesnews.in",[957,1634]],["dnnnews24x7.com",958],["dokadamganvkior.com",960],["dokhinercrime.com",961],["dholamaru.co.in",961],["donetbd.com",962],["donnews.com",[963,964,965]],["onlinedabali.com",[963,1874]],["ratopost.com",[963,2023]],["sancharkendra.com",[963,964,2023,2104]],["doolnews.com",966],["dotooknews.com",968],["kalakkalcinema.com",968],["bmnews24.net",[968,2799]],["drikpanchang.com",969],["googlepokhara.com",[972,1117,1118,1119]],["duniyasamachar.com",973],["e-kantho24.com",977],["e24bollywood.com",978],["eastcoastdaily.com",980],["kelanchaltimes.com",[980,1411,1412]],["manasvivani.com",980],["nepaltvonline.com",[980,1109]],["capitalvoice.in",980],["tismedia.in",[980,1710]],["ebrightnepal.com",981],["sudurpatra.com",981],["vakeesam.com",[982,1877,2401]],["gujarati.economictimes.com",[983,984]],["eisamay.com",[983,984,994,995,996,997,998]],["enlightnews.com",[983,1025]],["indiatimes.com",[983,998,1267,1268]],["bengali.timesxp.com",983],["uttaranews24.com",983],["saaravita.lk",[983,2778]],["alorkantho24.news",[983,2855]],["samayam.com",[984,997,2086]],["eelamalar.com",986],["eelamtimes.com",987],["egoomedia.com",[988,989]],["ehapurnews.com",[990,991,992]],["khabarhimachalse.com",990],["thegandhigiri.com",990],["newsfastweb.com",992],["ratnagirikhabardar.com",992],["eimuhurte.com",993],["iamgujarat.com",[994,997,1242]],["vijaykarnataka.com",[998,1267]],["ejanshakti.com",1000],["ejjdin.com",1001],["ekaainabharat.com",1002],["sangritimes.com",1002],["nepalmamila.com",[1003,1745,1746]],["newsroomme.com",[1003,1826]],["farakdhar.com",1004],["ukeraa.com",1004],["ekantipur.com",1006],["ekattorbanglanews.com",[1007,1008]],["kannurnewsonline.com",[1008,1389]],["abnewslive.in",[1008,2472]],["lalitpurkhabar.com",1009],["sabaikosamachar.com",[1009,1457,2048]],["firstuttarpradesh.com",1010],["thenewhind.com",1010],["ekhon24.com",1012],["ekusheypatrika.com",1014],["elokasha.com",1016],["lokprashna.com",1016],["emailkhabar.com",1017],["nawalpurtimes.com",1017],["emountaintv.com",1019],["enewsmp.com",1024],["aapkaparyas.in",[1024,2469]],["entethiruvambady.com",1026],["newstruthlive.com",1026],["entevarthakal.com",1027],["esidhakura.com",1030],["etamilnews.com",1031],["ethiri.com",1032],["etvuttarakhand.com",1033],["eurobanglanews24.com",1034],["veerdharanews.com",[1036,2408]],["everestdainik.com",1037],["everesttimesnews.com",1038],["lokpath.com",1038],["exprestamil.com",1039],["eyenewsbd.com",1040],["mynews36.com",[1042,1681]],["futurekerala.in",1042],["aajtak24live.in",1043],["mrreporter.in",1043],["fastnewsbd.com",1047],["meherpurpratidin.com",1048],["fenchuganjnews.com",1049],["fenireport.com",1050],["filmcityworld.com",1055],["filmibeat.com",1056],["tamil.filmibeat.com",1057],["filmyfanda.com",1062],["filmykhabar.com",1063],["firstbihar.com",1065],["firstindianews.com",1066],["flowersoriginals.com",1067],["twentyfournews.com",1067],["maloutlive.flykingimmigration.com",1068],["fmhindi.com",1069],["fmnews24.com",1070],["fns24.com",1071],["focusmohona.com",1072],["fourteenkerala.com",[1073,1074]],["freelancerstory.com",1075],["gajabkhabre.com",1076],["janmanindia.com",[1076,1324]],["moonbreaking.com",1076],["ganaadhikar.com",1077],["jhabualive.com",1077],["minnal24.com",1077],["newstodaycg.com",1077],["sakshamuttarakhand.com",1077],["spreaditnews.com",1077],["sudurawaj.com",1077],["sudurpashimkhabar.com",1077],["tvannapurna.com",[1077,2361]],["newsnerve.in",1077],["upsamachar.org",1077],["gandaknews.com",1079],["gangnirchokh.com",1080],["garimatvnews.com",1081],["garjachhattisgarhnews.com",1082],["gaunsahar.com",1083],["gautamsandesh.com",1084],["gbnews24.com",1085],["geetanjalipost.com",1086],["madhyabhoomikeboal.com",[1089,1117,1573]],["dhamakachhattisi.in",1089],["ghaziabadparikrama.com",1094],["ghazipuraajkal.com",1095],["gkprashnuttar.com",1100],["globalharyana.com",1101],["sarkariniyog.com",1104],["globenepal.com",1107],["gmnewsbd.com",1108],["goindianews.com",1111],["gondwanaexpress.com",[1112,1113]],["gonokantho.com",1114],["khabarbhartiindia.com",1115],["medicallife.in",1115],["goodnewsbharat.com",1116],["janatakoaawaj.com",1118],["panchakoshitimes.com",[1118,1897]],["samabesionline.com",1118],["sangalokhabar.com",[1118,2109]],["gourbarta24.com",1124],["gramajyothi.com",1126],["gramintimes.com",1127],["manavadhikarsandesh.com",1128],["nirbhiknazar.com",1128],["rsnews24.com",1128],["gramnagarbarta.com",1130],["gramsamachar.com",[1131,1132]],["vbnews24.com",[1132,2406]],["telugu.greatandhra.com",1133],["grehlakshmi.com",1134],["gujaratimidday.com",1137],["gujarattimesusa.com",[1138,1139]],["khabribox.com",1138],["londonnepalnews.com",[1138,1561]],["rajdhanidaily.com",[1138,2004]],["shabdonews24.com",1139],["teesarakhamba.com",1139],["vijaykarnatakaepaper.com",[1139,2414]],["gujaratvaibhav.com",1140],["gulfmalayaly.com",1141],["gulte.com",1142],["telugu.gulte.com",1143],["gurgaonmail.com",1144],["gurugramnewsnetwork.com",1145],["gvoice24.com",1147],["gyanipandit.com",1149],["hajurkokhabar.com",1150],["haldwanilive.com",1151],["halokhabar.com",1152],["hamdardmediagroup.com",1154],["prajapragathi.com",1155],["hamrobiratnagar.com",1156],["hamrokhabar.com",1157],["hamrokhelkud.com",1158],["hamrosandesh.com",1161],["dainikujagarkhabar.in",[1162,1624]],["harekpal.com",1163],["haribhoomi.com",1164],["harithakeralamnews.com",1165],["hariyalinepal.com",1166],["haryanaekhabar.com",1167],["haryananewsexpress.com",1170],["haryananewsonline.com",1171],["rkexpose.com",[1173,2035]],["hellobanswara.com",1175],["hellobikaner.com",1176],["helloswasthya.com",1177],["hellouttarakhandnews.com",1178],["hetaudakhabar.com",[1182,1183]],["nepalipatra.com",1182],["sulsule.com",1182],["himachalabhiabhi.com",[1186,1187]],["ujyaaloonline.com",[1186,1489,2371]],["upkikhabar.com",[1186,2387]],["himachalnownews.com",1188],["himaliawaj.com",[1192,1193]],["sahityapost.com",1193],["ontimenews.in",1193],["himalkhabar.com",[1196,1197]],["nayadainiki.com",1196],["kannadanews.today",1200],["hindi-news-today.com",1201],["hindifiber.com",1202],["sylhetprotidin24.net",[1204,2840]],["hindilok.com",1205],["hindinews24daily.com",1206],["hindisip.com",1207],["onelivenews.com",1207],["hinditips.com",1208],["elugutips.in",1208],["udaipurkiran.com",1210],["hindnama.com",1212],["hindusta24x7.com",1213],["hindustandailynews.com",1214],["hindustannewsexpress.com",1216],["marathi.hindustantimes.com",1217],["hknepal.com",1222],["whatinindia.com",1225],["newslab24.in",[1225,2509]],["bestnow.in",1226],["hollywoodkhabar.com",1227],["hongkar.com",1228],["horizonhind.com",1229],["hotpati.com",[1231,1232]],["hpnewsatl.com",1233],["hrbreakingnews.com",1234],["hulakpatra.com",1235],["onlinenews7.com",1235],["hulchalnews24.com",1236],["hulchalpunjab.com",1237],["humarabikaner.com",1238],["humhindustanilive.com",1239],["humsamvet.com",1240],["i-news24.com",1241],["iautoindia.com",1243],["iimtnews.com",1249],["ilamai.com",1251],["hindinetnews.in",1251],["importmirror.com",[1253,1254]],["inbnews24.com",1255],["india.com",1256],["tfipost.in",1256],["indianewsharyana.com",1259],["newsoneindia.com",1259],["thekanpur.com",1259],["haryana.indianews.in",1259],["bengali.indianexpress.com",1260],["jansatta.com",[1260,1328]],["indiannewsroom.com",1262],["mbpratidin.com",[1262,1627]],["indianopinionnews.com",1263],["indiatv18.com",1269],["indiatv360.com",1270],["industrialpunch.com",1271],["prothomalo.com",[1273,1974]],["infoway24.com",1274],["innews16.com",1275],["upaharkhabar.com",1276],["irinjalakudalive.com",1278],["sansanisurag.com",1278],["themenews24.com",1278],["irruppu.com",1279],["ishantimes.com",1280],["itvbd.com",1281],["jagarannews.com",1282],["jagatprahari.com",1284],["jagonarayanganj24.com",1285],["jagonews24.com",1287],["jagranjosh.com",[1290,1291]],["jagratilahar.com",1292],["jaianndata.com",1293],["malayalamnewstimes.com",1293],["mycitydilse.com",1293],["suragbureau.com",1293],["udaybulletin.com",1293],["youngvarta.com",1293],["aajtakmedia.net",1293],["rni.news",1293],["jaihindnewspaper.com",1294],["leading-news.com",1294],["jaihindustannews.com",1295],["jaijaidinbd.com",1296],["jaldimoney.com",1298],["janaaastha.com",1301],["janadhvani.com",1302],["janakikhabar.com",1304],["thenewskhazana.com",1304],["jananesan.com",1305],["janasanchar.com",1306],["janatapati.com",[1308,1309]],["janatasamachar.com",[1309,1313]],["janatarishtehaar.com",1310],["janatarnews24.com",1311],["janatarsylhet24.com",1312],["namasteholland.com",1315],["varthatrivandrum.com",1315],["janayugomonline.com",[1316,1317]],["janbolnews.com",1318],["jandarshannews.com",1319],["janghatna.com",1320],["janjwar.com",1321],["specialcoveragenews.in",[1321,2707]],["jankaritoday.com",1322],["janmadhyam.com",1323],["jantakiawaz.org",[1326,2299]],["jansangathan.com",1327],["jantabulletin.wordpress.com",[1329,1461]],["jantajanardan.com",1330],["kadwaghut.com",[1332,1359]],["jaybharatnews.com",1334],["dailybihar.in",1334],["jeevalokam.com",1336],["jeewanaadhar.com",1337],["jenerakhun.com",1338],["jharkhand-news.com",1339],["jhilko.com",1340],["jivanihindi.com",1342],["jiwanjotsavera.com",1343],["jjpnews.com",1344],["apnades.in",[1345,2481,2482]],["joginderposwal.com",1347],["joharlive.com",[1348,1349,1350]],["motherlandpost.in",[1348,2633]],["jonopodsangbad.com",1351],["joynewsbd.com",1352],["jpworldnews.com",1353],["jubokantho.com",1354],["jubokantho24.com",1355],["jugantor.com",1356],["jugerkanthobd.com",1357],["kailarionline.com",1364],["kairalinewsonline.com",1365],["kairalynews.com",1366],["kalamlok.com",1368],["kalkionline.com",1374],["kalvikural.com",1375],["kalyugkatehelka.com",[1376,1377,1378]],["roorkeehub.com",[1377,2040]],["kamanakhabar.com",1379],["kamdhenupost.com",1380],["kamuktastories.com",1381],["kanaighatbarta.com",1382],["kannadadunia.com",1384],["sabhavarthakal.com",1386],["kannadaprabha.com",1387],["kannurmetroonline.com",1388],["kantipath.com",1391],["kanvkanv.com",1392],["kapotham.com",1393],["karainagar.com",1394],["karnatakamalla.com",1397],["karnatakavoice.com",1398],["karobardaily.com",1399],["kasargodvartha.com",1401],["kashishnews.com",1402],["kasturinews.com",1403],["kathmandutoday.com",1405],["kaumudiplus.com",1406],["kayakairan.com",1407],["kayalconnection.com",1408],["kbn10news.com",1409],["liveuttarakhand.com",1409],["sangbadcholoman.net",1409],["pkdnewschannelnoi.com",1411],["navshaktinews.com",1412],["kendrabindu.com",[1413,1414]],["onlinetvnepal.com",1414],["abcnepal.tv",1414],["keralafinance.com",1415],["keralakaumudi.com",1416],["keralanewshunt.com",1417],["keralaonlive.com",1419],["keralaviews.com",1420],["keralavisiontv.com",1421],["keraleeyammasika.com",1423],["kewalsach.com",1424],["kewalsachtimes.com",1425],["khabar7clive.com",1427],["khabarcgnews.com",[1429,1430,1431]],["samrudhaodisha.com",[1429,2097]],["timesofswaraj.com",1430],["sinewstoday.com",1432],["khabardabali.com",1434],["khabardose.com",1437],["khabareast.com",1438],["khabarhekhabar.com",1440],["khabreaajtaklive.com",1442],["thenewswall.in",1442],["khabarhouse.com",1444],["khabarkunj.com",1447],["mediamalayalam.com",[1448,1631]],["khabarmala.com",1449],["nobokontho.com",1449],["khabarmukam.com",1450],["khabarmuluk.com",1451],["khabarpahad.com",[1451,1454,1455]],["khabarsameeksha.com",1451],["khabarodisha.com",1452],["khabarworld.com",1455],["khabarpradesh.com",1456],["khabarprawaha.com",1457],["shivshahilive.com",[1459,2165]],["khabarvichar.com",1461],["satyasikha.com",1461],["khabor.com",1462],["khaboriya24.com",1463],["khabreapki.com",1466],["khamoshduniya.com",[1469,1470]],["shasansandesh.in",[1470,2701]],["khanjahanali24.com",1471],["khaptadonline.com",1472],["khaskhabar.com",1473],["khoborbari24.com",1478],["khoborersomoy.com",1479],["kholakagojbd.com",1480],["poriborton.com",1480],["khosbasbarta.com",1481],["khulasa.com",1482],["khulasafirst.com",1483],["khulasaonline.com",[1484,1485]],["sridungargarhtimes.com",1484],["khulnagazette.com",1486],["spnewsbd.com",[1486,1936]],["kmassnews.com",1488],["knanayaworld.com",1489],["newsarchives24.com",1489],["newsdesk24.com",[1489,1799]],["knrchannel.com",1491],["kolomerbatra.com",1494],["koshionline.com",1496],["krantimission.com",1500],["krishibajar.com",1502],["krishnanews.com",1503],["krushinama.com",1504],["kulalaworld.com",[1507,1508]],["kumudam.com",1510],["puthiyathalaimurai.com",1510],["kamadenu.hindutamil.in",[1510,2577]],["kurunews.com",1512],["adminmedia.in",1512],["singhamnewstv.in",1512],["kusenews.com",1513],["kushtianews24.com",1515],["kutchkhabar.com",1516],["kvartha.com",1517],["laatsaab.com",1518],["labanglatimes.com",1519],["lalluram.com",1522],["lalmonibarta.com",1523],["lanka4.com",1525],["lankadawasa.com",1526],["bihartoday.net",1527],["lastnewsbd.com",1528],["latestlaws.com",1529],["lekaalionline.com",1532],["lekalionline.com",1533],["lifeglint.com",1535],["sandesh.com",1539],["livekeralanews.com",1540],["livetvkerala.com",1542],["localnewsodia.com",1543],["lokhitexpress.com",1547],["lokhitkipukar.com",1548],["lokjeewan.com",1549],["lokmat.com",[1550,1551]],["lokmatnews.in",[1550,2624]],["epaper.lokmat.com",1552],["lokpati.com",1553],["loksangbad.com",1556],["lokshahi.com",1557],["navjivanindia.com",[1557,1716]],["loktantrapost.com",1558],["londonbdnews24.com",[1559,1560]],["lorai24.com",1562],["lumbinisanchar.com",1564],["maagulf.com",1565],["madathakaja.com",1566],["madhyakesari.com",1574],["nativenews.in",1576],["madhyanhadaily.com",1577],["madhyantar.com",1578],["mediamangalam.com",1579],["magnificentbihar.com",1581],["tarunchhattisgarhkor.comba",1584],["mahitivibhag.com",1585],["maihugodda.com",1586],["makdaiexpress24.com",1589],["mewartimes.com",[1590,1643]],["thereport24.com",[1590,2313]],["malabarinews.com",1592],["malayalamemagazine.com",1594],["malayalamonlinenews.com",1595],["malayalamuk.com",1597],["manvadhikarabhivyakti.com",[1599,1616]],["slogannews.com",1599],["malayalivartha.com",1600],["malluchronicle.com",1601],["maloutlive.com",1603],["manasmediaonline.com",1607],["ada.lk",[1611,2760,2761]],["shyamalsylhet.net",[1611,1912]],["mannarkkadlive.com",1612],["manoramanews.com",1613],["manoramaonline.com",1614],["marathisrushti.com",1617],["rojdin.in",1617],["marunadanmalayalee.com",1621],["mathabhanga.com",1622],["mathrubhumi.com",1623],["mathuranews24.com",1624],["meddlingmedia.com",1628],["mediyaan.com",1636],["satyamevtv.com",[1636,2137]],["telugumalli.com",[1636,2276]],["meerutdarpan.com",1637],["mekhadooth.com",1638],["mekhrajbairwa.com",1639],["metrovaartha.com",1642],["asomiyapratidin.in",[1642,2486]],["sathyadeepam.org",1642],["mirsaraikhobor.com",1646],["vasistatoday.in",[1648,2735]],["modernnewsindia.com",1649],["mohagani.com",1650],["momainews.com",1652],["moolbato.com",1653],["satkarpost.com",[1653,2132,2133,2134]],["sawalnepal.com",[1653,2133,2141]],["moonramkonam.com",1655],["morbiupdate.com",1656],["mp1news.com",1661],["mpenews.com",1662],["mpnewscast.com",[1663,1664]],["yesnewsmarathi.com",[1663,2449]],["cgbasket.in",1663],["msprotidin.com",1665],["muhurtham.com",1666],["mujibnagarkhabor.com",1667],["muktijoddharkantho.com",1668],["munaadi.com",1669],["musicjoymedia.com",1670],["myfirstshow.com",1674],["hindi.mykhel.com",1675],["tamil.mykhel.com",[1675,1676,1677]],["tamil.oneindia.com",[1677,1870]],["mymensinghnews.com",1679],["mysurumithra.com",1682],["mzamin.com",1683],["mznnews.com",1684],["nabaz-e-punjab.com",1685],["nalandalive.com",[1685,1690]],["nagarikpati.com",1687],["nainilive.com",1688],["najiknews.com",1689],["nalandareporter.com",1691],["nammabantwala.com",1693],["nandednewslive.com",1694],["narmadanchal.com",[1697,1698]],["narsingdirbani.com",1699],["bankalive.net",1699],["nation1voice.com",1700],["nationaldetectivenews.com",1701],["nationalpowernews.com",1702],["nationalthoughts.com",1703],["nationaltodaylive.com",[1704,1705]],["peptechtime.com",[1705,1924]],["keepinspiringme.in",1706],["nationissue.com",1707],["natunjug.com",1708],["navarashtra.com",1711],["navayuganews.com",1712],["navgujaratsamay.com",1714],["navinsamachar.com",1715],["palampuronline.com",1717],["southlive.in",1721],["nayabikalpa.com",1723],["nayabishwo.com",1724],["nayaharyana.com",1725],["nayaindia.com",1726],["nayapage.com",1727],["nayasabera.com",1729],["nbchindi.com",1731],["nepalbritain.com",[1733,1734]],["rastriyakhabar.com",[1734,2018]],["nepalcanadanews.com",1735],["nepaldubai.com",1736],["nepalijanta.com",1738],["nepalimato.com",1739],["nepalipost.com",1741],["nepalkhabar.com",[1743,1744]],["srilankamirror.com",1743],["webcoachbd.com",1743],["tcvonline.co.in",1743],["editiontoday.in",[1743,1898,2557]],["am.lk",1743],["janchhaya.in",1746],["nepalpage.com",1749],["nepalpati.com",1750],["nepalraftar.com",1753],["nepalsamaya.com",[1754,1755]],["prabhabonline.com",1754],["nepalstatus.com",1757],["nepaltara.com",1758],["nepalviews.com",1759],["nepalwatch.com",1760],["neplays.com",1761],["nerpatham.com",1762],["netmalayalam.com",[1763,1764]],["netrokonajournal.com",1765],["nettamil.com",1766],["news-punjab.com",1768],["news11bharat.com",1769],["news13uttarakhand.com",1771],["news14india.com",1772],["news18marathi.com",1774],["hindi.news18.com",1775],["kannada.news18.com",1776],["news24delhi.com",1778],["news4himachal.com",1779],["news4himalayans.com",1780],["sameera.co.in",1782],["newsagencyindia.com",1786],["newsajako.com",1787],["newsaroma.com",1788],["newsbhandar.com",1790],["indiaaajkal.in",[1797,2581]],["newsdainik.com",1798],["samaylive.com",1801],["newsdustak.com",1802],["newsfireonline.com",1803],["newsflash24bd.com",1804],["newsheight.com",1807],["newshimachali.com",1808],["newskannada.com",1810],["newskoseli.com",1811],["newskranti.com",1812],["newslabz.com",1813],["newslinkers.com",1814],["newsmerchants.com",1815],["newsnationtv.com",[1816,1817]],["newsnazar.com",1818],["newsnetworkindia.com",1819],["newsnow24.com",1820],["newsplus24x7.com",1823],["hindi.newsroompost.com",1827],["newssanjal.com",1828],["newssewa.com",1829],["newssunamganj.com",1830],["newstaglive.com",1831],["newstrack.com",1833],["newstrendindia.com",1834],["newsuperbharat.com",1835],["newsway.in",[1837,2657]],["newuthayan.com",1839],["newzfast.com",[1840,1841,1842]],["samayduniya.com",[1842,2088]],["ni24news.com",1843],["nigranee.com",1844],["nijamtoday.com",1845],["nittaa.com",1846],["nknewsindia.com",1847],["nobat.com",1849],["nokhaexpress.com",1850],["notebazar.com",1851],["nrimalayalee.com",1852],["ntcnewsmedia.com",1853],["ntinews.com",1854],["ntnews.com",1855],["nuwakotexpress.com",1857],["obolokon24.com",1859],["odiapua.com",1863],["sarthaksamay.com",[1863,2129]],["hugujarati.in",1863],["newsofmithila.in",[1863,2655]],["odishabhaskar.com",[1864,1865]],["digitalbharatnews.in",1864],["onakanthirkantho.com",1867],["oneindia.com",1868],["kannada.oneindia.com",1869],["telugu.oneindia.com",1871],["onetamilnews.com",1873],["onlinekhabar.com",1875],["raigadtimes.co.in",[1877,2538]],["onlinemarg.com",1878],["onlinepatrakar.com",1880],["onlynews24.com",1881],["onp24.com",1882],["onsnews.com",1883],["osnepal.com",1885],["osvevo.com",1885],["ourmyliddy.com",[1886,1887]],["beforeprint.in",1887],["outlookhindi.com",1888],["pagetamil.com",1891],["pahadprabhat.com",[1892,1893]],["pahilopost.com",1894],["pakundiapratidin.com",1895],["pallibatani.com",1896],["panchayattantra24.com",1898],["panchayattimes.com",1899],["panchkulasamachar.com",1900],["pannagam.com",1902],["parchhayin.com",1903],["pardafas.com",1904],["pardaphash.com",1905],["hindi.pardaphash.com",1906],["rninews.co.in",1906],["paristamil.com",1908],["parvatprerna.com",1911],["patheo24.com",1914],["protikhon.com",1915],["pathivaranews.com",1916],["pathramonline.com",1917],["loksansar.in",1917],["patnadaily.com",1918],["patrika.com",1920],["patrikai.com",1921],["payyanursouhrudavedi.com",1922],["pchelpcenterbd.com",1923],["perfecttamil.com",[1925,1926]],["jhabuanews.in",[1925,2598]],["pinkstea.com",1927],["pksnews24.com",1928],["policemukhbir.com",1932],["policevarthe.com",1933],["positivebdnews24.com",1936],["uthayamnews.com",[1936,2389]],["prabhanews.com",1939],["prabhasakshi.com",1940],["prabhatkhabar.com",1941],["mumbaitak.in",[1941,2543,2637]],["prabhattimes.com",1942],["prabhatvaibhav.com",1943],["praharkhabar.com",1947],["prajajyothinews.com",1948],["prajamantalu.com",1949],["prakashkhabar.com",1951],["prakharpurvanchal.com",1952],["pratidhvani.com",1954],["pratidinakhbar.com",1955],["pratyeknews.com",1957],["pravasi.com",1959],["pravasidaily.com",1960],["prernanews.com",1962],["pressbarta.com",1963],["preyopathok.com",1964],["priyo.com",1965],["probashirdiganta.com",1968],["professorsbd.com",1969],["projonmonews24.com",1970],["promisenews24.com",1971],["prompttimes.com",[1972,1973]],["samvadnews.com",1972],["muznews.online",[1972,2895]],["protichhobi.com",1975],["protidinerchitrobd.com",1976],["pslvtv.com",[1978,1979]],["popatlal.in",1978],["samacharagency.com",1982],["punjabguardian.com",1984],["punjabiinholland.com",1986],["sachikalam.com",[1986,2053,2054]],["punjabkesari.com",1987],["punjabtimesusa.com",1988],["punjabvarta.com",1989],["punnalaikkadduvan.com",1990],["purbanchal.com",1991],["purbashabd24.com",1992],["purvanchal24.com",1994],["purvanchalsurya.com",1996],["puttalamonline.com",1998],["radionrn.com",1999],["raisingvoice.com",2001],["rajasthankhabre.com",2002],["realitynews.in",2002],["rajbem.com",2003],["ourbiratnagar.net",[2004,2828]],["rajkajlive.com",2005],["rajpathmathura.com",2007],["thaiveedu.com",[2007,2282]],["rajsamandtimes.com",2008],["rajtantra.com",2011],["rajyasameeksha.com",2012],["ranchiexpress.com",2013],["ratantimes.com",2020],["ratokalam.com",2021],["ratopati.com",2022],["motivatenews.com.np",[2023,2104,2885]],["pokharapatra.com.np",[2023,2104,2887]],["bangla24x7.news",2025],["reportexclusive.com",2029],["republicadainik.com",2030],["rewanewsmedia.com",2031],["ridoyachandpur.com",2032],["risingbd.com",2033],["rjfnews.com",2034],["roddure.com",2037],["rojanapunjab.com",2038],["rojgarlive.com",2039],["rtvonline.com",2043],["ruhelkhandpost.com",2044],["saamana.com",[2046,2047]],["tamilyugam.in",2047],["spicenewsbd.com",2049],["sabkikhabar.com",2051],["samarthsahara.com",2051],["varchasvnews.com",2051],["viznews.in",2051],["sabkinajar.com",2052],["alayadivembuweb.lk",2052],["sehajtimes.com",2053],["sachkaujala.com",2056],["sachkitop.com",2057],["sadamoga.com",2058],["sagartvnews.com",2060],["saharasamachar.com",2061],["aisakya.in",[2063,2475]],["sakshi.com",2069],["samachar4media.com",2070],["samachardoot.com",2071],["samacharplus.com",2075],["samacharsach.com",2076],["samacharuk.com",2076],["samacharxpress.com",2078],["samadhannews.com",[2079,2080]],["samagrabharat.com",2081],["samajkihalchal.com",2083],["houseplan.lk",[2083,2770]],["samakalikamalayalam.com",2085],["telugu.samayam.com",2087],["samayindia24.com",2089],["sameerachannel.com",2092],["samnanews.com",2094],["sampattechno.com",2095],["samridhjharkhand.com",2096],["samudrapari.com",2098],["samugammedia.com",2099],["samvadexpress.com",[2100,2101]],["samvetshikhar.com",2102],["samwadbundelkhand.com",2103],["sanchorenews.com",2105],["sandeshnow.com",2106],["sandhan24.com",2107],["sangbad-gallery.com",2110],["sangbadchorcha.com",2111],["sangbadmail24.com",2112],["sangbadprotidin.com",[2113,2114]],["shomoynews.net",[2113,2836]],["sanghamam.com",2115],["sanjeevnitoday.com",2117],["sankhnaad.com",2121],["sansanilive.com",2122],["sansarpost.com",2124],["sanvadnews.com",2125],["sarakhon.com",2126],["sarbochcha.com",2127],["sathiksamachar.com",2130],["samajalive.in",2130],["sathyamonline.com",2131],["starbanglanews.net",[2132,2839]],["cg24x7.news",[2132,2235,2442]],["satlujbiastimes.com",2135],["satyadeepsandesh.com",2136],["satyapathnews.com",2139],["satymevjayte.com",2140],["hindi.scoopwhoop.com",2142],["seithy.com",2144],["setopati.com",2146],["setoshikhar.com",2147],["shabdsaransh.com",2149],["sharebazarnews.com",2153],["sharechat.com",2154],["shariatpurnews24.com",2155],["shasakprashasak.com",2157],["sheikhpuranews.com",2159],["sherpurtimes.com",2160],["shikkharalo24.com",2161],["shineupindia.com",2162],["shirurtaluka.com",2163],["shivamoggalive.com",2164],["shobshomoy.com",2166],["shobujbangladesh24.com",2167],["shomoynews24.com",2168],["shomoynews24.net",2168],["shreemanglamlive.com",2172],["uttrakhandtoday.com",[2174,2397]],["shyamalsylhet.com",2175],["silkcitynews.com",2176],["simanapari.com",2177],["sirsonews24.com",2179],["siwanexpressonline.com",2180],["smj24.com",2184],["snn24.com",2185],["socialvikassamachar.com",2187],["sodhpatra.com",2188],["sokalerbangla.com",2189],["somoysongbad.com",2193],["sonalibanglanews.com",2194],["sonalinews.com",2195],["sonatalasangbad.com",2196],["sorejominbarta.com",2198],["spnewsworld.com",2200],["srujananedu.com",2201],["ssnewsindia.com",2202],["abhitak.in",2202],["vvanews.in",2202],["starkhabre.com",2203],["starsangbad.com",2205],["startalkbd.com",2206],["subhechhanews.com",2209],["suddi9.com",2210],["suddidina.com",2211],["suddione.com",2213],["sudurpress.com",2216],["sunaulonepal.com",2218],["sunnews24x7.com",2220],["supportmeindia.com",2221],["suprobhat.com",2222],["surgujasamay.com",2223],["suryakhabar.com",2224],["swarajnewstoday.com",[2227,2228]],["shankhnaad.in",2228],["aajtak.in",[2230,2467,2468]],["sylhetbarta24.com",2231],["sylnewsbd.com",2233],["taftishofcrime.com",2234],["talashbangla.com",[2236,2237]],["thenewspost.in",2236],["tamil2daynews.com",[2238,2239]],["aanthaireporter.in",[2239,2240]],["tamilcnnlk.com",2242],["tamilcnn.lk",[2242,2781]],["tamildaily.com",2243],["tamillens.com",2244],["tamilmint.com",2245],["tamiltradepost.com",[2245,2253]],["tamilmithran.com",2246],["satyasamachar.in",2248],["tamilolli.com",2249],["tamilspark.com",2250],["tamilthamarai.com",2251],["tamilvanakkam.com",2254],["tamilvisions.com",2255],["viewpointjharkhand.com",2256],["tarunchhattisgarhkorba.com",2260],["tatokhabar.com",2261],["tazakhabar36garh.com",2263],["techalonews.com",2264],["techshahin24.com",2265],["techworldbd.com",2268],["tedmnews.com",[2269,2270]],["headlinestripura.in",2270],["tejastoday.com",2271],["telugu99.com",2274],["ojasvitimes.in",2276],["telugusmtv.com",2277],["teluguwirals.com",2278],["teluguwishesh.com",2279],["teznews.com",2280],["thakurgaon24newspaper.com",2283],["al-ihsan.net",[2286,2793]],["thebharatlive.com",2289],["thecolomboexpress.com",2291],["thedailybarta.com",2292],["thedailycampus.com",2293],["thedhakacrimenews.com",2294],["thekeralapost.com",2302],["thelallantop.com",2303],["thenewsqube.com",2305],["thenewsrepair.com",2306],["thenewswords.com",2307],["thenrinews.com",2308],["theptvnews.com",2310],["thepublictoday.com",2311],["bangla.thereport24.com",2314],["thesabera.com",2315],["thesaturdaynews.com",2316],["thestellarnews.com",2317],["thinaboomi.com",2319],["thinatamil.com",2320],["thirdeyetoday.com",2322],["thodkyaat.com",2323],["thuglak.com",2324],["tibrakhabar.com",2326],["tikheemirchi.com",2327],["timeofrajasthan.com",2328],["times-bd24.com",2329],["timesnowhindi.com",[2330,2331]],["timesnowmarathi.com",[2331,2332]],["timesnowtamil.com",2333],["timesofadventure.com",2334],["timestamilnews.com",2335],["timestodays.com",2336],["tips4blog.com",2338],["tirangaacindianews.com",2339],["tnews247.com",2340],["todaybihar.com",2343],["kaptaan.co.in",2345],["todaysheoharnews.com",2347],["tolivelugu.com",2348],["topnepalnews.com",2350],["torontotamil.com",2352],["trendynewsnetwork.com",2353],["truelinenews.com",2355],["truevisionnews.com",2356],["trustnews24.com",2357],["tupaki.com",2358],["tv19online.com",2359],["twnewsbd.com",2362],["udayavani.com",2364],["udupixpress.com",2368],["ujalahiteshiexpress.com",2369],["ukmalayalampathram.com",2374],["ukpkg.com",[2375,2376]],["thenewssense.in",2375],["dnspnews.in",[2376,2554]],["unfoldbangla.com",2377],["unikannada.com",2378],["janjoshnews.in",2380],["unitednripost.com",2381],["univarta.com",2382],["unmadmagazine.com",2383],["upbhoktajanghosh.com",2385],["updatenews360.com",2386],["utkalpratidin.com",2390],["uttarakhandcitynews.com",2391],["uttarakhandmorningpost.com",2392],["uttarakhandraibar.com",2394],["khabrainabhitak.org",[2394,2902]],["uttarakhandsamachar.com",2395],["uttareralo24.com",2396],["uukmanews.com",2398],["vadakaravoice.com",2400],["valaitamil.com",2402],["vatsalyanews.com",2404],["vavuniyanet.com",2405],["veeravengaikal.com",2407],["velanai.com",2409],["vellinakshatram.com",2410],["velsmedia.com",2411],["vichareknayeesoch.com",2412],["vidhankesari.com",2413],["vikatan.com",2416],["vinnabarta.com",2417],["vishvakannada.com",2419],["vishvasnews.com",2420],["voiceofdarbhanga.com",2422],["voiceofnewjersey.com",2423],["vplnews.com",2425],["vskbihar.com",2426],["vtvgujarati.com",2428],["wealthfreedomideas.com",2431],["webdunia.com",2432],["webkhabar.com",2433],["wehindustan.com",2436],["lakshyatak.in",2436],["wenepali.com",2437],["wishmaya.com",2438],["firstlookbihar.in",[2438,2560]],["wnepal.com",2439],["jalauntimessite.wordpress.com",2443],["todaybiharnews1.wordpress.com",2444],["worsonlinenews.com",2445],["xxx-indian-porn.com",2446],["yashbharat.com",2447],["youth18.com",2450],["yugabdha.com",2452],["faridabadlatestnews",2456],["haal.fashion",2457],["10tv.in",2458],["yerahajawab.in",2462],["a2znews24.in",2463],["aajkaal.in",2465],["aajkasach.in",2466],["ashanews.in",2468],["abckhabar.in",2470],["abtnews.in",2473],["agrinewsnetwork.in",2474],["alarmindia.in",2477],["amanpath.in",2478],["anandalok.in",2479],["anandamela.in",2480],["ab71.tv",[2481,2913]],["argusnews.in",2484],["ashmitanews.in",2485],["bharatiyadigitalnews.in",[2489,2490]],["bhartiyakhabar.in",2492],["bhartiyanews.in",2493],["bhilwarasamachar.in",2494],["blackoutnews.in",2497],["bolbihar.in",2498],["boleindia.in",2499],["bucksvault.in",2501],["cgwebnews.in",2503],["cialive.in",2505],["citymirrors.in",2506],["cityonclick.in",2507],["aanmeegam.co.in",2508],["asalbaat.co.in",2511],["banglanewslive.co.in",2512],["deshbandhu.co.in",2514],["isns.co.in",2521],["jinews.co.in",2522],["khabhar24live.co.in",2523],["khojinews.co.in",2524],["kungumam.co.in",2525],["loksattanews.co.in",2526],["mahasarkar.co.in",2527],["manabadi.co.in",2528],["neerfit.co.in",2530],["newstrendz.co.in",2532],["patnalive.co.in",2535],["sowork.co.in",2539],["timenews.co.in",2540],["webreporter.co.in",2541],["crimecapital.in",2542],["crimetak.in",2543],["uptak.in",[2543,2730]],["currentgk.in",2544],["dailynewsreport.in",2545],["deshdigital.in",2549],["deshvani.in",2550],["rantraibaar.in",2552],["dolphintimes.in",2555],["doonited.in",2556],["evartha.in",2559],["gayanews.in",2561],["goodreturns.in",2563],["tamil.goodreturns.in",2564],["organizeindia.in",2566],["grandnews.in",2567],["gstv.in",2568],["gujjujankari.in",2570],["gujratkhabar.in",2571],["hellobikaner.in",2572],["hilllive.in",2573],["hindusthansamachar.in",2576],["idunammaooru.in",2580],["indiajaankari.in",2583],["indialivingnews.in",2584],["indianewscentre.in",2585],["indianspiritual.in",2586],["indiatv.in",2588],["jabalpurdarpan.in",2592],["janjankiawaaz.in",2595],["janwani.in",2596],["jaunpurlivenews.in",2597],["jharkhandvani.in",2599],["jubileepost.in",2601],["kabirkiawaz.in",2602],["khabaruttarakhandlive.in",2605],["khonjkhobor.in",2608],["khulasanewslive.in",2609],["krantikarisanket.in",2613],["krishideepam.in",2614],["lagatar.in",2615],["lionexpress.in",2617],["liveindianews18.in",2620],["lokbharat.in",2623],["maithilbrahminmahasabha.in",2625],["mangalwedhatimes.in",[2627,2628]],["krishakjagat.org",2627],["manvadhikarabhivyakti.in",2629],["mithimedia.in",2631],["moviemax.in",2634],["mukhyadhara.in",2636],["mysamachar.in",2638],["nakkheeran.in",2639],["ndtv.in",2641],["neemkathananews.in",2642],["positiveindia.net.in",2643],["newindia24.in",2644],["news13.in",2645],["newscircle.in",2647],["newscreation.in",2648],["newsgil.in",2649],["newshubinsight.in",[2651,2652]],["newsspecial.in",2652],["newslamp.in",2653],["newsnib.in",2654],["newsworldweb.in",2659],["newsxtra.in",2660],["newszon.in",2661],["nextkhabar.in",2662],["nirpakhawaaz.in",2664],["timetovisit.in",2664],["nishpakshjanavlokan.in",2665],["odishareporter.in",2667],["odishasambad.in",2668],["otvkhabar.in",2669],["pakwangali.in",2672],["payyolionline.in",2674],["powertvnews.in",2676],["pplnews.in",2677],["prabhatparvnews.in",2678],["prathamnews.in",2680],["eelanadu.lk",2680],["pressnote.in",2681],["primestv.in",2682],["publictv.in",2683],["telugu.regnews.in",2687],["reportsindia.in",2688],["sabsach.in",2689],["saharanpurweb.in",2690],["samaydarshan.in",2691],["sambad.in",2692],["sananda.in",2693],["sarvodaytimes.in",2696],["satyasandhana.in",2698],["scgnews.in",2699],["seedhasawal.in",2700],["sindhuyouth.in",2703],["sirfsach.in",2704],["sitamarhilive.in",2705],["southwrap.in",2706],["sudarshannews.in",2710],["thehindutimes.in",2716],["theindianstate.in",2717],["themangaloremirror.in",2718],["thenationtimes.in",2719],["thevoices.in",2720],["thewall.in",2721],["thinkwithniche.in",2722],["tnstudy.in",2723],["today24.in",2724],["uksuddi.in",2728],["unishkuri.in",2729],["urjanchaltiger.in",2731],["uttaranchaldarpan.in",2732],["valanchery.in",2733],["varthabharati.in",2734],["vatakaravarthakal.in",2736],["vgnews.in",2738],["visionnewsservice.in",2739],["vknews.in",2740],["weunetwork.in",2742],["youthexpress.in",2744],["infosrilankanews.info",2746],["muslimmedia.info",2747],["odiascraps.info",2748],["faridabadnews.live",2750],["news11.live",2752],["newsdiary.live",2753],["newspr.live",2754],["odisha.live",2755],["pardaphashnews.live",2756],["press4news.live",2757],["reporter.live",2758],["lankadeepa.lk",[2760,2772]],["sinhala.asianmirror.lk",2762],["colombotamil.lk",2763],["gagana.lk",2767],["dbcnews.tv",[2767,2916]],["giraya.lk",2768],["hirunews.lk",2769],["lakfmnews.lk",2771],["lknews.lk",2773],["nethgossip.lk",2774],["nethnews.lk",2774],["newsfirst.lk",2775],["newsview.lk",2776],["politics.lk",2777],["subasetha.lk",2780],["tamilmirror.lk",2782],["thamilan.lk",2783],["theleader.lk",2784],["truenews.lk",2785],["vaaramanjari.lk",2786],["valampurii.lk",2787],["webgossip.lk",2789],["wijeya.lk",2790],["truecopythink.media",2791],["24ghanta.net",2792],["aperata.net",2796],["bangladesherkhabor.net",2797],["bbarta24.net",2798],["bonikbarta.net",2800],["cnibd.net",2803],["crimenewsbd.net",2804],["dainikpurbokone.net",2807],["dakhal.net",2808],["edainikazadi.net",[2810,2811]],["edainikpurbokone.net",2810],["eenadu.net",2812],["goodmorningindia.net",[2815,2816]],["kuppilan.net",2817],["mediabharti.net",2820],["natunsomoy.net",2824],["nellaionline.net",[2825,2826]],["tutyonline.net",[2825,2849]],["newsdoor.net",2827],["ourislam24.net",2829],["patradoot.net",2831],["prajavani.net",2832],["sahilonline.net",2834],["soninews.net",2838],["tamilserialtoday-247.net",2843],["telugutimes.net",2844],["thevirallines.net",2846],["timenewsbd.net",2847],["tollywood.net",2848],["weeklysonarbangla.net",2851],["yarldevinews.net",2852],["yuvabrigade.net",2853],["amankishaan.news",2856],["banglamail.news",2858],["cniasia.news",2860],["indiaspeaks.news",2861],["janata.news",2862],["kannadi.news",2864],["liveindia.news",2866],["livetrends.news",2867],["livevns.news",2868],["mediavision.news",2869],["paathok.news",2873],["sylhettoday24.news",2875],["sylhetview24.news",2876],["tcp24.news",2877],["usbangla24.news",2878],["vasundharadeep.news",2879],["vishwavani.news",2880],["visiontimes.news",2881],["voiceasian.news",2882],["yoyocial.news",2883],["yuvabharat.news",2884],["nepalipatro.com.np",2886],["rajbirajdainik.com.np",2889],["tibrakhabar.com.np",2890],["punjabiherald.co.nz",2891],["dailynewsj.online",2893],["steelcity.online",2898],["up80.online",2899],["emulyankan.org",2900],["indiainside.org",2901],["maatram.org",2903],["nationalduniya.org",2905],["sebahotnews.org",2906],["telugucalendar.org",2907],["valvainews.org",2908],["manvimedia.page",2909],["changetv.press",2910],["notebook.today",2912],["calcuttanews.tv",2914],["ekattor.tv",2917],["jamuna.tv",2918],["livetimes.tv",2920],["m7news.tv",2921],["news24bd.tv",2922],["news71.tv",2923],["ns7.tv",2924],["probashibangla.tv",2925],["sagarmatha.tv",2927],["samajbad.tv",2928],["somoynews.tv",2930],["sylheterjanapad.tv",2931],["worldpunjabi.tv",2933],["pravasi.us",2939],["tharunaya.us",2940]]);

const entitiesMap = new Map(undefined);

const exceptionsMap = new Map(undefined);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
