/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: kor-1

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = [".banner",".advx",".MainBnnWrap,\ndiv[data-page] > div[class]:has(a[target=\"_blank\"])",".widget-side-box > .main-box:has(img[src^=\"/imgs/\"])","img[src^=\"/img/\"][src*=\".gif\"]",".custom_banner_item",".custom_banner_wrap","div[id^=\"tdn_\"][style*=\"height:\"]",".ba_test,\n.banner2",".popup_warp,\na[href][target=\"_blank\"] > img[src^=\"/images/banner/\"]:not([src^=\"/images/banner/webtoon_\"])","div[id*=\"-banner-\"]","#body_wrap > div[class][style^=\"margin:\"]",".main_banner",".mwcphideBtn",".product-banner,\ndiv[class^=\"mobile-m ad720_\"]","div[class^=\"DanjiInfomation__\"] > div[class^=\"Divider__SD_Layout-\"] + div[class^=\"Divider__SD_Layout-\"]","#banner","div[id^=\"toptr-\"]",".col-md-3.at-col.at-side > .row.fix-gutters-5,\nimg[src^=\"/mainhover/\"]",".basic-banner.row.row-10","div[data-controller=\"font\"] > .hidden,\ndiv[data-fonts-target=\"fontsContainer\"] > div.group.min-h-auto:not(.duration-300):not(.justify-between)",".code-block","div[class$=\"-ad\"]","#main > div[class*=\"-ad-\"]","body .view_sp_banner .swipe-slide:has(img[src^=\"https://recipe1.ezmember.co.kr/cache/shop/\"]),\ndiv[id^=\"divEzad\"]",".container > div[style]:not([class]),\n.recipe_list > div[style*=\"height:\"],\n.sp_pdt_wrap,\n.view3_box > .sp_pdt_wrap:has(div[data-url*=\"//link.coupang.com/\"].coupang_layer),\ndiv[id^=\"obx_foodname_goods\"]",".page-content > .row.no-gap.no-space > .col-33","div[class^=\"banner_\"]","#articleBody > div[style*=\"height:\"],\n#articleBody ~ div[class$=\"_banner\"],\ndiv[class^=\"asd_\"]","div[class*=\"_ad_\"]","div[class^=\"ad-\"]","ul.post-list > li[class^=\"post-\"]:not([id]):not([data-post-id])","div[id^=\"mobonDivBanner_\"]",".copas_btn","#popup-root,\narticle > div[class^=\"sc-\"] > aside[class*=\" \"],\nfigure[id^=\"image-\"]:has(> img[src^=\"/files/media/\"])","#home-sidebar > a[target=\"_blank\"],\n.advertisement_area div[class^=\"ad\"],\ndiv:is([aria-label=\"Primary Sidebar\"], #home-sidebar) > aside:has(img.image),\nmain[role=\"main\"] header ~ .code-block",".tagdiv-type .best_news_wrap_mo,\ndiv[class^=\"floating_ad_\"]",".td-pb-span4.td-main-sidebar,\ndiv[class^=\"adsense_\"]","#__next > div:not([class]):not([id]) > div[style^=\"position:\"]","div[id$=\"_bn\"]","#hd_pop","div[id^=\"imgDiv\"]","#foogallery_widget-12,\n#foogallery_widget-13,\n#foogallery_widget-3","div[class^=\"ad\"]","div[class^=\"ad_\"]","div[class*=\"_banner_\"]",".topbanner","a[href^=\"/b/c/NPM\"],\nfooter ~ div[style^=\"position:\"]",".banner.container > .row > .col-6",".adsense-alt","a[href*=\"//link.coupang.com/\"][type]","article[class$=\"_banner\"],\ndiv[id$=\"_bn_area\"],\ndiv[id^=\"powerbiz\"],\ndiv[id^=\"scroll_banner\"],\ndiv[style~=\"#D5D5D5;\"][style~=\"border-bottom:1px\"],\niframe[src^=\"/main_contents/main_banner_\"],\niframe[src^=\"/media/include/media_view_banner.asp\"]","div[id$=\"_ad\"]","section[class^=\"banner-\"]","div[class$=\"_ban\"]","div[class^=\"popup_\"]","div[id*=\"-banner-\"] > div[class*=\" \"] > div[class*=\" \"][style*=\" \"],\nimg[src^=\"/tokinbtoki/\"],\nul[class] > li:has(> a[href*=\"tokkiweb.com\"])","div[class*=\"_ad\"]",".inner > div[class*=\" full\"] ~ div[class^=\"arl_\"],\n.left_area > a[href^=\"https://smartstore.naver.com/\"] + .h20,\n.left_area > a[href^=\"https://smartstore.naver.com/\"] + .h20 + .line,\n.wcms_side div[style^=\"padding-top:\"].aside div[class$=\"_ad\"] + .h20 + .line,\n.wcms_side div[style^=\"padding-top:\"].aside div[class^=\"banner_\"] + .h20 + .line","div[class^=\"article-adCover-div-\"]","#adNotice","div[id^=\"brave_popup_\"],\ndiv[style*=\" \"]#showtoday",".wcms_bestnews ~ div[class]:has(~ div[class] ~ .side_major_company)","[id][class] > div[style].panel-default",".partners-wrap #partners","div[class$=\"Ad\"]","div[class^=\"layout__article-header\"] > div[class^=\"flex-chain-wrapper\"],\ndiv[class~=\"arcad-wrapper\"]","div[class$=\"_ad\"]","div[class^=\"AD\"]","div[class$=\"AD\"]","#fusion-app footer,\ndiv[class*=\"-pad-top-\"][class*=\"-margin-\"][class*=\"-bg-grey-\"]","div[id*=\"_ad_\"]","div[class$=\"_banner\"]",".aside_doctor .tour_box","[class*=\"_ad_\"]","#content ~ .edit_bottom li:has(.li_ad),\n.sub_article > div[style]","#_popIn_recommend","a[class*=\"_ad\"]","iframe[src=\"/common/inc/main_right_banner.asp\"],\nimg[src^=\"/images/banner/\"]",".bnr_area a[target]:not([href*=\"//realty.chosun.com/\"]),\niframe[src*=\"//realty.chosun.com/RealtyCommon/Promotion\"][src$=\".html\"]","div[class$=\"banner\"]","div[style].row.no-gutters > .col-3:not([style])","div[id*=\"Ad\"]","#footer_container,\n#wrap > div[style*=\"height:\"][style^=\"position:\"],\naticle div[style]:not([id]):not([class]):not([itemprop]),\nbody > div[style^=\"height:\"][style*=\"width:\"],\ndiv[id$=\"ad\"][class^=\"ad\"]","iframe[src^=\"/ad/\"]","article.layout__article-main > .box--pad-top-md,\nsection[itemprop=\"articleBody\"] > .arcad","div[class*=\"-banner\"]","a[target=\"_blank\"][href][onclick][class*=\"Banner\"]",".section_h3 > div:has(~ .m01_arl46)","div[class^=\"css-\"]:has(> ins.adsbygoogle)","img[class^=\"banner_\"]",".td_sub_read_contents div[style*=\"width:\"]","div[class$=\"_bn\"]","table[style]:not([style=\" \"]) a[href][target=\"_blank\"]",".MuiGrid-item button[style^=\"background-color:\"].MuiButtonBase-root",".con_primary hr.skin_margin,\ndiv[style] > div[class^=\"arl_\"] ~ hr.skin_margin,\ndiv[style] > div[class^=\"ban_\"],\ndiv[style] > hr.spc","#sdp-bottom-banner,\n#sdp-mid-banner-btf,\n#sdpAdsBottom,\n#sdpBottomAds,\n.ads-impression,\n.srp-top-banner-container,\ndiv[data-use-adzerk][id$=\"-banner\"],\nli.search-product__ad-badge",".plp-default__item.search-product__cmg-badge,\ndiv[data-page-type=\"brandSDP\"][id$=\"carousel-products\"],\ndiv[id^=\"sdp-\"][id$=\"-banner\"]","div[id$=\"_banner\"]","#srp-bottom-carousel-dco-contaner","div[style^=\"max-width:\"].bx-wrapper > div[aria-live=\"polite\"][style].bx-viewport,\ndiv[style~=\"background-image:\"][style*=\".cuonet.com/data/apms/background/\"].item","div[class*=\"Ad\"]","#danawa_main_container > .main-top > .main-top__center > .main-middlebnr,\n#danawa_wrap > .ttop_banner,\n.main__grid.main__grid--line .main__grid__right","#danawa-gnb-banner,\n.sponsor_pick,\ndiv[id*=\"-ad\"],\ndiv[id*=\"-ad-\"],\ndiv[id^=\"danawa-dpg-\"][id*=\"-dable\"]",".goods-list__ad","#ebayPowerClickBottomArea,\n#naverPowerShoppingArea,\n#powerClickProductListArea,\n#powerShoppingContent,\ndiv[class$=\"_ad_prodlist\"]","#powerClickListArea,\n.powershopping,\nli[style][id^=\"ad\"]","div[class^=\"rightbanner\"],\nul.cmt_list > li[id^=\"comment_li_\"].ub-content.dory","div[id^=\"ad\"]","*[class^=\"adv-group\"],\n.brick-wid > .grid:has(> *[id*=\"_title\"] ~ *[style] .power-tittxt),\n.detail-top-lst li:has(a[href*=\"//addc.dcinside.com/\"]),\n.power-tit","#user_data_lyr .bg_grey:has(a[href*=\"//addc.dcinside.com/\"]),\n.gall_list .ub-content:not(.us-post):has(a[href*=\"//addc.dcinside.com/\"]),\narticle#write_wrap > #write > div[style]:has(ins.kakao_ad_area)",".con_banner",".side .login-box ~ .img-wrap",".ban_box",".add_display",".ad","#content > .article > div[class][style],\nol.bd_lst li[class]:has(span[class^=\"ad_\"]),\ntable.bd_lst tr.notice:has(span.ad),\ntable.bd_lst tr[data-document-srl]:has(.ad_gray)","div[id^=\"ad-\"]",".MapMain > #map ~ div[class]:not([id]):not([style])","div[class$=\"-ad\"] ~ .section.naver","div[class*=\"Banner\"]","div[class*=\"banner\"]","div[id^=\"ad_\"]","#above_cmcl_box,\n#dongawrap > #view + div[class*=\"ad_\"],\ndiv[id^=\"adbox_\"]","#div_laypopup,\n#overlay",".at_content > div[style],\ndiv[id*=\"_cpc_\"],\niframe[id$=\"_ad\"]",".left_cont > div[style^=\"width:\"],\ndiv[class*=\"naver_power\"]",".today_sportnews,\ndiv[id*=\"_AD\"]",".hideBtn","div[style~=\"height:\"][style~=\"border-top:\"].relative","#body_wrap > #body_main > div[style]:nth-child(2)","section[id*=\"_ads_\"],\nsection[id^=\"block-\"].widget_block",".SubInforDiv_article table ~ div[style^=\"padding:\"][align=\"center\"]","body > div[style]:not([class])",".m-row > div[class^=\"col col-\"]:not(:has(> .col__inner a:not([href*=\"ad-api.enuri.info\"]))):has(.bnrbox ul[id][class^=\"bnr__\"]),\n.right--inner > div[class^=\"bnr_\"],\ndiv[id$=\"_banner\"][class^=\"banner_\"],\nli[class^=\"ad-\"]","div[class*=\"_bnr\"]","div[class*=\"-ad-\"]",".m_main_top_banner,\ndiv[style*=\" \"]#mainLayer",".adadwrap",".erd-ads-area","div[class$=\"_ad_wrap\"],\niframe[src*=\"//www.etnews.com/tools/refresh_script.html?\"]","div[style].xe-widget-wrapper:has(a[href^=\"/sisaing\"])","iframe[src=\"https://filetender.com/mobon.html\"]","#sidebar div[style^=\"height:\"]:not(.li),\n.adpost,\ndiv[class$=\"top_hotdeal\"],\niframe[src^=\"https://loader.fmkorea.com/_loader/loader.php\"]",".fm_vote ~ div[style*=\"max-width:\"],\n.rd_ft > div[style^=\"margin:\"][style*=\"max-width:\"],\ndiv[id^=\"fmad_\"] + div[style^=\"height:\"][class]","div[id^=\"add_view_\"][style]",".con_rt > div[class^=\"lcrt\"] ~ div[class^=\"mcrt\"]:has(img[src*=\"/common/ad_\"].ad)",".ad-form > .row > div[class^=\"col-md-\"]","aside[id^=\"ai_widget-\"]","#right-sidebar","div[class$=\"ad\"][style]","a[href^=\"/extcont/adclick.php\"]",".mwrap > div[style]:not([class])","div[class*=\"AD\"]",".game_wrap ~ div[style*=\" \"],\ndiv[id^=\"ads_\"]","div[id$=\"AD\"]","iframe[src^=\"https://ads.gamemeca.com/\"]",".gb-container > .container-widget:has(ins.adsbygoogle)","div[class^=\"ai-viewport-\"]","#body_read > div[style^=\"margin:\"] > div[class=\"\"][style*=\"width:\"]","iframe[id^=\"happy_banner_scroll_\"]","#gap > div[style*=\": \"].xe-widget-wrapper:has(.widget_banner_skin > .banner_list),\n.widget_banner_skin > ul.banner_list,\ndiv[style~=\"!important;\"] > .nw_box > div:not(class):not(id) > table[cellspacing=\"0\"][class]:not(:has(a[href*=\"//gigglehd.com/gg/\"]))","#wingBanner","body > #bottom-sticky",".td-ss-main-sidebar > .td-a-rec","div[itemprop=\"mainContentOfPage\"].theme-content + aside","aside .box-margins:has(~ .box-skin.point-title)",".side-ad-box,\ndiv[class*=\"-ad-\"]:not(data-el)","div[class^=\"banner-\"]","div[class*=\"-ad\"]:not(.container):not([style])","div[id^=\"banner\"]","div[id^=\"power_link_\"]",".article_area > .article_right","#articleText > section[style*=\"height:\"]","a[class^=\"ad_\"]",".wrap > div[id^=\"AD_MOBILE_VIEW\"] ~ div[style^=\"width:\"]",".article_area .list_r,\n.article_wrap div[class^=\"ad\"],\ndiv[id*=\"_ad\"]","div[class^=\"ad\"] ~ .ranking,\ndiv[style^=\"margin-top:\"].survey",".item-list > .on:has(.ad-wrap-text),\n.list-body > .list-item-ad,\n.view-mobile div[class*=\"margin-\"]:has(#main_bn)","#wrap_cnts > div[style^=\"margin:\"],\n#wrap_mdd ~ div[style*=\"height:\"]",".comment_best_wrap ~ div[id][style^=\"min-height:\"],\n[id^=\"li\"] > [id]:has(span ~ div img[src$=\"_ad.gif\"]),\nbody > .adsbygoogle,\ndiv[id$=\"_boom_boom_wrap\"][class*=\" \"],\ndiv[id*=\"_\"] div[class][style*=\"min-height:\"],\ndiv[id*=\"_\"][style*=\" \"] ~ div[id][class]:not([id*=\"_\"]),\nform[id][name] ~ div[id][style^=\"min-height:\"],\nstyle + a[href*=\"//\"][target=\"_blank\"],\ntable[class^=\"ad_\"]",".adsbygoogle","#wrap_cnts > div[style*=\"margin:\"][style^=\"width:\"].box,\n#wrap_cnts > div[style*=\"min-height:\"],\n#wrap_cnts td[align=\"center\"]:has(img[src$=\"_ad.gif\"]),\n.noti_div ~ div[style*=\" \"] > div[style*=\"overflow:\"][class],\ndiv[id*=\"_right_list_\"] ~ div[style],\ndiv[id^=\"list_right_\"] iframe[src*=\"/board/humor/list_right.html\"] ~ div","#aside > #partner,\ndiv[id$=\"_sponser\"],\ndiv[id^=\"Aside\"][id$=\"Event\"],\ndiv[id^=\"Partner\"],\ntr:has(> td[colspan][rowspan] > a[href*=\"//prod.danawa.com/\"] > img[src^=\"./partner/\"])","a[href^=\"/ad_link.php?\"]","#article-view-content-div div[class$=\"-banner\"]","#wrap_index ~ div[style]","div[class$=\"-banner\"]","#sky-banner-wrap,\nimg[src^=\"https://acache.ilbe.com/\"],\nul.board-body > li[id^=\"sponser_ad_\"]","article.cutin-banner,\narticle[id$=\"_banner\"]",".banner-wrap","#layer-popups",".wcms_banner",".article_view > .p_space + div + .h20,\ndiv[class$=\"_ad\"][style] + .h20","div[class^=\"banner\"]",".cPrdlists_wrap > .cPrdlists_rows:has(script[src*=\"//nvapi.feeldmc.com/\"])","ad,\naside > hr[class],\nheader ~ container[class*=\"-\"]","article > div[style]:not([class])","center > div[style] ~ center ~ div[style^=\"margin-top:\"],\ntable[id][width] tr[bgcolor] ~ tr:not([bgcolor]):has(td > ins.adsbygoogle)",".productListWrapper > .choiceWrap,\n.productListWrapper > .loadWrap","#btnlist > #listChoiceScope,\n.AdvertisingList,\n.productListWrap > #idRecommendWrap,\n.productListWrap > #serviceKeywordId,\n.productSortingList > .choice,\n.productSortingList > .listTitle:has(a[aria-describedby^=\"adLayerChoice\"])","div[id$=\"Ad\"]",".popup","ul.masonry-2-col > li[class] ~ li:not([class])","article[class*=\"-banner\"]","div[class^=\"ab_ad\"]","a[rel*=\"sponsored\"],\ndiv[type=\"DETAIL\"] section[aria-label=\"새 상품은 어떠세요?\"]","#ai_widget-2","div[class*=\"_bn_\"]","hr[style].blank","ul[id=\"info.search.place.list\"] > li.AdItem","#contEtc > #nativeAdWrap,\n#contEtc > #rightContentbox:has(#SearchRightAdWrap),\ndiv[data-gg=\"{s1:shopping}\"] h2 + div[class^=\"#banner\"]","div > a[href^=\"/event?event_id=\"][style],\ndiv[class^=\"left\"] ~ div[class]:not([style]):has(ins.kakao_ad_area),\ndiv[id^=\"kakao_ad_\"]","div.max-w-screen-lg > .relative > div > div[class=\"\"]:nth-child(1)","section[class^=\"ad\"]","body > div[align] > div[align] > div[style] > div[style][align=\"center\"] > table[style*=\"margin-top:5px;\"],\nbody > div[align] > div[style*=\"overflow:hidden;\"][align] > div > div[class] > a[href],\nimg[src*=\"koreapas.com/bbs/data/\"],\nimg[src^=\"athe/\"]","div[class^=\"bn_\"]:not([class*=\" \"])",".articleTxtAD,\ndiv[id^=\"better-ads-\"],\niframe[src*=\"/wp-content/uploads/ads/\"]","div[itemprop=\"articleBody\"] ~ div[style]","body > article#content > article.block:has(ul#life_slider)","img[src*=\".imgbox.com/\"]","aside[class^=\"banner_\"]","div[style].text-center","div[class*=\"banner-\"]",".is-hover a[href^=\"http\"][target=\"_blank\"],\ndiv[id][class*=\" \"][data-interval] div[style*=\"/data/apms/background\"]","a[target=\"_blank\"][data-href][data-banner-statics]",".productDetailInfo ~ div[style*=\" \"].emptyComponent,\n.rankListType > li[class][data-object*=\"&ad=\"]:not([data-object*=\"&ad=n&\"])",".content_body > div[class$=\"_coupang_wrap\"],\n.content_more_div > .cmd_block_layer",".comic_bot_bnr,\n.payment_fullbnr","div[id^=\"ad\"][class^=\"ad\"][style]","aside > article ~ div[style*=\"height:\"]","iframe[src^=\"/banners/load/\"],\nimg[src*=\"//img.mediapen.com/banners/\"]","div[data-ad][class][style]","tbody td > div[id^=\"MAX_\"]:has(#gpt-passback)",".div_banner","div[class*=\"adsense-\"]","a[id^=\"ad-\"],\ndiv:not([class$=\"-mobile\"]) > div[class]:has(> [class*=\"_ad_\"]):not([data-review-count]),\ndiv[class~=\"hospital-images-box\"] ~ .row > .col-4","div[class^=\"Banner\"]",".footer_promotion,\nimg[src*=\"//image.munhwa.com/www/banner/\"]","section[class*=\"_ad\"]","div.ad","section[class$=\"_ad\"]","#welcome-ad,\n.content-preview",".widget-side > .widget-box > div[style]","#mainContainer #content .ct2 > section ~ *,\n.issueBn","#newsSidebar > div[class$=\"AD\"],\n#newsSidebar > div[class*=\"ad\"],\n#newsSidebar > div[id$=\"Banner\"],\n.thisTimeNews > div[class^=\"bn\"],\niframe[id^=\"ad\"]","div[class*=\"_banner\"]",".adtive",".divAdv,\niframe[title*=\"광고\"]",".sidearea.talktalk > .sideiframe","iframe[src^=\"/da/\"]","#breakingNews.overlay_break,\n#news_area ~ div[class*=\"_shopping\"]","#ssp-adpost","a[class*=\"banner_link_\"][target=\"_blank\"] > img[class*=\"banner_image_\"][src*=\"/Banner_\"]",".wt_viewer .preview_store:not(:has(> img[src*=\"image-comic.pstatic.net/webtoon/event/contentsBanner/\"])),\n[id^=\"flex_ad_\"]","#ct div[class^=\"ly_\"],\n.band_banner","div[class*=\"_contentBody\"] main > .undefined:has(> div[class*=\"_Banner_\"]),\ndiv[class^=\"styles_Banner\"],\nimg[src^=\"https://nng-phinf.pstatic.net/\"][src*=\"_naverads.\"]","div[id*=\"Banner\"]","#MM_aside_smartad_container,\n.ISSUE-BANNER-AD,\ndiv.brick-vowel > div[data-block-code=\"AD-SMART-CHANNEL\"].MM_DA_SMARTCHANNEL,\ndiv[data-panel-code=\"SHOP_VOGUE\"] ._MM_TREND_PICK","div[id$=\"_AD\"]",".mail_toolbar ~ .smart_channel","#root > div[class*=\"PaymentLayout_article_\"] div[class*=\"AdBanner_article_\"],\ndiv[class*=\"Ads_article_\"] > div[class^=\"BottomAds_area-panel_\"]:has(> div[class*=\"Banner_article_\"]),\ndiv[class^=\"AdReward_list_\"] > div[class^=\"ADRewardGladBanner_article_\"],\ndiv[class^=\"SmartChannel_article__\"]:has(> div[class*=\"SmartChannel_\"])","#_pcmap_list_scroll_container > ul > li[data-laim-exp-id=\"undefined*e\"],\ndiv[data-nclicks-area-code] > div[class=\"place_section\"]:not([data-nclicks-area-code]):has(div[id*=\"_ad_\"])",".brand_search,\ndiv:is(._pl_section, ._bz_section).ad_section,\ndiv[class*=\"_fashion\"].more_prod,\ndiv[id^=\"power_link_together_\"],\nli[data-nvmid]._ad","._shopAdRoot,\n.sc._pwl_video_container,\nsection[class*=\"ad_\"]","div[class^=\"shoppingHomeResponsive_inner\"] div[class^=\"shoppingHomeResponsive_module__\"]:has(> .trend_pick)","div[class^=\"products_search_list\"] div[class^=\"adProduct_\"][id*=\"lst_\"]","#section_recommend div[class^=\"productList_list_area_\"] li[class^=\"productList_item_\"]:has(a[href*=\"//adcr.naver.com/\"]),\ndiv[class^=\"aside_aside_\"] div[class^=\"basicView_recommend_brand_\"],\ndiv[class^=\"style_section_row_\"] > div[class*=\" asideItem_active_\"]:has(a[class^=\"adRecommend_\"]),\ndiv[class^=\"style_section_row_\"] ul[class*=\"asideBrand_brand_\"] > li:has(a[href*=\"//adcr.naver.com/adcr\"])",".main_grid_item > div[class*=\"_promotion__\"]","#newsstand ~ #feed.id_cargame .feed_box:has(span[class^=\"HighlightedColumnView-module__tag_ad_\"]),\n#root div[class^=\"Layout-module__content_\"]:has(iframe[src^=\"https://shopsquare.naver.com/\"]),\n#shortcutArea .shortcut_item:has(> a[href*=\"veta.naver.com\"] > i.ico_ad),\na[class*=\"_banner_\"],\ndiv[class^=\"Layout-module__content_area_\"]:has(> div[class*=\"_banner_\"]),\ndiv[id^=\"veta_\"]","#navyismMainContainer > div[style] + div:not([style*=\" \"]):not([id])j,\n#navyismMainContainer > div[style^=\"width:\"]",".app-layout-content > #app-board > .app-board-section > .app-board-container > div[style]:not([class]),\nmain.app-main > .app-layout-container > .app-layout-content > #app-board > div > div[style]:not([class])","table table > tbody table[width][cellspacing][cellpadding].black > tbody td[height=\"90\"]",".googlead",".articleView + .aside .smallbox:has(iframe[src^=\"/view/ad/\"]),\n.articleView div[class^=\"botBox\"]:not(.twinBox),\ndiv[class^=\"w_header_\"]:nth-child(1),\ndiv[id][style~=\"height:100px;\"],\niframe[src^=\"/view/ad/\"],\ntable[class*=\"Ad\"]",".article > div[style][class],\narticle > .article > div[class][style~=\"100%;\"][style~=\"250px;\"][style~=\"padding:\"],\ndiv[class$=\"adPos\"][class^=\"listStyle\"][style],\ndiv[style~=\"padding:10px\"][style~=\"10px;\"] > div[style^=\"height:\"],\niframe[src^=\"/ad_list/\"],\nsection > div[class^=\"listStyle\"] > ul[class^=\"listStyle\"] > li.first","#news-contents div[style*=\"margin:\"],\n.inwrap .right > div:not([class])","div[id^=\"popup_\"]","div[id].col-15","ul[class] > li:has(> a[href^=\"/guarantee.php\"])","div[id^=\"agnb-\"][class^=\"agnb-\"][style],\ndiv[id^=\"article\"].miso-post-gallery,\nli[class$=\"-ad\"]","[id$=\"Banner\"]",".inside-right-sidebar > aside[id^=\"custom_html-\"]","#div10Sticky,\n.content > ul.ad_area,\ndiv[class^=\"AD-\"],\ndiv[class^=\"m_ad\"],\ndiv[class^=\"new_ad\"]","iframe[src^=\"https://ojsfile.ohmynews.com/AD_FILE/\"],\nmain#article > .arc_list","table[bgcolor][cellspacing] td[bgcolor] table[width][cellspacing]:not([bgcolor]):has(tr marquee#innovationGA)",".basic-banner-gallery",".row > .col-sm-12:has(a[href^=\"/bbs/board.php?bo_table=primium\"])",".revenue_unit_wrap",".taboola","div[id^=\"lftwing\"]","#bottom_sit_handmade","tbody > tr[bgcolor] ~ tr:has(ins.adsbygoogle)","div[class*=\"ad_\"]",".content .left-wing > div","#primary-content > .magic-item-w","a[href*=\"../api/redirectAd.php?\"]","article > .inner ~ b","body > #academyMainModal:has(a[href^=\"https://academy.prompie.com/banners/\"]),\nbody > #academyMainModal:has(a[href^=\"https://academy.prompie.com/banners/\"]) ~ .modal-backdrop","div[id*=\"_banner_\"]","#fullscreen-overlay","[class^=\"img_wrapper\"],\ndiv[class^=\"panel_img_bottom_\"][style]","*:not(footer) > div[class^=\"main-\"][class$=\"-banner\"],\n.bot-content-area .mid-util-wrap .right-util-area,\n.custom-cont-page.custom-cont-page-head,\n.mid-content-area .left-util-wrap .bot-util-area,\n.price-compare-srch,\n.sponsor-logo-wrap,\ndiv[id*=\"_\"][class*=\"-\"][class^=\"bidrich-\"],\ndiv[id^=\"bidrich-\"],\ndiv[id^=\"bidrich_\"][style*=\" \"],\ndiv[role=\"main\"] > .logo-area","div[class*=\"-banner-\"]","[class^=\"banner-\"]","#divMemulRight > div:not([id]):not([class])",".google_bn",".entry-content > div[style*=\"height:\"]",".adrr,\ndiv.board_main > table > tbody tr.table_body.list_inner,\ndiv[class^=\"nbp_container\"]","#board_top .best_list ~ .border_box,\n.row.relative .main_aside:has(div.aside_background + div[id^=\"ad_main\"]),\ndiv[class*=\"ad_\"][style],\ndiv[class^=\"adrr_\"],\ndiv[id$=\"_best\"] ul[class*=\"best_list\"] li:has(a[href][target=\"_blank\"]),\ndiv[style*=\" \"] > div[id][style].relative,\ndiv[style].ti_wrapper",".aaddr_m_reward,\n.board_main .user_view_target ~ .row:not(:has(.source_url)),\n.main_center .line_deco_bottom:has(div[class^=\"ad_\"]),\ndiv[class^=\"ad_\"][class*=\" \"],\ndiv[id^=\"list_read_\"] ul[class*=\"_list\"] > li:has(a[href][target=\"_blank\"]),\ndiv[id^=\"mo_ad_\"],\ndiv[id^=\"nbp_container\"]","div[id^=\"dablewidget_\"]","#contentArea > div[style^=\"width:\"][id],\ndiv[class^=\"mythiell-mid-container\"]","div[id^=\"wps_layout\"][data-desc*=\"광고\"][data-box-file*=\"/box/\"]","article > div[id^=\"wps_layout\"] > div[style*=\"height:\"]","div[id^=\"carousel_\"].carousel.carousel-fade","#index > div[class^=\"box_shadow_\"][style]",".quiz_list:not([style]) ~ .result_wrap .restart,\n.waiting_coupang_wrap","#slrcf > .cl_spc,\ndiv[style^=\"height\"]#slrclub",".comment_inbox ul > li[style^=\"padding:\"]","div[id$=\"ad\"][style]","div[id$=\"-ad\"]",".list-webzine .list-item,\ntable .basic-info-alert:has(a[href=\"/marble/\"])","#Contents > #sideBox > div[style],\ndiv[id^=\"topAd\"],\np[class^=\"ad_\"]","div[class][data-ad][style]","div[id][style] > div[style*=\"margin-top:\"]","#aside > div[style^=\"width:\"]","div[id$=\"-banner\"]",".visible-ad,\ndiv[class^=\"col-lg-offset-\"] > div[class^=\"col-lg-\"][style]:has(a[onclick*=\"link(\"]),\ndiv[class^=\"col-lg-offset-\"] > div[style*=\"height:\"].hidden-xs",".td_sub_read_contents > div[style]","#wrap > div[style^=\"overflow:\"][style$=\"background:#ddd;\"],\ndiv[itemprop=\"articleBody\"] > div[style^=\"float:\"]","#content > div[style^=\"background:\"][class]","#content > div[style^=\"padding:\"].module_box","#wrap > div[style*=\"height:\"]","section.content .thumbnail-area","div[style] > a[href][target=\"_blank\"]","div[style] > .td_block_wrap:has(a[target=\"blank\"])","#xt_sticker_wrap,\n.app-board-section tr:has(ins.adsbygoogle)","body > div[class][style*=\"box-shadow:\"]",".basic-body-main > .margin-bottom-5:has(a[target=\"_blank\"][tabindex])",".side-event-img","#bbs > table[style^=\"color:#\"] ~ div[style*=\"padding:\"][style*=\"border-left\"],\n#content > div[style*=\"width:\"],\n#contentmemo ~ .adsbygoogle > div[style^=\"background-color:\"],\n#honey > table[style*=\"border-left:\"][width],\n.content > .nextbr ~ div[style^=\"min-height:\"],\n.touch_none ~ div[style^=\"min-height:\"].bd_back,\ndiv[id^=\"dont\"][style],\ndiv[id^=\"dont\"][style] ~ table[style^=\"width\"],\ndiv[style^=\"margin-top:\"]#menu_right,\ndiv[style^=\"width:\"][class=\"adsbygoogle\"],\ntable.adsbygoogle ~ table[style^=\"min-height:\"]","div[class*=\"-adsense-\"]",".et_bloom_popup","#divMsnAD,\niframe[src^=\"//ad\"][src*=\".thisisgame.com/ad\"]",".thecontent > .in-article-container,\naside#sidebar > div[id^=\"text-\"]",".StoryBanner,\n.adsense,\niframe[id^=\"aswift_\"]",".bloom-popup,\n.swim-side .module_plugin:has(a[target=\"_blank\"]),\nbody > div[style]#modal",".floatdiv",".poketory_sidebar > b","a[href^=\"https://www.panel.co.kr/user/join/etcpath/\"]",".adblock-on",".contents_style > blockquote:has(img[src*=\"coupangcdn.com/image/affiliate/banner/\"]),\n.contents_style > blockquote:has(img[src*=\"coupangcdn.com/image/affiliate/banner/\"]) ~ p:has(~ blockquote)",".module.module_plugin a[href*=\"//coinone.co.kr/user/signup?ref=\"],\n.module.module_plugin a[href*=\"//link.coupang.com/\"]","body.home #contents > .floating,\nimg[src*=\"://thumb.toomics.com/upload/banner/\"]:not([src*=\"/main/\"]):not([src*=\"/cut/\"])","main > section[style]:not([class])","a[href*=\"/ad/\"][target=\"_blank\"]","a[href^=\"/go/\"][target=\"_blank\"]","div[class*=\"at-\"] > .widget-box","#body_text > .at-main.at-col[style],\n.npia-board-gallery,\n.panel-default ~ .row > .col-sm-6","a[href^=\"https://torrentmode.com/bbs/bannerhit.php\"]","a[href*=\"/bbs/link.php\"]","style ~ .basic-post-gallery",".at-banner,\n.row-banner","a[href*=\"/ad/\"]","a[href^=\"/adver-\"]",".banner-box,\ndiv[style].border-shadow","#banner_header,\niframe[src*=\"//img.tvchosun.com/upload_img/\"][src*=\"/ad/\"],\nspan[class$=\"_banner\"],\nul[class^=\"banner_\"]",".wid","table[width][cellspacing] td[valign=\"top\"] table[width][border=\"0\"] td[height=\"100\"],\ntd[valign=\"top\"] ~ td[width][valign][bgcolor][align] table[width][height][border][cellpadding]","#contentsBox #mainCon #top_area,\n#frameBox,\n#login_box ~ #rightBox,\n#login_box ~ .roll,\n.primiumList,\nul[class$=\"_banner\"]","div[id$=\"Banner\"]","#header ~ div[class^=\"content_st_\"]:has(iframe[src$=\"_big_banner.php\"]),\n#sub_content table[style$=\"%; \"] td[valign]:not([style*=\" \"]) ~ td[style*=\" \"]","div[class*=\"-ContentSections\"] div[class^=\"css-\"] section:has(section[class*=\"-ContentSection\"] div[class*=\"-AdContainer\"])","#_contents div[data-container=\"bigBanner\"],\n#_rollingBanner,\n#_topBannerContainer","div[data-bottom-banner],\ndiv[data-list-wrapper=\"ad\"]",".search_box_listdeal > .aiplus","#aside div[class^=\"scroll-in\"] .bn:has(a[href^=\"/ad_link.php?\"])","div[id^=\"wjdqh\"]","[class^=\"ad\"]","#xcontent-goodsite,\n.mp4-banner-view",".thumb-ad","#popups","div[class*=\"border\"]:has(> a[href][target*=\"_blank\"]),\ndiv[x-data=\"popups()\"]","a[style*=\"background-image\"][style*=\"/data/banner/\"]",".news_view_con ~ div[style]","div[class*=\"-banner\"] div[class*=\" \"][style=\" \"]","table[class^=\"ad-\"]","img[id^=\"ad_\"]","#bnPartnerWing,\n#goodsDetailSponLnkArea,\n#mbnRoll_001 > .mbnRollUnit > .pagen_5,\n#mbnRoll_001 > .mbnRollUnit > .pagen_6,\n#mbnRoll_001 > .mbnRollUnit > .pagen_7,\n#yWelMid .yWelPubBook,\n#yWelTopMid > .wConLT,\n.mContRT .mbnRT,\ndiv[class*=\"_adArea\"],\ndiv[id$=\"_Ad\"],\ndiv[style^=\"margin-left:\"].yPartnerPop,\nspan[class$=\"Ad\"]","#welcomeTodayPop > section[id^=\"section\"][id$=\"Pop\"][style^=\"display:\"]","#contain > div[style*=\"margin-bottom:\"],\n#contain > div[style^=\"height:\"],\n#rich-media-placement ~ div[style*=\"height:\"][style*=\"padding-top:\"][style*=\"padding-bottom:\"],\ndiv:is(#board_search_result, .search_result) a[target=\"_blank\"][href^=\"/board/ad/\"],\ndiv[id^=\"clickmon_\"],\ntable.bd_list tr:has(a[href^=\"/board/ad/\"])","#article_list > li:not([class]),\n#levbar_info ~ .container ~ div[style^=\"height:\"],\n.container > div[style*=\"height:\"]",".rangking_wrap,\n.recommended_wrap",".popup_wrap","#sidebar-wrapper div[id^=\"HTML\"]:has(ins.adsbygoogle)","#pp_bd *:is(.ppatc_header, .bd_header) ~ div[class^=\"cd_\"]:has(div[style=\"\"].xe-widget-wrapper > div[style*=\" \"])","#shoppingMenu,\n.mounted .cont_wrap .right_area > div:not([class]),\n.shoplink_wrap,\ndiv[class$=\"-banners\"]",".area_real_news article.gdn,\ndiv[class^=\"gdn_\"]","div[class^=\"deepdive_widget_\"]",".naver_power_shopping,\n[class*=\"sponsor\"],\ndiv[class^=\"powercont_\"]","section[sc^=\"power\"]","section[data-product=\"shoppingBox\"]",".container div[style^=\"height:\"].mx-auto","#page ~ div[style^=\"min-height:\"]#content.row",".container-content div[class*=\" \"]:has(> div[id^=\"div-gpt-ad-\"]):not(:has(*[class]:not([id])))","div[class^=\"ads_\"]","#__layout > div:not([class]) > [class]:not(footer) > div[class]:not([sm]):not(.page-container),\ndiv[class^=\"flex\"][class$=\"h-[250px]\"]","#content-container > div[class*=\" \"]:has(> .vm-placement),\n#summoner-history-header ~ div[class*=\" \"][class^=\"sc-\"]:not([id]):not([style]),\n#top-area + div[class*=\" \"] > div[class*=\" \"]:not([id]):has(> .vm-placement),\n#top-area div[class*=\" \"]:has(> .vm-placement)","div[style^=\"min-height:\"][class^=\"bg-hasha-\"] > div[style] + .max-w-full","div[data-mesh-id=\"comp-lbw06ze4inlineContent-gridContainer\"] div[class*=\"wixui-\"]","div[class^=\"teads-\"]","div[id*=\"amazon_shopping\"]",".promotion","section[id$=\"_banner\"]",".bottomPop","div[class]:has(> ins.adsbygoogle)","#secondary > aside#search-4 ~ aside","#cards > div[class*=\"_\"]:not([id]).card,\ndiv[id^=\"ads\"][style]","div[class$=\"ad\"][id$=\"ad\"]",".modal > #pop_modal",".wrap_body .clearBoth ~ div[class^=\"margin_bottom\"]:not(:has(+ *)),\ndiv[class*=\"_AD\"]",".review_list_element > .c_review_recommend,\n[data-log-actionid-area*=\"plus\"],\n[data-log-actionid-area^=\"focus\"]","#plusPrdArea,\n#powerPrdSection","#cts .l-grid--nobg:has(button[data-log-actionid-area=\"power\"]),\n#section_plusPrd,\n._searchHotProduct,\n.search_content > section[data-log-actionid-area=\"power\"],\n.search_content > section[data-log-actionid-area=\"recommend\"],\nsection[class*=\"-ad-\"]","#rcmdPrd.rcmd_prd","a[href*=\"./bbs/banner_link.php?\"]",".leftad2","#welcom_wrap .new_toprolling_bn,\n#welcom_wrap > .font_remote,\n#welcomeMainBanner_welcome_tab li[id]:has(img[src*=\"/img/banner/flash/welcome/nav/\"]:not([src*=\"/nav/181010_\"])),\n#welcomeMainBanner_welcome_tab li[id]:has(img[src*=\"/img/banner/flash/welcome/nav/\"]:not([src*=\"/nav/181010_\"])) + li[style],\n#welcome_Right > .evntall,\n#welcome_center > div:not([class]):not([style]):not([id]),\n.banner_wrap .swiper-wrapper,\nbody > div[id][class][onclick*=\"Layer\"]","#main_visual","#shopping_wrap,\n.header_banner,\na[class^=\"banner_\"],\na[href*=\"//wrd.appstory.co.kr/rd.flad?\"]","#txt_area.article > .art_btm,\n.article_view > .fl_fr","div[class^=\"fortune_module\"]",".modrow-top > div[class$=\"_banner\"][id$=\"Banner\"],\n.today-smart-shopping","#region--content_floating ~ #region--content_body div[module-design-id]:has(.button--power_click),\n.component--chance_shopping,\ndiv[module-design-id] ~ div > .type--smiledelivery:has(+ .type--general .section--advertisement) ~ .component.type--general:not(:has(~ .type--general .text--smiledelivery_slogan)),\ndiv[module-design-id] ~ div[module-design-id]:has(> .component--sponsor_link .link--ask_sponsor)","#content > div[class^=\"ad_\"] *","div[class^=\"box__layer-\"][style]","div[class*=\"_banner--ad-\"]","div[class$=\"-togetheritems\"]","div[class*=\"slider-banner-\"],\ntable[width=\"1200\"]:has(> tbody > tr > td > div[class*=\"slider-banner-\"])",".wr2_lt > div[class^=\"pcbview\"][style*=\"margin-bottom:\"]",".wrap * + div[style*=\";margin\"]","[class*=\"ad_bizwatch_\"]","div[id^=\"block-\"][class^=\"block-content-\"][style],\ndiv[id^=\"shortcodes-ultimate-\"]:has(div[id^=\"block-\"][class^=\"block-content-\"][style])",".left_con_last,\nbody.body-community div[class*=\"Car\"]",".wrap > div[style$=\"height:100px;\"]:not([class])","iframe[src^=\"/advert/advert.php\"]",".bFloatingBanner","section[class$=\"_banner\"]","header > div[style].wrap","#article-view > .gray-bg","article table[align] td[height]","div[id$=\"_PlaceHolderContent_divMovieSelection_wrap\"][class]",".videoAdWrap",".container > div[style][id],\n.widget-main-box ~ .widget-main-box:has(script[src*=\"//static.criteo.net/\"])","#container #content > .cpz_inner[style],\n#container #content > .gradation_area,\n#container #main_five_fixbnr ul.five_fixbnr_list,\n#container > div[class][style*=\"/GNBBottomLineBanner_\"][style^=\"background-image:url(\"],\n#content > #start_mainslide.cpz_mainslide,\n#contents #recomN.recomend_main,\n#contents > #EP_Rbnr, #contents > #EP_linebnr,\n#contents > div[id^=\"bnrLink\"].ma_visual_area.bnrContents ~ div:not(.smthp_infom):not(#productSrchListArea),\n#eventzone_img_wrap #con_area > input[type=\"hidden\"] + #con,\n#gamezone .bnrList_area > ul.rollbnr_list,\n#rightwing_section .rightwing_boxNew > .rightwing_bnr,\n#searchArea #side_ad,\n.contentsWrap > .topBanner_area,\n.cpz_inner .category_set_area div[class^=\"second_cate_area\"] div[class^=\"catebnr_area\"],\n.cpz_inner .recommend_wrap > .recommend_list,\n.cpz_inner .sta_rolling_banner,\n.pdtl_cm_detail .md_software,\nbody > #container > .cpz_inner,\nform > div[id$=\"wing_section\"][class*=\"wing_section\"],\nul[id*=\"_ad_\"]",".right_btn,\ndiv[class*=\"_main_ban\"],\ndiv[class^=\"contents\"] > div[class^=\"main_area\"]:has(a[href*=\"ADRollingBanner\"])",".group-deal .list > .group-power-link",".container > section#id_section_deal_list ~ section[id][class]",".main-evn > .main-visual,\n.slider > div[id$=\"_popup\"]",".reserEvent","div[class$=\"Banner\"]",".da_login-phone",".main6.bottomto50","a[href][target=\"_blank\"] > img[src^=\"/data/banner/\"]",".space_layout ~ div[class^=\"section_\"] > div:not([style*=\"solid\"]) + div[style]:not([class])","#aside #ol_before ~ div[style]:not(:has(.tbl_head_lt)),\n#aside .noticea,\n#bo_list + div[style*=\"height:\"],\n#container > div[style*=\"margin-bottom:\"]:has(img[src*=\"/data/file/ad\"]),\n#hd_qnb","#lv-container ~ .clearfix","#dpArticleBlocksWrapper,\ndiv[id^=\"ADOP_\"][style]","iframe[src^=\"/banner/\"]",".grand_banner,\n.grand_banner + .sectionc,\n.main_pay + .sectionc:has(a[href^=\"/business/recruit_write.php\"]),\n.main_pay ~ .sectionc > .nurse_banner ~ *:is(.sectionc, .hire-list),\n.nurse_banner:has(a[href^=\"/business/recruit_write.php\"])",".btop,\n.fvr,\n.mdt1,\na[href^=\"/ws/include/banner_link.asp?\"][target=\"_blank\"]","center + .bk20,\niframe[src*=\"//adreal.dt.co.kr/\"],\niframe[src*=\"dt.co.kr/ad.html\"]",".article_view > div[style$=\"overflow:hidden\"].img_center,\n.main_wrap > center > div[style*=\" height:\"],\ncenter + .bk40,\niframe[src*=\"//io1.innorame.com/\"] + .bk40,\nins[data-aiinad-inv] + .bk40","body > div[style*=\"position: fixed;\"][style*=\"z-index:99999\"][style*=\"bottom:\"]","div[id*=\"Banner\"]:not(:is(#mainNewBanner, .hm-main__slide-new)),\ninput ~ .searchRolling","div[itemprop=\"articleBody\"] > div[class][style]",".evt_area,\ndiv[class$=\"_popup\"],\ndiv[class^=\"codad_ban\"]","[class$=\"_dable\"][id^=\"boxshow_\"],\ndiv[class^=\"gg_\"], div[class$=\"_gg\"],\nsection[id^=\"aside_\"] > div[id$=\"-sticky-wrap\"] > div[id$=\"-sticky\"] > div[id^=\"w_read_\"][class^=\"boxshow_\"]",".article_body > div[class],\ndiv[class$=\"_banners\"]","#edailywrap > #headers ~ div[style*=\"height: \"],\n#right-sticky > .specialRightArea ~ div[class][style*=\"height:\"]:is(:has(> div[id^=\"dablewidget_\"]), :not(:has(> *)), :has(> iframe[allow-popups][title][sandbox]))",".main > .main_visual,\n.main > .main_visual + .section_1,\ndiv[id$=\"-banner\"][style]",".article_wrap .bottom_articles",".widget-box > div[style*=\"min-height:\"]",".eq.section div[class^=\"col-md-\"] > center,\ncenter > div[style*=\"background-color:\"],\nmain#main .eq.section > div[class$=\" \"][style^=\"background-position\"] ~ div[style^=\"float: \"]","ins.dcmads","div[id^=\"floating_banner_\"],\ndiv[onmousedown*=\"'event_label': 'AD'\"]",".sticky-content-spacer_sub > div[style*=\"width:\"],\nul[class^=\"bn_\"]",".ContentsWrap section[style*=\"height:\"],\n.containerWrap > .boxContWrap ~ section > div[style*=\"margin:\"][style*=\"text-align:\"],\n.containerWrap > section[style^=\"padding\"]:not([class]),\n.contents_body > div[style],\n.maj_list_wrap > .majnews_list:has(iframe[src*=\"//ads.mncmedia.co.kr/\"])","body > div[style]:not([class]):not([id])","#coupang_cover_box,\n#m_main_attendance_wrap ~ a[href^=\"../../plugin/mobile/board.php?bo_table=market_\"],\n#mw_mobile > div[style^=\"margin-bottom:\"],\n#mw_mobile > section[style]:has(> #coupang_cover_box > #coupang_ad_box),\n.main_right > .eto-games,\n.main_right > .reward_v2,\n.main_right > .youtube-container,\narticle[class$=\"-banner\"],\narticle[class^=\"etoad-\"],\narticle[id$=\"-banner\"],\nbody[marginheight] #coupang_cover_box ~ section[style^=\"margin-top:\"].box,\ndiv[class^=\"power_link\"],\nsection.main_left > div[style*=\"width:\"][style*=\"text-align:\"] ~ div[style^=\"margin-bottom:\"],\ntbody > tr:has(> td > img[src*=\"/img/adland01.gif\"]),\nul.board_list > li.subject.ad_subject",".head_bar2 > div[class]:not([id]),\nform#head_search > li[style][class]",".contents .table_cls > li","aside.user-aside > article.box-skin + .box-margins:not(.box-solid-x) ~ div[class]:has(~ article),\naside.user-aside div[data-direction]#side-scroll-in > .float-center,\ndiv[style]#side-scroll-in article + .box-margins ~ div[class]:has(~ article.box-skin ~ article ~ article)","#r_aside > center > .bn","#top_src > div[style],\ndiv[id^=\"mobitree\"]","#custom_html-8","div[id*=\"_banner\"]","#container_c .tbl tr td[style*=\"solid\"] div[style^=\"height\"],\ndiv[style=\"\"] ~ div:not([style]):not([class]) table[width][style],\niframe[src^=\"bncode2/banner_\"]","center > .bn","#login-banner-box",".box__component-sponsor-link",".cate-search-result > #plusItem,\n.cate-search-result > #powerPlus,\n.cate-search-result > .title:has(+ #plusItem),\n.cate-search-result > .title:has(+ #powerPlus)",".ReactVirtualized__Grid__innerScrollContainer .box__banner-wrap > .box__banner--today,\n.box__banner-single > .box__inner,\n.js-impressionable",".section__main-inner > .box__promotion .box__item > *,\n.section__main-power","table[width][border] td:not([width]):has(div[align=\"CENTER\"] > .adsbygoogle, td[bgcolor] a[href*=\"//link.coupang.com/\"] > img)","#content div[class^=\"ArticleDetail_section_\"] > div[class^=\"MainNativeLab_wrap\"]","#content > .mainBanner,\n#topBnrWrap",".topBannerUse","[class][itemtype*=\"//schema.org/\"] > .right",".doc03_wrap > .doc03","#partnership,\n.tbl_wrap .bo_notice:has(span[class^=\"spon_b_icon\"]),\ndiv[class^=\"sponsor\"],\ndiv[id^=\"container_\"] .slide_box","#cont_warp table[style],\ndiv[style] > a[onclick*=\"_banner(\"],\niframe[src^=\"/banner/banner_\"]","#popUP_ZONE,\na[href^=\"javascript:\"][onclick^=\"banner_open(\"]","#Suggestion .newServices,\n#ly_subb,\n#related-writer-info .in-writer-info,\n.ly_subb,\n.outer-container table[width=\"100%\"] tr:has(td a[data-bd].banner),\na[class*=\"_banner\"]","#viewConts div[style][id^=\"articleBody\"]","#viewConts div[style][id^=\"articleBody\"] + p ~ center","div.aside-popular > ul.aside-popular-wrap > li > div[style~=\"300px;height:\"][style~=\"block;width:\"]","#inven_reservation_box,\n.commu-content div[style].sh-wrap,\n.invenbanner,\n.section_market_line,\narticle > div[style].banner,\naside div[style]:not([class])","#boardPart > div[style]:not([class]),\n.swiper-slide-active .part-visible-normal:has(img[src*=\"//static.marketinven.com/data/brand/\"]),\ndiv[class^=\"mobileDaNs\"],\ndiv[id^=\"mobileTailAd\"],\nsection.mo-top-nav ~ div[style]:not([id]),\nsection[class*=\"-ad\"]","#commonpart_invenpc","table.table-stripped tr:is(:has(.ad), :has(.adsbygoogle))",".top-owl.owl-carousel","#footer-wrapper div[id^=\"footer\"].footer:has(img[src*=\"=s\"]),\n#sidebar > div[data-version=\"2\"]#Image5",".bg-gray-5 > .list-group-flush",".byWd div[id^=\"bl_\"],\n.grand_banner_wrap li.item_adagency,\ndiv[id^=\"Banner\"]",".news > div[class$=\"_ad\"][style],\n.shopping_wrap div[class$=\"_ad\"]","#articlebody > div[style]:not([itemprop=\"articleBody\"]).article_content,\ndiv[id^=\"right_banner\"]","img[src^=\"/data/__banner/\"],\nimg[src^=\"/image/banner/\"]",".Ui-Hotels-Results-List-Components-RheaLiteWrapper-container div:not([class]):has(div[class$=\"-sponsored\"]),\n.keel-grid .col-list-body .resultsList div:not([class]):not([id]):has(div[class*=\"-promo-\"] span[class$=\"-sponsored-text\"])","iframe[src*=\"//adv.khan.co.kr/\"]","div[data-sticky].sticky > .side-panel",".act-banner-box-wrapper",".mn_ad",".article_wrap ~ div[class^=\"nwbx\"]","div[id^=\"pop-layer-\"],\nheader ~ #_hidden_layer_",".box_skitter,\ndiv[class^=\"news_\"] > div[style*=\"height:\"]","body > div[class*=\"_banner_\"],\ndiv[class^=\"search_banner_\"],\ndiv[id^=\"bodyDialog\"]:not([style*=\"top: \"]).open:has(img[src*=\"kyobobook.co.kr/newimages/adcenter\"]),\ndiv[name=\"popAdv\"],\nmain div[id*=\"_banner\"][id^=\"welcome_\"][class$=\"_area\"]","[ng-if^=\"premiumLawyers\"],\ndiv[class^=\"premium-lawyer\"]",".tdn-inventory","a[href^=\"/Tracks/Banner-Log/\"]",".coupang-box",".bxslider",".container > div[style][id^=\"slider\"]","#news_main_all_wrp .today_issue ~ section[class=\"today_issue\"],\ndiv[itemprop=\"articleBody\"].article_info > div[id^=\"slot\"][style^=\"text-align:\"]","#article > div[id^=\"slot\"] table[style^=\"margin-bottom:\"],\n#newsViewArea div[style^=\"width:\"]:not([originw])","div[id^=\"AD\"]","div[id^=\"layerPopup_\"]","#MiMintBottomViewLayer","rs-fullwidth-wrap[style^=\"margin-top:\"],\nrs-module-wrap[id^=\"rev_slider_\"]","div[class^=\"bn_sec\"]","#container_right > div[id^=\"slot\"],\n.read_txt > div[id^=\"slot\"]","#main_premium_spon_block,\n#scm_premium_spon_block,\ndiv[id^=\"scm_ban\"][style*=\"url(/media/banner/\"]",".one_line_article > ul.list > li.item:not(:has(a[href^=\"/article.html?no=\"]))","div[class^=\"notice\"] .notice td[bgcolor=\"white\"]:has(ins.adsbygoogle)","#container.atcpage div[style]:not([class]):not([id])","section.textList > article.row:has(> ul.aritcle-info > li.title > a[href*=\"//adv.imadrep.co.kr/\"])",".aside_bundle > div[style*=\"height:\"]","div#close_mask","aside > div[class]:has(> .adsbyadop),\naside > div[class]:has(> .swiper),\naside > div[class]:has(> div:not([class]) > div[id^=\"taboola-\"]),\naside > div[class]:has(> div[id^=\"moneys_p_rs_\"]),\ndiv:not([class]) > a[href][target]","#section-main.cf > div[class^=\"section-\"] > div[class^=\"section-\"] > div:has(> a[href][alt][target=\"_blank\"] > img[alt][src]),\n.header-center.cf > .header-center-imgbox > a > img[src*=\"//cdn.mule.co.kr/data/original/\"],\n.modal-login-wrapper .right-box,\ndiv.section-leftmiddle-bottommiddle.cf,\ndiv[class^=\"section-\"][class$=\"-ad\"],\ndiv[class^=\"section-\"][class$=\"-bigad\"],\ndiv[class^=\"section-\"][class$=\"-smallad\"],\ndiv[class^=\"section-\"][class$=\"-topad\"],\ndiv[class^=\"section-\"][class$=\"ad-pc\"]",".article_view ~ div[style^=\"text-align:\"].clean_banner + .h50,\n.article_view ~ div[style^=\"text-align:\"].clean_banner ~ .wcms_banner + .h45,\n.article_view ~ div[style^=\"width:\"].clean_banner ~ .wcms_banner ~ .h50","#coupang-ad-wrapper","#article_conent > div[style].clearfix,\n[class^=\"ad-\"],\ndiv[style*=\";height:\"][data-ad],\niframe[src*=\"//nad.newdaily.co.kr/\"]","div[itemprop=\"articleBody\"] > div[style^=\"margin:\"].clearfix","div[data-layout-area*=\"_AD\"]",".user-content > .user-aside","div[data-id*=\"-ad-\"]","#pnlContainer .con_b > .ct_box:not([style]),\n#pnlContainer > div[class^=\"ct\"] > .con_b > div[style],\n#pnlContainer > div[class^=\"ct\"] > .section > .ct_box > div[style~=\"text-align:\"][style~=\"center;\"][style~=\"padding:\"][style~=\"10px\"],\n#pnlContainer > div[class^=\"ct\"] > .section > div[style]:not(class),\n.section div[class$=\"con_b\"][style],\ndiv[class^=\"ct\"] > .section > .view_box > #divViewBox > .viewbox > div[style]","table[style][width][cellspacing][cellpadding] tr[valign] > td[style]:has(img[src^=\"/file/_banner/\"]),\ntable[width][cellspacing][cellpadding][border] tr:not([height]) > td[width]:not([id]) ~ td[id]","div[id^=\"wingBanner-\"]",".txt table#bodyMainImg tr:has(> td[style^=\"margin:\"][style*=\";padding:\"] > table)","html[class*=\"pc-size\"] .av-area-fot",".top-navigation .wrapper > .row.equal > div[class=\"col-xs-12 col-sm-6 col-lg-4\"][style^=\"padding:\"]","#article-view div[style].float-center .clearfix > center[style],\n#article-view div[style].float-center .clearfix > div[class^=\"box-margin\"],\n#article-view div[style].float-center div[class^=\"m-view-\"]:not(:has(> article))","table td[valign][width] table > tbody > tr:not([bgcolor]) > td[height]:has(a[target=\"_blank\"])",".addot-wrapper,\n.news_con > div[align]:has(> a[href*=\"//coupa.ng/\"] > img[src*=\"//img.knowledgepower.co.kr/uploads/cpcbanner/\"]),\nbody > div[class^=\"brand-\"],\nbody > div[style^=\"position:fixed;\"][style*=\"z-index:9999\"][style*=\"width:\"],\ndiv.warp > a[href*=\"//someblossom.co.kr/product/detail.html?\"],\ndiv[id][class][style]:has(> .impactify-player-container),\ndiv[id^=\"adMall_popup_\"],\ndiv[id^=\"foin_\"],\npre > div[id]:has(> div[align] > a > img[src*=\"//img.postshare.co.kr/images/banner/\"]),\npre > div[style]:has(> iframe[src*=\".ad4989.co.kr/\"])",".left > .shopping-preview,\n.right > .board-preview.board-ppomppu,\n.together_goods,\nbody .contents .container .topSub-nav,\ndiv[id^=\"div_new_power_link_\"],\ndiv[id^=\"pp_ban_\"],\ntable .list-notice-alarm-sponsor-tr,\ntable#revolution_main_table tr[class^=\"common-list\"]:has(table a[href*=\"?id=pmarket&\"]),\ntbody > tr[id^=\"page_show_ad_\"],\ntr > td div.bridge","#bbs_inform li[class^=\"bbs_ad\"],\n.ct .bbs.ppomppu ul[class^=\"bbsList_\"]:has(.new_sk > a[href*=\"?id=pmarket&\"]),\n.ct > .bbs > #bbs_inform li:has(span ~ a[onclick^=\"informAdClick\"]),\n.google-ad,\n.main-menu-group ~ .ct #board-cate ul[style] li[onclick*=\"/new/hotdeal\"] ~ li[onclick^=\"location.href=\"][onclick*=\"market\"],\n.main-menu-group ~ .ct #board-cate ul[style] li[onclick^=\"location.href=\"][onclick*=\"/bbs_list.php?id=ppomppu2\"],\n.main-menu-group ~ .ct #board-cate ul[style] li[onclick^=\"location.href=\"][onclick*=\"/bbs_list.php?id=ppomppu7\"],\niframe[src*=\"/banner/google_ad.html\"],\nsection.shopping-board","#wrapper div[class$=\"contents_box\"]:has(ins.adsbygoogle)","div[class*=\" \"]:has(> a[class*=\" \"][href][target=\"_blank\"] img[src*=\"/_next/image?url=\"][src*=\"%2Fuploads%2Fbanner%2F\"])",".now_content_ads__wrapper","sbs-player-ad-wrapper","#sn_banner_side_top","#floating_bottom,\ntable[valign=\"top\"] div[id^=\"left_body\"] > table td[align=\"center\"] > div[style*=\" \"]","table[id*=\"Ad\"]","[style]#withpang_p","#Article > .Line_gray ~ div[style]:not([class]):not([id])","#contentsBodyDiv > table[width]",".W_wrap > div[style*=\"height:\"]","#Article > div[style]:not([class])","#viewWrapDiv > div[style*=\" \"]:not([class]):not([id])",".mt30 .con_rt > style + div[style]:not([class])","div[class*=\"-grey-\"][style]","div[class*=\"-ads\"]","div[id*=\"_adsense_\"]","iframe[src*=\"//nad.tf.co.kr/\"],\niframe[src*=\"tf.co.kr/public/layout/\"][src*=\"/top_menu_bar_\"][src*=\".php\"]","#artContent > div[style]:not([class]),\ndiv[class^=\"AD_\"],\ndiv[class^=\"swiper-topbanner\"],\nul[class$=\"Ad\"]","#posLeft > div[style~=\"width100%;font-size:\"][style~=\"#ececec;margin-bottom:\"],\n#tfHeader > div[style]:not([class]),\niframe[src^=\"/public/ad/\"]","a[onclick^=\"goAD\"][onclick$=\"()\"]",".fdimmed ~ div[style^=\"max-width:\"]","[class^=\"adsense\"]","div[itemprop=\"articleBody\"] > div[style*=\"margin-\"]:not([class])",".ezmob-footer,\n.ezoic-ad","div[class*=\"Advertisement_\"]","[class$=\"-advert\"],\nsection[class*=\" \"]#header-standard-container",".bn",".coupangPosition","ul#_dealListContainer.list > li.item.type_admon[data-maincategoryno]","#navigation-cnt > div[class][style]:has(~ div[style*=\"margin-bottom:\"]),\n#navigation-cnt > div[style*=\" \"]:not([style*=\"margin-bottom:\"]),\n#viewConts > div[id^=\"articleBody\"]",".T4Tutorials","#no_pages.bg_w","div[class^=\"adv-\"]","[class^=\"aside-bnr\"],\naside[class*=\"-ad-\"]","#container > div[class^=\"content\"] > section[id^=\"detailHotnews\"] ~ aside[class^=\"aside-box\"][class$=\"bg11\"],\n#container aside[class^=\"aside-\"]:has(ul[id^=\"ad\"]),\n.article > aside[data-position],\n.hidden-obj ~ aside[class^=\"aside-box\"].bg11,\nsection[class^=\"box-type\"].bg11 ul[class^=\"list\"] > li[class^=\"aside-box\"]",".cont-row > div[class^=\"cont-item\"] > .detail-rel","main > div[style*=\" \"].section","div[style]#cenArea > .today,\ntd[id^=\"divBn_\"]","iframe[src^=\"/inc_banner/\"],\nspan > #hns_mask","div[class^=\"newsview_ad_\"],\ndiv[class^=\"text_ad_\"],\nul > li[class^=\"ad_\"][id^=\"snsAd_area\"]",".power_box div[class^=\"asset\"]:has(iframe[src*=\"//adv.zdnet.co.kr/\"]),\ndiv[class*=\"_bn_\"][style],\ndiv[id$=\"AdCon\"][style],\ndiv[id^=\"A1_\"][style*=\"height:\"],\niframe[src^=\"/template_ad/?aid=\"],\niframe[src^=\"https://adv.zdnet.co.kr/\"]",".mdsns_reply > div[style^=\"margin-bottom:\"]","table[id^=\"index_\"] tr:has(ins.adsbygoogle)","#list_aside div[id^=\"list_row_\"].list_table_row_notice:has(a[href$=\"?bo_table=notice&sca=%EC%8A%A4%ED%8F%B0%EC%84%9C\"]),\n#sidebar_container .relative:has([class*=\"_ad_\"]) ~ div[class^=\"spacer\"],\n#view_warning .relative:has(ins.adsbygoogle):not([class*=\"_content\"])",".card:has(> .banner > a[href*=\"//ad.everytime.kr/\"]),\ndiv.banners:has(> a[href*=\"//ad.everytime.kr/\"])","#container > div#rightContents > div[style*=\"height:\"]",".board_view .related_content > ul > a","#aside > div[style^=\"background-color:\"]",".neo_top_center,\ndiv[style^=\"display:\"] > .fvideo:has(> .vm-placement)",".blockUI.blockMsg.blockPage,\n.blockUI.blockOverlay","[class*=\"_banner\"]","div[class^=\"bann_\"],\ndiv[class^=\"bnn_\"],\ntable[border=\"0\"] > tbody > tr > td:not(td > div:not(div.noresize) + b > a:not([target=\"_blank\"]))",".wkbn_bk.tp","div[id^=\"banner_\"] > a[target=\"_blank\"]",".widget-side-box > div[class^=\"main-box main-\"]",".side_floating","div[class*=\"inner\"].column > div:has(a[href*=\"/banner_click.php\"])","#user-wrap.mobile ~ div[style^=\"height:\"]","center a[href*=\"//mbong.kr/banner\"],\ndiv[role=\"main\"]#content div[data-pswp-uid].rhymix_content:not([class^=\"document_\"]):not([class^=\"comment_\"])","#cCon + aside.sidebar2,\n.list_d.ldd > ul > li:has(script[src*=\"//pagead2.googlesyndication.com/\"]),\nhtml[class*=\"mobile\"] .list_document li:not([class])","[data-postid].ultp-shortcode",".content.ad",".xe-widget-wrapper > div[style]:has(a[href^=\"/ad\"])","#article_body_content > .link_news > ul > div[class] > div[style],\n.top_area > .wrap_sl_item > .slick-slider,\ndiv[data-acidx][data-kind].sideBlock","div[class^=\"das_article\"][class$=\"_wrap\"],\niframe[src^=\"/template/ads/\"]","div[data-widget=\"recommend\"].box","#app > aside[style*=\"margin-top:\"].v-navigation-drawer--right","main div[class*=\"space-\"].hidden.flex-none",".news-cont ~ .news-special","#article-view.mobile .wrapper > .clearfix,\n#leftFloat","a[href^=\"https://link.coupang.com/\"]",".oxad,\na[href^=\"https://ads.orbi.kr/\"],\ndiv.panel.class-event-wrap",".hide_on_app_ios",".HAdLine,\n.main_contents > div[class^=\"sc-\"]:has(img[src*=\"//cdnimg.happyshopping.kr/img_ad/\"]),\niframe[src*=\"//ad.pping.kr/\"]","#genesis-sidebar-primary,\nad-shield-ads","#content > .sub_content > .board_view > div[align=\"center\"]:not([class]):not([id]):not([style])","a[onclick^=\"go_banner\"]","#bo_ad,\n#bo_v_top ~ section[style*=\"height:\"]",".ad-template","#container ~ div[style^=\"width:\"][style*=\"height:\"].mobile,\ndiv[class$=\"Bann\"],\ndiv[data-ads-url],\nsection[class$=\"-ads\"]",".media_s_right > div[style^=\"height:\"].clear","div[id^=\"banner\"][class=\"\"][style*=\"height:\"],\ndiv[style] > ul[class^=\"AD\"]","div[onclick^=\"wcs.event(\"]",".cmsBanner",".inner-body.hided .inside-content-background-gradient,\n.inner-body.hided .partners-inside","form[method=\"post\"] > #maskLayer","iframe[data-ezsrc*=\"//coupa.ng/\"]","div[class^=\"KeyVisualBanner_container_\"],\ndiv[class^=\"Main_container_\"] div:is([class^=\"PreorderMainCard_root_\"], [class^=\"Main_cardWrap_\"]):has(a[data-promo-name]),\ndiv[class^=\"RecommendationMobile_cardWrapper_\"] > a[class^=\"MainBannerV2_container_\"][data-promo-name]","a[href^=\"https://www.dothome.co.kr/ad/\"][target=\"new\"]",".inside-content-background-gradient,\n.partners-inside",".custom_code.board_top,\ndiv[style].fancybox-type-inline","div#newsRank",".ent_wrapper.slide-vertical-effect .ent_navigation,\n.widget-side .widget-title:has(+ div a[href^=\"/bbs/link.php?bo_table=\"][target=\"_blank\"]),\na[href*=\"/bbs/link.php?bo_table=partner&\"],\na[href*=\"?bo_table=partner\"]","#sidebar > .module:has(> div[id^=\"ad\"])","div[id*=\"ads\"]","#googleTop",".text-center > a[onclick^=\"App.trackOutboundLink\"]:has(> img[class^=\"visible-\"][class$=\"-block\"])","a[href][target=\"_blank\"][referrerpolicy=\"unsafe-url\"],\nsection > div[class*=\" \"]:has(a[href][target=\"_blank\"][referrerpolicy=\"unsafe-url\"]),\nsection > div[class*=\" \"]:has(ins.adsbygoogle),\nul > a[href*=\"/0ad\"].visittag","iframe[src*=\"/banner.html\"]","center > div[style*=\"margin:\"]","div[class^=\"style__GoogleAdSenseContainer-\"]",".respons-edit > div[style^=\"width:\"].float-right",".widget-side div[style*=\" \"]","#adsense","div[style] table[width] td[width]:has(> ins.adsbygoogle)","#coupangAd,\n#hongboInfoList,\n.aside > div[class^=\"side_\"]:not([class*=\"account\"]),\n.nav_container > div[id$=\"_content\"][class^=\"content_\"] .contents_main > div[class^=\"main_center_\"],\n.nav_container > div[id$=\"_content\"][class^=\"content_\"] .section_list.notice > div[class^=\"main_top_\"],\n.nav_content > div[id$=\"_content\"][class^=\"content_\"] div[class^=\"post_\"] > div[class^=\"view_center_\"],\ndiv[class*=\"_outline\"],\ndiv[id$=\"_content\"][class^=\"content_\"] > div[class^=\"list_top_\"]:not([class*=\" \"])",".board_recommended > a.list_item ~ div[class*=\" \"],\n.content_list.search > div[class^=\"list_center_\"],\n.nav_container .post_view > div[class^=\"view_top_\"],\n.nav_container > .content_main > div[class^=\"main_center_\"],\n.nav_container > .content_main > div[class^=\"main_top_\"],\n.nav_container > .content_view_list > div[class^=\"list_bottom_\"],\n.nav_container > div[class^=\"content_\"][class$=\"_list\"] a[href^=\"/service/board\"] ~ div[class^=\"list_center_\"],\n.nav_container > div[class^=\"list_bottom_\"],\n.shop_naver,\ndiv[id^=\"naverAd\"]",".section_list.hongbo","div[id^=\"carousel_\"] a[target=\"_blank\"]","a[data-dd-action-name*=\"Ads\"],\nimg[src*=\"/data/file/main/\"]","iframe[src^=\"//shop-redapi.daum.net/red-apigate/daumtop/\"]",".aside_g.aside_ad,\n.aside_g.aside_shopping","div[data-tiara-layer=\"ad\"]",".ggb-bnr",".mtop_adfit,\ndiv[class][data-ad-media][data-ad-pubuser][data-ad-type][data-ad-width][data-ad-height],\ndiv[data-slot-type=\"IMAGE_BIG_BANNER\"].box_bnr","#splinkColl,\n.adLinkColl,\n.content_sponsor,\n.screen_out ~ div[disp-attr]:has(> div:is(#splinkColl, .adLinkColl)),\n.screen_out ~ div[disp-attr]:has(c-list-ad),\nbody.nate .screen_out ~ div[disp-attr]:has(> #bizDirtColl),\nbody.nate .screen_out ~ div[disp-attr]:has(> div[style*=\"height:\"]),\nbody.nate aside#mAside > div[disp-attr]:has(> .wing_nate),\ndiv[class] > div[disp-attr] ~ div[disp-attr]:has(a[href*=\"//brandsearch.ad.daum.net/\"][onclick^=\"smartLog\"]),\niframe[src*=\"//ad.search.nate.com/\"]",".section_cont div[disp-attr]:has(.adLinkColl),\nbody.nate .section_cont [disp-attr] > #specialMColl,\nbody.nate .section_cont [disp-attr] > div[style*=\"height:\"]","ul.list_column > li.item_ad",".inner_main > div[data-tiara-layer=\"shopping\"],\n.inner_side > .box_g:has(> #shoppingTitle),\n.inner_side > div[style^=\"min-width:\"]",".ddnad-board","#r_aside center > div[class=\"bn\"]",".post_content > div[data-dest=\"placeholder\"][style^=\"min-height:\"]","#content > div.bd > div.bd_lst_wrp > center,\n.content > div.bd > div.clear > div > center,\n.side > .widget_div > .content > center,\ndiv[data-docsrl] ~ div[style^=\"height:\"][style*=\"text-align:\"]",".wrapper > div[style*=\" \"]#container > div:not([class])","a[href^=\"http\"][target=\"_blank\"].thumbnail","#menufoot > .hot_under,\ndiv[class^=\"powerlink_\"],\ndiv[id^=\"sidead\"]","body > div[style^=\"min-height:\"]:not([class]):not([id])","#mboard tr:has(> td:not([class]) div[style^=\"margin:\"][id^=\"d\"]),\nbody > .foot:has(> div[style*=\"margin:\"][id^=\"d\"]),\nbody > div[style]:has(> div[class^=\"powerlink_\"]),\ndiv[class$=\"ad_area\"]",".hd_pops","#serContents div[align=\"left\"],\ndiv[class$=\"_adban\"],\ndiv[class*=\" \"] > div[class*=\" \"][class*=\"_\"] ~ div[class$=\"fright\"],\ndiv[class*=\"mall_\"][style*=\" \"][class*=\"_slider_\"],\ntd[width]:not([valign]) ~ td[align=\"left\"] ul.banner",".fancybox-wrap:has(> .fancybox-skin > div > div > #dialoga.wst_ad_badge)","*:has(> a[target=\"_blank\"] img[src^=\"/images/KTImage/\"]),\n.ads + div:not([class]),\n.obituaries-wrapper:has(img[src^=\"/images/AdImage/\"]),\n.pop-layer,\ndiv[class] > div[class^=\"post-style\"] ~ .rn_block,\ndiv[class] > div[class^=\"post-style\"] ~ .rn_block + hr","aside > .obituaries-wrapper.recent_news_inner",".xe_content span ~ div[style]",".board-tail-banner,\n[style=\"margin-bottom: 20px;\"].row.row-15",".sidebar_book",".feed-list-wrap .feed-item-wrap-SPONSORED",".gdl-left-sidebar","img[src^=\"/img/sp/\"]","#sidebartop,\n.entry-content > div[id^=\"top\"]",".sidebar[style] > aside[id^=\"text-\"][class] ~ aside[id^=\"text-\"][class]",".pop-area.--dim.--active","div[class*=\"_ban_\"]","*[class*=\"-coupas-\"],\ndiv[class^=\"Post_continue_coupang__\"],\ndiv[class^=\"Post_post__\"] > .text-center:has(ins.adsbygoogle)",".at-main > .widget-box,\n.w-banner,\ndiv[class^=\"header-banner-\"],\ndiv[id^=\"float\"]","#wrap_right > #right","div[class^=\"Ad\"],\nheader .dis-table > div[style^=\"padding-top:\"].dis-table-cell","#sticky_variable_area,\nheader > .header-space","[id*=\"Ad\"],\ntable[align] table[align] td[valign] table[cellspacing] tr > td[colspan][height][bgcolor],\ntable[align] table[border] table[align]:has(td[align] img[alt=\"검색광고\"]),\ntable[bgcolor][align] table[cellspacing][align] tr:has(table table strong > a[href*=\"?Board=enterprise\"]),\ntable[width] table[width] td[width][height]:has(a[target=\"_blank\"] img[alt=\"배너광고안내\"]),\ntable[width] table[width] tr:has(> td[colspan] td[width][height] > img[alt=\"스폰서광고\"])","#TopAddFrame,\n.row > div[class][id=\"\"] ~ #Contents ~ a[href*=\"?Board=enterprise\"],\n.row > div[class][id=\"\"] ~ #Contents ~ a[href*=\"Board=enterprise\"] + div[class],\n.row > div[class][id=\"\"] ~ #Contents ~ div[style],\n.row > div[style=\"\"].col-xs-12 ~ div[id] + div[style]","div[class*=\"ad-\"]",".at-container .at-col div[style^=\"height:\"]:not([class]),\ndiv[class^=\"col-md-\"] div:is([style^=\"width:\"], [style^=\"min-width:\"])","*[class]:not([class*=\" \"]) > div[class]:not([class*=\" \"]) ~ *:not([class]) > *[class]:has(iframe[id^=\"google_ads_iframe_\"]),\n*[class]:not([class*=\" \"]) > div[class]:not([class*=\" \"]) ~ *:not([class]) > *[class]:has(iframe[src*=\"arca.live/external/callad\"]),\ndiv:not([class*=\" \"]) ~ div div + div[class]:has(> div[id][class]),\ndiv[class] ~ div div + *[class]:not([class*=\" \"]) *[class*=\" \"] div[class]:has(> iframe[id^=\"google_ads_\"]),\ndiv[class] ~ div div + *[class]:not([class*=\" \"]) *[class*=\" \"] div[class]:has(iframe[src*=\"arca.live/external/callad\"]),\ndiv[class]:not([class*=\" \"]) ~ div[class*=\" \"] > *[class*=\" \"] > *:has(iframe[id^=\"google_ads_iframe_\"]),\ndiv[class]:not([class*=\" \"]) ~ div[class*=\" \"] > *[class*=\" \"] > *:has(iframe[src*=\"arca.live/external/callad\"])","article h1 ~ div[class] > div[id]:has(> iframe[id^=\"google_ads_iframe_\"])",".partner-banner-flex","#mnetplus-modal-root","a[href^=\"/ad-\"]"];

const hostnamesMap = new Map([["kr.bb-tv.co",0],["agit359.com",0],["agit360.com",0],["agit361.com",0],["agit362.com",0],["agit363.com",0],["agit364.com",0],["agit365.com",0],["agit367.com",0],["agit368.com",0],["agit369.com",0],["agit370.com",0],["agit371.com",0],["agit372.com",0],["agit373.com",0],["agit374.com",0],["agit375.com",0],["kukinews.com",[0,44]],["m.comic.naver.com",[0,255]],["sports.news.naver.com",0],["pressian.com",0],["m.sedaily.com",[0,122,312]],["yhinews.com",0],["lolchess.gg",[0,168]],["ajl.co.kr",0],["ebn.co.kr",0],["economist.co.kr",[0,187,461]],["funshop.co.kr",0],["healtho.co.kr",[0,510]],["hinfomax.co.kr",0],["mosen.mt.co.kr",[0,122,556]],["paxnet.co.kr",[0,65,293,572]],["hinfomax.kr",0],["bloter.net",[0,30,681]],["miraetv.net",[10,717]],["3.37.104.109",13],["103.204.13.68",14],["m.richgo.ai",15],["linkkf.app",16],["filetender.com",[16,142]],["bonik.me",[16,673]],["yadongtube.net",16],["yatv.net",16],["yadongwang.org",16],["yadongkorea.red",16],["yako.red",16],["toptrend.blog",17],["mangacat.cc",[18,19]],["manatoki338.net",[19,279,714]],["manatoki339.net",[19,279,714]],["manatoki340.net",[19,279,714]],["manatoki341.net",[19,279,714]],["manatoki342.net",[19,279,714]],["manatoki343.net",[19,279,714]],["manatoki344.net",[19,279,714]],["manatoki345.net",[19,279,714]],["manatoki346.net",[19,279,714]],["manatoki347.net",[19,279,714]],["manatoki348.net",[19,279,714]],["manatoki349.net",[19,279,714]],["manatoki350.net",[19,279,714]],["noonnu.cc",20],["tv25.co",21],["youtu.co",[22,23]],["m.diningcode.com",[22,119]],["gamemeca.com",[22,108,155,156]],["kpenews.com",22],["kyeongin.com",[22,44,57,98]],["m.tenbizt.com",[22,115]],["tipsandtrickskorea.com",[22,345]],["todaysppc.com",22],["yeongnam.com",[22,387,388]],["m.11st.co.kr",[22,423]],["www.auction.co.kr",22],["cgv.co.kr",[22,52,57,150,452]],["gmarket.co.kr",[22,500]],["insight.co.kr",[22,517]],["m.inven.co.kr",[22,65,304,519]],["mememedia.co.kr",[22,23]],["tvreport.co.kr",[22,115]],["dfast.kr",[22,23]],["acmicpc.net",[22,676]],["enterdiary.com",23],["maxmovieen.com",23],["mystylezip.com",23],["tenbizt.com",[23,342]],["capress.kr",23],["carandmore.co.kr",23],["hotplacehunter.co.kr",23],["mobilitytv.co.kr",23],["newautopost.co.kr",[23,240,562]],["tminews.co.kr",23],["thehousemagazine.kr",23],["10000recipe.com",24],["m.10000recipe.com",25],["1004girl.com",26],["ajunews.com",[27,28,29]],["dajunbi.com",27],["auth.danawa.com",27],["prod.danawa.com",[27,44,105]],["m.kin.naver.com",27],["m.sports.naver.com",[27,268]],["m.hub.zum.com",27],["qooqootv.fun",27],["beyondpost.co.kr",27],["www.ebs.co.kr",[27,43,246,477]],["gqkorea.co.kr",27],["news.jtbc.co.kr",[27,44,527]],["metroseoul.co.kr",[27,547]],["mk.co.kr",[27,44,550]],["m.fomos.kr",27],["jjan.kr",[27,45,67,72,635]],["newspic.kr",27],["socialvalue.kr",[27,43,170]],["it.chosun.com",[29,43]],["realty.chosun.com",[29,43,79]],["drapt.com",29],["modoodoc.com",[29,236]],["pann.nate.com",[29,122,249]],["msearch.shopping.naver.com",[29,266]],["osmanias.com",[29,44,289]],["salgoonews.com",29],["xportsnews.com",[29,115]],["cm.asiae.co.kr",[29,432]],["asiatoday.co.kr",29],["khan.co.kr",[29,44,530]],["newstong.co.kr",29],["zdnet.co.kr",[29,44,67,122,620]],["theqoo.net",[29,67]],["algumon.com",[30,31]],["besteleven.com",[30,46]],["ccdailynews.com",30],["weekly.chosun.com",30],["daejonilbo.com",30],["dailysecu.com",30],["dpg.danawa.com",[30,45,103]],["m.danawa.com",[30,44,104]],["m.etnews.com",30],["ggilbo.com",30],["hankooki.com",30],["daily.hankooki.com",[30,162]],["hankookilbo.com",[30,167,168]],["hankyung.com",[30,44,169]],["hogangnono.com",30],["incheonilbo.com",30],["kimpga.com",[30,213]],["newspim.com",[30,46,276]],["nzkoreapost.com",[30,108,136,280]],["spochoo.com",30],["sportsseoul.com",[30,122,136]],["ziksir.com",30],["chungnamilbo.co.kr",30],["cnet.co.kr",30],["dealsite.co.kr",30],["digitaltoday.co.kr",[30,163,191,467]],["enetnews.co.kr",30],["foodnews.co.kr",30],["getnews.co.kr",30],["interfootball.co.kr",30],["lifedesk.co.kr",[30,541,542]],["mediaus.co.kr",30],["nbnbiz.co.kr",30],["newdailyhealth.co.kr",30],["pinpointnews.co.kr",[30,574]],["pointe.co.kr",30],["police112.co.kr",30],["ppomppu.co.kr",[30,67,240,577]],["spotvnews.co.kr",30],["tgdaily.co.kr",30],["eanews.kr",[30,187,541]],["huffingtonpost.kr",30],["newsnjoy.or.kr",[30,649]],["orbi.kr",[30,303,651]],["youthassembly.kr",[30,303]],["eroun.net",[30,191,489]],["topstarnews.net",[30,726]],["anewsa.com",32],["sports.chosun.com",[32,80,81]],["apycsports.com",33],["atlantachosun.com",34],["atlantak.com",35],["autopostkorea.com",[36,37]],["ygosunews.com",[37,393]],["quiz.avatye.com",38],["avguri10.com",[39,40]],["avguri11.com",[39,40]],["avguri12.com",[39,40]],["avguri13.com",[39,40]],["avguri14.com",[39,40]],["avguri15.com",[39,40]],["avguri4.com",[39,40]],["avguri5.com",[39,40]],["avguri6.com",[39,40]],["avguri7.com",[39,40]],["avguri8.com",[39,40]],["avguri9.com",[39,40]],["uwayapply.com",[39,370,371]],["booktoki338.com",[40,56]],["booktoki339.com",[40,56]],["booktoki340.com",[40,56]],["booktoki341.com",[40,56]],["booktoki342.com",[40,56]],["booktoki343.com",[40,56]],["booktoki344.com",[40,56]],["booktoki345.com",[40,56]],["booktoki346.com",[40,56]],["booktoki347.com",[40,56]],["booktoki348.com",[40,56]],["booktoki349.com",[40,56]],["booktoki350.com",[40,56]],["booktoki351.com",[40,56]],["booktoki352.com",[40,56]],["booktoki353.com",[40,56]],["newtoki338.com",[40,278,279]],["newtoki339.com",[40,278,279]],["newtoki340.com",[40,278,279]],["newtoki341.com",[40,278,279]],["newtoki342.com",[40,278,279]],["newtoki343.com",[40,278,279]],["newtoki344.com",[40,278,279]],["newtoki345.com",[40,278,279]],["newtoki346.com",[40,278,279]],["newtoki347.com",[40,278,279]],["newtoki348.com",[40,278,279]],["newtoki349.com",[40,278,279]],["nolgoga25.com",40],["nolgoga26.com",40],["nolgoga27.com",40],["nolgoga28.com",40],["nolgoga29.com",40],["nolgoga30.com",40],["nolgoga31.com",40],["nolgoga32.com",40],["nolgoga33.com",40],["nolgoga34.com",40],["nolgoga35.com",40],["torrentdin10.com",[40,358]],["torrentdin11.com",[40,358]],["torrentdin12.com",[40,358]],["torrentdin13.com",[40,358]],["torrentdin14.com",[40,358]],["torrentdin15.com",[40,358]],["torrentdin4.com",[40,358]],["torrentdin5.com",[40,358]],["torrentdin6.com",[40,358]],["torrentdin7.com",[40,358]],["torrentdin8.com",[40,358]],["torrentdin9.com",[40,358]],["postshare.co.kr",[40,576]],["principlesofknowledge.kr",[40,655]],["zzzz.lol",[40,672]],["avjoa59.com",41],["avjoa60.com",41],["avjoa61.com",41],["avjoa62.com",41],["avjoa63.com",41],["avjoa64.com",41],["avjoa65.com",41],["avjoa66.com",41],["avjoa67.com",41],["avjoa68.com",41],["avjoa69.com",41],["avjoa70.com",41],["avjoa71.com",41],["avjoa72.com",41],["avjoa73.com",41],["avjoa74.com",41],["avjoa75.com",41],["avjoa76.com",41],["avjoa77.com",41],["avpink365.com",42],["avpink366.com",42],["avpink367.com",42],["avpink368.com",42],["avpink369.com",42],["avpink370.com",42],["avpink371.com",42],["avpink372.com",42],["avpink373.com",42],["badayak.com",43],["basketkorea.com",43],["entertainpost.com",[43,133]],["m.fmkorea.com",[43,144]],["heraldcorp.com",[43,172]],["news.heraldcorp.com",[43,71,76,172]],["koreadaily.com",[43,214]],["lalawin.com",43],["m.newsen.com",[43,273]],["newsis.com",[43,274]],["m.ohmynews.com",[43,284]],["slrclub.com",[43,318]],["jwmx.tistory.com",43],["hub.zum.com",43],["m.gamechosun.co.kr",[43,497]],["hobbyen.co.kr",43],["m.moneys.co.kr",[43,553]],["thespike.co.kr",43],["ujnews.co.kr",[43,609]],["ytn.co.kr",[43,618]],["beautynury.com",[44,45]],["bemil.chosun.com",[44,67,68,69]],["health.chosun.com",[44,72,73,74]],["donga.com",[44,57,122,123]],["encar.com",[44,67]],["etnews.com",[44,140]],["mbiz.heraldcorp.com",[44,173,174]],["m.heraldpop.com",[44,174]],["humoruniv.com",[44,179]],["imnews.imbc.com",44],["investchosun.com",44],["m.jjang0u.com",44],["kjwwang.com",44],["m.cafe.naver.com",44],["search.naver.com",[44,263]],["nesin.com",[44,67]],["ohmynews.com",[44,67,283]],["sedaily.com",[44,246,311]],["sportalkorea.com",[44,67,323,324]],["m.starnewskorea.com",[44,320,331]],["stoo.com",[44,332]],["teamblind.com",44],["news.zum.com",[44,311,399]],["dak.gg",44],["asiae.co.kr",[44,67,431]],["compuzone.co.kr",[44,455]],["edaily.co.kr",[44,232,478]],["etoday.co.kr",[44,487]],["joongang.co.kr",44],["kmib.co.kr",[44,533]],["m.mk.co.kr",44],["nocutnews.co.kr",[44,311,567]],["news.sbs.co.kr",[44,311,583]],["m.todayhumor.co.kr",44],["unsin.co.kr",44],["dprime.kr",[44,74,98,122,623]],["news1.kr",[44,643]],["m.search.daum.net",[44,696]],["v.daum.net",[44,67]],["news.v.daum.net",[44,697]],["ggoorr.net",[44,702]],["kyeonggi.com",[45,57]],["game.naver.com",[45,256]],["www.naver.com",[45,269]],["r114.com",[45,122,305]],["kwnews.co.kr",[45,67,72]],["koreatimes.net",[45,136,168,321,711]],["bizhankook.com",47],["blacktoon302.com",48],["blacktoon303.com",48],["blacktoon304.com",48],["blacktoon305.com",48],["blacktoon306.com",48],["blacktoon307.com",48],["blacktoon308.com",48],["blacktoon309.com",48],["blacktoon310.com",48],["blacktoon311.com",48],["blacktoon312.com",48],["blacktoon313.com",48],["singingdalong.blogspot.com",49],["sajuplus.net",49],["ydailynewsis.blogspot.com",50],["boannews.com",[51,52]],["edu.donga.com",52],["m.etoday.co.kr",[52,488,489]],["mbn.co.kr",[52,67,98]],["mmzone.co.kr",[52,552]],["mnews.sbs.co.kr",52],["m.boannews.com",53],["bontv59.com",[54,55]],["bontv60.com",[54,55]],["bontv61.com",[54,55]],["bontv62.com",[54,55]],["bontv63.com",[54,55]],["bontv64.com",[54,55]],["bontv65.com",[54,55]],["bontv66.com",[54,55]],["bontv67.com",[54,55]],["bontv68.com",[54,55]],["bontv69.com",[54,55]],["tvzota106.com",[54,55,368]],["tvzota107.com",[54,55,368]],["tvzota108.com",[54,55,368]],["tvzota109.com",[54,55,368]],["tvzota110.com",[54,55,368]],["tvzota111.com",[54,55,368]],["tvzota112.com",[54,55,368]],["tvzota113.com",[54,55,368]],["tvzota114.com",[54,55,368]],["tvzota115.com",[54,55,368]],["tvzota116.com",[54,55,368]],["popco.net",[54,722]],["busan.com",[57,58]],["m.health.chosun.com",[57,75,76,77]],["fnnews.com",[57,122,145]],["kizmom.hankyung.com",57],["medicaltimes.com",[57,69,155]],["m.munhwa.com",[57,241]],["zum.com",[57,72,397]],["asiatime.co.kr",[57,153,246]],["hani.co.kr",[57,506]],["m.kmib.co.kr",[57,534]],["kpanews.co.kr",[57,239]],["www.daum.net",[57,72,698]],["dodot.cafe24.com",[59,60]],["loapost.cafe24.com",[59,60]],["ohohz.cafe24.com",[59,60]],["ktestone.com",59],["jiavr.xyz",[59,60]],["windnews.cafe24.com",61],["ceoscoredaily.com",62],["chaegeon.com",63],["chchclub.com",64],["chosun.com",[65,66]],["ksg.co.kr",65],["nownews.seoul.co.kr",65],["m-i.kr",[65,637]],["goodgag.net",[65,67]],["ddengle.com",[67,115,116,117]],["dmitory.com",67],["fntimes.com",[67,146]],["m.gamemeca.com",67],["happycampus.com",[67,170,171]],["ichannela.com",[67,72]],["imaeil.com",[67,192]],["munhwa.com",[67,238,239,240]],["news.naver.com",[67,71]],["yes24.com",[67,389]],["aladin.co.kr",[67,428]],["auction.co.kr",[67,433]],["dnews.co.kr",67],["etoland.co.kr",[67,72,490]],["itcm.co.kr",[67,522]],["kick-off.co.kr",67],["m.nocutnews.co.kr",[67,568]],["ent.sbs.co.kr",67],["seoul.co.kr",[67,84,585]],["clien.net",[67,685]],["news.daum.net",67],["wowtv.co.kr",[68,71,303,612]],["biz.chosun.com",[70,71]],["www.chosun.com",[70,85]],["styleup.gameangel.com",[71,72,154]],["dcnewsj.joins.com",[71,72,205]],["maxmovie.com",[71,84,229]],["place.naver.com",71],["mlbpark.donga.com",[72,126]],["joseilbo.com",[72,208]],["section.cafe.naver.com",72],["newsen.com",[72,272]],["toomics.com",[72,187,354]],["yakup.com",[72,384]],["mitem.auction.co.kr",[72,437,438]],["berryjam.co.kr",[72,439]],["djtimes.co.kr",[72,469]],["knnews.co.kr",72],["order.kyobobook.co.kr",72],["m.mt.co.kr",[72,379,555]],["mydaily.co.kr",72],["thebell.co.kr",[72,599]],["m.ytn.co.kr",[72,619]],["fomos.kr",[72,626]],["forwarder.kr",[72,627]],["mdjournal.kr",72],["tokenpost.kr",[72,663]],["windowsforum.kr",[72,668]],["m.mail.daum.net",72],["comic.naver.com",[74,254]],["m.ppomppu.co.kr",[74,578]],["m.cgv.co.kr",[77,120,453]],["monthly.chosun.com",78],["dcinside.com",[80,107]],["m.sports.chosun.com",[82,83,84]],["auto.danawa.com",82],["news.nate.com",[82,122,245,246]],["m.sportschosun.com",[82,83,84,320]],["m.eye.seoul.co.kr",[82,587,588]],["m.seoul.co.kr",[82,587,588,589]],["m.wowtv.co.kr",82],["ciokorea.com",86],["itworld.co.kr",[86,524]],["coolenjoy.net",[86,688]],["genshin.gamedot.org",86],["cjlogistics.com",87],["cnbnews.com",88],["cocstorage.com",89],["coinpan.com",90],["coinreaders.com",[91,92]],["newstomato.com",[92,108]],["m.weekly.khan.co.kr",92],["shinmoongo.net",92],["corearoadbike.com",93],["coronaita.com",94],["cosinkorea.com",95],["coupang.com",96],["m.coupang.com",[97,98]],["hwbattle.com",[98,183]],["pushoong.com",[98,299,300]],["all-mice.co.kr",[98,429]],["elle.co.kr",[98,482]],["epnc.co.kr",[98,485,486]],["sir.kr",[98,594]],["catnews.net",98],["kidkids.net",[98,709]],["www.coupang.com",99],["cuonet.com",100],["dailypharm.com",101],["cmobile.g-enews.com",[101,151,152,153]],["m.g-enews.com",[101,151,152,153]],["smartfn.co.kr",[101,592]],["danawa.com",102],["search.danawa.com",106],["app.dcinside.com",[108,109]],["m.dcinside.com",[108,109]],["fmkorea.com",[108,143]],["search.zum.com",[108,293,400]],["m.khan.co.kr",108],["moneys.co.kr",108],["newdaily.co.kr",[108,136,563]],["m.tf.co.kr",[108,597]],["search.daum.net",[108,695]],["gall.dcinside.com",[110,111]],["game.dcinside.com",111],["h5.dcinside.com",112],["sign.dcinside.com",113],["ddanzi.com",114],["woman.donga.com",115],["ruliweb.com",[115,122,308]],["thisisgame.com",[115,117,344]],["dundam.xyz",117],["diningcode.com",118],["digitalchosun.dizzo.com",[120,121]],["edit.incruit.com",[120,194]],["m.dailian.co.kr",[120,371]],["hojunara.com",[121,177]],["manamoa100.com",121],["manamoa101.com",121],["manamoa102.com",121],["manamoa103.com",121],["manamoa104.com",121],["manamoa105.com",121],["manamoa106.com",121],["manamoa107.com",121],["manamoa108.com",121],["manamoa109.com",121],["manamoa110.com",121],["manamoa111.com",121],["manamoa112.com",121],["manamoa113.com",121],["manamoa114.com",121],["manamoa115.com",121],["manamoa116.com",121],["manamoa117.com",121],["manamoa118.com",121],["manamoa119.com",121],["manamoa99.com",121],["ildaro.com",122],["m.nate.com",[122,244]],["www.nate.com",[122,251]],["m.stock.naver.com",122],["mobile.newsis.com",[122,275]],["planet-times.com",122],["seoulwire.com",122],["serieamania.com",[122,316]],["m.thisisgame.com",122],["m.edaily.co.kr",[122,194,311,479]],["fpn119.co.kr",[122,494]],["mania.kr",122],["dbr.donga.com",124],["kids.donga.com",125],["sports.donga.com",127],["donthellgo.com",128],["instructivehumility.com",128],["news.oasisfeed.com",[128,281]],["curiosityblog.co.kr",128],["issueclick.kr",128],["dprime.kr.dvdprime.com",129],["edufindkorea.com",130],["eegosa.com",131],["emmaru.com",132],["enuri.com",[134,135,136]],["nongmin.com",[135,168]],["view.nate.com",136],["m.enuri.com",137],["eoreuni.com",138],["avada.tistory.com",[138,347]],["www.erdcloud.com",139],["extmovie.com",141],["frtoon220.com",147],["frtoon221.com",147],["frtoon222.com",147],["frtoon223.com",147],["frtoon224.com",147],["frtoon225.com",147],["frtoon226.com",147],["frtoon227.com",147],["frtoon228.com",147],["frtoon229.com",147],["frtoon230.com",147],["frtoon231.com",147],["frtoon232.com",147],["frtoon233.com",147],["newtoon224.com",147],["newtoon225.com",147],["newtoon226.com",147],["newtoon227.com",147],["newtoon228.com",147],["newtoon229.com",147],["newtoon230.com",147],["newtoon231.com",147],["newtoon232.com",147],["newtoon233.com",147],["newtoon234.com",147],["funissu.com",148],["jootc.com",[148,207]],["funnyissue.com",149],["googlewph.com",149],["gyeomipang.co.kr",149],["g-enews.com",150],["hotword.site",[150,731]],["news.g-enews.com",151],["m.inews24.com",155],["m.joynews24.com",[155,197,209]],["m.yonhapnewstv.co.kr",[155,616]],["geekorea.com",157],["gentlysallim.com",158],["vietnamguide.co.kr",[158,610]],["ggeal.com",159],["ggjil.com",160],["gigglehd.com",161],["goodmorningcc.com",162],["sports-g.com",162],["slist.kr",[162,658]],["gukjenews.com",163],["mnews.imaeil.com",[163,193]],["haninpost.com",164],["haninvegas.com",165],["sports.hankooki.com",166],["phdkim.net",[168,303,721]],["memberssl.auction.co.kr",169],["megabox.co.kr",169],["minimap.net",[169,716]],["ombudsmannews.com",170],["hungryapp.co.kr",[170,461,512]],["kpja.kr",170],["usjournal.kr",170],["chimhaha.net",[170,683]],["etorrentro.net",170],["mrealfoods.heraldcorp.com",175],["heraldpop.com",176],["humorpick.com",178],["m.humoruniv.com",[180,181]],["meeco.kr",[181,338,639]],["web.humoruniv.com",182],["hyundaenews.com",184],["ibabynews.com",185],["idaegu.com",186],["ilbe.com",[187,188]],["img.imimggggg87878.com",187],["philgo.com",[187,293,294]],["blockchainhub.kr",[187,303]],["cineaste.co.kr",[187,454]],["signin.gmarket.co.kr",187],["jpaxnet.co.kr",187],["ondisk.co.kr",[187,570]],["bigkinds.or.kr",[187,461,648]],["m.ilbe.com",[189,190]],["kinolights.com",190],["ilemonde.com",191],["mjmedi.com",191],["khgames.co.kr",[191,531]],["digitalasset.works",191],["bgchang.co.kr",194],["m.hungryapp.co.kr",[194,513]],["m.news1.kr",[194,406,644]],["www.incruit.com",195],["inews24.com",[196,197]],["joynews24.com",196],["infosori.com",198],["m.shop.interpark.com",199],["shopping.interpark.com",200],["isplus.com",201],["shopping.naver.com",[201,265]],["star.ohmynews.com",201],["m.cafe.daum.net",201],["jellinggame.com",202],["jgmoa57.com",202],["jgmoa58.com",202],["jgmoa59.com",202],["jgmoa60.com",202],["jgmoa61.com",202],["jgmoa62.com",202],["jgmoa63.com",202],["jgmoa64.com",202],["jgmoa65.com",202],["jgmoa66.com",202],["jgmoa67.com",202],["jgmoa68.com",202],["jgmoa69.com",202],["jgmoa70.com",202],["jgmoa71.com",202],["jjalbot.com",203],["jjang0u.com",204],["joongna.com",206],["map.kakao.com",210],["shoppinghow.kakao.com",211],["webtoon.kakao.com",212],["m.bobaedream.co.kr",[214,445]],["koreapas.com",215],["koreatimes.com",216],["kormedi.com",217],["koya-culture.com",218],["kr-weathernews.com",219],["ktxtorrent121.com",220],["ktxtorrent122.com",220],["ktxtorrent123.com",220],["ktxtorrent124.com",220],["ktxtorrent125.com",220],["ktxtorrent126.com",220],["ktxtorrent127.com",220],["ktxtorrent128.com",220],["ktxtorrent129.com",220],["ktxtorrent130.com",220],["ktxtorrent131.com",220],["ktxtorrent132.com",220],["ktxtorrent133.com",220],["ktxtorrent134.com",220],["ktxtorrent135.com",220],["lawnb.com",221],["lecturernews.com",222],["linkeye10.com",223],["linkeye11.com",223],["linkeye12.com",223],["linkeye13.com",223],["linkeye14.com",223],["linkeye15.com",223],["linkeye16.com",223],["linkeye17.com",223],["linkeye18.com",223],["linkeye19.com",223],["linkeye20.com",223],["linkeye21.com",223],["linkeye7.com",223],["linkeye8.com",223],["linkeye9.com",223],["linkrand10.com",224],["linkrand11.com",224],["linkrand12.com",224],["linkrand13.com",224],["linkrand14.com",224],["linkrand15.com",224],["linkrand16.com",224],["linkrand17.com",224],["linkrand18.com",224],["linkrand19.com",224],["linkrand5.com",224],["linkrand6.com",224],["linkrand7.com",224],["linkrand8.com",224],["linkrand9.com",224],["loawa.com",225],["lotteon.com",226],["lottoen.com",227],["manaboza62.com",228],["manaboza63.com",228],["manaboza64.com",228],["manaboza65.com",228],["manaboza66.com",228],["manaboza67.com",228],["manaboza68.com",228],["manaboza69.com",228],["manaboza70.com",228],["manaboza71.com",228],["manaboza72.com",228],["manaboza73.com",228],["mediajeju.com",230],["mediapen.com",[231,232]],["missyusa.com",233],["mobile.missyusa.com",234],["modoocode.com",235],["moyoplan.com",237],["starnewskorea.com",[240,330]],["bada.io",[240,412]],["mimint.co.kr",[240,461,548]],["arca.live",[240,671]],["search.11st.co.kr",[241,424]],["marupost.mycafe24.com",242],["narutong.com",243],["m.yakup.com",[246,385]],["boribori.co.kr",[246,447]],["news2day.co.kr",[246,565]],["ypbooks.co.kr",[246,277,371,617]],["m.comm.news.nate.com",247],["m.news.nate.com",248],["m.pann.nate.com",250],["blog.naver.com",252],["chzzk.naver.com",253],["kin.naver.com",257],["evape.kr",257],["m.naver.com",[258,259]],["tf.co.kr",[259,596]],["mail.naver.com",260],["new-m.pay.naver.com",261],["pcmap.place.naver.com",262],["m.search.naver.com",264],["search.shopping.naver.com",267],["time.navyism.com",270],["newreop.com",271],["newstof.com",277],["oceansabyss.com",282],["ohmytaxinews.com",285],["opworlds18.com",[286,287]],["opworlds19.com",[286,287]],["opworlds20.com",[286,287]],["opworlds21.com",[286,287]],["opworlds22.com",[286,287]],["opworlds23.com",[286,287]],["opworlds24.com",[286,287]],["opworlds25.com",[286,287]],["opworlds26.com",[286,287]],["jusoyo12.net",[286,708]],["jusoyo13.net",[286,708]],["jusoyo14.net",[286,708]],["jusoyo15.net",[286,708]],["jusoyo16.net",[286,708]],["jusoyo17.net",[286,708]],["jusoyo18.net",[286,708]],["jusoyo19.net",[286,708]],["jusoyo20.net",[286,708]],["jusoyo21.net",[286,708]],["jusoyo22.net",[286,708]],["oracionspace.com",288],["poketory.com",[288,297]],["tistory.com",[288,346]],["club.pdpop.com",290],["pervsi.com",[291,292]],["sori114.com",291],["vop.co.kr",293],["plankim.com",295],["playwares.com",296],["academy.prompie.com",298],["m-sooriya.tistory.com",299],["ygosu.com",[299,391]],["quasarplay.com",301],["quasarzone.com",[302,303,304]],["mobiinside.co.kr",303],["m.r114.com",306],["rdsong.com",307],["bbs.ruliweb.com",309],["m.ruliweb.com",310],["segye.com",313],["segyebiz.com",[313,314]],["sejonghub.com",315],["simcong.com",317],["m.slrclub.com",[319,320]],["soxak.com",321],["newsfeed.dispatch.co.kr",321],["itwind.co.kr",[321,523]],["spochak.com",322],["soccerline.kr",[324,659]],["comic.sportsseoul.com",[325,326]],["vod.sportsseoul.com",325],["spotv120.com",327],["spotv121.com",327],["spotv122.com",327],["spotv123.com",327],["spotv124.com",327],["spotv125.com",327],["spotv126.com",327],["spotv127.com",327],["spotv128.com",327],["spotv129.com",327],["spotv130.com",327],["spotv131.com",327],["spotv132.com",327],["spotv133.com",327],["spotv134.com",327],["spotv135.com",327],["spotv136.com",327],["spotv137.com",327],["spotv138.com",327],["ssodam.com",328],["starjn.com",329],["m.stoo.com",333],["sumpic.com",334],["sundayjournalusa.com",335],["sundaynewsusa.com",336],["svrforum.com",[337,338]],["talk-cargo.com",339],["tcafe2a.com",340],["te31.com",341],["thewordcracker.com",343],["chmodi.tistory.com",348],["gugomah.tistory.com",349],["hunnek.tistory.com",350],["ilsangt.tistory.com",351],["lee-master.tistory.com",352],["playcraft.tistory.com",353],["toon123.com",355],["torrentbam129.com",356],["torrentbam130.com",356],["torrentbam131.com",356],["torrentbam132.com",356],["torrentbam133.com",356],["torrentbam134.com",356],["torrentbam135.com",356],["torrentbam136.com",356],["torrentbam137.com",356],["torrentbam138.com",356],["torrentbam139.com",356],["torrentbam140.com",356],["torrentbam141.com",356],["torrentbam142.com",356],["torrentbam143.com",356],["torrentbam144.com",356],["torrenttt130.com",356],["torrenttt131.com",356],["torrenttt132.com",356],["torrenttt133.com",356],["torrenttt134.com",356],["torrenttt135.com",356],["torrenttt136.com",356],["torrenttt137.com",356],["torrenttt138.com",356],["torrenttt139.com",356],["torrenttt140.com",356],["torrenttt141.com",356],["torrenttt142.com",356],["torrenttt143.com",356],["torrentbot141.com",357],["torrentbot142.com",357],["torrentbot143.com",357],["torrentbot144.com",357],["torrentbot145.com",357],["torrentbot146.com",357],["torrentbot147.com",357],["torrentbot148.com",357],["torrentbot149.com",357],["torrentbot150.com",357],["torrentbot151.com",357],["torrentbot152.com",357],["torrentbot153.com",357],["torrentbot154.com",357],["torrentrj150.com",357],["torrentrj151.com",357],["torrentrj152.com",357],["torrentrj153.com",357],["torrentrj154.com",357],["torrentrj155.com",357],["torrentrj156.com",357],["torrentrj157.com",357],["torrentrj158.com",357],["torrentrj159.com",357],["torrentrj160.com",357],["torrentrj161.com",357],["torrentrj162.com",357],["torrentrj163.com",357],["torrentrj164.com",357],["torrentrj165.com",357],["torrentsome144.com",357],["torrentsome145.com",357],["torrentsome146.com",357],["torrentsome147.com",357],["torrentsome148.com",357],["torrentsome149.com",357],["torrentsome150.com",357],["torrentsome151.com",357],["torrentsome152.com",357],["torrentsome153.com",357],["torrentsome154.com",357],["torrentsome155.com",357],["torrentsome156.com",357],["torrentgram65.com",359],["torrentgram66.com",359],["torrentgram67.com",359],["torrentgram68.com",359],["torrentgram69.com",359],["torrentgram70.com",359],["torrentgram71.com",359],["torrentgram72.com",359],["torrentgram73.com",359],["torrentgram74.com",359],["torrentgram75.com",359],["torrentgram76.com",359],["torrentgram77.com",359],["torrentgram78.com",359],["torrentgram79.com",359],["torrentgram80.com",359],["torrentmode.com",360],["torrentnx17.com",361],["torrentnx18.com",361],["torrentnx19.com",361],["torrentnx20.com",361],["torrentnx21.com",361],["torrentnx22.com",361],["torrentnx23.com",361],["torrentnx24.com",361],["torrentnx25.com",361],["torrentnx26.com",361],["torrentnx27.com",361],["torrentpi144.com",362],["torrentpi145.com",362],["torrentpi146.com",362],["torrentpi147.com",362],["torrentpi148.com",362],["torrentpi149.com",362],["torrentpi150.com",362],["torrentpi151.com",362],["torrentpi152.com",362],["torrentpi153.com",362],["torrentpi154.com",362],["torrentpi155.com",362],["torrentpi156.com",362],["torrentqq316.com",363],["torrentqq317.com",363],["torrentqq318.com",363],["torrentqq319.com",363],["torrentqq320.com",363],["torrentqq321.com",363],["torrentqq322.com",363],["torrentqq323.com",363],["torrentqq324.com",363],["torrentqq325.com",363],["torrentqq326.com",363],["torrentqq327.com",363],["torrentqq328.com",363],["torrentqq329.com",363],["torrentqq330.com",363],["torrenttip125.com",364],["torrenttip126.com",364],["torrenttip127.com",364],["torrenttip128.com",364],["torrenttip129.com",364],["torrenttip130.com",364],["torrenttip131.com",364],["torrenttip132.com",364],["torrenttip133.com",364],["torrenttip134.com",364],["torrenttip135.com",364],["torrenttip136.com",364],["torrenttip137.com",364],["torrenttip138.com",364],["torrenttop103.com",365],["torrenttop104.com",365],["torrenttop105.com",365],["torrenttop106.com",365],["torrenttop107.com",365],["torrenttop108.com",365],["torrenttop109.com",365],["torrenttop110.com",365],["torrenttop111.com",365],["torrenttop112.com",365],["torrenttop113.com",365],["torrenttop114.com",365],["torrenttop115.com",365],["torrenttop116.com",365],["tvchak77.com",366],["tvchak78.com",366],["tvchak79.com",366],["tvchak80.com",366],["tvchak81.com",366],["tvchak82.com",366],["tvchak83.com",366],["tvchak84.com",366],["tvchak85.com",366],["tvchak86.com",366],["tvchak87.com",366],["tvchak88.com",366],["tvchak89.com",366],["tvchak90.com",366],["tvchak91.com",366],["tvchak92.com",366],["tvchak93.com",366],["tvchak94.com",366],["tvchak95.com",366],["tvchak96.com",366],["tvchak97.com",366],["tvchak98.com",366],["news.tvchosun.com",367],["uuoobe.com",369],["m.mimint.co.kr",371],["wassada.com",372],["pedia.watcha.com",373],["front.wemakeprice.com",374],["mw.wemakeprice.com",375],["search.wemakeprice.com",376],["whosaeng.com",377],["wjdqhzld.com",378],["xetown.com",379],["xn--vv4b11c.com",380],["xvideos-kr.com",381],["yaburi52.com",382],["yaburi53.com",382],["yaburi54.com",382],["yaburi55.com",382],["yaburi56.com",382],["yaburi57.com",382],["yaburi58.com",382],["yaburi59.com",382],["yaburi60.com",382],["yaburi61.com",382],["yaburi62.com",382],["yaburi63.com",382],["yaburi64.com",382],["yaburi65.com",382],["yaburi66.com",382],["yaburi67.com",382],["yaburi68.com",382],["yaburi69.com",382],["yaburi70.com",382],["yaburi71.com",382],["yaburi72.com",382],["yagong76.com",383],["yagong77.com",383],["yagong78.com",383],["yagong79.com",383],["yagong80.com",383],["yagong81.com",383],["yagong82.com",383],["yagong83.com",383],["yagong84.com",383],["yagong85.com",383],["yagong86.com",383],["yagong87.com",383],["yagong88.com",383],["yagong89.com",383],["yagong90.com",383],["yagong91.com",383],["yagong92.com",383],["yagong93.com",383],["yagong94.com",383],["yagong95.com",383],["yagong96.com",383],["yagong97.com",383],["yagong98.com",383],["ydbox30.com",386],["ydbox31.com",386],["ydbox32.com",386],["ydbox33.com",386],["ydbox34.com",386],["ydbox35.com",386],["ydbox36.com",386],["ydbox37.com",386],["ydbox38.com",386],["ydbox39.com",386],["ydbox40.com",386],["ydbox41.com",386],["ydbox42.com",386],["ydbox43.com",386],["ydbox44.com",386],["ydbox45.com",386],["ydbox46.com",386],["tvbox68.xyz",386],["tvbox69.xyz",386],["tvbox70.xyz",386],["tvbox71.xyz",386],["tvbox72.xyz",386],["tvbox73.xyz",386],["tvbox74.xyz",386],["tvbox75.xyz",386],["tvbox76.xyz",386],["tvbox77.xyz",386],["tvbox78.xyz",386],["tvbox79.xyz",386],["tvbox80.xyz",386],["tvbox81.xyz",386],["tvbox82.xyz",386],["tvbox83.xyz",386],["tvbox84.xyz",386],["ekn.kr",388],["m.yes24.com",390],["m.ygosu.com",392],["ygy48.com",394],["ygy49.com",394],["ygy50.com",394],["ygy51.com",394],["ygy52.com",394],["ygy53.com",394],["ygy54.com",394],["ygy55.com",394],["ygy56.com",394],["ygy57.com",394],["ygy58.com",394],["ygy59.com",394],["ygy60.com",394],["ygy61.com",394],["yongtj.com",395],["yul-do.com",396],["invest.zum.com",398],["m.search.zum.com",401],["shopping.zum.com",402],["koreanbots.dev",403],["av19.gg",404],["maple.gg",405],["talk.op.gg",406],["poro.gg",407],["tftps.gg",408],["hasha.in",409],["ponh.info",410],["a-ha.io",411],["bloomingbit.io",413],["thebook.io",414],["thepumpkin.io",415],["velog.io",416],["allaboutshaving.kr",417],["asked.kr",[418,419]],["www.instiz.net",[419,707]],["buly.kr",420],["0db.co.kr",421],["11st.co.kr",422],["www.11st.co.kr",425],["2cpu.co.kr",426],["5donews.co.kr",427],["news.appstory.co.kr",430],["browse.auction.co.kr",434],["itempage3.auction.co.kr",435],["m.auction.co.kr",436],["item.gmarket.co.kr",438],["cnews.beyondpost.co.kr",440],["m.beyondpost.co.kr",441],["bizwatch.co.kr",442],["blockmedia.co.kr",443],["bobaedream.co.kr",444],["bodnara.co.kr",446],["brainbox.co.kr",448],["cadgraphics.co.kr",449],["casenews.co.kr",450],["cbinews.co.kr",451],["m.compuzone.co.kr",456],["coocha.co.kr",457],["m.coocha.co.kr",458],["cultureland.co.kr",459],["cvsnet.co.kr",460],["dailian.co.kr",461],["rhythmer.net",461],["daisomall.co.kr",462],["darakwon.co.kr",463],["datanews.co.kr",464],["ddaily.co.kr",465],["deliverypoint.co.kr",466],["semoi.kr",[466,657]],["dispatch.co.kr",468],["doctorjob.co.kr",470],["dschool.co.kr",471],["dt.co.kr",472],["www.dt.co.kr",473],["dtoday.co.kr",474],["e-himart.co.kr",475],["earlyadopter.co.kr",476],["www.edaily.co.kr",480],["eleparts.co.kr",481],["enjoytaiwan.co.kr",483],["eomisae.co.kr",484],["hellot.net",[485,703]],["filecity.co.kr",491],["m.fishingseasons.co.kr",492],["fntoday.co.kr",493],["m.fpn119.co.kr",495],["fun-iyagi.co.kr",496],["timecoffee.co.kr",496],["gamefocus.co.kr",498],["gginews.co.kr",499],["browse.gmarket.co.kr",501],["category.gmarket.co.kr",502],["m.gmarket.co.kr",503],["www.gmarket.co.kr",504],["gobest.co.kr",505],["happymoney.co.kr",507],["m.happymoney.co.kr",508],["hashcode.co.kr",509],["hogaeng.co.kr",511],["i-boss.co.kr",514],["idsn.co.kr",515],["m.idsn.co.kr",516],["inven.co.kr",518],["www.inven.co.kr",520],["issuelink.co.kr",521],["jobkorea.co.kr",525],["mnews.jtbc.co.kr",526],["junggi.co.kr",528],["kayak.co.kr",529],["kidd.co.kr",532],["kmug.co.kr",535],["kookje.co.kr",536],["kyobobook.co.kr",537],["lawtalk.co.kr",538],["lawtalknews.co.kr",539],["lawtimes.co.kr",540],["manhwa.co.kr",543],["m.mbn.co.kr",544],["star.mbn.co.kr",545],["mediatoday.co.kr",546],["newsworker.co.kr",[546,566]],["mininote.co.kr",549],["mksports.co.kr",551],["monitor.co.kr",554],["news.mt.co.kr",557],["osen.mt.co.kr",558],["news.mtn.co.kr",559],["mule.co.kr",560],["m.mydaily.co.kr",561],["biz.newdaily.co.kr",564],["noteforum.co.kr",569],["m.osen.co.kr",571],["piku.co.kr",573],["pohangnews.co.kr",575],["redflame.co.kr",579],["community.rememberapp.co.kr",580],["now.rememberapp.co.kr",581],["sbs.co.kr",582],["sellclub.co.kr",584],["en.seoul.co.kr",586],["m.nownews.seoul.co.kr",[588,590]],["www.seoul.co.kr",591],["steptohealth.co.kr",[593,594]],["techrecipe.co.kr",595],["news.tf.co.kr",598],["m.thebigdata.co.kr",600],["thecall.co.kr",601],["theguru.co.kr",602],["themomstory.co.kr",603],["m.thesingle.co.kr",604],["tiendeo.co.kr",605],["m.tinnews.co.kr",606],["sta.tion.co.kr",607],["www.tmon.co.kr",608],["withcast.co.kr",611],["yna.co.kr",613],["m.yna.co.kr",614],["yonhapnewstv.co.kr",615],["commutil.kr",621],["defensetimes.kr",622],["everytime.kr",624],["fafan.kr",625],["fow.kr",628],["nts.go.kr",629],["gorani.kr",630],["hash.kr",631],["wiki.hash.kr",632],["heye.kr",633],["japanout.kr",634],["kharn.kr",636],["mbong.kr",638],["mground.kr",640],["minelist.kr",641],["muko.kr",642],["m.newspic.kr",645],["nunting.kr",646],["okky.kr",647],["op.skill.or.kr",650],["outstanding.kr",652],["pping.kr",653],["ppss.kr",654],["reurl.kr",656],["m.socialvalue.kr",660],["sportsw.kr",661],["thelec.kr",662],["jovelys.ulog.kr",664],["coolfun.zal.kr",664],["url.kr",665],["vitaminhealth.kr",666],["wadiz.kr",667],["ggulzam.zal.kr",669],["1412.live",670],["bera.world",670],["redsun50.me",674],["redsun51.me",674],["redsun52.me",674],["redsun53.me",674],["redsun54.me",674],["redsun55.me",674],["redsun56.me",674],["redsun57.me",674],["redsun58.me",674],["redsun59.me",674],["redsun60.me",674],["redsun61.me",674],["redsun62.me",674],["redsun63.me",674],["redsun64.me",674],["redsun65.me",674],["redsun66.me",674],["redsun67.me",674],["redsun68.me",674],["redsun69.me",674],["redsun70.me",674],["redsun71.me",674],["redsun72.me",674],["redsun73.me",674],["redsun74.me",674],["22st.net",675],["alltimelegend.net",677],["betanews.net",678],["m.betanews.net",679],["blackkiwi.net",680],["bozayo.net",682],["chuing.net",684],["m.clien.net",686],["www.clien.net",687],["damoang.net",689],["daum.net",690],["entertain.daum.net",691],["focus.daum.net",692],["pubg.game.daum.net",693],["m.daum.net",694],["dogdrip.net",699],["esuwon.net",700],["extrememanual.net",701],["hellven.net",704],["instiz.net",705],["m.instiz.net",706],["koreaminecraft.net",710],["www.koreatimes.net",712],["lover932.net",713],["lover933.net",713],["lover934.net",713],["lover935.net",713],["lover936.net",713],["lover937.net",713],["lover938.net",713],["lover939.net",713],["lover940.net",713],["lover941.net",713],["mathbang.net",715],["moeni.net",718],["mongri.net",719],["moviepang.net",720],["3277532532.reviewtoday.net",723],["save-1.net",724],["tailstar.net",725],["news.unn.net",727],["ibric.org",728],["m.ibric.org",729],["lol.ps",730],["namu.wiki",732],["en.namu.wiki",733],["tv46.wiki",734],["tv47.wiki",734],["tv48.wiki",734],["tv49.wiki",734],["tv50.wiki",734],["tv51.wiki",734],["tv52.wiki",734],["tv53.wiki",734],["tv54.wiki",734],["tv55.wiki",734],["tv56.wiki",734],["tv57.wiki",734],["tv58.wiki",734],["tv59.wiki",734],["mnetplus.world",735],["bobaelink65.xyz",736],["bobaelink66.xyz",736],["bobaelink67.xyz",736],["bobaelink68.xyz",736],["bobaelink69.xyz",736],["bobaelink70.xyz",736],["bobaelink71.xyz",736],["bobaelink72.xyz",736],["bobaelink73.xyz",736],["bobaelink74.xyz",736],["bobaelink75.xyz",736],["bobaelink76.xyz",736]]);

const entitiesMap = new Map([["agitnovel",0],["agitwebtoon",1],["anilife",2],["avsee",3],["bbongtv",4],["cokcok",5],["coktv",6],["g-enews",7],["newtoki",8],["sonagitv",9],["tvhot",[10,11]],["tvzone",12]]);

const exceptionsMap = new Map([["board.namu.wiki",[732]]]);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
