/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: spa-0

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = [".banner-desktop-300",".banner-libre",".pub_begum,\n.publicidad_cont",".publicidad","#text-3","#footer-widgets,\n.banner-promotions-wrapper,\n.fp-slider,\n.metaslider,\nimg[class^=\"slider\"]",".widget_metaslider_widget",".ad-wrapper",".ad","#cacho-overlay,\n#cacho-popup,\n.lazypubli,\n.slickWindow","#div-abc_1024x100_arriba_logo,\n.banner-lateral",".banner-box",".adserver-zona",".adserver-zona-zocalo,\n.banner-simple",".contenedor_banner_popup,\n.contenedor_principal_banner_lateral",".zona_banners","p[style=\"margin:2px auto 2px auto;padding:2px 2px 2px 2px;border:0px solid #999999; background-color:#f0f0f0; overflow:hidden;\"]",".custom-html-widget",".g",".wp-block-image","div[align=\"center\"] > a","[id^=\"media_image-\"]","div[style=\"width: 90%; height: 90px; background: #fff; text-align: center; display: inline-block; color: #bbb; font-family: 'Open Sans', sans-serif; font-weight: 700; font-size: 1.2rem; white-space: nowrap; padding: 0px 5% 0; overflow: hidden;\"]",".banner2",".banner1,\n.banner3,\n.banner4,\n.banner5",".stream-item-mag",".widget-ad-image",".widget_block",".banner",".banner-wrapper",".bottom-sticky-banner-box,\n.css-svo7lo,\n.fixed-banner,\n.pre-home-banner-box",".tdi_36","#lik",".banner-lanusse,\ndiv[class*=\"dfp-async\"]",".bnr",".modal-backdrop",".td-a-rec-id-custom-spot",".st-banner",".visable","#OBJETO861 > .ad-obj",".tronco--init","div[id^=\"dsr-\"]","#text-7","#text-5,\n#text-6","#carruselMarcasBlaisten",".ppp","div[style=\"margin-top:10px;float: left;\"]","div[class^=\"contenedor_banner_\"]",".bannerpopup",".bannernota,\n.bannernota2,\n.bannernota3",".sponsor",".banner-box-container,\ndiv[class*=\"_site-banner-top_\"]",".publicidad_nota",".adv",".n2-section-smartslider",".widget_media_image",".ads",".banner-swap","a[href^=\"https://www.starplus.com\"][href*=\"?cid=\"]",".banners","#banner",".p336-c,\n.p336_2,\n.pie,\n.publicidad-728-top","#custom_html-4","#generico,\n.bannerSide,\n.bannnerTop",".ml-slider,\n.slider-34391",".widget_custom_html","img[width=\"300\"]","#text-4","p[style=\"margin:2px 2px 2px 2px;padding:2px 2px 2px 2px;border:0px dashed #999999; overflow:hidden;\"]",".ap",".apb","#id_popup_MM_cliqueado,\n.container-spot,\n.cookie_lasa_popup,\n.popup_MM__cliqueado,\n.td-a-rec-id-sidebar,\ndiv[style=\"box-shadow: rgba(0, 0, 0, 0.4) 0px 0px 20px; background: rgb(255, 255, 255); animation-duration: 0.4s; animation-delay: 0.2s; border-radius: 4px; width: 900px; height: 500px; margin: auto; padding: 30px;\"]",".banner-nativo",".add",".--ads,\n.auspicia > a[href^=\"https://betsson.bet.ar/\"],\n.ln-aside,\n.ln-banner-container,\n.logos-wrap,\n.mod-banner,\n.sidebar__aside,\n.sponsor-container",".sponsors",".lanus-widget","#custom_html-3","img[height=\"300\"]","img[height=\"728\"]","img[height=\"304\"],\nimg[height=\"705\"]","#text-9",".clublavoz,\n.imgSponsor,\n.producto-tienda",".fondo_column_publi2",".header_publicity,\n.link-ads-content,\n.publicity",".sponsored",".container-advertising,\n.ui-recommendations-carousel-wrapper-ref:has(a[rel=\"nofollow, sponsored\"]),\n.ui-recommendations-list__container--pads,\n.ui-search-bottom-ads__container,\n.ui-search-sidebar-advertising__display,\n.ui-search-sidebar-placements,\nli.ui-search-layout__item:has(div.ui-search-item__pub-container)",".creatividad",".megabanner","img[width=\"400\"][height=\"100\"]","#swiffycontainer",".banner-center",".banner-border",".sc-905ccbfc-0,\n.sc-905ccbfc-1,\n.sc-905ccbfc-5,\n.sc-905ccbfc-7,\na[href=\"https://www.facebook.com/SchneiderARG/\"],\na[href=\"https://www.youtube.com/watch?v=IZPtel51MlA\"]",".partnerships-view","#sticky-banner-article",".m-pod-promo-image",".ofertas2","#key2sticky,\n.widget-content:has(a[target=\"_blank\"])","img[height=\"735\"]","img[height=\"200\"]","img[height=\"250\"]","img[width=\"336\"]",".article-banner,\n.banners-rotate,\n.bloque-secondary,\n.featured-banner","#pub728,\na[href^=\"publicidad.php?\"]",".banner-flex",".banner-bloque,\n.box-banners-dest,\n.box-bloque-banners,\n.columna-tercera","#imagensidebar,\n.Estilo1,\n[href^=\"https://www.bancodecorrientes.com.ar\"]","ads-component",".quadro-ads-widget-1col",".banners_flash","#publiRightContainer",".banner-side","#bloque-11",".banner-billboard-wrapper","#text-1000,\n#text-1001,\n#text-25,\n#text-999","iframe[style*=\"z-index: 2147483647\"]",".horizontal-area,\n.square-area","a[href*=\".php\"],\na[href^=\"https://bstk.me/\"]",".ed-ads,\n.leftSidebar,\n.rightSidebar",".adcontainer-portlet","[action^=\"https://significadoconcepto.com/\"]",".amp_columnapubli",".nou-publi-cap-home",".publi-inter-portada",".publi_interpagina",".advertising","#contenidor_megabanner,\n.M-publicitat",".no-baldomero",".roba","ra[type=\"intext\"]",".c-banner",".container-ad",".patrocini",".publicitat","a[href*=\"://bit.ly/\"]","[href^=\"https://www.tgtravel.net/\"]","#divTopBanner,\n.row-publi-portada,\n.spotPortada",".banerpromocio","#publicos,\n#publientrenotis,\n.zona-ajbcn,\n.zona-lacaixa","[href^=\"https://www.caixabank.cat\"]",".caixa-publicitat",".publi-horizontal,\n.publicitat-banner",".bannerContainer",".container-banner-header",".drts",".ads13",".mx-auto.aspect-box.bg-secondary.bg-opacity-10",".mh266-100",".the-banner",".banner-ancho,\n.banner-ancho-movil","#media_image-17,\n#media_image-30,\n.home-featured-widgets",".header-promotion",".OtherPages_othersection__Ad_Ae,\na[class^=\"Banner_\"],\ndiv[class^=\"Autofact_\"],\ndiv[class^=\"InterestingSection_\"]",".aawp","div[id^=\"beerg-\"]",".widget_text",".advertisement",".widget_aawp_widget_box","div[id^=\"canna-\"]",".banner-capital","#page-header,\n.peace-of-mind",".banner_full",".banner-cms",".banner-top",".ad-container",".boxbanner_container",".odds-slider-widget","div[id^=\"debos-\"]","#bannerZocalo,\n.each-container.grid.grid-cols-1.items-center.default-gap.items-end.mx-auto.container.default-padding",".openx",".td-a-rec",".pub-escritorio","div[style=\"width:100%;margin: 30px auto; text-align:center;clear:both;padding:20px 0;\"]","#bannerGCP,\n#pub,\n.RP,\n.cajabanners",".bloque-dfp","a[href^=\"https://www.vgs.cl/\"]",".widget_owjnimg",".wpwbs_banners",".mx-auto.aspect-box.bg-primary.bg-opacity-10.overflow-hidden.my-1",".ai-viewport-1",".img-banner","#slot_box01,\n#slot_top",".agrupadorPatrocinados,\n.section-dfp",".wpb_single_image","a[href^=\"http://www.futboldeculto.com\"]",".arcad-feature",".banner-fixed-container,\n.home-banner,\n.slide__banner",".d_banner_t13,\n.home-slider__header__sponsor,\n.t_banner_t13,\n[class^=\"home-category-grid\"],\n[class^=\"home-slider__ads\"],\ndiv[class^=\"home-category-grilla__pub-\"],\ndiv[class^=\"live-page__ads-\"]","#web-tc-horizontal-1-d,\n#web-tc-horizontal-2-d,\n.contenedor-auspicio",".banner-full","div[style=\"width: 970px; height: 250px;\"]","[href^=\"https://jeronimosoymuyfeliz.org/\"],\n[href^=\"https://www.dsa.com.co/\"]","#myModal","[href^=\"http://www.cedimed.com/\"],\n[href^=\"http://www.incodol.com/\"],\n[href^=\"https://kstore.com.co/\"],\n[href^=\"https://www.aress.com.co/\"],\n[href^=\"https://www.usana.com/\"]","[id^=\"metaslider\"]","[href^=\"https://colombia.argos.co/\"]","#BannerFlotanteDp,\n#Banner_Flotante_Dp,\n#Robapagina_1,\n#Robapagina_mb_1,\n#SuperBanner1,\n#SuperBanner2,\n#Superbanner_1","[href^=\"https://www.rimax.com.co/\"]","[id^=\"block-views-block-pauta-lateral-\"]","[href*=\"extra.com.co\"]",".publicidadtop",".bannergroup",".a-single","#Barra_1_D,\n#Boton_1_D",".banner_header",".vc_single_image-img,\ndiv[itemtype^=\"https://schema.org/WPAdBlock\"]","[href^=\"https://www.inder.gov.co/\"]",".publicy-banner",".Ads_megaBannerTopContainer","[href^=\"https://co.findasense.com/\"]","#media_gallery-7",".advertising-news,\n.imperdibles__position","[href^=\"https://coronaviruscolombia.gov.co/\"]",".pauta","#ads-mascotas","[class^=\"banner\"]","#text-15",".homepage-widget > #text-16","#box-over-content-a,\n#box-over-content-detail,\n.bettingStrip,\n.liveActiveBet-ico",".detailLeaderboard,\n.oddsPlacement","#pinno-post-bot-ad,\n.pinno-flex-ad,\n.pinno-widget-ad",".attachment-full",".attachment-large",".jawban",".td_spot_img_all","a[href^=\"https://startgaming.net/\"]",".cyclone-slider-widget-8",".ads_url_insert,\ntr[data-lang=\"Publicidad\"]",".gpt-slot-barra-flotante-inferior,\n.gpt-slot-satelite-container",".pauta__billboard",".anpub",".cssanimations","#block-wplay,\n.goles_acero_banner","div[style=\"padding: Publicidad\"]",".banner-header",".adx","#dst_pub_728,\ndiv[style=\"height:334px\"]","[class*=\"pelag-\"]","a[href^=\"https://geriasa.es/\"],\na[href^=\"https://karting-rivas.com/\"]",".actua-widget,\ndiv[id^=\"actua-\"]",".esdfp","a[href^=\"/away.php?\"]","#avisosDerechaContainer",".vc_custom_1650472176304,\n.vc_custom_1650479017608,\n.vc_custom_1676190182392","#banner_footer,\ndiv[style=\"width: 300px; height: 600px;\"],\ndiv[style=\"width: 640px; height: 480px;\"],\ndiv[style=\"width: 728px; height: 90px;\"]","div[id^=\"Bannerprincipal\"]",".td-header-sp-recs","#binanceAd","#bannerStickyHeader,\n.banner-3-col",".banner-container","div[class^=\"banner-\"]","#disp-cta",".w-full.min-h-\\[100px\\].pt-\\[48px\\]",".pbl",".commercial-banner,\n.commercial-banner-top","div[data-mod=\"ads\"]",".attachment-medium_large",".g-eplanning","img[width=\"468\"]","#anuncio-dark,\n.ad-leaderboard-row",".banner-bilboard,\ndiv[style=\"float:left;width:970px;height:90px;background: #eee; margin-right:10px\"]",".topleader",".qtcd_pt,\n.qtcd_wt",".ads-notificator,\n.publi1","td[width=\"728\"][height=\"90\"]",".jlm-ad-videoo",".bannerfijodcha,\n.bannerfijoizda2,\n.bannerskinhome,\n.bannersuperiorhomebajomenu","#ue_popups",".m-desvio-ecommerce",".code-block",".placeholder",".center,\n.sticky-container[style=\"height:600px;\"]",".banner_superior",".banner_bienes_rosario_contenido,\n.banner_dinamic,\n.banner_inferior",".banner_sop",".banner--full","a[href^=\"https://www.bikezona.com/util/redirect.asp?idbanner=\"]","[href^=\"https://www.continental-neumaticos.es/\"]","#multiplier_banner_container",".Scl-r","[href^=\"http://www.mcsinformatics.net/\"]","a[href^=\"https://innyweakela.co/redirect?\"]","iframe[style^=\"width: 100% !important; height: 95px !important; opacity: 1 !important; max-width: 420px\"]",".sidebar > .widget.Image,\ndiv[class^=\"fixed-\"][class$=\"Sd\"]",".widget.Image","div[style*=\"background-image: url\"]","[href^=\"https://www.binance.com/\"],\n[href^=\"https://www.bitcoinshoy.com/\"]","div[style=\"font-family:Arial, Helvetica, sans-serif;font-size:9px;color:#666666\"],\niframe[src*=\"://supercore.adm-vids.com/video_offer?\"]",".home-poll-block__ad","#espacio-teads,\n[class*=\"div-gpt-ad-\"]","[href^=\"http://www.intellywp.com/\"]",".TableWidget","#widget_sp_image-2","#mundo-descuento,\n.baner300x250,\n.baner630x250,\n.baner960x50,\n.baners-medio-nota-ampliada",".c-p-ia,\n.c-s > div","div[style^=\"width: 728px;\"]",".wpb_images_carousel",".ib-ad-text","div[style=\"margin-bottom:1px; padding-bottom:1px; height:70px; margin-top:1px\"]",".hide-for-small",".publ11s-b0ttom,\n.r11ght-pl4yer-169","#rp1-compuesto",".pauta-barra-media",".banner--",".banner--megabanner",".advBottomPagin,\na[href^=\"https://www.pornogratis.online/\"]","#barraAvisoAds",".pasli","#top",".oletf-img",".cienradios-ads",".floatingBottomAd","a > img[alt^=\"Ganar\"]",".banner-right,\n.bannerTopHeader,\n.box-adv,\n.column > div[class] > div[class^=\"sc-\"]:has(div[class^=\"sc-\"] > div[id^=\"div-gpt-ad\"]),\ndiv[class^=\"sc-\"]:has(> div[id^=\"div-gpt-ad\"])","#coverAds",".adsense",".StickyCorner,\n.TopLeaderboard","a[href^=\"https://paysuites.me/\"]",".espacio-publi,\n.espacio-publi-google","div[class^=\"ad-slot_\"]",".arcad-container,\n[id^=\"arcad-feature\"]",".link_cams",".rteright",".game-promo,\n.games-horizontal-promo,\n.sidebar-game",".samCodeUnit","[class*=\"td-a-rec-id-\"]",".cript-adlabel,\n[class*=\"cript-advanced-ads\"],\n[class*=\"cript-homepage-\"]",".banner-revista,\n.blocksponsor,\n.content-banner,\n.entry-box-banner,\n.piecesponsor,\n.piecesponsor2","[href^=\"https://cryptopotato.com/ad/lumenswap\"]","#anuncio","#megaSuperior_multisite,\ndiv[class^=\"adsGroupTop\"],\ndiv[class^=\"ads__ad_\"],\ndiv[class^=\"cards__card_ad-\"]",".sidebar > #text-html-widget-11","img[src=\"http://logos.cdn.cxpublic.com/PAN_logo_38px.png\"]",".itau-banner,\n[href^=\"https://camaraarmenia.org.co\"]",".container-publicidad",".separator__sponsored","div[class^=\"content_gpt_\"]",".customAdvertise_Campaign","a[rel*=\"sponsored\"]",".banner-home","[id^=\"diari-\"]",".clickout-banner-regular_native_box",".e3lan",".text-html-box",".caja_bannersV","div[style^=\"width: 300px; height: 250px;\"],\ndiv[style^=\"width: 300px; height: 600px;\"]","div[id^=\"diari-\"]",".Banner",".bnn",".anuncio",".banneritem","#bannerDiv,\n#gkRightBottom,\n#gkRightTop,\n.vc_align_left,\n.wpb_raw_html",".m-branded,\n.section-native-container",".related-native-item","#lngtd_ad_video",".samBannerUnit","#banner-superior","div[id^=\"donos-\"]","div[id^=\"duros-\"]","#contiene_orejeras",".g-single",".econo-code-block","[href^=\"https://bit.ly/\"],\n[href^=\"https://velotax.com.co/\"]","#topbar",".anuncioAlt,\nimg[alt=\"ADR Formación\"]","#radlinks,\n.gpt_300,\n.leaderboard-wrap",".featured_specials",".textwidget","#z_pub_inf_new,\n#z_pub_sup_new,\n.ads-superior,\n.pub_lat1_father,\n.pub_lat2_father,\n.pub_lat3_father",".__lxG__multi,\ndiv[class^=\"ads_single_\"]",".widget.HTML","#apsa-pop-hidden-img,\n#wrapper-header-full,\n.apsa-embed-cont,\n.widget_apsa_campaign","#tiquetesMasBaratos,\n.Widgetsliderintelecto,\n.contentBannerIntelecto,\n.intelectoslidercabecera",".ned-ad-dynamic",".adcrt300x600,\n.articleAside__module.articleAside__module--isSticky,\n.revUnit--placeholder","#custom_html-53,\n#custom_html-54,\n#publitopfondo,\n.fullwidthabanner,\n.fullwidthbanner-container",".content-add,\n.module-free-html-ads",".publicidad_marca,\ndiv[id^=\"banner_\"]","#sticky_container,\n.adv_inline,\n.article-adv,\n.comments-adv,\n.heading__sponsor,\n.publi_intext2",".pubbox",".widget_simpleimage",".Ads,\n.external-logos",".ele-banner",".coverless",".___-N",".banner_box,\n.banner_box_p","#tdi_16",".sub_header","img[alt^=\"banner-vert-\"],\nimg[width=\"450\"],\nimg[width=\"980\"]","img[width=\"500\"]",".con_publi","#en_nd_home_flat_2,\n#en_nd_home_flat_3",".note-home-container--1-space",".banner-img",".elementor-element-a51cde3,\n.elementor-element-d45ce2c,\n.elementor-element-d782763",".zone",".publi-top",".banner-a",".banner-b,\n.banner-c,\n.banner-d,\n.banner-e,\n.banner-f,\n.banner-g",".banner-h",".b-bra-bbva,\n.c-bra,\n.c-brr,\n.c.c-pfb.c--m",".ad02-obj","div[class^=\"adcont_\"]",".branded",".branded-content",".banner_lat",".row-sky-banners","[href^=\"https://www.yara.com.ec/\"]","#block-2,\n#block-3,\n.code-block-1,\n.code-block-18,\n.code-block-4,\n.tag-enlace-de-afiliados,\na[href*=\"https://urbanous.com/tienda/tazas/eo-eeeeooo/\"]",".code-block-6,\n.code-block-9",".separator",".publi-lateral",".top-bar",".tdi_132",".board-tu-negocio,\n.c-add--no-text,\n.main-article-container-patr:has(.contenido-comercial),\n.patrocinador-contenedor",".c-add","#custom_html-21","p[style=\"color: rgb(144, 144, 144); background-color: rgb(235, 235, 235);font-size: 12px;padding-left:5px;\"]",".border-grey-100",".bt_publicar_ecn","#home_top,\n.uber",".bannering","#bannerHorizontal,\ndiv[style=\"background-color:#FFFFFF;border-top:2px solid red; margin-bottom: 16px;\"],\ndiv[style=\"background-color:#ffffff;border-top:2px solid red; margin-bottom: 16px;\"],\ndiv[style=\"clear:both;width:100%;background-color: #EFEFEF;height:90px\"],\ndiv[style=\"clear:both;width:100%;background-color: #EFEFEF;height:90px;\"]",".stream-item-widget,\n.widget_wp_views","a[href^=\"https://esaschicas.com/rbs_banner.php?\"]",".media-ajust-tablet-publi-top,\n.pub-2,\n.publi-foot",".bloque_anun",".perfbtn","#mvp-wallpaper","#motor-home","[data-type=\"ads\"]",".patrocinio,\n.ue-c-cover-content--is-branded",".bankimia,\n.retargetting,\nimg[class=\"ue-c-widget__sponsor\"]","#block-29,\n.amazon-auto-links","[id^=\"arcad-\"]","#main_video_fluid_html_on_pause",".gtag","a[target=\"_blank\"][href^=\"https://accounts.binance.info/register?ref=\"],\na[target=\"_blank\"][href^=\"https://ripio.go.link/\"]","td[style=\"font-family:Arial, Helvetica, sans-serif;font-size:9px;color:#efefef\"]",".pub-btf,\n.pub-mid,\n.pub-text,\n.pub-top,\ndiv[class^=\"pub-\"]",".adshare_belownav,\n.adshare_firstpost,\n.adshare_lastpost","#AutoNumber30,\n#div-300x250,\n#div-336x280_foro_footer,\n#div-336x280_respuesta_medio,\n#div-970x90,\n#div-970x90_respuesta,\n#div-970x90_respuesta_final,\n#notices,\n#sidebar > div > section:has(.fixed_adslot),\na[href=\"http://goo.gl/NDrfcW\"]","#custom_html-17","#ad_global_below_navbar,\ndiv[style=\"width:120px; height:600px;\"],\ndiv[style=\"width:970px; height:90px;\"]","[href^=\"https://roobet.com/\"]","a[href^=\"http://bit.ly/\"]","#espacio-multi","#headeradd,\ndiv[style*=\"z-index: 9999\"]",".btn_betplay,\n.contenedor-logo-patrocinador,\n.pauta-bk",".timer",".myButton",".banner-bajo-header,\n.bannerclick,\n.macrobannerblock,\n.patrocinado-new","div[id^=\"gener-\"]","[class^=\"angwp_\"]","div[style=\"margin: 0 0 15px 0; overflow: hidden; position: relative; height: 0; padding-bottom: 25.39%;\"],\ndiv[style=\"margin: 0 0 15px 0; overflow: hidden; position: relative; height: 0; padding-bottom: 338.34%;\"],\ndiv[style=\"margin: 0 0 15px 0; overflow: hidden; position: relative; height: 0; padding-bottom: 344.09%;\"],\ndiv[style=\"margin: 0 0 15px 0; overflow: hidden; position: relative; height: 0; padding-bottom: 9.39%;\"]",".BannerColumna,\n.BannerHeader_Contenedor","[href^=\"https://tungurahuaturismo.com\"]",".article-branded-big",".Banner300x100","[href^=\"https://refpa.top/\"],\n[href^=\"https://www.jackpotcitycasino.com/\"],\n[href^=\"https://www.spincasino.com/\"],\n[href^=\"https://www.topwager365.com/\"]",".gtmclickpromo","#advertising","#custom_html-12,\n.textwidget.custom-html-widget","#banner_float,\n#new_ads","#onhsl","img[width=\"300\"][height=\"600\"]",".M50B--md,\n.banner--evento,\n.wrapperBanner",".td-visible-desktop","[class^=\"product-card\"],\ndiv[class^=\"embed-card_card_\"]:has(a[href^=\"http://disneyplus.bn5x.net/\"])","img[width=\"250\"]","img[width=\"728\"]","[class^=\"bp\"]",".et_pb_row_4","img[width=\"720\"]",".revcontent,\n.trb_taboola","#block-block-42,\n#block-infoblocks-infoblocks-fixedsize-17,\n#block-infoblocks-infoblocks-fixedsize-18,\n#block-infoblocks-infoblocks-fixedsize-5,\n#block-infoblocks-infoblocks-fixedsize-6,\n#block-infoblocks-infoblocks-fixedsize-7,\n.node-advertisement",".afterlogo,\n[href^=\"https://navegantes.aimc.es\"],\na[href*=\"_banner.php?id=\"]","#adblockadvice,\n[id^=\"detection\"]",".widget_idealista,\nA[href=\"http://www.idealista.com/news/vacacional/mercado-vacacional/2015/08/12/738750-competencia-arremete-contra-la-ley-que-limita-los-pisos-turisticos-en-el?xts=352991&xtor=AD-186-[node/738750]-[]-[57601_1]-[lavanguardia.es__lavanguardia.es]-[]-[titulo_1_1]&source=314\"],\n[href=\"http://www.idealista.com?xts=352991&xtor=AD-186-[idealista]-[]-[57601_1]-[lavanguardia.es__lavanguardia.es]-[]-[home_1_1]&source=314\"]","[href^=\"http://s1.igg-games.com/index.php?\"]","#publi2One","#top-banner-wrapper","#ifr_widget_sal",".pb-f-utilities-ad",".adsense-columna",".marco-publicidad","#block-views-diosuniversal-block-1,\n#zone-user-wrapper,\n.block-100,\n.block-101,\n.block-106,\n.block-111,\n.block-112,\n.block-87,\n.block-95","div[style=\" border:1px solid; background-color:#FFF; width:1220px; margin-left:auto; margin-right:auto; padding-bottom:10px\"]",".content-pub-top,\na[href*=\"/ads.php?id=\"]",".banner-2,\n.banner300x,\n.bannerpremiumnh",".banner-horizontal",".bannerwide","#mvp-head-top,\n[href^=\"https://elfotoys.com/\"]",".advert,\n.game-page-sidebar,\na[href*=\"smarturl.it/\"]",".Banners-lateral",".ai-dynamic","#sc-brandday",".spu-bg,\n.spu-box,\ndiv[class*=\"banner-\"]","div[class^=\"pubcaja\"]","#teaser3",".genosha_ads_fixed_bottom,\ndiv[style=\"position:absolute; top:12px; width:970px; height:90px; background:#FFF; z-index:100; padding:0px; margin:0px\"]","#rotator2,\n.piki-ads,\nimg[data-original-height^=\"300\"]","#anpr,\n.sponsor_stats",".axds",".axds-lane",".widget_custom_html > .block-title,\n.wpipa-container",".bannerheader","img[width=\"600\"]",".section-banner","img[width=\"800\"]",".dialog-message,\nimg[width=\"385\"]",".elementor-element-15f1544d","._ning_inner",".section-aside-roba,\naside[class^=\"mod-ad-\"]",".orbit-container",".brand-claro,\n.branded-sponsor,\n.spm","#ventana-flotante",".widget_sp_image",".article-module-sponsored,\n.box900,\n.div-patrocinado5,\n.lv-publi-box","img[alt^=\"publicidad\"]","img[width=\"900\"]",".elementor-element-32d83d8",".publi_robapaginas",".bam-topbar",".add990x90","iframe[style*=\"width: 100% !important; height: 170px !important; opacity: 1 !important;\"]","[class^=\"teaser\"]",".voc-home-branded-naked","#block-banneranimado,\n#block-views-block-banner-block-1,\n.mibanner",".dfp","#mega-atf,\n.partners","div[class^=\"lider-\"],\ndiv[class^=\"r89-\"]",".td-ss-main-sidebar","div[style=\"font-size:15px;height:19px;color:white;font-weight:bold;\"],\ndiv[style=\"width:100%;height:95px;margin-top:5px;\"]",".llano-antes-del-contenido,\n.llano-contenido","#takeover-desktop,\n#takeover-desktop-counter,\n#takeover-movil-counter",".gad,\n.grow.flex.justify-center.h-\\[300px\\],\n.w-full.h-\\[600px\\].my-5","#banners_footer",".BANNER-IMAGES,\ndiv[id^=\"detection\"]",".td_block_template_1.widget.widget_text",".trevda","#banners_cabecera,\nhr[style=\"width:5px; color:#CC6600; background-color:#CC6600; margin-top:3px; margin-bottom: 3px;\"]","#fixedban,\n#fixedban2,\n.anunciofooter","#Patrocinio,\n.ad-item-bt-cont,\n.codere,\n.flex-b-promociones",".textwidget a[href^=\"https://ar.puma.com/\"],\nimg[width=\"750\"]",".ib-ad-img",".owl-example",".brave_popup,\ndiv[id^=\"wmd-anuncio-\"]","a[href^=\"https://alertlogsemployer.com\"]","._p-ft,\n._p-tp",".sign,\na[href^=\"http://online.caliente.mx/promoRedirect?\"],\nimg[alt^=\"caliente.mx\"]","[href^=\"https://online.caliente.mx\"]","#enla","div[data-id^=\"013f85c\"]","#by_hawkers","a[href^=\"https://www.univistainsurance.com/\"]",".pb-tag",".has-advertisement,\n.ma-ContentListing-advertising-native","div[style^=\"height: 300px;\"],\ndiv[style^=\"height: 553px;\"]",".horizontal-webb,\n[data-l^=\" pub\"]",".banner_detail_files,\n.banner_detail_top","#moreg",".banner-listado-simple","[class^=\"pub-banner\"]","#wrapper-20,\n#wrapper-65,\n#wrapper-7,\n.banner-ad-not-1,\n.banner-ad-not-top",".e-post-banner",".tlf-ad",".promo","div[style=\"background-color:#FFF;margin-bottom:10px;height:250px;\"]",".bc_random_banner",".ad-banner","img[width=\"330\"]","#widget-mdcribeo-loultimo,\n.bolarosa,\n.publi-box","a[href^=\"https://get.surfshark.net/\"]","a[href^=\"https://www.platanomelon.com/?rfsn=\"]",".a-ty,\n.i_sba,\n.pds,\na[href^=\"https://landings.videochatprovider.com/\"],\na[href^=\"https://www.fuegocams.com/\"]",".brandvoiceFooter,\n.brandvoiceHeader,\n.dfp-container,\n.small-promo","[id^=\"metaslider_widget-\"]","#ad_wrapper_head",".widescreen","a[href^=\"https://www.eneba.com/\"][href*=\"?af_id=\"]","#adpv1,\n#adpv2,\n#banneralto,\n#shopall1,\n.banner250","#Mod375,\n#Mod427,\n#Mod450,\n#Mod452","#ads","a[href=\"http://iglesiasegura.com/\"]",".box_a","#skin","#carrusel_publicidad",".cc3,\n.publii",".pinno-ad-label",".prefix-adlabel,\na[href^=\"https://noticiasparamunicipios.com/linkout/\"]","#ads-inread,\n.barra-compuesta","#banners",".bannerspace","#text-8","div[style=\"background-color: #E6E6E6; padding: 2px; text-align: center\"]",".ad-block,\n.envoltorio-intext1,\n.mega,\n.outofpageHome,\na[href*=\"legalitas.com/\"]","[href^=\"https://seranking.com/\"]","#billboard-wrapper","[href^=\"https://www.electrohuila.com.co/\"],\niframe[src^=\"https://www.youtube.com/embed/CiedpC-wP7E?\"]",".pestana_footer","div[aria-label=\"QODE\"]","#camsFooter,\n.banner-bg,\n.camsHome,\na[href^=\"https://www.amateur.tv/\"]",".hidden-under-920,\n.resumecard",".space",".caja-banner-990",".bgshadow,\n.boxintersitial",".btnads,\n.pfake",".box","a[target=\"_blank\"][href^=\"https://startgaming.net\"]",".ad-300x250,\ndiv[style*=\"min-height: 250px;\"],\ndiv[style^=\"width: 300px;\"]","div[style*=\"min-height: 600px;\"]",".hustle-popup",".hpe-i-ad",".epl-space","#publi1,\n#publia,\n.abotonsponsor,\n.botonsponsor",".bwe_ext_partners","a[href*=\"wg-aff.com/click?\"]","[href^=\"https://record.secure.acraffiliates.com/\"]",".adv-square",".bnfo","a[href^=\"https://www.webcampornoxxx.net/\"]","div[class*=\"banner-set\"]",".Txt_PROMOCIONES,\n.Txt_Promociones,\n.Txt_promoclaro,\n.Txt_promomovistar,\n.Txt_promotigo",".countdown-container,\n.productos,\n.sliderPrensa,\n.tagPublicidad,\n.titulares-iframe",".stream-item",".py-4.text-center,\n.relative.flex.h-full.flex-col","[onclick*=\"'page' : '/virtual/Ad/\"]","#affiliate-livecam-widget-435",".c-banner-webcams,\n.c-webcams","[class*=\"code-block-\"]","a[href^=\"https://www.gymglish.com/partner/\"]",".masthead-banner","#wallpaper,\n.head-wrap-out","[id^=\"frame-div-gpt-ad-\"]",".elementor-element-4034d76","#zonaavisos,\n.container_publicidad",".comprabilletes",".loading-add",".layout-rev",".barra-megabanner-tp,\n.widget-sdb-publi,\n.widget-widget_this_theme_publi_text",".concintillo","#rev_slider_1_1_wrapper",".banner_bienes_rosario,\n.banner_centro_inf",".rumbo-widget,\n.widget_media_gallery","td[style=\"color:#666666; font-size:11px; padding:2px;\"]",".sdp-ad","a[href^=\"https://telelatinotv.page.link/\"]",".publish-box",".main-banner","#antiBannersGigantes",".a728",".abbcn-footer",".ntv-disclaimer",".code-block[style^=\"margin: 20px auto;\"]","[href^=\"/clickb.php\"]","div[id^=\"article_ads\"],\ndiv[id^=\"list_ads\"]","#anuncio_pancarta_campaign","#text-52,\n.ad3,\n.ad4,\n.ad5,\n.ad6",".ad2",".oxy-modal-backdrop",".accession",".it-ad,\n.it-ad-wrapper","[href*=\"quest.com/\"],\n[href^=\"https://www.apexsql.com/\"]","#pub_sup","a[href^=\"https://es.johnnybet.com/\"]","div[style=\"width:300px; height:250px; margin:0px auto;\"]","#publicidad-slider",".containerBannerDesplegable,\n.mainContainerBanner","a[href*=\"://clk.tradedoubler.com/click?\"],\na[href^=\"//clk.tradedoubler.com/click?\"]","#author-banner,\n#blog-banner,\n#header-banner,\n#highlights-banner,\n#text-69,\n#text-86,\n#text-87",".ad_space_large,\n.rapid_banner_home,\n.rapid_banner_sidebar",".prime-banner","#custom_html-19",".tno-banner,\n.tno-blocks-banner-horizontal","#slimbanner,\ndiv[style*=\"width: 300px; height: 250px;\"],\ndiv[style^=\"overflow: hidden\"]","a[href*=\"://psicotecnicos2x.es/\"],\na[href=\"http://www.sespol.es\"]",".fan,\n.intensive-add",".slide","#bannerbajo","#interstitial_container",".td-all-devices","div[data-testid=\"test-ads\"]",".widget[data-widget-type=\"ListWidget\"]","div[data-widget-type=\"Advertisement\"]",".bderecho,\n.bizquierdo","#g",".banner-bottom",".uvs-ad-full-width,\n[data-widget-type^=\"Outbrain\"]",".banner-970,\n.side-banner",".pauta-cuad","div[style=\"font-size: 0.8em; text-align: left; color: rgb(136, 136, 136);\"],\ndiv[style=\"margin-top:15px;float:left;width:100%;\"]",".fake_player,\ndiv[class^=\"ano_\"]","a[href^=\"https://www.primevideo.com/\"][href*=\"tag=\"]",".afs-block",".elementor-element-4485d264","#pBrazzers,\n#pSponsor",".adv-link",".attachment-medium,\n.widget_media_video","#banner-mega",".pba,\n.pbb,\n.pbc,\n.pbd,\n.pbf,\n.pbi,\n.pbj",".client-logo-slider",".block-crvt-adbtgmedia","div[class^=\"pauta_\"]",".banner_widget","#bio_ep,\n#sidebar-best-vpns,\n#sidebar-top-vendors","#bt_aws_ad_slot_1",".sidebar1.sidebar-separators",".happy-inside-player",".overlay_popup",".close-text","#banner_top_container,\n.slidebanner,\na[href^=\"https://beone.es/\"]",".popvidcnt",".a-wrap","#sidebar > .et_pb_widget,\n.code-block-3,\n.code-block-5","div[style=\"margin: 0px;padding: 0px; background-color: transparent;\"],\nimg[alt=\"Espacio Publicitario\"]",".mmc_ads_solo_escritorio","[href^=\"https://jumbo.com.do/\"]","#advertisement","#fancybox-overlay,\n#fancybox-wrap,\ndiv[id^=\"elmer-\"]",".sgpb-popup-dialog-main-div-wrapper,\n.sgpb-popup-overlay,\nrs-slides",".widget.widget_text","a[href=\"http://www.herbalife.com.ec/\"]",".region-pv1-superior-amplia",".elementor-element-811f5f8,\n.elementor-element-cfab89b,\n.elementor-element-fb5d061,\n.jet-popup","[id^=\"slider_\"]","img[alt=\"Promos\"]","img[style*=\"max-width: 970px;\"]","#cajasbuscadoras,\n.module-coupons,\na[href=\"http://boticariagarcia.com/\"],\na[href=\"http://lofficiel.es/\"],\na[href=\"http://www.esquire.es\"],\niframe[src^=\"https://www.20minutos.es/cajasbuscadoras/\"],\nimg[src=\"http://mmedia.20m.es/modulos/pastillas/nuevas/pastillas/Bankia.png\"]",".mega-superior","#block-block-17,\n#block-block-39,\n#block-block-43,\n#block-block-50",".BANNER,\n.BNR-DER","#wrap-pantallazo,\n.banner-cabecero",".td-banner-wrap-full",".appSlider","#bottombox,\n#topA_iframe,\na[href^=\"https://www.amazon.\"][href*=\"tag=\"]",".bannerhome,\n.destacados",".containerBanner,\n.transfer-container",".cl-billboad-wrapper,\n.osa-as24-placeholder",".g-dyn",".rm-product.rm-format,\n[aria-label=\"advertisement\"],\n[id*=\"-sponsored_products-\"]",".popup-promo",".pubframe,\n.rbbox-odds","#advertising-right,\n#advertising-top","div[style=\"margin:5px auto 5px;text-align:center;\"]",".b-2","div[style=\"text-align:center; margin-bottom: 15px; background-color:#F4F4F4;width: 302px;\"],\ndiv[style=\"text-align:center; margin-bottom: 15px; background-color:#F4F4F4;width: 728px;\"]","td[class*=\"id_publi_\"]:has(img[alt=\"publicidad\"])","a[onclick^=\"return ad_redirect\"]","#bhorizontal,\n#columnapublicidad,\n#mediacolumna,\n.advertising-corte-interstitial",".BANNER_COLUMN",".grp--branded-style",".henneoHB",".fusion-header-banner",".ePubli1,\nimg[src=\"http://media.grupojoly.com//0001985000/0001985392.gif\"],\nimg[src=\"http://media.grupojoly.com//0002002500/0002002922.gif\"]","#leftbanner,\n#mvp-leader-wrap,\n#rightbanner",".minibanner_content",".baterybanner",".publi",".beta-placement","#pmMarketing_1","[href^=\"https://www.morerayvallejo.es\"]",".sk--sponsored-by",".news-sponsored-content","#banners-superiores,\n#progressBar,\n.AD_Content,\n.adsLinicom,\n.bankia-cuerda,\n.bannerInferior,\n.bannerIntermedio,\n.banners-superiores2,\n.caja-publi-port,\n.railContainer1,\n.railContainer3,\ndiv[id^=\"300x\"],\ndiv[id^=\"728x\"]",".mauto.textcenter.mb20.mt20","#modulo_buscador_sv,\n.flex__publi,\n.other-services","#ads_position_2,\n.cls-publi-height,\n.m_gollum,\n.mods-box-body,\n.v-banner","div[style=\"width: 336px; height: 565px; float: right; margin-top: 30px;\"],\ndiv[style=\"width:300px; height:600px; float:right; margin-left:3px;\"],\ndiv[style=\"width:300px;height:600px;float:right\"],\ndiv[style=\"width:728px; height:90px; margin: 0 auto; margin-top: 5px; margin-bottom: 5px;\"],\ndiv[style=\"width:728px;height:90px;margin: 0 auto; margin-bottom:5px; margin-top:5px\"],\ndiv[style=\"width:970px;height:90px;margin:0 auto;margin-bottom:5px;\"]","#cx_widget,\ndiv[style=\"min-height: 700px\"]","#top_image_div",".ea-gat-slot-wrapper",".js-stt-click > picture",".banniere,\n.native","div[align^=\"center\"]",".testimonials-partners",".boxOverContent__banner",".col-sm-2","a[href*=\"/publicidad.php?id=\"],\niframe[src*=\"://www.netpol.es/\"]",".re-AdvertisingDominanceNative",".banner-placeholder","#adobe-pagination-mkt-copy,\n#layer_coupon,\n.adobe-coupon-container,\n.adobe-grid-design,\n.banner-adobe","#ai_widget-2",".node-anuncio-megabanner","#sky2_1,\ndiv[style^=\"min-height: 600px;\"]","[href=\"http://espanol.istockphoto.com/?esource=gi_es_home_3pack_istock_3\"] > .promo-hover","#sidebarADefault",".addg,\n.titulo-publicidad",".entry__right-rail-width-placeholder,\n.leaderboard-flex-placeholder,\ndiv[data-adtype]","[href^=\"https://www.colex.es\"],\n[href^=\"https://www.nuevamutuasanitaria.es\"]",".sk--offered-by,\n.sk--project-with-logo","img[alt=\"http://interbenavente.es/pag/serviciosweb\"],\nimg[alt=\"http://www.ford.es/serviciopostventa/PromocionesPostventa2013\"],\nimg[alt=\"http://www.serviciosfunerarioszamoranos.com/\"],\nimg[alt=\"https://www.facebook.com/pages/Caprichos-Benavente/1151234814894029?fref=ts\"],\nimg[alt=\"https://www.facebook.com/zarabanda.regalos?fref=ts\"]","#headerBanner,\n.bannerBlock","#text-72,\na[href*=\"caixabank.es/\"],\na[href*=\"comprometidoscon.org/\"]",".car-insurance,\n.finance","a[href*=\"/linkout/\"]",".textoPatrocinio,\n.vinculoPatrocinio",".u_1843050363",".ad_fixed_h,\n.adpos,\n.mujerhoy","#aside,\n#sidebar,\n[id^=\"djslider\"]","img[alt*=\"Banner\"]",".l-resultsList__item:has(.kl-blade--sponsored)","#text-7 > .textwidget","a[class*=\"sponsoredProductCard\"]",".js-ads-not-visible,\n.megaBanner","[data-test=\"mms-product-card\"]:has([data-test=\"mms-plp-presented\"]),\n[data-test=\"pdp-bundles-content\"]",".partenaire_simple,\n.partenaire_simple_home","td[class*=\"id_publi_\"]:has(a[href^=\"https://www.amazon.es/\"])","div[class^=\"coreCarousel__advertisementBox-\"]",".jobbioapp,\n.np-product-offers","#slider-wrapper,\n.lateral",".addContainer",".publi-sidebar-listado","a[href^=\"http://www.fuegodevida.com/\"]","#banner_superior,\n#banners_laterales",".akcelo-wrapper","#brand-carousel","article[id^=\"divAdserver\"]","a[href^=\"https://www.awin1.com/cread.php\"]","#decine21_widget_estrenos,\n.megabanner-container,\nimg[src=\"http://ficheros.publico.es/resources/cintillos/iberia-express.jpg\"]","#opciones > #patrocinio","#horizotal-banners,\n#right-banners,\n#widget_banners","a[href=\"http://www.cyclosaltamirano.es/\"],\na[href=\"http://www.morellasingletracks.com/\"],\na[href=\"http://www.mybikenet.com/development/\"],\na[href=\"https://www.facebook.com/pages/BENIBIKES-Benidorm/177123992350243?fref=ts\"]",".promo262x90","img[height=\"90\"]",".sevil-widget","#kbg",".grid_24","a[href=\"http://turismourense.com/index\"]","div[style=\"height:270px; padding: 10px 0;\"]","#home-rectangle-spotlight,\n.werbung",".turium-advertising",".ads-titleposttl",".bg-banner","#spBx",".got-dvr",".banner--article,\n.w-openx-banners","a[class^=\"fasc\"]",".serie-optimanetwork,\n.ver-ahora",".tpd",".herald-da,\n.posttakeoverlink,\n.takeoverlink","#taboola_nota,\n.multimedia_taboola","#wfg_ad-LDB1,\n#wfg_ad-LDB2,\n#wfg_ad-MPU1,\n#wfg_ad-MPU2",".add-inner,\n.col-sm-9",".column-right-outer",".sk--branded-content","#p15_box_1,\n.col-banner_c2,\n.p15_banners_box1_234","iframe[src=\"about:blank\"]","[src=\"http://va6.thand.info/0hsfy957uswi2cgypg23\"],\na[href*=\"http://www.physoi.eu/script/redirect.php?url=*\"]","#advertDialog1",".tit,\na[href=\"#div0\"],\na[href=\"#playerads\"]",".wago-ad-container",".section-cpa","div[class^=\"tumas-\"]","#stationary-ad","div[id^=\"cedvtoj-\"]","#newlayercontent","div[class^=\"div-dfp-\"]","[class*=\"sgpb-popup\"]",".banner-holder,\n.col-md-4.col-12.three-column-item:has(.presentado-por),\na[href^=\"https://www.compartamos.com.mx/\"] > img",".box-banner","a[href=\"http://www.ayojon.mx/\"]",".coupons__container,\ndiv[class^=\"itemgpt_\"]",".dfp-tag-wrapper-container","#leaderboard0","#block-block-15,\n.boxbanner","div[style^=\"position: fixed!important;text-align: center;bottom: 0!important;left: 0;\"]","#region-preface-second,\n.publicidadBoxBanner300x75",".publi-4,\n.publi-5,\n.publi-6",".g1-delta,\nh2[style=\"color: #000000;text-align: left\"],\nh2[style=\"text-align: center;\"]","#centro_pub,\n#main__dehit,\n.portada_1LB,\n.portada_1MT,\n.pub__portada,\n.publicidad_basica,\ndiv[style=\"width:970px; height:90px; display:block !important; margin:0 auto; overflow:hidden; margin-bottom: 10px;\"]",".sl_caliente",".todopuebla,\n.tp-centro",".rayabtn",".break_patrocinadores",".leaderboard",".publimg","div[id^=\"almom-\"]","#publicidad-nas","div[style=\"width:300px; height:250px\"]","iframe[width=\"300\"][height=\"250\"][border=\"0\"][frameborder=\"0\"][scrolling=\"no\"],\niframe[width=\"500\"][height=\"400\"][border=\"0\"][frameborder=\"0\"][scrolling=\"no\"][maxwidth=\"500\"][maxheight=\"400\"][type=\"responsive\"]",".widget_aawp_widget_bestseller","[href^=\"https://www.instant-gaming.com/\"]",".publicidad-l","iframe[src*=\"ads.ad4game.com/\"]",".full_add","#floatLayer2",".mt-AdvertisingRoadblock-top,\n.mt-Display--top","#bannercabeceravideo,\n.bannerColumnas,\n.lateralderecho,\n.lateralizquierdo,\nimg[alt^=\"Banner\"]","div[style=\"margin: 0 -10px 20px -10px\"]",".h-block.h-block-250.bg-dark.mb-1",".lecourse,\n.slotbanner-top,\ndiv[style=\"margin:0px 20px 20px 30px;font-size:16px;border:1px solid #d5e1e5\"]",".jk-300",".ad-latest","#text-12","#sp_block_15,\n#sp_block_22","#ban160,\n#ban300,\n#ban728,\n#banTxt,\n#t_diag","#dl-banner-300-250","#dialogintrusivo,\n.divpublicidades,\n.margenpublicidad","#text-14,\n#text-16,\n#text-19,\n#text-20,\n#text-21,\n#text-22","#text-17",".td-anuncio-contenido,\n.td-anuncio-superior","a[href^=\"https://datingnow.life/\"]",".home-native-patrocinado",".section-center > .BoxContent:nth-of-type(2),\n.section-right > .BoxContent:nth-of-type(2)",".img-ad-default,\na[href^=\"https://amzn.eu/\"]","div[id^=\"fab-on\"]",".tdi_22",".widget_aawp_widget_new_releases,\ndiv[id^=\"weedm-\"]",".inside-player-ad",".content_store","[href^=\"https://www.montrebar.com/\"]",".mod.relatednews",".td-a-rec-id-header","#anuncioca","#publiperro",".topads-wrap","#banner_A,\ndiv[style=\"width:600px;height:60px;margin:10px 0px 10px 0px;\"]","[class^=\"adTag\"]",".adunit-01-max","#ccr-sidebar-add-place,\na[href^=\"https://promomark.es/\"]","a[href=\"http://castillafloristeria.com/\"],\na[href=\"http://electrosanzhermanos.com/\"]","div[id^=\"enter-\"]","[alt^=\"Tienda\"],\nimg[src=\"http://static.tumblr.com/omgciym/0iNnhnzq2/neopeseta.png\"],\nimg[src=\"http://static.tumblr.com/omgciym/0tvmih3p3/memetienda.jpg\"],\nimg[src=\"http://static.tumblr.com/omgciym/2bBmgb175/juegacos.jpg\"],\nimg[src=\"http://static.tumblr.com/omgciym/Pnenkw34v/edrfwregwrgwtrgwr.jpg\"],\nimg[src=\"http://static.tumblr.com/omgciym/SXxm66n6y/lol-logo.png\"]","a[href=\"http://ganadineroconencuestas.com/dinero_flow/?webform=*&c=&s2s=*&pubid=*&subid=&medio=*&vendor=*&context=\"]","#total","#block-especialclarodesktop","[href^=\"https://clasificados.clasiguia.com.pa\"]","[onclick*=\"/publicidad\"]","div[class^=\"AdsSlot_\"]",".sidebar-zonahogar",".ec-club",".module_mm,\n.statics_module","#bannercentral,\n#bannercentral2,\n#bannertop",".atm-banner-middle,\n.atm-banner-strip,\n.atm-banner-top",".hiraoka",".logo-min,\n.mdl-sponsors,\n.module__sponsor","#total2,\n#total3","#article-banner-comentarios,\n#breaking-news-banner1,\n#fullwidth-banner,\n#top-banners,\n.banner-full-60,\n.col-banner,\n.col-banner-45",".meteored-ads",".grid.desk-8.alpha > p","#car_top","a[href^=\"https://hacktorrent.net/\"]","a[href^=\"https://bisecthosting.com/\"]","#after-ad,\n[id^=\"Image\"]",".owl-carousel",".supsystic-slider-wrapper",".adblockweb","#banner_sinopsis","[id^=\"gift-\"]","span[style=\"font-weight:bold; cursor:pointer; text-decoration:underline\"]","a[href*=\"leadzupc.com/\"]",".branding-wrapper",".widget_ti_image_banner","a[href*=\"clicktag_promo\"]",".grid_12 > .grid_4","#promo,\n#promoSept19A,\n#promoSept19B,\n.promoTop","a[href^=\"https://veranime.org/\"]","a[href^=\"https://bit.ly/\"],\na[href^=\"https://vario.tv\"]",".banners-side-container,\na[href=\"http://www.180.com.uy/banner?ID=857&CODE=portal.index\"]",".auspicios,\n.modulo_publi",".List-sponsor,\n.Page-above.loaded:has(div[class^=\"GoogleDfpAd\"]),\n.PromoBasic:has(.Promo-sponsor),\n.PromoFeat","#conectab","#bannerEspeciales,\n#clima-banner","#ad-area,\n#ad-area-top","#img_pub,\n#publicidad-2",".bsac",".bfbc",".bnpub",".vjs-producer",".footer_partner_container_wrapper","[href^=\"https://qp.erotilink.es\"]",".lst_ft_bn","[onclick^=\"AbrirEnlaceStar('\"]"];

const hostnamesMap = new Map([["750.am",0],["lared.am",1],["diariouno.com.ar",1],["puntal.com.ar",[1,28,105]],["a24.com",1],["0221.com.ar",[2,3]],["meteored.com.ar",[3,87,88]],["carasycaretas.org.ar",3],["meteored.cl",[3,87,88]],["eldeportivo.com.co",[3,201]],["elpais.com.co",[3,204]],["animekb.com",3],["dinero.com",3],["expansion.com",[3,432,433]],["gonzoo.com",[3,129]],["highxtar.com",[3,466]],["iahorro.com",3],["laizquierdadiario.com",3],["latercera.com",[3,516]],["lavozdealmeria.com",3],["neomotor.com",3],["okdiario.com",[3,597]],["pulzo.com",[3,612]],["supercines.com",3],["tiempo.com",[3,87,88]],["cronicabalear.es",3],["iberempleos.es",3],["publico.es",[3,50,56,129,820]],["areajugones.sport.es",3],["eltribuno.info",3],["generacionuniversitaria.com.mx",[3,517]],["mundoejecutivo.com.mx",[3,866]],["diario.mx",[3,871]],["meteored.mx",[3,87,88]],["meteored.com.py",[3,940]],["16valvulas.com.ar",4],["infoagro.com.ar",[4,67]],["elsigloweb.com",[4,43]],["todopolicia.com",[4,595,677]],["bufeo.do",[4,595,716]],["25digital.com.ar",[5,6]],["horadeopinion.com.ar",[6,64,65,66]],["elespia.co",6],["envilladelparque.com",[6,25,424]],["envilladevoto.com",[6,25,424]],["3dgames.com.ar",7],["abchoy.com.ar",[8,9]],["elsol.com.ar",[8,53]],["diaridegirona.cat",[8,128]],["regio7.cat",[8,128]],["fmdos.cl",8],["applesfera.com",8],["bebesymas.com",[8,269]],["bolavip.com",[8,165,166,167,289]],["compradiccion.com",8],["diariocordoba.com",[8,128]],["diariodelviajero.com",[8,269]],["directoalpaladar.com",[8,353,354]],["elblogsalmon.com",[8,269]],["elconfidencial.com",[8,375]],["elpais.com",[8,401]],["elperiodicodearagon.com",[8,128]],["elperiodicoextremadura.com",[8,128]],["elperiodicomediterraneo.com",[8,128]],["espinof.com",8],["genbeta.com",8],["genbetadev.com",8],["laverdad.com",8],["levante-emv.com",[8,128]],["mediotiempo.com",[8,551,552]],["motorpasion.com",[8,354]],["motorpasionmoto.com",[8,269]],["noticiasdenavarra.com",[8,128]],["ntn24.com",8],["pymesyautonomos.com",[8,269]],["revistafama.com",8],["salvajes.com",8],["trendencias.com",8],["trendenciashombre.com",[8,353,354]],["vidaextra.com",[8,353,354]],["vitonica.com",8],["es.wallapop.com",8],["xataka.com",[8,353,354]],["xatakaciencia.com",8],["xatakafoto.com",8],["xatakahome.com",8],["xatakamovil.com",8],["xatakandroid.com",8],["xatakawindows.com",8],["diariocorreo.com.ec",[8,719]],["diariodeibiza.es",[8,128]],["diariodemallorca.es",[8,128,752]],["economiadigital.es",8],["elcorreogallego.es",[8,128,761]],["eldia.es",[8,128,763]],["eurosport.es",8],["farodevigo.es",[8,128]],["informacion.es",[8,128,791]],["laopinioncoruna.es",[8,128]],["laopiniondemalaga.es",[8,128]],["laopiniondezamora.es",[8,128]],["laprovincia.es",[8,128]],["larazon.es",[8,126,753,797]],["lne.es",[8,128]],["meteoconsult.es",[8,807]],["superdeporte.es",[8,128]],["telecinco.es",[8,331,829]],["deia.eus",[8,128]],["noticiasdealava.eus",[8,128]],["noticiasdegipuzkoa.eus",[8,128]],["emporda.info",[8,128,846]],["jornada.com.mx",8],["aica.org",[8,918]],["abcsaladillo.com.ar",10],["agroclave.com.ar",11],["cronica.com.ar",[11,30]],["lacapital.com.ar",[11,28,72]],["anbariloche.com.ar",[12,13,14,15]],["anroca.com.ar",[12,13,14,15]],["elcordillerano.com.ar",[12,13,47]],["noticiasnet.com.ar",[12,13]],["elterritorio.com.ar",13],["nuevodiarioweb.com.ar",15],["apfdigital.com.ar",16],["infoban.com.ar",[16,68]],["arquimaster.com.ar",[17,18,19,20]],["ellatinodehoy.com",17],["ahoraeg.com",[18,203,244]],["analitica.com",[18,203]],["donostitik.com",[18,358]],["elperiodicodelaenergia.com",[18,203]],["isanidad.com",18],["periodicolaperla.com",18],["jotdown.es",18],["valencianews.es",18],["lapagina.com.sv",18],["moracontenidos.com",[19,55,570]],["cultoro.es",19],["enteratelatino.org",[19,923]],["arribalanus.com.ar",21],["diarioconurbano.com.ar",[21,31]],["el1digital.com.ar",21],["impactonews.co",[21,222,223]],["incp.org.co",[21,227]],["berjadigital.es",[21,740]],["armasymuniciones.net",[21,55,184]],["biodiesel.com.ar",22],["breves24.com.ar",[23,24]],["laprensagrafica.com",[23,28]],["visortmo.com",[23,28,701]],["cadenaoh.com.ar",[25,26]],["profesionalreview.com",[26,626]],["cafexmedio.com.ar",27],["invertirenbolsa.mx",27],["canal-ar.com.ar",28],["diariodecuyo.com.ar",[28,33,34]],["diariopopular.com.ar",[28,39]],["econojournal.com.ar",28],["elancasti.com.ar",28],["eldiarionuevodia.com.ar",[28,48]],["gacetadeportiva.com.ar",28],["impulsobaires.com.ar",28],["lanacion.com.ar",[28,74,75]],["lavoz.com.ar",[28,82]],["letrap.com.ar",28],["losandes.com.ar",[28,75]],["puntobiz.com.ar",[28,106]],["realpolitik.com.ar",28],["tntsports.com.ar",28],["unoentrerios.com.ar",[28,72]],["unosantafe.com.ar",[28,72,112]],["viapais.com.ar",28],["voydeviaje.com.ar",[28,114]],["t13.cl",[28,146,188]],["tntsports.cl",28],["motor.com.co",28],["24con.com",28],["agenciafe.com",28],["agritotal.com",28],["ambito.com",[28,249,250]],["azarplus.com",[28,59,267]],["bienbonita.com",28],["bigbangnews.com",[28,276]],["c5n.com",28],["castellonplaza.com",[28,304,305]],["cronista.com",[28,50,328]],["diariolaprovinciasj.com",[28,349]],["diariolasamericas.com",28],["donbalon.com",[28,350]],["elgrafico.com",28],["elimparcial.com",[28,384,385,386]],["elpatagonico.com",[28,402]],["elplural.com",[28,407]],["garticphone.com",28],["guarda14.com",28],["infocanuelas.com",28],["lacuarta.com",28],["lapoliticaonline.com",[28,509]],["laverdadnoticias.com",28],["masgamers.com",28],["mdzol.com",28],["mibrujula.com",28],["minutouno.com",[28,250,563]],["pajilleros.com",[28,603]],["paraveronline.com",28],["primiciasya.com",[28,72]],["rosario3.com",28],["sanjuan8.com",28],["srpacks.com",28],["tutecnomundo.com",28],["tvynovelas.com",28],["tycsports.com",[28,164,688]],["valenciaplaza.com",[28,304]],["observador.cr",28],["alicanteplaza.es",[28,304]],["planetadeagostini.es",[28,818]],["welife.es",28],["sputniknews.lat",28],["debate.com.mx",[28,384,861]],["eleconomista.com.mx",28],["meristation.com.mx",[28,264]],["elinformador.mx",[28,872]],["informador.mx",[28,872]],["diariohoy.net",28],["eleconomista.net",28],["rpp.pe",[28,50,56,937]],["ella.sv",28],["laiguana.tv",28],["ciudad.com.ar",29],["elcomercio.com",[29,374]],["hazteveg.com",[29,462]],["lmcipolletti.com",29],["lmneuquen.com",29],["diariocronica.com.ar",32],["henaojara.com",[34,463]],["diarioelinformante.com.ar",35],["laopinionsannicolas.com.ar",[35,77]],["diarioelnorte.com.ar",36],["elproductor.com",[36,408]],["confirmado.net",36],["diariolarepublica.com.ar",37],["diarionoticias.com.ar",38],["diarioresumen.com.ar",40],["diariosanrafael.com.ar",41],["diariovictoria.com.ar",[42,43]],["planbnoticias.com.ar",[42,67,78,100,101,102]],["elexpediente.co",[42,213]],["animechou.com",42],["nuestroclima.com",[42,595]],["easy.com.ar",44],["elchubut.com.ar",45],["infoplatense.com.ar",45],["eldia.com",45],["elcomercial.com.ar",46],["elliberal.com.ar",[49,50]],["elobservador.com.uy",[50,75,961]],["elnueve.com.ar",51],["elretratodehoy.com.ar",52],["lanoticiadequilmes.com.ar",53],["20minutos.com",[53,235,236]],["clarin.com",[53,92,164,314]],["elespanol.com",[53,85,379]],["elindependiente.com",[53,388]],["juegosarea.com",53],["20minutos.es",[53,235,236,504,729]],["20minutos.com.mx",[53,235,236]],["elsolnoticias.com.ar",[54,55]],["hortanoticias.com",[54,66,470,471]],["noticiasformosa.com.ar",[55,89]],["bcnoticias.com.co",[55,195]],["claridadpuertorico.com",55],["cronicasnews.com",55],["diariotextual.com",[55,66,352]],["elnuevogeorgia.com",[55,394,395]],["gacetinmadrid.com",55],["laprensadecolorado.com",[55,66,510]],["noticiasenlineacr.com",55],["realidadsm.com",[55,203,361]],["somosjuarez.com",55],["webelpuente.com",55],["cronica.com.ec",55],["lanacion.com.ec",[55,722]],["radiosucre.com.ec",55],["larepublica.ec",55],["crearmiempresa.es",[55,67]],["barrigaverde.net",55],["diarioeltiempo.com.ve",55],["elperiodicodemonagas.com.ve",[55,965]],["elsiglo.com.ve",[55,171,203]],["eltrecetv.com.ar",[56,57]],["laprensaaustral.cl",56],["lared.cl",56],["dimayor.com.co",56],["benditofutbol.com",56],["cronicadelquindio.com",56],["lostiempos.com",[56,536]],["pctmix1.com",[56,607]],["perfil.com",[56,611,612]],["peru.com",[56,337,615]],["studio92.com",56],["cdn.com.do",[56,717]],["eslang.es",56],["uypress.net",56],["atv.pe",56],["corazon.pe",56],["gnula.se",[56,116]],["espn.com.ar",58],["espn.cl",58],["espn.com.co",58],["espn.co.cr",58],["espn.com.do",58],["espn.com.ec",58],["espn.com.gt",58],["espn.com.mx",58],["espn.com.pa",58],["espn.com.pe",58],["espn.com.uy",58],["espn.com.ve",58],["fm899.com.ar",59],["eurogirlsescort.es",[59,773]],["telesurtv.net",59],["fmvida.com.ar",60],["inmonauta.es",60],["lapoliticaonline.com.mx",60],["fulltv.com.ar",61],["futbolhoy.com.ar",62],["gente.com.ar",63],["grupormultimedio.com",65],["lahora.com.ec",65],["equipar.es",65],["nicaraguahoy.info",65],["atacamaenlinea.cl",[66,151,152]],["beergeeks.cl",[66,154,155]],["apuestasfree.com",[66,259]],["cinemascomics.com",66],["conbasesllenas.com",66],["informe21.com",[66,487]],["lacapitalmdp.com",[66,503]],["lapanteradc.com",[66,508]],["mundo724.com",[66,474,572]],["thebeertimes.com",[66,154,158]],["pcpro.es",[66,171]],["beermagazine.net",[66,158,882]],["videospornogratisx.net",[66,471]],["insideevs.com.ar",[69,70]],["iproup.com",[69,492]],["laarena.com.ar",71],["lagaceta.com.ar",73],["lagacetasalta.com.ar",73],["elperiodico.cat",[73,132]],["elperiodico.com",[73,132,404,405]],["sumedico.com",73],["cope.es",73],["epe.es",[73,132,404,405]],["sport.es",73],["laconversacion.net",73],["ruedasgordas.es",[75,823]],["lanusnoticias.com.ar",76],["diarioputumayo.com",77],["lapampadiaxdia.com.ar",[78,79]],["laredpampeana.com.ar",[78,80]],["lasextaseccion.com.ar",81],["loteriasmundiales.com.ar",83],["loventine.com.ar",84],["loventine.es",84],["maximaonline.com.ar",85],["hispanidad.com",85],["mercadolibre.com.ar",86],["mercadolibre.com.bo",86],["mercadolibre.cl",86],["mercadolibre.com.co",86],["mercadolibre.co.cr",86],["mercadolibre.com.do",86],["mercadolibre.com.ec",86],["mercadolibre.com.gt",86],["mercadolibre.com.hn",86],["mercadolibre.com.mx",86],["mercadolibre.com.ni",86],["mercadolibre.com.pa",86],["mercadolibre.com.pe",86],["mercadolibre.com.py",86],["mercadolibre.com.sv",86],["mercadolibre.com.uy",86],["mercadolibre.com.ve",86],["lleida.com",88],["modaes.com",88],["noticiaslasflores.com.ar",90],["noticiasurbanas.com.ar",91],["ole.com.ar",[92,93]],["olx.com.ar",94],["pagina12.com.ar",95],["paginasblancas.com.ar",96],["blancas.cl",96],["paginasblancas.com.pe",96],["pdindustriales.com.ar",97],["periodismokosher.com.ar",98],["pescare.com.ar",99],["ipsnoticias.net",101],["transponder1200.com",[102,471]],["planetabocajuniors.com.ar",103],["promiedos.com.ar",104],["radioexito.com.ar",107],["rionegro.com.ar",108],["salpimenta.com.ar",109],["tiemposur.com.ar",110],["tiendeo.com.ar",111],["ushuaia24.com.ar",113],["comodorodeportes.gov.ar",115],["flvto.biz",[116,117]],["gnula.cc",[116,145]],["mp3juices.cc",116],["atomixhq.club",116],["2conv.com",116],["doramasflixs.com",116],["doramasvip.com",116],["animeyt.es",116],["telenovelas-turcas.com.es",116],["pelisplus2.io",116],["superflix.io",116],["pelishouse.me",116],["jkanime.net",116],["serieskao.net",116],["vidoza.net",116],["lectortmo.org",116],["cuevana3.so",116],["serieskao.tv",116],["cuevana3.video",116],["pelisplus.video",116],["pivigames.blog",118],["eldeber.com.bo",119],["paginasiete.bo",120],["pelisplus.cam",121],["aguaita.cat",[122,123,124,125]],["pallarsdigital.cat",[122,123,124,125]],["rubitv.cat",[122,123,124,125]],["tarragonadigital.com",[122,123,124,125]],["naciodigital.cat",[123,124,139]],["pensem.cat",[123,125]],["ara.cat",126],["ejeprime.com",[126,367]],["papajuegos.com",126],["periodistadigital.com",126],["plantadoce.com",[126,617]],["realovirtual.com",126],["relevo.com",126],["tribunaavila.com",[126,681]],["tribunaburgos.com",[126,681]],["tribunaleon.com",[126,681]],["tribunapalencia.com",[126,681]],["tribunasalamanca.com",[126,681]],["tribunasegovia.com",[126,681]],["tribunasoria.com",[126,681]],["tribunavalladolid.com",[126,681]],["tribunazamora.com",[126,681]],["ccma.cat",127],["laopiniondemurcia.es",128],["e-noticies.cat",[129,130]],["diariovasco.com",129],["elcorreo.com",129],["larioja.com",129],["leonoticias.com",[129,528]],["diariodenavarra.es",[129,753]],["diariosur.es",129],["digitalcamera.es",129],["elcomercio.es",129],["eldiariomontanes.es",129],["elnortedecastilla.es",129],["hoy.es",129],["ideal.es",[129,528]],["lasprovincias.es",129],["primeralinea.es",129],["elnacional.cat",131],["cocheglobal.com",131],["cronicavasca.com",131],["culemania.com",131],["cronicaglobal.elespanol.com",131],["huleymantel.com",131],["planetarealmadrid.com",131],["elpuntavui.cat",[133,134]],["leconomic.cat",[133,134]],["lesportiudecatalunya.cat",[134,138]],["isabadell.cat",135],["autoextragti.com",135],["madridnorte24horas.com",135],["washingtonhispanic.com",[135,270]],["soloqchallenge.gg",135],["pelisplus.lat",135],["mexicodesconocido.com.mx",135],["labustia.cat",136],["laveu.cat",137],["noticiestgn.cat",140],["racocatala.cat",141],["tot-hospitalet.cat",142],["tottarragona.cat",143],["vilaweb.cat",144],["uqload.com",145],["13.cl",146],["deportes13.cl",146],["800.cl",147],["adnradio.cl",[148,149,150]],["caracol.com.co",148],["wradio.com.co",148],["cnnchile.com",149],["futuro360.com",149],["redmipaisnorte.cl",152],["autosusados.cl",153],["cannabis420.cl",[154,158,159]],["comidasespanolas.com",[154,158]],["recetasdepan.net",[154,158,882]],["weedmagazine.net",[154,158,909]],["reparaciondecomputadoras.online",154],["cafevirtual.cl",156],["pamplonaactual.com",156],["trincheraonline.com",156],["cambio21.cl",157],["jerezcofrade.tv",[157,901,954]],["debosaber.cl",[158,168]],["comidaschilenas.com",[158,318]],["capital.cl",160],["chileautos.cl",161],["chilevision.cl",162],["concierto.cl",163],["cooperativa.cl",164],["dalealbo.cl",[165,166,167]],["redgol.cl",[165,166,167]],["eltiempo.com",[165,229,415,416]],["futbolcentroamerica.com",[165,166,167]],["hobbyconsolas.com",[165,320,469]],["juanbeisbol.com",[165,166,167]],["juanfutbol.com",[165,166,167]],["lapaginamillonaria.com",[165,166,167]],["somosfanaticos.fans",[165,166,167]],["buenazo.pe",165],["elpopular.pe",165],["larepublica.pe",[165,935]],["libero.pe",165],["wapa.pe",165],["diarioeldia.cl",169],["diarioestrategia.cl",170],["infodefensa.com",170],["diariolaprensa.cl",171],["bavaronews.com",171],["chacodiapordia.com",171],["eladelantado.com",171],["elmundotoday.com",171],["elperiodicousa.com",171],["guineainfomarket.com",171],["horajaen.com",171],["lagdeguinea.com",171],["noticialdia.com",[171,586]],["noticiasuno.com",171],["periodismo.com",171],["soynuevaprensadigital.com",171],["tumbaabierta.com",171],["ultimahoraec.com",171],["elmercurio.com.ec",[171,720]],["diariolatino.net",171],["udlaspalmas.net",[171,908]],["contrapunto.com.sv",[171,946]],["elaragueno.com.ve",171],["lacalle.com.ve",171],["elamaule.cl",172],["elboyaldia.cl",172],["elconcecuente.cl",172],["elmagallanews.cl",172],["elmartutino.cl",172],["elmorrocotudo.cl",172],["elnaveghable.cl",172],["elnortero.cl",172],["elobservatodo.cl",172],["elquehaydecierto.cl",172],["elrancahuaso.cl",172],["elrepuertero.cl",172],["elvacanudo.cl",172],["laopinon.cl",172],["elciudadano.cl",173],["eldefinido.cl",174],["eldinamo.cl",175],["theclinic.cl",[175,189]],["ellibero.cl",176],["elperiodista.cl",177],["expresodelacosta.cl",178],["guiahoreca.cl",179],["ilustrado.cl",180],["lanacion.cl",181],["latribuna.cl",182],["meganoticias.cl",183],["miradiols.cl",184],["mariosegura.com",[184,547]],["prensafutbol.cl",185],["publimetro.cl",186],["metroecuador.com.ec",186],["soychile.cl",187],["tvn.cl",190],["yapo.cl",191],["accounter.co",192],["chrissysinvite.co",193],["atlnacional.com.co",194],["boyaca7dias.com.co",196],["canal1.com.co",197],["diariodelcauca.com.co",[198,199]],["diariodelsur.com.co",[199,200]],["elinformador.com.co",202],["ecijaweb.com",202],["lancelotdigital.com",[202,507]],["lavozdemoron.es",202],["elwebdelmirall.net",202],["elmetro.com.co",203],["aviacionline.com",203],["elambito.com",203],["gasteizhoy.com",[203,361,452]],["latinopinionbaltimore.com",[203,518]],["radiomunera.com",203],["sticknoticias.com",203],["teleamazonas.com",203],["aurora-israel.co.il",203],["extra.com.co",205],["hoydiariodelmagdalena.com.co",206],["pasionmontanera.com.co",207],["redmas.com.co",208],["revistacromos.com.co",209],["elespectador.com",[209,382]],["revistapym.com.co",210],["tiempodenoticias.com.co",211],["diarioadn.co",212],["elheraldo.co",[214,215]],["valoraanalitik.com",[214,270,691]],["elmeridiano.co",216],["emprendices.co",[217,218]],["misionesonline.net",[217,900,901]],["flashscore.co",[219,220]],["flashscore.es",[220,777]],["forbes.co",221],["recursosculturales.com",222],["villavonoticias.com",[222,368,699]],["jawcloud.co",224],["momento24.co",225],["moviesdvdr.co",226],["cinecalidad.gg",226],["pelisplay.co",228],["portafolio.co",[229,230]],["seguimiento.co",231],["slimdownload.co",232],["winsports.co",233],["19640noticias.com",234],["ushuaianoticias.com",[235,690]],["primicia.com.ve",235],["3djuegos.com",237],["4pelagatos.com",238],["actualarganda.com",239],["actualidadradio.com",240],["adiariocr.com",241],["adlipay.com",242],["agencianova.com",243],["novachaco.com",243],["ahorradororata.com",245],["alcalorpolitico.com",246],["aldeaviral.com",247],["periodicoeldiario.com",[247,613]],["eldiariodeguayana.com.ve",247],["allinonedownloader.com",248],["apertura.com",250],["elnueve.com",[250,393]],["elpuntodeequilibrio.com",250],["infotechnology.com",250],["revistacar.es",250],["americateve.com",251],["andro4all.com",252],["animalpolitico.com",253],["anitoc.com",254],["lucianacocina.com",254],["otakuteca.com",254],["panicmanga.com",254],["planetaneperian.com",254],["todomecanica.com",254],["vgrecipes.com",254],["worldmangas.com",254],["ansalatina.com",255],["antena3.com",256],["atresmedia.com",256],["lasexta.com",[256,514]],["melodia-fm.com",256],["appsparavertv.com",257],["aptitus.com",258],["arbolabc.com",260],["argentinavende.com",261],["cordobavende.com",261],["aristeguinoticias.com",262],["as.com",263],["meristation.as.com",264],["astrologiaenlinea.com",265],["aulafacil.com",266],["baratos.com",268],["bembibredigital.com",270],["comedera.com",270],["periodismodelmotor.com",270],["radiocre.com",270],["tresubresdobles.com",[270,680]],["finofilipino.org",[270,924]],["mejoresmodsminecraft.site",[270,944]],["bernabeudigital.com",[271,272]],["eltiempo.es",[271,768]],["bienesrosario.com",[273,274,275]],["rosariogarage.com",[273,275,644]],["wiselwisel.com",[273,705]],["bikezona.com",277],["bimotos.com",278],["binary.com",279],["bingoporno.com",280],["blanesaldia.com",281],["blog-peliculas.com",282],["misseriesinolvidables.blogspot.com",283],["novelasromanticash.blogspot.com",284],["reconquistanoticias.blogspot.com",[285,286]],["ladefensadigital.com",285],["xanateach.blogspot.com",287],["boardzona.com",288],["bolivia.com",290],["colombia.com",290],["buenaventuraenlinea.com",291],["buscamultas.com",292],["businesscol.com",293],["cadena3.com",294],["cadenaser.com",295],["calculadora-de-derivadas.com",296],["calculadora-de-integrales.com",296],["canal-i.com",297],["canal21ebre.com",298],["marfanta.com",[298,546]],["canalchic.com",299],["canalciclismo.com",300],["canalporno.com",301],["canalrcn.com",[302,303]],["noticiasrcn.com",[302,592]],["cerdas.com",306],["cerebriti.com",307],["chacohoy.com",308],["corrienteshoy.com",308],["chathispano.com",309],["cheemsporn.com",310],["cienradios.com",311],["cifraclub.com",312],["cinelibreonline.com",313],["clipwatching.com",315],["cocina-chilena.com",316],["coin360.com",317],["compraensanjuan.com",319],["computerhoy.com",320],["autobild.es",320],["businessinsider.es",320],["topgear.es",320],["comutricolor.com",321],["conejox.com",322],["contextoganadero.com",323],["cooljuegos.com",324],["cotilleando.com",325],["burbuja.info",[325,843]],["criptoinforme.com",326],["criptonoticias.com",327],["cryptopotato.com",329],["cualesmiip.com",330],["cuatro.com",331],["factoriadeficcion.com",331],["bemad.es",331],["divinity.es",331],["energytv.es",331],["mtmad.es",331],["niusdiario.es",331],["uppers.es",331],["yasss.es",331],["cuyonoticias.com",332],["cdn.cxpublic.com",333],["dataifx.com",334],["depor.com",[335,336,337]],["elcomercio.pe",[335,337,932]],["diariocorreo.pe",[337,931]],["gestion.pe",337],["derechouned.com",338],["desarrollowp.com",339],["microsiervos.com",[339,446,557]],["supercpps.com",339],["destinonegocio.com",340],["diaridesabadell.com",341],["diarideterrassa.com",341],["diariobitcoin.com",342],["diariocolatino.com",[343,344]],["teknofilo.com",[343,670]],["diariocostadelsol.com",345],["diariocritico.com",346],["diarioelsalvador.com",347],["diariolagrada.com",348],["globalasia.com",[348,456]],["marketingregistrado.com",348],["prensa.com",[348,625]],["elesquiu.com",349],["gastrolabweb.com",349],["infofueguina.com",349],["pilaradiario.com",349],["poresto.net",349],["diarioresponsable.com",[350,351]],["elsaltodiario.com",[350,412]],["esmtb.com",[350,427]],["motorpasion.com.mx",354],["discogs.com",355],["doncolombia.com",356],["donlgbt.com",357],["durosa4pesetas.com",359],["economia3.com",[360,361]],["desdesoria.es",[361,750]],["economipedia.com",362],["ecosdelcombeima.com",363],["ecuavisa.com",364],["educaplay.com",365],["ehowenespanol.com",366],["elbierzodigital.com",368],["futbolretro.es",[368,783]],["elblog.com",369],["elchapuzasinformatico.com",370],["elchavodel8tv.com",371],["ppelverdadero.com.ec",371],["elciudadanoweb.com",372],["elcolombiano.com",373],["elcucodigital.com",376],["eldebate.com",377],["eldesmarque.com",378],["diariodeavisos.elespanol.com",380],["elespecial.com",381],["elestimulo.com",383],["frontera.info",[386,398,847]],["elimpulso.com",387],["elmercurioweb.com",[389,390]],["mododeporte.com",390],["elmundofinanciero.com",391],["elnacional.com",392],["noticierodelllano.com",394],["elnuevoherald.com",396],["elonce.com",[397,398,399,400]],["esdiario.com",[397,426]],["rewisor.com",400],["elperiodic.com",403],["eldiario.es",[405,764]],["elperiodicodeaqui.com",406],["elrellano.com",[409,410]],["180grados.digital",[410,715]],["elrincondelvinotinto.com",411],["elsalvador.com",413],["elsolnews.com",414],["segre.com",416],["miarevista.es",416],["serpadres.es",416],["eltorotv.com",417],["eluniversal.com",418],["eluniverso.com",419],["emol.com",420],["encuentra24.com",421],["ennaranja.com",422],["entornointeligente.com",423],["esaschicas.com",425],["espaebook2.com",428],["esportmaniacos.com",429],["estrenarvivienda.com",430],["europafm.com",431],["ondacero.es",[431,812]],["elmundo.es",[432,767]],["blog.facialix.com",434],["fayerwayer.com",435],["felizporno.com",436],["fichajes.com",437],["finanzasargy.com",438],["fitnesszona.com",439],["formulatv.com",440],["forobeta.com",441],["forocoches.com",442],["forococheselectricos.com",443],["foroparalelo.com",444],["freeethereum.com",445],["freetether.com",445],["coinfaucet.io",445],["freebitcoin.io",445],["fucklouder.com",[446,447]],["futbolme.com",448],["futbolred.com",449],["gameflare.com",450],["gamezfull.com",451],["generacionxbox.com",453],["gerente.com",454],["girabsas.com",455],["goraymi.com",457],["granadahoy.com",458],["diariodealmeria.es",458],["diariodecadiz.es",458],["diariodejerez.es",458],["diariodesevilla.es",[458,755]],["eldiadecordoba.es",458],["europasur.es",458],["huelvainformacion.es",458],["malagahoy.es",458],["guadairainformacion.com",459],["guiascasinos.com",460],["habitaclia.com",461],["hentaienesp.com",464],["hentaila.com",465],["hipertextual.com",467],["hispanicpost.com",468],["libroscristianosgratis.net",470],["laprensademn.com",[471,511,512]],["vidaysabor.com",[471,511,696]],["hosteltur.com",472],["hoyenbogota.com",[473,474]],["hoylosangeles.com",475],["hsbnoticias.com",476],["htcmania.com",477],["huelva24.com",478],["st1.idealista.com",479],["igg-games.com",480],["imperiodefamosas.com",481],["independentespanol.com",482],["indicepr.com",483],["infobae.com",484],["infojardin.com",485],["infopico.com",486],["inkagames.com",488],["inmodiario.com",489],["iprofesional.com",[490,491]],["todacolombia.com",491],["juanbustos.com",493],["juegos.com",494],["juegosjuegos.com",495],["jugarbet.com",496],["noticias.juridicas.com",497],["kairosweb.com",498],["kiwilimon.com",499],["knightnoscanlation.com",500],["yugenmangas.com",500],["la-razon.com",501],["laboyanos.com",502],["lainformacion.com",[504,505]],["lajornadanet.com",506],["periodicoelsolpr.com",510],["las4esquinas.com",513],["lasubasta.com",515],["latino-webtv.com",517],["xnalgas.com",[517,710]],["ver-television.online",517],["lavanguardia.com",519],["laventanabolivia.com",520],["laverdaddemonagas.com",521],["lavozhispanact.com",522],["lawebdelprogramador.com",523],["lectuepubgratis.com",524],["lecturas.com",525],["nationalgeographic.com.es",525],["leercapitulo.com",526],["legionasia.com",527],["laverdad.es",528],["lexlatin.com",529],["libertaddigital.com",[530,531]],["libremercado.com",530],["liderendeportes.com",532],["lifeder.com",533],["lifezona.com",534],["llanosietedias.com",535],["macrojuegos.com",537],["madlifes.com",538],["pepeporn.com",538],["madridpress.com",539],["sahagundigital.com",539],["magazinelatino.com",540],["magisnet.com",541],["manerasdevivir.com",542],["mangacrab.com",543],["marca.com",544],["marcadegol.com",545],["mariskalrock.com",548],["mastercoria.com",549],["mediavida.com",550],["record.com.mx",[552,868]],["mega1080.com",553],["merca20.com",554],["rinconforero.mforos.com",555],["miamidiario.com",556],["milanuncios.com",558],["milenio.com",559],["mileroticos.com",560],["miltorrents.com",561],["minijuegos.com",562],["mioriente.com",564],["misionescuatro.com",565],["noticias.mitelefe.com",[566,567]],["telefe.com",567],["mms-mexico.com",568],["monografias.com",569],["mundo.com",571],["mundodeportivo.com",573],["mundommorpg.com",574],["corepunk.online",574],["muycerditas.com",575],["muyzorras.com",576],["nacion.com",577],["lateja.cr",577],["nacionpaisa.com",578],["es.nametests.com",579],["neoauto.com",580],["nintenderos.com",581],["nomellamesfriki.com",582],["norteenlinea.com",583],["notariosyregistradores.com",584],["noticiacristiana.com",585],["noticias3d.com",587],["noticiasamarillascartago.com",588],["noticiasdel6.com",589],["noticiasenlamira.com",590],["noticiasparamunicipios.com",591],["noticiasyprotagonistas.com",593],["estadio.ec",593],["noticierodigital.com",594],["nuevamujer.com",596],["omarhvelasquezm.com",598],["ondavasca.com",599],["opanoticias.com",600],["otakustv.com",601],["oversos.com",602],["pampaporno.com",604],["parentesis.com",605],["parlamentario.com",606],["peliculasaudiolatino.com",608],["pelisadicto.com",609],["pelispanda.com",610],["divxtotal.li",610],["divxtotal.nl",610],["divxtotal.nu",610],["divxtotal.pm",610],["cuevana.se",610],["dontorrent.ws",610],["periodicoellaurelpr.com",614],["petardashd.com",616],["playpaste.com",618],["pokertube.com",619],["porneados.com",620],["pornogratisdiario.com",[621,622]],["videosporno.name",621],["portalfruticola.com",623],["practisistemas.com",624],["psicologiaymente.com",627],["pt-mexico.com",628],["pulpo69.com",629],["putalocura.com",630],["puupnewsapp.com",631],["quepasamedia.com",632],["quesonlosvaloreseticos.com",633],["signodeinterrogacion.com",633],["ramenparados.com",634],["rateyourmusic.com",635],["recursos-biblicos.com",636],["reforma.com",637],["renfe.com",638],["reporteindigo.com",639],["repretel.com",640],["rts.com.ec",640],["c9n.com.py",640],["canal12.com.sv",640],["republica.com",641],["retinatendencias.com",642],["revistagmgastronomia.com",643],["rumbonews.com",645],["sailingzona.com",646],["sdpnoticias.com",647],["selafollan.com",648],["semana.com",649],["sensacine.com",650],["sensacine.com.mx",650],["separarensilabas.com",651],["seriesgrey.com",652],["serviporno.com",[653,654]],["muchoporno.xxx",654],["skdesu.com",655],["skylinewebcams.com",656],["slidesgo.com",657],["slumi.com",658],["smnoticias.com",[659,660]],["smnoticias.info",[659,660]],["costacadizcomunicacion.es",[660,746]],["softoniclabs.com",661],["somosohlala.com",662],["somosxbox.com",663],["sqlshack.com",664],["supercontable.com",665],["superluchas.com",666],["tabascohoy.com",667],["talcualdigital.com",668],["tandildiario.com",669],["telesemana.com",671],["televisa.com",672],["deportes.televisa.com",673],["thaderclub.com",674],["theobjective.com",675],["todoblaugrana.com",676],["tokyvideo.com",678],["torrentesx.com",679],["tribunamaresme.com",682],["periodicoelnazareno.es",682],["tudiscovery.com",683],["tudn.com",[684,685]],["univision.com",[685,689]],["tumomo.com",686],["tvenganchado.com",687],["vanguardia.com",692],["verepeliculas.com",693],["vergnula.com",694],["vibbo.com",695],["videosdemadurasx.com",697],["villavicenciodiaadia.com",698],["viralizalo.com",700],["vivanolamag.com",702],["vix.com",703],["volkgames.com",704],["wizcase.com",706],["wordmagicsoft.com",707],["wowtechlife.com",708],["xn--xvideos-espaol-1nb.com",709],["veoporno.gratis",709],["xxxpornohq.com",711],["zigzagdigital.com",712],["zonavideosx.com",713],["laregion.cr",714],["tutorialesenlinea.es",[714,833]],["colorvision.com.do",718],["lagaceta.com.ec",721],["ldu.com.ec",723],["planv.com.ec",724],["radiocentro.com.ec",725],["dialoguemos.ec",726],["eldiario.ec",727],["expreso.ec",728],["abc.es",730],["ancient-origins.es",731],["andaluciainformacion.es",[732,733]],["informacionalcalalareal.es",732],["informacionpuentegenil.es",732],["informacionsanfernando.es",732],["sanlucarinformacion.es",732],["vivaalmeria.es",732],["vivaalmunecar.es",732],["vivaantequera.es",732],["vivaarcos.es",732],["vivabarbate.es",732],["vivabenalmadena.es",732],["vivacadiz.es",732],["vivacampodegibraltar.es",732],["vivachiclana.es",732],["vivaconil.es",732],["vivacordoba.es",732],["vivaelpuerto.es",732],["vivaestepona.es",732],["vivagranada.es",732],["vivahuelva.es",732],["vivajaen.es",732],["vivajerez.es",732],["vivamarbella.es",732],["vivapunta.es",732],["vivarota.es",732],["vivasevilla.es",732],["vivatorremolinos.es",732],["vivavejer.es",732],["vivavelezmalaga.es",732],["vivamalaga.net",732],["vivavalencia.net",732],["vivagalicia.tv",732],["viruji.andaluciainformacion.es",734],["androidpit.es",735],["anisearch.es",736],["areasac.es",737],["autopista.es",738],["autoscout24.es",739],["diarioronda.es",[740,759]],["carrefour.es",741],["casinonewsdaily.es",742],["ceroacero.es",743],["comunio.es",744],["concuchilloytenedor.es",745],["cuartopoder.es",747],["cuencanews.es",748],["darkstone.es",749],["diariodelalinea.es",751],["marie-claire.es",[753,805]],["muyhistoria.es",[753,805]],["muyinteresante.es",[753,805]],["muynegociosyeconomia.es",[753,805]],["diariodepasion.es",754],["diariodeteruel.es",756],["diariodevalderrueda.es",757],["diariolalupa.es",758],["desdelinux.net",759],["ebay.es",760],["elcorreoweb.es",762],["infolibre.es",764],["eleconomista.es",765],["empresite.eleconomista.es",766],["epasatiempos.es",769],["neomotor.epe.es",770],["escort46.es",771],["euractiv.es",772],["europa-agricola.es",774],["via-mobilis.es",774],["famosateca.es",775],["ffcv.es",776],["force-download.es",778],["foropolicia.es",779],["fotocasa.es",780],["freeones.es",781],["freepik.es",782],["gaceta.es",[783,784]],["gamereactor.es",785],["gettyimages.es",786],["heraldo.es",787],["hoyaragon.es",788],["huffingtonpost.es",789],["iberley.es",790],["interbenavente.es",792],["interviu.es",793],["irispress.es",794],["estadiodeportivo.whitelabel.kelisto.es",795],["kissfm.es",796],["latinpress.es",798],["lavozdegalicia.es",799],["lebrijadigital.es",800],["leganews.es",801],["leroymerlin.es",802],["livenumetal.es",803],["manomano.es",804],["mediamarkt.es",806],["mil21.es",808],["mitele.es",809],["nextpit.es",810],["noticiasmallorca.es",811],["paginasamarillas.es",813],["pajarracos.es",814],["paxinasgalegas.es",815],["petitchef.es",816],["pickinup.es",817],["portalbici.es",819],["dle.rae.es",821],["realbetisbalompie.es",822],["rumbo.es",824],["segoviaudaz.es",825],["sevillainfo.es",826],["supremacy1914.es",827],["tallasgrandes.es",828],["todomercadoweb.es",830],["transfermarkt.es",831],["turium.es",832],["zooplus.es",834],["bandaancha.eu",835],["cuevana3.eu",836],["naiz.eus",837],["pelis24.gratis",838],["seriesturcas.gratis",839],["verpeliculasporno.gratis",840],["publinews.gt",841],["elheraldo.hn",842],["ciudadccs.info",844],["deportemixtv.info",845],["tarjetaroja-tv.info",848],["va6.thand.info",849],["agma.io",850],["miradetodo.io",851],["wago.io",852],["pelispedia.la",853],["cuevana.pro",853],["purochocolate.life",854],["tumascota.life",854],["abs0rb.me",855],["chatytvgratishd.me",856],["megaserie.me",857],["avisooportuno.mx",858],["bcsnoticias.mx",859],["businessinsider.mx",860],["elsiglodetorreon.com.mx",862],["eluniversal.com.mx",[863,864]],["viveusa.mx",864],["excelsior.com.mx",865],["razon.com.mx",867],["tiempo.com.mx",869],["yucatan.com.mx",870],["elpopular.mx",873],["nupcias.mx",874],["terremoto.mx",875],["adslzone.net",876],["alfabeta.net",877],["almomento.net",878],["animebum.net",879],["animeflv.net",880],["apurogol.net",881],["blizzboygames.net",883],["brujuladigital.net",884],["buenaisla.net",885],["buentv.net",886],["capodeportes.net",887],["coches.net",888],["diariodelaribera.net",889],["elotrolado.net",890],["esporno.net",891],["eshentai.tv",891],["infojobs.net",892],["jkhentai.net",893],["juegosdecanciones.net",894],["kiosco.net",895],["labsk.net",896],["lacuerda.net",897],["mangatigre.net",898],["maracodigital.net",899],["noticiasdelavilla.net",902],["pelispunto.net",903],["poringa.net",904],["seriesanimadas.net",905],["sunoticiero.net",906],["tutiempo.net",907],["xvideospanish.net",910],["zona-leros.net",911],["la.network",912],["show.news",913],["tubarco.news",914],["cuevana3.nu",915],["pelisplushd.nz",916],["nickelodeonplus.online",917],["albumoftheyear.org",919],["aporrea.org",920],["artesacro.org",921],["diariodelaribera.org",922],["noticiasdelmundo.org",925],["verdirectotv.org",926],["dinostream.pw",[926,938]],["diaadia.com.pa",927],["panamaamerica.com.pa",928],["andina.pe",929],["americatv.com.pe",930],["exitosanoticias.pe",933],["laindustria.pe",934],["peru21.pe",936],["abc.com.py",939],["cuevana3.rip",941],["hackstore.rs",942],["nocensor.sbs",943],["noticiasdehoy.site",945],["elpais.com.sv",947],["vidasana.sv",948],["cinecalidad.to",949],["moviesjoy.to",950],["seriesdanko.to",951],["animeid.tv",952],["eldoce.tv",953],["mundoplus.tv",955],["ondaluz.tv",956],["qmusica.tv",957],["genteflow.us",958],["playdede.us",959],["180.com.uy",960],["elpais.com.uy",962],["montevideo.com.uy",963],["pantallazo.com.uy",964],["fronteradigital.com.ve",966],["versionfinal.com.ve",967],["juegosjuegos.ws",968],["maduras.xxx",969],["videos.mrvideospornogratis.xxx",970],["pornes.xxx",971],["qporno.xxx",972],["tupornogratis.xxx",973],["grantorrent.zip",974]]);

const entitiesMap = new Map(undefined);

const exceptionsMap = new Map(undefined);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
