/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2014-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: annoyances-overlays

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssDeclarativeImport() {

/******************************************************************************/

const argsList = [["{\"selector\":\"*\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"::selection\",\"action\":[\"style\",\"background-color:#338FFF!important\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"user-select: text !important; -ms-user-select: text !important; -moz-user-select: text !important; -khtml-user-select: text !important; -webkit-user-select: text !important; -webkit-touch-callout: default !important;\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"-webkit-touch-callout: default!important; -webkit-user-drag: element!important; -webkit-user-select: text!important; -moz-user-select: text!important; -ms-user-select: text!important; user-select: text!important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"[data-lyricid]\",\"action\":[\"style\",\"user-select: text !important;\"]}"],["{\"selector\":\"#chapter-article .chapter-content\",\"action\":[\"style\",\"user-select: text !important; -ms-user-select: text !important; -moz-user-select: text !important; -khtml-user-select: text !important; -webkit-user-select: text !important; -webkit-touch-callout: default !important;\"]}"],["{\"selector\":\"#desktopWrapper\",\"action\":[\"style\",\"position: static !important;\"]}","{\"selector\":\".gridCentered\",\"action\":[\"style\",\"margin-top: auto !important;\"]}"],["{\"selector\":\"html.u-overflowHidden\",\"action\":[\"style\",\"overflow-y: scroll !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow: auto !important; position: initial !important;\"]}"],["{\"selector\":\".blur\",\"action\":[\"style\",\"filter: none !important\"]}"],["{\"selector\":\"body, html\",\"action\":[\"style\",\"overflow: auto !important; position: initial !important;\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"overflow:auto !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\".select-none\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"#page\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\".definicao_verbete_homologado_interna\",\"action\":[\"style\",\"height:100% !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"-moz-user-select:text !important;-ms-user-select:text !important;user-select:text !important;\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"cursor: revert !important; -webkit-touch-callout: default !important; -webkit-user-select: text !important; -khtml-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important; -webkit-tap-highlight-color: revert !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"cursor: revert !important; -webkit-touch-callout: default !important; -webkit-user-select: text !important; -khtml-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important; -webkit-tap-highlight-color: revert !important;\"]}"],["{\"selector\":\"body * :not(input):not(textarea)\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"body, html\",\"action\":[\"style\",\"height: auto !important; overflow: auto !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\"html[style*=\\\"hidden\\\"]\",\"action\":[\"style\",\"overflow: visible !important;\"]}"],["{\"selector\":\"body, html\",\"action\":[\"style\",\"position: static !important; overflow: auto !important; width: auto !important;\"]}"],["{\"selector\":\"body, html\",\"action\":[\"style\",\"overflow: auto !important; position: initial !important; pointer-events:auto !important;\"]}"],["{\"selector\":\"::selection\",\"action\":[\"style\",\"background: Highlight !important; color: HighlightText !important\"]}"],["{\"selector\":\".unselectable\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important; cursor: auto !important;\"]}"],["{\"selector\":\"div#wrapper\",\"action\":[\"style\",\"filter: none !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important;-moz-user-select: text !important;-ms-user-select: text !important;user-select: text !important;\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"filter: none !important\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important; cursor: auto !important;\"]}"],["{\"selector\":\":not(input):not(textarea)::selection\",\"action\":[\"style\",\"background-color:Highlight!important;color:HighlightText!important\"]}"],["{\"selector\":\"html, body\",\"action\":[\"style\",\"overflow: auto !important; position: initial !important;\"]}"],["{\"selector\":\":not(input):not(textarea), img\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"*::selection\",\"action\":[\"style\",\"background-color:#338FFF!important\"]}"],["{\"selector\":\"[id]\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"cursor:auto!important\"]}"],["{\"selector\":\"body *\",\"action\":[\"style\",\"user-select: auto!important;-webkit-touch-callout: default!important;-webkit-user-select: auto!important;-moz-user-select: auto!important;-ms-user-select: auto!important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow: scroll !important; position: unset !important\"]}"],["{\"selector\":\".modal-open\",\"action\":[\"style\",\"overflow:initial!important\"]}"],["{\"selector\":\"body.modal-open\",\"action\":[\"style\",\"overflow:auto !important\"]}"],["{\"selector\":\"html, .unselectable\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow-x: hidden !important; overflow-y: scroll !important; padding-right: 0 !important;\"]}"],["{\"selector\":\".content-body-wrapper\",\"action\":[\"style\",\"opacity:1!important\"]}"],["{\"selector\":\"*::selection\",\"action\":[\"style\",\"background-color:#338FFF !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow:auto !important\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\"html.om-position-popup body\",\"action\":[\"style\",\"overflow:auto !important\"]}"],["{\"selector\":\".novel-box :not(a)\",\"action\":[\"style\",\"user-select: text !important; -ms-user-select: text !important; -moz-user-select: text !important; -khtml-user-select: text !important; -webkit-user-select: text !important; -webkit-touch-callout: default !important;\"]}","{\"selector\":\".superpowerlol::before\",\"action\":[\"style\",\"content: unset !important;\"]}"],["{\"selector\":\".post-section\",\"action\":[\"style\",\"filter: none !important; -webkit-filter: none !important; pointer-events: all !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow-x: hidden !important; overflow-y: scroll !important;\"]}"],["{\"selector\":\"body *:not(input):not(textarea)\",\"action\":[\"style\",\"user-select: text !important; -ms-user-select: text !important; -moz-user-select: text !important; -khtml-user-select: text !important; -webkit-user-select: text !important; -webkit-touch-callout: default !important;\"]}"],["{\"selector\":\"body.tingle-enabled\",\"action\":[\"style\",\"position: static!important;overflow: auto!important;\"]}"],["{\"selector\":\".unselectable\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\".fb_lightbox-lock\",\"action\":[\"style\",\"overflow-x: hidden !important; overflow-y: scroll !important;\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"overflow: auto !important; position: initial !important;\"]}"],["{\"selector\":\"body.disable-scroll\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\".erc-existing-profile-onboarding-modal > div[class^=\\\"modal-portal__overlay\\\"]\",\"action\":[\"style\",\"visibility: hidden !important;\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"-ms-user-select:auto !important; -moz-user-select:auto !important; -webkit-user-select:auto !important; -webkit-touch-callout:default !important; user-select:auto !important\"]}"],["{\"selector\":\"#courier-body-wrapper\",\"action\":[\"style\",\"overflow: auto !important; position: initial !important;\"]}"],["{\"selector\":\".post-body\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"overflow: hidden !important;\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important;-moz-user-select: text !important;-ms-user-select: text !important;user-select: text !important;\"]}"],["{\"selector\":\"html.documentLocked body\",\"action\":[\"style\",\"overflow: visible !important;\"]}","{\"selector\":\"html.documentLocked header\",\"action\":[\"style\",\"padding-right: 0 !important;\"]}","{\"selector\":\"html.documentLocked\",\"action\":[\"style\",\"margin-right: 0 !important;\"]}"],["{\"selector\":\".unselectable\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important;-moz-user-select: text !important;-ms-user-select: text !important;user-select: text !important;\"]}"],["{\"selector\":\".no-js\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\".aui-modal-open, .modal-open\",\"action\":[\"style\",\"overflow:unset!important\"]}"],["{\"selector\":\".obscured\",\"action\":[\"style\",\"color: black !important;text-shadow: none !important; filter: none !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -khtml-user-select: text !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\".navigationWrapper\",\"action\":[\"style\",\"top: 0px !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"-webkit-touch-callout: default !important;-webkit-user-select: text !important;-moz-user-select: text !important;-ms-user-select: text !important;user-select: text !important;\"]}"],["{\"selector\":\".storytextp\",\"action\":[\"style\",\"user-select: text !important; -webkit-user-select: text !important;\"]}"],["{\"selector\":\"#fwrapper, body\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"position: static !important; overflow: auto !important; width: auto !important;\"]}"],["{\"selector\":\"body.no-scroll\",\"action\":[\"style\",\"overflow:auto !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"height: auto !important; overflow: auto !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"-moz-user-select: auto !important;-ms-user-select: auto !important;-webkit-user-select: auto !important;-webkit-touch-callout: default !important;\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"[style^=\\\"filter: blur\\\"]\",\"action\":[\"style\",\"filter: none !important\"]}"],["{\"selector\":\".modal-open\",\"action\":[\"style\",\"overflow:unset!important\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -khtml-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important; -webkit-tap-highlight-color: revert !important; cursor: revert !important;\"]}"],["{\"selector\":\".CoverPop-open\",\"action\":[\"style\",\"overflow: auto !important\"]}"],["{\"selector\":\"p\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\":root\",\"action\":[\"style\",\"user-select: unset !important;\"]}"],["{\"selector\":\"body > div\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important;-moz-user-select: text !important;-ms-user-select: text !important;user-select: text !important;\"]}"],["{\"selector\":\"body[style*=\\\"overflow\\\"] > div[class]:has(> #passport-modal-overlay)\",\"action\":[\"style\",\"opacity: 0 !important; visibility: collapse !important;\"]}","{\"selector\":\"body[style*=\\\"overflow\\\"]:has(> div[class] > #passport-modal-overlay)\",\"action\":[\"style\",\"overflow: auto !important; position: relative !important; padding-right: 0px !important; inset: unset !important;\"]}"],["{\"selector\":\"html.gnt__mo\",\"action\":[\"style\",\"overflow-y:scroll !important;pointer-events: unset !important;user-select: unset !important;margin-right: unset !important;\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"overflow-x: hidden !important; overflow-y: scroll !important;\"]}"],["{\"selector\":\"[class]\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"user-select: text !important; -ms-user-select: text !important; -moz-user-select: text !important; -khtml-user-select: text !important; -webkit-user-select: text !important; -webkit-touch-callout: default !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"-webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"user-select:auto !important;-webkit-user-select:auto !important;-ms-user-select:auto !important;-moz-user-select:auto !important;-webkit-user-drag:auto !important\"]}"],["{\"selector\":\".modal-open\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\"body *\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\".subscription .paywall\",\"action\":[\"style\",\"height: unset !important; overflow: unset !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"-webkit-touch-callout:text !important;-webkit-user-select:text !important;-khtml-user-select:text !important;-moz-user-select:text !important;-ms-user-select:text !important;user-select:text !important\"]}"],["{\"selector\":\".index-wrap\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\"body.modal-open\",\"action\":[\"style\",\"overflow-x: hidden !important; overflow-y: scroll !important;\"]}"],["{\"selector\":\".nosel\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow: initial !important\"]}"],["{\"selector\":\"body.ReactModal__Body--open\",\"action\":[\"style\",\"position: unset !important; overflow: auto !important;\"]}"],["{\"selector\":\".ad_block_detected\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"position: static !important; overflow: auto !important; width: auto !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow:initial!important\"]}"],["{\"selector\":\"#pftop\",\"action\":[\"style\",\"height: auto !important;padding-bottom:5px !important\"]}"],["{\"selector\":\".SetPageTerm\",\"action\":[\"style\",\"display: block !important\"]}"],["{\"selector\":\".qu-overflow--hidden[style*=\\\"filter: blur\\\"]\",\"action\":[\"style\",\"filter:none !important;overflow:auto !important\"]}","{\"selector\":\".signup_wall_prevent_scroll #root\",\"action\":[\"style\",\"filter: none !important;\"]}","{\"selector\":\".signup_wall_prevent_scroll\",\"action\":[\"style\",\"position: unset !important; padding-right: 0 !important;\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important; cursor: auto !important\"]}"],["{\"selector\":\".unselectable, html\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important; cursor: auto !important\"]}"],["{\"selector\":\"body.modal-open\",\"action\":[\"style\",\"overflow: auto !important; padding-right: 0 !important;\"]}"],["{\"selector\":\":root\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"form[id=\\\"tfnewsearch\\\"] > input[id=\\\"val\\\"]\",\"action\":[\"style\",\"clip-path: circle(0) !important;\"]}","{\"selector\":\"form[id=\\\"tfnewsearch\\\"]\",\"action\":[\"style\",\"font-size: 0px !important;\"]}"],["{\"selector\":\"body.no-scroll\",\"action\":[\"style\",\"overflow: visible !important;position: static !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"user-select: text !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; -o-user-select: text !important;\"]}"],["{\"selector\":\".unselectable, html\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important; cursor: text !important\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"cursor: revert !important; -webkit-touch-callout: default !important; -webkit-user-select: text !important; -khtml-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"form#link a.submit\",\"action\":[\"style\",\"opacity: 1 !important; pointer-events: auto !important;\"]}"],["{\"selector\":\"#bottomAd\",\"action\":[\"style\",\"position: absolute !important; left: -4000px !important;\"]}"],["{\"selector\":\".sui-u-no-scroll\",\"action\":[\"style\",\"overflow:auto !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"cursor: initial !important;\"]}"],["{\"selector\":\"body, code\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow: auto!important\"]}"],["{\"selector\":\"body * :not(input):not(textarea)\",\"action\":[\"style\",\"user-select: text !important; -ms-user-select: text !important; -moz-user-select: text !important; -khtml-user-select: text !important; -webkit-user-select: text !important; -webkit-touch-callout: default !important;\"]}"],["{\"selector\":\".modal-open\",\"action\":[\"style\",\"overflow: auto !important; padding-top: 0 !important;\"]}"],["{\"selector\":\"*::selection\",\"action\":[\"style\",\"background-color: #338FFF !important\"]}"],["{\"selector\":\"html, body\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow: scroll !important\"]}"],["{\"selector\":\".Post-body--truncated\",\"action\":[\"style\",\"max-height: unset !important;\"]}"],["{\"selector\":\".async-hide\",\"action\":[\"style\",\"opacity:1!important\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"-webkit-touch-callout: default!important; -webkit-user-select: auto!important; -moz-user-select: auto!important; -ms-user-select: auto!important;\"]}"],["{\"selector\":\"body > div > section.default\",\"action\":[\"style\",\"cursor: revert !important;\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"overflow:auto!important\"]}"],["{\"selector\":\".lyricBody\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"div.body-container\",\"action\":[\"style\",\"cursor: revert !important;\"]}"],["{\"selector\":\".unselectable, html\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"height: auto !important; overflow: auto !important\"]}"],["{\"selector\":\"body, html\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\"#maincontent\",\"action\":[\"style\",\"user-select: text !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; -o-user-select: text !important;\"]}"],["{\"selector\":\"html.open-modal .overlay\",\"action\":[\"style\",\"display: none !important\"]}","{\"selector\":\"html.open-modal body\",\"action\":[\"style\",\"overflow: auto !important\"]}","{\"selector\":\"html.open-modal body::after\",\"action\":[\"style\",\"display: none !important;\"]}"],["{\"selector\":\"*::-webkit-scrollbar\",\"action\":[\"style\",\"width:17px !important\"]}","{\"selector\":\"*::-webkit-scrollbar-thumb\",\"action\":[\"style\",\"background:#5e5e5e !important\"]}"],["{\"selector\":\"article.post\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"cursor: revert !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"cursor: auto !important\"]}"],["{\"selector\":\"#game-wrap\",\"action\":[\"style\",\"-webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important; -webkit-tap-highlight-color: revert !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"user-select: auto !important; -webkit-user-select: auto !important; -moz-user-select: auto !important; -webkit-user-drag: auto !important\"]}"],["{\"selector\":\"body[style=\\\"overflow: hidden;\\\"]\",\"action\":[\"style\",\"overflow: auto !important;\"]}"],["{\"selector\":\".all-lyrics\",\"action\":[\"style\",\"-webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"opacity: 1 !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"-webkit-user-select:auto !important; -webkit-touch-callout: default !important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"-webkit-user-select:text!important;-moz-user-select:text!important;-ms-user-select:text!important;user-select:text!important\"]}"],["{\"selector\":\"p, ul, ol\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"div\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\".post-body\",\"action\":[\"style\",\"-webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\".hiddenRanking\",\"action\":[\"style\",\"text-shadow: none !important; color: #6c757d !important;\"]}","{\"selector\":\"[_ngcontent-serverapp-c134]\",\"action\":[\"style\",\"text-shadow: none !important; color: #000 !important;\"]}","{\"selector\":\"[_ngcontent-serverapp-c135]\",\"action\":[\"style\",\"text-shadow: none !important; color: #000 !important;\"]}","{\"selector\":\"[href*=\\\"/meet\\\"]\",\"action\":[\"style\",\"text-shadow: none !important; color: #8b0000 !important;\"]}","{\"selector\":\"[href*=\\\"/result\\\"]\",\"action\":[\"style\",\"text-shadow: none !important; color: #8b0000 !important;\"]}","{\"selector\":\"[ngbtooltip]\",\"action\":[\"style\",\"text-shadow: none !important; color: #6c757d !important;\"]}"],["{\"selector\":\"#lightbox-wrap img\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\"[class*=\\\"ImageElement-blockPointerEvents-\\\"]\",\"action\":[\"style\",\"pointer-events: auto !important\"]}","{\"selector\":\"[class*=\\\"Module-blockGridPointerEvents-\\\"] .grid__item-image\",\"action\":[\"style\",\"pointer-events: auto !important\"]}"],["{\"selector\":\"a:hover\",\"action\":[\"style\",\"cursor: auto!important;\"]}","{\"selector\":\"body\",\"action\":[\"style\",\"cursor: auto!important;\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"cursor:unset!important;user-select:unset!important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"overflow: auto !important; padding-right: 0 !important;\"]}"],["{\"selector\":\"ins.adsbygoogle\",\"action\":[\"style\",\"visibility: hidden !important;\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"-webkit-touch-callout: default!important;-webkit-user-select: auto!important;-moz-user-select: auto!important;user-select: auto!important;\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: auto !important;\"]}"],["{\"selector\":\".post-body\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important;-moz-user-select: text !important;-ms-user-select: text !important;user-select: text !important;\"]}"],["{\"selector\":\".blocked .text\",\"action\":[\"style\",\"filter: none!important;-webkit-filter: none!important;\"]}","{\"selector\":\".blocked\",\"action\":[\"style\",\"filter: none !important;\"]}"],["{\"selector\":\"body *\",\"action\":[\"style\",\"user-select: unset !important\"]}"],["{\"selector\":\"*::-webkit-scrollbar\",\"action\":[\"style\",\"height: 14px !important; width: 14px !important;\"]}","{\"selector\":\"*::-webkit-scrollbar-button\",\"action\":[\"style\",\"border-color: #A6A6A6 !important; border-style: solid !important; height:16px !important; width: 16px !important;\"]}","{\"selector\":\"*::-webkit-scrollbar-thumb\",\"action\":[\"style\",\"background: #A6A6A6 !important;\"]}","{\"selector\":\":root\",\"action\":[\"style\",\"scrollbar-color: revert !important; scrollbar-width: auto !important;\"]}"],["{\"selector\":\"#main-content > .container\",\"action\":[\"style\",\"padding-top: 20px !important;\"]}","{\"selector\":\".o-header, .project-header-actions\",\"action\":[\"style\",\"position: initial !important;\"]}","{\"selector\":\"main[class^=\\\"o-content\\\"]\",\"action\":[\"style\",\"top: 0px !important;\"]}"],["{\"selector\":\".result-snippet\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important;-moz-user-select: text !important;-ms-user-select: text !important;user-select: text !important;\"]}"],["{\"selector\":\"body, div, p, span, a, h1, h2, h3, h4, h5, h6\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important\"]}"],["{\"selector\":\"body[style^=\\\"cursor:pointer\\\"]\",\"action\":[\"style\",\"cursor: auto!important\"]}"],["{\"selector\":\".chapter-content3\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"div.Message.is-protected\",\"action\":[\"style\",\"-webkit-touch-callout: default !important; -webkit-user-select: text !important; -moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"#description\",\"action\":[\"style\",\"user-select: initial !important;\"]}"],["{\"selector\":\".atomsPartialLinkLink\",\"action\":[\"style\",\"user-select: text !important;\"]}"],["{\"selector\":\"body *\",\"action\":[\"style\",\"-webkit-user-select: auto !important; -moz-user-select: auto !important; -ms-user-select: auto !important; user-select: auto !important;\"]}"],["{\"selector\":\"*\",\"action\":[\"style\",\"-webkit-touch-callout:default!important; -webkit-user-select:text!important; -moz-user-select:text!important; -ms-user-select:text!important; user-select:text!important;\"]}"],["{\"selector\":\"section.lyric_lyric\",\"action\":[\"style\",\"user-select: text !important; -webkit-user-select: text !important; -moz-user-select: text !important; -khtml-user-select: text !important; -webkit-user-drag: auto !important; -khtml-user-drag: auto !important; -webkit-touch-callout: auto !important; -moz-touch-callout: auto !important;\"]}"],["{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"max-height: 1px !important;left:-9999px !important;position:absolute !important\"]}"],["{\"selector\":\"body\",\"action\":[\"style\",\"-moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;\"]}"],["{\"selector\":\"#ad_box\",\"action\":[\"style\",\"height: 50px !important;\"]}"],["{\"selector\":\".body--prevent-scroll\",\"action\":[\"style\",\"overflow: auto !important;\"]}"]];

const hostnamesMap = new Map([["g37.com.br",0],["ne10.uol.com.br",0],["peekme.cc",0],["labs.j-novel.club",[0,26]],["uemeds.cn",0],["wjx.cn",0],["turbo1.co",0],["adnan-tech.com",0],["read.amazon.com",0],["music.apple.com",[0,37]],["arlinadzgn.com",0],["baattv.com",0],["bike-parts-sym.com",0],["bingotingo.com",0],["bisablog.com",0],["bloggerspice.com",0],["ejobcircular-24.blogspot.com",0],["flash-firmware.blogspot.com",0],["insurance-corporate.blogspot.com",0],["librospreuniversitariospdf.blogspot.com",0],["marfilius.blogspot.com",0],["tahmial.blogspot.com",0],["walkthrough-indo.blogspot.com",0],["whowantstuffs.blogspot.com",0],["www-daftarharga.blogspot.com",0],["zeeebatch.blogspot.com",0],["bumigemilang.com",[0,26]],["cafago.com",0],["celtadigital.com",0],["cintateknologi.com",0],["ciweimao.com",0],["convenienza.com",0],["deseneledublate.com",0],["edailybuzz.com",[0,35]],["elahmad.com",0],["erexams.com",0],["everydaynewinfo.com",0],["exclusifvoyages.com",0],["flinsetyadi.com",0],["flipmsg.com",0],["gamezop.com",0],["gaypornmasters.com",0],["gaypornwave.com",0],["geeksoncoffee.com",0],["ggulpass.com",0],["gooyaabitemplates.com",0],["habuteru.com",0],["hienzo.com",0],["hollywoodmask.com",0],["hongxiu.com",0],["ideaberita.com",0],["igniel.com",0],["download.ipeenk.com",0],["jootc.com",0],["kooora4livs.com",0],["langitmovie.com",0],["digital.lasegunda.com",0],["lightnovelpub.com",0],["loveplay123.com",0],["magelang1337.com",0],["mainframestechhelp.com",0],["bbs.mihoyo.com",0],["minecraftquiz.com",0],["movieston.com",0],["musicindustryhowto.com",0],["myhtebooks.com",0],["nana-music.com",0],["nandedbazaar.com",0],["blog.naver.com",0],["cafe.naver.com",0],["novelpia.com",0],["novelpub.com",0],["nullphpscript.com",0],["objectivequiz.com",0],["oceanof-games.com",0],["outidesigoto.com",0],["panda-novel.com",0],["picallow.com",0],["polskacanada.com",0],["psychologiazycia.com",0],["pvstreams.com",0],["qiangwaikan.com",0],["qidian.com",0],["readnovel.com",0],["repack-games.com",0],["rodude.com",0],["sachonthi.com",0],["satcesc.com",0],["scarysymptoms.com",[0,45]],["selfstudyhistory.com",0],["seotechman.com",[0,35]],["snbc13.com",0],["software-on.com",[0,35]],["sogou.com",0],["sqlserveregitimleri.com",0],["sysnettechsolutions.com",0],["techdracula.com",0],["th-world.com",0],["thegearhunt.com",0],["themes-dl.com",0],["thenekodark.com",0],["tiktok.com",0],["tritinia.com",0],["tunovelaligera.com",0],["ukrainashop.com",0],["uslsoftware.com",0],["utamap.com",0],["vedantu.com",0],["webnovelpub.com",0],["wouterplanet.com",0],["yamibo.com",0],["yhocdata.com",0],["book.zongheng.com",0],["autophorie.de",0],["klartext-ne.de",[0,1]],["suedkurier.de",0],["androidtvbox.eu",0],["cambiarevita.eu",0],["cespun.eu",0],["jpopsingles.eu",0],["world4.eu",[0,35]],["zdravenportal.eu",0],["doranobi-fansub.id",0],["blisseyhusband.in",0],["getyourbitco.in",0],["rawneix.in",[0,145]],["timeforbitco.in",0],["bagaglioamano.io",0],["significatocanzoni.it",0],["starbene.it",0],["youmath.it",0],["news24.jp",0],["riie.jp",0],["ufret.jp",0],["sekaikomik.live",0],["bianity.net",0],["blog.csdn.net",0],["gsmfirmware.net",0],["kooora4lives.net",0],["ntvspor.net",0],["pixnet.net",0],["unikampus.net",0],["wpchen.net",0],["aileen-novel.online",0],["audiologyresearch.org",0],["funivie.org",0],["readm.org",0],["thezealots.org",0],["dddance.party",0],["boop.pl",0],["invado.pl",0],["koszalincity.pl",0],["adpres.ro",0],["clubulbebelusilor.ro",0],["cristelageorgescu.ro",0],["csid.ro",0],["delicateseliterare.ro",0],["epitesti.ro",0],["lataifas.ro",0],["psihologiadeazi.ro",0],["stiridinromania.ro",0],["terramirabilis.ro",[0,1]],["poli-vsp.ru",0],["polyvsp.ru",0],["mio.to",0],["wjx.top",0],["fmzm.xyz",0],["iptvromania.ro",[1,81]],["tv.bdix.app",2],["karsaz-law.com",2],["teachoo.com",2],["topperlearning.com",2],["classnotes.org.in",2],["androidmakale.com",4],["bolugundem.com",4],["citpekalongan.com",4],["displayspecifications.com",4],["gdrivedescarga.com",4],["informagiovani-italia.com",4],["joysound.com",4],["raccontivietati.com",4],["raqmedia.com",4],["runmods.com",4],["smartkhabrinews.com",4],["tanya-tanya.com",4],["tohkaishimpo.com",4],["sp.uta-net.com",4],["visaonoticias.com",4],["tfp.is",4],["daily-tohoku.news",4],["fizyka.org",4],["hitcena.pl",4],["workhouses.org.uk",4],["fritz.ai",8],["blog.inkdrop.app",8],["blog.dp6.com.br",8],["uxdesign.cc",8],["atrium.co",8],["newco.co",8],["thecontrol.co",8],["unpatent.co",8],["backstage.1blocker.com",8],["500ish.com",8],["tech.ahrefs.com",8],["artplusmarketing.com",8],["backchannel.com",8],["badootech.badoo.com",8],["baharudinyusuf.com",8],["bitcointechtalk.com",8],["bitwarden.com",8],["bluerockpublicradio.com",8],["boomsupersonic.com",8],["bradfieldcs.com",8],["brightthemag.com",8],["tech.buzzfeed.com",8],["blog.canopas.com",8],["blog.coinbase.com",8],["blog.confiant.com",8],["dave-bailey.com",8],["discordapp.com",8],["doist.com",8],["doit-intl.com",8],["doublepulsar.com",8],["economist.com",8],["electricliterature.com",8],["elidourado.com",8],["getadblock.com",8],["levelup.gitconnected.com",8],["greylock.com",8],["blog.growthhackers.com",8],["headmelted.com",8],["helium.com",8],["blog.hiri.com",8],["howwegettonext.com",8],["iheart.com",8],["injusticetoday.com",8],["insightdatascience.com",8],["itsyourturnblog.com",8],["kiwi.com",8],["learngoprogramming.com",8],["learningbyshipping.com",8],["ledwards.com",8],["legalist.com",8],["broadcast.listennotes.com",8],["logrocket.com",8],["blog.ltse.com",8],["mapbox.com",8],["medium.com",8],["melmagazine.com",8],["mondaynote.com",8],["open.nytimes.com",8],["nyulocal.com",8],["ofdollarsanddata.com",8],["postlight.com",8],["proandroiddev.com",8],["signalvnoise.com",8],["slackhq.com",8],["news.smugmug.com",8],["springboard.com",8],["startupsventurecapital.com",8],["theawl.com",8],["thebigroundtable.com",8],["thebillfold.com",8],["thebolditalic.com",8],["theringer.com",8],["thriveglobal.com",8],["timeline.com",8],["towardsdatascience.com",8],["udacity.com",8],["usejournal.com",8],["warisboring.com",8],["wearemel.com",8],["whatahowler.com",8],["writingcooperative.com",8],["x.company",8],["slack.engineering",8],["blog.angular.io",8],["blog.bitsrc.io",8],["bolt.io",8],["codeburst.io",8],["fossa.io",8],["itnext.io",8],["okmeter.io",8],["javascript.plainenglish.io",8],["prototypr.io",8],["rainway.io",8],["stoplight.io",8],["theabacus.io",8],["blog.waffle.io",8],["coach.me",8],["citizen428.net",8],["dotandline.net",8],["keepingstock.net",8],["esciencecenter.nl",8],["thetaoist.online",8],["checkio.org",8],["blog.devcolor.org",8],["freecodecamp.org",8],["iota.org",8],["jupyter.org",8],["sagefy.org",8],["standardnotes.org",8],["blog.statebox.org",8],["thinkprogress.org",8],["uxplanet.org",8],["faun.pub",8],["blog.twitch.tv",8],["calvinklein.at",9],["italianluxurygroup.com.au",9],["calvinklein.be",9],["calvinklein.bg",9],["clubhouseforchefs.ca",9],["deskhero.ca",9],["frontrunners.ca",9],["journeys.ca",9],["massivetoyblowout.ca",9],["trutone.ca",9],["tsc.ca",9],["tweeters.ca",9],["calvinklein.ch",9],["animalchannel.co",9],["decrypt.co",9],["homehacks.co",9],["parentingisnteasy.co",9],["relieved.co",9],["seeitlive.co",9],["spotlightstories.co",9],["sweetandsavory.co",9],["6sqft.com",9],["atlasobscura.com",[9,41]],["authenticoilco.com",9],["bankbazaar.com",9],["build.com",9],["calvinklein.com",9],["cars.com",9],["coinbase.com",9],["dailyvoice.com",9],["delish.com",9],["dell.com",9],["dgmlive.com",9],["esquire.com",9],["flovitamins.com",9],["foliosociety.com",9],["fredmeyer.com",9],["generalpants.com",9],["globoshoes.com",9],["goodhousekeeping.com",9],["harborfreight.com",9],["headphonebar.com",9],["investors.com",9],["jessicabryson.com",9],["jolinne.com",9],["kftv.com",9],["leevalley.com",9],["levi.com",9],["shop.libbey.com",9],["lilysilk.com",9],["littleburgundyshoes.com",9],["lull.com",9],["mashable.com",9],["nationalgeographic.com",9],["otterbox.com",9],["overstock.com",9],["pbteen.com",9],["publiclands.com",9],["pulseuniform.com",9],["www.razer.com",9],["saksfifthavenue.com",9],["sportskeeda.com",9],["stylewe.com",9],["szucstermekek.com",9],["temu.com",9],["upworthy.com",9],["vitaminworld.com",9],["wafuu.com",9],["williams-sonoma.com",9],["zumub.com",9],["calvinklein.cz",9],["calvinklein.de",9],["geizdental.de",9],["calvinklein.dk",9],["health.harvard.edu",9],["calvinklein.ee",9],["calvinklein.es",9],["calvinklein.fi",9],["calvinklein.fr",9],["calvinklein.hr",9],["calvinklein.hu",9],["calvinklein.ie",9],["calvinklein.it",9],["calvinklein.lt",9],["calvinklein.lu",9],["calvinklein.lv",9],["calvinklein.nl",9],["apotekfordeg.no",9],["drinkspy.co.nz",9],["thebfd.co.nz",9],["tradedepot.co.nz",9],["berkeleyearth.org",9],["shop.pbs.org",9],["scetv.org",9],["yesmagazine.org",9],["calvinklein.pl",9],["calvinklein.pt",9],["calvinklein.ru",9],["calvinklein.se",9],["calvinklein.si",9],["calvinklein.sk",9],["calvinklein.co.uk",9],["fruugo.co.uk",9],["sainsburysmagazine.co.uk",9],["tiedex.co.uk",9],["vol.at",10],["allbirds.com.au",11],["networldsports.ca",11],["niagarafallsreview.ca",11],["racketsandrunners.ca",11],["stcatharinesstandard.ca",11],["toysrus.ca",11],["wellandtribune.ca",11],["swissinfo.ch",11],["404media.co",11],["ello.co",11],["abeka.com",11],["allbirds.com",11],["americastestkitchen.com",11],["apnews.com",11],["ardene.com",11],["atelierskn.com",11],["axios.com",11],["backcountry.com",11],["bedbathandbeyond.com",11],["biglots.com",11],["brandingmag.com",11],["breakingenergy.com",11],["brighteon.com",[11,46]],["broadbandbreakfast.com",11],["bygonely.com",11],["carsalesbase.com",11],["contiki.com",11],["cryptobriefing.com",11],["dollartree.com",11],["dsw.com",11],["elimento.com",11],["everyday-reading.com",11],["foreignaffairs.com",[11,75]],["freshbooks.com",11],["fxstreet.com",11],["heraldnet.com",11],["hiddenvalley.com",11],["history.com",11],["hollywoodunlocked.com",11],["humankinetics.com",11],["idsnews.com",11],["impulkits.com",11],["inquirer.com",11],["ipowerqueen.com",11],["jewishinsider.com",11],["justthenews.com",11],["latina.com",11],["liamodell.com",11],["liquidationgta.com",11],["logitech.com",11],["mediadump.com",11],["www.microsoft.com",11],["milwaukeetool.com",11],["modesens.com",11],["mountainwarehouse.com",11],["musclecarsandtrucks.com",11],["nimsdai.com",11],["numero.com",11],["ohsweetbasil.com",11],["parent.com",11],["petri.com",11],["psychcentral.com",11],["pushmycart.com",11],["readtangle.com",11],["recyclingproductnews.com",11],["scientificamerican.com",11],["scottishlegal.com",11],["securityweek.com",11],["soundproofcow.com",11],["staradvertiser.com",11],["statista.com",11],["statnews.com",11],["staygenerator.com",11],["summitracing.com",11],["sweetteacaviar.com",11],["syfy.com",11],["theepochtimes.com",[11,13]],["thehill.com",11],["thepeterboroughexaminer.com",11],["therecord.com",11],["thespec.com",11],["travelcaffeine.com",11],["vallejosun.com",11],["vargooutdoors.com",11],["vernyx.com",11],["cube-magazin.de",11],["rktbns.de",11],["bitcoinke.io",11],["aihome.com.my",11],["snackstack.net",11],["tapinto.net",11],["newsnationnow",11],["allbirds.co.nz",11],["ballantynes.co.nz",11],["torpedo7.co.nz",11],["thepetslife.online",11],["envol-vert.org",11],["hcn.org",11],["knowablemagazine.org",[11,51]],["spotlightpa.org",11],["partsinmotion.co.uk",11],["simmiwoman.co.uk",11],["spring.org.uk",11],["dispatchlive.co.za",11],["heraldlive.co.za",11],["australiangolfdigest.com.au",12],["thecanary.co",12],["artificialintelligence-news.com",12],["chillamo.com",12],["coloradotimesrecorder.com",12],["dailynewsegypt.com",12],["daphneoz.com",12],["fandomwire.com",12],["hdwalle.com",12],["hypebot.com",12],["megacatstudios.com",12],["moneymagpie.com",12],["prepinsta.com",12],["socialitelife.com",12],["thefreethoughtproject.com",12],["thurrott.com",12],["total-croatia-news.com",12],["ubitennis.com",12],["zerobreeze.com",12],["fatgirlskinny.net",12],["otisoatmilk.co.nz",12],["matomo.org",12],["sfpublicpress.org",12],["scholarlykitchen.sspnet.org",12],["mercadonegro.pe",12],["verdadeiroolhar.pt",12],["bandt.com.au",13],["nieuwsblad.be",13],["theblock.co",13],["thecradle.co",13],["artnet.com",13],["audioholics.com",13],["auepaisagismo.com",13],["auepaisajismo.com",13],["ba-bamail.com",13],["babylonbee.com",13],["bellhelmets.com",13],["bibleportal.com",13],["bongino.com",13],["boredpanda.com",13],["braziljournal.com",13],["cityandstateny.com",13],["curiocity.com",13],["dispatch.com",13],["fermatslibrary.com",13],["greatist.com",13],["humanevents.com",13],["insauga.com",13],["law.com",13],["lensculture.com",13],["media4growth.com",13],["moneycontrol.com",13],["moroccoworldnews.com",13],["nycgo.com",13],["omr.com",13],["patch.com",13],["personality-database.com",13],["playpilot.com",13],["prowritingaid.com",13],["scmagazine.com",[13,33]],["softwaretestinghelp.com",13],["theconversation.com",13],["thepostmillennial.com",13],["uinterview.com",13],["vedbex.com",13],["vegnews.com",13],["wateronline.com",13],["worlddogfinder.com",13],["zorbabooks.com",13],["kauppalehti.fi",13],["talouselama.fi",13],["tekniikkatalous.fi",13],["tivi.fi",13],["uusisuomi.fi",13],["magiclen.org",13],["projectcbd.org",13],["informatykzakladowy.pl",13],["pbsamerica.co.uk",13],["sportando.basketball",14],["novelism.jp",14],["nsfw247.biz",15],["aulete.com.br",16],["diariodaregiao.com.br",17],["ferroviando.com.br",18],["counciloflove.com",18],["hayatbilgileri.com",[18,19]],["infokik.com",18],["jafekri.com",18],["truyenbanquyen.com",[18,132]],["ezmanga.net",18],["kulinarnastronamocy.pl",18],["jornaljoca.com.br",19],["visse.com.br",19],["javsubtitle.co",19],["afrikmag.com",19],["alphagirlreviews.com",19],["aprendeinglessila.com",19],["arcanescans.com",19],["bigdatauni.com",19],["clockks.com",19],["codedosa.com",19],["cracksone.com",19],["cyberkrafttraining.com",19],["drkrok.com",19],["filmzone.com",19],["flashdumpfiles.com",19],["formatatmak.com",19],["getective.com",19],["globaldefensecorp.com",19],["gossipnextdoor.com",19],["hellokpop.com",19],["hiraethtranslation.com",19],["ieltsliz.com",19],["immobiliaremia.com",19],["iptv4best.com",19],["jbjbgame.com",19],["kapitalis.com",19],["kitchennovel.com",19],["koalasplayground.com",19],["learninsta.com",19],["liveyourmaths.com",19],["moneyexcel.com",19],["ncert-solutions.com",19],["home.novel-gate.com",19],["placementstore.com",19],["poolpiscina.com",19],["riwyat.com",19],["samsungtechwin.com",19],["tech-recipes.com",19],["tempatwisataseru.com",19],["theaircurrent.com",19],["tipssehatcantik.com",19],["viatasisanatate.com",19],["wikiofcelebs.com",19],["winmeen.com",19],["neuroteam-metz.de",19],["newspao.gr",19],["ncertsolutions.guru",19],["tiempo.hn",19],["rukim.id",19],["ibps.in",19],["colegiosconcertados.info",19],["coffeeapps.ir",19],["infodifesa.it",19],["anime-drama.jp",19],["mediahiburan.my",19],["cours-de-droit.net",19],["nocturnetls.net",19],["programasvirtualespc.net",19],["onlineonderdelenshop.nl",19],["day-hoc.org",19],["licensekeys.org",19],["postcourier.com.pg",[19,45]],["blogvisaodemercado.pt",19],["ananda-yoga.ro",19],["pitesti24.ro",19],["visefierbinti.ro",19],["voxvalachorum.ro",19],["ziarulargesul.ro",19],["kaystls.site",19],["kicknews.today",19],["primicia.com.ve",19],["maduras.vip",19],["media.framu.world",19],["hardcoregames.ca",20],["teamkong.tk",20],["hockeylion.ca",21],["justcloseoutscanada.ca",21],["kitchenutopia.ca",21],["bwpsales.com",21],["detroitmodular.com",21],["fitnessav.com",21],["fwrd.com",21],["glasses.com",21],["gronkfitnessproducts.com",21],["kitchentime.com",21],["lakshmistores.com",21],["metrocheese.com",21],["pitviper.com",21],["pv-magazine-usa.com",21],["revolve.com",21],["treblezine.com",21],["vat19.com",21],["wilcooffroad.com",21],["worldcrunch.com",[21,30]],["kitchentime.de",21],["kitchentime.dk",21],["kitchentime.fi",21],["kitchentime.no",21],["olaproducts.co.nz",21],["kitchentime.se",21],["lapresse.ca",22],["beckershospitalreview.com",22],["tietoevry.com",22],["trip.com",22],["ionos.de",22],["rakentaja.fi",22],["raenonx.cc",23],["jumia.ci",24],["mofi.com",24],["jumia.dz",24],["jumia.com.eg",24],["jumia.com.gh",24],["jumia.co.ke",24],["jumia.ma",24],["jumia.com.ng",24],["jumia.sn",24],["jumia.com.tn",24],["jumia.ug",24],["evcars.club",25],["activationkeys.co",27],["dialectsarchive.com",27],["capx.co",28],["nfltraderumors.co",29],["answersafrica.com",29],["musixmatch.com",29],["practicetestgeeks.com",29],["sigma4pc.com",29],["ilturista.info",29],["jobsbotswana.info",29],["zerodot1.gitlab.io",29],["yeane.org",29],["mbahhanif.site",29],["thedisconnect.co",30],["7misr4day.com",31],["raindropteamfan.com",31],["senpaiediciones.com",31],["audiotools.in",31],["acupoffrench.com",32],["novelza.com",32],["allrecipes.com",33],["expatexplore.com",33],["fcw.com",33],["fine-day.com",33],["foodandwine.com",33],["forbestravelguide.com",33],["frontofficesports.com",33],["gcn.com",33],["investopedia.com",33],["lonelyplanet.com",33],["seriouseats.com",33],["shape.com",33],["simplyrecipes.com",33],["southernliving.com",33],["thebaffler.com",[33,128]],["thespruceeats.com",33],["travelandleisure.com",33],["tripsavvy.com",33],["tsunagujapan.com",33],["vadimkravcenko.com",33],["verybestbaking.com",33],["verywellhealth.com",33],["verywellmind.com",33],["washingtontechnology.com",33],["posylka.de",33],["oneesports.gg",33],["android1pro.com",34],["novelasligera.com",34],["geotips.net",34],["hulnews.top",[34,35]],["androidacy.com",35],["boke112.com",35],["darktranslation.com",35],["festival-cannes.com",35],["indiatimes.com",35],["la8osapofash.com",35],["tepat.id",35],["bigulnews.tv",35],["androidmtk.com",36],["appofmirror.com",38],["arcade1up.com",39],["artstation.com",40],["audiobookcup.com",42],["autoblog.com",43],["aviationweek.com",44],["awebstories.com",45],["kpopjjang.com",45],["wenku.baidu.com",46],["protocol.com",46],["liga.net",46],["bemoneyaware.com",47],["launer.com",47],["newrepublic.com",47],["rebelnews.com",47],["ftm.eu",47],["blogpascher.com",48],["mskmangaz.blogspot.com",49],["bookbub.com",50],["breakingdefense.com",51],["revolvermag.com",51],["brooklyneagle.com",52],["buondua.com",53],["businessemailetiquette.com",54],["programegratuitepc.com",54],["qualityfilehosting.com",54],["sabishiidesu.com",54],["techtrickseo.com",54],["audioreview.m1001.coreserver.jp",54],["republicadecuritiba.net",54],["viralinindia.net",54],["newsbook.pl",54],["gay69.stream",54],["chowhound.com",55],["foreignpolicy.com",55],["cnn.com",56],["milenio.com",56],["cjr.org",56],["coub.com",57],["crunchyroll.com",58],["daimangajiten.com",59],["dallasnews.com",60],["datadikdasmen.com",61],["malasngeblog.com",61],["digicular.com",62],["dollarvr.com",63],["gagetmatome.com",63],["husseinezzat.com",63],["kimkazandi.com",63],["lofter.com",63],["poipiku.com",63],["readawrite.com",63],["savoriurbane.com",63],["tinyppt.com",63],["two9success.com",63],["velicu.eu",63],["newsme.gr",63],["verselemzes.hu",63],["worldofbitco.in",63],["panorama.it",63],["pehawe.me",63],["sdewery.me",63],["revistasufletului.net",63],["canondrivers.org",63],["arenavalceana.ro",63],["descopera.ro",63],["dreamstime.com",64],["droidtekno.com",65],["ef.com",66],["elsalvadorsurfrealestate.com",67],["enotes.com",68],["enttechub.com",69],["experts-exchange.com",70],["fantricks.com",71],["fictionpress.com",72],["fanfiction.net",72],["firmwarefile.com",73],["forbes.com",74],["forward.com",76],["geopoliticalmonitor.com",76],["glassblocktint.com",76],["matadornetwork.com",76],["monroenews.com",76],["nationalobserver.com",76],["poconorecord.com",76],["shoppingsouthparkmall.com",76],["vice.com",76],["washingtontimes.com",76],["hackster.io",76],["forsvaretsforum.no",76],["npr.org",76],["thebulletin.org",76],["fraudnavi.com",77],["9docu.org",77],["genesistls.com",78],["getlatka.com",79],["groundies.com",80],["guidingliterature.com",81],["pap.pl",81],["anascrie.ro",81],["healthitsecurity.com",82],["hindi-gk.com",83],["livetennis.it",83],["ilife97.com",84],["imaginetricks.com",85],["indeed.com",86],["independentmail.com",87],["northjersey.com",87],["usatoday.com",87],["insidesources.com",88],["instagram.com",89],["ipphone-warehouse.com",90],["playingfire.com",90],["zigya.com",90],["unic.com.vn",90],["kamerabudaya.com",91],["kangkimin.com",92],["myschool-eng.com",92],["orangespotlight.com",92],["sinau-thewe.com",92],["katzen-fieber.de",92],["isikuota.co.id",92],["athletic.net",[92,157]],["clujust.ro",92],["kbdfans.com",93],["mountaintopwebdesign.com",93],["thethaiger.com",93],["studyflix.de",93],["kijyomatome-ch.com",94],["lamusica.com",95],["lectortmo.com",96],["warungkomik.com",96],["livemint.com",97],["liveroger.com",98],["mbt-store.com",99],["mercurynews.com",100],["neobux.com",101],["nytimes.com",[102,103]],["trucksbook.eu",102],["otomobilgunluklerim.com",104],["pcipolicyportal.com",105],["publish0x.com",105],["thetruthaboutcars.com",105],["reclaimthenet.org",105],["prompthero.com",106],["proxfree.com",107],["quizlet.com",108],["quora.com",109],["quotev.com",110],["the-masters-voice.com",[110,127]],["relet365.com",111],["revouninstaller.com",112],["romprovider.com",113],["safirsoft.com",114],["chan.sankakucomplex.com",115],["sanspo.com",116],["selfstudyanthro.com",117],["shaalaa.com",118],["social-unlock.com",119],["socialblade.com",120],["community.spiceworks.com",121],["substack.com",122],["taufiqhdyt.com",123],["teamaretuza.com",124],["techgyd.com",125],["techopedia.com",126],["opportunitydesk.org",[127,171]],["thefp.com",129],["theintercept.com",130],["therealdeal.com",131],["tuta.com",133],["twitter.com",134],["x.com",134],["utaten.com",135],["venturebeat.com",136],["wikibious.com",137],["zenith-watches.com",138],["airbnb.de",139],["justspices.de",140],["allocine.fr",141],["cheatsquad.gg",142],["trakteer.id",143],["edurev.in",144],["ncrtsolutions.in",144],["wormate.io",146],["with.is",147],["iwanichi.co.jp",148],["logicool.co.jp",149],["oricon.co.jp",150],["video.tv-tokyo.co.jp",151],["hibiki-radio.jp",152],["katosatoshi.jp",153],["livedays.jp",154],["gamegame.kr",155],["ahzaa.net",156],["behance.net",158],["bimiacg.net",159],["brokensilenze.net",160],["cataz.net",161],["cyanlabs.net",162],["gnt24365.net",163],["j-island.net",164],["kurazone.net",165],["context.reverso.net",166],["streambuddy.net",167],["tv2.no",168],["01.org",169],["ecosia.org",170],["payskip.org",172],["readlightnovel.org",173],["web.telegram.org",174],["zelka.org",175],["pl",176],["odoserwis.pl",177],["projektowanie-wnetrz-online.pl",178],["linkco.re",179],["curs-valutar-bnr.ro",180],["evz.ro",181],["zunda.site",182],["abema.tv",183]]);

const entitiesMap = new Map([["123movies",0],["depedlps",0],["fmovies",0],["gomovies",0],["irisbuddies",0],["magesypro",0],["mangatoon",0],["otakudesu",0],["tabonitobrasil",0],["daotranslate",[1,2]],["dostfilms",3],["kimovil",3],["dramacute",4],["google",5],["lightnovelworld",6],["pinterest",7]]);

const exceptionsMap = new Map(undefined);

self.declarativeImports = self.declarativeImports || [];
self.declarativeImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
