/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2014-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: rus-0

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssProceduralImport() {

/******************************************************************************/

const argsList = [["{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"/реклама/i\"]]}"],["{\"selector\":\"em\",\"tasks\":[[\"has-text\",\"нож блокировщику\"]]}","{\"selector\":\"strong\",\"tasks\":[[\"has-text\",\"нож блокировщику\"]]}"],["{\"selector\":\"main > div > div > div\",\"tasks\":[[\"has-text\",\"/rotator|блокировщик/\"]]}"],["{\"selector\":\"#utm_article_block > div > #article_body > p > strong\",\"tasks\":[[\"has-text\",\"/^Ниже/\"]]}","{\"selector\":\".m-hop > [class]\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".sport-table tr > th ~ th\",\"tasks\":[[\"has-text\",\"Ставка\"]]}","{\"selector\":\"blockquote\",\"tasks\":[[\"has\",{\"selector\":\"> p > strong\",\"tasks\":[[\"has-text\",\"Партнер\"]]}]]}","{\"selector\":\"span > small\",\"tasks\":[[\"has-text\",\"Приведённые букмекерские коэффициенты\"]]}","{\"selector\":\"th > .tooltip-item\",\"tasks\":[[\"has-text\",\"К\"]]}"],["{\"selector\":\"#search-result > .serp-list__card\",\"tasks\":[[\"has\",{\"selector\":\"> div .organic__subtitle > span\",\"tasks\":[[\"has-text\",\"/[РPeекламa]{6,7}/\"]]}]]}","{\"selector\":\".content__left > #search-result > li\",\"tasks\":[[\"has\",{\"selector\":\"> div .organic__subtitle > span\",\"tasks\":[[\"has-text\",\"/[РPeекламa]{6,7}/\"]]}]]}"],["{\"selector\":\".app__wrapper div[style^=\\\"width: calc(100% \\\"]\",\"action\":[\"remove-attr\",\"style\"]}","{\"selector\":\".page__result .typo\",\"tasks\":[[\"has-text\",\"/^новости партн/i\"]]}","{\"selector\":\".scroller__wrap > div[class^=\\\"minibadge\\\"]\",\"tasks\":[[\"has\",{\"selector\":\".serp-item .label\",\"tasks\":[[\"has-text\",\"реклама\"]]}]]}"],["{\"selector\":\"[class*=\\\"mini-suggest__item\\\"]:has(> a[href*=\\\"://yabs.yandex.\\\"][href*=\\\"/count/\\\"])\",\"action\":[\"remove\",\"\"]}","{\"selector\":\"[class*=\\\"mini-suggest__item\\\"]:has(> a[href*=\\\"://yandex.\\\"][href*=\\\"/clck/\\\"])\",\"action\":[\"remove\",\"\"]}","{\"selector\":\"[class*=\\\"mini-suggest__item\\\"]:has(> a[href][target=\\\"_blank\\\"])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"Для скачивания подождите отсчет таймера...\"]]}"],["{\"selector\":\"[id^=\\\"oframe\\\"] > pjsdiv\",\"tasks\":[[\"has\",{\"selector\":\"> pjsdiv\",\"tasks\":[[\"has-text\",\"/adblock|adblok|адблок|блокировщик|блокировку|фрибет/i\"]]}]]}"],["{\"selector\":\"table > tbody > .alt2\",\"tasks\":[[\"has\",{\"selector\":\"> td\",\"tasks\":[[\"has-text\",\"/реклама/i\"]]}]]}"],["{\"selector\":\".sectionColumn\",\"tasks\":[[\"has\",{\"selector\":\"> .subTitle\",\"tasks\":[[\"has-text\",\"/реклама/i\"]]}]]}"],["{\"selector\":\".page-content > .row > div[class^=\\\"col\\\"] + div[class^=\\\"col\\\"] > div\",\"tasks\":[[\"has\",{\"selector\":\"> .card h6\",\"tasks\":[[\"has-text\",\"/Реклама|Друзья/i\"]]}]]}"],["{\"selector\":\".namerub\",\"tasks\":[[\"has-text\",\"/гнездо/i\"]]}","{\"selector\":\".namerub\",\"tasks\":[[\"has-text\",\"/новости|партнер/i\"]]}"],["{\"selector\":\".blocklite\",\"tasks\":[[\"has\",{\"selector\":\"> div > [class]\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\"div:has(> div[style^=\\\"min-height:\\\"]) > p ~ div\",\"tasks\":[[\"has-text\",\"Продолжение истории после рекламы\"]]}"],["{\"selector\":\".playfair\",\"tasks\":[[\"has\",{\"selector\":\"> b\",\"tasks\":[[\"has-text\",\"/^партн/i\"]]}]]}","{\"selector\":\".svejnov\",\"tasks\":[[\"has\",{\"selector\":\"> h2 > b\",\"tasks\":[[\"has-text\",\"/^Інші/\"]]}]]}"],["{\"selector\":\"body > div:not([id]):not([class]):not([style]):empty\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"body iframe[name][style*=\\\"display:none\\\"]:not([id]):not([class]):not([src])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".wrapper-all-news > .news\",\"tasks\":[[\"has\",{\"selector\":\"> .news__description > a > span\",\"tasks\":[[\"has-text\",\"/реклама/i\"]]}]]}"],["{\"selector\":\"aside > .widget\",\"tasks\":[[\"has\",{\"selector\":\"h4\",\"tasks\":[[\"has-text\",\"/^Новини$|Реклама/\"]]}]]}"],["{\"selector\":\".right-indent > .wrapper-box\",\"tasks\":[[\"has\",{\"selector\":\"> div > .boxTitle\",\"tasks\":[[\"has-text\",\"/реклама/i\"]]}]]}"],["{\"selector\":\".widget\",\"tasks\":[[\"has\",{\"selector\":\".block-title > span\",\"tasks\":[[\"has-text\",\"Новости партнер\"]]}]]}"],["{\"selector\":\".site-section-header\",\"tasks\":[[\"has-text\",\"РЕКЛАМА\"]]}"],["{\"selector\":\".another-news__text > h2\",\"tasks\":[[\"has-text\",\"котировки\"]]}","{\"selector\":\".b-article-content > h2\",\"tasks\":[[\"has-text\",\"букмекер\"]]}"],["{\"selector\":\"head > iframe[name]:not([id]):not([class]):not([src])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"#index_desktop > .row\",\"tasks\":[[\"has\",{\"selector\":\"> div > #span-title\",\"tasks\":[[\"has-text\",\"/^реклама|^партн/i\"]]}]]}"],["{\"selector\":\".gazeta-widget\",\"tasks\":[[\"has\",{\"selector\":\".widget-title > span\",\"tasks\":[[\"has-text\",\"/реклама|новости партнеров/i\"]]}]]}"],["{\"selector\":\"#col-left > .contest-bl\",\"tasks\":[[\"has\",{\"selector\":\"> h4 > strong\",\"tasks\":[[\"has-text\",\"/^Новин|Join/\"]]}]]}","{\"selector\":\"#col-right > .bl-middle2\",\"tasks\":[[\"has\",{\"selector\":\"> h4\",\"tasks\":[[\"has-text\",\"/новини|додати/i\"]]}]]}"],["{\"selector\":\".ui-sortable > .ui-sortable-handle\",\"tasks\":[[\"has\",{\"selector\":\"> h4\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".b-article > h4\",\"tasks\":[[\"has-text\",\"Справочник по ценам\"]]}"],["{\"selector\":\".nb2-list\",\"tasks\":[[\"has\",{\"selector\":\"> .nb2-head\",\"tasks\":[[\"has-text\",\"Визитка\"]]}]]}"],["{\"selector\":\"h6\",\"tasks\":[[\"has-text\",\"/новости партнеров|знакомства/i\"]]}"],["{\"selector\":\".blblock > .pheading\",\"tasks\":[[\"has\",{\"selector\":\"> h3 > span\",\"tasks\":[[\"has-text\",\"/реклама/i\"]]}]]}"],["{\"selector\":\"[itemprop=\\\"articleBody\\\"] > p\",\"tasks\":[[\"has-text\",\"/ТЬСЯ ТАКОЖ/i\"]]}"],["{\"selector\":\"td > table[width=\\\"220\\\"]\",\"tasks\":[[\"has\",{\"selector\":\".block_title\",\"tasks\":[[\"has-text\",\"/реклама/i\"]]}]]}"],["{\"selector\":\"article > p\",\"tasks\":[[\"has-text\",\"/отключите блокировку рекламы!$/\"]]}"],["{\"selector\":\".header--text\",\"tasks\":[[\"has-text\",\"Реклама\"]]}"],["{\"selector\":\".block > .block\",\"tasks\":[[\"has\",{\"selector\":\"> .bt > .bct\",\"tasks\":[[\"has-text\",\"Партнери\"]]}]]}","{\"selector\":\".rightModules > .block\",\"tasks\":[[\"has\",{\"selector\":\"> .bt > .bct\",\"tasks\":[[\"has-text\",\"/партнер/i\"]]}]]}"],["{\"selector\":\".contents-content > ul > li\",\"tasks\":[[\"has\",{\"selector\":\"> a\",\"tasks\":[[\"has-text\",\"ставки \"]]}]]}","{\"selector\":\".show-post > h2\",\"tasks\":[[\"has\",{\"selector\":\"> strong\",\"tasks\":[[\"has-text\",\"ставки \"]]}]]}"],["{\"selector\":\".main-sidebar > .row > div\",\"tasks\":[[\"has\",{\"selector\":\".active\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\"#feed_rows > div[class^=\\\"feed_row \\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> .post > ._post_content > .PostHeader > .PostHeaderInfo > .PostHeaderSubtitle > .PostHeaderSubtitle__item\",\"tasks\":[[\"has-text\",\"/Community ad|Реклама |Рэклама | жарнама/\"]]}]]}","{\"selector\":\"#page_wall_posts > div[id^=\\\"post-\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> ._post_content > .PostHeader > .PostHeaderInfo > .PostHeaderSubtitle > .PostHeaderSubtitle__item\",\"tasks\":[[\"has-text\",\"/Community ad|Реклама |Рэклама | жарнама/\"]]}]]}","{\"selector\":\"#wk_content > #wl_post\",\"tasks\":[[\"has\",{\"selector\":\"> #wl_head_wrap > .PostHeader > .PostHeaderInfo > .PostHeaderSubtitle > .PostHeaderSubtitle__item\",\"tasks\":[[\"has-text\",\"/Community ad|Реклама |Рэклама | жарнама/\"]]}]]}"],["{\"selector\":\".card-separator__title\",\"tasks\":[[\"has-text\",\"реклама\"]]}"],["{\"selector\":\"aside > .sidetitle\",\"tasks\":[[\"has-text\",\"Партнеры\"],[\"spath\",\" + br + .side\"]]}","{\"selector\":\"aside > .sidetitle\",\"tasks\":[[\"has-text\",\"Партнеры\"]]}"],["{\"selector\":\"form > table[id^=\\\"p_row_\\\"]:nth-of-type(2)\",\"tasks\":[[\"has\",{\"selector\":\"*\",\"tasks\":[[\"has-text\",\"Yap\"]]}]]}"],["{\"selector\":\"#page-body > .post\",\"tasks\":[[\"has\",{\"selector\":\"[class=\\\"username-coloured\\\"]\",\"tasks\":[[\"has-text\",\"Advertiser\"]]}]]}"],["{\"selector\":\"article div\",\"tasks\":[[\"has-text\",\"/^Реклама$/\"]]}"],["{\"selector\":\".slick-slide\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"На правах рекламы\"]]}]]}"],["{\"selector\":\"h4\",\"tasks\":[[\"has-text\",\"партнеры\"]]}"],["{\"selector\":\"h2\",\"tasks\":[[\"has-text\",\"/^реклама/i\"]]}"],["{\"selector\":\"#article_feeds > .row\",\"tasks\":[[\"has\",{\"selector\":\"> div > p\",\"tasks\":[[\"has-text\",\"/яндекс/i\"]]}]]}"],["{\"selector\":\".side_block > .side_header\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}"],["{\"selector\":\"[class]\",\"tasks\":[[\"has\",{\"selector\":\"> .name\",\"tasks\":[[\"has-text\",\"/больше | партн|прочие | сми/i\"]]}]]}"],["{\"selector\":\"videotronic-player\",\"action\":[\"remove-attr\",\"data-video-autoplay\"]}"],["{\"selector\":\".widget-title\",\"tasks\":[[\"has-text\",\"Новости партнёров\"]]}"],["{\"selector\":\"[class*=\\\"_title\\\"]\",\"tasks\":[[\"has-text\",\"/ партн|реклама/i\"]]}"],["{\"selector\":\".module-title > .title\",\"tasks\":[[\"has-text\",\"/ПАРТНЕРІВ/i\"]]}"],["{\"selector\":\"[class] > div\",\"tasks\":[[\"has\",{\"selector\":\"> [class*=\\\"title\\\"]\",\"tasks\":[[\"has-text\",\"/Our Friends|Sluts/\"]]}]]}"],["{\"selector\":\".entry-galery\",\"tasks\":[[\"has\",{\"selector\":\"> .entry-galery-title\",\"tasks\":[[\"has-text\",\"/полезное объявление|горячие новости/i\"]]}]]}"],["{\"selector\":\"body > #app div\",\"tasks\":[[\"matches-css\",{\"name\":\"background-color\",\"value\":\"^rgb\\\\(225, 231, 235\\\\)$\"}]]}"],["{\"selector\":\"video[autoplay=\\\"autoplay\\\"]\",\"action\":[\"remove-attr\",\"autoplay\"]}"],["{\"selector\":\".widget_text\",\"tasks\":[[\"has\",{\"selector\":\"> .widget-title\",\"tasks\":[[\"has-text\",\"Реклама партнеров\"]]}]]}"],["{\"selector\":\".block\",\"tasks\":[[\"has\",{\"selector\":\"> .content\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".AsideHeading\",\"tasks\":[[\"has-text\",\"/kinopoisk|кинопоиск/i\"]]}"],["{\"selector\":\".container > .marginBottomBase\",\"tasks\":[[\"has-text\",\"/Смотри на КиноПоиск HD|Watch on KinoPoisk HD/\"],[\"spath\",\" + .row + .contAlt\"]]}","{\"selector\":\".container > .marginBottomBase\",\"tasks\":[[\"has-text\",\"/Смотри на КиноПоиск HD|Watch on KinoPoisk HD/\"],[\"spath\",\" + .row\"]]}","{\"selector\":\".container > .marginBottomBase\",\"tasks\":[[\"has-text\",\"/Смотри на КиноПоиск HD|Watch on KinoPoisk HD/\"]]}"],["{\"selector\":\"a.btn-success[href^=\\\"https://online-fix.me/ext/\\\"]\",\"action\":[\"remove-class\",\"btn\"]}","{\"selector\":\"a[href*=\\\":2053\\\"]\",\"action\":[\"remove-class\",\"btn\"]}"],["{\"selector\":\".sidebar > .section\",\"tasks\":[[\"has\",{\"selector\":\"h3\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".content__sub-heading\",\"tasks\":[[\"has-text\",\"Новости партнёров\"]]}","{\"selector\":\".drag_element\",\"tasks\":[[\"has\",{\"selector\":\"[href]\",\"tasks\":[[\"has-text\",\"Peклама\"]]}]]}"],["{\"selector\":\"h3\",\"tasks\":[[\"has-text\",\"/^нов.+партн.+р.в$/i\"]]}"],["{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Интересные новости\"]]}"],["{\"selector\":\".inner > .default\",\"tasks\":[[\"has\",{\"selector\":\"> header > h1\",\"tasks\":[[\"has-text\",\"РЕКЛАМА\"]]}]]}"],["{\"selector\":\"[class*=\\\"navi_title\\\"]\",\"tasks\":[[\"has-text\",\"/браузер|партнеры/i\"]]}"],["{\"selector\":\".mvp-widget-home-title\",\"tasks\":[[\"has-text\",\"Реклама\"]]}"],["{\"selector\":\"[id^=\\\"oframevideoplayer\\\"] > pjsdiv\",\"tasks\":[[\"has\",{\"selector\":\"> pjsdiv\",\"tasks\":[[\"has-text\",\"Сексчат\"]]}]]}"],["{\"selector\":\"p\",\"tasks\":[[\"has\",{\"selector\":\"> strong\",\"tasks\":[[\"has-text\",\"/париматч/i\"]]}]]}"],["{\"selector\":\".widget_text\",\"tasks\":[[\"has\",{\"selector\":\"> .widget-title\",\"tasks\":[[\"has-text\",\"/Хостинг-партнёр|Реклама/\"]]}]]}"],["{\"selector\":\"span[class]\",\"tasks\":[[\"has-text\",\"Это может быть интересно\"]]}"],["{\"selector\":\".widget-title\",\"tasks\":[[\"has-text\",\"Реклама\"]]}"],["{\"selector\":\"td[style=\\\"width:200px;\\\"] > table\",\"tasks\":[[\"has\",{\"selector\":\"b\",\"tasks\":[[\"has-text\",\"Рекламный блок\"]]}]]}"],["{\"selector\":\".title-without-border\",\"tasks\":[[\"has-text\",\"Новини партнерів\"]]}"],["{\"selector\":\".block\",\"tasks\":[[\"has\",{\"selector\":\"> .block-title\",\"tasks\":[[\"has-text\",\"/Интересное|Наши друзья|Реклама|Сидбокс|MARKETGID/\"]]}]]}"],["{\"selector\":\".article-right > div\",\"tasks\":[[\"has-text\",\"Реклама\"]]}","{\"selector\":\".container-mat p\",\"tasks\":[[\"has-text\",\"Реклама\"]]}"],["{\"selector\":\"p\",\"tasks\":[[\"has\",{\"selector\":\"> script\",\"tasks\":[[\"has-text\",\"smi2\"]]}]]}"],["{\"selector\":\".content > .content-wrap\",\"tasks\":[[\"has\",{\"selector\":\".pgs-head\",\"tasks\":[[\"has-text\",\"Интересное\"]]}]]}"],["{\"selector\":\".title-block\",\"tasks\":[[\"has\",{\"selector\":\"> h2\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".out__inner > div\",\"tasks\":[[\"has\",{\"selector\":\"> div > .title\",\"tasks\":[[\"has-text\",\"Читайте также\"]]}]]}","{\"selector\":\"a[href*=\\\"://24smi.org/\\\"]\",\"action\":[\"remove-attr\",\"target\"]}"],["{\"selector\":\"td > .forabg\",\"tasks\":[[\"has\",{\"selector\":\"dt\",\"tasks\":[[\"has-text\",\"Проверенный выгодный обменник!\"]]}]]}"],["{\"selector\":\"#rightside > div\",\"tasks\":[[\"has-text\",\"На правах рекламы\"]]}"],["{\"selector\":\".nchead\",\"tasks\":[[\"has\",{\"selector\":\"> .ncheading\",\"tasks\":[[\"has-text\",\"/партн/i\"]]}]]}","{\"selector\":\".row[style^=\\\"padding-\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> .nchead > .ncheading\",\"tasks\":[[\"has-text\",\"/^партн/i\"]]}]]}"],["{\"selector\":\".widget_text\",\"tasks\":[[\"has\",{\"selector\":\"> .td-block-title\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\"td\",\"tasks\":[[\"has-text\",\"/bit.ly|clck.ru|vk.cc/\"]]}"],["{\"selector\":\".side-block\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".popularreviewscats-home\",\"tasks\":[[\"has\",{\"selector\":\"> h2\",\"tasks\":[[\"has-text\",\"Новини партнерів\"]]}]]}"],["{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Реклама\"]]}"],["{\"selector\":\"h2\",\"tasks\":[[\"has-text\",\"Смотрите также\"]]}"],["{\"selector\":\".block\",\"tasks\":[[\"has\",{\"selector\":\"> h4\",\"tasks\":[[\"has-text\",\"Партнеры\"]]}]]}"],["{\"selector\":\".sblock\",\"tasks\":[[\"has\",{\"selector\":\"> .b_title > .ins\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".post-footer > span\",\"tasks\":[[\"has-text\",\"Реклама на сайте\"]]}","{\"selector\":\".theiaStickySidebar > .widget > .widget *\",\"tasks\":[[\"has\",{\"selector\":\".widget-title > h2\",\"tasks\":[[\"has-text\",\"Интересная реклама\"]]}]]}"],["{\"selector\":\"h3\",\"tasks\":[[\"has-text\",\"/Новости Lentainform|Новости СМИ2|Новости Лентаинформ/\"]]}"],["{\"selector\":\"#rightside .main-head\",\"tasks\":[[\"has\",{\"selector\":\"> .hn > span\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\"div[class^=\\\"product-snippet_ProductSnippet__grid\\\"] > [data-product-id]\",\"tasks\":[[\"has\",{\"selector\":\"> div > div[class^=\\\"product-snippet_ProductSnippet__description\\\"] > div[class^=\\\"product-snippet_ProductSnippet__block\\\"] > div[class^=\\\"product-snippet_ProductSnippet__ext\\\"]\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".voting > .block_title\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}"],["{\"selector\":\".grid__title\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}"],["{\"selector\":\"li\",\"tasks\":[[\"has\",{\"selector\":\"> span\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}]]}"],["{\"selector\":\".tablebg\",\"tasks\":[[\"has\",{\"selector\":\"> tbody > tr > td > h4\",\"tasks\":[[\"has-text\",\"/^Реклама$/\"]]}]]}"],["{\"selector\":\".text-center\",\"tasks\":[[\"has-text\",\"/ДВИГАТЕЛЬ ТОРГОВЛИ|И еще немного рекламы|новости партнеров/i\"]]}"],["{\"selector\":\"p > strong\",\"tasks\":[[\"has-text\",\"реклама\"]]}"],["{\"selector\":\"h4\",\"tasks\":[[\"has-text\",\"Реклама :\"]]}","{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"Реклама :\"]]}"],["{\"selector\":\".widget_custom_html\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Реклама партнера\"]]}]]}"],["{\"selector\":\"#news-arch\",\"tasks\":[[\"has\",{\"selector\":\"h4\",\"tasks\":[[\"has-text\",\"/Реклама|Партнеры/i\"]]}]]}"],["{\"selector\":\"td[valign=\\\"top\\\"] > table.tborder[width=\\\"240\\\"] ~ table.tborder[width]\",\"tasks\":[[\"has\",{\"selector\":\"td.tcat\",\"tasks\":[[\"has-text\",\"/наши друзья|реклама/i\"]]}]]}"],["{\"selector\":\".region[id^=\\\"content-\\\"] > .block\",\"tasks\":[[\"has\",{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/adsbygoogle|advmanager|yadblock/i\"]]}]]}"],["{\"selector\":\".right_coll > .moduletable\",\"tasks\":[[\"has\",{\"selector\":\"> h3\",\"tasks\":[[\"has-text\",\"Рекламные ссылки\"]]}]]}"],["{\"selector\":\".cq-content > h2\",\"tasks\":[[\"has-text\",\"/ставки/i\"]]}","{\"selector\":\".post-content > div > div\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-css\",{\"name\":\"height\",\"value\":\"^150px$\"}]]}","{\"selector\":\"div[class]:not([class*=\\\"-\\\"]):not([class*=\\\"_\\\"])\",\"tasks\":[[\"matches-css\",{\"name\":\"margin-top\",\"value\":\"^16px$\"}]]}"],["{\"selector\":\"h6\",\"tasks\":[[\"has-text\",\"РЕКОМЕНДУЕМ ПОЧИТАТЬ:\"]]}"],["{\"selector\":\"#for_fix > *\",\"tasks\":[[\"has\",{\"selector\":\".titlebar > span\",\"tasks\":[[\"has-text\",\"партнеры\"]]}]]}"],["{\"selector\":\".more-news\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}"],["{\"selector\":\"main > h3\",\"tasks\":[[\"has-text\",\"/Новости партнёров|Популярное в сети/\"]]}"],["{\"selector\":\"video\",\"action\":[\"remove-attr\",\"autoplay\"]}"],["{\"selector\":\"table[id^=\\\"post\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> tbody > tr > .thead\",\"tasks\":[[\"has-text\",\"Это может быть интересно\"]]}]]}"],["{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/articles\"],[\"spath\",\" div\"],[\"matches-attr\",{\"attr\":\"/data/\",\"value\":\"article-showcase-card\"}],[\"spath\",\":has(> article:not([aria-label]))\"]]}","{\"selector\":\"iframe[style^=\\\"position:\\\"][style*=\\\"absolute\\\"][srcdoc]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".container > .footer\",\"tasks\":[[\"has-text\",\"реклама\"]]}"],["{\"selector\":\".content-block\",\"tasks\":[[\"has\",{\"selector\":\"font\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}]]}"],["{\"selector\":\".asideblock > div\",\"tasks\":[[\"has\",{\"selector\":\".icon > dt > span\",\"tasks\":[[\"has-text\",\"/Интересные новости|Предложения|Смотрите также/\"]]}]]}","{\"selector\":\".panel\",\"tasks\":[[\"has\",{\"selector\":\"> .panel-heading\",\"tasks\":[[\"has-text\",\"/Интересные новости|Полезное|Реклама/\"]]}]]}"],["{\"selector\":\"h3\",\"tasks\":[[\"has\",{\"selector\":\"> span\",\"tasks\":[[\"has-text\",\"/реклама/i\"]]}]]}"],["{\"selector\":\".sidebar > .block-title\",\"tasks\":[[\"has-text\",\"/^реклама/i\"]]}"],["{\"selector\":\".news-item-wrap > .news-item\",\"tasks\":[[\"has\",{\"selector\":\"> span\",\"tasks\":[[\"has-text\",\"Ad\"]]}]]}","{\"selector\":\".news-view\",\"action\":[\"style\",\"color: inherit !important; pointer-events: none !important\"],\"tasks\":[[\"has\",{\"selector\":\"> .overview > .overview__overview\",\"tasks\":[[\"has-text\",\"Реклама\"]]}],[\"spath\",\" .content-text a[href]\"]]}"],["{\"selector\":\"a\",\"tasks\":[[\"has-text\",\"/mediaget/i\"]]}"],["{\"selector\":\"section[class^=\\\"MaterialsManufacturerPage_infiniteWrap\\\"] > div[class^=\\\"InfiniteScrollWrap_content\\\"] > [class*=\\\"MaterialItemPage_materialSection\\\"]\",\"action\":[\"style\",\"color: inherit !important; pointer-events: none !important\"],\"tasks\":[[\"has\",{\"selector\":\"> .knb-grid-container > [data-io-article-url] [class^=\\\"TextContent_text\\\"] > p\",\"tasks\":[[\"has-text\",\"/^Реклама:/\"]]}],[\"spath\",\" [class^=\\\"material-content_\\\"] a[href][target=\\\"_blank\\\"]:not([href^=\\\"https://www.igromania.ru/\\\"])\"]]}","{\"selector\":\"section[class^=\\\"MaterialsManufacturerPage_infiniteWrap\\\"] > div[class^=\\\"InfiniteScrollWrap_content\\\"] > [class^=\\\"MaterialItemPage_isFirst\\\"] ~ [class^=\\\"MaterialItemPage_materialSection\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> .knb-grid-container > [data-io-article-url] [class^=\\\"TextContent_text\\\"] > p\",\"tasks\":[[\"has-text\",\"/^Реклама:/\"]]}]]}"],["{\"selector\":\".stlt\",\"tasks\":[[\"has-text\",\"Реклама\"]]}"],["{\"selector\":\".widget-pages\",\"tasks\":[[\"has\",{\"selector\":\"> .widget-header\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\"div[class^=\\\"Sidebar_sidebar_list\\\"] > div[class]\",\"tasks\":[[\"has\",{\"selector\":\"> div > div > span\",\"tasks\":[[\"has-text\",\"Партнерский материал\"]]}]]}","{\"selector\":\"section[class^=\\\"MaterialsManufacturerPage_infiniteWrap\\\"] > div[class^=\\\"InfiniteScrollWrap_content\\\"] > [class*=\\\"MaterialItemPage_materialSection\\\"]\",\"action\":[\"style\",\"color: inherit !important; pointer-events: none !important\"],\"tasks\":[[\"has\",{\"selector\":\"> .knb-grid-container > [data-io-article-url] [class^=\\\"TextContent_text\\\"] > p\",\"tasks\":[[\"has-text\",\"/^Реклама:/\"]]}],[\"spath\",\" [class^=\\\"material-content_\\\"] a[href][target=\\\"_blank\\\"]:not([href^=\\\"https://kanobu.ru/\\\"])\"]]}"],["{\"selector\":\"[class$=\\\"title\\\"]\",\"tasks\":[[\"has-text\",\"/предложения/i\"]]}"],["{\"selector\":\".shortcode-html\",\"tasks\":[[\"has\",{\"selector\":\"> header > div > [class]\",\"tasks\":[[\"has-text\",\"Популярное в сети\"]]}]]}"],["{\"selector\":\".post-cards > .post-card\",\"tasks\":[[\"has\",{\"selector\":\".post-card__description\",\"tasks\":[[\"has-text\",\"://keltr.ru/\"]]}]]}"],["{\"selector\":\"#right > h2\",\"tasks\":[[\"has-text\",\"Рекомендуем\"],[\"spath\",\" + .bordered\"]]}","{\"selector\":\"#right > h2\",\"tasks\":[[\"has-text\",\"Рекомендуем\"]]}","{\"selector\":\".post > h2\",\"tasks\":[[\"has-text\",\"Обратите внимание\"]]}"],["{\"selector\":\".js-scroll-to-site-container\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"[class^=\\\"styles_title_\\\"]\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}"],["{\"selector\":\"#sidebar-right > .block\",\"tasks\":[[\"has\",{\"selector\":\"> h2\",\"tasks\":[[\"has-text\",\"Наши партнёры\"]]}]]}"],["{\"selector\":\"[slot=\\\"main-column\\\"] *\",\"tasks\":[[\"matches-css\",{\"name\":\"height\",\"value\":\"^90px$\"}]]}"],["{\"selector\":\".b-datalist > div\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-css\",{\"name\":\"height\",\"value\":\"^39px$\"}]]}","{\"selector\":\".b-letter_thread > div > div\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-css\",{\"name\":\"height\",\"value\":\"^39px$\"}]]}"],["{\"selector\":\".maintitlecollapse\",\"tasks\":[[\"has-text\",\"Реклама\"]]}"],["{\"selector\":\".sideblock\",\"tasks\":[[\"has\",{\"selector\":\"> .sideblock_title > span\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".block_top\",\"tasks\":[[\"has\",{\"selector\":\"> .block_title > .title > b\",\"tasks\":[[\"has-text\",\"РЕКЛАМА\"]]}],[\"spath\",\" + .block_content + .block_bottom\"]]}","{\"selector\":\".block_top\",\"tasks\":[[\"has\",{\"selector\":\"> .block_title > .title > b\",\"tasks\":[[\"has-text\",\"РЕКЛАМА\"]]}],[\"spath\",\" + .block_content\"]]}","{\"selector\":\".block_top\",\"tasks\":[[\"has\",{\"selector\":\"> .block_title > .title > b\",\"tasks\":[[\"has-text\",\"РЕКЛАМА\"]]}]]}"],["{\"selector\":\"div[id*=\\\"sidebar\\\"] > div[class*=\\\"module\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> [class*=\\\"moduletitle\\\"]\",\"tasks\":[[\"has-text\",\"/^актуально|финам$|сми2$|marketgid|^интересные|гнездо.ру/i\"]]}]]}"],["{\"selector\":\"#sidebar > .module\",\"tasks\":[[\"has\",{\"selector\":\"> .inner h3\",\"tasks\":[[\"has-text\",\"/Блок ссылок|Блок Google|Рекламный блок/\"]]}]]}","{\"selector\":\".left > div.moduletable\",\"tasks\":[[\"has\",{\"selector\":\"> h3 span\",\"tasks\":[[\"has-text\",\"/Блок Google|Рекламный блок/\"]]}]]}"],["{\"selector\":\"#sidebar > .sidebox\",\"tasks\":[[\"has\",{\"selector\":\"> .sidetitle > span\",\"tasks\":[[\"has-text\",\"/^интересное/i\"]]}]]}"],["{\"selector\":\"td[width=\\\"240\\\"] > table[width=\\\"240\\\"] ~ table[width=\\\"240\\\"]\",\"tasks\":[[\"has-text\",\"Реклама\"]]}"],["{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Advertisements\"]]}"],["{\"selector\":\".bnd-cnt\",\"tasks\":[[\"has\",{\"selector\":\"> [class] > b\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}]]}"],["{\"selector\":\"[style*=\\\"font\\\"]\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}"],["{\"selector\":\".widget_text\",\"tasks\":[[\"has\",{\"selector\":\"> .widget-title\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".feed-list > .feed-w\",\"tasks\":[[\"has\",{\"selector\":\"[class^=\\\"feed\\\"][class*=\\\"label\\\"]\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".right-cell > div\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"Paid Content\"]]}]]}"],["{\"selector\":\"table > tbody > tr\",\"tasks\":[[\"has\",{\"selector\":\"> [class^=\\\"profile\\\"]\",\"tasks\":[[\"has-text\",\"/Партнер|Реклама/\"]]}]]}"],["{\"selector\":\".zsnazzy\",\"tasks\":[[\"has\",{\"selector\":\".color_b\",\"tasks\":[[\"has-text\",\"Блок рекламы\"]]}]]}"],["{\"selector\":\"[data-lcp-name*=\\\"anner-\\\"]\",\"action\":[\"style\",\"display: block !important\"],\"tasks\":[[\"matches-path\",\"/my/reviews/promo\"]]}","{\"selector\":\"div[data-widget=\\\"banner\\\"]\",\"action\":[\"style\",\"display: block !important\"],\"tasks\":[[\"matches-path\",\"/my/reviews/promo\"]]}"],["{\"selector\":\".center-article-bottom > .custom_ *\",\"tasks\":[[\"has\",{\"selector\":\".blacktitle > span\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}]]}"],["{\"selector\":\".dfp-container\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"body > h3\",\"tasks\":[[\"has-text\",\"/^Новости/\"]]}","{\"selector\":\"tr > th\",\"tasks\":[[\"has-text\",\"Реклама на Погода.ру\"]]}"],["{\"selector\":\"h4\",\"tasks\":[[\"has-text\",\"Смотрите также\"]]}"],["{\"selector\":\"a[href*=\\\"://clck.ru/\\\"] ~ *\",\"tasks\":[[\"has-text\",\"https://\"]]}","{\"selector\":\"a[href*=\\\"://slurm.club/\\\"] ~ *\",\"tasks\":[[\"has-text\",\"https://\"]]}"],["{\"selector\":\"div[class$=\\\"-main\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> p\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}]]}"],["{\"selector\":\".stream-item-widget\",\"tasks\":[[\"has-text\",\"Реклама\"]]}"],["{\"selector\":\"#pagecontent > .tablebg\",\"tasks\":[[\"has\",{\"selector\":\".postauthor\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\"#summary ~ div:has(> [id^=\\\"cluster-video-ad\\\"])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".js-index-doscroll audio[autoplay]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"div.news.grid_16 h3\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Реклама\"]]}],[\"spath\",\" ~ a[href][target=\\\"_blank\\\"]\"]]}","{\"selector\":\"div.news.grid_16 h3\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Реклама\"]]}],[\"spath\",\" ~ div[style=\\\"overflow: hidden;\\\"]\"]]}","{\"selector\":\"div.news.grid_16 h3\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"> .title_also\",\"tasks\":[[\"has-text\",\"Партнерский контент\"]]}]]}"],["{\"selector\":\".entry > div:not([aria-label=\\\"Аудиоплеер\\\"])\",\"tasks\":[[\"has\",{\"selector\":\"a[href^=\\\"https://serveradmin.ru/\\\"]\",\"tasks\":[[\"has-text\",\"/./\"]]}]]}"],["{\"selector\":\"div[class]\",\"tasks\":[[\"has\",{\"selector\":\"> div[font-size] > span\",\"tasks\":[[\"has-text\",\"/опрос/i\"]]}]]}"],["{\"selector\":\".section\",\"tasks\":[[\"has\",{\"selector\":\"> .navbar > .flex-center > p\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}]]}"],["{\"selector\":\"td[width=\\\"210\\\"] > center > table\",\"tasks\":[[\"has\",{\"selector\":\"center > b\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".material-list__item\",\"tasks\":[[\"has\",{\"selector\":\".content-label\",\"tasks\":[[\"has-text\",\"/Реклама|Pеклама/\"]]}]]}","{\"selector\":\".rightPart > div\",\"tasks\":[[\"has-text\",\"Реклама 18+\"]]}","{\"selector\":\"[class]\",\"tasks\":[[\"has\",{\"selector\":\"> .aside-news-list__advert\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}","{\"selector\":\"p\",\"tasks\":[[\"has\",{\"selector\":\"> a[href]\",\"tasks\":[[\"has-text\",\"М.Видео\"]]}]]}"],["{\"selector\":\"div[class^=\\\"_content\\\"] > div[class^=\\\"_video-wrapper\\\"] ~ [class] b\",\"tasks\":[[\"has-text\",\"/Скидка|Скидки/\"]]}"],["{\"selector\":\".featured_articles > .header\",\"tasks\":[[\"has-text\",\"/^Новости партнеров|^Также читайте/\"]]}"],["{\"selector\":\".section-heading\",\"tasks\":[[\"has\",{\"selector\":\"> .h-text\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}]]}"],["{\"selector\":\".content ~ #sidebar > .widget\",\"tasks\":[[\"has-text\",\"Опрос недели\"]]}"],["{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"Erid:\"]]}"],["{\"selector\":\".h2\",\"tasks\":[[\"has\",{\"selector\":\"> span\",\"tasks\":[[\"has-text\",\"/^СМИ$/\"]]}]]}"],["{\"selector\":\"[class*=\\\"title\\\"]\",\"tasks\":[[\"has-text\",\"/новости партнеров/i\"]]}"],["{\"selector\":\".andropov_video\",\"action\":[\"remove-attr\",\"data-video-play-mode\"]}"],["{\"selector\":\".box-title\",\"tasks\":[[\"has\",{\"selector\":\"> span\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}]]}"],["{\"selector\":\"#sidebar > .sidebar-content\",\"tasks\":[[\"has\",{\"selector\":\"> .top > .fix\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\"span.articles_info > b\",\"tasks\":[[\"has-text\",\"Реклама:\"]]}"],["{\"selector\":\".hr\",\"tasks\":[[\"has-text\",\"/Яндекс.Директ ВОмске|Другие новости/\"]]}"],["{\"selector\":\".module\",\"tasks\":[[\"has-text\",\"Реклама\"]]}"],["{\"selector\":\"div[class$=\\\"_visible\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"[class$=\\\"icon\\\"] ~ [class]\",\"tasks\":[[\"has-text\",\"Рекламы нет\"]]}]]}"],["{\"selector\":\"div[style=\\\"margin-left:21px;\\\"]\",\"tasks\":[[\"has\",{\"selector\":\".opros\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\"h4\",\"tasks\":[[\"has-text\",\"Новости партн\"]]}"],["{\"selector\":\".widget-title\",\"tasks\":[[\"has-text\",\"Наши партнеры\"]]}"],["{\"selector\":\"div[style^=\\\"font-size\\\"]\",\"tasks\":[[\"has-text\",\"Также узнайте...\"]]}"],["{\"selector\":\".module-full\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"advert\"]]}]]}"],["{\"selector\":\"#rightcol > div[class^=\\\"box\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> .spacer > h3\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".bltitle\",\"tasks\":[[\"has-text\",\"Реклама\"]]}"],["{\"selector\":\"td > table[width=\\\"100%\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> tbody > tr > td > .tablebg > tbody > tr > .cat > h4\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\"div[id^=\\\"sidebar\\\"] > .ipsSideBlock\",\"tasks\":[[\"has\",{\"selector\":\"> h3\",\"tasks\":[[\"has-text\",\"еклам\"]]}]]}"],["{\"selector\":\"#sideLeft > .accordion-group\",\"tasks\":[[\"has\",{\"selector\":\".accordion-heading\",\"tasks\":[[\"has-text\",\"seedbox.org.ua\"]]}]]}","{\"selector\":\".post_wrap span[class^=\\\"post\\\"]\",\"tasks\":[[\"has-text\",\"/при поддержке/i\"]]}"],["{\"selector\":\".boxTable\",\"tasks\":[[\"has\",{\"selector\":\".boxTitle\",\"tasks\":[[\"has-text\",\"/Это интересно|Новости/\"]]}]]}"],["{\"selector\":\"h5\",\"tasks\":[[\"has-text\",\"Новости партнёров\"]]}"],["{\"selector\":\".sidebar > [class]\",\"tasks\":[[\"has\",{\"selector\":\"> [class]\",\"tasks\":[[\"has-text\",\"/Новости партнеров|Новини партнерів/\"]]}]]}"],["{\"selector\":\".widget_text\",\"tasks\":[[\"has\",{\"selector\":\"> .widget-title > span\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".container-wrapper\",\"tasks\":[[\"has\",{\"selector\":\"> .mag-box-title\",\"tasks\":[[\"has-text\",\"Партнери проекту\"]]}]]}"],["{\"selector\":\"article > h2\",\"tasks\":[[\"has-text\",\"/реклама/i\"],[\"spath\",\" + ul\"]]}","{\"selector\":\"article > h2\",\"tasks\":[[\"has-text\",\"/реклама/i\"]]}","{\"selector\":\"article > h3\",\"tasks\":[[\"has-text\",\"/реклама|партнер|яндекс/i\"],[\"spath\",\" + ul\"]]}","{\"selector\":\"article > h3\",\"tasks\":[[\"has-text\",\"/реклама|партнер|яндекс/i\"]]}"],["{\"selector\":\".right-col > .hint-block\",\"tasks\":[[\"has\",{\"selector\":\"> .hint-block-title\",\"tasks\":[[\"has-text\",\"Партнеры\"]]}]]}"],["{\"selector\":\".sidebox > .sidetitle\",\"tasks\":[[\"has\",{\"selector\":\"> span\",\"tasks\":[[\"has-text\",\"/купуй|реклама|формац/i\"]]}]]}"],["{\"selector\":\".widget > .widgettitle\",\"tasks\":[[\"has-text\",\"Реклама\"],[\"spath\",\" + .clear + .widgetbox\"]]}","{\"selector\":\".widget > .widgettitle\",\"tasks\":[[\"has-text\",\"Реклама\"]]}"],["{\"selector\":\".windowbg\",\"tasks\":[[\"has\",{\"selector\":\"> .poster > h4\",\"tasks\":[[\"has-text\",\"Форум Такси Сервис\"]]}]]}"],["{\"selector\":\".tdc-content-wrap > .tdc-row\",\"tasks\":[[\"has\",{\"selector\":\"> div > div > .wpb_wrapper > div > style ~ h4 > span\",\"tasks\":[[\"has-text\",\"/наши партнеры/i\"]]}]]}"],["{\"selector\":\".content-block > .headed-block\",\"tasks\":[[\"has\",{\"selector\":\"> div\",\"tasks\":[[\"has-text\",\"новости партнеров\"]]}]]}"],["{\"selector\":\"div[id^=\\\"brid-player\\\"] ~ p\",\"tasks\":[[\"has-text\",\"AdBlock\"]]}"],["{\"selector\":\".video-scroll\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"h2\",\"tasks\":[[\"has-text\",\"/^новости партн|^новини партн/i\"]]}"],["{\"selector\":\".presreliz\",\"tasks\":[[\"has\",{\"selector\":\"a\",\"tasks\":[[\"has-text\",\"на правах реклами\"]]}]]}"],["{\"selector\":\".main__slider > a:not([href^=\\\"https://nrj.ua/\\\"])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"#r-colonka > .f-block\",\"tasks\":[[\"has\",{\"selector\":\".b-topa\",\"tasks\":[[\"has-text\",\"/интересные блоки|еклама/i\"]]}]]}"],["{\"selector\":\".sample-posts > h4\",\"tasks\":[[\"has-text\",\"/партнер/i\"]]}"],["{\"selector\":\".widget_custom_html\",\"tasks\":[[\"has-text\",\"/^новости партн|^реклама/i\"]]}"],["{\"selector\":\".main-content > .inner-page-container ~ .inner-page-container > .block_section > .container_padding\",\"tasks\":[[\"has\",{\"selector\":\"> .block_section_header > div > div > .section_title\",\"tasks\":[[\"has-text\",\"/новини партнерів|новости партнеров/i\"]]}]]}"],["{\"selector\":\".textwidget\",\"tasks\":[[\"has-text\",\"adrotate_ad\"]]}"],["{\"selector\":\"div.side-item-left\",\"tasks\":[[\"has\",{\"selector\":\"> .side-title\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"]];

const hostnamesMap = new Map([["2gis.by",0],["2gis.kz",0],["2gis.ru",0],["onliner.by",1],["reshu.by",2],["sdamgia.ru",2],["tut.by",3],["sport.tut.by",4],["yandex.by",[5,6,7]],["yandex.kz",[5,6,7]],["ya.ru",[5,7]],["yandex.ru",[5,6,7,187]],["yandex.uz",[5,6,7]],["dzen.ru",[7,120]],["dmod.cc",8],["draug.ru",8],["modsforwot.ru",8],["liveball.cc",9],["cdnpotok.com",9],["cdntelesee.com",9],["cdntvpotok.com",9],["oneliketv.com",9],["phys-kids.com",9],["sovetromantica.com",[9,37]],["liveball7.gq",9],["rxtv.github.io",9],["pokaz.me",9],["liveball8.ml",9],["domatv.net",9],["hdone.net",9],["hdru.net",9],["luxurytv.online",9],["adventuretime.ru",9],["cdnneedtv.ru",9],["volley.ru",9],["kipolino.site",9],["t1pochek.site",9],["tip0chek.site",9],["worldvideo.site",9],["hindcine.tv",9],["liveball.uno",9],["strah.video",9],["klplayer.website",9],["2es.work",9],["ani.wtf",9],["chepok.xyz",9],["tipochek.xyz",9],["nowa.cc",10],["aramil.city",11],["selezen.club",12],["selezen.net",12],["selezen.org",12],["argumentiru.com",13],["armourbook.com",14],["avtorambler.com",15],["rambler.ru",[15,165]],["bilshe.com",[16,17,18]],["buhgalter911.com",[17,18,19]],["ditey.com",[17,18]],["pogodaua.com",[17,18]],["vsetv.com",[17,18]],["bigmir.net",[17,18]],["buhgalter.com.ua",[17,18]],["dengi.ua",[17,18]],["gorod.dp.ua",[17,18]],["facenews.ua",[17,18]],["factor.ua",[17,18]],["football24.ua",[17,18]],["enovosty.com",18],["forumodua.com",[18,25]],["internetua.com",[18,25]],["orakul.com",[18,25]],["real-vin.com",18],["newsyou.info",[18,25]],["nnovosti.info",18],["autoua.net",[18,25]],["censor.net",18],["hvylya.net",[18,68]],["liga.net",18],["panno4ka.net",18],["stravy.net",[18,77]],["tochka.net",[18,68]],["toneto.net",[18,25]],["ukr.net",18],["inforesist.org",18],["kriminal.tv",18],["4mama.ua",[18,25,200]],["beauty.ua",[18,25]],["avtovod.com.ua",18],["epravda.com.ua",18],["eurointegration.com.ua",18],["kurs.com.ua",18],["meteofor.com.ua",18],["pravda.com.ua",[18,25]],["tvoymalysh.com.ua",[18,25]],["u-news.com.ua",18],["gazeta.ua",18],["i.ua",18],["isport.ua",18],["ivona.ua",18],["kolobok.ua",18],["mama.ua",18],["meteo.ua",18],["mport.ua",18],["nv.ua",18],["okino.ua",[18,25]],["smak.ua",18],["tv.ua",18],["viva.ua",18],["zp.ua",18],["cikavosti.com",20],["f1analytic.com",21],["f1ua.org.ua",21],["fainaidea.com",22],["football-ukraine.com",23],["footboom.com",24],["footboom.kz",24],["gazeta1.com",26],["glavnayatema.com",27],["glianec.com",28],["gubkinskiy.com",29],["ixbt.com",30],["kafanews.com",31],["mignews.com",32],["myfreeproject.com",33],["nashamama.com",34],["nwcod.com",35],["sntch.com",36],["sportanalytic.com",38],["ua-football.com",39],["vedomosti-ua.com",40],["vk.com",41],["vk.ru",41],["vkfaces.com",42],["voffka.com",43],["superhumor.ru",43],["yaplakal.com",44],["yap.ru",44],["zx-pk.com",45],["kavkaz-uzel.eu",46],["kerch.fm",47],["nsn.fm",48],["radiorecord.fm",49],["dokumental.ru",49],["infox.ru",[49,129]],["ria-m.tv",49],["sib.fm",50],["compromat.group",51],["allpravda.info",52],["geo-politica.info",52],["inosmi.info",52],["news24today.info",52],["pravdoryb.info",52],["putin24.info",52],["globalwarnews.ru",52],["polit-mir.ru",52],["vnn24.ru",52],["kinoafisha.info",53],["pkzsk.info",54],["pravdanews.info",55],["ruspravda.info",55],["procherk.info",56],["rintor.info",57],["rintor.net",57],["zhzh.info",58],["zhzh.com.ua",58],["kp.kg",59],["kp.kz",59],["kp.md",59],["kp.ru",59],["3dnews.kz",60],["3dnews.ru",60],["news.center4.me",61],["clib.me",62],["myshows.me",63],["old.myshows.me",64],["online-fix.me",65],["do4a.net",66],["fishki.net",[67,68]],["novorosinform.org",68],["sharknews.ru",68],["tehnowar.ru",68],["topdaynews.ru",68],["apostrophe.ua",68],["wworld.com.ua",68],["headinsider.net",69],["howdyho.net",70],["howdyho.pro",70],["igrigo.net",71],["infosmi.net",72],["kinokordon.net",73],["prsport.net",74],["rg-adguard.net",75],["seosprint.net",76],["vip-prom.net",76],["seo-master.org",76],["stalker-2-2012.ucoz.net",78],["unian.net",79],["unian.ua",79],["uniongang.net",80],["uniongang.org",80],["wotsite.net",81],["sm.news",82],["seasonvar.one",83],["gorod24.online",84],["24smi.org",85],["bt.kubyshka.org",86],["lion-tv.org",87],["nikcenter.org",88],["photolessons.org",89],["trupornolabs.org",90],["e-news.pro",91],["e-news.su",91],["pingvin.pro",92],["remontka.pro",93],["teleprogramma.pro",94],["24warez.ru",95],["tornado.3dn.ru",96],["433175.ru",97],["5-tv.ru",98],["alcodistillers.ru",99],["aliexpress.ru",100],["allboxing.ru",101],["amic.ru",102],["argumenti.ru",103],["ascnb1.ru",104],["auto62rus.ru",105],["benzin-price.ru",106],["bibe.ru",107],["bitva-ex.ru",108],["bookskeeper.ru",109],["bwtorrents.ru",110],["calorizator.ru",111],["cofp.ru",112],["cq.ru",113],["dachnye-sovety.ru",114],["dni.ru",115],["dorognoe.ru",116],["drivenn.ru",117],["dtf.ru",118],["vc.ru",[118,181]],["dusterclubs.ru",119],["efxi.ru",121],["ekabu.ru",122],["electric-house.ru",123],["fit4power.ru",124],["fukushima-news.ru",125],["gamemag.ru",126],["gofrag.ru",127],["igromania.ru",128],["interface31.ru",130],["kanobu.ru",131],["kino-archive.ru",132],["koolinar.ru",133],["kovi.ru",134],["kulturologia.ru",135],["lenta.ru",136],["life.ru",137],["liveangarsk.ru",138],["mail.ru",139],["e.mail.ru",140],["forum.materinstvo.ru",141],["mediaryazan.ru",142],["meteonova.ru",143],["mirnov.ru",144],["mobzon.ru",145],["tvvse.my1.ru",146],["mymirknig.ru",147],["mirknig.su",147],["myshared.ru",148],["newdaynews.ru",149],["newsomsk.ru",150],["obzor-new.ru",151],["softfl.ru",151],["ok.ru",152],["orsk.ru",153],["forums.overclockers.ru",154],["ovgorskiy.ru",155],["ozon.ru",156],["planet-today.ru",157],["playground.ru",158],["pogoda.ru",159],["primpogoda.ru",160],["programmersforum.ru",161],["proufu.ru",162],["provladimir.ru",163],["radiokot.ru",164],["rbc.ru",166],["redfm.ru",167],["selomoe.ru",168],["serveradmin.ru",169],["smi2.ru",170],["sobesednik.ru",171],["grinkod.spb.ru",172],["sports.ru",173],["stopgame.ru",174],["syl.ru",175],["tele.ru",176],["theins.ru",177],["thg.ru",178],["tsn24.ru",179],["utro.ru",180],["versia.ru",182],["videomin.ru",183],["vmgu.ru",184],["vomske.ru",185],["world-knigi.ru",186],["joker.ykt.ru",188],["ytronews.ru",189],["zanmsk.ru",190],["zhenskoe-mnenie.ru",191],["stalker-mods.clan.su",192],["stalker-mods.su",192],["nintendo.moy.su",193],["oko-planet.su",194],["vlab.su",195],["mazepa.to",196],["newstudio.tv",197],["ovego.tv",198],["popcake.tv",199],["progolovne.ck.ua",201],["1news.com.ua",202],["24boxing.com.ua",203],["chis-chernomorsk.com.ua",204],["siver.com.ua",205],["sport-kr.com.ua",206],["forum.taxiservice.com.ua",207],["yaizakon.com.ua",208],["glavnoe.ua",209],["informator.ua",210],["dynamo.kiev.ua",211],["day.kyiv.ua",212],["molbuk.ua",213],["nrj.ua",214],["mundolatino.org.ua",215],["sho.org.ua",216],["profootball.ua",217],["racurs.ua",218],["te.ua",219],["android-club.ws",220]]);

const entitiesMap = new Map(undefined);

const exceptionsMap = new Map(undefined);

self.proceduralImports = self.proceduralImports || [];
self.proceduralImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
