/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: annoyances-others

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = [".fav-info",".top-btn","#div[jscontroller=\"MaoVMd\"][jsdata*=\"nTLyye;\"],\ndiv.nD2EKb.VEELad","#scrollup","a[href=\"#top\"]",".maple-banner",".moduleBookmarkLinks",".widget-advertisement-card",".scroll-to-top",".promotion-banner,\n.related-in-content",".show-check-also",".gh-portal-triggerbtn-iframe","#notificacion-modal","#TopBtn",".s-feedback","#topButton","#storage-notice",".pageup","#nav-upnav[style]",".node-navigation",".more-articles-placeholder",".css-pt0h6u","#backtop","#back_to_top",".footer__scroll-top",".MagDriver","#sectionMoshtixSubscribeForm","#floatingScrollBtn",".ninemsn-footer-top",".BqJep",".w-nt.h-ni",".desktop-buttons-row",".css-1cjzv6h-StyledContainer,\n.css-t03kxs-StickyBreachContainer",".article-footer-container,\n.promo-footer-strap-wrapper,\n.subscriber-push-end","#fixed_footer",".g1-teaser","#btn-up",".flash-container","#scrollTop","#top-story-alert",".sign-up",".community",".jobs","#barra-mini-home","#floatBar",".read-more-about",".scrollToTop",".fixed-btn-uai",".scroll-top",".c-subscribe-ads,\n.c-top-signup",".backtop","#scroller",".on-top","#scrollUp",".contribute-box,\n.contribute-section,\n.your-story","#scroll-up",".mailchimp-form",".replacement-image",".js-badger-accordion","#gallery-1",".redirect-background",".PopupBackground","#mikes_reading",".asset-paging",".donate-bar",".donate-box",".container-adbox-autopromo","#back-to-top",".top",".button--back-to-top",".asset-paging-container",".article-footer--builder-ask","#inarticle,\n.area-arbitrary.widget_custom_html,\n.gala_banner",".wppopups-whole","#scroll-top","#backToTop",".cta-element","#retour-haut","#editionNav",".go-top",".block-to-top",".info-subscription-box,\n.support-subscribe","#slide_top",".cd-top",".scrollup","div[class^=\"BackToTop_\"]",".temp-sticky-banner",".auth-modal-signup,\n.view-cam-watching-limit",".banner-pop",".gotop","#btn-top-shortcut",".app-guide",".hui-dingbu",".topb",".app-link,\n.recommend-box",".scrolltopa","#pjax-switch",".btn-primary,\n.promo-unit","#bottom-portal,\n.gjJPGq,\n[data-ga-view-prompt=\"aeon_cta_article_side_donate\"]","#coco-plus-membership-section",".chrome-app",".button-scroll-top",".md-adbox",".theblockpro,\n.theblockresearch",".join-panel,\n.support-img",".support-popup",".video__docker_state_docked","#allapps-extension-popup","#g_backtop","#sidebar-video-fixed",".kHolder",".recommend,\n.sale-line",".pagination-sticky","#to-top","#landlord,\n.qiye-pop,\n.recharge,\n.springtime-floatLink,\n.springtime-pop,\n.viewLimit,\n.winpopbg",".dock",".feed","#nav-above",".module-recommended",".cp-modal-popup-container",".recent-jobs-widget","#RSS","#retourHaut",".feedback-banner",".next-article",".adx-membership",".theme-back-to-top-button",".art-cta",".ui-dialog","#swnexttrigger,\n#swprevtrigger","#scroll-to-top","#story_tools",".js-scroll-down",".footer-wrapper",".back-to-top",".sendtip",".drogue-poplayer-modal,\n.image-poplayer-modal,\n.top-banner-container",".coil-banner-message-container",".atbs-ceris-go-top",".pagination",".footer_pagetop",".fundraising-block-flex","#scrollingDiv","#up","#divStayTopLeft","#mobile-immersive-player,\n#nav-upnav,\n#percolate-ui-ilm_div,\n#watchNow_feature_div,\n.mini-atf,\ndiv[class^=\"DesktopFlexBannerLayout-module__playerContainer_\"]","#marketingimagelink","#post-nav",".coffer-box","#toolbar",".agr-callout",".arrow-up",".follow","#gotop",".go-top-div",".browser-extension",".apkm-timed-slider,\n.promotedApp",".ap_banner-container,\n.fancybox-overlay-fixed","#send-email",".accsoffer-wrapper",".top-button","#radio_content","#check-also-box","#article-navigation",".ad_xrail,\n.shepherd-has-cancel-icon",".get-the-magazine__outer",".support-artstation","#ToTop",".hero-box,\n.js-dismissable-hero,\n.js-freemium-cta","#scrolling-top",".overlay-wrapper",".check-survey-info",".af-form,\n.pane-aweber-webform","#top_up",".article-gastro-interruptor,\n.footer-banner",".backToTop33",".up",".extension-popup",".modal",".modal-backdrop","#support-bar","#crm_article_box",".blog-sidebar-ad-img",".connect",".membership-cta",".flyout",".o-content-cta,\n.o-promo-module",".app-bar,\n.app-side-banner,\n.gotop-button,\n.player-pause-code,\n.super-layer-promote,\n.topA","#message-panel",".rights-section",".li-top",".menuTopAds",".exclick.top-item,\n.modal-newbie,\n.suspended-banner-wrap,\n.top-item","#linkTop",".page-top","#scroll-back",".lx-commentary__top-link",".promotion-cards","#top","#acquisition-bar-wrapper","#scStb",".bic-custom-banner",".black-banner",".hustle-slidein-content",".box-iscrizione",".fab__scrollTop",".dont-miss",".bgTB","#newmode-embed-50964-65957,\n.polaris__flexible-cta,\n.polaris__sticky-subscription",".bt-block__inner",".footer-promotional,\n.promotional-content",".footer-back-button",".adblock-tips,\n.backup,\n.rocket-con",".bb-pro-promotional-banner",".progress-wrap","#pagination_Arrow",".sb_spotlight",".membership-promotion-header-banner",".banners-banner","#in_and_out",".next-navigation-container",".onTop",".stackcommerce-widget",".patreon-sidebar",".banner",".TheArticleClothesline_wrapper_2LSY-",".scroll-top-section",".next,\n.prev",".td-more-articles-box",".journey-unit","#toHide",".emk_footer_update",".rightbox1","#infos-boursier_panel",".has-promo",".apg-support-local-wrapper",".scroll",".TopBar","#cta-make-default","#cin_poll",".index_top_banner","#auto-top-link",".comp-content-keepfreebannercontent",".fdn-support-us-block",".swipe-prompt",".elementor-element-afcad4d",".single_page_navigator",".targeted-recommended",".topButton",".shoppingWrapper_packageWrapper__UR6JD",".newsblock-tips",".fixed-up-arrow",".story-actions","#torna",".navigation",".riskWarning","#scrollToTop","#pp-banner",".gsst_scroll-btn",".ant-modal-root",".promo-bar","#go-top",".next_stories_div",".floating",".weima","#backToTopWrapper","footer","#spot_popup","#scrolltop",".upnext-container",".prod-animation",".widget-support-tcr","#scrolltab",".go_top",".body-copy > div > [href=\"/user/subscribe\"]",".go-up","#dialogueBox",".fdn-support-us-button-block",".paging-link",".footerCtaBanner",".fdn-keep-free-block",".section-sticky-footer",".to-top",".c-avStickyVideo",".toast-popup",".scroll-button",".blog-back-header",".support",".entry-bar",".guest-banner","#top-announcement-header",".api-promo-banner",".arrow-icon","#infobar",".email,\n.feeds",".ir-arriba","#text-5",".hb-single-next-prev",".nextArticle","#backtotop","#radio-player-container","promo-up-next",".feedback",".widget-advert-300-sticky,\n.widget-advert-336",".article-recommended",".header-top-banner","#post_more_wrapper,\n.subscriber-drive-container","#slidepanel",".blog-sidebar-ad",".top-banner__item",".js-go-to",".stickyMessenger-cta",".bottomcontainerBox",".page-slideshow_cards_controls",".top-banner","#user_optin_banner",".dfx-inHouseGuideBannerComponent","[href=\"https://dailyhodl.com/alerts/\"]",".top_news_donation",".dtafter",".aos-animate",".b-scroll-to-next-article","#lts-banner",".comp-shell-supportus",".an_independent,\n.article-support-bump,\n.article-top-donate-bump,\n.row_background_red_padding",".plea",".announcement",".more-insights",".dc-ps-banner-wrapper","#sg-popup",".top-scroll",".story-appeal",".pmc-u-background-white.pmc-u-margin-b-0","#softMessages-list",".nav-banner",".back-to-top-outer,\n.engagement",".comments-inline-cta",".ant-alert","#iosAppAdPortal",".js-stickybar",".el-backtop",".ArticleList_listBanner__9Vy9d",".publish-your-work","#relatedposts",".wp-image-2011","#feedbackBtn",".drainagebanner,\n.new-pack-mask,\n.new-pack-pop,\n.promo-coupon-pack,\n.promo-pack-mask","#bannerRight4",".feedback-container-bottom",".feedback-link","#callout","#uvTab",".login-overlay__wrapper","#pop-up-show",".overlay","dole-back-to-top","#top-button-block",".alert-warning",".ui-widget-overlay",".footer-feature",".button_size-md__dS3Yr.button_secondary__DAail,\n.header--aside.js-header-aside > .header--aside__item > [class]",".go-to-top-btn","#TB_overlay","#TB_window","#topScroll",".float_totop","#toTop",".promoAd","#gh-bt,\n.vi-feedback","#totop","#inscription-hebdo",".back_top_desktop","#adPopup",".article-right",".code-block",".five-sixths",".topbar",".bg-overlay",".footer",".bar-thin",".article__arrow,\n.article__footer-nav",".closelogod,\n.relatednext","#text-9","#slidebox",".sticky","#footer",".up-button","#goTop",".escapist-plus",".scroll_right",".jqmOverlay,\n.jqmWindow",".sns_btn",".membership-upsell","#bsf_rt_progress_bar_container,\n#contribs_banner","#pa_banner_code",".js-swip-btn","#article-portal-container","#featuredBottomContentContainer,\n#modalAfterInactivityFormContainer,\n.erf-goTop",".post_navigation",".banda_suscripcion",".marketing-notifications","#go_to_top",".custombox-content,\n.custombox-overlay",".fancybox-overlay",".v-ReferralsSource","#related","#upper",".noLoginSticker","div[style^=\"position: fixed; transition: right 1s ease-out 0s; bottom: 165px; padding: 0px; margin: 0px; border: none; z-index: 999;\"]",".StarFeatureDockedPopup","#bottom-banner-fallback,\n#right-ad-box,\n#top-banner-fallback","#right-vertical-banner",".networking","#sub-intent",".-donate",".next-arrow",".prev-arrow",".banner-campaign,\n.bn-space,\n.premium-autop",".upgrade-button",".get-magazine",".sweeps-promo","fbs-ad",".artical-controls",".mfp_academy-enjoy-private-lesson-popup",".top-banner-desktop",".commenting-nation-promo",".promo",".scrolltop",".o-self-promo--nl","#tie-block_521",".cs-entry__prev-next-item",".n-feedback__container","#relatedarticleflyoutbx2","#upPageToolbar",".floating-post-navigation",".scroll-up","#announcementBanner,\n.gi5-subscribe-banner","#in-page-nav",".stream-item-top",".callToRegister2,\n.callToRegisterPopupWrapper","#action-up","#scroll-button,\n.mailmag_link",".support-banner","#geekwire-events-sidebar,\n#geekwork-sidebar,\n#tips-sidebar","#dummyid20",".jss82 > svg > circle,\nimg[alt=\"GETTR coin\"]",".skySportsRow","#related-posts > div",".js-notice-dismiss[data-analytics-visible],\n.signup-prompt,\nbutton[data-testid=\"copilot-popover-button\"]","[aria-label=\"Scroll to top\"]",".rss",".geral-nextprevious",".nxt-content-wrapper,\n.ribbon-container",".mainBorromSliderSec",".StickyVideoPlayer.VideoPlayer[style=\"\"]",".arrow-up-container",".books",".relatedRiser",".floatingchat-container-wrap",".article-tools,\n.sticky-footer",".gdn-component-gdn-back-to-top",".ss-pu-container",".b-back_to_top","#google-hats-survey","[role=\"dialog\"][aria-labelledby=\"promo-header\"]","[jscontroller][data-limp] > .zQSHZb.cH2VZe[style^=\"right:\"] > .gLpFG",".article-donation-CTA",".taboonews",".consumer-marketing-unit--cm-footer","#un-button",".actions",".site-footer__up",".subscribe","#js-top",".pk-scroll-to-top",".sitewide-tout,\n.sitewide-tout_l",".sign",".top-bar-promo","#veilon_gotop",".promo-designer-modal",".fot-float-box","#GOZERO",".advWrapper",".alsoReadSectionAppend,\n.entryPointBanner",".js-return-top",".totop",".menu",".gb-container-eda5dcfe","#hzScrollTop",".notificationbar",".fade,\n.modal-content","#site-xpromo-banner",".article_footer","#qrCode","#notifications",".toplink",".c-syndication",".navbar-alt",".scta","#geist-ui-modal","#popupOverlay",".gototopdesk",".Ad",".sprtadv",".fancybox-wrap",".im-go-top-btn","#append_breaking_box,\n.breaking-scroll","#yolooverlay",".reg-block",".flyin-pb",".header__bottom__events,\n.notice,\n.related__group","#float_top,\n#wi-plugin-corner",".block-tip-block,\n.got-tip",".HoverCard",".promo-link",".bg-blackest,\n.border-red",".promo-strip-wrapper",".signup,\n.sim-promo","#action_insert_15511419671934590,\n#login-banner,\n#researchTools,\n.broadcast-text,\n.market-banner",".btt",".iw-ad-slider","#limits > a",".fixed-nav",".td-header-top-menu-full",".s-up",".bn-at,\n.po-sr-sb__container",".td-scroll-up",".show.top-fixed-stripe,\n.sidebar-banner","#_popIn_recommend_2","#notification-banner-content",".rotating-leads",".grabtherssfeed,\n.sidebarbutton",".Unlock_unlimited_access","#_popIn_recommend",".link_top",".desktop-floating-player",".desktop-video-title-bar",".powa-sticky",".code-block-22",".block-row.block-body",".gb-donate_wrapper",".button-gotop",".klook-icon-Top","#cboxOverlay",".combo-wrapper,\n.shopify-container",".story_tools","#oo_tab","#scroll_top",".btn_top","#popup-banner,\n.supportUs-article__banner,\n.ukraine-daily-side-banner",".correction",".scroll_to",".ReportFloatingBanner",".TogglerWrapper",".blog__cta__signup,\n.demo__cta","#floatArrowUp",".footer_rrss","#popups,\n#preload",".nw_cont,\n.nwletter,\n.soc_box",".c-article-nav-arrows","#btn-top",".kg-product-card,\n.lp-popup__iframe-wrapper",".contribute-stripe","#memberZoneFullSub,\n.embedshortcode",".donate-callout","#custom_html-9",".btt-button",".pum-active",".widget_media_image",".b-fader",".backtoTop","#tncms-region-page_sticky_anchor,\n.promo-button",".email_signup",".cleanslate,\n.imageBanner",".m-scroll","[href^=\"https://apple.news/subscription\"]","#pageTop","#accept-top",".latest-news",".back-to-top-bot","#skyscraper_container_front,\n#topBanner",".htext","#piano_catfish_wrapper_bottomfull",".teasing_widget_surtop_light","#move-down","#rss",".direction",".promo-sidebar",".sub-form","#colorbox","#js-popup-donate","#backTop","#top-link","#phx-1",".woahbar",".img-responsive-container",".ia-support",".scrolltotop","#banner-holder",".supStickyFeedback",".ui-widget",".eo-free","#return_top_2023","#GoTop","#js_globalFooterButtonTop",".nav-arrow",".blogsidebarimg,\n[href=\"https://github.com/mljar/mercury\"]","#text-34",".leaderboard",".home-ranking,\n.mp-popin-analytics,\n.mp-recommends",".widget",".mj-adblock-widget",".media-action-networks,\n.page-to-top-link-wrapper","#main_footer",".sp-back-to-top","[data-id=\"documentScrollToTop\"]","a[data-target=\"top\"]","#js-pagetop",".button-scroll",".crm-card-next","#over","#viewportGreyout",".so-parallax",".feedback-container,\n.feedback_link_default-DS-EntryPoint1-1,\n.paddle,\nfooter[role=\"contentinfo\"][part=\"footer\"],\nsocial-star-rating",".styles_stuck__gtILi",".bio-lead-form",".up_btn",".home-nav-balls","#myBtnScroll",".gpoll_enabled_wrapper","#a_showhotnews_list_dia","#tncms-region-article_bottom",".td-read-down",".carousel-widget,\n.widget--local-ads",".c-holidayPlug",".app-featured-row__item",".new_nextarrow,\n.new_prevarrow",".kosehbr",".mfp-ready","#bottomBar","._1y2JXo,\n.nw-auth-stepper,\ndiv._3VJt4n > div > ._3eCw6n._2247K8",".floating-right-tools",".ad-container-house,\n.blink-sdk-widget-container,\n.footer__middleRow,\n.upArrow",".NPrltd_story_Wrp","#cube_spinner",".prev-article-button",".btn-warning",".subscribe-block-wrapper,\n.videocontent-wrapper.stickyPlayer[style*=\"top: 0px;\"]","[title=\"Back to top\"]",".trx_addons_scroll_to_top","#pianoj_ribbon",".u-pagetop",".mysticky-welcomebar-fixed-wrap",".af-form-wrapper",".topbutton",".js-PageTop","[href=\"#back-to-top\"]",".support-bar,\n.support-section","#popup",".su-advertisement-wrapper",".caption-container","#melmaga-popup","#pagetop",".prev-next",".nag--helpful","#scroll-buttons","#supFeedbackWrapper","#cta-sticky-banner",".JoinCommunityBtnContainer","#text-3,\n.popupad-base",".promo-padding",".oi-footer-bottom-ad-btns","#big-bottom-ad-single-posts","#overlay",".floating-section",".get-opera","#sitetop","#scroll-box",".KeepFreeBanner","#footerbar",".l-footer-back-btn",".promotional_subscribeNow","#pagesix-app-flyout__wrapper",".blog-item-pagination",".eut-back-top",".popup-container","#feedback-side,\n.js-track-ad",".showUp",".scrollmeup","#recommendo",".NameChangeBanner_container__GyQTG","[href^=\"https://phemex.com/bonus\"]",".recom-upnext-section","#socpage","#main > script + [style]","#zenbox_tab",".BOX_MarginOut","[class^=\"hintWrapper\"],\n[class^=\"pa-monetization\"]","#promo","#block-2",".container--GV-ux",".bookmarks",".thm-piano-bottom",".thm-piano-eop","#modal-confirmTerms",".saxon-bb-block",".pb-page-overlay",".article-paywall","#site-background",".article__suggest",".o-disruptor",".arrow_carrot-2up",".goUp","#welcome","[alt=\"RSS\"]","#PoPAI",".prpromo",".bottom-signup-banner","#exit_popup_custom,\n#over-overlay",".affiliate-disclaimer","#bbstar-popin","#wr-back-top","#btn-back-to-top",".app-deversion,\n.focus-img,\n.jsDownloadLink",".qm_toolbarSubTitle,\n.top_announce",".app_qrcode",".extension-item,\n.home__snippet__extension",".promotion__asset,\n.promotion__overlay",".navigation_between_posts",".toTop",".bg-orange-600",".nav_top",".post-nav",".below-content-appeal","#expandableDonateButton,\n#kindest-container","#spink_appeal_box_0_0_14_0_0_0,\n.go-top-btn","#sideheadlinescontainer2",".webathon-leaderboard,\n.webathon-meter,\n.webathon-meter-widget",".abnormal-icon",".popnav",".premium-banner,\n.premium-banner-outer",".UpsellModal","#span_subscibe",".tp-container-inner",".nav-links",".memberEngagementOverlay",".kadence-scroll-to-top",".merch_component",".mailing-list","#topscroll",".interstitial-show",".top-page","#offers","#divMVPopup",".navToTop","#floating-nextprev",".PromoTopBar",".spw__banner","#infinite-footer",".stickyLinks",".between_page_portal_root,\n.exit_modal,\ndiv[data-testid=\"bottom-right-mrec\"],\ndiv[data-testid=\"desktop-leaderboard\"],\ndiv[data-testid=\"sticky-wrapper\"]",".ads-container,\n.promo-image",".tap-top","div[class^=\"styles_floatingBanner_\"]","#pagelinks",".scrolled","#related-module","#b2t",".shz-frame-apps-banner,\n.shz-frame-promotionbanner",".c-vue-coupon,\n.sui-modal",".ribbon",".sm-up-container",".ceiizM,\n.kapuda",".pk-icon-up",".noprint > td,\n.right-sidebar",".pagetop",".p-download_modal.c-fullscreen_modal.ReactModal__Overlay--after-open,\n.p-ia__workspace_banner.p-client__banners,\n.p-upgrades_button",".slate-plus-promo",".give-embed-form-wrapper","#suggestion",".feature-panel",".f-page","#block-patchonboardinginvictus",".become_member_section,\n.in-house-placement","#remote_cs,\n#voc_ec_button,\n.side_bnr","#in_touch","#spsbtns","img[alt=\"Banner\"]",".index-recommend,\n.index-top",".img-banner",".l-sec--scroll-menu__btn","#previous","#showroom",".l-product-banners",".pagenav",".sticky-player-background",".single-navigation","#sliding-nudge-sell,\n#support-banner,\n.sell-wrap",".totop-br",".sporcle-promo",".modal-freeplay",".paywall-footer-container",".cb-customize-desktop",".page-up",".arrowup",".ui-dialog-overlay",".actions-scroll-to-top","#hireme","#top-anchor",".overlay-arrows-anchor","#block-display,\n#feedback-button-container,\n#home-top-banner,\n.block-display,\n.widget-install-legacy",".Layout_tabContainer__ZNCCp",".recirculation-bar",".awdSnsIcons","#backTo",".boxzilla-center-container,\n.boxzilla-overlay","#ei_subscribe",".desktop-banner","#floating_footer,\n.premium_signup",".single-next,\n.single-prev","#divWelcome",".homepage-banner",".dialog-invitation",".sign-in-button",".toggle_lb_scrolling_mobile","#page-up",".DonationPopup",".boxzilla-container","#make-a-donation",".Footer__ModalAds,\n.MeteredBumperWinter24Widget","#ssttbutton",".install-modal",".close-button,\n.homepage__event-promo,\n.piano-ribbon-container,\n.sidebar > .rightrail--promo,\n.upcoming-events","[style=\"width: 300px; height: 360px;\"]",".IRPP_button",".share-sec-tags,\n.trust_desktop",".gofollow",".top-bar",".btnpg,\n.encadre.bleu:has(a[href^=\"https://eepurl.com/\"])",".wrap-6ZxH0",".com-back2top",".float-player",".vspl__gtap-notification-content,\n.vspl__gtap-notification-overlay",".floating-copy",".ao-cpa","#nextStoryTitle,\n#previousStoryTitle",".gizmo-jtop",".bottom-bar","#theDrumPlusRegistrationBlock,\n.header-banner__fest,\n.td-miso","#uacta-target","#to-top-wrap","#subscription-pencil-area,\n.premium-chain-rail","#contact-the-guardian,\n.dcr-v2o9qm,\n.site-message,\n.site-message--banner,\n[name=\"SlotBodyEnd\"],\n[name=\"StickyBottomBanner\"]",".cross-sign",".spl-article-bottom",".sticky-sidebar__donate",".ad-v-box,\n.ads-large-leaderboard,\n.loginAds,\n.tjp-feedback",".PromotionalRibbon",".wpnp_anchor_js",".navbar-wrap",".contribute-bar,\n.contribute-modal,\n.contribute-teaser-mobile",".tn-editor-none-module","#feedback-btn",".pulse__ad-wrapper,\n.pulse_poster",".right-rail-promo","#paywall_overlay",".top-bottom",".notification",".contributions-container,\n.contributions-epic",".post-preview-next,\n.post-preview-prev",".sub-links",".bannerExternalContainer",".top-hat",".polaris__subscription","#greeting","#announcment-banner,\n.widget > [href=\"https://www.thurrott.com/thurrott-premium\"]",".app-promotion,\n.show-top,\n.tiktok-zeo9hm-DivPromotionContainer,\n[aria-label=\"Scroll to the top\"]",".mobile-anchor-container",".homepage-hero",".crm-post-module",".scroll-notification-container","#top_ribbon,\n.hideOnpremium","#third-party--viewport-bottom,\n.pages-Article-pianoContainer",".back_top",".ta_patreonWidget",".resocs",".widgets-top-banner",".irTop",".toup","#go-bottom",".ZkqhQ",".js-track-link",".before-you-go",".announcement-bar",".tt-shortcode-1",".ad-parent",".b17-scroll-top-button","#scTop","#bluenext,\n#blueprevious,\n#fixed_bottom_bar_back,\n#fixed_bottom_bar_text","#story_related","#t4s-backToTop",".scroll_top","#text-2",".adv-link","#beginn-arrow",".cursore-uq",".mug-ad",".c-pwa-back-to-top__icon",".be-caption,\n.be-lb,\n.be-ls,\n.be-mr",".right-rail",".vb_widget",".supporters_promo",".scrollUp",".vigil-after-article","#blogup",".slide-in-wg","._1agbrixs","#dyTopButton","#bio_ep,\n#bio_ep_bg,\n[href^=\"https://premium.walletinvestor.com/\"]","[title=\"back to top\"]",".member-button-container","#ModalWindow,\n#btnStopAds",".top-link",".PromoDriver--card--15FjK","#wo_ext",".footer-totop",".powered-by",".sidebar-card-banner",".cross-promo",".widget-area.sidebar","#firefly-poll-container","#rp_list",".crates-banner","#back","#menu-back","#article_courses_banner","#site-scroll",".writeforwionbanner",".consumer-marketing-unit--article-mid-content",".follow-block",".paypal-donate",".wsc-gotop","#MsgContainer",".guestwarn","#footer_fixed",".btn-top",".premium-promo-row",".theiaStickySidebar",".blockOverlay",".extension",".creator-promo-bg,\n.heading-promo,\n.up-arrow,\na[class*=\"promoMessageBanner-\"]","#nagbox",".PSHeader-Center",".app-promo-banner,\n.mobile-badges",".topTop","#article_ribbon_bar,\n.unique-progress","#yt-feedback,\n#yt-hitchhiker-feedback,\n#yt-lang-alert-container,\n.YtmPaidContentOverlayHost,\n.ytd-primetime-promo-renderer,\n.ytd-statement-banner-renderer,\nytd-brand-video-singleton-renderer",".ytp-ce-playlist,\n.ytp-pause-overlay","#fixed-addon-banner","#featured_zacks_rank_stocks",".TheMarketEarHomePageSidebar_container__ZI0HO",".jsBookmarkExtn",".block-3","#vw-back-to-top,\n.proven-media-link",".scroll-to-top-outer","#footerFlyout",".js-go-top-el",".li-reset,\n.sdgSlotContainer,\n.supplementary","#spotlight",".ho-bg.z-0.relative","#scrolltopbutton","#UpToTopButton",".kick__scroll-top-ic",".kontextpermail",".simplemodal-container,\n.simplemodal-overlay",".cta",".to-top-container","#topAnchor",".cc-FloatingButtonBarContainer-button-scroll","#nl-box",".c-toplink",".fab__scroll","#custom_html-2",".custom-topbutton","#editorial-popin",".footer__nl",".scrollBtn",".spu-bg","#arrow-up","a[href=\"#goToHead\"]","#topcontrol",".secondary-footer",".custom-gated-topic-container",".ua-zen-back-to-top",".popup-overlay,\n.sitewide-quiz-banner",".a-scroll-top-btn",".ma-don-cont",".swal2-container",".eWFZXO",".pujar_adalt","#barra-nav",".rrss","#divFlotante","#overbox3",".arrow","#trr-root",".sidedock56-placement",".bottom-bar__up","#videoContainer.playersmall[style^=\"position: relative; aspect-ratio: initial; background: black; margin-bottom:\"]","#mb-scrollup",".terms-of-service-popup","#next-teaser",".top-clone",".homepage-upsell",".mpu-subscription-upsell",".bloc-nl",".nl","#goup,\n#simplemodal-container,\n#simplemodal-overlay",".box-one-click",".js-scrollTo","#toTopBtn",".app_aside_nl","push-more-content","#sticky_footer_article",".bloc-promo-nl,\n.bloc.advice,\n.box-question",".l-search-evaluation",".sf-extensionfactory-link",".return-top","#toast",".link-top",".cloux-mailchimp",".UpButton","#sleek-button-btn","#thumbs_div","#block-follow-site",".castle-nextprev",".nygov-back-to-top","#infiload-return-top",".topic-pagination",".vijesti","#site_nt","#kolac","#side-article-widget",".topbarBox",".meerkat","#blokDiv",".scroll-top-arrow",".atop",".fixedbox","#ib-scrolltop","#back_top",".js-react-registration-toplayer",".bottom-0","#contribution-prompt-overlay,\n.contribution-prompt",".carousel__nav",".scrollTo",".walla-icon-arrow-up",".xbFootNewsForm","#news_on_exit","#button",".pre_next","#advisoryModadId1",".recommended__widget","#supportStrap,\n.carousel-is-sticky.trending-carousel,\n.contribute-block,\n.not-paywall-floating-contribute-block","a[data-gtm-tcb=\"TCB_CLICK_scrollbanner_default_exp_income\"],\na[data-gtm-tcb^=\"TCB_CLICK_buntyubanner_\"]",".bottom_sticky_menu_unify",".postNavigation","#text-92,\n#zox-lead-bot",".osn_base","#myNotification,\n.panel-top-link",".sticky-overlay__content--nl-popup","#body-fixed-footer",".styled__Wrapper-sc-1xbee9a-0","#hello-world,\n#surveyJS,\n.project_count_banner__container__TLBbH","#earn-sidebar",".icon-banner",".js-userLogin-popup.popup-register","#scroll",".banner-register","#wrapper-header-small-up","#smart-app-banner",".to_top","#pg-slide",".scrollbutton",".in,\n.popup",".ArrowGoTop","#arrow-back-top",".app-banner",".moveToTop",".iscrizione",".section-footer-nl","#IAS_container","#srollTop","#loader","#box-banner-messaggero","#tal",".hc_scrollup","#intestazione","#G_info","#slimheader","#dyscrollup-btn",".box-engage-mag",".popmake","#moveUp","#FRed_Arrow,\n.popuparticoli","#ea-alert-menu",".nav_articoli","#topbar","#FJToTop","#pre-header",".c-header__top-bar","#top-of-the-page",".modezuparrow",".back",".gotopbr","#topBtn",".ScrollTop",".containerBannerBox","#sostegno","#content-dock",".articoli_correlati",".acy-email-footer",".box_dem",".top_arrow_footer","#POPUPS_ROOT",".top_sali","#sh_local",".footer-top-feild","#centralNotice","#BoxGri",".call-iscrizione,\n.conferma_reg_nl",".newsButton","#cg-top-button",".lkPopover","#scrollblock","#scroll-top-container",".article_nav",".frecciabg",".partnerheader",".navArticleItem","#slidingblock","#vl-back-top",".btn_iscriviti",".js-scroll-to",".alert","#slideUpForm",".hm_go_top",".box-sponsor",".page-link-top",".j-navTop",".nav-reveal",".cg-top-arrow","#go-up-banner","div[class^=\"UpScroll_\"]",".recibe","#TGCom24HeaderBanner",".article_newls_box","#templatemo_container_barra","#InAlto","#sdb-wrapper",".wpdiscuz-front-actions",".ilpost-header",".btn-scroll-top",".link-to-top",".backto",".article-navigation",".code-mc-container-panel:has(a[href$=\"/ranking.html\"])",".jump","#entryprompt_area,\n.post_content > a[href*=\"?utm_source\"] > img",".dc__pagetop",".bfb_textBtn","#footer-pagetop",".ntv-pageTop","#btn-pagetop","#bangumi_page_top","#pg_top",".ai_floating_bnr",".topPage","#_popIn_right","#hs-web-interactives-bottom-anchor","#dfng-popup","#top-btn",".autoScrollBtn",".page_top","#myPaymentModal",".common-wrap--ranking,\n.common-wrap--recommend",".pageTop","#page-top",".hls-player_message",".searchResult-nicoadNicodicItem","#page_top","#js-pageTop","#floatingBnr","#full-screen-ad","#btnSkipTop","[href=\"#\"]",".up-btn","#sbookmarks_left,\n.after_body,\n.notification-widget,\n.sbookmarks",".skaties-push-notification",".icon-top",".gain","#returnTop",".footer__suscribe","#suscription-block",".freeModal,\n.slider-story",".bottom-nav",".nextart",".btn-up","#js-customer-satisfaction-popup",".move_up","#asideWriteGuide","#rt\\.popup-overlay_rt_popup_sws,\n#rt_popup_sws",".eg-ics-rss-64px",".donate",".custom-social-proof",".Bigfoot-navigationUp","#the-day-in-history",".panelSubscription",".iib-banner-link,\n.iib-page-promo","#read-next-2018","#topScroller,\n.donation-popup-box","#DivBayWindow","#leftAdLayer","[title=\"Scroll To Top\"]","#custom_html-8","#wrapperdiv","#navigation,\n.breaking-news-container,\n.side-banner",".couplet_app,\n.tools_top",".header-mini-banner",".hey-nc-bottom-link-banner,\n.hey-nc-top-banner",".btm-left-popupbox","#ajax-spinner,\n.deals",".sitewidget-floatImgs-wrap",".navigation__donate",".fixed-bottom",".codeBlock","#exit-modal",".scribd-ad-exit-modal",".ly_pagetop-main","#bulletin,\n.btnBoletin","[title=\"Go to top\"]",".single-cube_clusters_promo-cluster_hrefWrapper",".blocker",".donation-header","#block-block-92",".top-slide","#consent","#db-inger",".reveal-modal-bg","#sticky_container",".articleSuggestStories","#presspatron-footer",".dynotifyjs-corner",".down.premium-toaster,\n.recommended-articles__heading","#neighbourly,\n.feedback-link-wrapper,\n.supporter-wrapper",".article-navbar",".article-navigation-buttons",".article-peep,\n.infinite-scroll-divider,\n.staffInlineBannerOuter",".ad-container",".block-general-copy",".promotion",".hills-inline-full-width","#post-navigation",".aarpe-site-banner,\n.backgroundParsys,\n.caregivingPromotion,\n.section.membership,\n.sharp-c-configurable-carousel__slide--multi",".motw-controls",".support-us__wrapper___28JTY","#article-back-to-top",".js-donate-banner","#home-donate-button",".suggestion-box",".bps-banner",".donation,\n.engagement-card-sidebar-section",".companion,\n.countdown-container,\n.sticky-bubble-wrp",".spread",".cspan-ad-still-prebid-placeholder","#cm-event-ad-2024-d",".donation__container","#slp-news-tip-widget,\n.page-donate-footnote","#XCPBKJJD,\n.d-print-none.position-relative,\n.fun-widget-backdrop-holder,\n.post-section--message\\/desktop,\n.rm-sticky-parent",".legacy-pledge-drive",".labnolFB","#appeal,\n#top_anchor,\n.donate_banner",".pane-site-banner",".ScrollToTop_scroll-to-top__mLPhy",".widget_factcheck_donate_widget",".simple-banner",".appeal-bar-donation-list,\n.appeal-bar-text,\n.footer__cta-wrapper,\n.grist-modal-ad-blocker,\n.js-membership-ad.membership-ad,\n.wp-block-article-donation","#block-signupbarblock",".banner-donation-default-inline,\n.banner-donation-default-sidebar",".JustWatch",".donate-cta,\n.icn-donate-block","#backtoTop","#donation-button-footer","#XZSCFLEW,\n._hide_if_premium_user,\n.header-banner,\n.registration-popup",".footer-widget,\n.membership-incontent-banner",".donate-banner,\n[href=\"/apply/\"]","#donate-banner","#alerts,\n.article-flyout,\n.promo-article-dark","#header-cts",".sticky-issue",".styles_cta__rFpfQ,\n.styles_membershipContainer__10uhb","#banner-top-prom,\n#single_top,\n#widget-tracking","#global-giving-item,\n.c-callout-banner,\n.c-fetured-cards__card-freeform,\n.c-splash-backdrop",".quicktip[type=\"spendenaufruf\"]",".mh-notice,\n.mw-dismissable-notice",".mzp-c-sticky-promo",".donate-ask,\n.donateAsk",".jetpack-lazy-image--handled","#banner-small,\n.netzpolitik-cta","#promo_insert_container","#banner",".cookbook-button-section",".internal_promotion,\n.overlay-cta,\n.sustainer",".dontprintme,\n.is-visible.js-init.Modal",".ad,\n.footer__donate",".donate_strip","#welcome_box","#donateMsgPopup,\n.popup-cookies",".flyout1","div[style=\"top:0;right:0;position:absolute\"]","#XHMSPXWS",".module-donate",".bright-blue-big,\n.mp-html",".fundraiser-banner","#dropBG",".dropdown-banner",".alert-donation,\n.show-recommended","#announcement,\n#stackcommerce-adwrap,\n.deals-footer","#block-block-10",".ga\\:component\\:main\\:inline\\:support","#button-scrolltop","#message-bar-id,\n.c-prompt-container,\n.db-frame-pinned,\n.has-vert-bar--padded-xxl","#donate_rocket,\n#support_box,\n.republish",".uabb-infobox",".alert-banner","#bottom_donation",".header-stripe,\n.js-promotion","#tmlPopupDonate,\n.mdl-section-donate-banner,\n.tml-popup-donate-holder",".addendum",".truth-hellobar-placement,\n.truth-post-content-after,\n.wp-block-truthout-related-article-block","#special-message",".header-donate",".BottomPopupModule",".ads,\n[href=\"https://whowhatwhy.org/donate/\"]",".hearken-embed","#siteNotice",".ahe-ad","#story-chunk",".scroll-btn",".posts-pagination",".prev-next-sec","#floating-box",".shotimoo","#topReminder","#sliding-popup","#l-overlay,\ndiv[style*=\"position: fixed\"]","#jGrowl","#floatingbar",".infoBox",".slide_button","#smPopupBackground,\n.smPopupContainer","#scrollie",".cBox","#ctl00_cpanel",".social-toolbar__container + .toolbar",".topPanelBlock",".ancora",".podcasts-home","#goUp","#redesSociais",".warning-bar","#MenuDinamico,\n#apDiv2","#myBtnGoToTop",".wp-image-241027",".fa-feed",".gttt",".links","div[id^=\"unit_\"]",".cb-goup","#page-error-modal",".up-button-page",".matNav","#GOWrapper",".up_button",".seti",".popup_overlay","._1I-d.pdoyk,\n.scrollback","#popup_box,\n#popup_inner",".b-scroller-up","#up-btn",".btn-btt","#upbutton",".sticker",".b-button-up",".up-page",".black-friday-banner",".block-article-shoutout",".top-line-block",".starttopdialog",".alertWrp",".chrome-extension-banner",".popover-billboard--menuopenupwards","#totopbutton",".gmr-ontop",".kanews-banner","#upNextWrapper",".relatedNewsBox",".kapee-back-to-top",".scrollUP","#tasto_top",".diretta-tv",".sticky-bottom-banner,\n.sticky-bottom-banner-wrapper",".nag",".widget_specialert","#flyout-recommended-content",".mod-to-top","#twilight-sticky-footer-root","#scroll_up","#w2g-center-doit,\n.w2g-doit,\n.w2g-top-message-small","#topx",".Subscription",".m_banner",".verticalPageNav",".job-block,\n.story-nav","#up-page",".btt__inner","#chromelessPlayer,\n#swipeIndicator,\n.rss_feeds_buttons,\n.swipe-bar,\n.swipe-tutorial",".avia-post-nav","#link-banner","#article-im-prompt",".inews__back-to-top",".g_bar,\ndiv[style=\"width:100%;clear:both;\"]",".issuu,\n.jn-donate-popup","#alert-footer-box",".londo-target","#we-need-monies",".metro-swipe-prompt",".site-ribbon,\n.ticker",".omg-hero-button",".foobar-wrapper",".promo--small",".ccc-widget",".send-us-your-news-cta",".animate-fly",".subscription-banner",".sf-header-subscription__content,\n.sf-subscribe",".next-article-btn,\n.prev-article-btn",".leaf",".wp-block-humanists-uk-bootstrap-campaigns-block,\n.wp-block-humanists-uk-bootstrap-notes-block",".widget_hustle_module_widget",".formFooter-wrapper",".subscribe-cta",".bottom-button-top","#upprev_box",".scrolltop-button","#btTop",".next-previous-article","#in-article-action-1,\n#post-article-footer,\n#ribbon-container,\n.top_stories",".mny-promo-popup","#register-popup-backdrop,\n.article-subscribe,\n.register-modal-popup-wrapper","#eltd-back-to-top",".up-scroll"];

const hostnamesMap = new Map([["filmix.ac",1],["motordoctor.at",1],["motordoctor.ch",1],["motordoctor.de",1],["motordoctor.dk",1],["motordoctor.es",1],["motordoctor.fi",1],["motordoctor.fr",1],["motordoctor.gr",1],["motordoctor.hu",1],["motordoctor.it",1],["motor-doctor.nl",1],["motordoctor.co.no",1],["motordoctor.pl",1],["motordoctor.pt",1],["motordoctor.ro",1],["motordoctor.se",1],["motor-doctor.co.uk",1],["www.google.ac",2],["www.google.ae",2],["www.google.com.ar",2],["www.google.at",2],["www.google.com.au",2],["www.google.be",2],["www.google.bg",2],["www.google.com.br",2],["www.google.by",2],["www.google.ca",2],["www.google.ch",2],["www.google.cl",2],["www.google.com.co",2],["www.google.com",[2,465]],["www.google.cz",2],["www.google.de",2],["www.google.dk",2],["www.google.dz",2],["www.google.com.ec",2],["www.google.ee",2],["www.google.com.eg",2],["www.google.es",2],["www.google.fi",2],["www.google.fr",2],["www.google.gr",2],["www.google.com.hk",2],["www.google.hr",2],["www.google.hu",2],["www.google.co.id",2],["www.google.ie",2],["www.google.co.il",2],["www.google.co.in",2],["www.google.it",2],["www.google.co.jp",2],["www.google.co.ke",2],["www.google.co.kr",2],["www.google.lt",2],["www.google.lv",2],["www.google.com.mx",2],["www.google.com.my",2],["www.google.nl",2],["www.google.no",2],["www.google.co.nz",2],["www.google.com.pe",2],["www.google.com.ph",2],["www.google.com.pk",2],["www.google.pl",2],["www.google.pt",2],["www.google.com.py",2],["www.google.ro",2],["www.google.rs",2],["www.google.ru",2],["www.google.com.sa",2],["www.google.se",2],["www.google.com.sg",2],["www.google.sk",2],["www.google.co.th",2],["www.google.com.tr",2],["www.google.com.tw",2],["www.google.com.ua",2],["www.google.co.uk",2],["www.google.com.uy",2],["www.google.co.ve",2],["www.google.com.vn",2],["www.google.co.za",2],["generalist.academy",3],["news.northwestern.edu",3],["budapester.hu",3],["albayan.ae",4],["nca.aero",4],["cricbuzz.com",4],["dagospia.com",4],["repsol.com",4],["tradetracker.com",4],["antennebrandenburg.de",4],["vodafone.de",4],["israeltoday.co.il",4],["dz-algerie.info",4],["autoscout24.it",[4,1087]],["billboard.it",4],["calendario-365.it",[4,83]],["lvh.it",4],["regione.marche.it",4],["chinadialogue.net",4],["amazon.ae",[5,6]],["amazon.com.au",[5,6,18]],["amazon.ca",[5,6,18]],["amazon.cn",[5,6]],["amazon.com",[5,6,18,145]],["amazon.de",[5,6]],["amazon.es",[5,6]],["amazon.fr",5],["amazon.in",5],["amazon.co.jp",[5,6]],["amazon.nl",5],["amazon.sg",5],["amazon.co.uk",[5,6,18]],["guardianbookshop.co.uk",6],["gulftoday.ae",[7,8]],["nostalgica.cl",8],["50languages.com",8],["boredpanda.com",8],["business-standard.com",8],["cnevpost.com",8],["hsn.com",8],["lessknownfacts.com",8],["pandasecurity.com",8],["pbteen.com",8],["ingolstadt-today.de",8],["multiup.eu",8],["origo.hu",8],["peoplematters.in",8],["labouroutlook.org",8],["multiup.org",8],["advgazeta.ru",8],["iol.co.za",8],["nation.africa",9],["armradio.am",10],["thecompanion.app",11],["kyivindependent.com",[11,549]],["readtangle.com",11],["lanacion.com.ar",12],["baguette.at",13],["ebay.at",14],["ebay.com.au",14],["ebay.com",[14,368]],["ebay.de",14],["ebay.es",14],["ebay.fr",14],["ebay.it",14],["ebay.nl",14],["ebay.pl",14],["ebay.co.uk",14],["noen.at",15],["clxgaming.com",15],["gedidigital.it",15],["soeren-hentzschel.at",16],["therese-moelk.at",17],["bellasugar.com.au",19],["carsales.com.au",20],["catch.com.au",21],["crazysales.com.au",22],["zona.eu",22],["holidayswithkids.com.au",23],["panoramapolitico.co",23],["circuitbasics.com",23],["vgleaks.com",23],["marsalace.it",23],["hiswatewater.nl",23],["hardwarezone.com.sg",23],["foodstuffsa.co.za",23],["jw.com.au",24],["marieclaire.com.au",25],["who.com.au",25],["moshtix.com.au",26],["mydeal.com.au",27],["nine.com.au",28],["ozsale.com.au",29],["techguide.com.au",30],["themonthly.com.au",31],["thenightly.com.au",32],["thesaturdaypaper.com.au",33],["theshot.net.au",34],["darko.audio",35],["azernews.az",36],["mmegi.bw",36],["airbnb.be",37],["moniteurautomobile.be",38],["indiatimes.com",38],["marketbusinessnews.com",38],["philstar.com",38],["timesnownews.com",38],["xiachufang.com",38],["insidethegames.biz",39],["licensing.biz",40],["mobile-ent.biz",40],["next-gen.biz",41],["freemake.com",41],["pocketgamer.biz",42],["abril.com.br",43],["canaltech.com.br",44],["em.com.br",45],["pinkluna.com.br",46],["revistaencontro.com.br",47],["trabalhabrasil.com.br",48],["carscoops.com",48],["piunikaweb.com",48],["dioezesanmuseum-rottenburg.de",48],["vonovia.de",48],["bl.uk",48],["folha.uol.com.br",49],["valor.com.br",50],["wanda.cn",50],["humanresourcesonline.net",50],["imperiya.by",51],["systems.bz",52],["123ink.ca",53],["itdevices.ca",53],["primecables.ca",53],["americanmusical.com",53],["kingofcocaine.com",53],["cinemo.hu",53],["labusa.info",53],["joemonster.org",53],["aptnnews.ca",[54,55]],["uska.ch",55],["morbidology.com",55],["rivanimation.com",55],["theoverclocker.com",55],["spuf.org",55],["wdet.org",[55,1341]],["cheknews.ca",56],["citynews.ca",57],["fool.ca",58],["halifaxexaminer.ca",59],["inquinte.ca",60],["kbb.ca",61],["mikesmoneytalks.ca",62],["niagarafallsreview.ca",63],["tcatharinesstandard.ca",63],["dinamalar.com",63],["ozemandailychronicle.com",63],["thepeterboroughexaminer.com",63],["thespec.com",63],["rabble.ca",[64,65]],["thedp.com",65],["sciencenews.org",65],["ici.radio-canada.ca",66],["sfu.ca",67],["al-watan.com",67],["coinedcuisine.com",67],["duhuliye.com",67],["krdb.com",67],["leakedzone.com",67],["qatar-tribune.com",67],["neue-impulse-verlag.de",67],["slocounty.ca.gov",67],["appdate.lk",67],["accessnow.org",67],["tfn.scot",67],["shopperplus.ca",68],["bostonherald.com",68],["cosmosup.com",68],["dailysignal.com",68],["foxnews.com",[68,425,426]],["haier.com",68],["sivtimes.com",68],["visitnsw.com",68],["wikiway.com",68],["svp.eu",68],["abitare-in-altoadige.it",68],["automobilismo.it",68],["ciclismo.it",68],["cyclistmagazine.it",68],["motociclismo.it",68],["velaemotore.it",68],["wohnen-in-suedtirol.it",68],["nrc.nl",68],["strategic-culture.org",68],["germany.travel",68],["freeviewnz.tv",68],["thefappening.wiki",68],["staples.ca",69],["thecanadianpressnews.ca",70],["wellandtribune.ca",70],["bgdailynews.com",70],["bramptonguardian.com",70],["chronicle-tribune.com",70],["citizentribune.com",70],["clintonherald.com",70],["coloradopolitics.com",70],["crossroadstoday.com",[70,307]],["csindy.com",70],["dentonrc.com",70],["denvergazette.com",70],["gazette.com",70],["guelphmercury.com",70],["herald-dispatch.com",[70,479]],["hjnews.com",[70,235]],["homenewshere.com",70],["insideottawavalley.com",70],["kentuckytoday.com",70],["keysnews.com",70],["khq.com",70],["kilgorenewsherald.com",70],["kmaland.com",70],["kmzu.com",70],["komu.com",70],["ktbs.com",70],["kulr8.com",70],["lufkindailynews.com",70],["mdjonline.com",70],["mtdemocrat.com",70],["nashvillescene.com",[70,631]],["nbcrightnow.com",70],["news-gazette.com",70],["niagarathisweek.com",70],["northcentralpa.com",70],["ottumwacourier.com",70],["phillytrib.com",70],["postandcourier.com",70],["pulaskicountyweekly.com",70],["sfexaminer.com",70],["sfweekly.com",70],["sharonherald.com",70],["starlocalmedia.com",70],["swiowanewssource.com",70],["thecentersquare.com",70],["themountaineer.com",70],["therecord.com",70],["thesuburban.com",70],["thetimestribune.com",70],["unionleader.com",70],["wdel.com",70],["wdrb.com",70],["wfmz.com",70],["wvgazettemail.com",70],["wvnews.com",70],["newsmirror.net",70],["thetyee.ca",71],["thewalrus.ca",[72,73]],["dailyevergreen.com",73],["dailyexpose.uk",[73,652]],["trutone.ca",74],["dihi.org",74],["tsc.ca",75],["bigislandnow.com",75],["mmoga.com",75],["mmoga.de",75],["mmoga.es",75],["mmoga.fr",75],["toplegal.it",75],["mmoga.se",75],["mmoga.co.uk",75],["vov.vn",75],["tsn.ca",76],["nouvelles.umontreal.ca",77],["ara.cat",78],["rac1.cat",79],["paradisehill.cc",80],["road.cc",81],["romaest.cc",82],["zipnews.it",82],["irusa.org",82],["cdt.ch",83],["shine.cn",83],["aurecongroup.com",83],["filmatipornohd.com",83],["gasoline-station.com",83],["pastebin.com",[83,685]],["secondnexus.com",83],["suninternational.com",83],["unifiedlayers.com",83],["visitnordic.com",83],["rktbns.de",83],["wifi.id",83],["gov.il",83],["boomlive.in",[83,1058,1059]],["millenniumpost.in",83],["thebridge.in",83],["consumer.bz.it",83],["dmail.it",83],["kellergrigliati.it",83],["paginesi.it",83],["saras.it",83],["vog.it",83],["valdelsa.net",83],["premierchristian.news",83],["drivesouth.co.nz",83],["revistablogurilor.ro",83],["rti.org.tw",[83,89]],["caltex.co.za",83],["cryptonomist.ch",84],["globalguideline.com",84],["isanek.com",84],["iogames.onl",84],["derbund.ch",85],["swissinfo.ch",86],["strip.chat",87],["imagetwistcams.com",87],["stripchat.com",87],["xhamsterlive.com",87],["jumia.ci",88],["jumia.com.dz",88],["jumia.com.eg",88],["jumia.com.gh",88],["jumia.co.ke",88],["jumia.ma",88],["jumia.com.ng",88],["jumia.sn",88],["jumia.com.tn",88],["jumia.ug",88],["4399.cn",89],["weather.com.cn",89],["dailypioneer.com",89],["mmm100.com",89],["moneycontrol.com",89],["sport-express.ru",89],["cna.com.tw",[89,1420]],["cts.com.tw",89],["digitimes.com.tw",89],["acfun.cn",[90,91]],["baidu.com",[91,187]],["chinadaily.com.cn",92],["people.com.cn",93],["juejin.cn",94],["kafan.cn",95],["thepaper.cn",96],["404media.co",97],["aeon.co",98],["coconuts.co",99],["convertio.co",100],["tech.co",101],["tedium.co",102],["theblock.co",103],["thecanary.co",104],["thecradle.co",105],["11alive.com",106],["9news.com",106],["wkyc.com",106],["wusa9.com",106],["123apps.com",107],["online-video-cutter.com",107],["mp3cut.net",107],["music.163.com",108],["3bmeteo.com",109],["4clik.com",110],["4kdownload.com",111],["4sysops.com",112],["699pic.com",[113,114]],["al-akhbar.com",113],["mariahcarey.com",113],["osgamers.com",113],["powvideo.net",113],["omannews.gov.om",113],["finallyfocused.org",[113,1285]],["6abc.com",115],["abc11.com",115],["abc13.com",115],["abc30.com",115],["abc7.com",115],["abc7chicago.com",115],["abc7news.com",115],["abc7ny.com",115],["7is7.com",116],["criosweb.ro",116],["90percentofeverything.com",117],["92q.com",118],["cassiuslife.com",118],["espnrichmond.com",118],["foxync.com",118],["hellobeautiful.com",118],["hiphopnc.com",118],["hotspotatl.com",118],["ipowerrichmond.com",118],["joycolumbus.com",118],["kissdetroit.com",118],["kissrichmond.com",118],["kysdc.com",118],["magicbaltimore.com",118],["majic945.com",118],["majicatl.com",118],["mybaltimorespirit.com",118],["myboomatl.com",118],["mycolumbusmagic.com",118],["mycolumbuspower.com",118],["myhoustonmajic.com",118],["mymajicdc.com",118],["mypraiseatl.com",118],["myspiritdc.com",118],["newsone.com",118],["newstalkcleveland.com",118],["oldschool1053.com",118],["praise1027detroit.com",118],["praisebaltimore.com",118],["praisecharlotte.com",118],["praisecleveland.com",118],["praisedc.com",118],["praisehouston.com",118],["praiseindy.com",118],["praisephilly.com",118],["radionowhouston.com",118],["radionowindy.com",118],["rnbcincy.com",118],["rnbphilly.com",118],["thebeatdfw.com",118],["theboxhouston.com",118],["thelightnc.com",118],["tlcnaptown.com",118],["wiznation.com",118],["wolbbaltimore.com",118],["woldcnews.com",118],["wzakcleveland.com",118],["zhiphopcleveland.com",118],["abhiandroid.com",119],["abovethelaw.com",120],["abovetopsecret.com",121],["accessoires-asus.com",122],["accuweather.com",123],["adexchanger.com",[124,125]],["ethnews.com",[124,224]],["news24.com",124],["pokerupdate.com",124],["wn.com",124],["manilatimes.net",[124,435]],["adguard.com",126],["adnkronos.com",127],["adotas.com",128],["drsinatra.com",[128,358]],["hotscripts.com",[128,358]],["mac-forums.com",[128,358]],["mercola.com",[128,358]],["pier1.com",[128,358]],["squawkfox.com",[128,805]],["thebolditalic.com",[128,358]],["underarmour.com",[128,358]],["warrior.com",[128,358]],["boldprogressives.org",[128,358]],["adweek.com",129],["aeromalls.com",130],["coinmarketcap.com",130],["ecrater.com",130],["gadgetstouse.com",130],["hotels.com",130],["iphoneitalia.com",130],["safetydetectives.com",130],["theblondeabroad.com",130],["thefintechtimes.com",130],["tvrus.eu",130],["gipa.ge",130],["advister.it",130],["roadhousestory.it",130],["hard-drive.net",130],["yoshuabengio.org",130],["afr.com",131],["airliquide.com",132],["ajc.com",133],["albertsons.com",134],["celebritycruises.com",134],["giantfreakinrobot.com",134],["mygenefood.com",134],["onthegotours.com",134],["savoredjourneys.com",134],["wanderlustcrew.com",134],["err.ee",134],["nzherald.co.nz",[134,1253]],["dl.acm.org",134],["stanfordreview.org",134],["algemeiner.com",135],["aliexpress.com",136],["aliexpress.us",136],["alistapart.com",137],["allaboutcd.com",138],["alligator-sunglasses.com",139],["bucketlistseekers.com",139],["want.nl",139],["allnightnippon.com",140],["global.toyota",140],["allsides.com",141],["allvoices.com",142],["statetechmagazine.com",142],["thesixthaxis.com",142],["altoadigelatte.com",143],["cine974.com",143],["europeanjournalists.org",143],["amazines.com",144],["signin.aws.amazon.com",146],["ambotv.com",147],["americanwirenews.com",148],["amtrak.com",[149,150]],["collegiatetimes.com",149],["titantv.com",149],["analdin.com",151],["reverbpress.com",151],["uinterview.com",151],["anandtech.com",152],["citytv.com",152],["slantmagazine.com",152],["superbooyah.com",152],["twitchy.com",152],["unhearit.com",152],["games.on.net",152],["aorus.com",[153,154]],["insidebitcoins.com",153],["apkcombo.com",155],["apkmirror.com",156],["apnews.com",157],["appbrain.com",158],["support.apple.com",159],["applesencia.com",160],["capitalibre.com",160],["cheatcc.com",160],["frenomotor.com",160],["placeralplato.com",160],["rootear.com",160],["sportadictos.com",160],["thrillophilia.com",160],["winphonemetro.com",160],["xombit.com",160],["xombitgames.com",160],["xombitmusic.com",160],["aquamanga.com",161],["reaperscans.com",161],["arabtimesonline.com",162],["elpasoheraldpost.com",162],["laprensalatina.com",162],["loadthegame.com",162],["sigma-4pc.com",162],["xboxera.com",162],["archdaily.com",163],["arstechnica.com",164],["artnews.com",165],["artstation.com",166],["asahi.com",167],["askubuntu.com",168],["serverfault.com",168],["stackexchange.com",168],["stackoverflow.com",[168,807]],["superuser.com",168],["mathoverflow.net",168],["astrofame.com",169],["astronomy.com",170],["feedspot.com",[170,179]],["asus.com",171],["atheistrepublic.com",172],["atlantaradiokorea.com",173],["atlasobscura.com",174],["atozmath.com",175],["atramentowka.com",176],["link11.com",176],["oil-land.pl",176],["sklep-art-meb.pl",176],["latuaitalia.ru",176],["subscribe.ru",176],["tv-soyuz.ru",176],["vz.ru",[176,1394]],["picardirebel.co.za",176],["audio-joiner.com",177],["online-voice-recorder.com",177],["video-converter.com",177],["convert.io",177],["pdf.io",177],["webcamera.io",177],["extract.me",177],["audioholics.com",[178,179]],["jobomas.com",[178,179]],["ffr.fr",178],["patient.info",178],["bournemouthecho.co.uk",[178,179]],["decalgirl.com",179],["straitstimes.com",[179,816]],["watchsomuchproxy.com",[179,921]],["younow.com",179],["ociservices.gov.in",[179,1061]],["hotel4golf.nl",179],["police.uk",179],["austinchronicle.com",180],["auto-moto.com",181],["blog.avast.com",182],["avg.com",183],["copykat.com",183],["snagfilms.com",183],["axios.com",184],["azuremagazine.com",185],["bt.no",185],["backpacker.com",186],["map.baidu.com",188],["pan.baidu.com",189],["baike.com",190],["bakusai.com",191],["banggood.com",192],["basket4ballers.com",193],["bayer.com",194],["jpx.co.jp",194],["gamespark.jp",194],["response.jp",194],["baystatebanner.com",195],["bbc.com",196],["bbcgoodfood.com",197],["bd.com",198],["vpnranks.com",198],["livelaw.in",198],["isocellitalia.it",198],["nation-news.ru",198],["beautyhigh.com",[199,200]],["thevivant.com",199],["beincrypto.com",201],["benzinga.com",202],["betootaadvocate.com",203],["beverfood.com",204],["about.bgov.com",205],["bgr.com",206],["bhaskar.com",207],["bigissue.com",208],["bigthink.com",209],["bikeradar.com",210],["bikerumor.com",211],["bilibili.com",212],["billboard.com",213],["bingehulu.com",214],["bingplaces.com",215],["biometricupdate.com",216],["birdwatchingdaily.com",217],["bitfinex.com",218],["bizarrepedia.com",219],["bizcommunity.com",220],["blauerusa.com",221],["bleepingcomputer.com",222],["techdirt.com",[222,833]],["blizzardwatch.com",223],["bloomberg.com",224],["curseforge.com",[224,314]],["letterboxd.com",224],["monkeytype.com",224],["singsnap.com",224],["springer.com",224],["newstalkzb.co.nz",224],["freecodecamp.org",224],["goodnet.org",224],["wikipedia.org",[224,1128,1345]],["news.bloomberglaw.com",225],["news.bloombergtax.com",225],["bluestacks.com",226],["bmwblog.com",227],["gwinnettdailypost.com",227],["la-croix.com",227],["porn5.com",227],["bohemian.com",228],["cinelinx.com",228],["genengnews.com",228],["geopoliticalfutures.com",228],["itmunch.com",[228,523]],["bonappetit.com",229],["wired.com",[229,938]],["bonjourlife.com",230],["visualnews.com",230],["booking.com",231],["booksnreview.com",232],["boursier.com",233],["bowhuntingmag.com",234],["firearmsnews.com",234],["flyfisherman.com",234],["gameandfishmag.com",234],["gundogmag.com",234],["gunsandammo.com",[234,282]],["handgunsmag.com",234],["in-fisherman.com",234],["northamericanwhitetail.com",234],["outdoorchannelplus.com",234],["petersenshunting.com",234],["shootingtimes.com",234],["wildfowlmag.com",234],["bozemandailychronicle.com",235],["bplaytipremia.com",236],["tempoitalia.it",236],["bradblog.com",237],["search.brave.com",238],["breitbart.com",239],["brighteon.com",240],["britishland.com",241],["browardpalmbeach.com",[242,243]],["dallasobserver.com",[242,243,323]],["miaminewtimes.com",[242,243,596]],["westword.com",[242,243]],["phoenixnewtimes.com",243],["buckinghamshirelive.com",244],["cornwalllive.com",244],["devonlive.com",244],["nottinghampost.com",244],["buzz.ie",244],["dublinlive.ie",244],["irishmirror.ie",244],["dorset.live",244],["lancs.live",244],["coventrytelegraph.net",244],["aberdeenlive.news",244],["essexlive.news",244],["kentlive.news",244],["mylondon.news",244],["belfastlive.co.uk",244],["birminghammail.co.uk",244],["bristolpost.co.uk",244],["business-live.co.uk",244],["cambridge-news.co.uk",244],["cheshire-live.co.uk",244],["chroniclelive.co.uk",244],["dailypost.co.uk",244],["dailyrecord.co.uk",244],["dailystar.co.uk",244],["derbytelegraph.co.uk",244],["edinburghlive.co.uk",244],["examinerlive.co.uk",244],["gazettelive.co.uk",244],["getsurrey.co.uk",244],["glasgowlive.co.uk",244],["gloucestershirelive.co.uk",244],["grimsbytelegraph.co.uk",244],["hertfordshiremercury.co.uk",244],["hulldailymail.co.uk",244],["insider.co.uk",244],["leeds-live.co.uk",244],["leicestermercury.co.uk",244],["lincolnshirelive.co.uk",244],["liverpoolecho.co.uk",244],["manchestereveningnews.co.uk",244],["mirror.co.uk",244],["norfolklive.co.uk",244],["ok.co.uk",244],["oxfordshirelive.co.uk",244],["plymouthherald.co.uk",244],["somersetlive.co.uk",244],["staffordshire-live.co.uk",244],["stokesentinel.co.uk",244],["walesonline.co.uk",244],["wiltshirelive.co.uk",244],["buffalorising.com",245],["buggedspace.com",246],["curioustic.com",246],["businessinsider.com",247],["insider.com",247],["butterwithasideofbread.com",248],["dirtyship.com",248],["momontimeout.com",248],["buzzfeed.com",249],["buzzfeednews.com",250],["byjus.com",251],["californiasunday.com",252],["cambiodns.com",253],["canonclast.com",254],["futurecapetown.com",254],["kqed.org",[254,1298]],["worldarchitecture.org",254],["capital.com",[255,256]],["permanentstyle.com",256],["vodacomsoccer.com",256],["alldomains.hosting",256],["capsulenz.com",257],["interest.co.nz",[257,1251]],["cardekho.com",258],["careerkarma.com",259],["carsandbids.com",260],["casinodelavallee.com",261],["cryptobizmagazine.com",261],["ideaandcreativity.com",261],["ijn.com",261],["nationwideradiojm.com",261],["tv360nigeria.com",261],["weeklyrecess.com",261],["catchnews.com",262],["cbsnews.com",263],["cctv.com",264],["cdw.com",265],["celebified.com",266],["centrometeolombardo.com",267],["centrosuono.com",268],["gigaset.com",268],["hiclipart.com",268],["miui.com",268],["mytheresa.com",268],["pcbeta.com",268],["pngwing.com",268],["luchtvaartnieuws.nl",[268,1244]],["cheddar.com",269],["chektools.com",270],["chicagoreporter.com",271],["chiesi.com",272],["china.com",273],["hackingloops.com",273],["medibang.com",273],["churchmilitant.com",274],["ciiradio.com",275],["smutr.com",275],["reverso.net",275],["elcomercio.pe",275],["cio-online.com",276],["citybeat.com",277],["clevescene.com",277],["leoweekly.com",277],["metrotimes.com",277],["orlandoweekly.com",[277,678]],["sacurrent.com",[277,678,756]],["clevelandjewishnews.com",278],["kmov.com",278],["kptv.com",[278,537]],["climeworks.com",279],["cltampa.com",280],["clubcall.com",281],["cnbctv18.com",282],["ekathimerini.com",282],["gbnews.com",[282,442]],["linuxlookup.com",282],["porngem.com",282],["cacm.acm.org",282],["californiacitynews.org",282],["cnet.com",283],["cnn.com",284],["cnnchile.com",285],["eatsmarter.com",285],["cockroachlabs.com",286],["codastory.com",287],["codecalamity.com",288],["codeur.com",289],["coingecko.com",290],["coinpaprika.com",291],["collectorsweekly.com",292],["computerhope.com",293],["computingunleashed.com",294],["condominio.com",295],["daumpotplayer.com",295],["libero.it",295],["consortiumnews.com",296],["consummateathlete.com",297],["contactmusic.com",298],["coreight.com",299],["cosedicasa.com",299],["lleida.com",299],["oantagonista.com",299],["soundonsound.com",299],["theepochtimes.com",[299,849]],["gamepro.de",299],["gamestar.de",299],["castanet.net",299],["adl.org",299],["news.ki.se",299],["cosmicscans.com",300],["courier-journal.com",[301,302]],["courierpress.com",[301,302]],["detroitnews.com",[301,302]],["freep.com",[301,302]],["greenbaypressgazette.com",[301,302]],["jsonline.com",[301,302]],["lohud.com",[301,302]],["northjersey.com",[301,302]],["sheboyganpress.com",[301,302]],["tallahassee.com",[301,302]],["theadvertiser.com",[301,302]],["tiktok.com",[302,876]],["usatoday.com",302],["calculat.io",302],["cpuid.com",303],["crainscleveland.com",304],["crainsnewyork.com",304],["crealitycloud.com",305],["crimereads.com",306],["lithub.com",[306,568]],["news.crunchbase.com",308],["crypto.com",309],["cryptoglobe.com",310],["csmonitor.com",311],["ctovision.com",312],["phonerpt.com",312],["umpcportal.com",312],["fullepisode.info",312],["cuisineaz.com",313],["cwtv.com",315],["dailyfx.com",316],["dailyhodl.com",317],["dailykos.com",318],["dailynewshungary.com",319],["dailysabah.com",320],["dailyvoice.com",321],["dailywire.com",322],["damemagazine.com",324],["damninteresting.com",325],["darkreading.com",[326,327]],["soundcloud.com",[326,793]],["datacamp.com",328],["datamation.com",329],["support.mozilla.org",329],["davinotti.com",330],["dcist.com",331],["deadline.com",332],["dealabs.com",[333,334]],["mydealz.de",333],["dealnews.com",335],["decider.com",336],["nypost.com",336],["pagesix.com",[336,682]],["deeditor.com",337],["deepl.com",338],["defensescoop.com",339],["fedscoop.com",339],["deltareading.com",340],["dengekionline.com",341],["designboom.com",342],["designobserver.com",343],["desmog.com",344],["devdiscourse.com",345],["dhgate.com",346],["diariolibre.com",347],["dickssportinggoods.com",348],["dictionary.com",349],["didyouknowfacts.com",350],["digitalrev.com",351],["makeagif.com",351],["post-gazette.com",351],["tldrlegal.com",351],["yourtvseri.es",351],["disqus.com",352],["dmv-practice-test.com",353],["dnainfo.com",354],["minus.com",354],["virginislandsdailynews.com",354],["dole.com",355],["dollartree.com",356],["downloaddevtools.com",357],["techcommunity.microsoft.com",[358,600]],["drugs.com",359],["duckduckgo.com",360],["duo.com",361],["e-reader-info.com",[362,363]],["foreignpolicy.com",[362,363]],["seatguru.com",[362,363]],["wtk.com.pl",363],["earthcam.com",364],["easeus.com",365],["easeus.fr",365],["ebar.com",366],["farooqkperogi.com",366],["popmythology.com",366],["theapplepost.com",366],["blog.westerndigital.com",366],["osthessen-news.de",366],["stuttgarter-zeitung.de",366],["mieuxvivresante.fr",366],["pourquoidocteur.fr",366],["arigatojapan.co.jp",366],["amiventures.net",366],["jqueryscript.net",366],["ebaumsworld.com",367],["eboblack.com",369],["ixosofficial.com",369],["kapook.com",369],["maxcasa.com",369],["nilox.com",369],["publish0x.com",369],["scarpescarpestore.com",369],["teenxy.com",369],["alalam.ir",369],["consorzioautolinee.it",369],["murripatrizia.it",369],["nomisma.it",369],["rstore.it",369],["aniwatch.to",369],["aniwatchtv.to",369],["ecoaustral.com",370],["ecologiaverde.com",371],["econotimes.com",372],["edilportale.com",373],["educba.com",[374,375,376]],["phoenixnap.com",374],["thecoastnews.com",374],["mtime.com",376],["eepower.com",377],["egoallstars.com",378],["egotastic.com",378],["washingtonian.com",378],["wwtdd.com",378],["electromenager-compare.com",379],["homecine-compare.com",379],["lcd-compare.com",379],["elespanol.com",380],["elgrupoinformatico.com",381],["emmepress.com",382],["emol.com",383],["orizzontescuola.it",[383,1140]],["di.com.pl",[383,1351]],["engadget.com",384],["thehollywoodgossip.com",384],["milliyet.com.tr",[384,1405]],["entireweb.com",385],["softroboticstoolkit.com",385],["nasiljudi.hr",385],["epicgames.com",386],["wapbold.net",386],["erome.com",387],["escapistmagazine.com",388],["escort-advisor.com",389],["esetindia.com",390],["etnews.com",391],["euobserver.com",392],["euractiv.com",393],["euromaidanpress.com",394],["euronews.com",395],["eurosport.com",396],["everythingrf.com",397],["ew-nutrition.com",398],["expansion.com",399],["fandom.com",400],["fanfreegames.com",401],["fark.com",402],["fastcompany.com",403],["indexwp.com",[403,504]],["app.fastmail.com",404],["favbrowser.com",405],["fboomporn.com",406],["xcafe.com",406],["video.fc2.com",[407,408]],["video.laxd.com",407],["feedly.com",409],["fflogs.com",[410,411]],["warcraftlogs.com",410],["filehorse.com",412],["finbold.com",413],["fivebooks.com",414],["fixya.com",[415,416]],["thetruthaboutcars.com",[415,450,472]],["flaticon.com",417],["flightradar24.com",418],["flyingmag.com",419],["food.com",420],["forbes.com",421],["forbesindia.com",422],["forvo.com",423],["forward.com",424],["foxbusiness.com",425],["infoq.com",[426,510]],["threadreaderapp.com",426],["stylist.co.uk",426],["frameboxxindore.com",427],["host-tools.com",427],["hostelworld.com",427],["news9live.com",[427,644]],["paramorefans.com",427],["spacetourismguide.com",[427,796]],["tribuneindia.com",427],["france24.com",428],["rfi.fr",428],["freightwaves.com",429],["frontpagetech.com",430],["ft.com",431],["fudzilla.com",432],["g2a.com",433],["game-news24.com",[434,435]],["gameinformer.com",436],["gamespot.com",437],["gamingonphone.com",438],["gardrops.com",439],["gayboystube.com",440],["gazoo.com",441],["geekwire.com",443],["gemoo.com",444],["gettr.com",445],["gianlucadimarzio.com",446],["girlonthenet.com",447],["github.com",448],["docs.github.com",449],["globo.com",[450,451]],["metrodaily.hk",450],["eurocash.pl",450],["avtoradio.ru",[450,1377]],["chronicle.co.zw",450],["gmanetwork.com",452],["gnttv.com",453],["aajtak.in",453],["businesstoday.in",453],["abcnews.go.com",454],["goafricaonline.com",455],["gofugyourself.com",456],["golfdigest.com",457],["goodmenproject.com",458],["goodmorningamerica.com",459],["goodnes.com",460],["goodthingsguy.com",461],["goodwillfinds.com",462],["google.com",463],["grow.google",463],["chromewebstore.google.com",464],["gothamist.com",466],["gpfans.com",467],["gq.com",468],["greenweddingshoes.com",469],["techday.com",469],["groupon.com",470],["wivb.com",470],["grundig.com",471],["gulfnews.com",472],["telekom.com",[472,495]],["aquab0n.fr",472],["independent.com.mt",472],["africacheck.org",472],["monthlyreview.org",472],["gzeromedia.com",473],["hackread.com",474],["hannity.com",475],["healthboards.com",476],["healthday.com",477],["hellsgamers.com",478],["oleantimesherald.com",[479,670]],["hiapkdownload.com",480],["modapkdown.com",480],["himilangaribaldi.com",481],["hotelcontinentalvenice.com",481],["chcflorence.it",481],["hiexpressbolognafiera.it",481],["higenova.it",481],["hiturin.it",481],["hizara.it",481],["hindawi.com",482],["tech.hindustantimes.com",483],["hisense.com",484],["hispantv.com",485],["minitool.com",485],["roccosiffredixxx.it",485],["hotklix.com",486],["housefresh.com",487],["houzz.com",488],["hth-kitchen.com",489],["huckberry.com",490],["humblebundle.com",491],["iclarified.com",492],["ifeng.com",493],["ifixit.com",494],["iinspirationalquotess.com",495],["orthochristian.com",495],["hessenschau.de",495],["hr.de",495],["hr-bigband.de",495],["hr-fernsehen.de",495],["hr-inforadio.de",495],["hr-rundfunkrat.de",495],["hr-sinfonieorchester.de",495],["hr-werbung.de",495],["hr1.de",495],["hr2.de",495],["hr3.de",495],["hr4.de",495],["you-fm.de",495],["pravoslavie.ru",495],["ilbianconero.com",496],["ilsitodellozoo.com",497],["ilsole24ore.com",498],["imagecolorpicker.com",499],["imagenimage.com",500],["imagenpic.com",500],["imageshimage.com",500],["imagetwist.com",500],["imbruttito.com",501],["imgur.com",502],["imobie.com",503],["indiamike.com",505],["indianexpress.com",506],["auto.economictimes.indiatimes.com",507],["indy100.com",508],["infobae.com",509],["informer.com",511],["insideedition.com",512],["instagram.com",513],["instructables.com",514],["inthesetimes.com",515],["investing.com",516],["investopedia.com",517],["investors.com",518],["ipaddress.com",519],["iranwire.com",520],["irccloud.com",521],["istreamy.com",522],["iwaatch.com",524],["jacobin.com",525],["jewishpress.com",526],["nme.com",526],["jfrog.com",527],["jiji.com",528],["connect.justia.com",529],["patents.justia.com",530],["justjaredjr.com",531],["justthenews.com",532],["kakakumag.com",533],["kakaocorp.com",534],["kark.com",[535,536]],["ktla.com",[535,536]],["ktsm.com",[535,536]],["myarklamiss.com",[535,536]],["mytwintiers.com",[535,536]],["nbc4i.com",[535,536]],["news10.com",[535,536]],["nwahomepage.com",[535,536]],["thehill.com",[535,853]],["wavy.com",[535,536]],["kbtx.com",537],["kesq.com",538],["kitchenknifeforums.com",[539,540]],["quadraphonicquad.com",540],["kiz10.com",541],["klook.com",542],["knowyourmeme.com",[543,544]],["ndtv.com",[543,589,636]],["knoxnews.com",545],["ibtimes.co.uk",545],["kohls.com",546],["samsclub.com",546],["koreaboo.com",547],["vipcars.com",547],["hasznaltauto.hu",547],["szalonauto.hu",547],["myfaith.tv",547],["koreaherald.com",548],["kyivpost.com",[550,551]],["khronos.org",551],["l2beat.com",552],["laist.com",553],["lambdatest.com",554],["lamborghini-tractors.com",555],["lasexta.com",556],["lastmomenttuitions.com",557],["latinospost.com",558],["lawandcrime.com",559],["mediaite.com",[559,587]],["whiskeyraiders.com",559],["lepratiquedugabon.com",560],["olx.ua",560],["levernews.com",561],["lgbtqnation.com",562],["libertynation.com",563],["lifesitenews.com",564],["liliputing.com",565],["lillapois.com",566],["linuxbabe.com",567],["splashlearn.com",567],["livejournal.com",569],["livemint.com",570],["lmtribune.com",571],["logicbuy.com",572],["lwlies.com",573],["ma-reduc.com",574],["macdailynews.com",575],["macromill.com",576],["mhi.com",576],["it.hisamitsu",576],["smth.jp",576],["maisonapart.com",577],["malaymail.com",578],["mangatoto.com",579],["marinetraffic.com",580],["markapark.com",581],["marketingweek.com",582],["marketscreener.com",583],["mawdoo3.com",584],["mayoclinic.com",585],["nintendogal.com",585],["thetech.com",585],["geeksaresexy.net",585],["mdpi.com",586],["medianama.com",588],["medicaldaily.com",589],["medicalxpress.com",590],["medicinenet.com",591],["mega4upload.com",591],["meganstarr.com",592],["motorscribes.com",592],["secretatlas.com",592],["avantishop.it",592],["lacomunicazione.it",592],["angelshack.co.za",592],["mensjournal.com",593],["meteomedia.com",594],["metservice.com",595],["microchip.com",597],["learn.microsoft.com",598],["support.microsoft.com",599],["milenio.com",601],["news.mingpao.com",602],["mitsubishicorp.com",603],["mitsui.com",604],["mlbtraderumors.com",605],["mljar.com",606],["modamee.com",607],["modernluxury.com",608],["media.moneyforward.com",609],["motherjones.com",[610,611]],["grist.org",[610,1286]],["motherless.com",612],["motogp.com",613],["motoringnz.com",614],["motorsport.com",615],["motorsport-total.com",616],["motto-jp.com",617],["movehub.com",618],["mowmag.com",619],["mp4upload.com",620],["mrfood.com",621],["mrskin.com",622],["msn.com",623],["msnbc.com",624],["nbcnews.com",624],["today.com",624],["multiplesclerosisnewstoday.com",625],["mundodastribos.com",626],["mundodeportivo.com",627],["musicredone.com",628],["mydailyfreedom.com",629],["patriotfetch.com",629],["news.mydrivers.com",630],["nasilemaktech.com",632],["nationalpost.com",633],["nationaltoday.com",634],["nature.com",635],["nededik.com",637],["neilpatel.com",638],["valuewalk.com",638],["neonnettle.com",639],["nerdwallet.com",640],["newegg.com",641],["newrepublic.com",642],["news18.com",643],["newsbytesapp.com",645],["newswars.com",646],["newsweek.com",647],["nexusmods.com",648],["nftplazas.com",649],["asia.nikkei.com",650],["nippon.com",651],["nironmagnetics.com",652],["nofilmschool.com",653],["nomadicmatt.com",654],["vdigitalservices.com",654],["nomuraholdings.com",655],["nordstrom.com",656],["novaramedia.com",657],["novinite.com",658],["nowpatient.com",659],["ny1.com",660],["nyanpedia.com",661],["nyk.com",662],["webtsc.com",[662,925]],["census.gov",[662,1033]],["chugai-pharm.co.jp",662],["daiichi-kamotsu.co.jp",662],["nhk.or.jp",662],["nymag.com",663],["vulture.com",663],["odysee.com",664],["ofbez.com",665],["office.com",666],["oh-my-teeth.com",667],["oilprice.com",668],["okmagazine.com",669],["oneindia.com",671],["openculture.com",672],["addons.opera.com",673],["blogs.opera.com",674],["forums.opera.com",675],["orbispatches.com",676],["organicauthority.com",677],["oszkar.com",679],["otsukai.com",680],["outlookindia.com",681],["paleofuture.com",683],["parsintl.com",684],["pbtech.com",[686,687]],["pbtech.co.nz",687],["peekyou.com",688],["petside.com",689],["pexels.com",690],["phemex.com",691],["phonearena.com",692],["phonescoop.com",693],["phoronix.com",694],["photobucket.com",695],["photonics.com",696],["picsart.com",697],["picturecorrect.com",698],["salemnews.net",698],["pimylifeup.com",699],["pixabay.com",700],["pixsor.com",701],["vippix.com",701],["pjmedia.com",[702,703]],["townhall.com",703],["planner5d.com",704],["plataformamedia.com",705],["playbuzz.com",706],["plough.com",707],["pocketgamer.com",708],["pokernews.com",709],["politifact.com",710],["polska-ie.com",711],["thenassauguardian.com",711],["porngsstube.com",712],["34travel.me",712],["pornhub.com",713],["portableapps.com",714],["pramgnet.com",715],["pressreader.com",716],["prompthero.com",717],["proprofs.com",718],["protrumpnews.com",719],["publishersweekly.com",720],["pyrexoriginal.com",721],["qatarairways.com",722],["qidian.com",723],["qq.com",724],["mail.qq.com",725],["qwant.com",726],["racingtv.com",727],["racquetmag.com",728],["radaris.com",729],["radarplane.com",730],["radioseoul1650.com",731],["rap-up.com",732],["wellnessmama.com",732],["rawstory.com",[733,734,735]],["alternet.org",[733,734]],["realitytvworld.com",736],["reason.com",737],["rebelnews.com",738],["rebooti.com",739],["latestgadgets.tech",739],["reddit.com",740],["amp.reddit.com",741],["rediff.com",742],["redstate.com",743],["retroist.com",744],["rigzone.com",745],["roadiscalling.com",746],["slothytech.com",746],["theinvisibletourist.com",746],["rockpapershotgun.com",747],["vg247.com",[747,911]],["eurogamer.net",747],["rogerebert.com",748],["routard.com",749],["route-fifty.com",750],["rpdrlatino.com",751],["informazionefiscale.it",751],["rt.com",752],["rttnews.com",753],["rwe.com",754],["sabcnews.com",755],["scientificamerican.com",757],["scifiinterfaces.com",758],["pcpj.org",758],["scmp.com",759],["scribd.com",760],["scrippsnews.com",761],["sears.com",762],["semafor.com",763],["seroundtable.com",764],["sfbayca.com",765],["sfist.com",766],["shameless.com",767],["shazam.com",768],["shein.com",769],["shopstyle.com",770],["siciliaoggi.com",771],["tennesseestar.com",771],["themichiganstar.com",771],["theminnesotasun.com",771],["theohiostar.com",771],["siciliapress.it",771],["tavoloeditoriradio.it",771],["bay.com.mt",771],["motori.net",771],["similarsites.com",772],["simpleflying.com",773],["skeptoid.com",774],["skyticket.com",775],["emb-japan.go.jp",775],["mobilenews.jp",775],["app.slack.com",776],["slate.com",777],["slaynews.com",778],["slideserve.com",779],["smashingmagazine.com",780],["smhlmao.com",781],["sncf-connect.com",782],["snopes.com",783],["sofmap.com",784],["soft32.com",785],["softpedia.com",786],["softwarekeep.com",787],["sogou.com",788],["fanyi.sogou.com",789],["solarisbus.com",790],["solutions-numeriques.com",791],["songsterr.com",792],["southfloridagaynews.com",794],["space.com",795],["thefitcareerist.com",796],["spiked-online.com",797],["spjeff.com",798],["sporcle.com",799],["sportsadda.com",800],["sportsbusinessjournal.com",801],["sportsocratic.com",802],["sportstarlive.com",803],["sputniknewslv.com",804],["sputnik-abkhazia.ru",804],["sputnik-georgia.ru",804],["sputnik-ossetia.ru",804],["stacker.com",806],["staradvertiser.com",808],["stargazette.com",809],["startpage.com",810],["startrek.com",811],["statnews.com",812],["stickam.com",813],["stoneberry.com",814],["stoodnt.com",815],["streamable.com",817],["streetinsider.com",818],["strevel.com",819],["sunsky-online.com",820],["surveymonkey.com",821],["swordscomic.com",822],["symbolab.com",823],["t-nation.com",824],["tabelog.com",825],["tabletmag.com",826],["tactxflashlights.com",827],["tainews.com",828],["talkingpointsmemo.com",829],["taosect.com",830],["techbigs.com",831],["techcrunch.com",832],["techlila.com",834],["techopedia.com",835],["techweez.com",836],["tecmint.com",837],["neveitalia.it",837],["telesatellite.com",838],["temu.com",839],["cloud.tencent.com",840],["texasmonthly.com",841],["thebetterindia.com",842],["theblaze.com",843],["thebookseller.com",844],["thecourier.com",845],["thecydia.com",846],["thedarewall.com",847],["restofworld.org",847],["thedrum.com",848],["thegamecrater.com",850],["theglobeandmail.com",851],["theguardian.com",852],["thehindu.com",854],["theintercept.com",855],["thejakartapost.com",856],["thekitchn.com",857],["thelondoneconomic.com",858],["thelostavocado.com",859],["themoscowtimes.com",860],["thenation.com",861],["thenationalnews.com",862],["thenationalpulse.com",863],["thenest.com",864],["thenewamerican.com",865],["ny.thepaperfair.com",866],["thephuketnews.com",867],["reed.co.uk",867],["thecourier.co.uk",867],["thepostmillennial.com",868],["theprp.com",869],["thesmokinggun.com",870],["thespectator.com",871],["thestayathomechef.com",872],["theweek.com",873],["thumbzilla.com",874],["thurrott.com",875],["time.com",877],["timeshighereducation.com",878],["timesofisrael.com",879],["timesofmalta.com",880],["tipranks.com",881],["topic.com",882],["topuniversities.com",883],["toucharcade.com",884],["tourhebdo.com",885],["tp-link.com",886],["tradeinn.com",887],["travelnostop.com",888],["trenitalia.com",889],["tripadvisor.com",890],["truecrimedaily.com",891],["truthdig.com",892],["tutsplus.com",893],["twistedvoxel.com",894],["twitchquotes.com",895],["help.twitter.com",896],["help.x.com",896],["tyrantscans.com",897],["uberhumor.com",898],["udn.com",899],["ugreen.com",900],["ukranews.com",901],["assly.dz",901],["rogor.ge",901],["koreatimes.co.kr",901],["ultimouomo.com",902],["universetoday.com",903],["unsertirol24.com",904],["upqode.com",905],["urbandictionary.com",906],["urbanoutfitters.com",907],["userbenchmark.com",908],["usmagazine.com",909],["venturebeat.com",910],["blog.vidizmo.com",912],["allnews.ge",912],["vigilantcitizen.com",913],["vistosulweb.com",914],["ilfattonisseno.it",914],["itacanotizie.it",914],["qds.it",914],["tempostretto.it",914],["voanews.com",915],["rferl.org",915],["vox.com",916],["wahoofitness.com",917],["walletinvestor.com",918],["wallpaperflare.com",919],["warontherocks.com",920],["wbal.com",922],["hofbraeu-muenchen.de",922],["visitberlin.de",922],["middleeasteye.net",922],["weather.com",923],["websiteoutlook.com",924],["weebly.com",926],["welivesecurity.com",927],["wellgames.com",928],["welovetrump.com",929],["westernjournal.com",930],["wnd.com",[930,940]],["whatsoniphone.com",931],["whosampled.com",932],["whtop.com",[933,934]],["news.tvbs.com.tw",933],["wikihow.com",935],["winzzguitars.com",936],["homemark.co.za",936],["wionews.com",937],["wisebread.com",939],["wondershare.com",941],["ilninth.wordpress.com",942],["world-of-satellite.com",943],["worldfinance.com",944],["worldjournal.com",945],["wowhead.com",946],["wpneon.com",947],["wsadirectory.com",948],["x2download.com",949],["xranks.com",949],["y2meta.com",949],["yt5s.com",949],["slickdeals.net",949],["xhaccess.com",950],["xhamster.com",950],["xhamster.desi",950],["xkcdb.com",951],["disk.yandex.com",[952,953]],["disk.yandex.ru",952],["youm7.com",954],["yourstory.com",955],["youtube.com",[956,957]],["youtube-nocookie.com",957],["youtube4kdownloader.com",958],["zacks.com",959],["zerohedge.com",960],["mail.zoho.com",961],["zycrypto.com",962],["boerse-global.de",963],["donaukurier.de",964],["foerderland.de",965],["gebrauchtwagenberater.de",966],["golem.de",967],["groupon.de",968],["groupon.fr",968],["heise.de",969],["icx-shop.de",970],["jobsuche-bw.de",971],["kicker.de",972],["kontextwochenzeitung.de",973],["kostenlose-urteile.de",974],["kress.de",975],["linux-magazin.de",976],["logistik-watchblog.de",977],["motorsportpics.de",978],["vansoestklassiekers.nl",978],["nw.de",979],["phoenix.de",980],["radiokoeln.de",981],["reifenpresse.de",982],["seniorenportal.de",983],["silicon.de",984],["silicon.es",984],["itespresso.fr",984],["silicon.fr",984],["channelbiz.it",984],["itespresso.it",984],["bit.pt",984],["channelbiz.co.uk",984],["spektrum.de",985],["strato.de",986],["supermarkt-inside.de",987],["laluce.news",987],["valentins.de",988],["wdr.de",989],["weltbild.de",990],["pestor.nl",990],["woxikon.de",991],["linux.do",992],["news.arizona.edu",993],["escoffier.edu",994],["getty.edu",995],["thereader.mitpress.mit.edu",996],["e360.yale.edu",997],["linktr.ee",998],["agenciasinc.es",999],["eleconomista.es",1000],["larazon.es",1001],["leroymerlin.es",1002],["rae.es",1003],["rtve.es",1004],["terra.es",1005],["theolivepress.es",1006],["agendadigitale.eu",1007],["corrierecomunicazioni.it",1007],["economyup.it",1007],["insuranceup.it",1007],["gamereactor.eu",1008],["lavocedelnordest.eu",1009],["iltalehti.fi",1010],["nyt.fi",1011],["baden.fm",1012],["di.fm",1013],["last.fm",1014],["automobile-magazine.fr",1015],["challenges.fr",1016],["comment-economiser.fr",1017],["e-sante.fr",1018],["ecommercemag.fr",1019],["francearchives.gouv.fr",1020],["journaldesfemmes.fr",1021],["kartable.fr",1022],["lamanchelibre.fr",1023],["lemondeinformatique.fr",1024],["leroymerlin.fr",1025],["loractu.fr",1026],["muslimshop.fr",1027],["ca.gov",1027],["nwglobalvending.fr",1028],["pole-emploi.fr",1029],["giocodigitale.game",1030],["lelo.ge",1031],["esports.gg",1032],["energy.gov",1034],["fbi.gov",1035],["ny.gov",1036],["capital.gr",1037],["am730.com.hk",1038],["034portal.hr",1039],["apartmanija.hr",1040],["hrportfolio.hr",1041],["jutarnji.hr",1042],["krovni-nosaci.hr",1043],["poba.hr",1044],["rast.hr",1045],["sptv.hr",1046],["atlatszo.hu",1047],["hrportal.hu",1048],["ingatlanbazar.hu",1049],["pcworld.hu",1050],["brainly.co.id",1051],["kompas.id",1052],["thejournal.ie",1053],["thesun.ie",1054],["toyota.ie",1055],["toyota.co.uk",1055],["walla.co.il",1056],["wheel.co.il",1057],["money.it",1059],["ddnews.gov.in",1060],["indiatoday.in",1062],["scroll.in",1063],["tech-camp.in",1064],["m.thewire.in",1065],["matratzen.info",1066],["nordicmag.info",1067],["realtime-chart.info",1068],["rzn.info",1069],["suedtirol.info",1070],["apkmody.io",1071],["cryptorank.io",1072],["hackster.io",1073],["kriptomat.io",1074],["tabler.io",1075],["virgool.io",1076],["alkawthartv.ir",1077],["betway.co.za",1077],["agi.it",1078],["alvolante.it",1079],["amazon.it",1080],["anothersound.it",1081],["ansa.it",1082],["assologico.it",1083],["astrooroscopo.it",1084],["automobile.it",1085],["automoto.it",1086],["moto.it",1086],["avvenire.it",1088],["bastabugie.it",1089],["biografieonline.it",1090],["meglio.it",1090],["blitzquotidiano.it",1091],["ladyblitz.it",1091],["arch.bz.it",1092],["canavesenews.it",1093],["torinonews24.it",1093],["centrometeoitaliano.it",1094],["comingsoon.it",1095],["comuniciclabili.it",1096],["wikibit.it",1096],["cronacheancona.it",1097],["dailybest.it",1098],["dirittierisposte.it",1099],["donewifi.it",1100],["engage.it",1101],["enzopennetta.it",1102],["eprice.it",1103],["eunews.it",1104],["euractiv.it",1105],["everyeye.it",1106],["fantacalcio.it",1107],["focusjunior.it",1108],["formulapassion.it",1109],["funweek.it",1110],["wtc.genova.it",1111],["gigapc.it",1112],["globalist.it",1113],["grandangoloagrigento.it",1114],["greenstyle.it",1115],["japanpost.jp",1115],["ice.it",1116],["ilfarmacistaonline.it",1117],["ilfattoalimentare.it",1118],["ilmetapontino.it",1119],["iltempo.it",1120],["ilvibonese.it",1121],["infobuildenergia.it",1122],["internazionale.it",1123],["katorishintoryu.it",1124],["lagazzettadelmezzogiorno.it",1125],["laleggepertutti.it",[1126,1127]],["tuttoandroid.net",1126],["lantidiplomatico.it",[1128,1129]],["lastampa.it",1130],["leggioggi.it",1131],["liberogioco.it",1132],["linkiesta.it",1133],["mobimart.it",1134],["monclick.it",1135],["multiplayer.it",1136],["my-personaltrainer.it",1137],["nonsprecare.it",1138],["notizie-inter.it",1139],["orvieto24.it",1141],["pagamentidigitali.it",1142],["penskeautomotive.it",1143],["puntosicuro.it",1144],["qualescegliere.it",1145],["radioitaliaannisessanta.it",1146],["red-live.it",1147],["ricoh.it",1148],["sky.it",1149],["spaziogames.it",1150],["sportitaliabet.it",1151],["stabiachannel.it",1152],["stol.it",1153],["storicang.it",1154],["superguidatv.it",1155],["tempi.it",1156],["tp24.it",1157],["unimore.it",1158],["uniroma1.it",1159],["vitatrentina.it",1160],["wittgenstein.it",1161],["francescocosta.net",1161],["wuerth.it",1162],["ytong.it",1163],["zerosette.it",1164],["zoomsud.it",1165],["bedstyle.jp",1166],["buyee.jp",1167],["dandy-house.co.jp",1168],["diners.co.jp",1169],["sumitclub.jp",1169],["jingukan.co.jp",1170],["jti.co.jp",1171],["ntv.co.jp",1172],["tv-asahi.co.jp",1173],["tv-tokyo.co.jp",1174],["yahoo.co.jp",1175],["carview.yahoo.co.jp",1176],["sports.yahoo.co.jp",1177],["otekomachi.yomiuri.co.jp",1178],["comnico.jp",1179],["news.denfaminicogamer.jp",1180],["diamond.jp",1181],["hotpepper.jp",1182],["iphone-mania.jp",1183],["kotobank.jp",1184],["mbs.jp",1185],["narita-transit-program.jp",1186],["biglobe.ne.jp",1187],["280blocker.net",1187],["plus.nhk.jp",1188],["sp.nicovideo.jp",1189],["radionikkei.jp",1190],["suumo.jp",1191],["toptoon.jp",1192],["ufret.jp",1193],["auction.co.kr",1194],["kimcartoon.li",1195],["1a.lv",1196],["delfi.lv",1197],["skaties.lv",1198],["russian-sex.me",1199],["landian.vip",1199],["xpics.me",1200],["thscore.mobi",1201],["debate.com.mx",1202],["excelsior.com.mx",1203],["thestar.com.my",1204],["alarabiya.net",1205],["ancient-origins.net",1206],["bravotube.net",1207],["codecanyon.net",1208],["copytrans.net",1209],["blog.csdn.net",1210],["ec-store.net",1211],["edugeek.net",1212],["electronicintifada.net",1213],["opendemocracy.net",[1213,1233]],["fullfact.org",1213],["emails-checker.net",1214],["finanzfrage.net",1215],["gutefrage.net",1215],["ghacks.net",1216],["independentaustralia.net",1217],["informationisbeautiful.net",1218],["inquirer.net",1219],["jam-news.net",1220],["jlhs.net",[1221,1222]],["jzhx.net",1221],["kitguru.net",1223],["marijuanamoment.net",1224],["mathe24.net",1225],["mcsweeneys.net",1226],["meijumi.net",1227],["myanimelist.net",1228],["nativecamp.net",1229],["ncrypted.net",1230],["neowin.net",1231],["njjzxl.net",1232],["organicfacts.net",1234],["oschina.net",1235],["researchgate.net",1236],["slideshare.net",1237],["sony.net",1238],["telesurtv.net",1239],["urlgalleries.net",1240],["wowway.net",1241],["revolver.news",[1242,1243]],["newsnow.co.uk",[1242,1437]],["welingelichtekringen.nl",1245],["bighorn.no",1246],["dagbladet.no",1247],["firkloveren.no",1248],["lookbook.nu",1249],["1news.co.nz",1250],["noelleeming.co.nz",1252],["stuff.co.nz",1254],["thepost.co.nz",1255],["thepress.co.nz",[1255,1256]],["waikatotimes.co.nz",1255],["thespinoff.co.nz",1257],["turners.co.nz",1258],["consumer.org.nz",[1259,1260]],["themarkup.org",[1260,1336]],["48hills.org",1261],["99percentinvisible.org",1262],["aarp.org",1263],["acs.org",1264],["agsiw.org",1265],["annualreviews.org",1266],["archive.org",1267],["archlinux.org",1268],["artscanvas.org",1269],["arxiv.org",1270],["audubon.org",1271],["bitdegree.org",1272],["blogcritics.org",1273],["c-span.org",1274],["calmatters.org",1275],["citizensforethics.org",1276],["civilbeat.org",1277],["commondreams.org",1278],["cpr.org",1279],["ctrlq.org",1280],["democracynow.org",1281],["eff.org",1282],["emojipedia.org",1283],["factcheck.org",1284],["hrw.org",1287],["icij.org",1288],["imcdb.org",1289],["insideclimatenews.org",1290],["investigativepost.org",1291],["isglobal.org",1292],["jns.org",1293],["daily.jstor.org",1294],["jurist.org",1295],["khanacademy.org",1296],["knowablemagazine.org",1297],["laphamsquarterly.org",1299],["lareviewofbooks.org",1300],["leawo.org",1301],["marketplace.org",1302],["metager.org",1303],["miraheze.org",1304],["mozilla.org",1305],["mprnews.org",1306],["nationofchange.org",1307],["netzpolitik.org",1308],["northcountrypublicradio.org",1309],["octoprint.org",1310],["onegreenplanet.org",1311],["opb.org",1312],["opensecrets.org",1313],["pbs.org",1314],["peoplesworld.org",1315],["philosophynow.org",1316],["phys.org",1317],["pirg.org",1318],["privacywall.org",1319],["progressive.org",1320],["propublica.org",1321],["prospect.org",1322],["publicdomainreview.org",1323],["railstutorial.org",1324],["rightwingwatch.org",1325],["science.org",1326],["slashdot.org",1327],["slideme.org",1328],["spotlightpa.org",1329],["tasvideos.org",1330],["texastribune.org",1331],["the74million.org",1332],["thebulletin.org",1333],["thefire.org",1334],["themarginalian.org",1335],["themedialine.org",1337],["thenewhumanitarian.org",1338],["truthout.org",1339],["undark.org",1340],["wgbh.org",1342],["whowhatwhy.org",1343],["whyy.org",1344],["worldhistory.org",1346],["wqxr.org",1347],["pronouns.page",1348],["businessmirror.com.ph",1349],["tribune.com.pk",1350],["gda.pl",1352],["goldenline.pl",1353],["gornikzabrze.pl",1354],["gosc.pl",1355],["gsmonline.pl",1356],["komorkomania.pl",1357],["mpolska24.pl",1358],["naszamlawa.pl",1359],["pb.pl",1360],["pkobp.pl",1361],["player.pl",1362],["regenersis.pl",1363],["rp.pl",1364],["virginmobile.pl",1365],["abola.pt",1366],["dnoticias.pt",1367],["maisfutebol.iol.pt",1368],["sapo.pt",1369],["uc.pt",1370],["record.xl.pt",1371],["ebin.pub",1372],["realitycheck.radio",1373],["glas-javnosti.rs",1374],["5-tv.ru",1375],["autowp.ru",1376],["bancaintesa.ru",1378],["culture.ru",1379],["forbes.ru",1380],["interfax.ru",1381],["kinopoisk.ru",1382],["kommersant.ru",1383],["kp.ru",1384],["ntv.ru",1385],["rambler.ru",1386],["rbc.ru",1387],["ria.ru",1388],["rt.ru",1389],["traveller-eu.ru",1390],["tvzvezda.ru",1391],["uralpress.ru",1392],["vestifinance.ru",1393],["any.run",1395],["thenational.scot",1396],["bahnhof.se",1397],["fass.se",1398],["skatteverket.se",1399],["tullverket.se",1399],["meet.jit.si",1400],["dev.to",1401],["torrentgalaxy.to",1402],["kimcilonly.top",1403],["haberiniz.com.tr",1404],["takvim.com.tr",1406],["scandi.travel",1407],["4gtv.tv",1408],["adessoin.tv",1409],["atletica.tv",1410],["i24news.tv",1411],["lbry.tv",1412],["lospecialista.tv",1413],["mywheels.tv",1414],["teamfortress.tv",1415],["twitch.tv",1416],["vloungebeach.tv",1417],["w2g.tv",1418],["bcc.com.tw",1419],["pravda.com.ua",1421],["itc.ua",1422],["ubr.ua",1423],["vesti.ua",1424],["qmul.ac.uk",1425],["dailymail.co.uk",1426],["emergingrisks.co.uk",1427],["gq-magazine.co.uk",1428],["independent.co.uk",1429],["inews.co.uk",1430],["ispreview.co.uk",1431],["jewishnews.co.uk",1432],["jobisjob.co.uk",1433],["londonnewsonline.co.uk",1434],["metro.co.uk",[1435,1436]],["omgubuntu.co.uk",1438],["pcpro.co.uk",1439],["processengineering.co.uk",1440],["revisionworld.co.uk",1441],["salisburyjournal.co.uk",1442],["screamingfrog.co.uk",1443],["spectator.co.uk",1444],["thecritic.co.uk",1445],["thetablet.co.uk",1446],["theweek.co.uk",1447],["humanists.uk",1448],["spring.org.uk",1449],["jotform.us",1450],["nautil.us",1451],["guardaserie.watch",1452],["reinsurancene.ws",1453],["nsfw.xxx",1454],["blaauwbergbeachhotel.co.za",1455],["businesstech.co.za",1456],["mybroadband.co.za",1456],["dailymaverick.co.za",1457],["moneyweb.co.za",1458],["timeslive.co.za",1459],["topauto.co.za",1460],["webuycars.co.za",1461]]);

const entitiesMap = new Map([["sadisflix",0]]);

const exceptionsMap = new Map(undefined);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
