/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: deu-0

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = ["iframe[style*=\"z-index: 2147483647\"]","#superbanner",".cadbox,\n.reifen-winter",".container-billboard",".partner",".fusion-builder-row-14","#banner5",".frame-type-mask_toolboxcontentad1",".sidebar-partner",".atla-place,\n.index-bns",".aawp",".cl-billboad-wrapper,\n.osa-as24-placeholder,\nimg[referrerpolicy=\"unsafe-url\"]","#topleft",".td-header-rec-wrap",".tdi_59",".slick-track",".id-TBeepSlot",".ad","#dabplusshop","#banner-container,\n.banner-place,\n.banner-top","#custom_html-27,\n#nerdic_header",".ressort_ad",".stream-item-top-wrapper","#djslider-loader227,\n#djslider-loader229",".bannerWrapper","#anzeigenkenzz","div[id^=\"sas_\"]",".banner","img[width=\"300\"]",".default-teaser--ads-teaser",".adContainer","#carousel","div[data-ad-position]",".asyncBanner",".news_sponsoren_banner",".flex.justify-center.mx-auto.hidden.lg\\:flex.lg\\:mb-4.lg\\:pb-4","#billboard-location,\n#slot_middle,\n#slot_middle_2,\n.advertisement_widget","#footer-widgets","#media_image-4","#media_image-5,\n#media_image-6,\n#media_image-7,\n#media_image-8,\n#media_image-9",".bx-viewport",".dfmhtmlbanner,\n.widget-5,\n.widget-7",".block.medium:has(a[href^=\"https://dt.sportradar.com/\"]),\n.tag-presented",".alert,\n.media,\n.medrec,\na[href^=\"https://de.johnnybet.com/\"]",".billboard",".skyscraper",".ofni","div[data-test=\"mms-product-card\"]:has(div[data-test=\"mms-plp-sponsored\"])",".article-list-item.article-card.article-card-default:has(.commercial-tag)","#outbrain_container",".bannergroup","#TopRectangle","#leader_top_desk",".elementor-element-dc42ab9",".marketingTeaserBanner",".advertising",".app-foesvAdSpace,\n.footer_partner",".g","#custom_html-3",".bannerfullbanner,\ndiv[id^=\"prost-\"]",".fullbanner-wrapper",".topASp",".c-image--center",".leaderboard-wrapper",".partner_section",".adv-link","div[id^=\"sempr-\"]",".tnemesitrevda",".end-to-end-banner",".tdi_50","#custom_html-2","#Leaderboard_1_Superbanner_1_Billboard_1_Top_,\n#upsellerSidebar",".sponsored",".csc-partner",".norm-rsp-wbox1",".ads","#div-bigsizebanner_1",".main-sponsorlogo",".laendleimmo","div[data-div-ratios=\"default:300_250\"],\ndiv[data-div-ratios=\"default:696_280|500:300_250\"],\ndiv[style=\"width:100%; height:600px;\"]","#c17,\n.ad1,\n.ad2,\n.ad3",".banner-aspect-ratio","table[width=\"306\"]",".adbox",".box.contentBoard.default.highlights","#sponsor-info","#topcontainer","#hab-right,\n#hab-top","#newupcoming","a[href^=\"https://www.amazon.\"][href*=\"tag=\"]","#apn-large-content-ad,\n#apn-large-leaderboard,\n#apn-large-skyscraper,\n#apn-leaderboard,\n.apn-leaderboard-wrapper","div[id^=\"woche-\"]","div[id^=\"yeniv-\"]","#media_image-3",".c-image--left",".pr-area",".footer-dingens","#ad_global_below_navbar","a[href=\"https://tinyurl.com/\"]",".stj-sidebar-widget,\n.theme-carousel-partners",".bodShopWidget","#tab-1 p:nth-of-type(1), #tab-1 p:nth-of-type(2), #tab-1 p:nth-of-type(3), #tab-1 p:nth-of-type(4),\n.vpn_btn,\n[onclick^=\"window.location.href='/azn/\"],\na[href*=\"/azn/\"],\nbutton[onclick*=\"/af.php\"]","#text-3","a[href*=\"/out/\"]","img[width=\"468\"]",".banner-header-left,\n.banner-header-right,\n.normal-banner",".links,\n.wideboard-cad","div[class^=\"ContentPage_insideFullTopPlaceholder_\"]","div[id^=\"ausland__inside-\"],\ndiv[id^=\"basel__inside-\"],\ndiv[id^=\"bern__inside-\"],\ndiv[id^=\"community__inside-\"],\ndiv[id^=\"coronavirus__inside-\"],\ndiv[id^=\"digital__inside-\"],\ndiv[id^=\"influencer-radar__inside-\"],\ndiv[id^=\"kinostreaming__inside-\"],\ndiv[id^=\"kochen__inside-\"],\ndiv[id^=\"lifestyle_autoundmobilitaet__inside-\"],\ndiv[id^=\"lifestyle_beauty__inside-\"],\ndiv[id^=\"lifestyle_bodyandsoul__inside-\"],\ndiv[id^=\"lifestyle_eatanddrink__inside-\"],\ndiv[id^=\"lifestyle_fashion__inside-\"],\ndiv[id^=\"lifestyle_living__inside-\"],\ndiv[id^=\"lifestyle_reduceandreuse__inside-\"],\ndiv[id^=\"lifestyle_reisen__inside-\"],\ndiv[id^=\"lifestyle_wein__inside-\"],\ndiv[id^=\"my-news-plus__inside-\"],\ndiv[id^=\"onelove__inside-\"],\ndiv[id^=\"ostschweiz__inside-\"],\ndiv[id^=\"people__inside-\"],\ndiv[id^=\"people_radio__inside-\"],\ndiv[id^=\"prime__inside-\"],\ndiv[id^=\"schweiz__inside-\"],\ndiv[id^=\"sport__inside-\"],\ndiv[id^=\"wettbewerbe__inside-\"],\ndiv[id^=\"wirtschaft__inside-\"],\ndiv[id^=\"wissen__inside-\"],\ndiv[id^=\"zentralschweiz__inside-\"],\ndiv[id^=\"zuerich__inside-\"]","a[href^=\"https://3fach.ch/track/\"]","#WelcomeBannerDiv,\n.p-banners-withborder",".mod_printanzeigen",".carousel",".sponsor","div[id^=\"adnz_\"]",".contest-frame",".anriss-item-advert,\ndiv:has(> .advert)",".werbepartner","#text-24","#text-28","#text-29","#text-31","#text-32",".appnexus-container,\n.brandstudio,\n.placement-leaderboard,\n.placement-rectangle,\na[href^=\"https://jackpot.onelink.me/\"]",".ads-group,\n.daydeal-container",".widget_metaslider_widget","#partner-teaser-links,\n.adm-container",".bannerListPremium",".bannerListPremiumTop","#partner",".mega-banner-outer","#text-4","a[href^=\"https://goo.gl/\"]","div[class^=\"PageLayout_topaddesktop_\"]","#aditems,\n.aditem",".inner",".banner-leadboard,\n.partner-logos",".partners",".sidebar-sponsor-outlay",".sponsor--margin",".big_size,\n.page-layout__ad-header-bottom,\na[href^=\"https://fra1-ib.adnxs.com/\"],\nimg[alt=\"vontobel-banner\"]","div[class^=\"page-layout__ad-\"]",".fn-edp-section__slider","div[style^=\"width:300px;\"]","#section-sponsored-blogs","#rv_sponsors_slider","a[href^=\"http://tidd.ly/\"]","#sponsor","#wallpaper,\n.rect",".addslider,\n.leaderbord",".anzeige","#text-9",".ads-container","#service-linklist,\n.list-inbox-ad-item--multi-line,\n.list-programmatic-inbox-ad-item__iframe,\nlist-inbox-ad-item,\nlist-inbox-pga-ad-item,\nlist-programmatic-inbox-ad-item,\ntr[data-component-pixelurls*=\"adfarm1.adition.com\"],\ntr[data-component=\"MessageListSpecialRow\"]",".bannerTop,\n.clubBox",".partnerlinks",".adwrapper","table[width=\"195\"],\ntable[width=\"468\"]",".content-teaser-tabs,\n.indexwerbung","div[class^=\"AdSlotContainer_\"]",".asideBoxB,\n.footer-grey","div[style=\"width: auto; height: auto; min-height: 250px; display: flex; justify-content: center; align-items: center;\"],\ndiv[style=\"width: auto; height: auto; min-height: 250px; justify-content: center; align-items: center;\"]","#sky","#sponsorbutton_div,\n.article_rectangle",".qt-sponsor",".recommendations",".gokb,\n.gokwblock","#advertising",".pz_cont","#js-banner",".tx-admanager","#topCustomers",".js_bns",".et_pb_row_0_tb_header","#td_uid_9_6141b5fdcbe72,\n.td-header-header,\n.td_uid_89_6141b5fdd19ca_rand",".banner-holder",".kurator","#topBannerContainer,\n.tpa-row",".adition,\n.channel-sponsor","#nfad-inner",".desktop-wideboard-top,\n.wideboard-top,\nnau-external-content-lazy",".ad-container",".np8-type-advertorial,\n.view-partners","div[style=\"width:300px;padding:12px;float:left;\"],\ndiv[style^=\"width: 300px;\"]",".teaser--sponsored","#content-banner1,\n#content-banner3","#xxParentDivForWerbPostbit","#ContentFooterPartner",".qf-standard-banner-wrapp","#square","#footer","#banner-slider","div[id^=\"reise-\"]",".mobile-billboard-box",".rectangle","a[href^=\"https://www.frankly.ch/\"]",".tisement","#banner_leaderboard,\n#banner_vertical",".ministage-channel-sponsor-paragraph","a[rel=\"sponsored\"]",".elementor-element-31a7df7,\n.elementor-element-a2b2b40",".sl-banner","a[rel^=\"sponsored\"]",".lead-col,\na[href^=\"https://www.mydirtyhobby.de/\"][href*=\"?ats=\"]","#banner-top",".banner200,\n.banner350,\n.banner60","a[onclick^=\"__gaTracker('send', 'event', 'Ads'\"]",".PrintMotifRotator","#leaderboard",".bannerspot",".banners",".slideshow",".block-np8-audienzz,\n.js-audienzz","#execphp-2,\n#execphp-3",".l-partnerSlideContainer","#banner-top-all-viewports",".djslider-in",".mui-style-17xiqz7,\n.mui-style-z954cu","#carouselInserate",".rotator",".teaser_type_paid_content,\n.watson-ad","#werbungTop,\n.werbungSmall,\n.werbungWide",".banner-full,\n.frontpage-card-banner",".ad-item,\n.mobile-list-ads,\n.side-ads",".banner-img-bottom",".bannerboxlinks-klein,\n.bannerboxrechts",".field--name-field-werbebild","div[class^=\"Advertisement_container\"]","#section-f09c501,\n.cm-popup-modal,\n.widget_banner",".td-a-rec",".inArticleA,\n.underContentA","#hat_message,\n.adv_block,\n.banner-wrapper,\n.promo__item","#brands","#sticky-aside-placeholder","#sticky-aside",".a-single",".banneruntermenu,\n.footerbanner,\n.videobanner",".spot",".spot_bottom","div[class^=\"bireklam\"]","a[href*=\"/linkout/\"]",".smsbox1,\n.smsbox2","#sidebar > li > .ffwidget_sidebar",".marcopolo,\n.widget--marktplatz","img[referrerpolicy]","#text-59",".infoHeadWrap1,\n.is-fp-outer,\n.wp-element-button[href^=\"https://amzn.to/\"],\n[style*=\"background-color: #001d4a;\"],\na[href^=\"https://allround-pc.com/\"][href*=\"/?\"],\na[href^=\"https://bit.ly/\"],\na[rel=\"external noopener\"] > img[src^=\"/\"],\na[rel=\"noopener external\"] > img[src^=\"/\"]","a[rel*=\"sponsored\"]",".bxnxr_column,\n.bxv","div[style=\"width:310px; height: 510px;\"]","#wcontent,\ntable[width=\"300px\"][cellspacing=\"0\"][cellpadding=\"0\"][border=\"0\"]","div[style=\"width: 300px; height: 250px;\"],\ndiv[style=\"width: 336px; height: 280px;\"]","#mh_magazine_custom_posts-5",".advert_,\n.headeradvert_","#logo-right-widget","#chati_frame,\n#wb_widget,\n.size-300x250,\n.spz_height_60","#tt_wrapper,\n.spz_height_80,\na[href=\"https://bit.ly/\"],\na[href^=\"https://www.visit-x.world/\"]","a[href^=\"https://www.erocom.tv/?utm_\"],\na[href^=\"https://www.erotik-von-nebenan.com/?utm_\"],\na[href^=\"https://www.handy-sextreff.info/?c=\"]","a[href^=\"https://www.julia-reaves.com/?bicc=\"]","a[href^=\"https://www.susi.live/FreeAccountLanding.aspx?\"]",".da_placeholder","a[href^=\"https://www.booking.com/searchresults.de.html?aid=\"]","a[href$=\"xref=nosim/wwwbildschirm-21\"]","a[href^=\"http://www.amazon.\"][href*=\"tag=\"]",".custom-bexad","div[style=\"height:80px;background-color:#fff\"]","div[style^=\"min-height: 330px;\"]",".add-inner,\n.header-top","iframe[src^=\"https://ssl.connextra.com\"]","div[class^=\"lp_track_\"]",".creatividad","#chatinator_frame","#special_column,\n#wa_widget,\n.spc_height_80,\n.vjs-overlays",".banner_container",".banner_page_top,\n.sideboard_conatainer",".default__interest-block",".default__realtive-block,\n.video__sidebar-item",".samBannerUnit",".samCodeUnit","#video-right,\n.abcn-footer,\n.resumecard","#anzeige9",".partner-wrapper",".v-A_-commercial",".v-A_-topteaser__article:has(.v-A_-teaser__tag--ad)","a[href*=\"/go/\"],\na[href^=\"http://in.mydirtyhobby.com/track/\"],\ntable[align-center][cellpadding=\"13\"][border=\"0\"][bgcolor=\"lightgrey\"],\ntable[style=\"border: 1px solid black; padding: 5px 0px 5px 0px; background-color: lightgrey; text-align: center\"]","div[id^=\"eroti-\"]",".advertisement",".BannerContainer",".fcb-ad-banner-container,\n.footer-p4rtn3r-container,\n.footer-partner-container,\n.header-presented-by","#metaslider_widget-3,\nimg[title=\"Anzeige\"]",".ff-ba",".banner3box",".tf-ho,\n.tf-sp","#spz_42,\n.sz_300_250,\n.vjs-overlay","div[style=\"margin:10px 0 5px 0;min-height:250px;\"]",".gtag","#text-48",".article-latest.article-layout-0 > .row:has(.advertorial-icon)","a[href^=\"https://prf.hn/\"]",".aff-inhalt-geil-spalte,\n.zeigenfick","#iqd_mainAd","#text-html-widget-3","#tr-contentbottom,\nimg[width=\"140\"][height=\"68\"]",".big-sponsor-box,\n.small-sponsor-box",".partner-main-footer,\n.top-sponsor-nav",".logos-partner-holder,\n.sponsors-holder","#gamelead,\n.adtitle",".sponsorleft,\ndiv.post.hentry.ivycat-post:has(a[href^=\"https://amzn.to/\"]),\ndiv.post.hentry.ivycat-post:has(a[href^=\"https://www.amazon.de/\"])",".primary-footer",".tipps",".x-topbar",".addslot",".skybg,\ntable[style=\"margin-top:4px; margin-left:198px\"]",".home_rennab,\n.lead_rennab,\n.miragobox","#skyscraper-group,\n#skyscraper-group-left","#top-banner","div[id^=\"journ-\"]",".dkpw",".advertisments",".brave_popup","#tip_top","#custom_html-12","#custom_html-9",".img-banner",".nva-center","div[style^=\"height:300px;\"]","#tab-live-odds,\n.bettingStrip,\n.boxOverContent,\n.detailLeaderboard,\n.live-betting-strip,\n.odds,\n.prematchOddsBonus__bonus","#link_placeholder","#au,\n#nrad,\n#side-spot",".publicidad","#labelpub",".widget-3",".f1de-container,\ndiv[data-entrypoint=\"heycar-search-widget\"]",".stroer-ap,\n.stroer-ap_wrapper",".anzeige_teas_rect,\n.anzeige_teas_rect_ax","a[href^=\"http://rover.ebay.com/\"]","a[href^=\"https://clkde.tradedoubler.com/\"]","a[href^=\"https://ebay.at/\"]",".elementor-element-0e1ce7d",".list-group","img[width=\"300\"][height=\"250\"]",".ai-track,\n.widget_aawp_widget_new_releases","a[href^=\"/red/red.php?\"],\ndiv[style=\"margin-top:-5px; margin-bottom:20px; width:100%; text-align:center; height:150px;\"]",".plistaList > .plista_widget_underArticle_item[data-type=\"pet\"]",".am_el",".amz","a[href^=\"https://amzn.to/\"]","a[href^=\"https://cutt.ly/\"]","#block-block-7","a[onmousedown^=\"this.href='https://paid.outbrain.com/network/redir?\"][target=\"_blank\"]",".v-A_-teaser__halfcol__listitem:has(.v-A_-teaser__tag--ad)",".v-A_-topteaser__rotationbox__item:has(.v-A_-teaser__tag--ad)",".v-A_-white__tile:has(.v-A_-teaser__tag--ad)",".adslot-fireplace,\ndiv[id^=\"ring-slot-\"]","div[style=\"height:90px\"]","#pf_incontent_2,\n.traffectiveBox",".topBanner","a[href*=\"//bit.ly/\"]",".plistaList > .plista_widget_belowArticle_item[data-type=\"pet\"],\na[href^=\"http://click.plista.com/pets\"]",".banner-top-section","#fx_imbanner","[href^=\"https://start.amateurcommunity.com/\"],\n[href^=\"https://susi.live/\"],\n[href^=\"https://www.zubivu.com/\"]","#chatis_frame,\n#ttt_wrapper,\n#wc_wdiget,\n.sice-300x250,\na[href^=\"https://www.tik-tok-dates.com/\"]",".tf-de","#tracking-url",".happy-inside-player","#bannerpos2",".gpt","#responsive_lightbox_image_widget-5,\n#responsive_lightbox_image_widget-6",".ai-placement","#custom_html-42","#custom_html-5","img[alt=\"Logo Partner\"]","#custom_html-17",".footer-partner",".ap",".sponsor-section","#fh-inside-bottom","#roboter-forum\\.com_mpu_bot,\n#roboter-forum\\.com_mpu_top",".TopBanner-root",".post-grid-item.grid-item:has(.ad-badge)","#banner-news,\n.banner-super-middle,\n.superbanner-top",".c-sponsors-list",".branding,\na[href^=\"https://pvn.mediamarkt.de/trck/eclick/\"] > img[src^=\"https://www.schnittberichte.com/resources/images/mediamarkt_\"],\na[href^=\"https://pvn.saturn.de/trck/eclick/\"] > img[src^=\"https://www.schnittberichte.com/resources/images/saturn_\"]","a[href^=\"https://amzn.to/\"] > img",".displaybanner-container",".da__placeholder,\n.sda",".kosmonaut_120x600,\n.kosmonaut_300x250",".o-ProductSliderItem[data-ssr-as*=\"\\\"clickUrl\\\":\\\"https://retail-api.sa-tech.de/api/\"],\n.o-SearchProductListItem[data-ssr-as*=\"\\\"clickUrl\\\":\\\"https://retail-api.sa-tech.de/api/\"],\narticle.o-CompactProductListItem:has(a[href^=\"https://retail-api.sa-tech.de/api/\"])",".stx",".promotion-teaser-container",".prmtnContentMin,\n.prmtnKeepHeight,\n.toneFusePanel","a[href^=\"https://airbnb.com/rooms/\"]",".advheader","#acTop",".c-product-tile:has(div.c-product-tile__sponsored),\n.swiper-slide:has(div.c-product-tile__sponsored)",".adsurbg,\n.dazn,\n.spx-adsurbg-banner",".spons","#flattr > a,\n#flattr > p","#mcebox,\n#mcebox-sidebar","a[href=\"/www/888casino\"]",".b,\nins[data-meh-id]","div[id^=\"super-\"]",".Common-Kn-Rp-Inline,\n.Flights-Results-FlightRightRail",".swiper-slide:has(.entry-adv)",".pb-8.text-center.float-center",".wrap > footer[style=\"bottom: -260px;\"]:last-child > div:first-child",".adv-wrapper,\nimg[width=\"450\"][height=\"300\"],\nimg[width=\"450\"][height=\"700\"],\nimg[width=\"500\"],\nimg[width=\"800\"][height=\"230\"],\nimg[width=\"900\"][height=\"350\"]",".qm-head,\n.qm-side,\ndiv[style=\"min-height: 280px; margin-top: -20px;\"]","#tennisnetWidget","a[href^=\"https://www.krokodeal.net/\"]",".premium","#trade",".uhren-widget",".da-container,\n.da-container-sky","div[data-ads-provider=\"sdg\"]",".ai-viewport-1",".Anzeige","#adup1,\n#adup3,\n#adup5",".promobox","div:has(> img[referrerpolicy=\"unsafe-url\"]),\ndiv[style^=\"text-align:center;font-size:80%;\"]",".desk-pv.desk-pb\\+.portable-pv.lap-pr--.lap-ml.lap-pl-.bg--green-lightest.portable-ml0.border--top.border--bottom.palm-ph15,\n.jsDaa-D,\n.werbung:not(.toolbar-wrapper)","#urban-medrect1,\n#urban-medrect2","div[style=\"float:left;clear:left;height:620px;width:180px;padding-top:15px;\"]","#sp-sidebar1",".boxx",".footer-widget-zone,\na[href^=\"https://www.zononi.com/LA/LP/Finder?\"],\na[href^=\"https://www.zononi.com/VX/LP/Roulette?\"]","a[href^=\"https://www.wazazu.com/LA/Landingpage?\"]",".wps-player__happy-inside",".zenid-adlabel",".pornofilme_recht",".row.mt-0.mb-3.d-print-none:has(.fa-ad),\n.zgsky",".item-advert","#customWer",".kleinueber > .row + div > .topzubehoeranzeige-berichte","#angeboteStartseite2018",".ad_below-nav",".clearit_s","#Container > #head:first-child + #content + br + .spacer + center","#adc1,\n#adc2",".left-col__bottom",".fh-inside-post",".message--post:not([data-author])","div[align=\"center\"][width=\"468px\"] > table[height=\"60\"][cellspacing=\"0\"][cellpadding=\"0\"][border=\"0\"][align=\"center\"]",".zona_publi","#UNWB300100,\n#UNWB300200,\n#UNWB300300",".spalten_33_werbung,\ndiv[style=\"text-align: center; min-height: 110px;\"],\ndiv[style=\"text-align: center; min-height:260px;\"]",".lynxanzeige + .lynxcontainer","#tdi_39","#schnaeppchenlayer",".ads6p","div[class^=\"ad_\"]",".monkey-container",".slick--optionset--anzeigen-slider",".mj-pf-widget","article[class^=\"teaser nummer-\"]:has(span.specialfeature)",".add_top","#adunten + div[style=\"font-size:8pt; color:#999999; margin-left:39px; width: 728px;\"],\n#iphpbannerleft,\n#layerleft,\n#layerright,\n.rightbanner,\ncenter > table > tbody > tr > td[valign=\"bottom\"][align=\"center\"][style=\"width: 100%;\"]","#skyL_wrapper,\n#skyR_wrapper","a[href^=\"https://allvideoslots.com/\"],\na[href^=\"https://casino-bonus24.net/\"],\na[href^=\"https://casinoandy.com/\"],\na[href^=\"https://casinopilot24.com/\"]",".slide-box",".anzeigenbox,\ndiv[id^=\"Ads_BA_\"]","#masthead","#display-ga",".ad + #flashContent,\n.ad + .tdt,\n.ad + .uk-panel,\n.block-weather-link,\n.hd-banner,\na[target=\"_new\"][href^=\"inc/inc_link.php?id=\"]",".container-banner,\nimg[name=\"banner\"]",".ympb_target_banner","#skyScraper,\n#superBanner,\n.produkt_uebersicht > div > br.clear","#billboard-container,\n.ce_banneradbox",".ce_topicbox:has(.label-ad-highlight)",".category-werbung-kopfzeile,\ndiv[data-id=\"904ffeb\"]",".ad-banner",".ad-banner-billboard","#ape_Detail_ad-endcap-1_Glance_placement,\n#heroQuickPromo_feature_div,\ndiv[data-ad-id],\ndiv[id^=\"sp_detail\"]",".fnetbr-pbb-container,\ndiv[class*=\"fnetbr\"]","#text-14","a[href*=\"/boardheaderads/\"]",".wanner,\n.wwd","#ah_bb_footer,\n.billboard-ad-footer,\n.billboard-ad-top,\n.content-ad-first,\ndiv[style$=\";min-height:250px;min-width:300px;\"],\ndiv[style$=\";min-height:250px;min-width:310px;\"],\ndiv[style=\"min-height:265px;\"]",".top-panel","#Fallback-Content",".rectX,\n.rect_sidebar",".amazon-link,\n.rmp-module__gam",".asa1_fbh,\n.rotslide-wrap","#text-65,\na[href=\"https://www.betrugstest.com/online-casino/apple-pay/\"],\na[href=\"https://www.easeus.de/datenrettung-software/mac-data-recovery-wizard-free.html\"],\ndiv[data-embed-provider=\"rcm-eu-amazon-adsystem-com\"]","a[href^=\"https://www.apfeltalk.de/magazin/affiliate/\"]",".banner_container__mobile_billboard","#banner",".arbei-widget,\ndiv[id^=\"arbei-\"]","#header-banner","img[width=\"160\"][height=\"600\"]","#sidebar-left #text-5,\n#wrapper > div[class] > img,\na[href=\"/panasonic_de\"],\na[href^=\"https://www.teufel.de/sales?partner_id=\"],\ndiv[id^=\"aread-\"],\nonehr","#aktieImFokus,\n#ariva_de_d_300x250_2_filler,\n#dianomiiFrame,\n#siteTeaserBox,\n#woAktieiF,\n#wpAktieImFokus,\n.anzeigeText,\n.bannerleiste,\n.prodo-shadow,\n.teaserPicturedNews,\n.werbeplaetze_button,\n.woBannerHeader,\n.wo_news_top_banner,\na.background-red-bright:has(span.anzeige),\na[data-google_analytics_id^=\"wo\"],\ndiv[style=\"width:1000px; text-align:center; min-height:270px;\"],\nspan[onpointerdown^=\"countClickOnGAorEs(\"],\nspan[onpointerup*=\"prgAnalyticsEvent(\"]",".banner-slider",".sponsoren",".banner-leaderboard",".tx-sf-banners","td[width=\"100%\"][align=\"center\"] > hr[size=\"1\"][color=\"#8482A5\"] + table[cellspacing=\"0\"][cellpadding=\"10\"][border=\"0\"][bgcolor=\"#000040\"],\ntd[width=\"33%\"][valign=\"middle\"][align=\"center\"] > a[target=\"_blank\"][href^=\"/links/wechlink.asp?ID=\"] > img",".sponsor_col",".ADVBOX",".p-swatch_top-nice--blank.p-blocklink","#billboard_btf_rlWr,\n#sky_btf_rlWr,\n#superbanner_rlWr,\na[onmousedown^=\"this.href='http://paid.outbrain.com/network/redir?\"][target=\"_blank\"]","#billboard_btf_2Wrapper,\n.superbannerBtfContainer","#billboard_rlWr,\n#sky_rlWr","a[data-nvp*=\"'trafficUrl':'https://paid.outbrain.com/network/redir?\"],\na[data-oburl^=\"https://paid.outbrain.com/network/redir?\"],\na[data-redirect^=\"https://paid.outbrain.com/network/redir?\"],\na[onmousedown^=\"this.href='https://paid.outbrain.com/network/redir?\"][target=\"_blank\"] + .ob_source","a[href^=\"https://paid.outbrain.com/network/redir?\"]","#oc24-div","#fh-outside-top",".fh-sidebar",".autog-widget",".widget_custom_html",".sideinfo","#left-banner-container,\n#right-banner-container,\ndiv[style=\"text-align: center; min-height: 180px;\"]","#footerpartners,\n.hmpartnersglobal","#ston-footer-ad,\n.ston-ad,\n.ston-contentad,\ndiv[style^=\"min-height: 90px;\"]","div[id^=\"basic-\"]","img[width=\"500\"][height=\"500\"],\nimg[width=\"600\"][height=\"500\"],\nimg[width=\"600\"][height=\"600\"]",".mod_banner","a[href^=\"banners.php?\"]","#MidRectangle","#leaderboardBelowNav",".MuiBox-root:has(a[href^=\"//b.fr3.eu.criteo.com/rm?\"]),\nli:has(a[href^=\"https://b.fr3.eu.criteo.com/rm?\"])","#sponsors,\n#web-trekk-pageupdate",".sponsors",".type-banner",".av-7mui-2434157fea122ac0fb770d6fe554162d,\ndiv[id^=\"bayre-\"]","#bannerLink","div[id^=\"traffective-ad-\"]",".vc_raw_html,\nimg[width=\"400\"]","a[href^=\"http://partners.webmasterplan.com/\"],\na[href^=\"https://neu.turbo-d.de/\"]","#WallpaperBanner",".dfpcontainer,\n.yieldlove","#checkdiv","#skyscraper","#billboard","div[id^=\"medium_rectangle\"]","div[class^=\"outbrain_\"],\ndiv[class^=\"showheroes_\"]","div[class^=\"traffective_\"]","div[data-testid=\"article-billboard-advertisement\"]","div[class^=\"article_billboard-\"],\ndiv[data-component-type=\"ad-slot\"]",".commercial-container,\n.commercial-rightwideskryper",".hm_widget_banner",".a.block04:has(a[href^=\"https://www.awin1.com/\"]),\n.wrap-col.box4:has(a[href^=\"https://www.awin1.com/\"])",".tdp",".partner-teaser","#tso-billboard-1,\n.tso-pub,\n.wb,\n.wb-wide",".banner-skyscraper",".lns-banners-zone","#smartclip-overlay",".wide-banner","#mrec",".stage-teaser__partner--advertorial,\n.tea-rectangle,\na[href*=\"/partner/\"]","div[data-tr-doc-type=\"dt=InlineAd|st=BTOAdTag\"]",".trc_related_container div[data-item-syndicated=\"true\"]",".bilde-widget","#content + #right",".asa2_fbva_wrapper,\ndiv[class$=\"-adlabel\"]","#topbanner",".stream-item",".header-banner",".adv_widget",".ai_widget,\n.azimg,\n.inserter-5,\n.inserter[data-ai],\ndiv[onclick^=\"ga('send', 'event', 'Ad',\"]","#webcontentstart,\n.sticky-wrapper","#text-18,\n.blogp-startseite,\n.blogp-werbung-oben-in-artikeln,\na[href^=\"https://all-inkl.com/?partner=\"]","#content_banner","#deals-aktionen-box,\n#pricechange-box,\n#top-angebote-box","#div-dfp-index1_300x250,\n#div-dfp-index2_300x250","#container_rectangle_1",".ce_rsce_bd_werbung",".hsbc_homepage_topflop,\n.topbanner,\n.wallpaper_top",".u-ad","#bnBanner,\n#bnTickerContainer:has(#bnTickerAdNotice),\n#sgFeedList,\n.bg-smartbroker-dark,\n.bg-smartbroker-light,\n.btn-smartbroker",".leaderboard",".bmg-ad",".background","#container_banner",".btc-sponsored","#block-block-8,\n#topshadow",".code-block-2",".contentFrameEddie",".item + .at_sponsored > .itemHeadline",".shopLinkFrameWrapper",".topFrameEddie",".bfa-ad-slot,\n.fe-channel-item--promo",".trc-content-sponsored",".trc-content-sponsoredUB",".view--advertorial",".wv_story_el_insertedAd","#billboard_btf","#inpage,\n.bcode,\n.bcode-top-container",".trc_related_container div[data-item-syndicated=\"true\"]:not(.inNetworkItem)","#WzTtDiV + table[width=\"100%\"][border=\"0\"],\nbody > table[width=\"100%\"][border=\"0\"]:first-child,\ntable[width=\"95%\"][cellspacing=\"1\"][border=\"0\"] > tbody > tr > td[valign=\"top\"]:first-child + td[style=\"vertical-align: top;\"]:last-child,\ntr:first-child:last-child > td[valign=\"top\"]:first-child + td[width=\"152\"][valign=\"top\"][align=\"center\"]:last-child",".promo-af-wrap","a[class^=\"herobanner-adv\"]",".sponsored--container",".va-adhint",".comp-ku8lxchu,\n.wixui-column-strip.wix-blog-hide-in-print",".block-15","img[width=\"728\"][height=\"90\"]",".idgWebcastsCarousel","#anzeige_mso_skyscraper,\n#anzeige_skyscraper_2","div[class*=\"adszone-\"]",".ads__initialized,\n.gujad-wrapper,\nconsent-for",".FC.mt-md-so[role=\"complementary\"],\n.Listing > div[class]:has(path[d$=\"92.456,64.241 z\"]),\n.mt-md:has(path[d$=\"92.456,64.241 z\"]),\na[href^=\"https://campaigns.avira.com/\"] > img,\na[href^=\"https://prf.hn/click/\"] > img,\na[href^=\"https://www.chip.de/downloads/\"][href$=\".html\"] > figure > img,\narticle[data-vr-zone=\"hp-aquamarin\"],\narticle[data-vr-zone=\"hp-aquamarin-1\"],\narticle[data-vr-zone=\"hp-aquamarin-2\"],\nspan.Button--Clickout[data-submit]","#partner-nav,\n.ads-alignment",".Article__Ad,\n.Article__Promo","#sky-tisoomi-wrapper,\n.mrec-news",".c-FloatingPrompt,\n.compar_tbl_body_plugin,\n.su-button,\ndiv[id^=\"coinc-\"]",".abo",".wv_story_el_billboard",".adbox-outstream,\n.article-view__rectangle,\n.blackfriday,\n.block1--banner,\n.block1--skyscraper,\n.skin-ad,\n.text-ad,\na[rel*=\"sponsored\"] > img[alt=\"Anzeige\"]",".billboardBtfContainer,\n.jobbioTeaser,\n.superbannerContainer,\n.trc_related_container .syndicatedItem:not(.inNetworkItem)","#text-2",".idgLeaderBoard",".adcontainer",".teaser:has(.teaser__promolabel)",".promContainer",".advert",".quiz-footer-wrapper",".banner-section",".review-recommendation-headline,\n.review-recommendation-headline + a","div[style*=\"width: 300px; height: 300px;\"]","#gpt_superbanner","a[href^=\"https://www.manitu.de/?partner=\"]","#automaten-richter,\nimg[width=\"120\"]",".previewtile.swiper-slide:has(a[href^=\"https://amzn.to/\"])","#banner-right,\n#content-billboard,\n#medium_rect","#dtm_multiboxcontainer,\n.banner_tl",".banner_top",".header-leaderboard,\n.header-leaderboard-container",".code-block-4",".wk",".ed-element",".custom-inhoadd",".anzeige-links,\n.billbo",".alice-adslot",".sad_banner,\n.sad_out-of-page,\n.sad_pubperform,\n.sad_rectangle,\n.sad_rectangle_2,\n.sad_sky,\n.sad_topmobile",".presse","#superBContainer",".container-banner-2,\n.partnerlogos",".rotation-partners","#rstpl-before-higher-position,\n.banneritem,\n.n2-ss-slider-3",".Rectangle",".widget_aawp_widget_box",".widget_commerce","#custom_html-8",".amazon-auto-links,\n.custom_html-7,\ndiv[id^=\"ax-\"],\ndiv[style=\"margin-bottom:10px\"]","#sponsoren","#workshopWidget,\n.SkyscraperLeft,\n.SkyscraperRight,\n.landing-brands,\n.sponsortext,\n.widget-injection-point","#vlybyOneByOneWrapper",".billboardbanner","a[href^=\"/adserver/goto/\"],\na[href^=\"https://servedby.flashtalking.com/\"]","#dogforum_footer,\n#dogforum_header,\nli:has(.wbbXdLocationAfter1stPostAsPost),\nli:has(.wbbXdLocationPostList)",".werbemittel",".text-center.container.d-none.d-sm-block.margin-bottom-10.bb-fixheight",".criteo-product-carousel,\ndiv.product-grid-column:has(span.product-tile__sponsored)","#dsBanner","#banner_right","#banner_top","#DCA_TOP","#DKGA_LEAD,\n#DKGA_SKY","td[width=\"120\"][valign=\"top\"][align=\"center\"]:last-child","#c3296,\n#c5812","#AD,\n.footer-sponsor-section",".ng-banner",".dbh-widget,\ndiv[id^=\"dbh-\"]","#block-dudende-d-970x250-1billboard,\n#block-leaderboard2ndslot,\n#block-lexemleaderboardunten,\n.tabloid__side-column-top,\n.tile__wrapper",".park-portal",".sponsor-list",".ce_plista","#EAT_D_Index_Top_Wrapper",".adsense",".srp-1p__banner,\n.vi-lb-placeholder",".ebn-billboard,\n.ebn-billboard-mobil,\n.ebn-incontent-1","#text-20","#marktplatz,\n.sbad",".g-adv-side,\n.g-adv-top > .inside",".n2-ss-slider-pipeline","#media_gallery-2","#rightcolumndiv",".affiliate-button",".ef-article-card--ad,\n.ef-footer__section,\n.ef-footer__section--logos,\n.ef-stadium-ad__banner",".sponsor_wrapper","#text-10,\ntr > th",".bannerContent","#oc24_container_top",".placeholdercontainer",".page__ad-element",".holder-box-5",".in-content",".mtbnewsAdBillboardContainer,\ndiv[class^=\"mtbnews-ad-container\"]",".p-header","a[href*=\"/redirect/\"]","a[href^=\"https://rover.ebay.com/\"]",".promo",".plainContentCollection",".group-externe-links",".eral_wrapper","#stream-item-widget-2,\n#stream-item-widget-3",".ea-gat-slot-wrapper",".js-mock-banner",".js-stt-click > picture",".pub",".pub-content",".v-A_-sidecol__list__item:has(.v-A_-teaser__tag--ad)",".bwdfb-widget",".pm-items > [widget-child]:has([ping^=\"//b.nl3.eu.criteo.com/rm?\"]),\n[data-key-id]:has([src^=\"//b.nl3.eu.criteo.com/rm?\"])",".c-sidebar:has(> .widget-odd > div[class^=\"c-ad-exper-\"]),\ndiv[class^=\"c-ad-exper-\"]",".dm-slot",".premiumpartner,\n.topsponlink","#block-block-32,\n#block-block-35,\n#block-block-5","#sp-content-top",".borlabs-dealer,\n.borlabs_fairaudio_ads_widgetx,\n.candy-top",".cca","div[id^=\"npm_\"]",".teaserheld-header-wrapper","#incontent_1,\n#incontent_2","#qql","tr:first-child:last-child > td[align=\"left\"][width=\"150\"][valign=\"top\"]:first-child + td[align=\"center\"] + td[align=\"left\"][width=\"150\"][valign=\"top\"]:last-child",".mod-sponsor-icon",".hauptsponsoren",".module-footer-sponsors",".b-logo-listing,\n.sponser-lead-inner",".top-footer-inner",".sponsoren_wrapper",".fusion-builder-row-3,\nimg[width=\"280\"][height=\"160\"]",".elementor-element-f2d5c64",".owl-carousel.owl-loaded.owl-drag:has(.label-ad-highlight)",".excerpt-tile.cell.small-12.medium-6:has(.advertorials)",".card-streaming-btns",".main-banner","#m > div[style=\"left:16px;width:468px;overflow:hidden\"] + .p[style=\"left:4px;width:492px;height:262px\"]:last-child","#block-2,\n#block-7","#section-partner,\n.snippet--cta,\n.snippet-container","div[id^=\"banner_\"]","div[id^=\"finan-\"]","#dban1,\n#dban2,\n#dmr1,\n#dmr2","#fn-ankuendigung,\n#sideteaser,\n.Ad_FinativeHome,\n.Ad_ImageTeaser,\n.Ad_SmartAd,\n.c-sban1,\n.c-sban2,\n.nadT,\n.on-click--partner,\n.smartbroker--text,\n.smartbroker-logo,\n.smartbroker1,\ntr:has(span.sprite.h-w-c)",".ad02p,\n.paid-news-container,\n.videosponsor_hsbc",".affiliate-amex,\n.affiliate-mediamarkt,\n.affiliate-o2,\n.affiliate-saturn,\n.affiliate-tink","a[href^=\"https://www.communicationads.net/tc.php\"] > img","#sc-outstream-wrapper,\n.aside-rectangle",".adv",".head-top-bannerplace,\n.wrapper-banner",".pbph,\n.skyscrapper-left,\n.skyscrapper-right,\ndiv[id^=\"cncpt-dsk_\"]","[data-product-list-id]:has([data-badge-type=\"sponsored\"])",".boxOverContent__banner",".float-widget,\n.partners-title + .partners",".sidebar_partners",".user-flzads-pi1,\na[href^=\"/api/content/public/media/link?id=\"]","#CT_DESKTOP_NATIVE_HOR_ANY_hor2,\n#tfm_admanagerTeaser,\n#tfm_footer_yield,\n.adsBlock,\n.cad,\n.cad_native,\n.cls_hor_prnt_am,\n.cls_slot_xxoutstreamxx,\n.cls_ver_prnt,\n.cls_ver_prnt_xs,\n.fol_mew-flying-carpet-wrapper,\n.ob-ad-carousel-layout,\n.ps-trackingposition_OrangerButton,\n.ps-trackingposition_PDFkasten,\n.shoppingcartctn,\na[href^=\"https://www.communicationads.net/tc.php\"],\na[href^=\"https://www.financeads.net/tc.php\"],\ndiv[id^=\"CT_SMARTPHONE_NATIVE_\"],\ndiv[id^=\"M_CONTENTAD\"],\ndiv[id^=\"M_TRSCT_hor\"]",".Ad",".FC__Ad","div[id^=\"foodw-\"]","#bs-container,\ndiv[id^=\"outer_sas_\"]",".banner-row",".commercial-post-container,\n.pane-landing-advertorial","#gf-superbanner","#frnBanner,\n.frn_contAmazon,\ndiv[data-componentid^=\"ext-frn-adtag-\"],\ndiv[id^=\"ext-frn-adtag-\"]",".result-container > .container-right",".sponsors-wrapper",".widget_links","#ezisgib,\n#thgirrennab,\n.hinweisad",".bannertop,\n.ligaadd,\n.premiumPartner,\n.skyadd",".element_leaderboard,\n.element_squarebuttongroup,\n.news-item-wbg","img[width=\"140\"][height=\"140\"]",".fp-banner",".noContentBannerArea,\n.tandem_right,\n.tandem_top",".mediumrectangle",".superbanner","kas",".teaser__item:has(.teaser__adtype)","#partnerCentersLogoBar",".news-spiel-quoten","#SPMADS_fussballn_HOME_MEDREC_1",".contentAd--pos1,\narticle[data-post-id]:has(.sponsor-byline)",".portal-top",".block-11,\n.block-12,\n.block-13","div[id^=\"viewHomeDesktop-outGrid-sponsored_products-\"],\ndiv[id^=\"viewSearchResultDesktop-inGrid-sponsored_products-\"]",".normal_text[width=\"100%\"][valign=\"top\"][height=\"100\"][align=\"left\"][border=\"0\"]",".jad-placeholder","img[width=\"300\"][height=\"246\"]","#mpu,\n#sky2_1,\ndiv[style=\"min-height: 600px; margin-bottom: 20px;\"]","#arb",".yftovjn,\n.yftovjn-container","#dfp-header,\n#dfp-header-container,\n#rectangle-container-desktop,\ndiv[id^=\"ad-div-\"]",".widget_aawp_widget_bestseller",".mobile-interscroller",".header-widget-area","a[data-track]",".widget_adtag_rectangle","#right-banners,\n.hitdb",".wp-block-group:has(.wp-block-button__link)","#banner_content","#buybox","#dtm_super,\n#rectangles,\n.gs-searchblock--adContainer,\n.mod-RechteWerbespalteStartseite",".shoepassion_content_banner,\n.shoepassion_sidebar_banner",".spice-box-container",".box--ad,\n.sky-left,\n.sky-right,\ndiv[id$=\"SparkWrapper\"]",".box.img_link:has(.advertorial_hint)","#teaserheld-header",".alice-adslot-label,\n.banner-homepage,\n.sidebar-btn-affiliate[rel=\"nofollow noopener sponsored\"],\ndiv[data-sdg-ad],\ndiv[data-trigger=\"sourcepoint-ad\"]",".atkp-bestseller-box",".verticalCarousel","div[style=\"border: 1px solid #000; padding: 5px; margin-bottom: 15px; background: url(https://www.go2android.de/wp-content/plugins/amazonsimpleadmin/img/amazon_DE_small.gif) right bottom no-repeat #ffffff;\"]","#coba_trading_investment_news,\n.v-is-sponsored-box","#ad_gsbuch","#iqadtile5,\n#pricehits,\n.g6 > .clearfix[style=\"margin: 20px 0; clear: both; min-height: 640px;\"],\n.gbox_affiliate,\n.sp-breakout-affy,\n.tags,\nli[data-article-id]:has(.icon-addy)",".sdgSlotContainer","div[id^=\"csi_forum\"][style=\"min-height: 100px; padding: 0px; display: block;\"]",".ad_list",".premium_firm_list",".card-content > center:has(ins.adsbygoogle)",".mgawerbungbase",".container_skyscraper","#resultInfeed1,\n.adDetailRectangle,\n.bannerResult,\n.phoneblockAd",".quartermedia",".productCard:has(div.premiumProductCaption)",".noContentBannerWb","#gkf-adslot-header",".footer","#rothaus-aktion",".mh-widget.s5214-widget",".banner_image","#sponsors_slider,\n.home_sponsor_slider,\nimg[width=\"605\"][height=\"690\"]",".vc_carousel-inner","img[alt^=\"Werbung\"]",".ad-info,\na[data-adid]:not([data-adid=\"12937\"])",".paidContent,\n.pvg-widget",".tx-imagecycle-pi1","div[id^=\"promotionHeader\"]",".bannerbox",".su-button-wide[href^=\"http://amzn.to/\"]",".spu-box,\n.vc_custom_1666781149136","div[id^=\"hardw-\"]","div[id^=\"ad-\"]","div[style=\"float: right; clear: both; padding-left: 1rem; margin-top: -1rem; margin-right: -9rem; padding-bottom: 0.25rem;\"]",".ba-fullsize",".postanzeige","#Ads_Billboard_container",".css-1mdt86f,\ndiv[id^=\"adtech_\"]","#custom_html-6",".med4,\n.med5,\n.unserePartner","#anzeigendiv","#main-sponsor,\n.sponsoring-footer",".hauptsponsor,\n.sponsoren-right","#module-sponsors",".widget_media_image",".widget_text","img[width=\"150\"][height=\"111\"]","#ad-landingpage-top,\n#bannerzone,\n.article-layout__header-wrbng,\n.img-ad,\n.incontent3-cls-reduc,\n.inread-cls-reduc,\n.middle-ad-container,\n.p-3.-mx-3.bg-gray-50:has(a[data-component=\"TeaserLinkContainer\"]:not(a[href^=\"https://www.heise.de/api/accountservice/subscribe/\"])),\n.perf-cls-reduc-leaderboard,\n.perf-cls-reduc-rectangle,\n.sponsored-placement,\nA-PATERNOSTER,\ndiv[style=\"min-height: 250px\"],\ndiv[style=\"min-height: 400px;\"]",".cadheight[style=\"min-height:600px;\"]",".vidheight[style=\"min-height:450px;\"]",".topAdCol",".h5v-ad","a[href^=\"/de/hertha/sponsoren/exklusiv-partner/uebersicht/page/\"]",".bestlist-item__shop,\n.sky1-outer-container",".themenmonat","#anzeiged2",".asm_async_creative",".btn-danger,\na[href^=\"https://www.hockeyweb.de/?rex-api-call=pixel_forward&url=\"]","a[href^=\"https://clk.tradedoubler.com/\"]","#block-block-217,\n#block-block-218,\n#mrec-wrapper,\n#superbanner-wrapper,\n.content-amazon",".ksv-sponsoren-footer",".hs_anbieter_box_block","div[id^=\"block-views-advertising-\"]",".av-partner-fake-img,\n.avia-slideshow-1","#greyscale-2","#c5307,\n#sponsor-slider","tr > td[valign=\"top\"]:first-child + td[width=\"15\"] + td[width=\"186\"][valign=\"top\"]:last-child","div[id^=\"ibiza-\"]",".brick[data-b-title*=\"Traffective\"]","#verbraucherhinweis-300x600,\n#verbraucherhinweis-970,\n#verbraucherhinweis-970x250,\n#verbraucherhinweis-latest,\n#verbraucherhinweis-single-300x250","#halfpage-banner","#immowebAdCont",".banner-top-placeholder,\n.expose-ad-placeholder",".amalink","#adsight-slider,\n#r89-desktop-billboard-atf-0-wrapper,\n#r89-desktop-incontent-0-wrapper",".billboard-wrapper",".d-sm-block","div[data-ez-block-id=\"3324017\"]","#INS_D_ROS_Parallax,\n#parallax,\n.td_module_ih_current_news:has(.spo)","#bigsize",".ce_postlistbox:has(.label-ad-highlight)","#desktop-bottom-ad-wrapper,\n#desktop-left-ad,\n#desktop-left-bottom-ad,\n#desktop-top-ad,\n#recommendations,\na[href*=\"//www.amazon.\"][href*=\"tag=\"],\ndiv[style^=\"width: 728px;\"]",".product--box:has(.rm-sponso)","#custom_html-4",".post div[style=\"float:none;margin:0px 0 0px 0;text-align:center;\"],\ndiv[style=\"margin-bottom:.5em;padding-top:.5em;min-height: 270px;display: flex;justify-content: center;align-items: center\"]",".bigbanner,\n.skyscraper_left,\n.skyscraper_right","#text-64",".islam-widget",".pane-simpleads-ad-groups-9,\n.region-head-adbar-left","li:has([data-testid=\"advertisementSign-flag\"])",".plistaList > .itemLinkPET",".mpu",".magazinteaser","div[data-widget_type=\"shortcode.default\"]:has(.adsbygoogle),\ndiv[style=\"text-align: center;\"]:has(.adsbygoogle)","#jf-stroer-sky,\n#jf-stroer-superbanner","#banner_sidebar",".cad_box,\n.fusslogos","div[data-testid=\"display-ad\"]","#addemam-wrapper","#below-header","#globalAnnouncement",".footer-banner",".exp-vision__ext-wrapper--spad,\n.product--spa,\n.product--sponsored,\n.product:has(div.product__sponsored-ad-label),\n.rd-recommender__tile:has(div.rd-product-tile__badge--ad),\n.spads-recommender,\n.sponsored-brand-products-container,\n.teaser-orchestration__wrapper--online",".kca-wrapper",".blc-left,\n.blc-right,\n.offline","a[style=\"position:relative; float:left; width:698px; height:63px; padding-left:28px; padding-right:0px; padding-top:14px; border:1pt solid #DADADC; background:#FFFFFF display:inline;\"]",".kick__ad-pos_wrapper",".kick__euro2020-brand-sponsor,\n.kick__modul--euro__sponsor","#kinder\\.de_sitebar_1,\n#kinder\\.de_sitebar_2","#MR,\ndiv[style*=\"height:250px\"]","#hockeystick,\n.performance-pub","#header_main,\n#klamm\\.de_forum_1,\n#klamm\\.de_forum_3,\n#klamm\\.de_incontent_1",".bannerprom,\n.opa",".klartads-widget",".banner-position","#brws_banner-supersize,\n#btf-billboard,\n#home-billboard,\n#liberty-home-above-header,\n#liberty-home-billboard,\n#liberty-vip-billboard,\n#liberty-vip-middle,\n#liberty-zsrp-bottom,\n#liberty-zsrp-top-banner,\n#vip-billboard,\n.j-liberty-wrapper,\ndiv[data-liberty-ad-loaded=\"true\"]",".admanager__ems__dmofooter-1,\n.admanager__ems__superbanner-1,\n.kb-home-medrec-halfpage,\n.ks-ad:not([data-adslot=\"karotte\"])","#mini-panel-rs_teaser_verpoorten,\n.contentRect,\na[href^=\"https://ed.koeln.de/ad/www/delivery/ck.php\"]","#leaderboard_nav,\n#wallpaper_left,\n#wallpaper_right","div[style=\"width:300px; height:250px;float:left; margin-right:15px; margin-bottom:15px; border:0; background-color:#c0c0c0; overflow:hidden;\"],\ndiv[style=\"width:728px; height: 90px; text-align: center; background-color:#c0c0c0;\"]",".RTaktAds,\n.advBoxSegment",".widget-1",".sidebar-right > #text-11,\n.sidebar-right > #text-6","#banner-wrapper-right-v3,\n#banner-wrapper-top-v1","#bdaia-widget-e3-10,\n#bdaia-widget-e3-11,\n#bdaia-widget-e3-12,\n#bdaia-widget-e3-14,\n#bdaia-widget-e3-9,\n#bdaia-widget-html-4,\n#bdaia-widget-html-7",".dm_ta300x300.sold_content","img[width=\"200\"][height=\"600\"]","#content-bottom-highlighted",".werbeplatzierung-container",".editorial-teaser","#kratzer,\n.bb_top,\n.ed_d","#content-solads,\n#home-teaser,\n#page-closing-sol,\n#page-top-sol,\n#zeiten,\n.additional-banner,\n.location-teaser,\n.section-banner,\n.sol-content,\na[href^=\"https://zwinkr.de/landing/\"]",".addtop","td[width=\"730\"] + td[align=\"center\"]",".bx-ada",".banner_rechts,\ndiv[style*=\"width:300px;height:250px;\"]","img[width=\"468\"][height=\"60\"]",".zusatz_billboard",".avad1_widget",".anzeige_content,\n.inline_wrapper",".metaslider","img[width=\"640\"][height=\"165\"]",".bannerslot-centered",".article-adbanner","#media_image-31,\n#media_image-33,\n#media_image-34,\n#media_image-39,\n#media_image-41,\n#media_image-42,\n#tdi_67,\n#text-60,\n.media_image-19,\n.media_image-22,\n.media_image-23,\n.media_image-24,\n.media_image-26,\n.media_image-28,\n.media_image-29,\n.media_image-30,\n.media_image-32,\nimg[height=\"250\"],\nimg[width=\"700\"],\nimg[width=\"770\"]","div[class^=\"MoliAd_\"]","#container-sidebar-banners",".adlabel","#banner-floater,\n#block-anzeige2,\n#block-macgadget-anzeigen-3,\n#block-macgadget-textwerbunglinks1,\n#block-macgadget-verlosung",".productbox",".Content_1-minheight,\n.Content_3-minheight,\ndiv[class^=\"Billboard-\"],\ndiv[class^=\"Billboard_\"],\ndiv[class^=\"Rectangle_\"]","#leadfullWrapper",".top-products,\na[href^=\"http://www.verleihshop.de/index.html?partner=\"]","#bigsize-top",".spielseite_anz_2,\n.spielseite_kopf",".logo-footer-module",".core-commercial,\n.trf-billboardcontainer","a[class*=\"sponsoredProductCard\"]","#content-banner",".clsy-adv-item,\n.clsy-c-advsection","#container_fs,\n#container_left,\n#container_right","[data-test=\"mms-search-showcase\"]",".section-banner-fullwidth","#myspacerinner,\n#myspacerright,\n#wobra-suche,\n.ads_mobile,\n.span > .white_bg[style=\"width: 100%; padding-right: 5px;\"],\n.span.white_bg[style=\"padding: 7px 2px; margin-left: 5px;\"],\n.span[style=\"width: 160px; margin-left: 5px;\"]","li.article:has([data-type=\"sponsored\"]),\nsection.post:has([data-type=\"sponsored\"])",".marketing-wrapper","#gen_inside_mobile_wrapper,\n#gen_inside_wrapper,\n#gen_top_wrapper,\n#msg_leaderboard_1_mobile_wrapper,\n#native_desktop_wrapper,\n#native_mobile_wrapper",".banner-inline",".ms-adPlace","#portfolio",".shipment,\n.shipmentPremium","img[width=\"250\"]",".result:has(a[href^=\"https://metager.de/partner/r?\"]),\n.result:has(a[href^=\"https://r.search.yahoo.com/\"]),\na[href^=\"https://metager.de/partner/r?\"],\na[href^=\"https://r.search.yahoo.com/\"]",".sb","div[class^=\"contentAdBox_\"],\ndiv[class^=\"placeholderAdBox_\"]","img[width=\"180\"][height=\"120\"],\nimg[width=\"300\"][height=\"150\"],\nimg[width=\"400\"][height=\"100\"]","div[id^=\"moads-\"]",".dsp-placeholder,\n.mN_WC:has([data-testid=\"sponsored-badge\"]),\n.srp-placeholder,\n.topresult + .dealerAd,\n.vip-placeholder,\ndiv[style=\"min-height:250px\"]:has(#SRP_BILLBOARD_ADSENSE)","#m_vip_slot_2,\n#m_vip_top",".ViD7S,\ndiv[data-testid^=\"SRP_SBANNER_\"],\ndiv[data-testid^=\"SRP_TABLECELL_\"]","a[data-eventcategory=\"Kooperation\"]",".grey-banner,\n.grey-banner-bottom","#bigsize_inner",".Common-Kn-Display,\n.Common-Kn-Rp-FlightInline","#anzeige",".main-preview:has(.anzeige-label),\n.mopo-ads-editor,\n.slider-preview:has(.anzeige-label)",".mcad_wrapper,\n.mcadblock,\ndiv[class^=\"morec-\"]","#text-16,\n#text-33,\n#text-39,\n#text-41,\n#text-42","#print_bannergroup","#plista,\n.bannerInfo","#parent-adbox-superbanner",".bannerwrapper",".boxjob",".container.margin-bottom-40.fullwidth-container-mobile.min-280,\n.min-280.mr,\n.superad","#MTB_M_ROS_Sticky,\n#header,\n#header-banner-mobile,\n.header__banner,\n.mtbn-fotos-incontent__container--mobile,\n.mtbnews-forum__in-thread,\n.mtbnews-forum__mobile-top,\n.mtbnews-mobile-sticky,\n.mtbnews-top",".incontent__container","#freikarten","#abAside,\n.anzC",".anz","a[href^=\"https://popup.taboola.com/\"],\niframe[src*=\"//fom.bildungscentrum.de/\"]","#spion_content_container","#toplists","a[href^=\"https://www6.smartadserver.com/\"] > img","#outofpageWrapper,\n#sb1Wrapper",".ems-slot,\n.topbanner-mobile",".adcontent","div[id^=\"gpt-\"]",".n2-section-smartslider,\nimg[width=\"240\"]","#Ads","#R1C2,\n#R1C3",".r-d045u9.r-1udh08x.r-bnwqim.css-1dbjc4n",".as-frame-center","#logobanner",".tdi_88","#Werbung",".cardealers,\na[class=\"placement\"]","#news_content_1,\n#news_content_2,\n#news_content_3,\n#news_header,\n.extraContentContainer,\n.halfpage,\n.ialayerContainer",".shopWidget","#div-header,\n#div-sidebar_right_extra,\n#sky-left-container,\n.al-amazon,\n.deals-ticker,\n.gptSlot,\n.jobbioapp,\n.np-product-offers,\n.np-top-deals,\n.top-deals-swiper","#text-11,\n#text-13,\n#text-21,\n#text-26,\n#text-35,\n#text-54,\nimg[width=\"330\"][height=\"220\"],\nimg[width=\"533\"]","#homeDisplay,\n.widget_dkge_wrapper","div[style=\"min-height:290px\"]","#page_billboard","#nordkurier\\.de_bb_1,\n#nordkurier\\.de_bb_2,\n#nordkurier\\.de_lb_1,\n#nordkurier\\.de_mr_1,\n#nordkurier\\.de_mr_2",".fp-ad-placeholder",".av-carousel,\n.av-fade-carousel",".nozmhn_ad,\ndiv[id^=\"nozmhn_ad_\"]","#banner_container_rc,\n#banner_left_container_lc",".ax-medium-rectangle-n",".webcam-premium,\na[href^=\"https://www.visit-x.net/de/w/chathost/?w=\"]",".anzeige + .slider,\n.anzeige + p",".swiper-container",".jrCardBanner",".adv-indicator,\n.bnrad,\n.right-leaderboard,\n.top-leaderboard","#slot-banner,\n#slot-rectangle,\n#slot-sky",".panel-display > .panel-col-side > #block-views-website-block-1",".adDecoration,\ndiv[style=\"clear: both; min-height: 300px;\"],\ndiv[style=\"clear: both; min-height: 640px;\"],\ndiv[style=\"clear:both; display:block; min-height: 300px;\"],\ndiv[style=\"clear:both; display:block; min-height: 640px;\"]",".main-club-partner",".boxesBottom,\n.boxgenericBox41",".preisboxinner","#hbpartner-logo-container,\n.article-rectangle,\ndiv[class*=\"adplacement_\"]",".widget-aal-unit-by-id","#on-footer-banner,\n#on-rectangle,\n#on-sky,\n.inlinemod-item:has(.on-ad),\n.on-ad,\n.on-top-banner-wrapper","#SMART_BILLBOARD,\n.ANZEIGE,\n.BILLBOARD,\n.SKYSCRAPER,\n.TEASERBOX.DEPOT_KONTO,\n.advertisedFund,\n.flex-layout:has(div[class^=\"ArticleTeaser_ov-article-teaser__onvistaCustomer_\"]),\n.isSponsored,\n.ov-article-teaser:has(.ov-article-teaser__onvistaCustomer),\na[class*=\"ArticleTeaserBox\"][href^=\"https://bnpp.lk/\"],\na[href*=\"&adname=\"],\ndiv[class*=\"InteractionTypeReference_ov-interaction-slot--fallback\"]","#jsn-pos-user-top","#bigklick,\na[href*=\"/goto.php?\"]",".pdp_reco-sponsored,\n.product.spa,\narticle[data-producttile-tracking*=\"wk.san_ProductType\\\":\\\"sponsored\\\"\"]",".header-widget-inner",".ox",".paradiso-hp-ads-horizontal",".sidebar_a",".anzeigen",".affiliateBelowArticle",".at_sponsored",".box[data-ga-event-label=\"Angebote für PC-WELT Leser\"],\n.box[data-ga-event-label=\"Für Sie empfohlen\"],\n.box[data-ga-event-label=\"PC-WELT Specials\"],\n.idgAmazonTextV2,\n.marketplace,\na[href^=\"http://www.pcwelt.de/pv/\"],\na[href^=\"http://www.verleihshop.de/pwindex.html?partner=\"],\na[href^=\"https://get.surfshark.net/aff_c?\"],\na[href^=\"https://ndirect.ppro.de/\"],\na[href^=\"https://pvn.mediamarkt.de/\"],\na[href^=\"https://pvn.saturn.de/\"],\na[href^=\"https://tracking.s24.com/\"],\na[href^=\"https://www.tkqlhce.com/click-\"]","a[href^=\"https://www.awin1.com/cread.php?\"]","#oc24-direkt,\n#pedelecforum\\.de_mpu_bot",".fh-sidebar-top","img[width=\"370\"]",".Laddbox,\n.Laddbox300",".normalSponsor,\n.presenting","#block-17",".superbanner-frame",".post.type-post.status-publish:has(.anzeige-box)","div[class^=\"pictu-\"]","#sidebar_right > #HTML7,\n#sidebar_right > #HTML9",".clipad,\ndiv[style=\"float:right; width: 300px; height: 250px\"]","#omsRectangleChannel",".amazon","div[id^=\"playf-\"]",".sidebar > .imglinks",".ts-sptag",".section:has(.ad-container)","#ad1","#ad2,\n#ad3","#custom_html-21,\n.sc-button[href^=\"https://amzn.to/\"],\n.sc-button[href^=\"https://www.amazon.de/\"],\ndiv[style=\"min-height: 280px;\"]",".asa2_ajax_container,\n.first-list > li:has(a[href^=\"https://bit.ly/\"]),\n.first-list > li:has(a[href^=\"https://tracking.s24.com/\"]),\n.pd-teaser:has(a[href^=\"https://bit.ly/\"]),\n.prad-td-header-sp-recs,\n.second-list > li:has(a[href^=\"https://amzn.to/\"]),\n.second-list > li:has(a[href^=\"https://tracking.s24.com/\"])","#header-image-js",".box.box-style1:has(.notice),\n.cms-cl_tariff-row--ad",".AFS_ADD","img[width=\"160\"][height=\"92\"]",".td-header-container",".excerpt-tile.cell:has(.advertorials)",".prinz-info--lb","#rel-article","div[id^=\"profe-\"]",".ob-p,\n.onlyDesktop:has(div.adContainer)","div[data-url-link^=\"https://track-adspree.com/\"]","div[style=\"width:160px;height:600px;\"]",".nfy-banner",".h5v","#banneroben,\n#bannerrechts,\n#startrechts,\n.leistenbanner,\n.listenbannerlinks,\n.toplinks",".anz-content,\n.anz-grey-content,\n.anz-grey-title,\ndiv[style=\"width: 100%; height: 250px; overflow: hidden; text-align: center; padding-top: 10px;\"],\ndiv[style=\"width: 100%; height: 250px; overflow: hidden; text-align: center;\"],\ndiv[style=\"width: 100%; height: 260px; overflow: hidden; text-align: center; padding-top: 10px;\"],\ndiv[style=\"width: 100%; height: 90px; overflow: hidden; text-align: center;\"]",".stickyBanner-wrapper",".btn2,\n.rectright",".elementor-element-f3e9036","div[id^=\"oms_gpt_\"]",".tdi_29","div[id^=\"radio-\"]",".branchenberichte",".trikots",".header-main",".ad-component,\n.ad-slot-container",".adcolor,\n.sidestickycon300x600,\na[onclick^=\"setAdClick\"],\ndiv[style=\"float: right; width: 300px; height: 250px; margin: 0 10px 80px 30px;\"],\ndiv[style=\"height: 90px; margin: 30px 0 20px 0; text-align: center; width: 100%;\"],\ndiv[style=\"height: 90px; margin: 30px 0 30px 0; text-align: center; width: 100%;\"],\ndiv[style=\"text-align:center; min-height: 260px; height: 260px; margin: 0 auto 0 auto;\"]","img[class=\"bnr\"]",".superbanner_wrapper","#block-3",".wk-slideshow",".lb","iframe[src=\"/more\"]",".port.hi",".Banner--isAd","div[style=\"height: 600px !important; max-width: 320px; margin: 15px auto;\"]","div[style=\"height: 250px\"]","img[height=\"200\"][width=\"240\"]","li[data-content-type=\"ad\"]","#flagship_productlist,\n.flagship-container","div[class*=\"Product_productSpecialTile\"]","#mso-dplusc-banner_1,\n#mso-dplusc-banner_2,\n#mso-dplusc-banner_5",".sidebar-addbox,\n.topanzeigen-slider-wrapper",".footer__slider",".articlebody__rectangle,\n.page__billboard",".vc_custom_1629451242127","#text-27","div[class^=\"Adstyled_\"]","#rollertuningpage\\.de_lb_1,\n#rollertuningpage\\.de_sitebar_1,\n#rollertuningpage\\.de_sitebar_2",".ad-mrec","#main-banner","#ir_rpd_lb","div[style=\"margin:40px 0 0 0; text-align:center;\"],\ndiv[style=\"margin:60px 0 0 0; text-align:center;\"]","#billboard_1,\n.adwrapper--mobile","div[data-adformat=\"halfpage\"],\ndiv[data-adformat=\"rectangle\"]","#bigsizebanner,\n#contentbanner",".dm-slot__skyContainer","#dfp-banner,\n.article-box:has(> .article-box__text > .article-box__info > span.article-badge--ad),\n.article-fill:has(.article-badge.article-badge--ad),\n.footer__partner,\n.iqadtile-wrapper",".action-item > * > .ad",".custom_googleanzeige",".footer_sponsor_row",".footer-sponsors,\n.module-advertising","a[href^=\"/ad/\"]",".box.w300.h250.mb40","a[data-name=\"topbanner\"],\ndiv[id^=\"schlager-ad-\"]","a[href^=\"https://www.lead-alliance.net/tc.php\"]","div[style=\"height: 166px\"]",".dp-sponsorenfooter",".bg,\n.welcome","div[id^=\"seenl-\"]","#topb,\n.selbs-blog-startseite-und-kategorien,\n.selbs-unter-artikeln,\n.tad1","#Mod373,\n#Mod416,\n.fnet-banner,\n.gruenebox2","#crazyclownhint","#divBG,\n#logoFalken,\n#promobalken",".bannerWrap,\n.sponsors-col","div[style=\"margin: 30px 0px 30px 0px;padding: 10px; border-width: 2px; border-style: dashed; background-color: #f6f5f2;\"]",".bannerBox","#ad","#Mid,\n#anchorBG",".banner-container","[id^=\"fh-afp_\"]",".sdc-site-au__leaderboard,\n.sdc-site-au__mpu-1","#MEDMRECHome,\n#MEDMRECHome2Lazy,\n#MEDMRECHome3Lazy","#outer_SR_banner_ganz_unten,\n#outer_SR_rechner_banner_unter_rechner,\n#outer_SR_rechner_display_unter_rechner",".adp1,\n.advorp1,\n.titelad,\na[rel=\" noreferrer noopener sponsored nofollow\"]","div[id^=\"smart-\"]",".td-banner-wrap-full","#smsboxIframe","#banner_oben","#text-53,\n#text-56,\n.infeedthingy",".tile99-wrapper",".skycraper","a[href^=\"https://wgaffiliate.com/?a=\"]","#wallpaper-link",".banner-btf-side-rectangle",".parallax_link,\n.strack_cli",".ad-mark","div[class^=\"ada-preservespace-\"]",".abox",".s1-ad,\ndiv[data-testid=\"better-collective\"]",".dcm-section-wrapper","img[width=\"768\"][height=\"768\"]",".elementor-element-127b96a","div[style=\"padding:5px 0 5px 0;\"][align=\"center\"]","#sponsorenleiste",".psw-container,\na[href^=\"https://www.communicationads.net/tc.php?\"],\nimg[data-image-title=\"amazonAktion\"]",".adserver,\nimg[width=\"728\"]",".smartmag-widget-codes","#colLeft > #info,\n#colRight > #search",".bb-wrap",".banner_bigsize_unten,\n.banner_content,\n.banner_sky","div[style=\"width: 468px;height: 60px;overflow: hidden;float: right\"]","#ston-billboard","div[data-adv-location]",".m-weekli","#slider,\n.mod-weekli",".iqad,\n.iqdcontainer,\na[href^=\"https://cmk.sueddeutsche.de/cms/hub/\"][href*=\"/anzeige/\"]",".angebot-der-woche-slider","#text-8",".tracking_trigger",".gpevxonqc",".swp-adbox","#T-85628670,\n#T-86926496,\n#T-Shopping,\n#T-shoppingbox,\n#Tasfeed1,\n#Tasfeed3,\n#Tcontboxi + #Tgboxf,\n#Tlibelle,\n#ma_mrec,\n#vmsky,\n.Tadc,\n.Tgbox--anz,\n.Tgbox--blau,\n.Thh5Thide4PUR,\n.Thide4PUR,\n.Tprtnrmobilesib,\n.Tshlogobox,\n.Tsshopst2 + .Tmm,\n.med_anz,\n.toi-sh-breaker,\na[data-url^=\"https://count.shopping.t-online.de/RE?ID=\"],\na[href=\"https://gebrauchtwagen-suche.t-online.de/marke-skoda/modell-superb\"],\na[href^=\"http://count.shopping.t-online.de/RE?ID=\"],\na[href^=\"https://count.shopping.t-online.de/RE?ID=\"],\ndiv[class^=\"Tsshopst\"],\ndiv[data-dy*=\"Partner:\"],\ndiv[id^=\"T-\"].Tmm.Tltb.Tts.Tmc1.Tww1.Thh3[onfocus^=\"A('zid=\"] > .Ttsc.Ttsv169,\ndiv[id^=\"T-\"][oncontextmenu=\"return false\"],\ndiv[id^=\"ma_ar\"],\ndiv[id^=\"mrec\"],\nimg[alt^=\"Modetrends\"],\nimg[width=\"920\"][usemap^=\"#immap\"]","#advertMarkerHorizontalContainer,\n.css-1gm9xpz,\n.css-1lb3bt5,\n.css-2k2lok,\n.py-16.bg-alpine.border-b.border-solid.border-whitelilac.md\\:min-w-page,\n.py-16.md\\:py-24.border-solid.border-whitelilac.text-trout.leading-17.md\\:hidden,\n.tMRM_billiger,\n[data-commercial-format],\naside[data-testid=\"StageLayout.StreamItem\"],\ndiv[class] > img[referrerpolicy=\"unsafe-url\"],\ndiv[class^=\"adContainer\"],\ndiv[data-component=\"CommercialNativendo\"],\ndiv[data-external-sdi-mark=\"banner-placeholder\"],\ndiv[data-testid=\"Stage.Companion.Commercial\"],\ndiv[data-testid=\"TaboolaFeeds.Feed\"],\ndiv[data-testid^=\"Nativendo.ArticleFeed\"],\ndiv[id^=\"nativendo\"],\nsection[data-stage-layout^=\"custom_nativendo_\"]","#tMRM_amazon,\n#tMRM_billiger",".c-ad-container,\n.c-ad__container-p1,\n.tg-articletype-sponsored-deal.c-pin,\n.tg-articletype-sponsored-post,\n.tg-stage-sponsoredcontent","#ctl00_ctl00_m_ctrlMainMasterContentPlaceHolder_m_ctrlMainContentPlaceHolder_ctl03_m_ctrlEditContainer",".hcf-news-aktuell",".jobunion-container",".pub-footer,\n.pub-single-side",".commercial",".ce_promotionbox",".heise-ad-element-wrapper","#enhancedtextwidget-11,\n#enhancedtextwidget-12,\n.td_11","#lb_header","#LxShop,\n#SpaceBefore,\n#SpaceRectangle,\n#SpaceTgtLink,\n#ttParallaxcontainer,\n#ttTarifTable,\ndiv[id^=\"LxIdealo\"],\ndiv[id^=\"ideaload\"],\ndiv[id^=\"tarifSlider\"]","#footer-partner,\n.header-logo-second-display","#after-header-banner","#banner-left-1,\n#banner-left-2,\n#banner-right-1,\n#banner-right-2",".logos","#amazon_300x90,\n#openx_LB,\n#petsexpert","div[id^=\"tipps-\"]",".hotelempfehlung",".bannergroupimgframe","#text-19","#advleft1,\n#advleft2,\n#advleft3,\n#advleft4,\n#advlrb1",".support-box","div[id^=\"netse-\"]",".page-sponsoring",".content-teaser-small,\n.contentRefsAside",".fh-sidebar.block > .block-container",".OUTBRAIN .ob-p","#bottom-blocks,\n.rectangle-right",".bscb-23811,\n.irypolkj,\n.zekfylmnsq",".tritime-ads-middle",".first_slot,\n.second_slot",".sponsors-slider",".sponsorftr",".stream-item-widget","#g-expanded,\n#g-header","#tvd-ad-top",".cont-60","#rightCont",".floatLeft[style=\"padding:10px;\"]",".button.affiliate,\n.promo-box-any-banner",".tfm-banner",".tvg-manager-box","a[href^=\"https://www.tweakpc.de/rev3/www/delivery/\"]",".chemical_sitelogo_r","table[style=\"background-color: none; border-top: 1px dashed; border-color: #a89058; border-left: 1px dashed; border-color: #a89058; border-right: 1px dashed; border-color: #a89058; border-bottom: 1px dashed; border-color: #a89058;\"]","#custom_html-107,\n#custom_html-110,\n#custom_html-77,\n#custom_html-88,\n#custom_html-95,\n#custom_html-97,\n.flexslider,\na[href^=\"https://www.amazon.\"][href*=\"tag=\"] > img","#fh-div,\n#shuffled-item,\n#shuffled-sponsored,\n#sidebar_container,\n#ufa-top",".ads-336,\n.b_top","#wrapper-banner-head",".mh-footer","#revista-de-viajes_contentAd_container,\n.uniq-ads","#native_ads2,\n.channel-logo-desc","#bjorn-text-20,\n#bjorn-text-22,\n#bjorn-text-24",".vm-banner",".header-right",".vc_custom_1544363997968,\nimg[width=\"110\"]","#sponsor-footer",".partners-footer",".YouTubeDachstein,\n.YouTubeLEKI,\n.YouTubeoetz,\ndiv[class^=\"overlay-\"]","#skypos,\n.rcu,\n.rec",".vip-medium-rectangle,\n.vip-teaser","kas[type=\"placement\"]","a[href*=\"https://vflive.de/lotto24_desktop300x250-home\"] > .card-promo","#partnerLinks","div[id^=\"findexp-\"]","#bannerContainer,\n.sliderContainer","#dban3,\n#dcb1,\n#dcb2,\n#derivativecockpit,\n#dout1,\n#fullsizeBanner1,\n#kosocgen,\n#mooTicker,\n#mooTickerContainerMobile,\n#newsDesktopFlag,\n#siteteaser,\n.breakingNewsOfferteBox:has(span.offerteFlag),\n.lynxAds,\n.newsFlagSlider,\n.partnerNews > a[target=\"_blank\"],\n.sb_popularleverageproducts,\n.sb_quotebox,\n.sbteaser:has(span.generalAdTag),\n.shareInFocus,\n.shareTodayBox,\n.similarNews:has(span[title=\"Anzeige\"]),\n.teaser.objectfit:has(div.angebot),\n.teaser.objectfit:has(div.anzeige),\n.teaser:has(span.generalAdTag),\na[href^=\"https://smartbroker.de/\"][href*=\"/?utm_\"],\na[href^=\"https://smartbroker.de/?utm_source=\"],\na[href^=\"https://www.etracker.de/ccr?\"],\na[onclick*=\"'tableAd'\"],\na[onclick*=\"'tableAd'\"] + img,\na[onclick*=\"tableAd\"] + span,\ndiv[id^=\"nativendo-\"],\ntr:has(td > .float-end > span[title=\"Anzeige\"])",".lefthellwetter,\n.stimm-widget,\ndiv[id^=\"stimm-\"]",".teaserheld-wrapper","div[data-hb-id=\"Grid.Item\"]:has(a[href*=\"&sponsoredid=\"])","#ads","#service-middle,\n.iba-variant-test,\n.partner-links,\ndiv[data-adservice-slot],\ntr[data-component=\"MessageListAdRow\"]","#addmeright,\n#addmetop","#weekli-interstitial",".c-inline-teaser__body.c-inline-teaser__body--is-standalone:has(a[href^=\"https://www.financeads.net/tc.php?\"]),\ndiv[data-ad]","aside[id^=\"banner\"],\ndiv[style*=\"display: block ! important\"],\ndiv[style=\"position:absolute; top:5px; left:0px; text-align:center; width:100%; max-width:1000px; height:90px; overflow:hidden;\"]","div[x-data=\"modules.ad()\"],\ndiv[x-data=\"modules.ad()\"] + span,\ndiv[x-data^=\"modules.adMedia\"]",".guj-ad-slot","table[width=\"738\"][height=\"90\"]","#woFooterBillboard",".clicked_partner","#SP-commercials",".astra-advanced-hook-67722,\ndiv[id^=\"mixena-\"]","#text-html-widget-15","#block-views-sponsoredcontent-block,\n#block-views-sponsoredpromo-block,\n#p3wrapper,\n.content_before_3rd_para,\n.paid,\n.paidc,\n.spost,\n.sppost,\n.view-idcontent:has(a[href^=\"/sponsored/\"]),\narticle.node-teaser:not(.node-promoted),\ndiv[id^=\"gWrapper-\"],\ndiv[style]:has(> a[onclick*=\"://www.windows-pro.net/\"]),\ndiv[style]:has(a[onclick*=\"&utm_\"]),\ndiv[style]:has(a[onclick*=\"/pcs/click\"]),\ndiv[style]:has(a[onclick*=\"://windows-pro.net/\"]),\ndiv[style]:has(a[onclick*=\"://www.windowspro.de/\"]),\ndiv[style]:has(a[onclick*=\"adurl\"]),\ndiv[style]:has(a[onclick*=\"xai\"]),\ndiv[style]:has(div[style] > p > a[onclick*=\"://www.windows-pro.net/\"]),\niframe[style=\"height:250px;overflow: hidden;\"],\nsection#block-viewscontent-block","#g_content_recommendation,\n#homepage_rectangle,\n#wfv4_bb2_lazyload[style=\"min-height:250px\"],\n.amazon_widget_w660,\n.mb25[style=\"min-height:261px\"],\n.news330.floatL.mr10:has(.anzeige),\n.ob_what,\n.primis_widget,\n.rutschdiv,\na[href^=\"https://ndirect.ppro.de/click/\"],\na[href^=\"https://winfutu.re/trvisa\"],\ndiv[align=\"center\"][style=\"min-height: 320px;\"],\ndiv[class^=\"ws_contentAd\"],\ndiv[style=\"margin: 10px 0px; text-align: center; min-width: 300px; min-height: 250px;\"],\ndiv[style=\"margin: 3px 0px; text-align: center; min-width: 300px; min-height: 250px;\"],\ndiv[style=\"min-width: 300px; min-height: 250px;\"],\ndiv[style=\"width:670px;height:280px;\"]",".wf_gcsi","#topads","img[width=\"140\"][height=\"180\"]",".block-wissen-ads,\n.node-promoted","#naMediaAd_MR_WRAPPER",".mod-adslot",".code-block-13",".client_wrapper",".amazon-search",".widget__image--banner",".logo-slider",".portal-slot","#outerBoxStart",".box_banner-container",".vc_custom_1623308998554",".sa2,\n.sa2_top",".spielen_kopf",".show-banner,\n.show-block","#offer","div[id^=\"aktue-\"]",".zett-teaser-trio:has(.zett-teaser-trio__kicker--ad-anzeige)","#slot__header,\n.products-inarticle-slider--parent",".logo_rechts_mitte",".witz > .bewertung + .detaillink + p:last-child,\n.witz > .bewertung + p:last-child","#block-block-14,\n#footer-banner-frame",".topRight300x250",".component-code-snippet","#custom_html-22","#_mo_cti,\n._mo_recs,\n.no-baldomero,\n.publi_cabecera_270,\n.publi_mega",".externalURL",".oc24-sidebar","#dish-top-desktop","#media_image-23","img[height=\"600\"]","img[width=\"600\"]",".support_banner_lead",".buy","#sidebar-sponsor,\n.widget-list-sponsors","#sponsors-tablet,\n.sponsors-desktop",".hirdetes","img[style=\"width:270px;height:80px;\"],\nimg[style=\"width:700px;height:90px;\"]","#nav_menu-2",".r","a[href^=\"https://media.campartner.com/\"],\na[href^=\"https://vxcsh.com/\"],\na[href^=\"https://www.big7.com/\"]",".sidebar","#spezial_column","#text-12","#BelowRectangle",".happy-player-beside","div[class^=\"runds-werbung-\"]",".owl-carousel","#custom_html-121,\n#custom_html-126,\n#custom_html-127,\n#custom_html-132,\n#custom_html-143,\n#custom_html-144,\n#custom_html-145,\n#desktop_understitial,\n#halfpage,\n#media_image-10,\n#rectangle,\n#top_0,\na[href*=\".rokkr.net/promo/\"],\na[href*=\"/hide.me/de/?friend=\"],\na[href*=\"/prf.hn/click/\"],\na[href*=\"?sca_ref=\"],\na[href^=\" https://www.bit.ly/\"],\na[href^=\"https://hide.me/de/promotion/\"],\ndiv[style=\"width:300px;height:250px\"]",".dfp-skyscraper",".dt",".supporter",".widget_random_banner_widget,\ndiv[id^=\"buong-\"]",".page-banner",".articles-pr-box,\n.bxslider,\n.partvert,\n.partvert-right","a[id=\"bottombanner\"]",".mainSponsor,\n.sportnews",".widget_sp_image",".werb",".sponsorslider",".qodef-e-logo > img[height=\"80\"]",".w-header,\ndiv[class^=\"AdSuperBanner_\"],\ndiv[class^=\"AdUnit_\"]",".add","a[href^=\"https://www.raiffeisen.it/\"]",".pr",".trauerhilfe_ads",".slideshowck",".divAdd_Banner",".custom-ban-wrap","#header-wrapper + div[class=\"row \"],\n.ad-listing,\narticle[id^=\"post-\"]:has(.sponsored-indicator)","[class*=\"use-theme-class_sponsored_\"],\ndiv[class^=\"ad-element_\"]",".az-adverts,\naside:has(img[src*=\"/adverts/\"])",".banPlace1,\n.banner_sidebar",".mdhRegister-btn","#head_banner,\n#pis_posts_in_sidebar-6,\n#widget_sp_image-14","#fcnbox,\n#nwmlay","#superreplacement","a[href^=\"https://www.banggood.com/marketing-\"]","#topBanner","#forumbanner","#dnvsuperbanner","#adunit",".commercialbar,\n.top_bannerbar",".elementor-element-1f0334b,\n.elementor-element-5edce23,\n.elementor-element-6c8f458,\n.elementor-element-8419f6d","#billboard_btf_2,\n#footer-ad,\n#ishares_etf_variation,\n#news-contentads,\n#sticky-superbanner,\n#ubs-banner-fallback,\n.adsbygoogle,\n.cpg_incontent1-container,\n.cpg_incontent2-container,\n.mleft-10 + .table-quotes,\n.mrec-height-prefix,\n.row.d-flex.align-items-center:has(a[href^=\"http://g.finanzen.net/allvest-fonds-home-intelligent-invest\"]),\n.snapshot__trading:has(.button-advertising-hint),\na[href=\"#p500Werbehinweis\"],\na[href=\"http://g.finanzen.net/ubs-aktiendetail-hebel-fallback\"],\na[href^=\"http://g.finanzen.net/bs-anlegerclub\"],\na[href^=\"http://g.finanzen.net/hsbc-startseite-top-flop?id=\"],\na[href^=\"http://g.finanzen.net/premium-teaser-bnp\"],\na[href^=\"https://ad.doubleclick.net/\"],\narticle.page-content__item:has(img[alt=\"UBS\"]),\nimg[alt=\"Passende Produkte von Vontobel\"],\nimg[alt=\"Passende Produkte von der Société Générale\"],\nimg[alt=\"Vontobel Banner\"]","#nab_container","#ai_widget-5,\n#text-6","._bb_1,\n._gartenjournal_billboard,\n._gartenjournal_inarticle_2,\n._gartenjournal_leaderboard_oben,\n._gartenjournal_leaderboard_unten,\n.adinj",".atkp-container",".pane-dpipub-rossel-imu-middle-moblile,\n.pane-dpipub-rossel-native-top,\ndiv[class^=\"pane-dpipub-\"]",".AdSticky",".rectangles-row","#page-header + br + .forabg",".itd-ad-sidebar","div[style^=\"width:300px;height:250px;\"]",".content-main-box-300x250,\n.content-main-box-728x90,\n.content-right-box-300x250right","#ad_ic_1,\n#ad_ic_2",".netpoint",".noprint > div[style] + div[style] > script:first-child + div[style]:last-child",".gstsk,\n.gxt_banner,\n.gxt_feed","td:nth-of-type(3):not(:last-of-type) table[width^=\"3\"]","#as2931,\n.pi-banner,\na[href^=\"https://www.fincabayano.net/\"]","a[href^=\"//wixnm.com/\"]",".video-side-adds","#aside_left,\n#top_ga,\n#wraptt,\n.double-wrapper,\n.funbox",".code-block-1,\n.code-block-12,\n.code-block-14,\n.code-block-h-250px,\n.code-block-h-300px,\ndiv[style=\"height: 300px;\"]",".code-block-7","#catfad","#wa_join_btn,\na[href^=\"http://www.livestrip.com/FreeAccountLanding.aspx?\"]","#subheader","#Layer1,\n#Layer2",".header-promo","#banners,\ndiv[style=\"float:right; width: 110px; margin-left: 15px; margin-top: 12px; margin-bottom: 15px; padding: 2px 6px; text-align: center; border: 1px solid black; background:white; line-height: 2em; color: black;\"]",".widget_atkp_widget","img[height=\"90\"]","a[href^=\"http://camgirly.net\"]","#centcon-side-inner",".elementor-element-1266dd4,\n.elementor-element-41d9f5c,\n.elementor-element-4330702,\n.elementor-element-6b9ddea,\n.elementor-element-ef8547e,\na[href^=\"https://tentorium.tv/\"],\nimg[width=\"587\"][height=\"562\"],\nimg[width=\"600\"][height=\"550\"]","a[href*=\"/b1a8/\"]","#leaderwidget,\n.skycontent",".googlediv",".adb",".zitat > div[style=\"width:300px;\"]",".e_adv","div[id^=\"modifiedwerbung_\"]","div[style=\"height: 280px; margin: 5px 0 5px 0;\"]","#ny_banner,\n#nyba,\n#nybanner,\n#nydus_org_970x300_billboard_responsive,\n#right160x600,\n#stickyaside,\n.googl,\n.recommend,\n.right > .widgetbox2,\ndiv.ui-tabs:has(#nydus_org_300x600_desktop_1),\ndiv:has(> #nydus_org_970x300_billboard_responsive),\ndiv[id^=\"nydus_org_300x600_\"],\ndiv[style=\"height:90px;overflow:hidden;text-align:center;\"],\ndiv[style=\"overflow:hidden;border: 1px solid #ccc;background:#f7f7f7;border-radius:3px;\"]","a[href=\"http://topne.ws/onlineoutlet\"]","#parcello-mo","#wn-insurance-quote-editor","#gad-sky,\n#gads-leaderboard,\n.pane-aktuelle-top-links",".zenoLSInnerProductTableRightAmazon","#custom_post_widget-6","#premium-partners",".hallo-inhalt_2","div[id^=\"edit\"][style=\"padding:0px 0px 6px 0px\"] > table[id^=\"post\"][width=\"100%\"][cellspacing=\"0\"][cellpadding=\"6\"][border=\"0\"][align=\"center\"] + br + .tborder[width=\"100%\"][cellspacing=\"0\"][cellpadding=\"6\"][border=\"0\"][align=\"center\"]",".d_695692","a[href^=\"http://filestore.to/premium\"]",".Banner","#selfpromotionOverlay",".d_702192",".dl2019main,\n.top2019main","a[href*=\"/af.php\"]",".code-block-3[style],\n.code-block:has(i.fa-cloud-download-alt),\nbutton[type=\"submit\"],\nform[method=\"get\"][action]:not([role=\"search\"]),\nimg[alt=\"Download kostenlos\"],\nimg[alt=\"Kostenlos Download\"],\nimg[title=\"Usenet\"]","a[href^=\"//fbmedia-ckl.com/\"]","#ni-overlay",".d_702232","a[href^=\"https://lp.mydirtyhobby.com/\"]",".d_702212",".top_news_adv",".fixed.bottom-0.pb-8",".falken-banner,\n.view-type-falken","#fullbanner2,\n.sdtv-gothaer,\napp-top-banner","a[href^=\"https://hoerbuch.us/dll/\"],\na[href^=\"https://linksnappy.com/?ref=\"],\na[href^=\"https://www.purevpn.com/?aff=\"],\na[href^=\"https://www.purevpn.com?aff=\"]","#block-anzeige,\n.region-topad","a[href^=\"//plx.hammerporno.xxx/pool_link/\"]","#unten_anzeigen"];

const hostnamesMap = new Map([["190.115.18.20",0],["aniworld.to",0],["s.to",0],["1000ps.at",[1,2,3,4]],["1000ps.ch",[1,4,106]],["1000ps.de",[1,3,4,434]],["bild.de",[1,550,551]],["bz-berlin.de",[1,534,550,553,584,588,589,590]],["ffn.de",1],["firmenwissen.de",[1,533]],["fussballdaten.de",[1,194,533,773]],["golem.de",[1,807,808]],["hcinnsbruck.at",4],["veu-feldkirch.at",4],["fc-suedtirol.com",[4,287]],["hcpustertal.com",4],["eulen-ludwigshafen.de",4],["fck.de",4],["hc-erlangen-ev.de",[4,845]],["hsc-bad-neustadt.de",4],["ibash.de",[4,869]],["plattentests.de",[4,1071]],["broncos.it",[4,1345]],["electrive.net",4],["99ers.at",5],["altertuemliches.at",6],["arboe.at",7],["austriansoccerboard.at",8],["autoline24.at",9],["autoline24.ch",9],["autoline.de",9],["autorevue.at",10],["pocketpc.ch",[10,186]],["nachbelichtet.com",[10,341]],["4kfilme.de",[10,448]],["abenteuerfreundschaft.de",10],["appgefahren.de",10],["automatentest.de",[10,511]],["gameswirtschaft.de",[10,643,786]],["gebrauchtwagenberater.de",[10,792]],["googlewatchblog.de",[10,384,812]],["kabel-blog.de",10],["medienkuh.de",10],["nat-games.de",10],["stadt-bremerhaven.de",[10,340,1185]],["technikshavo.de",10],["justnetwork.eu",10],["gartenjournal.net",[10,1381]],["autoscout24.at",11],["autoscout24.de",11],["badenerzeitung.at",12],["bauernzeitung.at",[13,14]],["marktindex.ch",[13,174]],["krautundrueben.de",[13,614]],["lokalo.de",[13,947]],["boxverband.at",15],["buzzfeed.at",16],["costanachrichten.com",[16,269]],["24auto.de",16],["24books.de",16],["24garten.de",16],["24rhein.de",16],["24royal.de",16],["24vita.de",16],["az-online.de",16],["bgland24.de",16],["buzzfeed.de",[16,587]],["bw24.de",16],["chiemgau24.de",16],["come-on.de",[16,609]],["einfach-tasty.de",16],["fnp.de",[16,609]],["fr.de",[16,609]],["giessener-anzeiger.de",16],["hallo-muenchen.de",16],["hna.de",16],["ingame.de",16],["innsalzach24.de",16],["kreis-anzeiger.de",16],["kreiszeitung.de",16],["landtiere.de",16],["lauterbacher-anzeiger.de",16],["mangfall24.de",16],["merkur.de",[16,609]],["rosenheim24.de",16],["sauerlandkurier.de",16],["schwaebische-post.de",16],["soester-anzeiger.de",[16,609]],["tz.de",[16,609]],["usinger-anzeiger.de",16],["wa.de",[16,609]],["wasserburg24.de",16],["bvz.at",17],["noen.at",17],["tellows.at",17],["icasa.ch",17],["nau.ch",[17,180]],["tachles.ch",17],["tellows.ch",17],["architektenwelt.com",17],["boote-exclusiv.com",17],["modell-fahrzeug.com",17],["online-webradio.com",[17,348]],["tennisnet.com",[17,409]],["vogue.com",17],["abendblatt.de",[17,286,454]],["ak-kurier.de",[17,464,465]],["azonline.de",17],["beruhmte-zitate.de",17],["bike-magazin.de",17],["bildderfrau.de",17],["chefkoch.de",[17,204,602]],["dastelefonbuch.de",[17,534,627,628]],["dwdl.de",17],["eatsmarter.de",[17,670,671]],["echo-online.de",17],["erf.de",[17,156]],["esslinger-zeitung.de",17],["eurosport.de",17],["futurezone.de",[17,775]],["gq-magazin.de",17],["hamburg.de",17],["idowa.de",[17,871]],["ingenieur.de",17],["juedische-allgemeine.de",[17,895]],["klassikradio.de",[17,917]],["lahrer-zeitung.de",17],["macwelt.de",[17,954,955]],["modhoster.de",[17,27,194,882,985]],["mybike-magazin.de",17],["netzwelt.de",17],["paradisi.de",17],["pcwelt.de",[17,89,336,349,954,1057,1058]],["pfaffenhofen-today.de",[17,27]],["primavera24.de",[17,371,1084]],["schwarzwaelder-bote.de",[17,527]],["selbermachen.de",17],["spektrum.de",[17,1170]],["stadtradio-goettingen.de",17],["stuttgarter-nachrichten.de",[17,527,1194]],["sueddeutsche.de",[17,181,553,584,585,1196]],["sup-mag.de",17],["surf-magazin.de",17],["tellows.de",[17,1214]],["tour-magazin.de",[17,1228]],["vfb.de",[17,494]],["wallstreet-online.de",[17,736,1210,1271]],["web.de",[17,153,439,440,1275,1276]],["webwiki.de",[17,83,1277]],["wissen.de",[17,859,1294]],["wmn.de",17],["wn.de",[17,1210]],["yacht.de",17],["zeit.de",[17,55,181,1311]],["mallorcazeitung.es",[17,1319]],["bos-fahrzeuge.info",17],["gmx.net",[17,153,439,440,1276]],["adz.ro",17],["mann.tv",17],["city23.at",18],["donnerwetter.at",19],["donnerwetter.ch",19],["donnerwetter.de",19],["dvd-forum.at",20],["economyaustria.at",21],["ecvsv.at",22],["ehc-lustenau.at",23],["erotikforum.at",24],["falter.at",25],["fitundgesund.at",26],["ichkoche.at",[26,33]],["metal-hammer.de",[26,349,585,590]],["flugblattangebote.at",27],["regionews.at",27],["6navi.ch",[27,110]],["m.gota.ch",27],["jobagent.ch",27],["sexnews.ch",27],["3gewinntspiele.com",27],["akustik-gitarre.com",27],["bankkaufmann.com",[27,253]],["deavita.com",27],["knobelspiele.com",27],["melodieundrhythmus.com",[27,331]],["spieleklassiker.com",27],["1001spiele.de",27],["buchmarkt.de",27],["fruchtportal.de",[27,45,559,766]],["goldseiten.de",27],["juve.de",[27,898]],["kartenspielen.de",27],["komoedie-steinstrasse.de",27],["kradblatt.de",27],["laufen.de",27],["macerkopf.de",27],["mein-wahres-ich.de",[27,970]],["nordicsports.de",27],["pixelio.de",[27,1069]],["prospektangebote.de",27],["psi-magazin.de",27],["rockland.de",27],["salue.de",[27,1138]],["snanews.de",27],["suedtirol.de",[27,1197]],["svs1916.de",27],["urlaubsguru.de",[27,1255]],["wimmelbildspiele.de",27],["fussballgucken.info",27],["hcb.net",27],["anixehd.tv",27],["fotoobjektiv.at",28],["eishockey-online.com",28],["nacktefoto.com",[28,342]],["basicthinking.de",[28,93,516]],["buecher-magazin.de",[28,348,577]],["eishockey-magazin.de",[28,683]],["iplayapps.de",[28,286,888]],["radforum.de",[28,242]],["radio-oldtimer.de",28],["radioschwaben.de",[28,1100]],["silentworld.eu",[28,1325]],["tarnkappe.info",[28,44,286,1342]],["radiotirol.it",28],["suedtirol1.it",28],["hockeyreport.net",28],["pi-news.net",[28,89,229,1395]],["movie-share.one",28],["va-music-hits.one",28],["furche.at",29],["futurezone.at",30],["journalonko.de",30],["kress.de",30],["promiflash.de",[30,1089]],["gruen-weiss.at",31],["heute.at",32],["kitzanzeiger.at",34],["kleinezeitung.at",35],["kochrezepte.at",36],["kremser-sc.at",[37,38,39,40]],["americaurlaub.de",[37,475]],["pressecop24.com",[38,368]],["africa-positive.de",[38,75,462]],["golfmagazin.de",[38,810]],["synmag.de",38],["sgleutershausen.de",40],["kt1.at",41],["laola1.at",42],["ligaportal.at",[43,44,45]],["baupool.com",44],["bundesliga.com",44],["fnweb.de",44],["formel1.de",[44,754]],["laborjournal.de",[44,933]],["linux-magazin.de",44],["mannheimer-morgen.de",[44,959]],["traktorpool.de",44],["winfuture.de",[44,1290]],["rheintaler.ch",[45,194]],["11freunde.de",[45,436]],["amazona.de",[45,474]],["charivari.de",[45,600]],["dialo.de",45],["dynamo-dresden.de",[45,668]],["jetztspielen.de",[45,894]],["spielen.de",[45,572,734]],["maschinensucher.at",46],["maschinensucher.ch",46],["maschinensucher.de",46],["mediamarkt.at",47],["mediamarkt.de",[47,964]],["saturn.de",47],["meinbezirk.at",48],["nachrichten.at",49],["naturundtherapie.at",50],["osttirol-online.at",50],["kajak-magazin.com",50],["112-magazin.de",[50,150]],["highway-magazin.de",[50,155]],["kl-aktuell.de",50],["loz-news.de",50],["mef-line.de",50],["motorradundreisen.de",[50,991]],["pc-experience.de",50],["radio-oberland.de",50],["sonic-seducer.de",[50,1168]],["speyer-report.de",50],["spielbox.de",50],["tvbb.de",50],["vorsprung-online.de",50],["bassprofessor.info",50],["hitradio.com.na",50],["griechenland.net",50],["hifistatement.net",[50,1385]],["teneriffa-heute.net",50],["tennistraveller.net",50],["wahrschauer.net",50],["notebookforum.at",[51,52]],["mercedes-forum.com",[51,52]],["vermieter-forum.com",[51,52,417]],["1erforum.de",[51,52]],["bauexpertenforum.de",[51,52,519,520]],["dasheimwerkerforum.de",[51,52]],["elektrikforen.de",[51,417,519,685]],["fitness-foren.de",[51,52]],["lpgforum.de",[51,52]],["megane-board.de",[51,52,519]],["pkw-forum.de",[51,52]],["skodacommunity.de",[51,52,377,441,507,508,1160]],["toyota-forum.de",[51,52,377,441,442,507,1060,1230]],["mazda-forum.info",[51,52,1338]],["windows-7-forum.net",[51,52,519]],["nunu.at",53],["oe24.at",54],["oefb.at",[55,56]],["polizei-nachrichten.at",57],["beautytipps.ch",57],["business24.ch",57],["denkmalpflege-schweiz.ch",[57,132]],["events24.ch",57],["gourmetnews.ch",57],["moebeltipps.ch",57],["motortipps.ch",57],["reiseziele.ch",[57,132,193]],["atv-quad-magazin.com",57],["it-production.com",[57,314,315]],["umzugstipps.com",57],["celler-presse.de",[57,597]],["hansa-online.de",[57,229,833]],["hifi-today.de",57],["islamiq.de",57],["jungefreiheit.de",[57,896]],["lite-magazin.de",[57,943]],["oldenburger-onlinezeitung.de",57],["oscar-am-freitag.de",[57,229]],["radio-aktiv.de",[57,510]],["rechtsdepesche.de",[57,357]],["skipper-bootshandel.de",[57,1159]],["stadt-nachrichten.de",57],["unternehmermagazin.de",57],["via-ferrata.de",[57,120,151,340,357,1198,1263]],["werne-plus.de",57],["wir-leben-outdoor.de",57],["docma.info",57],["swz.it",[57,1358]],["betriebseinrichtung.net",57],["haushaltsapparate.net",57],["gailtal.news",57],["gitschtal.news",57],["greifenburg.news",57],["hermagor.news",57],["klagenfurt.news",57],["polizei.news",[57,193,357,1410]],["radenthein.news",57],["spittal.news",57],["steinfeld.news",57],["tierwelt.news",57],["troepolach.news",57],["villacher.news",57],["weissensee.news",57],["prnet.at",58],["healthhelp.ch",58],["perbene.ch",58],["daily-pia.de",[58,623]],["likehifi.de",[58,941]],["windowspower.de",[58,1288]],["prost-magazin.at",59],["puls24.at",60],["radio.at",61],["radio.de",61],["rockantenne.at",[62,63]],["antenne.de",63],["rockantenne.de",[63,94]],["schwaebische.de",[63,1027]],["rockantenne.hamburg",[63,94]],["antenne.nrw",63],["rts-salzburg.at",64],["sempre-audio.at",[65,66]],["coincierge.de",[65,607]],["fazemag.de",65],["fuldainfo.de",65],["maniac.de",65],["oberberg-aktuell.de",[65,1036]],["pictures-magazin.de",[65,1067]],["smarthomes.de",[65,1165]],["soeren-hentzschel.at",67],["spielen-slots.at",68],["spielen-slots.com",68],["spielen-slots.de",68],["sportsbusiness.at",69],["stimmt.at",70],["wiener-online.at",[70,87]],["ipadblog.de",[70,886]],["nh24.de",[70,102,119,245,296,559,612,765,1022]],["einkochen.info",70],["leserbriefe.info",70],["tips.at",[71,72]],["ariva.de",[72,300,492]],["otto.de",[72,1049]],["toolbox.webediagaming.de",72],["zdnet.de",72],["u1-radio.at",73],["versicherungsjournal.at",74],["versicherungsjournal.de",74],["viamichelin.at",75],["wetter.at",[75,84]],["autoscout24.ch",75],["badi-info.ch",75],["viamichelin.ch",75],["erochatcommunity.com",75],["arbeitszeugnisgenerator.de",75],["fischkopf.de",75],["nachtkritik.de",[75,1008]],["eurotrainer.ndz.de",75],["regenbogen.de",75],["viamichelin.de",75],["xwords.de",75],["androidhow.eu",75],["stol.it",[75,1355]],["erochatcommunity.net",75],["raetselhilfe.net",75],["vienna.at",76],["vienna-capitals.at",77],["vol.at",78],["volksblatt.at",79],["vsport.at",80],["w24.at",81],["websingles.at",82],["weltfussball.at",83],["latina-press.com",83],["weltfussball.com",83],["deutsche-wirtschafts-nachrichten.de",83],["einrichtungsbeispiele.de",[83,679]],["gevestor.de",83],["weltfussball.de",83],["wetteralarm.at",85],["wetteronline.at",86],["wetteronline.de",[86,1284]],["wiiunews.at",[88,89]],["bildschirmarbeiter.com",[89,262,263]],["onepiece-tube.com",[89,345,346,347]],["bitreporter.de",[89,229,346,556]],["chip.de",[89,349,504,603]],["nickles.de",89],["pcgamesdatabase.de",89],["ruhrbarone.de",89],["schule-studium.de",[89,263]],["naruto-tube.org",[89,345,1415]],["emok.tv",89],["willhaben.at",90],["wochenblick.at",91],["yenivatan.at",92],["zurzeit.at",93],["9elf-magazin.de",93],["rockantenne.bayern",94],["ostbelgiendirekt.be",95],["kostenlose-sexvideos.biz",96],["sexkostenlos.biz",96],["deutschepornos.co",96],["erotik-sexvideos.com",96],["geilesexclips.com",96],["gratis-sex-videos.net",96],["gratisfickvideos.net",96],["sexfilmetube.net",96],["xhamsterdeutsch.xyz",96],["myboerse.bz",[97,98]],["thinkpad-forum.de",97],["salto.bz",99],["russland.capital",100],["russland.news",100],["ddl-warez.cc",[101,102,103]],["bitcoinnews.ch",[102,118,119,120,121,122]],["blog-der-republik.de",102],["computerschach.de",[102,612]],["radzeit.de",[102,1104]],["ostfussball.com",103],["ebook-land.cc",104],["wochenblatt.cc",105],["20min.ch",[107,108]],["lessentiel.lu",107],["3fach.ch",109],["aarauer-nachrichten.ch",111],["st-galler-nachrichten.ch",111],["wiler-nachrichten.ch",111],["winterthurer-zeitung.ch",111],["zugerwoche.ch",111],["anzeigervomrottal.ch",112],["argovia.ch",113],["esports.ch",[113,136,137]],["radio24.ch",113],["scfreiburg.com",[113,381,382]],["europages.de",113],["frischauf-gp.de",[113,763]],["hc-elbflorenz.de",113],["mainpost.de",113],["svww.de",113],["bolzano-bozen.it",[113,1344]],["argoviatoday.ch",114],["fm1today.ch",114],["nzz.ch",[114,184]],["pilatustoday.ch",114],["swissmom.ch",[114,181]],["avguide.ch",115],["bauernzeitung.ch",116],["biete6.ch",117],["rlc-gamer.de",[118,120,1126]],["ecommerce-vision.de",120],["laufzeit.de",120],["ligablatt.de",121],["blick.ch",123],["bluewin.ch",124],["bueroblog.ch",125],["computerfachmagazin.de",125],["office-roxx.de",125],["cash.ch",126],["cherry.ch",[127,128]],["lust24.ch",[127,171]],["comback.ch",[129,130]],["h-bw.de",[129,647,821]],["cvj.ch",131],["fahrzeuglackiererforum.de",131],["pornotim.com",[132,364,365]],["xhamsterde.com",[132,426,427]],["derbund.ch",133],["engadinerpost.ch",134],["erotikinserate.ch",135],["sihf.ch",137],["hannover96.de",137],["p-stadtkultur.de",137],["explora.ch",138],["fcz.ch",139],["finanzen.ch",[140,141]],["finanzen.net",[141,349,504,505,550,588,1378]],["freiburger-nachrichten.ch",142],["fussball.ch",143],["wetter.ch",143],["wirtschaft.ch",143],["gut-erklaert.de",[143,818]],["fuw.ch",144],["fvnws.ch",145],["gamemovieportal.ch",146],["games.ch",[147,148]],["chemnitzerfc.de",147],["deutsche-mittelstands-nachrichten.de",147],["gastrojournal.ch",[149,150]],["radsport-news.com",150],["drwindows.de",150],["filmpost.de",150],["gesetzlichekrankenkassen.de",150],["helles-koepfchen.de",[150,853]],["lehrerfreund.de",150],["medizin-netz.de",150],["ntg24.de",[150,1033]],["oekotest.de",[150,1039]],["oktoberfestportal.de",150],["pharmazeutische-zeitung.de",[150,1065]],["sportal.de",150],["stuttgarter-zeitung.de",[150,527,534,1195]],["touristik-aktuell.de",150],["tweakpc.de",[150,1247]],["vhs-ol.de",150],["gazzettadellambri.ch",151],["glarus24.ch",152],["radiocentral.ch",152],["sunshine.ch",152],["gmx.ch",153],["gota6.ch",[154,155]],["sex-infos.ch",154],["greenbyte.ch",156],["rtl.de",[156,1133,1134]],["grower.ch",157],["help.ch",158],["homegate.ch",159],["hottime.ch",160],["immoscout24.ch",161],["itmagazine.ch",[162,163]],["gamereactor.de",[162,782]],["hardwareluxx.de",[162,208,442,836]],["mopo.de",[162,527,988]],["jamesfm.ch",164],["jobscout24.ch",165],["jungfrauzeitung.ch",166],["kath.ch",167],["lifechannel.ch",168],["local.ch",169],["lolabrause.ch",170],["lustmap.ch",172],["marina.ch",173],["medienjobs.ch",175],["prewarcar.de",[175,1083]],["medienwoche.ch",176],["my-ladies.ch",177],["my105.ch",178],["namibia-forum.ch",179],["nebelspalter.ch",181],["tt.com",181],["gebraucht-kaufen.de",[181,791]],["mixed.de",[181,322]],["northdata.de",181],["raetsel-hilfe.de",181],["it-daily.net",[181,1387]],["watchtime.net",181],["netzwoche.ch",182],["news.ch",183],["wort.lu",[184,1364]],["onlinereports.ch",185],["privatmarkt.ch",187],["radiobeo.ch",188],["radiofr.ch",189],["rasa.ch",190],["redsite.ch",191],["reisetopia.ch",192],["reisetopia.de",192],["metal.de",[194,976]],["telepolis.de",194],["i-fidelity.net",[194,769]],["rockitradio.ch",195],["vintageradio.ch",195],["rro.ch",196],["saiten.ch",197],["schweizer-illustrierte.ch",[198,199]],["anisearch.de",[199,481]],["herz-fuer-tiere.de",199],["schweizerbauer.ch",200],["search.ch",201],["sex4u.ch",202],["andalusien-aktuell.es",[202,1318]],["sexabc.ch",203],["sexy-land.ch",[204,205]],["annos.de",204],["dasoertliche.de",[204,626]],["shaz.ch",206],["simmentalzeitung.ch",207],["skiinfo.ch",208],["skiinfo.com",208],["bergsteiger.de",[208,534,535]],["skiinfo.de",[208,1158]],["videoaktiv.de",[208,1264]],["anrufer.info",[208,533]],["sportal.ch",209],["strafbock.ch",210],["eurogirlsescort.de",[210,701]],["suche6.ch",211],["suedostschweiz.ch",212],["swiss-divers.ch",213],["swissfunddata.ch",214],["testedich.ch",215],["testedich.de",215],["tieronline.ch",216],["tutti.ch",217],["urnerwochenblatt.ch",218],["vilan24.ch",219],["watson.ch",220],["weltwoche.ch",221],["woz.ch",222],["xdate.ch",223],["xerotik.ch",224],["xxxjob.ch",225],["zeitpunkt.ch",226],["zentralplus.ch",227],["zueri6.ch",228],["condor.cl",229],["literaturwelt.com",229],["anime2you.de",[229,480]],["cyclingmagazine.de",[229,510]],["pfalz-echo.de",[229,825]],["prad.de",[229,1079]],["elliniki-gnomi.eu",229],["funcloud.club",230],["perfektdamen.co",231],["esport.cologne",232],["11880.com",233],["11889.com",234],["1200grad.com",[235,236]],["rotor-magazin.com",235],["1milf.com",[237,238]],["frauporn.com",[237,238]],["xfilmen.com",[237,238]],["wildesporno.xxx",[237,1450]],["2ix2.com",239],["3druck.com",240],["cannabis-special.com",240],["supertipp-online.de",[240,402]],["5-sms.com",241],["abnehmen.com",242],["aquariumforum.de",242],["auswandererforum.de",242],["pferd.de",242],["aerotelegraph.com",[243,244]],["clever-tanken.de",[244,606]],["supremacy1914.de",244],["algarve-entdecker.com",245],["allround-pc.com",[246,247]],["supermarktblog.com",[247,402]],["amerikawoche.com",248],["anal-pornos.com",249],["astronews.com",250],["astroportal.com",251],["av-views.com",252],["bbc-magazin.com",254],["beeg-pornos.com",[255,256,257,258,259]],["deinesexfilme.com",[255,256,257,258,259,271,272]],["einfachtitten.com",[255,256,257,258,259,271,272]],["gutesexfilme.com",[255,256,257,258,259,271,272]],["hd-sexfilme.com",[255,256,257,258,259,271,272]],["herzporno.com",[255,256,257,259,272]],["lesbenhd.com",[255,256,257,258,259]],["meinyouporn.com",[255,256,257,258,259]],["milffabrik.com",[255,256]],["nursexfilme.com",[255,256,259,271,272]],["pornodavid.com",[255,256]],["pornofelix.com",[255,256,259,271,272]],["pornofisch.com",[255,256,257,258,259,271,272]],["pornohammer.com",[255,256,257,258,259,271,272]],["pornohans.com",[255,256,257,258,259,271,272]],["pornohelm.com",[255,256]],["pornojenny.com",[255,256,257,258,259,271,272]],["pornoklinge.com",[255,256,257,258,259,271,272]],["pornoleon.com",[255,256]],["pornolisa.com",[255,256,362]],["pornoritze.com",[255,256]],["pornoschlange.com",[255,256,259,271,272]],["pornosusi.com",[255,256]],["pornotanja.com",[255,256,362]],["pornotom.com",[255,256,257,258,259,271,272]],["pornotommy.com",[255,256,257,258,259,271,272]],["pornovideos-hd.com",[255,256]],["pornozebra.com",[255,256,257,258,259,271,272]],["sexente.com",[255,256,257,258,259,271,272]],["sexfilme-gratis.com",[255,256]],["sexvideos-gratis.com",[255,256,259,271,272]],["sexvideos-hd.com",[255,256,257,258,259,271,272]],["tube8-pornos.com",[255,256,257,258,259,271,272]],["xnxx-porno.com",[255,256,257,258,259,271,272]],["xnxx-sexfilme.com",[255,256,259,271,272]],["hd-pornos.info",[255,1336]],["halloporno.net",[255,256,259,271,272]],["hdpornos.net",[255,256,257,258,259,271,272]],["pornhub-sexfilme.net",[255,256]],["pornoaffe.net",[255,256]],["pornohirsch.net",[255,256,257,258,259,271,272,362]],["pornoente.tv",[255,256,257,258,259,271,272,362,1336]],["xnxx-pornos.xxx",[255,256]],["pornoaffe.com",[257,258,259]],["xhamster-sexvideos.com",[257,258,259]],["xhamster-sexfilme.com",[259,271,272]],["bergwelten.com",260],["berliner-stadtplan.com",261],["hamburger-stadtplan.com",261],["hannover-stadtplan.com",261],["leipziger-stadtplan.com",261],["muenchener-stadtplan.com",261],["potsdamer-stadtplan.com",261],["dein-plan.de",261],["spreewaldkarte.de",261],["das-sternzeichen.de",263],["gamingmedia.de",263],["meintomtom.de",[263,861,972]],["metacrawler.de",[263,335]],["seaofsin.de",263],["seaofsin.info",263],["boerse-express.com",264],["boerse-social.com",265],["buchstaben.com",266],["computersm.com",267],["connextra.com",268],["daswetter.com",270],["der-farang.com",[273,274]],["bluray-disc.de",[273,565]],["deutschsex.com",[275,276]],["deutschsex.mobi",275],["digital-eliteboard.com",[277,278]],["musiker-board.de",[277,278,1000,1001]],["woodworker.de",277],["macuser.de",[278,442]],["vielfliegertreff.de",278],["drpornofilme.com",279],["eindeutscherporno.com",280],["eintracht.com",281],["elektrobike-online.com",[282,283]],["outdoor-magazin.com",[282,350,351,352]],["aerokurier.de",282],["auto-motor-und-sport.de",282],["caravaning.de",[282,350,594]],["cavallo.de",[282,595]],["flugrevue.de",282],["menshealth.de",[282,594]],["motorradonline.de",[282,350,351,594]],["mountainbike-magazin.de",[282,352]],["outdoorchannel.de",282],["promobil.de",[282,350]],["roadbike.de",[282,283,352]],["runnersworld.de",[282,594]],["womenshealth.de",282],["erogeschichten.com",284],["erotikseitentest.com",285],["extremnews.com",286],["4investors.de",[286,447]],["apotheken-umschau.de",[286,487]],["dpd.de",286],["heise.de",[286,850]],["az.com.na",[286,356,1365]],["fcbayern.com",288],["feinehilfen.com",289],["ff-bz.com",290],["fickverein.com",[291,292]],["analsexporno.net",[292,360,363]],["frauporno.com",293],["fussballeuropa.com",294],["fussballtransfers.com",295],["geocaching-magazin.com",296],["gewinn.com",297],["goal.com",298],["guteporno.com",299],["handelsblatt.com",300],["handy-auf-raten.com",301],["hc-neumarkt.com",302],["hcgherdeina.com",303],["herthabsc.com",304],["tv.herthabsc.com",305],["hierspielen.com",306],["hornoxe.com",307],["hsvhandball.com",308],["htfgames.com",309],["image-hifi.com",310],["utvmagazin.de",[310,929]],["inselradio.com",311],["internet-sms.com",312],["intimesrevier.com",313],["focus.de",[315,349,505,750]],["fool.de",315],["journalistenwatch.com",316],["kachelmannwetter.com",317],["kauf6.com",318],["koerperverletzung.com",319],["urheberrecht.de",[319,886]],["scheidung.org",319],["kopfhoerer.com",320],["kuehlschrank.com",320],["schlafsack.net",320],["staubsauger.net",320],["fernseher.org",320],["laufband.org",320],["kriegsberichterstattung.com",[321,322]],["eu-vertretung.de",[322,645,698]],["kronenachrichten.com",323],["lapippa.com",324],["livestreamde.com",325],["liveticker.com",326],["lmdfdg.com",327],["madchensex.com",328],["mallorcamagazin.com",329],["mein-wetter.com",330],["kostenloses-fernsehen.de",[331,924]],["de.motor1.com",[332,333]],["insideevs.de",333],["motorsport-total.com",334],["msn.com",[335,336,337]],["mundus-art.com",338],["mydict.com",339],["mydict.net",339],["mygermantimes.com",340],["arbeitsunrecht.de",340],["boxen.de",340],["fruchthandel.de",[340,598,764,765]],["wirsiegen.de",[340,1293]],["pornofilm.zone",340],["notebookchat.com",343],["prosieben.de",[343,893,900]],["tvspielfilm.de",[343,349,893,1244]],["notebookcheck.com",344],["fairytail-tube.org",[345,346,1415]],["picdumps.com",[346,357]],["anderes-wort.de",346],["widgets.outbrain.com",349],["autobild.de",[349,501,502,503,504,505]],["computerbild.de",[349,502,504,505,534,611]],["gamestar.de",[349,504,505,780,785]],["musikexpress.de",[349,590,1002]],["n-tv.de",[349,504,505,1007]],["ran.de",[349,504,505,900,1105]],["rollingstone.de",[349,503,590,1129]],["sport.de",[349,1177]],["persoenlich.com",353],["photaq.com",354],["photovoltaikforum.com",[355,356]],["spox.com",[357,396,397]],["dkamera.de",[357,651]],["donau3fm.de",357],["isaswomo.de",[357,889]],["ofdb.de",357],["plista.com",358],["pokerfirma.com",359],["pornhutdeutsch.com",[360,361]],["free-gay.org",[360,1397]],["pornomonster.com",363],["scharfe-pornos.com",363],["deutsche-sexfilme.net",363],["xhammer.net",365],["port01.com",366],["pr0gramm.com",367],["radiodeutsch.com",369],["radsportjournaltourman.com",[370,371]],["nachrichten.es",[371,612,841]],["rbleipzig.com",372],["rc-modellbau-blog.com",373],["ecrbs.redbulls.com",374],["fussball.de",374],["reiseblog7.com",375],["rittnerbuam.com",376],["roboter-forum.com",[377,378]],["autoextrem.de",[377,441,507,508]],["pedelecforum.de",[377,507,1059,1060]],["uhrforum.de",[377,506,1251]],["de.rt.com",379],["running-magazin.com",380],["sgf1903.de",382],["schnittberichte.com",383],["schrift-generator.com",384],["segeljournal.com",385],["servus.com",386],["terramatermagazin.com",386],["sexgeschichten.com",387],["shop-apotheke.com",388],["sinn-frei.com",389],["snowsociety.com",390],["songtexte.com",391],["spanienlive.com",392],["speedweek.com",393],["spielesite.com",394],["sportscheck.com",395],["german-porno-deutsch.info",[397,1335]],["spreeblick.com",398],["startxxl.com",399],["strippokerregeln.com",400],["sumikai.com",401],["swoodoo.com",403],["szene-hamburg.com",404],["tagesstimme.com",405],["technic3d.com",406],["teneriffa-aktuell.com",407],["teneriffa-news.com",408],["trendmutti.com",410],["tri2b.com",411],["kinofilme.ucoz.com",412],["uhrenratgeber.com",413],["unnuetzes.com",[414,415]],["unsere-helden.com",415],["veggieboom.com",416],["genialetricks.de",416],["leckerschmecker.me",416],["jungewelt.de",417],["voucherwonderland.com",418],["wegwerfemailadresse.com",419],["weihnachts-filme.com",420],["froheweihnachten.info",420],["weihnachten.me",420],["weihnachts-bilder.org",420],["wetter.com",421],["wetter-deutschland.com",422],["wirtschaftslexikon24.com",423],["wochenblitz.com",424],["x-oo.com",425],["pornhubdeutsch.info",427],["xvideos-deutsch.com",428],["pornohut.info",[428,1339]],["youporndeutsch.info",428],["zenideen.com",429],["zuckerporno.com",430],["zwischengas.com",431],["pragerzeitung.cz",432],["89.0rtl.de",433],["100urlaubsziele.de",435],["14-tage-wettervorhersage.de",437],["1kh.de",438],["1und1.de",439],["home.1und1.de",440],["2ertalk.de",[441,442]],["usp-forum.de",[441,442,507]],["android-hilfe.de",[442,478]],["grillsportverein.de",442],["3dchip.de",443],["3drei3.de",444],["4crazy.de",445],["4fansites.de",446],["4players.de",449],["6profis.de",450],["90min.de",451],["hamburg-magazin.de",[451,828]],["kiel-magazin.de",[451,828]],["luebeck-magazin.de",[451,828]],["99damage.de",452],["a3kultur.de",453],["abendzeitung-muenchen.de",455],["abg-net.de",456],["abload.de",457],["ad-hoc-news.de",458],["adventures-kompakt.de",459],["aedt.de",460],["aerzteblatt.de",461],["agriaffaires.de",463],["nr-kurier.de",465],["ww-kurier.de",465],["aktionspiele.de",466],["mahjongspielen.de",466],["zeitmanagementspiel.de",466],["aktionspreis.de",467],["all-electronics.de",[468,469]],["automobil-produktion.de",468],["chemietechnik.de",468],["fertigung.de",[468,727]],["fluid.de",468],["instandhaltung.de",[468,883]],["ke-next.de",468],["kgk-rubberpoint.de",468],["ki-portal.de",468],["neue-verpackung.de",468],["pharma-food.de",468],["plastverarbeiter.de",468],["produktion.de",[468,469,883]],["technik-einkauf.de",[468,883,1211]],["werkzeug-formenbau.de",468],["automotiveit.eu",[468,469,883]],["alles-mahlsdorf.de",470],["alpin.de",[471,472]],["immobilienscout24.de",[471,875]],["amazon.de",473],["motormobiles.de",[475,990]],["trinkwasserguru.de",475],["amigafuture.de",476],["analysedeutschland.de",477],["angelshow.de",479],["aol.de",482],["apfeleimer.de",483],["apfelpage.de",484],["apfeltalk.de",485],["apotheke-adhoc.de",486],["gamekeyfinder.de",487],["kultur-port.de",[487,826,929]],["ok-weinstrasse.de",487],["arbeits-abc.de",488],["archiexpo.de",489],["directindustry.de",489],["medicalexpo.de",489],["nauticexpo.de",489],["rotelaterne.de",[489,1130]],["architekt.de",490],["glamping.info",490],["areadvd.de",491],["arminia.de",[493,494]],["rot-weiss-erfurt.de",494],["seo-united.de",494],["budapester.hu",[494,1330]],["asialadies.de",495],["avladies.de",495],["badeladies.de",495],["behaarteladies.de",495],["bizarrladies.de",495],["busenladies.de",495],["deutscheladies.de",495],["devoteladies.de",495],["dominanteladies.de",495],["erfahreneladies.de",495],["escorts24.de",495],["exklusivladies.de",495],["grosseladies.de",495],["hobbyladies.de",495],["jungeladies.de",495],["kussladies.de",495],["latinaladies.de",495],["massierendeladies.de",495],["mollyladies.de",495],["nsladies.de",[495,1032]],["nymphomaneladies.de",495],["orientladies.de",495],["osteuropaladies.de",495],["piercingladies.de",495],["rasierteladies.de",495],["schokoladies.de",495],["spielkarussell.de",[495,1174]],["tattooladies.de",495],["tsladies.de",495],["zaertlicheladies.de",495],["zierlicheladies.de",495],["astronomie.de",496],["astrotreff.de",497],["asv-hamm-westfalen.de",498],["au-ja.de",499],["augsburger-allgemeine.de",500],["autoexperience.de",506],["flugzeugforum.de",506],["xbox-passion.de",506],["gs-forum.eu",[506,1321]],["win-10-forum.de",507],["winboard.org",507],["autogazette.de",[509,510]],["schmunzelseite.de",510],["signal-online.de",510],["solaranlage-ratgeber.de",[510,852]],["xxx-amateur.eu",510],["autouncle.de",512],["b2run.de",513],["bafoeg-rechner.de",514],["studis-online.de",[514,1192]],["basic-tutorials.de",515],["basses-blatt.de",517],["beobachter-online.de",[517,533]],["einbecker-morgenpost.de",517],["gandersheimer-kreisblatt.de",517],["goldstar-tv.de",517],["romance-tv.de",517],["studio-magazin.de",517],["blaue-blume.tv",517],["bastel-elfe.de",518],["baur.de",521],["bayer04.de",[522,523]],["bvb.de",523],["dhb.de",523],["fc-union-berlin.de",[523,721]],["hallescherfc.de",[523,824,825]],["ofc.de",[523,1040]],["rundumkoeln.de",523],["uniliga.gg",[523,1329]],["bayernwelle.de",524],["bayreuther-tagblatt.de",525],["bbheute.de",[526,527]],["berliner-kurier.de",[527,536,537,538]],["berliner-zeitung.de",[527,536,537,539]],["bietigheimerzeitung.de",527],["blick.de",527],["donaukurier.de",[527,654]],["evangelische-zeitung.de",[527,537,538]],["frankenpost.de",527],["ingolstadt-today.de",[527,879,880]],["krzbb.de",527],["mittelbayerische.de",[527,879]],["np-coburg.de",527],["pnp.de",527],["bbqpit.de",528],["bbszene.de",529],["bbv-net.de",530],["stadtanzeiger-borken.de",530],["beat.de",531],["digitalphoto.de",[531,649]],["beliebtestewebseite.de",532],["drumsundpercussion.de",533],["eurogamer.de",[533,617]],["halle.de",533],["neuelandschaft.de",[533,1015]],["stereo.de",[533,1186]],["tourenfahrer.de",[533,859]],["berlinertageszeitung.de",540],["berlinmitkind.de",541],["berlinstadtservice.de",542],["bestattungen.de",543],["bhc06.de",544],["biallo.de",545],["bibliomed-pflege.de",[546,547]],["magistrix.de",[546,956]],["bigfm.de",548],["bikesport-emtb.de",549],["radfahren.de",549],["radsport-rennrad.de",549],["sportbild.bild.de",[552,553]],["businessinsider.de",[553,584,585]],["fitbook.de",[553,739,740]],["giga.de",[553,584,585,635,800,801]],["jetzt.de",[553,893]],["myhomebook.de",[553,584,585,739,1005]],["noizz.de",553],["sport1.de",[553,584,585,1179]],["t-online.de",[553,584,585,808,1202,1203]],["techbook.de",[553,739]],["transfermarkt.de",[553,584,585,893,1231]],["travelbook.de",[553,739,740]],["welt.de",[553,1279]],["bildercache.de",554],["biothemen.de",555],["bitsundso.de",557],["blaulichtreport-saarland.de",558],["tutonaut.de",[558,1238]],["blickpunkt-brandenburg.de",559],["katzeausdemsack.de",[559,904]],["sunshine.it",[559,1357]],["blinker.de",560],["blitzrechner.de",561],["blog-it-solutions.de",562],["blogprojekt.de",563],["blogtotal.de",564],["bmw-syndikat.de",566],["boerse.de",567],["boerse-daily.de",568],["boerse-online.de",569],["boersen-zeitung.de",570],["boersennews.de",571],["boomerangtv.de",572],["infosat.de",572],["meteovista.de",572],["rhein-zeitung.de",[572,1124]],["borussia.de",573],["browsergames.de",574],["brv-zeitung.de",575],["dtoday.de",575],["goslarsche.de",[575,814]],["pz-news.de",[575,1092]],["tageblatt.de",575],["teckbote.de",575],["weser-kurier.de",[575,617]],["btc-echo.de",576],["buenasideas.de",578],["buffed.de",[579,580,581,582]],["gamezone.de",[579,581,582]],["pcgames.de",[579,580,581,582,1055]],["pcgameshardware.de",[579,582,1056]],["gamesaktuell.de",[581,582]],["videogameszone.de",582],["bunte.de",583],["busplaner.de",586],["stylebook.de",[590,739,740]],["ww3.cad.de",591],["campervans.de",592],["reisemobil-international.de",592],["camping.de",593],["celleheute.de",596],["galaxy-ingolstadt.de",[597,777]],["championstream.de",598],["online-gebuehrenrechner.de",598],["vfl.de",[598,1260]],["ibooks.to",[598,1400,1437]],["channelpartner.de",599],["chartsurfer.de",601],["efahrer.chip.de",604],["praxistipps.chip.de",605],["praxistipps.focus.de",[605,751,752]],["com-magazin.de",608],["computerbase.de",610],["randombrick.de",612],["tollabea.de",[612,1224]],["computerwoche.de",613],["tecchannel.de",613],["connect.de",[614,615]],["pc-magazin.de",[614,615]],["vaterland.li",614],["coolibri.de",616],["countrymusicnews.de",617],["ka-news.de",[617,769,899]],["morningstar.de",617],["suedkurier.de",617],["crossmagazin.de",618],["curt.de",619],["curved.de",620],["custombike.de",621],["cz.de",622],["goettinger-tageblatt.de",622],["haz.de",622],["kn-online.de",622],["ln-online.de",622],["lvz.de",622],["maz-online.de",622],["neuepresse.de",622],["op-marburg.de",622],["ostsee-zeitung.de",622],["paz-online.de",622],["waz-online.de",622],["darts1.de",624],["dashcamtest.de",625],["dnv-online.net",[628,1374]],["deine-tierwelt.de",629],["deinhandy.de",630],["delamar.de",631],["der-rissener.de",632],["derkleinegarten.de",633],["designtagebuch.de",634],["desired.de",[635,636]],["familie.de",[635,636,715]],["kino.de",[635,800,913]],["spielaffe.de",635],["deutsche-apotheker-zeitung.de",637],["deutsche-versicherungsboerse.de",638],["deutscherskiverband.de",639],["dfb.de",640],["diebildschirmzeitung.de",641],["dieharke.de",642],["diekuechebrennt.de",643],["diesachsen.de",644],["digitalfernsehen.de",[645,646]],["digitalkamera.de",[647,648]],["djmag.de",650],["dogforum.de",652],["dolomiten.de",653],["fernsehserien.de",653],["douglas.de",655],["drehscheibe-online.de",656],["dreingau-zeitung.de",[657,658]],["linguee.de",658],["druckerchannel.de",659],["druckkosten.de",660],["dslr-forum.de",661],["dsv.de",662],["dtb.de",663],["dtb-tennis.de",664],["dubisthalle.de",665],["duden.de",666],["duesseldorfer-anzeiger.de",667],["e-formel.de",669],["quoka.de",[671,1095]],["ebay.de",672],["ebike-news.de",673],["ebook-fieber.de",674],["ef-magazin.de",675],["ego4u.de",676],["ehv-aue.de",677],["eihi.de",678],["einsteiger-keyboard.de",680],["eintracht.de",681],["eisbaeren.de",682],["eishockeynews.de",684],["elle.de",686],["esquire.de",686],["freundin.de",686],["harpersbazaar.de",686],["instyle.de",686],["eltern.de",687],["emmikochteinfach.de",[688,689]],["karrierebibel.de",[689,902]],["emtb-news.de",[690,691,692]],["mtb-news.de",[690,692,997]],["rennrad-news.de",690],["ladies.de",[692,934]],["emuenzen.de",693],["endstation-rechts.de",694],["englisch-lernen-online.de",695],["epd-film.de",696],["etcg.de",697],["euractiv.de",699],["eurocampings.de",700],["europa-landmaschinen.de",[702,703]],["suedtirolnews.it",702],["eurotransport.de",704],["eventelevator.de",705],["expert.de",706],["experten.de",707],["express.de",708],["ksta.de",[708,928]],["rundschau-online.de",[708,1136]],["f95.de",709],["fachzeitungen.de",710],["factsverlag.de",711],["fairaudio.de",712],["faktastisch.de",[713,714]],["frustfrei-lernen.de",[714,767]],["familienkost.de",716],["fanfiktion.de",717],["favicon-generator.de",718],["fc.de",719],["fc-hansa.de",720],["fcaugsburg.de",722],["fcbinside.de",723],["fcenergie.de",724],["fcschweinfurt1905.de",725],["femotion.de",726],["feuerwehrmagazin.de",728],["filmlaune.de",729],["filmstarts.de",730],["filmz.de",731],["finanzen-nerd.de",732],["finanzen100.de",[733,734]],["finanzmarktwelt.de",735],["finanznachrichten.de",[736,737]],["finanztreff.de",738],["fitforfun.de",[741,742]],["ibb-anzeiger.de",742],["suchen.mobile.de",[742,982]],["suedtiroltv.it",[742,1356]],["fkk24.de",743],["fla.de",744],["flaconi.de",745],["flashscore.de",746],["floatmagazin.de",747],["flugmodell-magazin.de",748],["trucks-and-details.de",748],["flz.de",749],["finanzfrage.net",751],["gutefrage.net",[751,1384]],["horizont.net",751],["netmoms.de",[752,1012]],["foodwissen.de",753],["fotohits.de",755],["fotomagazin.de",756],["frag-mutti.de",757],["freenet.de",758],["suche.freenet.de",759],["freiburgesports.de",760],["freiluft-blog.de",761],["fremdwort.de",762],["fuersie.de",[768,769,770,771]],["grazia-magazin.de",[768,769,816]],["idee-fuer-mich.de",[768,769,770,816]],["jolie.de",[768,769,770]],["leben-und-erziehen.de",[768,769,770]],["maedchen.de",[768,769,770]],["ok-magazin.de",[768,769,770,816]],["petra.de",[768,769,770]],["vital.de",[768,770,816,1266]],["inside-digital.de",[769,881,882]],["jagderleben.de",769],["kochbar.de",[769,919]],["fundresearch.de",772],["fussballn.de",774],["ga.de",776],["galeria.de",778],["team.gamed.de",779],["gamepro.de",[780,781]],["gamersglobal.de",783],["games-mag.de",784],["haus-garten-magazin.de",[786,841]],["gartenflora.de",787],["gartenschlumpf.de",788],["gawina.de",789],["gearnews.de",790],["geemag.de",793],["gekonntgekocht.de",794],["gelbeseiten.de",795],["gentleman-blog.de",796],["gernekochen.de",797],["gesundheit.de",[798,799]],["onmeda.de",[798,1045]],["watson.de",[800,808,1210,1273]],["glycerinwissen.de",802],["gn-online.de",803],["go2android.de",804],["godmode-trader.de",805],["goldpreis.de",806],["rheinische-anzeigenblaetter.de",808],["forum.golem.de",809],["jaegermagazin.de",810],["st-georg.de",810],["tennismagazin.de",810],["golfv.de",811],["goolive.de",813],["goyellow.de",815],["guenstiger.de",817],["gutekueche.de",819],["gwd-minden.de",820],["hallanzeiger.de",822],["hallelife.de",823],["hallespektrum.de",826],["hallo-minden.de",827],["hamburg-pride.de",829],["handballecke.de",830],["handy-player.de",831],["handyraketen.de",832],["hardware-helden.de",834],["hardware-mag.de",835],["hardwareschotte.de",837],["hartware.de",838],["haufe.de",839],["haus.de",840],["hausgeraete-test.de",842],["heimwerker-test.de",842],["hifitest.de",[842,857]],["haustechnikdialog.de",843],["hc-erlangen.de",844],["hceintracht-hildesheim.de",846],["hebelschein-spekulant.de",[847,848]],["werbestandard.de",847],["heimspiel-online.de",849],["heizsparer.de",[851,852]],["helpster.de",854],["herthabsc.de",855],["hifi.de",856],["hl-live.de",858],["hockeyweb.de",[859,860,861]],["scienceblogs.de",859],["unicum.de",[859,1253]],["wissenschaft.de",859],["news.de",[861,1019]],["hoerzu.de",862],["holstein-kiel.de",863],["homeandsmart.de",864],["hpd.de",865],["hsc2000.de",866],["hsg-pohlheim.de",867],["hsg-wetzlar.de",868],["ibiza-heute.de",870],["ifun.de",872],["iphone-ticker.de",872],["immo4trans.de",873],["immoauktionen.de",874],["indirekter-freistoss.de",876],["infoheute.de",877],["infranken.de",878],["tikonline.de",882],["integralrechner.de",884],["ableitungsrechner.net",884],["intersport.de",885],["presse-nachrichten.de",886],["iphone-tricks.de",887],["islamische-zeitung.de",890],["isnichwahr.de",891],["jameda.de",892],["juraforum.de",897],["kabeleins.de",900],["sat1.de",900],["sixx.de",900],["kalenderwoche.de",901],["kartfahrer-forum.de",903],["kaufland.de",905],["kauperts.de",906],["keyforsteam.de",907],["kfz-steuer.de",908],["kicker.de",909],["euro.kicker.de",910],["forum.kinder.de",911],["kinderspiele-welt.de",912],["klamm.de",914],["klappeauf.de",915],["klartext-ne.de",916],["kleinanzeigen.de",918],["koeln.de",920],["koelner.de",921],["korrekturen.de",922],["kostenlose-urteile.de",923],["kreativfieber.de",925],["kriminalpolizei.de",926],["kroatien-nachrichten.de",927],["kunst-zeiten.de",930],["kunststoffweb.de",931],["l-mag.de",932],["laengengrad-breitengrad.de",935],["land-der-traeume.de",936],["lecker.de",937],["praxisvita.de",937],["lerntippsammlung.de",938],["lexolino.de",939],["lifeverde.de",940],["lippe-news.de",942],["lokalezeitung.de",944],["lokalkompass.de",945],["lokalmatador.de",946],["lovelybooks.de",948],["lowbeats.de",949],["lust-auf-kroatien.de",950],["macgadget.de",951],["maclife.de",952],["mactechnews.de",953],["mahjongkostenlos.de",957],["mainz05.de",958],["manomano.de",960],["marketing-boerse.de",961],["markt.de",962],["mediabiz.de",963],["meedia.de",965],["meetingpoint-brandenburg.de",966],["mein-mmo.de",967],["mein-pferd.de",968],["mein-schoener-garten.de",969],["meinestadt.de",971],["merkurist.de",973],["messweb.de",974],["metager.de",975],["mietminderungstabelle.de",977],["mikanews.de",978],["mo-web.de",979],["mobile.de",980],["m.mobile.de",981],["mobilegeeks.de",983],["modernhifi.de",984],["momondo.de",986],["moonsault.de",987],["morecore.de",989],["moviejones.de",992],["moz.de",993],["swp.de",[993,1201]],["msh-online.de",994],["nnz-online.de",994],["msxfaq.de",995],["mt.de",996],["bikemarkt.mtb-news.de",998],["mufa.de",999],["recording.de",1001],["mv-spion.de",1003],["myfont.de",1004],["myself.de",1006],["nationalgeographic.de",1009],["naturalhorse.de",1010],["nd-aktuell.de",1011],["netzkino.de",1013],["neue-braunschweiger.de",1014],["neumarkt-tv.de",1016],["neumarktaktuell.de",1017],["neuwagen.de",1018],["newzs.de",1020],["nextpit.de",1021],["nibelungen-kurier.de",1023],["nn.de",1024],["nordbayern.de",[1024,1025]],["nordkurier.de",[1026,1027]],["notebookinfo.de",1028],["noz.de",1029],["nrhz.de",1030],["nrwhits.de",1031],["ntz.de",1034],["scdhfk-handball.de",[1034,1140]],["nur-positive-nachrichten.de",1035],["obermain.de",1037],["rhoenundsaalepost.de",1037],["oekoportal.de",1038],["offroadforen.de",1041],["oljo.de",1042],["onlinehaendler-news.de",1043],["onlineuebung.de",1044],["onvista.de",1046],["ostfriesischer-kurier.de",1047],["osthessen-news.de",1048],["oxmoxhh.de",1050],["oz-online.de",1051],["paradiso.de",1052],["parfumo.de",1053],["partyamt.de",1054],["radsport-seite.de",[1058,1103]],["aus-liebe.net",[1058,1367]],["persoblogger.de",1061],["perspektive-mittelstand.de",1062],["pferd-aktuell.de",1063],["pferdekult.de",1064],["photographie.de",1066],["pinksugar-kessy.de",1068],["planetradio.de",1070],["playfront.de",1072],["ploetzblog.de",1073],["pnn.de",1074],["tagesspiegel.de",[1074,1207]],["podcast.de",1075],["pokewiki.de",[1076,1077]],["timeanddate.de",1076],["popkultur.de",1078],["preis.de",1080],["preis24.de",1081],["preissuchmaschine.de",1082],["print.de",1085],["prinz.de",1086],["produck.de",1087],["professional-audio.de",1088],["prosiebengames.de",1090],["psychic.de",1091],["rheinpfalz.de",1092],["zvw.de",1092],["qiez.de",1093],["queer.de",1094],["radiobob.de",1096],["radioguetersloh.de",1097],["radioholiday.de",1098],["radiosaw.de",1099],["radioszene.de",1101],["radmarkt.de",1102],["ratehase.de",1106],["rc-news.de",1107],["readersdigest.de",1108],["realtotal.de",1109],["regensburg-digital.de",1110],["regioactive.de",1111],["reimmaschine.de",1112],["reise-preise.de",1113],["reisereporter.de",1114],["reiseuhu.de",1115],["news.reiseuhu.de",1116],["rendsburgerleben.de",1117],["restegourmet.de",1118],["rewe.de",1119],["shop.rewe.de",1120],["rezeptwelt.de",1121],["rheiderland.de",1122],["rhein-neckar-loewen.de",1123],["ride-on-magazin.de",1125],["spielesnacks.de",[1126,1173]],["rnd.de",1127],["rollertuningpage.de",1128],["rp-online.de",1131],["rsa-radio.de",1132],["vox.de",1134],["rund-magazin.de",1135],["saechsische.de",1137],["satvision.de",1139],["schalke04.de",1141],["schausteller.de",1142],["schiene.de",1143],["schlager.de",1144],["schwedenstube.de",1145],["scifiscene.de",1146],["scp07.de",1147],["seekxl.de",1148],["seenluft24.de",1149],["selbstaendig-im-netz.de",1150],["seo-suedwest.de",1151],["seorch.de",1152],["adspecials.sevenonemedia.de",1153],["sg-flensburg-handewitt.de",1154],["shopanbieter.de",1155],["sims4ever.de",1156],["sis-handball.de",1157],["tvtoday.de",1159],["sport.sky.de",1161],["slashcam.de",1162],["smart-rechner.de",1163],["smartdroid.de",1164],["smartphonemag.de",1166],["smsgott.de",1167],["sparneuwagen.de",1169],["spiele-kostenlos-online.de",1171],["spiele-umsonst.de",1172],["spielregeln.de",1175],["spiesser.de",1176],["sport-90.de",1178],["sportbuzzer.de",1180],["sportradio-deutschland.de",1181],["spot-on-news.de",1182],["sprachnudel.de",1183],["ssv-jahn.de",1184],["stereoguide.de",1187],["steuerlinks.de",1188],["stimme.de",1189],["stock-world.de",1190],["strafbuch.de",1191],["studysmarter.de",1193],["tirol.de",[1197,1222]],["supermarkt-inside.de",[1198,1199]],["swim.de",1200],["www-t--online-de.cdn.ampproject.org",1202],["suche.t-online.de",1204],["t3n.de",1205],["tagblatt.de",1206],["interaktiv.tagesspiegel.de",1208],["tchgdns.de",1209],["tech-review.de",1210],["techstage.de",1212],["teilzeithelden.de",1213],["teltarif.de",1215],["tennis.de",1216],["teslamag.de",1217],["tff-forum.de",1218],["thsv-eisenach.de",1219],["tiervermittlung.de",1220],["tippscout.de",1221],["tobitech.de",1223],["tomsnetworking.de",1225],["tonight.de",1226],["tonspion.de",1227],["tourispo.de",1229],["trendyone.de",1232],["tri-mag.de",1233],["tritime-magazin.de",1234],["trvlcounter.de",1235],["tsg-hoffenheim.de",1236],["tsv1860.de",1237],["tv-huettenberg.de",1239],["tvdigital.de",1240],["tvg-grosssachsen.de",1241],["tvhalle.de",1242],["tvinfo.de",1243],["m.tvspielfilm.de",1245],["tvsportguide.de",1246],["typo3blogger.de",1248],["ubuntu-forum.de",1249],["uepo.de",1250],["ukraine-nachrichten.de",1252],["unterwasserwelt.de",1254],["utopia.de",1256],["veggies.de",1257],["velomotion.de",1258],["verlagshaus-jaumann.de",1259],["vfl-gummersbach.de",1261],["vfl-wolfsburg.de",1262],["vip.de",1265],["live.vodafone.de",1267],["volleyball-bundesliga.de",1268],["vrnerds.de",1269],["tippspiel.wa.de",1270],["wasserburger-stimme.de",1272],["wayfair.de",1274],["weekli.de",1278],["weristdeinfreund.de",1280],["werkenntdenbesten.de",1281],["wetter.de",1282],["wetterbote.de",1283],["wg-gesucht.de",1285],["wiesbaden.de",1286],["will-mixen.de",1287],["windowspro.de",1289],["winfuture-forum.de",1291],["wintotal.de",1292],["wissens-quiz.de",1295],["wohnglueck.de",1296],["wohnungswirtschaft-heute.de",1297],["fussballnationalmannschaft.net",[1297,1380]],["wolfsrevier.de",1298],["forum.worldofplayers.de",1299],["wp-koenigin.de",1300],["wohnidee.wunderweib.de",1301],["wz.de",1302],["xgadget.de",1303],["xmedia-recode.de",1304],["xn--schne-aussicht-xpb.de",1305],["xn--solitr-fua.de",1306],["xn--spidersolitr-qcb.de",1307],["xnxx2.de",1308],["yasni.de",1309],["yoga-aktuell.de",1310],["zentrum-der-gesundheit.de",1312],["zfans.de",1313],["zitate-online.de",1314],["zum.de",1315],["zumfahren.de",1316],["nordschleswiger.dk",1317],["cannabis-medic.eu",1320],["kalender-365.eu",1322],["mdz-moskau.eu",1323],["quadjournal.eu",1324],["vanion.eu",1326],["lounge.fm",1327],["primeleague.gg",1328],["data-load.in",1331],["balaton-zeitung.info",1332],["codecheck.info",1333],["ero-world.info",1334],["hockey-news.info",1337],["rundschau.info",1340],["ssv-brixen.info",1341],["barfuss.it",1343],["buongiornosuedtirol.it",1346],["kultur.bz.it",1347],["dererker.it",1348],["dervinschger.it",1349],["hceppan.it",1350],["puschtra.it",1351],["sbb.it",1352],["nydus.org",[1352,1420]],["sportclub-meran.it",1353],["ssvbozenhandball.it",1354],["trauerhilfe.it",1359],["wallis24.it",1360],["volksblatt.li",1361],["filmstreaming-de.life",1362],["diegrenzgaenger.lu",1363],["archzine.net",1366],["belgieninfo.net",1368],["bundesliga-streams.net",1369],["chilloutzone.net",1370],["chinahandys.net",1371],["otr.datenkeller.net",1372],["dforum.net",1373],["g.doubleclick.net",1375],["edelsteine.net",1376],["sternzeichen.net",1376],["elektroauto-news.net",1377],["fupa.net",1379],["gartenratgeber.net",1382],["grenzecho.net",1383],["hstt.net",1386],["italienisch-lernen-online.net",1388],["kostenlosspielen.net",1389],["kreuzwort-raetsel.net",1390],["lavendel.net",1391],["mikrocontroller.net",1392],["my-homo.net",1393],["pesterlloyd.net",1394],["porno-himmel.net",1396],["pornohutdeutsch.net",1397],["sexfilme24.org",1397],["raidrush.net",1398],["raptastisch.net",[1399,1400]],["sexei.net",1401],["sexfilmegratis.net",1402],["sexvideoskostenlos.net",1402],["sims-3.net",1403],["staedte-info.net",1404],["taucher.net",1405],["breakpoint.untergrund.net",1406],["usa-info.net",1407],["warez-ddl.net",1408],["zensiert.net",1409],["report24.news",1411],["6chat.org",1412],["anime-loads.org",1413],["dejure.org",1414],["german-bash.org",1416],["metropolico.org",1417],["modified-shop.org",1418],["n-mag.org",1419],["outleter.org",1421],["parcello.org",1422],["travelguide-en.org",1423],["tschechien-online.org",1424],["zeno.org",1425],["wochenblatt.pl",1426],["wein.plus",1427],["hallobuer.ruhr",1428],["boerse.sx",1429],["goldesel.sx",[1430,1431]],["blockbuster.to",[1431,1434]],["laden.to",[1431,1440]],["saugen.to",[1431,1442]],["blackdevils.team",1432],["darkpantersclan.de.tl",1433],["gload.to",1435],["hd-source.to",1436],["kinoger.to",1438],["kinomax.to",1439],["pornkinox.to",1441],["xrel.to",1443],["fight24.tv",1444],["mywheels.tv",1445],["sportdeutschland.tv",1446],["hoerbuch.us",1447],["jungle.world",1448],["hammerporno.xxx",1449]]);

const entitiesMap = new Map(undefined);

const exceptionsMap = new Map(undefined);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
