/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: fin-0

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = ["div[id*=\"AdContainer\"]","#block-annonsblockx6,\n#block-bilwebbenmobileteaser,\n#block-googleaddesktopinsider,\n#block-marknadenmobileteaser,\n#block-stickyannons,\n#block-views-block-bilwebben-block-1,\n#block-views-block-company-ads-block-1,\n.editorial-ad,\n.views-element-container:has(a[href^=\"https://www.marknaden.ax/annons\"]),\ndiv[id|=\"block-googleadmaincontent\"]",".panorama",".mobileads,\n.videoad_container,\n.wpb_column.vc_column_container.td-pb-span8:has([src$=\"adsbygoogle.js\"]),\n.wpb_column.vc_column_container.td-pb-span8:has(a[onclick*=\"banner\"]),\n.wpb_content_element.wpb_text_column:has(div[class|=\"g g\"])",".ae-bg-gallery-type-default.elementor-section-height-default.elementor-section-boxed.elementor-hidden-phone.has_ae_slider:has([src=\"https://securepubads.g.doubleclick.net/tag/js/gpt.js\"]),\n.elementor-location-header .topp","#petition_page_top_ad","#div-ad-below-message,\n.pageWidth > div[style=\"min-height:90px;text-align:center;margin:auto;\"],\n.sidebar > div[style=\"min-height:250px;text-align:center;margin:auto;\"]","[href^=\"https://tc.tradetracker.net/\"],\ndiv.text-center.col-sm-6 > a[rel$=\"nofollow\"]","#block-local-offers-widget-front,\n.optionset-imported-ads,\n.revive-block,\n.view-imported-ad-ams",".ad.right-col-box,\n.banner-slot-box,\n.section-inner:has(> .banner-slot),\n.section-inner:has(> div[style] > .sanoma-ad-banner),\n[class^=\"banner-slot-preroll\"]",".text-link[href*=\"&utm_medium=banner&utm_campaign=\"],\n.text-link[href^=\"https://clk.tradedoubler.com/\"]",".ad-slot,\n.mobile-leaderboard-container,\n.resize-container","div[id^=\"dfp__\"]",".ad-container","a[href*=\"bannerTrack\"]","#outstream,\n.pnad-container",".td-post-content > .social-share ~ *,\nbody.post-template-default * .td-main-content-wrap:has(.tdt-ad-wrap)",".bc--grey-neutral-50,\n.card-article-ads","#topBanner","a[href*=\"tema.fi\"]",".affilistaukset,\n.leovegas,\n[class^=\"mstila\"],\na[href^=\"https://ads.expekt.se/\"],\na[href^=\"https://ads.mrgreen.com/\"],\na[href^=\"https://promo.leovegas.com/\"],\na[href^=\"https://stake.com/\"],\na[href^=\"https://www.expekt.com/\"],\na[href^=\"https://www.leovegas.com/\"],\ndiv[class=\"artikkeli_body\"] > p:first-of-type > a[href$=\".gif\"],\ndiv[class=\"artikkeli_body\"] a[href*=\"-Expekt-\"],\np img.alignnone[src$=\".png\"][alt=\"\"][width=\"2560\"][height^=\"20\"]","div[id|=\"almad\"]",".pb30:has(.adsbygoogle)","a[aria-label=\"Mainostaja\"],\na[aria-label=\"Mainostajan linkki\"],\ndiv[aria-label=\"Hakutulokset\"][role=\"main\"] [role=\"feed\"] [role=\"article\"]:has(a[aria-label=\"Sponsoroitu\"][href^=\"/ads/about/\"]),\ndiv[role=\"complementary\"] > div > div > div > div > div:not([class], [data-visualcompletion]) > span:has([aria-label=\"Mainostaja\"])","#billboard,\n#logopal,\n.flexibox,\n.shopster,\ndiv[class*=\"adbox\"],\ndiv[style=\"background: rgb(246, 66, 100) none repeat scroll 0% 0%; color: rgb(255, 255, 255); padding: 20px;\"]","#ipsLayout_mainArea > center,\n.ipsLayout_sidebarright,\n[data-nbenhadv]","#findance_desktop-top,\n#findance_mobile-top,\ndiv[id^=\"adslot_content\"],\ndiv[id^=\"adslot_sidebar\"]","#page-body > div[style=\"width:728px; margin:0 auto; padding:10px 0;\"]",".futis-sticky-footer[data-futis-trackbid]",".adv-link",".advr_box,\n.mvp-side-widget.widget_text,\n.pum-overlay,\n.wp_rss_retriever + div[style^=\"margin-top:\"],\n.wp_rss_retriever[style^=\"background:\"],\n[class^=\"top-banner-\"],\n[data-advadstrackid],\n[href=\"https://bonuspanda.com/fi/\"],\n[href=\"https://casinogorilla.com/fi/nettikasinot/\"],\n[href=\"https://pussit.com\"],\n[href=\"https://www.halvinlaina.fi\"],\n[href=\"https://yrityslaina.com\"]","#gp-natives,\n.ad-separatator,\n.carousel-cell--native,\n.content-continues-after-ad,\n.golfliitto-articles__commercial,\n.main-native,\n.native-carousel,\n.search-results > .section--ad__mob,\n.section--ad__panorama,\n.section--ad__rectangle,\n.section-native-list,\nbody.bbpress > .content-wrapper .section--ad,\ndiv:has(> #gp-native-1)",".td_block_template_1.td-a-rec-id-custom-spot.td-a-rec.td-block,\na[href$=\"koronaavastaan.fi/?ref=metrotuotanto\"]",".td-a-rec-id-sidebar","A[href=\"http://www.satshop.fi\"]",".boxi","div[class|=\"g g\"]","#cmorelink,\n.inline-txtad,\ndiv[class=\"block block-block\"]",".adv,\n.adv_content,\n.adv_side",".custom_banners_big_linkbefore-content,\n.custom_banners_big_linkwidget,\n[class^=\"custom_banners_big_linkcontent\"],\n[id^=\"_ning_zone_\"]","#mini-panel-autodoc_150x50,\n.gam-holder",".kiekk-footer-sticky[data-kiekk-trackbid]","[style^=\"text-align:center;margin-left:auto !important;margin-right:auto !important;height: 420px; margin-top:60px\"]",".oxy-modal-backdrop",".block-mainos","#secondary #block_widget-4,\n.bannerma",".code-block",".banners","a[href*=\"adsrv\"],\ndiv[class=\"main-bottom\"]",".addme","[href^=\"https://www.kasinokaverit.com/\"],\n[href^=\"https://www.lainaovi.fi/\"]",".lead-collector-cta",".strossle > div[class*=\"post-ad\"]",".md\\:bg-gray-200.md\\:max-w-full.md\\:px-4.md\\:py-4",".bg-white.mb-6:is(.p-3, .p-4):has([href*=\"/advertoriaali/\"])","#ad-300x150,\n#ad-300x300,\ndiv[class=\"ad230x90\"]",".ads",".pnadg-container","[href$=\"/pitkavetovihjeet/\"]",".mvp-post-ad-wrap","div[aria-label=\"Siirtymisruutu\"] ~ div[data-max-width=\"2400\"] + div[class]","#bottom-offer","#banneri_yla,\n.banner.content",".advert",".paid-content-wrapper",".widget_ads_carousel,\n.widget_adwidget,\n.widget_hintaopasbestprice,\nSECTION[id*=\"hintaopaspopular\"],\narticle.grid__item_1-2:has(> div.nativead)","[href=\"https://www.kasinokaverit.com/ilmaiskierroksia-nettikasinoilla/\"],\n[href=\"https://www.nainen.com/lainoja-kilpailuttamalla-saastat-aikaa-ja-rahaa/\"]","#art_right_banner:has(> [id|=\"almad\"]),\n.homepage-adspot","#article_sh li:has(.homepage-adspot-list)","#banner_area,\n.lazyLoadInhouseBanner,\n.topBannerMinHeight,\n[class*=\"pt\"][class*=\"pb\"][style*=\"border-top:1px solid #b3b3b3\"]","#article_box li:has([id|=\"almad-post-content\"])","#homeBottomBoxBanner,\n#homeTopBoxBanner,\n#huge_banner,\n#largeViewHouseBanner,\n.inh_banner_nl,\n.leftAdvDiv,\n.listing:not([data-id]):not(.tricky_link_listing)",".itemlist > li:not(.block_list_li)","div.nc_r_banner","#smallViewHouseBanner,\n.article-blocks__item:has(> [id|=\"almad-post-content\"]),\n.grid-x.cell:has(> [id|=\"almad-content\"])","body > .huge-banner",".article-blocks__item:has(> .block-row > [id|=\"almad-post-content\"]),\n.grid-x.cell:has(> #banner-container-HomePageBanner > [id|=\"almad-content\"])","#offer,\n#tulos-etu",".samBannerUnit,\n.samCodeUnit,\n.td-header-sp-recs",".js-notices.notices--block.notices","#nav + div[style=\"text-align:center;min-height:280px\"]","a[href^=\"https://pelaajat.com/out/\"] > img,\na[href^=\"https://www.freelaskutus.fi/\"],\ndiv[style=\"background:white;max-width:320px;padding:10px;margin-top:10px;\"]:has([id^=\"pelaajatcom-boksi\"])","#adiniframe_oikealaita_container,\n#bookingnostokuvasarjassa,\n#mainos .ilmoitus,\n#pm_mp_kotisivu,\n[id^=\"pm_mp_tekstissa\"]","br:has(+ br + ins[class=\"adsbygoogle\"]),\nbr:has(+ ins[class=\"adsbygoogle\"])",".adv_ads_ad_unit","center","a[href*=\"banner\"]",".banner-slot-preroll","[href^=\"http://ads.leovegas.com/\"],\n[href^=\"http://www.primeslots.com/\"],\ndiv#panorama_container,\ndiv[style=\"font-size:14px;line-height:21px;padding-top:6px;\"],\ndiv[style=\"padding-bottom:10px;border-bottom:1px solid gray;margin-bottom:6px;\"]:has(script[type=\"text/javascript\"]),\ndiv[style=\"padding-bottom:10px;margin-bottom:6px;border-top:1px solid gray;margin-top:6px;\"] + [type=\"text/javascript\"] + div,\ndiv[style=\"padding-bottom:10px;margin-bottom:6px;border-top:1px solid gray;margin-top:6px;\"] + table[width=\"468\"] + div,\nscript[src^=\"http://adserving.unibet.com/ad.aspx\"] + div[style=\"padding-bottom:10px;margin-bottom:6px;border-top:1px solid gray;margin-top:6px;\"],\ntable[width=\"468\"],\ntable[width]:has(script[class=\"teads\"]):not(:has(.category_story_unit))","[href$=\"/nettikasinot/\"],\n[href$=\"/nettikasinot/\"] + .dropdown-toggle","[data-bottom-floater]",".menu-item:has([href*=\"/veikkausvihjeet\"])",".menu-item:has([href$=\"/pitkavetovihjeet/\"])","a[href^=\"https://on.vallila.fi/\"],\np a[href^=\"https://related.iittala.com/\"],\np:has(strong):has(a[href=\"http://www.curaofsweden.com/fi\"])",".adf-placement-top",".annons",".panorama-wrapper",".advertisement","#mvp-leader-wrap,\n.clever-core-ads,\n.uutis-footer-sticky[data-uutis-trackbid]",".menu-item:has([href$=\"/vedonlyonti/\"])","#text-8,\n#text-9,\n.listing-item:has(> .item-inner > .native-title)","#secondary a[href^=\"https://diamondbeverages.fi/\"],\n#secondary a[href^=\"https://wihuri.metrotukku.fi/\"]",".advertising",".service-ad-panel","article[class]:has(> a[href^=\"https://tilaa.sanoma.fi/al-digi\"][href$=\"etusivu_flash\"])",".teaser-ad__background",".ticker--promo-10,\ndiv[class] > a[href^=\"https://tilaa.sanoma.fi/\"]","[data-info-container-text^=\"MAINOS\"]","div[class$=\"nativead\"]",".teivo-sidebar",".feedraviraportit:has(.mainosfeedravi)","[href=\"/tilaa-lehti\"]",".vaihtuvamainos,\ndiv[class=\"w-full md:w-2/5 pt-6 md:pt-0 pl-0 md:pl-8\"]",".ugaam-archive-ad-wrapper",".box--full.grid__container.clearfix,\n.magazineorderwidget__content,\n.sidebar-block:has(img.awpo-lazy)",".sidebar-block > a[href^=\"http://pubads.g.doubleclick.net/gampad/clk\"],\n[href*=\"paratiisi.fi\"]","#front_after_menu,\n.latest_sima,\n.soliloquy-link,\n.widget.sima",".px-4.py-2.bg-white.w-full:has(.poppartners)","#tilt-ad-top-stay-away",".px-4.py-2.bg-white.w-full:has([data-ad-unit-id])",".grid__item_1:has(> [id^=\"dfp__native-card\"]),\nli:has([id^=\"dfp__native-card\"])",".widget_nativearticles","#huomiotekstilinkki[href^=\"https://tilaus.\"]",".frontpage-banner,\n.native-comms","div[class*=\"PageBlock__ContentContainer\"]:has(div[class*=\"ContentSpotlightBlock__AdLabel\"])","[class*=\"ad__component\"],\n[class^=\"Ad__AdRoot\"]","ul[class*=\"relatedContent__list\"] > li:has([class*=\"ContentCard__AdLabel\"])",".ads-parade-wrapper,\na[href^=\"https://www.arvopaperi.fi/kumppanisisallot/\"][target=\"_self\"]:not(section > a),\ndiv#skyscraper-height-div > aside > div:has(a[href^=\"https://www.arvopaperi.fi/kumppanisisallot/\"])","[width]:has(.lazyload-wrapper):not(aside)","[class*=\"p2m385-\"]",".head.the-wrap,\n[id|=\"bunyad-widget-ads\"]",".pb[lazied],\n[id^=\"pb_cont\"].pb:has(> a[href^=\"/clk2?\"])","#pb_bottom,\n.box_dt,\n[href^=\"/clk\"]",".pb_t","div[class*=\"advertorial\"]",".teaser--ad",".front-page-ad-padding,\n.front-page-advertisement",".widget:has(.widget_advads_ad_widget)","#cm-banner",".sidebar-block:has([id^=\"adsivupalkki_\"])","#rt-sidebar-b",".advs,\n.moduletable:has(.advs)",".ad-wrapper,\n.widget_caravanlehti-ad,\nmain section.block-notices","[id^=\"afscontainer\"]","div[class=\"flex flex-wrap md:flex-nowrap lg:flex-nowrap gap-x-4\"][style=\"min-height:500px;\"]",".poppartners",".border-bottom.row:has(.poppartners),\ndiv[data-recommendation-type=\"ad\"]","div.min-h-\\[450px\\]",".px-4.py-2.border-b.border-gray-200.bg-white.w-full","div[style=\"min-height:450px;\"]","div[class=\"w-full bg-white border-gray-200 border-b py-2 px-4\"]:has([id*=\"_smart_boksi\"])","body:not(.post-type-archive-advertoriaali) .bg-white.p-3.mb-6:has(a[href*=\".fi/advertoriaali/\"])",".wrepper.mx-auto > .row[style=\"margin-bottom:20px\"]","div[class^=\"AdStyles__Wrapper\"],\ndiv[class^=\"OrderMagazinestyles__Container\"]","[data-banner-horseshoe]",".ni_holder",".js-fragment-web-lazy_carousel","._ning_outer","[id|=\"adni_widgets\"]",".compareGoogleCell",".swiper-slide:has(div[class*=\"ContentCard__AdLabel\"]),\ndiv[class^=\"EmbeddedArticle__Container\"]:has(div[class*=\"CommercialLabelContainer\"])","div[class^=\"ContentFlowBlock__CardContainer\"]:has(div[class*=\"ContentCard__AdLabel\"])","#div-leeadsFullpageAd,\n.article-ad-container,\n.commercial-row","div[style=\"min-height:300px;\"]",".widget_text:has([data-ad-unit-id]),\ndiv[id^=\"article-ad\"]",".dls-loaded","._3GUme._1hdYd:has(a[href^=\"https://pointti.fi\"])",".bg-elisa-dark,\n.bg-viaplay-dark-gray",".md\\:max-w-full.md\\:px-4.py-4:has([data-ad-unit-id])",".DfpAdSlot_dfp-ad-slot",".Index_native-ads",".Article_native-ads","div[class^=\"ad\"]",".page-notes > .note--highlight",".views-row:has(.is-commercial)","#annonsspalt,\n#leaderboard,\n.annonspekare",".sponsoredrow",".alp-advert",".thirstylinkimg","[href^=\"https://online.adservicemedia.dk/cgi-bin/click.pl\"]","#ad_global_below_navbar",".Advertisement__Box,\n.Advertisement__Box--with-padding,\n.Advertisement__Top,\n.FrontPageSpots__Ad",".banner-wrapper,\n.banner_middle",".content-article.h-container:has(#FKM-paraati),\n.in-list-ad-containers",".detailLeaderboard",".map-ad,\n[class*=\"adBox\"],\ndiv[class^=\"AdBlock_adContainer\"]",".widget_custom_html","div[id|=\"inline-banner-mobi\"]",".elementor-element-228d8bca,\n.elementor-element-24aa8e2,\n.elementor-element-9e2ec43,\n.elementor-widget-container > [href^=\"https://northernmarketing.fi/\"]",".gofollow",".elementor-widget:has(img[data-image-title^=\"MAINOS\"])","#adContainer,\n#ad_topScroller,\n#bigVideoAd_content,\n#eventad,\n#sky2_1,\n#sky2_2,\n#videoContainer:has(source[id|=\"videoad\"]),\n.ad_mobilebigwrap,\n.ad_video,\n.itsanad,\n.rwd.colthin > div,\n.sponsor,\n.videoAd,\ndiv[class^=\"ad_Bumper\"],\nsection.artistyle3.rightbox:nth-of-type(1)","li:has(.adsbygoogle),\nul.link:has(a[href^=\"http://clk.tradedoubler.com/\"])",".is-advertorial,\n.is-sidebar > .has-background:has(.is-advertorial),\n.is-sidebar > .has-background:has(a[href*=\"utm_medium=banner\"]),\n.js-tabpanel > ol > li:has(.is-advertorial),\ndiv[id|=\"div-gpt-ad\"]",".pad-small.col-md-4.col-sm-6.col-xs-12:has(.b2b-ad-list)",".adsbygoogle + script + br,\nbr:has(+ .adsbygoogle)",".content.single-banner,\n.top.panorama.banner,\n[class|=\"ml-adverts\"]:not(:has(a[href=\"https://reska.fi/lounasreska/\"])),\na[rel=\"lightbox[palvelut]\"]",".td-a-rec-id-content_inline,\n.ylapala",".bg-advertorial,\n.dre-item--feature-advertorial","#sp-alabanneri,\n.autoboksi.moduletable",".jattiboksi.moduletable",".banneritem,\n.module:has(.bannergroup)","[data-test-id=\"ad\"]","#banner-top,\n.feature:has([href$=\"/mainosyhteistyo/\"])",".any-commercial,\n.bottomlistarticle:has(.ag-promocolllabel),\n.col-section:has(.ag-promocolllabel)","#googlejs,\ndiv[class*=\"sub-container\"]","[id|=\"hv-wrapper-top\"],\na[href^=\"/ohjaus.php\"],\ndiv[class=\"hv-wrapper-left-item\"],\ndiv[class=\"hv-wrapper-right-item\"]",".outsider-ads",".header-container__ad-container,\n.page-index__adholder,\ntr.rahalaitos__desktop.rahalaitos",".default-banner-size",".ab-test-metered-softwall,\n.aldente-wrapper,\n.for-no-subscription.html-is-seuraa-myynti-bf.html-is-seuraa-myynti,\n.hs-advertorial,\n.hs-ticker-sales,\n.ticker--promo-20,\n[id^=\"aldente-mobi\"],\na.block[href*=\"/mainos\"],\narticle[class*=\"bg-native-ad\"],\ndiv[class*=\"-ad-block\"],\ndiv[class*=\"ad-container\"]",".grid--dfp-slots,\n.sidebar-block a[href^=\"https://seura.fi/mainos/\"],\n.sidebar-block a[href^=\"https://tekniikanmaailma.fi/mainoslehti/\"]",".pane-sbase-cts-native-native-front","#paraati-ad-grid,\n.-ad1.-ad.sidebar__column-item,\n.m-managedListing__column.-level-1:has(.-commercial),\n.right-now-widget__item--commercial","div[data-lazy-ad-unit-id]",".alennuskoodi-column-embed,\n.article-list a[href] > .article-sponsored,\n.card.eo-embed-container,\n.card:has(#il-rantapallo-right-column-box),\n.card:has(.alennuskoodi-column-embed),\n.card:has(.etua-widget-container),\n.card:has(.etuovi-react-embed),\n.center.category-list-embed,\n.commercial-list-item,\n.embed-placeholder:has(> div > .eo-embed-announcements-container.card),\n.etua-widget-container,\n.etuovi-react-embed,\n.front-sponsored-ad,\n.leiki-container-markkinapaikka2.leiki-container,\n.parade-ad-container,\n.recommendation-carousel-svod.recommendation-carousel,\n.side-column-content .card:has(.nettiauto-sponsored-content-text),\n.slider-content,\n.telkku-ads,\n[class|=\"almad-mobile-parade\"],\na.articles__list-item[href^=\"/telkku/\"]:has(p.articles__sponsored-banner),\ndiv.footer-wrapper__item.is-visible.LazyLoad,\ndiv.fp-container.card:has([href*=\"clark-taloutesi-tukena\"]),\ndiv.fp-container.card:has([src*=\"ilcdn.fi\"][src*=\"KAUPALLINEN\"][src*=\"YHTEISTY\"]),\ndiv.fp-container.card:has([src*=\"ilcdn.fi\"][src*=\"kaupallinenyht\" i]),\ndiv.fp-container.card:has([src*=\"ilcdn.fi\"][src*=\"kyi_\" i]),\ndiv.fp-container.card:has([src*=\"ilcdn.fi\"][src*=\"mainos\" i]),\ndiv.fp-container.card:has([src*=\"ilcdn.fi\"][src^=\"ky-\" i]),\ndiv.fp-container.card:has([src*=\"ilcdn.fi\"][src^=\"ky_\" i]),\ndiv.fp-container.card:has([src*=\"ilcdn.fi/Nauha_Rantapallo\"]),\ndiv.fp-container.card:has([src*=\"ilcdn.fi/asuminen_vattenfall_palkki\"]),\ndiv.fp-container.card:has([src*=\"ilcdn.fi/kuvat/nauhat/nauha_terveys_specsavers\"]),\ndiv[class=\"card \"]:has(.block > a[class=\"nakoislehti\"][href^=\"https://plus.iltalehti.fi/nakoislehti/\"]),\ndiv[class=\"iframe-container\"]",".newsbox:has(> [id^=\"div-gpt-ad\"]),\ndiv[class=\"footer-ylempi\"]","[class^=\"mainospaikka\"]","p:has([href^=\"https://track.adform.net/\"])",".button-mainos,\n.footer-1.footer.footer-widgets,\ndiv[class=\"row align-center\"]:has([class$=\"lazy-load-active\"])",".structItem--thread[data-author=\"Mainos\"]","[data-revive-zoneid]","#text-7,\n.artikkeli-slide:has(img[src*=\"-nostokuva\"]),\n.artikkeli-slide:has(img[src*=\"Ad-otsikko\"]),\n.artikkeli-slide:has(img[src*=\"mainos\"]),\n.artikkeli-slide:has(img[src*=\"natiivi-otsikko\"]),\n.view-full.uutinen:has(a[href=\"https://www.io-tech.fi/category/mainos/\"]),\naside.jimmx","a.block[href^=\"https://www.admanager.fi/\"],\ndiv.sadblob-loading","section.sbs-articleitems[data-module_position_id=\"814\"]",".sbs-articleitems:has(.right-column-header + .articles-container .article-item:only-child .sponsored),\na.article-item:has(.sponsored),\ndiv.item:has(.sponsored)",".box--transparent:has(.advert)",".c-box-space:not(.c-box),\nli:has(div[id|=\"div-gpt-ad\"])",".latest-post-link:has(.mainos)","#ipsLayout_sidebar .ipsBox:not([data-blocktitle=\"Member Subscriptions\"]),\n.ipsSpacer_both,\n[data-role=\"sidebarAd\"] + br","[href=\"https://www.nettikasinovertailu.info/\"]",".collab,\n.collaboration,\n.content-section > .g:has([id^=\"gpt-desktop-inside-article\"]),\n.emp-ad,\n.right-inner-section:has(#gpt-desktop-side)",".widget-container:has([class^=\"ad_\"]),\n[src^=\"https://kaasujalka.fi/assets/banners\"]",".ad-mob_description,\n.frosmo_popup:has(.popup_advertiser),\n.is-background-gray-light-3:has([id^=\"dfp__\"]),\n.placeholder,\nli.grid__item:has([id^=\"dfp__native-card\"])",".wp-block-otavamedia-google-ad-slot","#native-list-wrapper,\n#native_text_wrapper,\n.native.feed_box_container","#puff-container,\n.m-contentListItemThumb:has(> div > div > div[class^=\"m-contentListItemThumb__advertisement\"]),\n.m-managedListing__column:has(> div > div > div > div[class^=\"m-contentListItem__advertisement\"]),\naside.sidebar__column-container:has(.-ad),\ndiv[class=\"lyta-lazy-load\"]","#outstream-container","#sidebar .simple-image > [href]:not([href^=\"https://kamera-lehti.fi\"]),\n#sidebar .widget[id|=\"custom_html\"],\n.etusivu-mainos:not(:has([href^=\"https://kamera-lehti.fi\"]))",".kaupallinen-general,\n.ksnote",".herald-module:has(.adsbygoogle),\n.herald-module:has([href^=\"https://revoltnoir.fi/\"]),\na[href=\"https://www.kielletytkirjat.com/\"],\na[href^=\"https://revoltnoir.com\"],\ndiv[id^=\"ads\"]",".elementor-element-2770b68,\n.elementor-element-3e26be8,\n.elementor-element-44ffbd5,\n.elementor-element-54b7f6f,\n.elementor-element-abfd7ba",".breaking-news-container,\na[href*=\"kiinnostuitko\"]:has([alt=\"banneri\"]),\na[href=\"https://punamustamedia.portal.worldoftulo.com/v2/shop/dtabkaiku\"]","#coral-talk + div[class]:has(a[href^=\"https://www.kauppalehti.fi/kumppanisisallot/\"]),\ndiv[class][width]:has(> .ad)","aside > div[class] > a[href*=\"/kumppanisisallot/\"]","div[class]:has(> .lazyload-wrapper > .etua-react-embed)",".blogi__nosto,\n.kl-sima--blocks > [href^=\"https://www.kauppalehti.fi/kumppanisisallot/\"]",".inner.sp-article,\n.list-article:has(.sp-tag),\n.sponsored-article.list-article","#search-top-wide-ad,\n#specific-bottom-rectangle-ad,\n#specific-bottom-wide-ad,\n#specific-openinghours-rectangle-ad,\n#specific-top-wide-ad","[class|=\"wp-block-ultimate-post-post-list\"]:has(.ultp-cat-mainos)",".kiint-adlabel,\n.kiint-widget",".bannerlink","app-ad",".banner","p:has([alt^=\"Mainos\"])","#traktorpool-ad",".promo",".article-continues,\n.card--is-sponsored,\n.wp-block-otavamedia-section-management li:has([id^=\"dfp__\"])","div[class=\" \"] > .rendered_board_widget:has(.kotimaa-adform-widget)","#nmbc,\n.artikkelim-jatkuu,\n.headerau,\n.ktbanner,\n.thirstylink","#kaikki-tarjoukset,\n.sbbyks",".campaign-teaser-show,\n.gtm-banner,\n.wg-banner","#middle,\ndiv[class*=\"banner\"]",".fusion-carousel",".g:has(.gofollow)",".g-1",".wpb_wrapper.wpb_text_column.td_block_wrap:has([auto-grid-data*=\"mainos\"])","#content1-container,\ndiv[class=\"m-contentListItemThumb -ctx-frontpage-now -level-1\"]:has(> div > div > [class^=\"m-contentListItemThumb__advertisement\"]),\ndiv[class=\"m-managedListing__column -ctx-index -level-1 -cols-2\"]:has(> div > div > div > div[class^=\"m-contentListItem__advertisement\"])",".tilaa-tasta,\n.ylabanner1",".box-banner a[href^=\"/redirect/\"],\n.fullwidth-banner:has(> a[href=\"https://www.lauttakyla.fi/tilaa/\"]),\n.fullwidth-imagebanner,\n.hasordercontent.orange-bg,\n.mainbanner",".adremark,\n.popup-overlay",".header-widget [href^=\"https://aslinkhub.com/\"]","[id|=\"etusivu-bottom-full\"]:has(.mainos)","div[class^=\"FeedList__AdWrapper-\"]",".middle-ad-container",".ennensisaltoa,\n.lmbanner",".type-banner",".article-block__list-article:has(a[href^=\"https://ls24.fi/kaupallinen-yhteistyo/\"]),\n.article-blocks-2022-divider:not(.article-block--2022 + .article-blocks-2022-divider),\n.asuntorauma-promo,\n.js-article-block:has(span[class$=\"commercial-label\"]),\n.js-article-block:has(span[class$=\"commercial-label\"]) + .article-blocks-2022-divider,\n.page-section--commercial,\n.palvelupankki-banner,\naside[class=\"sidebar\"] > [class^=\"advertisement ad advertisement\"] + [class^=\"advertisement ad advertisement\"] + section[class^=\"article-list\"]:last-of-type,\ndiv[class^=\"advertisement\"]","div.row:not(:has(article)):has([src=\"//s1.adform.net/banners/scripts/adx.js\"])","#kokosisaltoid","div#sponsor","div[class*=\"ArticleTeaserGroup_nativeAd\"],\ndiv[class^=\"MainLane_laneItem\"]:has(div[class^=\"ArticleBanner_advertorial\"])",".header_banner,\n.textwidget","div[class|=\"ad-section\"]",".widget_block:has(.matka-nostemedia-oikeapalsta)","div.structItem.is-prefix53",".wp-block-column:has(aside figure > a[href=\"https://www.hopealanka.fi\"]),\na[href=\"https://mailapro.fi/\"],\na[href=\"https://urheilutuet.fi/\"],\na[href=\"https://vesikourut.fi/\"],\namp-layout[amp-access^=\"popups.\"][role=\"button\"]","aside > div[class] > a[href=\"/kumppanisisaltoa\"],\ndiv[class]:has(> a[href=\"/kumppanisisaltoa\"]),\ndiv[width]:has([id|=\"almad\"]:not([id|=\"almad-mobileParade\"]))","div[class^=\"NativeAdSpotlight__Component\"],\ndiv[class^=\"pageFeed__topAdSlot\"],\ndiv[class^=\"transitionSlot__component\"]:has(div[class^=\"feedItem__commercial\"])","div[class*=\"feed__adSlot\"]",".aprofit,\n.section--native-left,\n.teaser--partner,\n.teaser-top-banner--partner,\n[data-set=\"main-ad\"]",".frontpage-ad-item:not(:has([href^=\"https://metsastajaliitto.fi/\"])),\n.view-id-jahtimedia_latest .list-item:has([href^=\"https://jahtimedia.fi/mainokset/\"])",".NoAdBlocker_main",".in-text-ad-slot-wrapper","a[data-ga-teaser-name=\"PartnerContentTeaser\"],\nbody:not(.is-style-kumppanisisallot) :is(aside, section) a[href^=\"https://www.mikrobitti.fi/kumppanisisallot/\"],\ndiv[class]:has(> [width] > [id|=\"almad\"]:not([id|=\"almad-mobileParade\"])),\ndiv[class][width]:has([id|=\"almad-mobileParade\"]),\ndiv[style=\"margin-bottom:0\"]:has(a[href^=\"https://www.mikrobitti.fi/kumppanisisallot/\"])",".elementor-widget-container > a[href^=\"https://sortter.fi/\"]","#header_ad33,\n#ostoHint,\n.banner-ad,\n.execphpwidget,\n.header_ad, important,\n.headermob_ad,\n.single-content-all > div[style^=\"float:left\"][style*=\"width:100%\"][style*=\"text-align:center\"][style*=\"margin-bottom:17px\"],\n.singlehinta.header_ad,\n.textwidget > div[style=\"width:300px; height:600px;\"],\n.tops-bar,\nbody.category > div .header_ad,\ndiv[class^=\"article_ad\"]",".block--monsterfi-ads,\n.epiq-landing-row--frontpage-leaderboard-ad","#tori.article-car-list,\n.category-kumppaniartikkeli.moottori_kumppani.smallfeature,\n.container.g-bg.ads.sidebar.item,\n.kumppaniartikkeli-sidebar.smallfeature,\n.narive-ad,\ndiv[class|=\"ad-rotation\"]",".ad-panorama,\na[href*=\"revads\"],\ndiv[class$=\"ad-giant\"]",".avod-web-player-pause,\n.visit-advertiser-link",".component-adincontent.component,\n.component-soniaincontent,\n.leaderboard,\n.sonia-container",".ppas,\ndiv[data-testid=\"endorsement\"],\nsection > ul > li > div:has(a[data-testid=\"ad-article-teaser-tag\"])",".add-banner",".promotional_banner_root","#banneriwrapper,\n.mobilead",".mob_panorama",".chakra-container + div[class]:has(> div[class] > [data-adfscript^=\"track.adform.net/\"])","div[style^=\"min-height:\"][style$=\";text-align:center\"]","div[style^=\"min-height:\"]",".node__content .block[class$=\"kampanja\"],\n.topbar,\ndiv[id^=\"block-credigo\"]",".building-campaign-element,\n[analytics-impression=\"insurance_link_impression\"],\n[analytics-impression=\"product_broadband_impression\"],\nenergy-promotion-building","[analytics-impression=\"energy-promotion_listing-page_impression\"]",".advertoriaalit,\n[aria-label*=\"mainos\"]",".mainos-top",".textwidget:has(.orimad-adlabel)","#sidebar [href=\"https://www.loytotex.fi/tarjoukset\"],\n.CMAC_AdChangerWidget.widget",".online-ad-container,\n.online-teaser--advertorial",".sp-module:has(.tassaWidget)","[aria-label=\"Linkki mainokseen\"]:not([href^=\"https://kauppa.palloliitto.fi/\"])","div[style=\"min-height:552px;\"]",".preroll-text,\n.text-ad-container",".ad","a[href=\"/category/mainos/\"],\nli[class=\"wa@s\"]:has([alt^=\"MAINOS:\"])",".omamainos-PIR,\n.ultp-block-wrapper:has(.ultp-cat-mainosartikkelit)",".ad-assigned.panoraamabanneri",".after-ad,\n.before-ad,\n.jattiboksi,\n.natiivimainos,\n.paraati",".widget_media_image > a[href=\"http://dimex.fi\"]",".proje-widget,\n.uusi-ylabanneri",".site-bannerCampaignElement:has(img[src^=\"/Images/PROSHOP-LIFESTYLE-FRONTPAGE-BANNER\"]),\n.site-top-banner:has(a[data-action=\"campaignClick\"][data-name$=\"Frontpage takeover\"][href^=\"/Lego-Christmas\"]),\na[data-action=\"campaignClick\"][href=\"/Philips-Hue\"]","div[class=\"wpb_wrapper\"]","section.sbs-articleitems[data-module_position_id=\"640\"]",".block-radiovoima-advertisements",".FrontPage_native-ads","#dimScreenAll:has([data-category=\"DisplayAD\"]),\ndiv#kauppa_hot,\ndiv[id^=\"banner\"],\nimg#js_ad",".ad-info-bar,\n.front-page-box-ad,\n.lomakone-results-skyscrapers,\ndiv[id|=\"lomakone-resultads\"]","#adslot_bottom,\n#adslot_search,\n#topslot,\n.adslot_right,\n[href=\"https://www.suomi24.fi/lainaa/yhdista-lainat/\"]",".ad-container-wide",".r_ad_banner",".category-mainos,\ndiv[id|=\"retki\"][style]","body.home div[style^=\"margin-left: auto; margin-right: auto; text-align: center;\"] + .wp-block-separator,\ndiv[style^=\"margin-left: auto; margin-right: auto; text-align: center;\"] .is-external-link",".top-banner",".riist-content,\ndiv[id|=\"riist\"][style*=\"text-align: center\"]","a[href*=\"subaction=bannerredirect\"]:not(a[href*=\"-rv-tilaus\"])",".bg-white.w-full.py-2.px-4:has(.poppartners)",".widget_block:has(#nm-300x600-300x300)",".RuutuPlayer__Error-sc-1o2b3la-0",".panoraama_etus","#article-body .article div[class]:has(> .ad-container),\narticle[data-section=\"kaupallinen yhteistyö\"]",".grid__item_lg-1.grid__item_1:has(.dfp-advertisement),\n.wp-block-column:has(> [id|=\"dfp__native-card\"]),\nli:has(> [id|=\"dfp__native-card\"])",".article-item.column-mainospaikka",".section--full-size-ad-carousel",".g-single:has(.hs-cta-wrapper),\nbody.home .container > div[style=\"z-index:1800; margin-bottom:40px;\"]:has(.g-single > .hs-cta-wrapper),\nbody.page:not(.home) .g.g-3,\nbody.single-post .container[style]:has(.g-single > .hs-cta-wrapper)",".view-2019-ajankohtaiset-tarjoukset,\n.view-banneripaikka-etusivuoikea1","#auto-grid-container-5c470b0150cba",".td_block_wrap:has([href=\"https://www.sss.fi/category/mainos/\"])",".bg-box:has([id|=\"placement-ad-grid\"])",".has-ads,\n.no-print.justify-center.flex:has([data-ad-unit-id]),\na[href^=\"http://www.lainanvalittaja.fi/\"],\na[href^=\"https://autonvaraosat24.fi/\"],\na[href^=\"https://www.autodoc.fi/\"],\ndiv[id$=\"paraati\"],\ndiv[id|=\"banner\"]","#layout-banner-right",".banner_wide,\n.site-footer__banners",".ad_class,\n.om-adcoin-ad","div[class=\"site-header__top-container header-top-banner\"]",".ast,\n.editorial-slots,\ndiv[class*=\"Ad__AdWrapper\"],\ndiv[class^=\"HomePage__HeaderAd\"],\ndiv[class^=\"ThreadGridItemWrapper__CardCol\"]:has([class^=\"AdLivewrapped__AdWrapper\"]),\ndiv[id^=\"viihdes24_desktop-sidebar\"]",".bannerTop.S24_banner","div[class*=\"FooterAdWrapper\"],\ndiv[class*=\"HeaderAdWrapper\"],\ndiv[class*=\"__AdWrapper\"],\ndiv[class^=\"RightSidePanel__AdContainer\"]",".asp,\ndiv[class^=\"HomePage__RightColItem\"]:has(> div[class^=\"AdLivewrapped__AdWrapper\"]),\ndiv[class^=\"HomePage__RightColItem\"]:has(> div[class^=\"Lainavertailu__Container\"]),\ndiv[class^=\"Vaalikone__HeaderAdWrapper\"],\np:has(+ p + .asp)",".artikkelimainos,\n.headermainos,\n.natiivilinkit,\n.posts-list > .list-item:has([href=\"https://suomimobiili.fi/kategoria/sponsoroitu/\"])",".ad-banner-lift","[data-element-type=\"CardDefault\"] div[class^=\"CardBg\"]:has(> a[href^=\"https://kampanjat.mainos.sanoma.fi/\"])",".mainos_banner1,\n.widget > a[href^=\"https://www.nettikirjakauppa.com/\"]",".lazyload-wrapper:has([id|=\"almad\"]),\nbody:not(.is-style-kumppanisisallot) [class]:has(> a[href^=\"https://www.talouselama.fi/kumppanisisallot/\"]):not(section),\nbody:not(.is-style-kumppanisisallot) a[href^=\"https://www.talouselama.fi/kumppanisisallot/\"]:not(section > a),\ndiv.article-body > div:has(> div.LazyLoad.is-visible),\ndiv[width]:has(.lazyload-wrapper)",".bannerarea",".sidebar-banners","a[href=\"https://sinitaivas.com/kauppa/\"]",".siteHeader-widgetArea,\n.widget [href^=\"https://www.autodoc.fi/\"],\n.widget [href^=\"https://www.topautoosat.fi/\"]",".commercial-bottom.commercial,\n.commercial_wrapper,\n.node-promoted.node-teaser,\n.paragraph--type-ad","[class|=\"adform\"]",".CategoryPriceGuide_price-guide,\n.NativeAdHolder_native-ad-holder,\n.PriceGuide_price-guide,\ndiv.Article_nettix-embed-container","a[href^=\"/tyopaikat/kumppanisisalto-tyopaikat/\"],\naside > div[class] > a[href^=\"https://www.tekniikkatalous.fi/kumppanisisallot\"],\ndiv#skyscraper-height-div > div > aside > div > div > a[href^=\"https://studio.tekniikkatalous.fi/\"],\ndiv#skyscraper-height-div > div > section > div > a[href^=\"/kumppaniblogit/\"],\ndiv[class][width=\"980\"],\nsection > div > a[href^=\"https://www.tekniikkatalous.fi/kumppanisisallot/\"]","[width]:has(.lazyload-wrapper)",".ch:has(em > a)",".ad-blocks",".advertisement-banner-row,\n.article-container.shadow-sm.col:has(img[alt^=\"Oma tilausmainos\"])","div[class|=\"ProductRecommendationCarousel__CarouselContainer\"]",".bannerit-banneripalkki","div:has(> [id|=\"ad-slot\"]),\ndiv[id^=\"ad-slot-\"]","[class*=\"block-boxes-ad-300x250\"]","#header-standard-container,\n[data-testid^=\"div-gpt-ad-\"]","#front_big_event,\n#front_big_event > span,\n.itemwide:has([href=\"https://www.nextory.fi/partner-collaboration/tiketti/\"])","div[id^=\"Nostemedia_Desktop\"]","#cnt_lista tr:has(.mainosinline) + tr:has(> .divid),\n.contentti:has(> .mainos-mob:only-child),\n.contentti:has(> .mainos_yla:only-child),\n[class^=\"mainos\"]:not(:only-child)",".ctaad","[data-mobile-ad-unit-id],\ndiv[class=\"w-full bg-black border-gray-200 border-b\"]:has(a[href^=\"http://pubads.g.doubleclick.net/\"])","aside > div[class] > a[href^=\"https://www.tivi.fi/kumppanisisallot/\"],\nsection > .lazyload-wrapper + div[class]:has(> a[href^=\"https://tivi.fi/kumppanisisallot/\"]),\nsection > div[class] > a[href^=\"https://www.tivi.fi/kumppanisisallot/\"]","#banner_panorama_bottom,\n#footer_partner_links,\ndiv#banner_panorama_topmost,\ndiv#panorama_top,\ndiv#panorama_topmost","div[class*=\"adViewPage_maxWidthWrap\"]:not(div[class^=\"adViewPage_adWrap\"]),\ndiv[class=\"w-full py-2 px-2\"]:has(> div > div > div[id=\"banner_top\"][class^=\"bannerAd\"])",".appnexus-container",".billboard",".tsv3-c-common-forum-threadviewer__messages__item:has(.smartad),\n.tsv3-c-common-twocolumnslayout:has(div[class*=\"element--nativead\"]),\n.tsv3-c-common-twocolumnslayout__row__right:has(.noad-hideaction-self):not(:has(.tsv3-c-ts-newstip)):not(:has(.tsv3-c-common-forum-threadlist)),\n[class=\"tsv3-c-common-article__contentad notloaded\"],\n[data-readpeakurl^=\"https://app.readpeak.com/ads/\"],\ndiv[class*=\"tsv3-c-common-smart noad-hideaction\"]",".slideshow","#main > .ads","#right-sidebar,\n.adsanity-single,\n.top-bar",".cat-kaupallinen-yhteistyo,\n.urjal-widget.main:has(a[href=\"https://urjalansanomat.fi/verkkomainonta/\"]),\n.urjal-widget.main:has(a[href=\"https://ysiauto.fi/\"]),\n.widget:has(> a[href=\"/lounaat\"])","#auto-grid-container-5c40764673d19",".lazyload-wrapper:has(.eo-embed-announcements-container),\n[data-test=\"mainTeaserColumn\"][href^=\"https://www.uusisuomi.fi/kumppanisisallot/\"],\naside [data-test=\"tabs\"] [href^=\"https://www.uusisuomi.fi/kumppanisisallot\"],\naside [href^=\"https://track.adform.net/\"],\naside [href^=\"https://www.ilmarinen.fi/\"],\naside a[data-ga-teaser-name=\"PartnerContentTeaser\"]",".partner-blog-list,\n.side-list.commercial-blog-studio,\na[class*=\"commercial-blog-card\"]","div#etuoviVVAdPrototype",".lazyload-wrapper:has(.at-embed-container),\ndiv[width]:has(> [id|=\"almad-parade\"])",".widget_block","img[src^=\"https://ads.v2.fi/\"]:not([src$=\"discomainos.png\"], [src$=\"facebookmainos.jpg\"], [src$=\"instamainos.jpg\"], [src$=\"twittermainos.jpg\"], [src$=\"youtubemainos.jpg\"])","#bodyarea td[width=\"100%\"][valign=\"top\"] + td[valign=\"top\"]","div.display-ad",".online-promotion-bar",".AutomaticDfpWidget,\n.DfpWidget",".type-advertorial",".sdaelem.td-block-span12,\n.vausda","#block-isalennuskoodit,\n[href^=\"http://pelikone.fi/out/\"],\naside.sticky.bottom-0:has(> #block-isalennuskoodit:only-child)",".ads_carousel-2.widget",".elementor-motion-effects-parent:has(.strossle-sidebar),\n.elementor-widget-shortcode:has(#QADY),\n.elementor-widget-shortcode:has(.vu-adlabel),\n.elementor-widget-shortcode:has([data-ad-unit-id]),\n.page-ad__location,\n.vu-adlabel,\n.vu-content-injected-middle,\narticle.rp-lift.featured-post,\nsection[id^=\"front-page-parade\"],\nsection[id^=\"front_page_parade\"]","[id|=\"gpt-slot-billboard\"],\nli[class^=\"cg-\"][data-role=\"items-list-item\"]:has(> div > [id^=\"gpt-slot-results-\"][id*=\"rectangle\"])",".banner-mainos,\n.mobiiliylabanner,\ndiv[class*=\"artikkeliad\"],\ndiv[class*=\"artikkelimainos\"]",".d-md-block.d-lg-block.d-none,\n.kumppani-artikkelit,\ndiv[class*=\"native-article\"] > div[class=\"ezrichtext-field\"] > p > a[href^=\"https://danskebank.fi/\"],\ndiv[class^=\"banner\"] > a[href=\"https://www.viisasraha.fi/Taloushaltuun\"]",".code-block:has(ins[class=\"adsbygoogle\"])",".td-a-rec,\n.td-footer-wrap .td_block_title:has(+ .td-a-rec),\n.td-post-content .code-block,\n[href^=\"https://in.matsmart.fi/t/\"],\n[href^=\"https://track.adtraction.com/\"],\ndiv[id|=\"nm-300x300\"],\ndiv[id|=\"polii\"]:has([id|=\"nm-300x300\"] + br + br)",".article-sponsored,\na[class=\"article-item articlestream-item unloaded\"][data-sponsored=\"1\"],\nsection[class^=\"sbsads\"] + section[class^=\"sbs-articleitems full-size-list\"][data-module_position_id=\"612\"]",".voima-banneri-etusivulla,\ndiv[class|=\"voima-jutun-sisalla\"]:has(.voima-adlabel)",".wnd-free-stripe-link",".widget_media_image",".mobile-top-ad",".adBanner",".advertisement-slot,\n.commercial",".bfastmag-a-d-v,\n.widget:has([href^=\"http://pizza-online.fi/tt/\"]),\n.widget:has([href^=\"https://c.trackmytarget.com?\"]),\n.widget:has([href^=\"https://kauppa.latvala.com\"]),\n.widget:has([href^=\"https://med.etoro.com/\"]),\n.widget:has([href^=\"https://tc.tradetracker.net/\"]),\n.widget:has([href^=\"https://track.adtraction.com/\"]),\n.widget:has([href^=\"https://www.awin1.com/\"]),\n.widget:has([href^=\"https://www.kahvivertailu.fi\"]),\n.widget:has([rel=\"sponsored\"]),\n.widget:has([src^=\"https://track.adtraction.com/\"]),\n.widget:has(h2:only-child):has(+ .widget [href^=\"https://c.trackmytarget.com?\"]),\n.widget:has(h2:only-child):has(+ .widget [href^=\"https://www.awin1.com/\"]),\n.widget:has(h2:only-child):has(+ .widget [src^=\"https://track.adtraction.com/\"]),\n.wp-block-columns:has([href^=\"https://c.trackmytarget.com?\"]),\na[href=\"https://ostalohjalta.fi\"],\na[href=\"https://ostavihdista.fi\"]",".ad:not(:has(img[src*=\"doc_id=555723\"])):not(:has(img[src*=\"doc_id=553464\"])),\n.ad[class*=\"panorama\"],\n.ad[class*=\"paraati\"],\n.ad[class*=\"ylaboksi\"],\n.tarranurkka,\na[href^=\"/artikkeli-kaupallinen-\"]",".widget:has(.mainossidebar)",".b-area-ad-sidebar,\n.b-otavamedia-ads,\n.gb-otavamedia-ad,\n.s-area-ad-header,\n.wrap-top-ad,\ndiv[class$=\"kaupallinen-yhteistyo\"]","#fel-ad-banner","li:has([href^=\"https://track.adtraction.com/\"])","a[href=\"https://www.jurinet.fi\"]","[data-id=\"adsense\"]",".ad2",".jp_adsense_ad_container",".ad-article",".td_block_wrap.td-pb-border-top.td_flex_block:has(a[href=\"https://gekkonen.net/nettikasinot/\"]),\n.td_block_wrap.td_block_text_with_title:has(a[href^=\"https://affmore.com/\"]),\n.tdm-pricing-wrap,\n.tdm_block_pricing,\n.widget:has(.adsbygoogle),\n.widget:has([rel^=\"https://affmore.com/\"]),\n.wpforo-ad,\na[href^=\"https://affmore.com/\"],\na[href^=\"https://record.njordaffiliates.com/\"]","#hise-items-container,\n.grid-element-container:has(.hise-link[href^=\"https://\"])","div[id^=\"open_\"]",".hidden-print.panel-default.panel:has(kc-ad),\nkc-ad","#text-81,\n#text-82",".konsolifin-vaakamainos","#partners-container-big,\n.kotikokki_ensighten_ad","#ticker",".ads-desktop,\n.ads-mobile,\n.block-box.news-post:has(a[href^=\"https://www.metropoli.net/rahapelit/\"])","div.centered.motot-well-inverse.well[style^=\"padding-\"]","#ads-sidebar-top,\n#featured > figure[class] > a[href],\n#left-float > figure[class].wp-block-image > a[href][target][rel] > img[class][src],\n.ad.content-center,\n.content-center.header-nav-ad,\n.premium_container,\n.related-posts + figure[class].wp-block-image > a[href][target][rel] > img[class][src],\n.sidebar-element > .wp-block-image,\n.social-post + div + figure[class].wp-block-image > a[href][target][rel] > img[class][src],\n.wp-block-image > figure[class] > a[href],\n[aria-roledescription=\"Slideshow\"][aria-label~=\"Banner\"]:has(a[href][target=\"_blank\"]),\nfooter .quote:has(figure[class].wp-block-image > a[href]),\nli:has(a[href*=\"/202\"]):has(a[href*=\"nettikasino\"]),\nsection.post-single > figure[class].wp-block-image > a[href][target][rel] > img[class][src]",".tdc-element-style.td-pb-row.wpb_row.tdi_4.vc_row",".cb-banneri-uusi","[href=\"http://www.vertaa.fi/lentoliput/\"]",".all-adds","#PowerRectangle,\n#PowerSkyscraper,\n[href^=\"https://tc.tradetracker%2Enet/\"],\na[rel^=\"sponsored\"]","footer > .container.tdt-ad-wrap","#p0,\ndiv#main-content > div:first-of-type[style=\"overflow:visible\"],\nul#picture_legend + div[style=\"overflow:visible\"]","#fb-root + div > div[style=\"background-color: #fff; margin: 0 auto; padding: 20px; display: table; min-width: 300px; max-width: 100%; font-family: 'Open Sans', sans-serif; font-size: 14px;\"],\n.ad300x300","div[class] + div[class] ~ div[class]:has(> .lazyload-wrapper [data-adfscript])","#div-ff2-top,\n.windowbg3:has(#div-ff2-bottom)","a[href*=\"mst-yhtiot\"]","#custom_html-63,\n#text-32,\n[href=\"https://pt-media.org/pikakasinot/\"],\n[href^=\"https://kasinopartio.com/\"],\nsection:has(> a[href=\"https://nocompromiseclothing.com/\"])","#mw-data-after-content > div,\na#top ~ #siteNotice.mw-body-content"];

const hostnamesMap = new Map([["*",0],["alandstidningen.ax",1],["nyan.ax",[2,3]],["navigatormagazine.fi",[2,306]],["promaintlehti.fi",2],["sjofart.ax",4],["adressit.com",5],["keskustelu.afterdawn.com",6],["aijaa.com",7],["aland.com",8],["alypaa.com",[9,10]],["pelikone.fi",[10,321,322]],["ampparit.com",[11,12,13]],["golfpiste.com",[12,31]],["muropaketti.com",[12,65]],["nettiauto.com",[12,67,68]],["nettikaravaani.com",12],["nettikone.com",[12,68]],["nettimokki.com",12],["nettimoto.com",12],["nettivaraosa.com",12],["nettivene.com",12],["nettivuokraus.com",12],["alibi.fi",[12,114,115]],["anna.fi",[12,120,121,122]],["eralehti.fi",[12,169,170,171]],["hymy.fi",[12,115,211]],["kaksplus.fi",[12,97,121,233,234]],["kipparilehti.fi",12],["kotiliesi.fi",[12,122,234,257]],["koululainen.fi",12],["rakennusmaailma.fi",[12,171,293,333]],["seura.fi",[12,349]],["suomenkuvalehti.fi",[12,234,360]],["tekniikanmaailma.fi",[12,171,292,293,333,377]],["venelehti.fi",[12,417]],["luukku.com",[13,62]],["iijokiseutu.fi",[13,213]],["kaleva.fi",[13,213,236,237]],["kirkkojakaupunki.fi",13],["koillissanomat.fi",[13,213]],["kuntalehti.fi",[13,264]],["lapinkansa.fi",[13,213,237,267]],["mtvuutiset.fi",[13,300,301]],["pohjoisenpolut.fi",[13,213]],["pyhajokiseutu.fi",[13,213]],["raahenseutu.fi",[13,213]],["rantalakeus.fi",[13,213]],["seiska.fi",[13,348]],["siikajokilaakso.fi",[13,213]],["styleroom.fi",[13,356]],["keskustelu.suomi24.fi",[13,364]],["viinilehti.fi",13],["arcticinsider.com",14],["arvokisat.com",[15,16]],["herkkusuut.com",[15,16]],["huuhkajat.com",15],["laliiga.com",[15,16,51]],["leijonat.com",[15,16,51,57,58]],["nainen.com",[15,16,66]],["nhlsuomi.com",[15,16]],["suomif1.com",[15,16,51,89,90]],["suomifutis.com",[15,16,89,90,91]],["suomikiekko.com",[15,16,57,89,90,92]],["suomikoris.com",[15,16,89]],["suomiurheilu.com",[15,16,58,89]],["susijengi.com",[15,16]],["tinderinparhaat.com",[15,94]],["valioliiga.com",[15,16,90,99]],["viikonloppu.com",[15,16,50,100]],["metropoli.net",[15,450]],["sketsi.net",[15,16,458]],["eurheilu.org",[15,16]],["askelterveyteen.com",17],["myanimals.com",17],["aitiydenihme.fi",17],["mielenihmeet.fi",17],["autotalli.com",18],["brbikers.com",19],["elmotv.com",20],["etuovi.com",21],["mikrobitti.fi",[21,129,294]],["rantapallo.fi",[21,335]],["talouselama.fi",[21,129,245,370]],["etusuora.com",22],["facebook.com",23],["feissarimokat.com",24],["fillaritori.com",25],["findance.com",26],["foorumimme.com",27],["juttelu.com",27],["munfoorumi.com",27],["foorumi.eu",27],["keskustelu.info",27],["munpalsta.net",27],["futisfani.com",[28,29,30]],["kiekkofani.com",[29,30,41,42]],["penkkiurheilu.com",[29,30,42]],["uutisankka.com",[29,30,97,98]],["kiinteistoposti.fi",[29,250]],["projektiuutiset.fi",[29,328]],["halloota.com",32],["hardelli.com",33],["huoltovalikko.com",34],["ilmastointilaitteet.com",35],["jaakiekonmmkisat.com",36],["jalkapallonmmkisat.com",36],["ruuhkavuodet.fi",[36,345]],["jatkoaika.com",37],["kalamies.com",[38,39]],["edgeski.fi",[38,157,158]],["foregolf.fi",[38,158]],["rodeosnow.fi",[38,158]],["kalastus.com",40],["kodinkoneopas.com",43],["koeajolle.com",[44,45,46]],["inssinosingot.fi",[44,219]],["verkkouutiset.fi",[46,418]],["koneporssi.com",47],["konekuriiri.fi",47],["kukasoitti.com",48],["kuvaton.com",[49,50]],["kuvake.net",[49,449]],["leffatykki.com",[52,53,54,55,56]],["pelaajat.com",[52,81]],["animelehti.fi",[52,117,118,119]],["como.fi",[52,53,144,145,146,147,148,149,150,151]],["episodi.fi",[52,53,117,118,119,145,146,147,167,168]],["fum.fi",[52,102,145,146]],["inferno.fi",[52,53,54,117,118,119,145,146,168,218]],["pelaaja.fi",[52,53,54,145,147,148,168,320]],["rumba.fi",[52,53,118,119,145,146,147,149,151,344]],["soundi.fi",[52,118,145,146,147,149]],["tilt.fi",[52,53,102,118,119,146,147,149,150,151,392]],["lumipallo.fi",[56,278]],["listafriikki.com",59],["tanssiin.fi",[59,177,373]],["outlook.live.com",60],["lottoarvonta.com",61],["maastohiihto.com",[63,64]],["jaatama.fi",[63,226]],["retkilehti.fi",[63,339,340]],["riistalehti.fi",[63,340,342]],["m.nettiauto.com",69],["m.nettikaravaani.com",69],["m.nettikone.com",69],["m.nettimokki.com",[69,72]],["m.nettimoto.com",69],["m.nettivaraosa.com",69],["m.nettivene.com",69],["m.nettivuokraus.com",69],["www.nettiauto.com",[70,71]],["www.nettikaravaani.com",71],["www.nettikone.com",71],["www.nettimokki.com",[71,73]],["www.nettimoto.com",[71,74,75]],["www.nettivaraosa.com",71],["www.nettivene.com",[71,75,76]],["www.nettivuokraus.com",71],["nopeustesti.com",77],["pakkotoisto.com",78],["keskustelu.pakkotoisto.com",79],["palkkavertailu.com",80],["pienimatkaopas.com",82],["puhelinvertailu.com",83],["rahakirstu.com",84],["sammysatv.com",[85,86]],["karjalainen.fi",[85,242]],["ap-cdn.sanomagames.com",87],["sportti.com",88],["terveydenasialla.com",93],["tvmatsit.com",[95,96]],["ehandel.fi",[95,162]],["hardware.fi",[97,195]],["metsalehti.fi",[97,290]],["viisitahtea.com",101],["vuokraovi.com",[102,103]],["finnkino.fi",[102,183]],["aamulehti.fi",[104,105,106]],["hs.fi",[105,106,210]],["is.fi",[105,223]],["jamsanseutu.fi",[105,106]],["janakkalansanomat.fi",[105,106]],["kankaanpaanseutu.fi",[105,106]],["kmvlehti.fi",[105,106]],["merikarvialehti.fi",[105,106]],["nokianuutiset.fi",[105,106]],["rannikkoseutu.fi",[105,106]],["satakunnankansa.fi",[105,106]],["suurkeuruu.fi",[105,106]],["sydansatakunta.fi",[105,106]],["tyrvaansanomat.fi",[105,106]],["valkeakoskensanomat.fi",[105,106]],["aamuposti.fi",107],["esaimaa.fi",[107,172]],["ess.fi",[107,173]],["forssanlehti.fi",107],["hameensanomat.fi",107],["hankasalmensanomat.fi",107],["heinavedenlehti.fi",107],["helsinginuutiset.fi",107],["iisalmensanomat.fi",107],["ita-savo.fi",[107,172]],["itahame.fi",107],["joroistenlehti.fi",107],["joutsenolehti.fi",107],["juvanlehti.fi",107],["kaakonkulma.fi",107],["kangasniemenlehti.fi",107],["karkkilantienoo.fi",107],["keski-hame.fi",107],["keski-uusimaa.fi",107],["keskilaakso.fi",107],["koillis-savo.fi",107],["kouvolansanomat.fi",[107,172]],["ksml.fi",107],["kymensanomat.fi",[107,172,173]],["lansi-savo.fi",[107,172]],["lansi-uusimaa.fi",107],["lansisaimaa.fi",107],["lansivayla.fi",107],["lappeenrannanuutiset.fi",107],["laukaa-konnevesi.fi",107],["lopenlehti.fi",107],["loviisansanomat.fi",107],["luoteis-uusimaa.fi",107],["luumaenlehti.fi",107],["mantsalanuutiset.fi",107],["mattijaliisa.fi",107],["miilu.fi",107],["mikkelinkaupunkilehti.fi",107],["nurmijarvenuutiset.fi",107],["pieksamaenlehti.fi",107],["pielavesi-keitele.fi",107],["pitajalainen.fi",107],["pitajanuutiset.fi",107],["pyhtaanlehti.fi",107],["sampolehti.fi",107],["savonsanomat.fi",107],["seinajoensanomat.fi",107],["seutuneloset.fi",107],["sipoonsanomat.fi",107],["sisa-savolehti.fi",107],["sisasuomenlehti.fi",107],["sjl.fi",107],["soisalonseutu.fi",107],["tamperelainen.fi",107],["tollotin.fi",107],["turkulainen.fi",107],["uusilahti.fi",107],["uusimaa.fi",107],["uutis-jousi.fi",107],["uutisvuoksi.fi",[107,172]],["vantaansanomat.fi",[107,411]],["viikkosavo.fi",107],["viispiikkinen.fi",107],["viitasaarenseutu.fi",107],["warkaudenlehti.fi",107],["puruvesi.net",107],["aamuset.fi",108],["akaanseutu.fi",[109,110,111]],["lvs.fi",[109,110,111,279]],["orivedensanomat.fi",[109,110,279,316]],["pirkkalainen.fi",[109,110,279,324]],["shl.fi",[109,110,111,279]],["ylojarvenuutiset.fi",[110,111,279,433]],["aksa.fi",112],["alfatvuutiset.fi",113],["alueviesti.fi",116],["apteekkari.fi",123],["apu.fi",[124,125,126]],["eeva.fi",[125,160,161]],["lily.fi",[125,273]],["meillakotona.fi",[125,126,161,273,288,289]],["terve.fi",[125,273,289,383]],["arvopaperi.fi",[127,128,129]],["uusisuomi.fi",[128,129,404]],["kauppalehti.fi",[129,243,244,245]],["mediuutiset.fi",[129,244,287]],["tekniikkatalous.fi",[129,378,379]],["tivi.fi",[129,379,393]],["audiovideo.fi",130],["auto1.fi",[131,132,133]],["ilmainensanakirja.fi",[132,133]],["testeri.fi",[132,133]],["blogit.fi",133],["autobild.fi",134],["avainlehti.fi",135],["avecmedia.fi",136],["avplus.fi",137],["bittiraha.fi",138],["blogbook.fi",139],["bomber.fi",140],["boy.fi",141],["caravan-lehti.fi",142],["cdon.fi",143],["dailyfinland.fi",152],["demokraatti.fi",153],["digi-kuva.fi",154],["download.fi",155],["duunitori.fi",156],["edukas.fi",159],["ei-toimi.fi",163],["enontekionsanomat.fi",[164,165]],["haapavesi-lehti.fi",164],["inarilainen.fi",[164,165]],["kainuunsanomat.fi",[164,165]],["kalajokilaakso.fi",164],["kalajokiseutu.fi",164],["keskipohjanmaa.fi",164],["kittilalehti.fi",[164,165]],["kotikulmilta.fi",164],["kotilappi.fi",[164,165]],["kuhmolainen.fi",[164,165]],["kuusamonseutu.fi",164],["lestijoki.fi",164],["luoteis-lappi.fi",[164,165]],["meantornionlaakso.fi",164],["nivala-lehti.fi",164],["perhonjokilaakso.fi",164],["pietarsaarensanomat.fi",164],["saariselansanomat.fi",[164,165]],["selanne-lehti.fi",164],["sompio.fi",[164,165]],["sotkamolehti.fi",[164,165]],["ylakainuu.fi",[164,165]],["epari.fi",166],["ilkkapohjalainen.fi",[166,214]],["jarviseutu-lehti.fi",166],["jurvansanomat.fi",166],["komiat.fi",166],["suupohjansanomat.fi",166],["viiskunta.fi",166],["metsastysjakalastus.fi",[170,171,292,293]],["etlehti.fi",174],["hyvaterveys.fi",[174,212]],["soppa365.fi",174],["etn.fi",175],["f1-forum.fi",176],["feedi.fi",177],["fiksukuluttaja.fi",[178,179]],["lehtikeidas.fi",[179,271]],["fillarifoorumi.fi",180],["finder.fi",181],["findit.fi",182],["flashscore.fi",184],["fonecta.fi",185],["fontanka.fi",186],["foreca.fi",187],["fuengirola.fi",[188,189]],["kaaoszine.fi",[189,231]],["paakallo.fi",[189,253]],["puheenaiheet.fi",[189,330]],["mesta.net",189],["futissuomi.fi",190],["gamereactor.fi",191],["glu.fi",192],["gogolf.fi",193],["haat.fi",194],["hattulaan.fi",196],["reska.fi",196],["hauskimmat.fi",197],["hbl.fi",198],["ostnyland.fi",198],["vastranyland.fi",[198,414]],["heili.fi",[199,200]],["outokummunseutu.fi",[200,318]],["pielisjokiseutu.fi",[200,318]],["pogostansanomat.fi",[200,318]],["prsanomat.fi",200],["ylakarjala.fi",[200,318]],["helsinkitimes.fi",201],["hevosurheilu.fi",202],["hidastaelamaa.fi",203],["hifimaailma.fi",204],["high.fi",205],["hinta.fi",206],["hintaopas.fi",207],["hintaseuranta.fi",208],["historianet.fi",209],["tieku.fi",209],["iltalehti.fi",215],["iltapulu.fi",216],["impe.fi",217],["bbs.io-tech.fi",[220,221]],["www.io-tech.fi",[221,222]],["iskelma.fi",[224,225]],["radionova.fi",[225,331]],["voice.fi",[225,424]],["m.jaatama.fi",227],["jahtimedia.fi",228],["juoksufoorumi.fi",229],["jvg.fi",230],["kaasujalka.fi",232],["keskustelu.kaksplus.fi",235],["kamera-lehti.fi",238],["kangasalansanomat.fi",239],["kansalainen.fi",240],["kansantahto.fi",241],["keskustelu.kauppalehti.fi",246],["toimitilat.kauppalehti.fi",247],["kauppojen-aukioloajat.fi",248],["kiakkoradio.fi",249],["kilipailut.fi",251],["kinuskikissa.fi",252],["klangi.fi",253],["suomenautolehti.fi",[253,359]],["kokemaenjokilaakso.fi",254],["koneviesti.fi",[255,256]],["maaseuduntulevaisuus.fi",[256,281]],["kotimaa.fi",258],["kotimaatutuksi.fi",[259,260]],["lomamatkalle.fi",[260,275]],["kotimikro.fi",261],["kuljetusnet.fi",262],["kulutusluottovertailu.fi",263],["kuntatekniikka.fi",265],["kuntsari.fi",266],["laitilansanomat.fi",266],["lapuansanomat.fi",268],["lauttakyla.fi",269],["lbaanijakuva.fi",270],["liberolehti.fi",272],["livetaajuus.fi",274],["lounaspori.fi",276],["ls24.fi",277],["maalampofoorumi.fi",280],["maaseutumedia.fi",282],["markkinointiuutiset.fi",283],["matkabongaukset.fi",284],["matkapuhelinfoorumi.fi",285],["mediaviikko.fi",286],["metsastajaliitto.fi",291],["misssuomi.fi",295],["mobiili.fi",296],["monster.fi",297],["moottori.fi",298],["motouutiset.fi",299],["mtv.fi",300],["app.mtvuutiset.fi",302],["mutsimedia.fi",303],["myheritage.fi",304],["napsu.fi",305],["nelonen.fi",307],["netti-tv.fi",[308,309]],["synonyymit.fi",309],["nettitrendi.fi",310],["asunnot.oikotie.fi",[311,312]],["toimitilat.oikotie.fi",312],["olutposti.fi",313],["omalahio.fi",314],["orimattilansanomat.fi",315],["osterbottenstidning.fi",317],["sydin.fi",317],["vasabladet.fi",[317,412]],["palloliitto.fi",319],["suomela.fi",[322,357]],["teknavi.fi",[322,376]],["pelit.fi",323],["pkank.fi",325],["pointti.fi",326],["pottupellossa.fi",327],["proshop.fi",329],["radiovoima.fi",332],["rakentaja.fi",334],["ratkojat.fi",336],["redfoxsanakirja.fi",337],["reservilainen.fi",338],["riimihaku.fi",341],["ristinvoitto.fi",343],["ruutu.fi",346],["satakunnanviikko.fi",347],["seurakuntalainen.fi",350],["seutumajakka.fi",351],["sijoittaja.fi",352],["sijoitustieto.fi",353],["somerolehti.fi",354],["sss.fi",355],["suomen118.fi",358],["suomenmaa.fi",361],["suomi24.fi",362],["chat.suomi24.fi",363],["www.suomi24.fi",365],["suomimobiili.fi",366],["superlehti.fi",367],["supla.fi",368],["svl.fi",369],["taloustaito.fi",371],["talviopas.fi",372],["turisti-info.fi",372],["teatteritanssi.fi",374],["tehylehti.fi",375],["telsu.fi",380],["tennis.fi",381],["tervareitti.fi",382],["terveyskauneus.fi",384],["ticketmaster.fi",385],["tiedonantaja.fi",386],["tiendeo.fi",387],["tiketti.fi",388],["tilannehuone.fi",[389,390]],["irc-galleria.net",[389,444]],["tilisanomat.fi",391],["tori.fi",394],["autot.tori.fi",395],["m.tori.fi",396],["traktorpool.fi",397],["ts.fi",398],["tulikulma.fi",399],["turuntienoo.fi",400],["ulvilanseutu.fi",401],["urjalansanomat.fi",402],["uudenkaupunginsanomat.fi",403],["puheenvuoro.uusisuomi.fi",405],["vapaavuoro.uusisuomi.fi",[405,406]],["www.uusisuomi.fi",407],["uusiteknologia.fi",408],["v2.fi",409],["vagarena.fi",410],["sevendays.vasabladet.fi",413],["vau.fi",415],["vauva.fi",416],["vertaa.fi",419],["viikkopk.fi",420],["viisasraha.fi",421],["viranomaisuutiset.fi",[422,423]],["gekkonen.net",[422,442]],["voima.fi",425],["webnode.fi",426],["wizhdsports.fi",427],["x2.fi",428],["xracing.fi",429],["yhteishyva.fi",430],["ykkoslohja.fi",431],["ylasatakunta.fi",432],["yrittajat.fi",434],["fel.gg",435],["lentopallo.info",436],["murtopallo.net",436],["murha.info",437],["piipaa.info",438],["2pos.life",439],["aasiakas.net",440],["deitti.net",441],["huuto.net",443],["kilokalori.net",445],["kokemakelainen.net",446],["konsolifin.net",447],["kotikokki.net",448],["motot.net",451],["mvlehti.net",452],["pallomeri.net",453],["esports.pallomeri.net",454],["polttoaine.net",455],["puskaradio.net",456],["riemurasia.net",457],["vapaasana.swedishforum.net",459],["vuodatus.net",460],["assembly.org",461],["futisforum2.org",462],["moottoripyora.org",463],["pt-media.org",464],["taisto.org",465]]);

const entitiesMap = new Map(undefined);

const exceptionsMap = new Map([["nettimokki.com",[0]]]);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
