/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: jpn-1

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = ["#ad_inview_area,\n#gStickyAd,\n._popIn_recommend_article_ad,\n._popIn_recommend_article_ad_reserved,\n.ise-ad,\nbody .interstitial-ad,\ndiv[id^=\"JP_\"][style],\ndiv[id^=\"active_overlay\"]",".ads-above-single-player,\n.elementor-widget-container:has(> center:only-child > .for-floating),\n.elementor-widget-container:has(> center:only-child > div[id^=\"div-gpt-\"])","#custom_html-2","#custom_html-4","#custom_html-7",".ads-system,\n.cactus-sidebar-content > .widget_text:not(.style-5)",".AdContainer","#right-side > div.side-box > div.side-title:first-child,\n.open","div[style^=\"width: 300px; height: 250px\"]","div[style^=\"max-width: 1000px;\"]","div[style^=\"width: 728px; height: 90px\"]","#vi-smartbanner,\ndiv[style=\" height: 300px; overflow: hidden; max-width: 100%; \"],\ndiv[style^=\"max-width:700px\"]",".amazontotalboxtest",".amazon-ranking-outer",".afi-block,\n.ht-banner","article > p > a[target=\"“_blank”\"] > img",".hello_from_adguard_japanese","#js-ur,\n.listPage__ad,\n.main__ad,\n.page__listPageAd",".slide_b",".pum-overlay","#text-3","#jp-smart-banner,\n.text-center[style^=\" height: 300px; overflow: hidden; max-width: 100%;\"]","body .code-block","#idIframe ~ div.content-text.lh-16,\n#idIframe ~ div.text-center.mb-3","#block-3","[id^=\"_ad_\"]","#header_banner",".add","#text-2","#custom_html-71,\n.entry-content > div.widget_custom_html:has(div.google-ads)",".banner_rectangle,\n.main_contents > div.middle_section,\n.recruit_banner","a[href^=\"https://pakomanmama.com/\"] + br,\na[href^=\"https://pakomanmama.com/\"] + br + br,\na[href^=\"https://pakomanmama.com/\"] > font[color=\"red\"]",".entry-content > p > a[target=\"_blank\"]","#related-entries:first-of-type",".adsense",".res > a[href*=\"amazon.co.jp/\"][target=\"_blank\"]","div[class^=\"ad-box\"]","#text-16",".AMvertical",".ad1",".ad2",".ax-cp,\n[id^=\"gogo-ads-widgets\"],\n[id^=\"gogo-iad-widgets\"]",".kizi > div > p > a[href^=\"//www.amazon.co.jp/\"],\n.rakubtn,\n.yahoobtn","#st_custom_html_widget-14",".bnr","#recBanner,\n#topBnr",".blogroll_ads",".amazon",".ads","#left","#ad2 + h3,\n#articleBodyMore_bottom > div#monologue + br + ul,\n#bottom_tweet_rank + h3,\n#comment + h3,\n#m_ad4 + h4,\n.entry_ranking,\n.entry_ranking + h3,\na[id^=\"sitejack_\"],\ndiv[align=\"center\"] > a[href^=\"http://www.amazon.co.jp/exec/\"],\ndiv[align=\"center\"] > span[style=\"font-size: x-large; color: rgb(0, 0, 255);\"] > b","#more > div[align=\"center\"]:last-of-type > table,\n#scroll,\n.aaieba-e,\n.article-body-inner > div[align=\"center\"] > table,\n.left-column-inner > div.plugin-memo,\n.main-column-inner > div[style^=\"BORDER: #FCA6AA 1px solid; margin: 0px 0px 12px 0px\"]:first-child,\n.plugin-memo:has(> div.side > div > div[id^=\"mhub-\"])",".t_b[style^=\"font-size: medium; font-weight: 400; background-color:\"]","#sub","#leftbody > div.plugin-search_internal ~ div.plugin-memo,\niframe[src=\"http://bantyou.livedoor.biz/patrol.html\"],\ntable[bgcolor=\"#000000\"]",".plugin-memo:has(> div.side > a[href^=\"http://www.e-nls.com/\"])","li > a[href^=\"https://al.dmm.co.jp/\"]",".dmm","div[class^=\"google-user-ad\"]","#right_a:has(> div#rightbody > div#rakuafi),\n.AAA > a[href^=\"https://www.amazon.co.jp\"][target=\"_blank\"],\n.elsebody,\n.p_img,\n.r2 > a[href^=\"https://www.amazon.co.jp/\"],\n.yahoo-ad1b",".main > div > a[style][href*=\"amazon.co.jp/\"]","a[href^=\"http://www.amazon.co.jp/\"][target=\"_blank\"]",".plugin-memo:has(> div.side > a[href*=\"amazon.co.jp\"])",".kiziad,\na[href^=\"https://www.amazon.co.jp/gp/\"],\ndiv.plugin-memo:has(> div.side ins.adsbygoogle)","#leftbody,\n.PortalLinks > center,\n.mainmore > pre + table","#ad2 ~ br,\n#ad2 ~ div[style=\"margin-bottom: 5px;\"]",".sideA,\n.sideB > p.side-title,\naside.section-box:has(> div.plugin-ad)","div[style=\"margin:10px 0;text-align:center;height:360px;\"]","div[style$=\"height:250px;\"]","div[style$=\"height:280px;\"]","div[style=\"width:300px;height:250px;\"]","#text-8","#text-11","#custom_html-37,\n#custom_html-39,\n.wp-block-group > .wp-block-group__inner-container:has(> .red_ a[href*=\"amzn.to\"])",".w-singleTop",".w-singleBottom","#custom_html-11","#custom_html-20","#custom_html-28","#custom_html-30","#custom_html-31","a[href=\"http://dir.spdoga1.net/e-top/deaivv.php\"]","#text-30",".widget-in-article",".article-body > center:has(> .adsbygoogle)",".single-pc-advertisement,\n.space-250,\n.space-60,\n.space-90,\ndiv[class$=\"-side-banner\"]",".header-main-banner",".sidebar hr,\na[href*=\"amazon.co.jp/\"][target=\"_blank\"],\ndiv[id^=\"ad-area\"]","a[href*=\"ck.jp.ap.valuecommerce.com/\"]","a[href^=\"https://amzn.to\"][target=\"_blank\"]",".ad2x",".adsence","#text-9","#text-10","#text-12",".hentry > p[style^=\"text-align\"]",".titleunder.add","a[href=\"https://kabutoshimichi.com/\"]","a[href^=\"https://px.a8.net/svt/ejp\"]",".w-cta",".w-singleBottom > div.widget_text",".globalPage-ad","#st_custom_html_widget-8",".amagetti-tabs-container",".amagetti-tabContent",".yyi-rinker-contents","#content-sidebar > aside.widget_custom_html,\n#primary-sidebar > aside.widget_text:last-child,\n.entry-content > a[href^=\"https://www.amazon.co.jp/\"]",".plugin-memo:has(> div.side > div[style=\"margin:0;padding:5px;font-size:14px;word-break: break-all;\"] > a[href^=\"https://al.dmm.co\"][rel=\"nofollow\"] > img)",".plugin-memo:has(> div.side > a[href*=\"amazon.co.jp/\"][target=\"_blank\"] > img)",".kiji_ad01",".pr","#simplicityclassictextwidget-35,\n#simplicityclassictextwidget-36,\n#simplicityclassictextwidget-37,\n.content_fixed_addsspot_300_600_pc,\ndiv[style*=\"height:280px\"][style*=\"text-align:center\"],\ndiv[style^=\"width:300px;height:600px;\"],\ndiv[style^=\"width:680px;height:280px\"]","div[style*=\"width:336px;\"]",".ad",".sidebar__right a[target=\"_blank\"] > img","#bookid",".post > h2[data-amp-original-style=\"padding-left:3%;margin-top:2%;margin-bottom:5%\"]","span[style=\"font-size:60%;font:#333333\"]",".fixed,\n.fixed2",".p-cb__item--ad","#inplayer",".ads:not(.ads-row > .ads)","iframe[src^=\"http://www.mmaaxx.com/\"]","#overlay_area","#barcenter",".blogbody > div.main:has(+ br + .posted > a.aposted[href=\"\"]),\n.blogbody > div.posted:has(> .aposted[href=\"\"]),\n.blogbody > h3.title:has(+ ifdatechanged + div.main + br + .posted > a.aposted[href=\"\"]),\nh2.date + div.blogbody:has(.aposted[href=\"\"]),\nh2.date:has(+ .blogbody .aposted[href=\"\"]),\nifdatechanged + div.blogbody:has(.aposted[href=\"\"])","div[class*=\"pmbanner\"]","#side > h3:last-of-type","div[class$=\"sticky-sidebar__widgets\"]",".dfad",".sponsored",".side--right > section.module--free:last-child",".ad-bottom-right,\n.admax-bottom > p[style],\n.side--right > .module--free:nth-child(-1n+4),\ndiv[class^=\"posi\"]",".card_pr","#pryc-wp-acctp-bottom",".bbsarea",".article > div.clear + div.clear + h3.frontTitle ~ article.excerpt_pick:has(~ div.clear + h3.frontTitle + article.excerpt_pick + div.clear)",".ad-space-top-footer,\n.ad-space-top-header","div[style^=\"margin-top\"][style$=\"text-align:center;\"][style*=\"margin-bottom\"]",".substitute-display-area-on","div[style^=\"margin-top\"] div[style=\"font-size:0.8em;\"]","p[style=\"text-align: center;\"]",".widget-over-sns-buttons","#text-26",".xF6dY",".advertisement-position",".adsbox,\n.adsboxtop,\n.sidebar > div.widget_text:has(> div.textwidget > a[target=\"_blank\"][href^=\"https://px.a8.net/\"]),\ndiv[style=\"text-align: center;\"] > a[href^=\"https://amzn.to/\"]","#text-49","a[href^=\"https://click.linksynergy.com/fs-bin/click\"] > img",".my-2:not(:has(> div.card))",".demo_url_replacer > div.widget_area,\n.pani-detail ~ div.detail-cont",".articleBody > div.media_frame:has(> a[data-category=\"affiliate\"][href^=\"https://www.amazon.co.jp/\"]),\n.original_middle_ad","[id^=\"ads\"]","#bottom,\n.l-extra + .breadcrumb ~ .l-wrapper .content > .gdc_row,\n.widgetSticky > aside.widget_text.widget-sticky","#text-27","#sidebox > h2:first-child,\ndiv[style^=\"margin:20px 0;padding:10px;background-color:#fea;background-image\"]",".first.fblock,\n.last.fblock","#text-7","#pc_text-19","#pc_text-21","div.page_side_bnr",".myad",".entry-content > div.add","#headline_around,\n#sidebar > table:first-child,\n.hover_img","div[class^=\"postUnderRssAd\"]",".box",".widget-above-single-sns-buttons",".dmm03,\n.dmm_top,\n.rankkingg,\n.side_ad_001","#sub > div.column-inner > div.column-inner-2 > div.plugin-memo:nth-of-type(1n+4),\n.entry_box3,\n.entry_box_left,\n.entry_box_right",".AmaQuick-box","#text-32","#text-33","#over-ad,\na[href^=\"https://www.e-nls.com/access.php\"][target=\"_blank\"] > img[width=\"250px\"][height=\"250px\"],\ndiv.content:first-child:has(> div.entry_body > div[style=\"text-align:center;margin-bottom:10px;\"] + div[style=\"font-size:8px;\"])",".nls_product_set_wrap","#sideBar",".amazlet-box","#main-fit-wrapper > font[size=\"2\"],\na[href^=\"http://ad-seek.jp/\"]",".Adsense300",".js_ad_content","#header_billboard,\n.mns_bn[style$=\"height:250px\"]","#chatroom_ad_header","#chatroom_right","#free_space_post_list_bottom,\n#free_space_post_list_middle,\n#text-45","#text-31","#text-40","div[id^=\"gtm_\"]",".sponserdlink","div[class$=\"_adlabel\"]","#custom_html-3","#custom_html-13","#fix_sidebar",".sidebar_content > div.widget_custom_html",".widget_custom_html.single-top",".linkwithin_div + div.thanks,\ndiv[style=\"margin:-5px auto 5px auto; height:130px;\"]",".widget-above-single-content-title","#custom_html-10","#custom_html-19",".banner.blogcard",".adsensemore > div.center,\n.header-container > div.center","div[style^=\"width:300px;height:250px;\"]",".kaerebalink-box",".block-adsense-q-wrapper","#ac-main-content > .ac-d-lg-block,\n.ac-p-2.bg-e6e6e6.donation-box-right:has(> .ad-center),\n.ac-p-2.bg-light.ac-mb-2,\n.ad-fluid,\n.col-12.px-1,\n.container figure ~ div[class^=\"col-\"]:has(> .bg-light [id^=\"div-gpt-ad\"]),\n.flux-all-footer.ac-z-index-999.position-fixed.bg-light.w-100[style],\n.section-creator-ads,\n.theme-ads-box","div[style=\"min-height: 250px;\"]","#voting-taboola-wrapper,\n.ac-p-2.bg-light.ac-mt-3,\ndiv[id^=\"search-result-\"] div.bg-light.ac-p-2",".cont_campaign,\n.cont_end,\n.img_link","#banner",".menunaka > div[style^=\"font-size:10px;font-weight:normal;float:left;color:#996666;\"],\ndiv[style=\"border-top:1px solid #555;padding:20px 10px;\"],\ndiv[style=\"float:right;width:160px;\"],\ndiv[style=\"height:90px;\"],\ndiv[style=\"min-height:260px;\"],\ndiv[style^=\"width:600px;\"],\ntable[width=\"910\"]","div[style^=\"margin-top:50px;background-color:#FFF;padding:20px;\"]","div[style^=\"min-height:250px\"]",".ad01a","div[class^=\"koukoku\"]",".banner","#g_top",".winAD",".container_top_widget_content",".content_box:has(> ul.pr5)",".widget_custom_html",".col-lg-7 > table[width=\"100%\"]:has(a[href*=\"://click.dtiserv2.com\"]),\n.col-lg-7 > table[width=\"100%\"]:has(a[href*=\"://click.dtiserv2.com\"]) + img[alt=\"AngelPickUp\"],\n.d-lg-inline.col-lg-3 > iframe[src$=\"/new.php\"] ~ br,\n.d-lg-inline.col-lg-7 > table[width=\"100%\"][cellpadding=\"5\"] + br",".belowVideoBanner,\n.boxzilla-bottom-right-container",".adtext,\n.rank > li[id]",".ads-a","#top-banner-base",".contents_bottom_2-column_ad,\n.side div.prime,\ndiv[class^=\"rightSky0\"]","#text-4","#text-5",".menubox[style=\"text-align:center;padding:1em;\"],\n.myh-ads,\n.topinfeed","div[id^=\"_popIn_recommend\"]",".widget_custom_html > div.textwidget > a[href^=\"https://www.dlsite.com\"]",".module-typelist:has(> div.module-inner > div.module-content > ul > li > div > ins.adsbygoogle)",".cps-post-main > p:has(> ins.adsbygoogle)",".sponsor",".acr-popular,\n.plugin-memo:has(> div.side > div[class^=\"uz-\"]),\n.t_b > script + br,\n.t_b > span[style=\"font-size: 125%;\"]","#sub div.plugin-memo:first-child",".autopagerize_page_element > b,\nblockquote:has(> .amazon)",".left-container > div.plugin-memo:last-child","#adGameRanking,\n.articleGoodsBox,\n.goodsBox",".amazon_link","#Sticky-Left,\n.amazon_link_sidebar,\n.catch_amz,\n.clearfix.article_bodyfooter",".right-column-inner > div.plugin-memo:first-child",".right-column-inner > div.plugin-memo:last-of-type","._popIn_infinite_page > li:has(> a[class*=\"_popIn_recommend_article_ad\"])","#widget-in-article,\n.af-box,\n.custom-box02","#insentence-adsense,\n.adsense-wrap,\n.hatena-module-html a[href^=\"https://h.accesstrade.net\"],\n.hatena-module-html a[href^=\"https://mogecheck.jp/purchase\"]","div[style*=\"width:320px;height:100px;\"],\ndiv[style=\"margin-left:50px;width:740px;height:100px;background-color:#000;\"]","#amazon","#abar,\n#abox,\n#gadgets,\n.pstft,\ndiv[style=\"margin:16px 0 0 -8px\"]","#surfing_adsense_widget-4",".archiveItem-infeed",".cstmreba",".widgetPost-bottom","#text-14",".amazon-item-box","div[id^=\"bnc_ad\"]","#box2-inner > div.hatena-module-html:has(> div.hatena-module-body > div.AMvertical),\n.hatena-rakuten-detail","div[class^=\"article-body\"] > blockquote:has(> div[align=\"center\"] > a[href*=\"amazon.co.jp\"])","div[style=\"width: 780px; height: 485px;\"]",".abox",".c-banner-common,\n.c-banner-lg-site-jack","#sidebar > li:has(> div.block > div.blocksubhead > a#collapse_block_html_4)",".widget_block","#custom_html-43","#media_image-3","#media_image-2","a[href^=\"https://rpx.a8.net\"]","#pc_text-13",".hotentry","#widget-under-related-entries","#custom_html-5",".mt-3:has(> ins.adsbygoogle)",".widget-under-article",".ad[style$=\"min-height:250px\"]",".ad.double,\n.ads300,\n.ads_bottom,\n.img_margin[style=\"min-height:265px\"]",".ad:first-child,\n.pc,\n.upperbox","#home-top-widget","#diver_widget_pcsp-55",".kk_gen_h,\n.kk_gen_top_h,\n.kk_ggl_h,\n.kk_rak_h_n,\n.kk_sdb_vertical,\n.kk_sidebar_items > div.item_box_sdb:has(> p.item_box-image > a[href^=\"https://www.amazon.co\"])",".PC_header_ad,\n.adh0",".ad-300-250,\n.ad-720-90","#BT_applejp_Inread,\n.after-header-widget-area",".widget_item_ranking",".entry-content > div[style=\"text-align:center;\"]",".loglyHead",".c-bnr,\n.c-bnrBox","#main-content > #content > .block.odd:has(aside[id^=\"div-gpt-ad\"]),\n.ad-appllio-Bottom,\n.ad-appllio-Title,\n.sidebar > .region-inner > .block.odd:has(div[id^=\"div-gpt-ad\"])",".adsense-responsive",".u-ta-center:not(.u-mt-10):not(#new_comment > .u-ta-center)",".ai_widget",".side-banner",".leader_ad_banner,\n.lowerad,\ndiv[style=\"margin:auto;width:100%;min-height:250px;\"]",".entry-content > div.widget_st_custom_html_widget","#mybox > div.widget_text",".ad-middle-wrap","#HometopAdOuter,\n#NativePr,\n#Outbrain_Osusume,\n#SubInner > div[class] > div.Pr,\n#SubInner > div[class]:has(> div.Ad),\n#SubInner > div[class]:has(> div.Pr),\n#ytplayer1-ad,\n.AdMod,\n.BannerBlock,\n.InReadCenter,\n.OutbrainAdMod,\n.OutbrainRecMod,\n.PrTextMod,\n.Section > .Pr,\n.ad-article-inner,\n.ad-pc-side-rect,\n.andNativead,\n.footer-ad-area,\n.l-aside > div[class] > div[class]:has(> div.Section > div.Pr),\n.module-ad-article,\n.module-ad-head,\n.module-content-footer__ad,\n.module-side-ad,\n.module-side-notice,\n.module-top-ad,\n.p-ad--topNews,\n.p-ad-area,\n.p-chumoku,\n.p-kurashi__list > div.p-kurashi__listItem:has(> div[id^=\"div-gpt-ad-\"]),\n.p-rectangleAd,\n.p_infeed_list_wrapper,\n.sidebar__banner,\n.vjs-modal-dialog.vjs-error-display,\ndiv[style=\"min-height: 270px;\"],\ndiv[x-component-name=\"AsahiDynamicInclude\"][x-component-data]",".Ad",".recommend-content,\n.sub-recommend,\ndiv[class*=\"ad-area\"]",".entry-links-group",".layout-content-col1--bg2,\n.module-editors-picks .module-list-articles > .module-list-articles__item:not([class*=\" \"])",".module-list-articles__item--ad",".Pr",".a-ad,\n.g-ad-side,\nul[class^=\"m-article-list\"][class$=\"readmore\"] > li.m-article-list__item:has(> div[id^=\"taboola-below-article-\"])",".--ad",".module-list-articles__item:has(> div[id^=\"div-gpt-\"])","div[class^=\"ad-\"][class$=\"-footer\"],\ndiv[class^=\"ad-\"][class*=\"-rect-\"]",".mod-media-add,\n.top-large-ad",".ad-pc-billboard","a[id^=\"article-ad-ad_\"]",".c-article-block:has(> div[id^=\"div-gpt-\"]),\n.c-promotion,\n.kiji_rect01",".detailMainBannerGA01,\n.mainBannerGA01,\n.mainBannerGA02,\n.mainBannerPR02,\n.sideBanner01,\n.sideBannerGA01,\n.sidePicup,\n.topMainBannerGA01","#subservicelogo_wrap","#contentWrap > div.not-athleterecipe",".widget-parts","#ad","#afad",".side-section[style],\ndiv[style=\"text-align: center;margin-bottom: 24px;\"]","div[class*=\"adBnrBox\"]","#btmInfoWrap,\n#itemsBelt1,\n.showcaseEmbedAdBoxWrap,\n.showcaseNativeAdHeightType01,\nsection[class^=\"showcaseNativeAdType\"]","#kanrenItems,\n.bnrWidthFull","#adOvl,\n#bread + div[style=\"width:100%; text-align: center; padding: 10px 0px;\"],\n#md_similar_box,\n.inst_overlap_cover","div[style*=\"min-height:250px;\"]","div[style*=\"min-height: 250px\"]","div[id][class^=\"popup\"][class$=\"wrap\"]",".td-a-rec,\n.td-ss-main-sidebar > .ai-viewport-1,\n.td-ss-main-sidebar > aside.widget:has(> div.block-title > span)","#footer-widgets,\n#masthead > div > a[href^=\"https://al.dmm.co.jp\"],\n#masthead > div > a[href^=\"https://pancolle-movie.jp/track.php\"],\n.content-top-in,\n.entry-content p[style=\"text-align: center;\"] a[target=\"_blank\"][rel*=\"noopener\"] > img[width]","#text-15","table[width=\"142\"]",".affiliate-api-widget","#head > table[width=\"100%\"] td[align=\"center\"]","#aoverlay,\n#exo-native,\n#olmson,\n.col-sm-5 > a[class=\"btn btn-primary\"][target=\"_blank\"],\n.container > div[style*=\"overflow: hidden\"],\n.footer-banner,\n.hide-me-please2,\n.video-banner,\n.well#ps32-container,\na[href^=\"https://pussl\"],\ndiv[style=\"width:100%; height: 90px;overflow: hidden !important;\"],\niframe[src^=\"//ads.adxadserv.com/\"]",".post-widgets-bottom",".post-widgets-top",".post > div.st-aside p[align=\"center\"]",".sidemovie,\n.sidemovietitle",".custom-html-widget a[href^=\"https://al.dmm.co.jp\"]",".custom-html-widget > p > strong",".custom-html-widget a[href^=\"https://www.e-nls.com/access.php\"]",".custom-html-widget > p > small","#banner_thr,\n#banner_thr + hr,\n#banner_top,\n.thrListTxtAd,\n.thrListTxtAd + hr,\n.thrWholeRight","#ad_navi,\n#gad_header,\n#gbnr_sidet,\ndiv[style^=\"width:100%; height:250px\"]",".entry > h2:has(> a[href=\"\"]) + .entry_date","body > div.container-fluid:has(> div.row > div.adsense-photoeditor-header-wrapper),\nmain > div.row:has(> div[id] > script[src^=\"//ads.themoneytizer.com/\"])","#diver_widget_pcsp-2","#custom_html-6","#custom_html-16",".setumeiside:nth-of-type(-1n+2)","#ad-main-upper",".add-wrap",".addHead",".raku",".rectangle",".articleDetailAdd",".addSide",".banner_area_468,\n.js--ad--bottom,\n.ranking_banner,\n.sidemenu_banner,\n.sponsorsTextHeader","div[id^=\"hideme\"] div[id$=\"t\"]","#top_banner","div[style^=\"position: fixed;bottom: 0;left: 0;right: 0;margin: auto;height: 106px\"]","div[style^=\"height: 250px\"]","#floatingBottomAdsMain,\n#instant_ad,\n#js-imageview-ad,\n.ad-native-comment,\n.res_ad,\n[class*=\"js-ads-content-top_\"],\ndiv[class^=\"sproutad_\"]","#float-bnr","#floater_ads,\n#js-bottom-ad-300x250,\n.js-cardview_ad-320x50:not(:first-child)",".pc-only2-wrap",".p-article01-ad,\n.recommend-list,\n.uz-ny","div[id^=\"gooad\"]",".adSenseUnder",".p-headerBnr","#ad-header","#extra div.column-inner-2 > div.plugin-memo,\n#semiFixed > div.plugin-memo > div.sidetitlebody,\n.article-body-more > table[width=\"125\"]","#sidebar > aside:has(> div > a[href^=\"https://amzn.to/\"])",".SponsoredLink","div[class^=\"p-dfp-banner-area\"],\nli.p-topics-list__item--ad-ranking",".custom-html-widget a[href^=\"https://www.sokmil.com\"]","#widget-tracking",".video-player","table > thead.pc_obj + tbody > tr:not([class])","#footer_cta",".adsense_center","#BottomAmazon,\n#TopAmazon,\n.main_center_body_text div[align=\"center\"]:has(> a[href^=\"https://ad.adpon-affi.net/ad/\"]),\na[href^=\"https://ad-nex.com/\"][target=\"_blank\"],\na[href^=\"https://ad.adpon-affi.net/ad/\"],\na[href^=\"https://ratel-ad.com\"]",".amachazl-box",".plugin-memo",".side-topad","#link,\n#new","#side-fixed","#col3",".sideblock_banner",".side-widget-area > div[id^=\"text-\"],\ndiv[class^=\"g g-\"]","#no-ads-msg,\n.affiliate-card","#ArticleBlock > .entryMain:has(#ninja-blog-inactive) + #CommentBlock","#custom_html-55,\n#custom_html-63","div[style=\"float:none;margin:10px 0 10px 0;text-align:center;\"]","#text-13","div[class^=\"ad\"]",".ad-list","#HTML9","#HTML2",".bar-ads","#HTML6,\n.cls_PostBottomInArticleAdsence_divContents,\n.cls_PostFooterAdsence_divContents,\ndiv[style^=\"bottom: 0px; left: 0px; position: fixed;\"][style*=\"z-index\"][style*=\"background-color:\"]","iframe[src^=\"http://rcm-fe.amazon-adsystem.com\"]",".sponserd","#HTML7,\n#HTML8,\n#side-section > div.HTML:has(> div.widget-content > div.separator > a[href*=\"?utm_source\"]),\nspan[style=\"color:#666;margin-bottom:1px;\"]",".swell-block-capbox","#PR,\n.-pr,\n.sw-Ads","#sticky_sidebar_advertising-sticky-wrapper,\n.application__ads,\n.application__fixed-footer,\n.default__ads,\ndiv[style=\"width: 300px; height: 250px\"]","#adsub",".jack-wrap","#fixed_sidebar",".Side_adposition",".adsense-table","#columnLeft > div.sideBanner:last-child,\n#columnRight > div.sideBanner:first-child,\n.headBanner","table[style=\" border:1px solid #ccc; width:300px;\"]","#slide_wrap_pc,\naside.row > div.col[style=\"margin-top: 8px;\"]",".widgetSticky","#extra div.plugin-memo:nth-last-child(-1n+4),\n.paapi5-pa-product-container > div.paapi5-pa-product-details,\n.paapi5-pa-product-container > div.paapi5-pa-product-image,\n.plugin-memo:has(> div.side > script[type]),\n.pull-left.paapi5-pa-ad-unit:first-child",".amazon.Default","#extra div.plugin-memo:first-child",".aside_banner,\n.main_mokuji_ad_top,\n.newlistAdBox",".article_Banner_under,\n.side-menu-serviceLink",".dp-widget-header-title,\ndiv[id*=\"-\"][style=\"margin-left: auto; margin-right: auto; text-align: center; \"]","#mybox > .box:last-child,\n.ad-desktop-w","div[class^=\"ad-japan_adJapanLinks__\"],\nli[class^=\" \"]:has(> div.Ad)",".advertise",".advertise + hr","#text-6",".sidebar_content > div.widget_text",".widget_diver_widget_pcsp","#KkPcSideTu > nav + aside,\n#topKokuchi","#recommendedPost div.recommended:has(> div.related_content ins[data-ad-client])","#dlsite_native,\n#liver_native,\nli[id^=\"native_\"]",".adVortexFixedAd","#text-73",".kanren > dl:has(> dd > div.blog_info > p > i.fa-tags + a > font[color=\"red\"])","div[id^=\"ads-\"]",".float-right",".shared_content_container","a[href^=\"https://www.amazon.co.jp\"]",".panel-default > div.hidden-xs.row",".l_sidebar > h2:last-of-type,\n.side_box:last-child > h4","div[class^=\"sponsor\"]",".plugin-memo:has(> div.side > div > a[href*=\"://www.amazon.co.jp/\"][target=\"_blank\"] > img)","a[name=\"amazletlink\"]",".bottombanner,\n.resbanner,\n.sidebanner","#custom_html-9","#contents > p[style=\"text-align: center;\"]",".home-image-list-wrapper-with-advertisement__advertisement",".main-container-ads",".video-content-widget-area > div.custom-html-widget,\n.video-content-widget-area > h4:has(+ div.custom-html-widget)",".native-widget-area:first-child","div.side-widget-area:has(a[href^=\"https://www.e-nls.com/access.php\"])",".side-widget-area a[href^=\"https://al.dmm.co.jp\"]","#content > div[style=\"padding-top:20px; text-align:center;\"],\n.right_advs",".ad-border",".game_wrap_left > h2.game_tit,\n.pr_attention_right,\n.research_tit","#google_adsense + span.subcontit,\n.New_GoogleAD,\n.rectbanner,\n.sec_headline_promo,\n.superbanner",".pc-article-midle-ad-div,\n.post-top-ad-div,\n.right-ad-div","#movie-ad-box,\ndiv[class^=\"sidebar_ads_\"]","#custom_html-100",".ad-management",".normal,\n.txt-banner",".tweet_followme > div.hensyu_box,\n.tweet_followme > h3.komidasi_ao:first-child","#ad_rect ~ div.iframeWrapper,\n#ad_text,\n#ad_textbottom,\n#content-bottom-block,\n.content-article-pr",".banner_box,\napp-adsense-display-ads",".containertop-widget",".txtBox > p:has(> ins.adsbygoogle),\ndiv[class^=\"ad-JP_\"]","body > div.mx-10px > div.border-b:has(> div.flex > div[id^=\"div-gpt-ad\"]),\nbody > div.mx-10px.py-60px:has(> div.flex > div[id^=\"div-gpt-ad\"])","#recommend","#sponsors,\n#sponsorsTop,\n.txtBodyA1",".cc-infeed",".hatena-module-html:first-child","#fixedbanner,\n.entry-letterbody > blockquote.gazou:has(> p > a[rel=\"noopener noreferrer\"])",".link-page-full","div[class^=\"AdSection_\"]",".content > center",".p-post__adPostBlock","#subHeader_leaderboard","#floatingAd,\n.yahoo_jp_left_sidebar_ad","#main > .text_center:has(> .inline > div[id^=\"div-gpt-\"]),\n.side_ads_area",".added_app_box","#kakidashi-box-field,\n#under-toc-block-container","#post-bottom-widget","div[class^=\"ads-tag\"]",".ads_321,\n.pr_content","#side_special_ad_wrapper,\nul > li:has(> div[data-ad-slot^=\"spweb-\"])","#_popIn_pc_side_rectangle_1,\n#content > ul.breadcrumb-in + div.center,\n.post-loop-wrap:has(> div[id^=\"div-gpt-\"])","#custom_html-21","div[class$=\"-ad\"]",".amazon-link","#_popIn_promotion",".ads_list","#keni_toc",".divAD_L",".plugin-memo:last-child",".plugin-memo:has(> div.side > div.AMvertical)","#scrollad","#_popIn_infeed_ranking,\n#cu_pc_article_inarticle,\ndiv[class^=\"cu_\"][class*=\"wrap\"][style*=\"height\"]",".right-container-ads + div.plugin-memo,\ndiv[style=\"margin-bottom:20px;\"]",".pab30","#content > div[class=\"ad\"] + div.section_common","#st_custom_html_widget-10",".ad_count,\n.rensai_widget","#contents > div[align=\"center\"]",".page-content > div[style^=\"margin-top:\"]:has(> div.a-single + br),\n.widget_questions_monthly_archive > div.widget_text",".advertising img",".a-single","[class^=\"c-ad\"]","#entry > #entryStatus:has(> li > a[href=\"\"]) + #entryTime,\n#entry > #entryText:has(#ninja-blog-inactive) + .hr","div[class^=\"AdBanner_container__\"]",".linkul > li:has(> script[src^=\"https://pagead2.googlesyndication.com\"])","#serial-index > .box:has(> div[id^=\"div-gpt-\"]:only-child),\n.ad-top_twoside,\n.ad-twoside,\n.archives-list > ul > li.archives-list__item:has(> div[id^=\"div-gpt-ad\"]),\n.buttonlink2:has(> a[href^=\"https://amzn.to/\"]),\n.ranking-list > ul > li[class*=\"_\"]:has(> div[id^=\"div-gpt-ad\"]),\n.side-er,\ndiv[style^=\"font-family:Gill Sans;font-size:12px;line-height:12px;color:#CCC;text-align:center\"]","div[class^=\"side-ad\"]","#sidebar-scroll",".article__content > a[href^=\"https://www.amazon.co.jp\"][target=\"_blank\"],\n.article__content > a[href^=\"https://www.amazon.co.jp\"][target=\"_blank\"] + br,\n.side--right > section.module--free:nth-child(-1n+3)",".afbox","div[class^=\"TopHeaderBanner_wrapper_\"]",".gAdBanner:not(.gSideSticky > div.gAdBanner),\n.gBody_col-right > div.gMovBox,\ndiv[class^=\"RightColumn_rectangleBanner_\"],\ndiv[id^=\"dol_all_\"]","#ad-global-menu-lower,\n#ad-wiki-content-lower,\n#ad-wiki-footer-upper",".posts-list-under-widget","#custom_html-14","#custom_html-17","#custom_html-25","#custom_html-32",".ga-unit01",".sticky","#custom_html-24",".entry-content > p > span[style=\"font-size: 8pt;\"]","div[id^=\"mobile_ads\"]",".top-contents-ad-base","#cm_sidebar > div[style=\"margin:0px 0px 10px;\"]:has(> a[onclick][target=\"_blank\"]),\n.cm_ads,\n.main-topban","._ad,\n.vip-size-728x90,\ndiv[id^=\"optimize-sp-rect-\"]","#footer-ad-container",".ad-banner",".adnetwork-footer",".headline","#fix-space",".mainbox > .adbox + .widget_text",".sidebar > div.widget_text","#mobile_text-2,\n#mobile_text-4,\n.widget-below-toc",".widget-single-content-middle",".small.text-center > div.row > div.text-center[style=\"margin-top:2px;color:#6c757d\"]",".AdsArea,\n.AdsArea + table + table",".right-column-inner > div.plugin-memo",".wrap > a.site-link-box",".article-body > div[align=\"center\"] > b > span[style=\"font-size: 125%;\"]","#gamefooter","div[class^=\"ad_\"]",".affiliate",".wrap-ad-common","#maingd,\n#topgd","#menu2Block > div.menuBlockBase:has(> div > div > div.plugin-freearea > ins.adsbygoogle)",".boxzilla-center-container",".boxzilla-overlay",".boxzilla-container",".post-widgets-middle",".adbox",".box-contentAd",".bn","#adsense-kijishita",".inner-contents a[href*=\"dmm.co.jp\"][target=\"_blank\"][rel$=\"nofollow\"] ~ a[href*=\"dmm.co.jp\"][target=\"_blank\"][rel$=\"nofollow\"],\n.inner-contents div[style=\"margin:0;padding:5px;font-size:14px;word-break: break-all;\"] ~ div[style=\"margin:0;padding:5px;font-size:14px;word-break: break-all;\"],\n.inner-contents hr,\n.side_menu:last-child","#custom_html-34,\n.post > div.widget_custom_html","#custom_html-33","#sidenavi > div#part_b,\n#sidenavi > h3.mid,\n.fr_mansion",".gadget_ad",".bfb_textTextBtn",".pochipp-box",".kijishita_ranking","#box2-inner > div.hatena-module-html:nth-last-child(-1n+2),\n#entry-footer-primary-modules,\n.customized-header,\n.entry-content > div:has(> a[rel=\"noopener sponsored\"])",".sponser","p[style] > span[style=\"font-size: 80%;\"]",".g-ad","div[id][style=\"height: 300px;\"],\ndiv[id^=\"async-adsense\"][style^=\"min-height\"]","#m-osorezone,\n#subBtmBar-sticky-wrapper,\n.amazon-item,\n.aside-box > a[href^=\"https://screeningmaster.jp/\"]","div[style=\"width:728px; height:200px; margin:0 auto 20px;\"]","#bnrTwoColumnArea",".content-container > section > ol.row.ranking","#custom_html-61","#span-homes,\n.bnr-item,\n.ek-route-advertising-no-2,\n.ek-route-advertising-no-3,\n.na-bottom-wrap,\n.na-wrap,\n.sidebar-ad-item,\n.text-center[id^=\"div-transit_\"][id*=\"_access_result_\"][style^=\"margin: 8px auto\"]",".ad-bnr-w728,\n.post-header-bnr,\n.post-list-content--ad,\n.side-bnr,\n.side-infeed",".pc_banner,\n.simple-box3",".entry-content > h4:has(table a[href^=\"https://hb.afl.rakuten.co.jp/ichiba/\"]),\n.entry-content > p[style^=\"text-align:\"]",".Ad3Tile,\ndiv[style$=\"width: 336px; height: 280px;\"]","body > div[style]:has(> div.pcolle-parts),\nbody > div[style]:has(> script[src^=\"https://adm.shinobi.jp\"]),\ndiv[data-affiliateheight],\ndiv[style=\"width: 815px; height: 250px; margin: auto; text-align: center;\"]",".l-sidebar > aside.widget_custom_html:first-child","#text-672,\n.entry-content > p:last-of-type ~ table[border=\"0\"]","#ad_right-column01",".doublerec_css",".widget_amgatti_sk",".left_navi07_duga_movie",".main-section:has(a[href^=\"https://2ji-planet.com\"]),\n.section-swiper,\n.top-sponsored,\ndiv[class^=\"rectangle\"]","#side-fixed > div.widget_custom_html",".adbtntype,\n.adranking",".widget-banner",".pc-overlay","#main-fit-wrapper > div.pc-mieru",".ban","#BBBa,\n#BannerOne,\n#TopVrList","iframe[src^=\"https://ad-cheers.com/\"]","#extra div.plugin-memo:has(> div.side > div > div.sample_block > a[href^=\"https://adult.contents.fc2.com/aff.php\"])","table[summary=\"DMM\"]",".feed-ch,\n.feed-sp,\n.feed01","div[class^=\"ad-\"]",".post-inner > p > a[href^=\"https://al.dmm.co.jp\"]","#custom_html-15",".custom-box3,\n.eroga-widget","#article_box > a:not([href*=\"erogazo-\"]),\n#article_box > p:first-child,\n#text-42.right_sidebar,\n.post_content_btm_ad,\n.widget_text.right_sidebar:nth-last-child(-1n+2),\np > a[rel=\"nofollow\"]",".post_content_ad","#list > article.entry:first-of-type:not([id])",".entry-content > div[style=\"margin:0;padding:5px;font-size:14px;word-break: break-all;\"]","#text-106",".appc_text","#enhancedtextwidget-2","#main-top-widget,\n#text-61",".first-article > span[style=\"font-size: large;\"]","#text-22","#custom_html-27",".bann,\n.bann + ul.flex-container,\n.bann + ul.flex-container + div.button010,\n.entry-content > ul.flex-container,\n.pickupfn1",".entry-content > p > a[href^=\"https://al.dmm.co.jp/\"]","#enhancedtextwidget-27",".adadtitle","div[class$=\"-mieru\"]","#enhancedtextwidget-5,\n#enhancedtextwidget-6","#enhancedtextwidget-4",".code-block[style=\"margin: 8px 0; clear: both;\"]","#container > table[width=\"960\"]",".c_c_b_w,\n.c_c_t_w,\nblockquote:has(> p > a[href^=\"https://nxcount.com\"])","#ets_contents_otona","figure > div[style^=\"display: block; position: absolute; top: 0px; left: 0px\"]",".osusumeDmm,\nh2[id*=\"random\"]","#list-wrap,\na[href*=\"/?AC=\"]",".plugin_ad_box,\ndiv[style=\"text-align: center;height: 90px; margin-bottom: 10px;\"]",".eyecatchbanner-outer",".overflow-hidden[style]","#more > center:last-of-type:has(> a[href$=\"300x250.php\"]),\n.ad-aside > a[target=\"_blank\"],\n.azrank_quote,\n.siteAside > div.ad-aside:nth-child(-1n+2)",".ad-siteRanking,\n.plugin-memo:has(> div.side > div#azrank-sidebar),\na.jackFix,\nblockquote:last-of-type:has(> div.amazlet-box)","#custom_html-18","#side-fixed > div.thk_ps_widget,\n#thk_ps_widget-26,\n#thk_ps_widget-71,\n#thk_ps_widget-75 > .ps-wrap,\n.bc,\n.container7","#related-box",".gb_ad_300_250,\n.gb_ad_footer,\n.gb_ad_lrec:first-child","#sideMenu > font[color=\"#666666\"],\n#sideMenu > img[width=\"180\"][height=\"16\"],\n#sideMenu > img[width=\"180\"][height=\"16\"] + br",".ad-box--app,\n.ad-box--ocam","#rmenu > div[style=\"display:block;\"] > div.p1_title,\n#rmenu > div[style=\"display:block;\"] > div.rmenubox,\n.floating-widget,\ndiv[style*=\"width:728;height:90px\"]",".bfb_textBtn,\n.bx-chat,\n.hoverner","#detail-right-bottom-ad,\n.article-ads__heading,\n.article-body__contents > a.btn-deep-orange[href*=\"?\"][target=\"_blank\"][rel=\"nofollow noopener\"]:has(~ div#art-toc),\n.article-body__contents-pr-primary,\n.banner-center,\n.banner-footer-rect-container,\n.banner-pc,\n.banner-super-jack,\n.banner-top-header,\n.l-contents-block--article-amazon,\n.search-box ~ div.l-contents-block:has(.card-game-sale-rank--amazon),\namp-iframe[width=\"382\"][height=\"700\"],\naside[class^=\"SponsorLink_sponsorLinkContainer_\"],\ndiv[class] > div.l-contents-block:has(> div.heading > a[href=\"/ranking/amazon/\"]),\ndiv[class^=\"ArticleDetailBanner_container_\"],\ndiv[class^=\"ArticleDetail_leftColumn\"] > section:has(> div > div.swiper div[class^=\"AmazonCard_card_\"]),\ndiv[class^=\"FooterRectangle_container_\"],\ndiv[class^=\"HalfPageBottomOrLargeRectangle_container_\"],\ndiv[class^=\"Header_superJack\"],\nsection[class^=\"SecondRightColumn_\"] > ol[class^=\"AmazonRanking_list_\"]","#gam_pc_large_rectangle,\n.amazon-rank,\n.layout-ads-superbanner,\n.layout-rectangle,\ndiv[style=\"width: 1000px;height: 150px\"]","#mainArticleBottom_leftUnit,\n#mainArticleBottom_rightUnit,\n#mainArticleUnit,\n#mainFooterUnit,\n#mainTop_ATFUnit,\n#sideTop_ATFUnit",".a_fc1,\n.a_hey,\n.block:has(> .a_hey),\n.line-ad,\n.list_frame:has(> .list_main > .list_foot_field > a[href$=\"_rank\"]),\n.top-embed-ad,\n.top-live-ad","#ad-content,\n#fc2_text_ad,\niframe[src^=\"https://media5.fc2.com/\"]","#ad-footer","#ad_sidebody,\n.column-left_ad",".sidemenu_body:has(> dd.plg_body > div.plugin-freearea > div.dmmr18)",".rtbox_tri_rec,\n.topimg > .fc2aspace:empty,\n.wrecbox","#load:empty",".adsbygoogle","#adleft,\n#adright",".plugin1_outline:first-of-type,\n.plugin1_outline:nth-of-type(1n+3),\ndiv[align=\"left\"],\ndiv[align=\"left\"] + div[style]",".side-menu:last-child","div[class^=\"ad_entry_\"]","div[style^=\"width:728px;height:90px\"]","#sub-ad",".pompass","div[style*=\"width:300px; height:250px\"]","#menu2Block > div.menuBlockBase:has(> div.menuBlockBody a[href^=\"https://click.linksynergy.com/\"]),\n.mainEntryMore > a[href^=\"https://click.linksynergy.com/\"] ~ br,\n.mainEntryMore > a[href^=\"https://click.linksynergy.com/\"] ~ hr[size=\"1\"]","#left_column > div.menuBlock:first-child,\n.EntryMore > br + br + a ~ a[href*=\"amazon.co.jp/\"],\n.EntryMore > br + br + a ~ a[href^=\"https://affiliate.suruga-ya.jp\"],\n.EntryMore > br + br + a ~ a[href^=\"https://affiliate.suruga-ya.jp\"] ~ br:not(:last-of-type),\n.kanabell,\n.menuBlock:has(div.plugin-freearea > div[style^=\"overflow:hidden\"] > div.wboxlink)",".side_plugin:has(.adsbygoogle)","#mainBlock > div.free_area,\n.amatable_wrap,\n.menu1BlockBase:first-child,\n.more_ads,\ntr[align=\"left\"] > td[style^=\"font-size: 12px\"][align=\"left\"]",".more_ad",".free_space_body","div[class$=\"_outline\"]:has(> div > div.plugin-freearea[style=\"text-align:left\"] > a[href^=\"https://al.dmm.com\"][target=\"_blank\"] > img)",".bnr-ad",".list_wrapper:has(> p[class=\"promotion_tag_spn\"])",".ads-container",".ad_panelAR,\n.main-body > div.content-wrap[aria-hidden][data-hidden-on-tab]","[class^=\"c-ad\"]:not(.c-ad-103)",".m-viewAd",".list-subCont > li[style$=\"height: 98px;\"],\n.pr-ads","body > table[width=\"150\"][border=\"0\"][cellspacing=\"0\"][cellpadding=\"3\"]:has(table[width=\"100%\"][border=\"1\"][cellpadding=\"5\"] a[href^=\"http://click.t2z.jp/zzz/\"][target=\"_blank\"])","#a8 > li:last-child,\n#ad728F,\n#admax-footer,\n#admax-menu,\n#dq4-related,\n#sponsored-link,\n.ad480,\ndiv[class^=\"A8-\"],\ndiv[class^=\"admax\"],\ndiv[id^=\"rakuten_\"]",".left_column","center > center > table[width=\"478\"][height=\"70\"]",".card[style=\"margin: 15px 0px\"],\n.col-xl-8 > div.row > div.col > div.card.d-lg-block",".Article__content > a[href^=\"https://www.amazon.co.jp/dp/\"],\n.Main__contentsParts > section.-freeArea,\n.ad-paddingbottom","div[class*=\"-ad-banner\"]","a[href^=\"https://www.amazon.co.jp/\"] > img","#text-42,\n.gallery","#text-47","#sticky-ads",".article > div:last-child:not([class]):has(> ins.adsbygoogle),\n.article > p:has(> ins.adsbygoogle)",".c-heading-2--with-icon-s:has(+ div#taboola-below-article-thumbnails),\ndiv[class$=\"dfp_ad\"]",".compact_coop,\n.main_body > div[style^=\"width: 100%\"][style$=\"text-align:center; margin-bottom: 10px\"],\na[href*=\"https://ads-field.com/ad/p/r?\"],\ndiv[style^=\"width: 100%; height: 280px\"]","div[style^=\"min-width: 300px; min-height: 250px\"]","div[style^=\"min-height: 250px;\"]","div[id^=\"logly-lift-\"]","#extra div.plugin-memo,\n#sub div.plugin-memo:nth-last-of-type(-1n+4),\n.article-body > span[style^=\"font-size:\"] + table:has(> tbody > tr > td > a[href^=\"https://www.amazon.co.jp/gp/product/\"]),\n.pager ~ center > table","aside > div[style]:has(> div.smanone > p > a[href^=\"https://www.dlsite.com/\"])","#block-9","#custom_html-8","#sub > div.plugin-memo:first-child",".ad-gate",".pop2,\ndiv[class^=\"sp_ad\"]","#boxRight > a[href^=\"https://www.amazon.co.jp/gp/\"],\ndiv[class*=\"ad-box\"]",".ad--inFeed,\n.ad--inFlex,\n.globalBody > .mdlRow.contentVisibility--auto:has(> .ad--recommend),\n.js--removeAdStyle,\n.mdlGrid__inner > article[class^=\"mdlGrid_\"][class*=\"mdlGrid__col4\"]:has(> a[href^=\"https://www.amazon.co.jp/\"]),\narticle[class^=\"mdlGrid_\"] > a[href^=\"https://www.amazon.co.jp/\"],\ndiv[class*=\"ad--rectangle--\"]",".CLS_reduced,\n.doublead,\ndiv[id*=\"_Infeed_TOP-\"],\nfooter > section:has(> div[id^=\"logly-\"]),\nfooter > section:has(> div[id^=\"logly-\"]) + hr.bold",".istock-random","#HTML12,\n#HTML15,\n#HTML26,\n#サイドバー > .HTML:not(:has(a[href^=\"https://out.freekontaktina.com\"])):not(:has(#twitter-widget-0))","#bglink,\n.banner-skyscraper,\n.related-article,\ndiv[style=\"font-size:15px;margin:30px 0 30px 18px\"]",".banners","#ad-ov1box,\n#adRakuten,\n#ad_box_double,\n.ad-selfbox,\n.amazon-book",".ad_box_double,\n.bk2.spsite,\n.listing-ad,\n.nw-ad","div[class^=\"ad-slot\"]","div[class^=\"ads_area\"]",".common__footer_main_ads,\n.common__footer_sns_ads",".main-frp-ads,\n.main-header-ads,\n.orp-player-rewarded","#rightad,\ndiv[style^=\"width:605px;height:250px\"],\ndiv[style^=\"width:728px;height:185px\"]",".tue2",".tue","#bottom-koukoku","#post-top-widget","#sidebar > div.widget_custom_html:has(center > a[rel^=\"nofollow\"] > img),\n.ad-single,\n.cta-content,\n.textwidget > center > a[target=\"_blank\"],\ncenter > a[rel=\"nofollow\"] > img,\ndiv[style*=\"text-align: center;\"] > p[style=\"text-align: center;\"] > strong,\niframe[src^=\"https://blog.fx-on.com/parts/ebooks_ranking_parts.php\"]","center > a[target=\"_blank\"] > img",".c-ad_bnr_super","#sidebar-scroll > aside#text-2",".notice_waku","#text-38",".entry-content > p > a[href^=\"https://hb.afl.rakuten.co.jp/hgc/\"],\n.entry-content > p > a[href^=\"https://www.amazon.co.jp/gp/search\"]",".wp-block-image > a[href^=\"https://www.ka-nabell.com/\"]",".cta",".header-info,\n.p-cv-btn-wrap","#sidebar-widget > div.pc_text:first-child","#ad-bottom-oya","div[id^=\"gakky-\"]","#block-4",".entry-content > a[href^=\"https://amzn.to/\"][target=\"_blank\"]",".MuiPaper-elevation.MuiPaper-rounded:has(> div[class^=\"css-\"] > div[id^=\"idhb-\"])",".amazon_box,\n.centerbox.homebox,\n.google-box2,\n.product_item_box_content",".right-container-ads > div.plugin-memo:last-of-type,\n.side_amazon,\ndiv[style=\"padding: 10px; margin-bottom: 10px; border: 1px dashed #cccccc;\"]","#ColumnAdv,\n#SquareBanner1,\n.GamePix-Games-Ads,\ndiv[class^=\"jsx-\"]",".thread__body > ul > li:not([class], [id]):has(> div[id]:empty:only-child),\n.thread__body > ul > li:not([class], [id]):has(> div[id^=\"div-gpt-\"]:only-child),\ndiv[style=\"display:inline-block;width:300px;height:250px;\"]",".pr-ranking","div[class^=\"jack\"]","#AdOverlayBanner","#top-video-list-header-block",".top-banner","#block-5,\n.header-banner-desktop","#block-10","#block-2","#block-8","header#sqexHeader-black_rsp",".sppr",".content > h2#outline_1__2,\n.content > h2#outline_1__2 + table[style=\"border-collapse: collapse; width: 100%;\"]",".l-sidebar > aside.widget_text","#custom_html-108,\n#diver_widget_pcsp-14,\n#diver_widget_pcsp-16,\n#diver_widget_pcsp-5,\n.single-related-area",".mt-12:has(> div.ads-double),\n.my-8:has(> div.ads-double),\n.white:has(+ .my-8 > div.ads-double) > hr:last-child","aside[id^=\"execphp-\"]","div[style^=\"margin: 0; padding: 5px;\"] > a[rel^=\"nofollow\"][href^=\"https://al.dmm.com/\"]","#sub div.plugin-memo:not(.plugin-link + div),\n.article-body-more > a[href^=\"https://al.dmm.co.jp/\"],\n.article-body-more > a[href^=\"https://gcolle.net\"],\n.article-body-more > a[href^=\"https://www.mgstage.com/product/\"],\n.article-body-more > hr + br + a[href^=\"https://al.dmm.co.jp\"] ~ br,\n.article-body-more > hr + br + a[href^=\"https://al.dmm.co.jp\"] ~ hr","div[style*=\"width: 822px;height:600px;overflow: scroll;\"],\ndiv[style*=\"width:100%;height:400px;overflow:auto;\"]",".kokowaku2",".entry-footer > div.widget_block","#custom_html-57","#ggo_250_wrapper,\n.footer-banner > a:not([href^=\"https://gentosha-go.com\"]):not([href^=\"https://ggo-ad.com\"]),\n.side-banner > a:not([href^=\"https://gentosha-go.com\"]),\n.side-banner > a:not([href^=\"https://gentosha-go.com/\"]) > img",".bnr01",".ad_super","#banner_right","div[class*=\"-gtp-ad\"]","#banner_eye_catch",".amagetti-tabs-container + .container",".code-block > div.sponserdrink:has(+ .ninja-recommend-block)",".al-c",".right-container-ads > div.plugin-memo:first-child","#unblk",".amaw_box,\n.box_drc",".entry-content > span[style=\"display: block;\"] > div[style=\"font-size:75%; color:#00BBDD;text-align: center;\"]","#gn_sp-top_rectangle_middle,\n#gn_sp-top_rectangle_under,\n.gnz-top-banner,\n.md\\:h-\\[250px\\],\ndiv[id^=\"gn_pc-\"][style]","#article_head_v2,\n#article_top_v2",".plugin-memo:first-child",".minHeight250,\ndiv[class^=\"dfp_\"]",".post-title-upper",".m_adbanner,\n.m_left_column_long_banner",".OUTBRAIN",".ad_phrase",".ad300_double",".post_content > div.p-blogParts > p.has-text-align-center.has-small-font-size",".video-detail__ads",".sideBanner2:first-child,\ndiv[style^=\"width: 100%; text-align: center\"][style$=\"height:250px;\"]",".adlode-cls,\n.footer_img_ssp_banner_under","#inner-footer .last .widget_custom_html","#pc_text-2",".bfb_imgBanner",".right-container > div.plugin-memo:nth-of-type(-1n+4)",".right-container > div.plugin-memo:last-of-type","#more > iframe[src^=\"https://richlink.blogsys.jp\"]",".plugin-memo:last-of-type",".substitute-area-middle-on,\n.substitute-show-area-on",".list-group > div[style*=\"max-height:125px\"],\ndiv[style=\"box-sizing:border-box; text-align:center; width:100%; height:100px; overflow:hidden; padding-bottom:10px; border-bottom:1px solid #ccc;\"],\ndiv[style=\"padding:0 0 30px 0; text-align:center; border-bottom:1px solid #ccc;\"]",".text > div[style=\"padding:30px\"]","#header-widgets,\n#onlineBanner,\n.entry-inner > table,\n.main-inner > center,\n.sidebar-content > div.widget_execphp",".footer-widget-1","a[href^=\"https://al.dmm.co.jp/\"]",".box.pr,\n.partner",".contents p.align-center","#sub div.plugin-recent_articles + div.plugin-memo,\n.topbox,\ndiv[class^=\"article-body\"] > a[href^=\"https://amzn.to/\"],\ndiv[class^=\"article-body\"] > span:has(> span > b > a[href^=\"https://amzn.to/\"]),\nspan[style=\"font-size: 125%;\"] > b > a[href^=\"https://amzn.to/\"]",".ad-relation",".side-adsense",".insentence-adsense2",".serviceTop-recommend-ad",".hatena-asin-detail","#top-editarea > p",".entry-footer-html > p",".entry-social-top-ad","div[id^=\"msmaflink-\"]","#top-editarea",".entry-content > .code ~ table[style*=\"width:300px\"]",".entry-footer-html",".freezed",".entry-content > p:has(> ins.adsbygoogle)","#box2-inner > div.hatena-module-html:last-child","#g-box",".banner-id,\n.box-article > .wrap,\n.col-md-2.sidebar-mobile,\n.flex-row.align-items-center.mt-2,\n.height-300,\n.height-350.px-1.col-md-4,\n.list-product,\n.mt-2.pb-1,\n.p-1.position-relative[style=\"width: 50%\"]","#JP_HBN_pc_all_billboard",".fmrect,\ndiv[class^=\"d_\"][style^=\"display: flex\"]",".arttop","#HTML54,\n#HTML61",".article-body-more a[href^=\"https://www.amazon.co.jp/\"],\n.article-body-more a[href^=\"https://www.amazon.co.jp/\"] + img + p",".mh-sidebar > .widget_custom_html,\n.sng-box.mbt2",".post-meta > div[style=\"margin-bottom:30px;\"] > div.button,\nheader > div.post-meta > div[style=\"padding:30px 0px 30px;\"]","div[style^=\"max-width: 1\"][style*=\"height: 400px;\"][style$=\"background-color: #fff;\"]",".list-main-article__header:has(+ div.OUTBRAIN),\n.post-content-ad",".a11 > div.a21",".cv_btn_02-box,\n.fixed-side-cv-btn,\n.js-fixed_side",".atop","div[id^=\"msmaflink-\"] + br + span[style=\"color: rgb(255, 0, 0);\"]",".l-mainContent__inner > div[style=\"padding-bottom: 5%;\"]","#sponsor1,\ndiv[id^=\"ssp\"]",".article-body > center:has(> a[href^=\"https://wu.\"] > img),\n.article-body-more > .akares,\n.himajin-headline,\n.netabare",".kizi-under-box","#text-18",".wrap-post-box > .post-box:not([role]):has(> .post-box-contents > .adsbygoogle)","iframe[width=\"320\"][height=\"100\"]","span.lastChild.small_letter[style^=\"position:absolute;right:10px;\"]",".colblockblank",".sec-ad",".article__content > br + div > a[href^=\"https://www.amazon.co\"],\n.module--free > center:has(> a[href] + br + iframe[src^=\"https://www.youtube.com\"]),\na[href^=\"https://www.amazon.co.jp/\"]",".prarea,\n.ut_ad_area",".tcd_ad_widget",".plugin-freearea td:has(ins.adsbygoogle)",".entry-content > center:has(> ins.adsbygoogle)",".ad_shop_footer","#ad_234x,\n.syosai","#sidemenu_right > div.plugin-freearea:has(> div.sidemenu_body > a[href^=\"https://al.dmm.co.jp\"]),\n.entry-bottom:has(+ .wakupr),\n.wakupr","#ranking-banners > table,\n.sidemenu:has(> div > div.plugin-freearea > a[href^=\"https://affiliate.suruga-ya.jp\"][rel=\"nofollow\"]),\n.sidemenu:has(> div > div.plugin-freearea > ins.widget-banner),\n.sidemenu:has(> div > div.plugin-freearea > script[src$=\"/rakuten_widget.js\"]),\na[href^=\"https://cnt.affiliate.fc2.com\"],\na[href^=\"https://cnt.affiliate.fc2.com\"] + br,\na[href^=\"https://cnt.affiliate.fc2.com\"] + br + br",".mainwidget:first-child","#ad_fix,\n#ad_head3,\n#ad_index,\n#ad_index_fr,\n.job_ad_list_in,\n.menu_ad,\ndiv[style=\"position:relative;height:250px;\"]","#vip2_2",".uniquest-slot",".adblocks",".no-icon[href^=\"http://www.sfc.bz/\"] > img,\n.no-icon[href^=\"http://www.ultiga.jp/\"] > img,\n.no-icon[href^=\"https://www.194964.com/\"] > img",".responsibe-ad-wrap","#bnr-side-top > .list-wrap > li:has(> .adsbygoogle),\n.other-link:has(> .adsbygoogle),\n.other-link:has(> div[style] > .adsbygoogle)","#footerpr",".ad-lr,\n.huyos-widget",".entry-content > div.box26",".plugin2_outline > div.plugin2_body:last-child","#execphp-7","#custom_html-23","#block-7","div[id^=\"slide_wrap\"]","a[href^=\"http://www.cocre.co.jp/\"],\ndiv[style=\"padding-top:25px\"]","#text-28","#text-29","#custom_html-124","#maincol > div.col-inner:first-child,\n#maincol > div.post:has(> div.post-title > h3 > a[href^=\"https://appollo.jp/api/lp/\"][target=\"_blank\"]),\n.rssbox02 ~ div.box,\nul > li:has(script[src*=\"//js.boost-next.co.jp/\"])",".mobileArticleAds",".articleList__ad",".custom-html-widget > a[href=\"https://haisha.linqar.com\"]","#side_top_ad",".the-content > table[border=\"0\"]",".post > table[style]:has(> tbody > tr > td > .adsbygoogle),\naside > .author ~ a[href^=\"https://amzn.to/\"]",".adv",".check,\n.kkk",".widget-single-content-top","table[height=\"300\"],\ntable[height=\"878\"] > tbody > tr:has(> td[height=\"307\"][bgcolor=\"#f8fafc\"][align=\"center\"]),\ntd[width=\"948\"][height=\"167\"]","#media_image-9",".fixed-wrap",".footerBanner","[href^=\"https://www.roy-union.com/contents/ard.php\"],\ndiv[style$=\"background: rgba(0, 0, 0, 0.7);z-index:99999;text-align:center;\"]","div[id^=\"adx_\"],\ndiv[id^=\"im_wrap\"]","#header-ad-area,\n.bnr-pr,\n.formal-rectangle,\n.forum-article-bnr,\n.im_list,\n.list_school_banner_read,\n.res-banner-area",".first-article > br + b[style]",".AdsContainerDocumentTop",".elAds,\n.underHeaderAdPC",".splink","div[class^=\"entryadwrapper\"]","div[class^=\"gad\"]",".amaprop-side",".sidewrapper.plugin-memo > div:has(> ins.adsbygoogle)","div[id][style=\"height:285px;\"]",".ad01",".box02:has(> .ad01),\n.pcAd01",".deleteBox","p:has(> span > ins.adsbygoogle)","p:has(> ins.adsbygoogle)","#enhancedtextwidget-3","#poweredAdsBy",".plugin-monthly + div.plugin-memo","#sub div.plugin-memo:last-child",".ADW","#archive-ad","#related-entries > h2:has(+ div.ads),\na[href*=\".cardrush\"] > img",".ad_entry_toptext,\n.chumokujoho,\n.recommend-ad",".adobject","#amazon-products","#text-19","div[class^=\"box_banner_\"]",".after_go_next,\n.area_a",".entry-content div[class^=\"p\"][class$=\"container\"]","#bigfooter,\n#custom_html-72","#custom_html-70",".ad-top-label",".custom:has(> div[class^=\"bg_g\"] > div[class^=\"clm\"] > a[target=\"_blank\"]),\n.slidebanner,\n.t3-banner-top,\n.t3-sidebar-right .bannergroup",".main > p[style=\"text-align:center;font-size: 80%;color: #a9a9a9;\"],\n.side_box:has(> div.font07 > div.g > div.g-col > a.gofollow)","#video_overlay_sample","#myad_alert_80,\ndiv[style=\"position: fixed; bottom: 5px; right: 5px; width: 300px; z-index: 9999;\"]",".all_banner_box_left_top_view_news",".container > div.row:has(> div.text-center > script[src^=\"https://poweredby.jads.co/\"]),\na[target=\"_blank\"] > img[src^=\"/ads/\"]","a[href^=\"https://www.extmatrix.com/?ref=\"]",".btn[href=\"/aff/chat\"],\n.teal",".adsvideo","#tracking-url,\n.widget > a[target=\"_blank\"] > img","div[class^=\"chatbanner\"]","div[style=\"margin-top: 100px\"] > div.justify-content-center","#c-modal",".banner_set:not(.pl_banner_top)","#article-ad-1","#sp-overlay,\n.ArticleInnerAD,\n.Rectangle2:not(.PhotoPageScroll ~ .Rectangle2)","#other_news_website,\n#side_left,\n#side_right > .plugin-memo:first-child,\n#side_right > .plugin-memo:last-child,\n#side_rss a[href^=\"http://hb.afl.rakuten.co.jp/\"],\n#sponsered,\n.article_bodymore > table[style^=\"text-align:left;\"],\n.dix_ad_n,\n.jin-ads,\ndiv[style=\"width:728px; height:90px;\"]","table[style=\"text-align:left;margin-left:0;margin-right:0;\"]",".ad_entrymiddle_body1,\n.ad_entrymiddle_body2,\n.ad_header336_body,\n.plugin1_outline:has(> div > div > div.plugin-freearea > a[href^=\"https://www.amazon.co.jp\"]),\ndiv[class^=\"kiji_entry_ads\"]",".side_by_side",".ads_970x90","#the-content > div > div[style$=\"width: 100%; height: 312.5px;\"]",".web_adber-1","div[class$=\"_ad\"]",".plugin-memo:has(> div.side > a[href^=\"https://hb.afl.rakuten.co.jp/ichiba\"]),\n.side > a[href^=\"http://www.amazon.co.jp/gp/\"],\n.side > a[href^=\"http://www.neowing.co.jp/aff/\"],\n.side > a[href^=\"https://hb.afl.rakuten.co.jp/\"]",".side_pr","#st-header-under-widgets-box,\n#st_custom_html_widget-38,\n#st_custom_html_widget-55","p[style=\"color: #666; text-align: center;\"]",".YahooAds,\n.mainTopAd","section.block[style=\"overflow: hidden;\"]:has(> div.adsense_center),\nsection[class*=\"admid\"]","#sponsor-link,\n.frame-300-gray",".sidebar_list > li#widget_text:has(> div.textwidget > center > a[target=\"_blank\"] > img)",".column--r > center:first-child,\n.container-fluid > center,\n.container-fluid > div[style]:has(> ins.adsbygoogle),\n.container-fluid > div[style]:has(> ins.adsbygoogle) + hr,\n.container-fluid > h3.heading,\n.kattene,\ncenter > font[color=\"#4B0082\"] > b",".ad_tb",".plugin-amazon,\ndiv[style^=\"text-align: center; margin-top: 80px;\"],\np + table[cellpadding=\"5\"]",".pos-top.container-widget-area",".infeed.loop-article",".readmoreWrap > center",".af_bottom","#left > table[width=\"100%\"][cellpadding=\"0\"] > tbody > tr > td:first-child,\ntd[width=\"186\"],\ntd[width=\"336\"],\ntd[width=\"340\"]","#ResSearchAdBottom,\n#ResSearchBato,\n#ads_home,\n.lasdiv,\n.s_resoncer","#plugin_first > div.plugin_right:first-child","#text-20",".l-section-banner,\n.p-columnlist > .p-columnlist__item:has(> .adsbygoogle)","#yAuctionBox,\n.bnSuper,\n.bnrAd,\n.c-ad_frameWrap,\n.c-box-adBox,\n.p-adBox_pc,\n.p-ad_rakuten,\n.p-cont_banner,\n.p-planBox_pr,\n.p-planbox_pr,\n.p-sidePr_wrap,\n.p-sponsorShop2,\n.pr-l-blk,\n.prTitle,\n.sponsorShop2,\n.sqTwo,\n.sqTwoWrapper","#listingPr",".bodyBox > .bnr_support",".pr-bnr",".p-prArea",".side-pickup-wrap,\ndiv[class^=\"main-ad\"]",".post_datetime_tsuuhou2 > span",".cgrid-ga","div[class^=\"advertisement\"]",".ctr_ad","h2.left:has(+ #left_ads)","a[href=\"https://deaikeirank.net/\"],\na[href^=\"https://550909.com\"],\na[href^=\"https://mintj.com\"],\na[href^=\"https://pcmax.jp\"],\nbody > center > br:not(a[href^=\"https://kanajo.com\"] + br):not(img + br):not([id] + br),\nbody > font > center > br,\ncenter > div > font > center","a[href^=\"https://ac.cross-system.com\"]","#main-fit-wrapper > font[size=\"1\"],\n.main-body > div > div[align=\"left\"] > font[size=\"1\"],\n.main-body > div[align=\"left\"]:has(+ script[src^=\"https://pagead2.googlesyndication.com\"]),\na[href*=\"https://www.amazon.co.jp\"],\ndiv[style^=\"margin-bottom:5px;padding:2px;width:840px overflow:auto;height:362px\"],\ndiv[style^=\"margin-bottom:5px;width:832px overflow:auto;height:148px\"]",".krb-amzlt-box","#ads",".category-ue:first-child,\n.menu-ads",".ad_rectangle,\n.c-ad-game-footer,\n.c-game-side-menu__ad-wrap",".adsbygoogle-noablate",".featured.section-inverse","#header-ad-o,\n#overlay,\n.article_mid_v2,\n.readmore-header:has(> div.ads-label),\ndiv[class^=\"ads-label\"],\ndiv[class^=\"ads-rect-\"],\ndiv[id^=\"karapaia_\"],\ndiv[style=\"padding-top: 10px; height: 600px\"]",".rectangle_bnr,\n.sideNav > div.execphpwidget,\ndiv[style=\"text-align:center;\"] > a[onclick^=\"ga('send', 'event', 'banner'\"]:not([href^=\"https://www.kashi-mo.com/\"])",".o--ads-area",".ad-pc",".ui-block-b:has(script:not([src]))","#my-footer",".ad-g",".l-header__ad","#content > div.nosma","a[id^=\"tel\"]","div[id^=\"im_panel\"]","#ggl-wrapper,\n#ggl-wrapper + hr,\n.ggl03","#header_up,\n#sidebar > div > div > div.a-single,\n#sidebar > div > div > div.g",".articleSingle__ads,\n.twoAds",".adAdjust01",".entry-content :not([class]):has(> ins.adsbygoogle)",".entry-content > div.center:has(> p a[target=\"_blank\"][rel=\"nofollow noopener\"]),\n.responbox50",".plugin-memo:has(> div.side > div[id^=\"side-koukoku\"])","#sub div.plugin-memo:last-of-type",".article-body > span[style=\"font-size: small;\"],\n.ban_txt,\n.kijo_banner,\n.right-container > div > div.plugin-memo:last-child","div[class^=\"advads-\"]","#the-content > center","div[id^=\"kinto-\"]","p[style^=\"text-align: center;\"]",".c-sponsor-bnr","div[style^=\"width:720px; height:90px\"]","div[style^=\"width:160px;height:600px;\"]","div[class^=\"rectangle-\"]",".basic-banner-gallery,\n.left-banner,\n.right-banner,\ndiv[style*=\"min-height:280px\"]",".prText",".respnsvad","#comment_list > div[style$=\"height:80\"],\n#mane_ad,\n#nan_ad,\n.nan_ad",".l-main__adlabel",".amzimg",".mostreadbox",".cps-post-main > a.blog-card + table",".adblock,\n.adblock + hr",".plugin2_outline:has(> div > div.plugin-freearea > div[align=\"center\"] > a[href^=\"https://amzn.to\"][target=\"_blank\"])","div[class$=\"_outline\"]:has(.sample_block > a[href^=\"https://adult.contents.fc2.com/aff.php\"])",".Ads__heading,\n.Ads__under--permalinks,\n.article__content > center,\n.l-wrapper > section.module--free td:last-child,\n.side > section.module--free > center","#text-23",".adc,\ndiv[style=\"clear:both; width:300px; height:250px; margin:10px auto; text-align:center; line-height: 0px;\"]",".adv-page-title-bottom,\n.adv-sidecontent-bottom,\n.adv-sidecontent-top,\n.js-osusumetopicsarea",".l-sidebar > aside.widget_custom_html",".c-ad--sidebar-top,\n.c-sidebar > section.widget_text:last-child,\nsection[class^=\"c-ad\"]","#sadr","div[id^=\"ad\"]","#plugin2 > div.sub-container > div.plugin-freearea:has(> div > div > ins.adsbygoogle)",".sp_link",".l-mainContent__inner > center,\n.l-mainContent__inner > center ~ br:nth-of-type(-1n+3)",".entry-content > #my-footer",".ad_desc",".MdSB07Bnr,\ndiv[style*=\"width:640px;\"][style*=\"height:253px;\"]","#block-article-details-banner,\n#block-top-content-banner2,\n.y2024-content-wrap-01 > div.y2024-content:has(> div > div#block-sp-common-top-ad-banner),\ndiv[style=\"min-width: 728px; min-height: 90px;\"]","div[style$=\"min-height: 250px;\"]","div[class*=\"fourm\"]",".DlyFixedBanner,\n.EntertainmentArticleAds-root,\n.PcAside-ads,\ndiv[class*=\"adsWrapper\"],\ndiv[class^=\"article-items_ads_\"],\ndiv[class^=\"article-items_ads_\"] + div[aria-hidden=\"true\"]:empty,\ndiv[class^=\"page_sp_ad\"]","a[class^=\"side-banner_side_fixed_banner_\"]",".ad-b1","#top-banner",".widget_text:nth-last-child(-1n+2)","#commodity_ul","#ad1",".first-article > div[style=\"background:#E065A0; padding:5px; border:0px dotted #ff0000;\"],\ndiv[style^=\"width:778px;height:270px\"]","#page-banner","#newsNew > div[style=\"border-top: solid 2px #1b99c6;padding: 1em 0em;\"],\n#orverlay_kyotei,\n.center[style=\"margin:20px 0px;background:#f5f5f5;padding:3px 0px;\"],\ndiv[id^=\"banner_top_\"][class]",".widget_pc_ad","#fanza_native","#ArticleBottom > span[style=\"font-size:0.8em;color:#666;clear:both\"],\n#logoad,\n#rightbody > .plugin-memo > .side > div[style^=\"width: 100%; height: 250px;\"],\n#rightbody > .sideparts_200c + .plugin-memo > .sidetitlebody,\ndiv[class^=\"sideparts_\"]",".st-ad-on-title","div[class^=\"u-hasAd\"]",".cps-post-main center","table[cellpadding=\"6\"] > tbody > tr > td[bgcolor=\"#FEE227\"][align=\"center\"]","body > center > font[size=\"4\"] > b > a[target=\"_blank\"][rel=\"noopener nofollow\"],\ncenter > font[size=\"2\"][color=\"#99801a\"] > b,\ntable[cellspacing=\"8\"] + br + table[width=\"98%\"][bgcolor=\"#cdcdcd\"]",".adnet-item","#sidebar > aside#block-2:has(> iframe[data-src*=\"mmaaxx.com\"])",".adsW","#yadsOverlayUnit,\n.rakutenSec","#taboola-thumbnails-mid2,\n.ad_square_sidebar",".matchedsidebarhome,\n.playblockaptp,\n.playblockbtmcon,\n.playblocktop,\ndiv[class^=\"responsive\"][class$=\"inc\"]","#main > center,\n#scrollbar-left,\n#scrollbar-right","a[href^=\"https://www.e-nls.com/access.php\"]",".type-page span.small",".plugin_first:has(> div > div.plugin-freearea[style=\"text-align:left\"])","#pr_bnr,\n.durasite,\n.siber-widget,\ndiv[class*=\"ad-h\"]",".relatedAdBox",".add.contentunder","#banner-footer > div.g,\n#banner-rectangle,\n#banner-spread,\na[href^=\"https://bit.ly\"],\nsection[id^=\"banner-infeed\"]","div[id^=\"div_fam8_\"]",".comment_rank_widget_root + div.main,\n.headline_outline",".center > p.nospace,\n.small.center",".sidebar-right","#browsi-wrec1ad",".list_series > li.product:not([id]),\n.sticky_banners","div[id^=\"manga-\"]",".home_widget",".manga-widget",".ad_01",".ad_affiliate,\n.ad_affiliate_common_footer,\n.nbrArea",".entry_text:nth-child(2):has(> #ninja-blog-inactive) + .entry_footer",".contents-bottom-ads,\n.description-bottom-ads","#scroll-adv,\n.amazonLinkMod",".ad-page","#side-right > div.side-widget-area:has(a[href^=\"https://rcv.ixd.dmm.com/api/surl\"]),\n.ently_thumbnail + div.video,\n.post > a[href^=\"https://rcv.ixd.dmm.com/api/surl\"] + div.video-bottom-widget-area","#sidebar > div.widget_text","div[style].plugin-memo.sidewrapper","#st_custom_html_widget-53",".recommend","body > main + div.d-flex:has(> div.my-4 > div[id^=\"div-gpt-\"]),\nmain.mt-3 > div[class=\"d-flex\"]",".l-banner01Ad,\ndiv[class^=\"l-adBanner\"]","#more > .t_b ~ p:has(> a[href^=\"https://www.amazon.co.jp\"])","#sidebar-2 > div.sticky,\ndiv[id^=\"ad-sidebar\"]","div[style] > div[class^=\"css-\"]:has(> div[id^=\"gpt_\"])","#media_image-10",".amazonwrapper",".list-group > .list-group-item:has(a[href*=\"&utm_medium=affiliate&utm_campaign=affiliate\"])",".ently_text > table[style],\n.menuLineDouble:first-child,\n.menuTabLight ~ p.pickup-2",".plugin3_outline:last-child","#classictextwidget-7",".plugin-memo:has(> div.side > div > a[href^=\"https://amzn.to\"][target=\"_blank\"])","#articlemainmore > div[style=\"margin:40px 0px 0px 30px;\"],\n#blogbody_id > div[style^=\"text-align:left; font-size:18px; margin:60px \"],\n#leftbody > div.plugin-memo:first-child,\n#leftbody > div.plugin-memo:last-of-type,\n#rightbody > div.plugin-memo > div.sidetitlebody:first-child,\n.related-articles","#my-footer > center","p[style=\"color:#666;margin-bottom:5px;\"]",".cta-wrap",".mdbnAdBlock__970x90,\n.mdbnViewerLast__adBannerBox,\ndiv[class^=\"adBlock__\"],\ndiv[style^=\"width: 970px;height: 90px;margin: 10px auto -10px\"]",".toTheEdge[style=\"text-align:center;font-size:24px;padding:10px;\"],\n.toTheEdge[style=\"text-align:center;font-size:24px;padding:10px;\"] + div.line,\ntr > td[colspan=\"4\"][align=\"center\"]:has(> script[src^=\"https://xml.affiliate.rakuten.co.jp\"])",".new.list > ul > li.item:has(> div[class^=\"iads\"])",".sp[style^=\"width:336px; height:280px\"]",".widget_pc_text",".furima-assist-ad-wrapper","div[style^=\"padding-top\"] > div[class^=\"_container_\"]:has(> div[class^=\"_wrapped-about-ads-link\"])","#text-23 > div.textwidget > div.wd_title_rss + p",".r-scroll",".side--right > section.module--free:first-child","div[id$=\"_ArticleBottom\"],\ndiv[id^=\"MM_PC_rectangle_\"]",".ad-in-article",".widget-below-single-content-title",".widget-below-sns-buttons",".entry-content > center",".entry-content > p[style=\"text-align: center;\"]",".adaida",".article__content > div[align=\"center\"]:not([class])","#fanza-slider,\n.i2i-header-text,\n.item-list > li.item:has(> div[class^=\"iads_\"]),\n.movie > ul > li.item:has(> div[class^=\"iads_\"])","#side_advertisement","aside[class^=\"happy\"]",".hallkouryakuline,\n.widget_sidebar_ad",".ninki","#desmiss,\n#post-0,\n.entry-content > .external,\n.entry-content > video ~ p.bd[style^=\"padding-bottom:\"],\n.menu-item > .external,\n.post p.bd[style^=\"padding-bottom: 50px\"]:has(> a[href^=\"https://al.dmm.co.jp/\"]),\n.topframe,\na[href^=\"http://www.amazon.co.jp\"][target=\"_blank\"][rel=\"noopener\"] > img.pict",".os-ads",".right-1st,\ndiv[id^=\"main\"] > aside > table:only-child",".tcdw_ad_widget","#container-in > br,\n#content2 > br,\n.ad-pc > .sidebar-body > div > .plugin-freearea:has(> p > a[href^=\"https://www.amazon.co.jp\"]),\n.plugin-freearea > a[href^=\"https://hapitas.jp/register\"],\n.widget-footer-center","div[style^=\"position:fixed;\"][style*=\"cursor:pointer\"]",".movie__main > .movie__tag + div[style*=\"display: block; position: absolute; top:\"]",".free-area__ad",".header_banner","#left > div.side_box:has(> center > div > a[href^=\"https://al.dmm.co.jp/\"]),\n#right > div.side_box:has(> center > ins.dmm-widget-placement),\n.pc-top-banner","#top2_left,\n.entry-body > center > table[width=\"430\"]:not([cellspacing]),\n.font_pr4,\n.solinkimag,\n.widget-content-top table.has-fixed-layout td:has(> div > div.topprimg)",".widget-index-top",".widget-single-content-bottom","div[style=\"min-height: 280px;height: auto\"]",".mg-ads-placement","#myplace-100,\na[href^=\"https://www.madamlive.tv/LiveChat/acs.php\"],\ndiv[class$=\"-header\"],\ndiv[class$=\"-home\"] > div[style$=\"margin: auto;\"][style*=\"width:\"],\ndiv[class$=\"-single\"]","#main > div.home-h:has(> a[target=\"_blank\"]),\n#main > div[style^=\"max-width:\"][style$=\"background-color: #fff;\"]",".asmr18,\n.tablink","#pc_text-6","#sub div.plugin-memo","#im_panel",".kaisetsu-box2","#ad-content-bottom,\n.mp-fixed-ads-screen",".mp-recommends-text,\ndiv[class^=\"mp-fixed-ads\"],\ndiv[data-ads]","#main div.column-inner-2 div[style=\"text-align:center;\"],\n#sub div.plugin-memo:nth-child(-1n+2)",".mediascreen","div[style=\"width:800px;\"]",".main-kizi-box:has(> .adsbygoogle)",".widgetPost-top",".category_tab div[id^=\"text-8\"] > div.textwidget,\n.h_ttl.related-h > span.gf,\n.no-icon[href^=\"https://www.amazon.co.jp/\"]",".top_upper",".AMhorizontal + hr,\n.first-article > img.pict[width=\"24\"],\n.first-article > img.pict[width=\"24\"] + b,\n.plugin-memo:has(> div.side > script[src^=\"https://pagead2.googlesyndication.com\"])","#ad960x540,\n#dti_movie,\n.adbd[style^=\"background-color: rgb(255, 0, 96); color: white; text-align: center\"],\n.dti3free,\ndiv[style=\"height: 300px;\"],\ndiv[style=\"height: 840px; padding: 6px; margin: 0px 0px 16px;\"],\ndiv[style=\"width: 1020px; height: 380px; background-color: white; padding: 4px;\"]","#dtiovervideo,\n#left_ad_body,\n#thread_index_adb > div[style]:not(.btn),\n#thread_index_adt > div[style]:not(.btn),\n#trend_pain,\n.hey_douga,\n.hey_video,\n.trend_body > div:first-child,\n.trend_body div[style^=\"background-color: black; overflow: hidden; color: white\"],\nbody > div[style^=\"z-index: 105; position: fixed\"],\ndiv[style=\"margin-left: -1px; font-size: 0px; overflow: hidden; width: 200px; border: 1px solid gray; height: 64px;\"],\ndiv[style=\"width: 400px; height: 720px; margin-top: 30px;\"]",".txtad","#main > div[data-section-id=\"stripe.special\"]",".side-topad > .ad:first-child",".page_double_rectangle_wrapper","#float-bnr2",".adset-Cover",".koukoku-top,\n.side-body:nth-last-child(2)","#mybox > .ad,\n.theContentWrap-ccc > .head-cons2-pc","aside[class^=\"ads-\"]",".ad-video,\ndiv[class^=\"adarea\"]",".entry-footer > a[href^=\"https://hb.afl.rakuten.co.jp\"]",".amazon-auto-links-widget","#ad-product,\n.css-92i9wm,\n.l-footer__fixed,\n.p-press__ad","#pc_big_ads_before_subfooter,\n#pc_sidebar_ads_a,\n.ads_contents_footer,\n.ads_contents_header","div[class^=\"c-ad\"]","#main-content > nav#breadcrumbFt + aside:not([class]),\n#navi-r > p.semihide[style=\"margin-left:15px;text-align:left;\"],\n.ads-page",".admsg","#ads-page-top,\n#main-content > p.semihide",".entry center",".main-adsense",".infeed",".matome_caution,\n.sale_caution","#pc_text-3",".customized-header > .entry-header-html,\n.entry-footer-html > font[size=\"1\"]","#custom_html-22",".sidebar-box3","#original_ad1,\n.ad-posi1,\n.ad-posi2","#b_frame > #bottom_neta_list + a > div[style],\n#fixed_ad,\n#middleadv-nex,\n#vipad,\n.bottom_aff,\n.ngo1t2_simple,\n.thread_body > div[style=\"background-color:#FFF;padding:20px;-webkit-border-radius: 4px;-moz-border-radius: 4px;border-radius: 4px;border:1px dashed #ff00ae;\"],\n.thread_body > div[style^=\"margin-top:50px;background-color:#FFF;\"],\na[href*=\"//advcnt.nan.co.jp/r_out.cgi?\"],\na[href^=\"http://meeba.jp/campaign/\"],\na[href^=\"https://nosports-nofoul.tokyo/\"],\ndiv[style=\"height:250px;width:610px;background-color:#000;\"],\ndiv[style=\"margin:-5px 15px 10px 25px;height:70px;\"],\ndiv[style^=\"margin-top:\"]:has(> div > iframe[src*=\"/bbs/inc/hedadv\"]),\niframe[src*=\"/bbs/inc/\"],\niframe[src=\"/show/bbs/s/inc/footadv_s_in/\"]","iframe[id^=\"bottomad\"]",".side-ninki","#tuibi","#sidebar > div.widget_custom_html",".article-body-inner > p[style=\"”font-size:5pt;\"] + center",".xo-slider",".my-4.flex.justify-center,\naside.px-4.md\\:mt-6.md\\:px-0 > div.mb-8:first-child,\ndiv[style=\"height:250px;width:300px\"]","#ai_widget-3,\n#ai_widget-5,\n#ai_widget-6,\n#ai_widget-8,\n#ai_widget-9,\n.posts-list-middle-widget",".entry-under > div[style=\"margin: 0px 0px 20px 0px;\"]","div[style=\"text-align:center;margin-bottom:50px;color:#999;\"]",".ml-auto > .insurance-container > .text-center","td[height=\"280\"]",".hentry > div[style=\"text-align:center;\"],\n.pcUser","#main > div.column-inner > div.column-inner-2 > a[href^=\"https://e-gaming.g2afse.com/click\"],\n#rss-box,\n.article-outer-3 > a[href^=\"https://e-gaming.g2afse.com/click\"],\ndiv[style=\"position:fixed;bottom:0;right:0;z-index:9999;\"]",".al-c[style=\"text-align: left;\"]","#bottom_block.td","#HTML10,\n.botmads,\n.centa2,\n.postman22-nw2,\n.postman22-nw255","#pc_nk_top_main0,\n.Ad-main_footer,\n.SideJackBnr,\ndiv[class^=\"nk_AdvBox\"]",".nar_top_message_box,\ndiv[id$=\"_banner\"][style] > .modal_open","#side > div.inner > div.side_plugin,\n.side_plugin:has(> div > div > div.plugin-freearea > a[href^=\"https://amzn.to\"]),\n.side_plugin:has(> div > div > div.plugin-freearea > div > a[href^=\"https://al.dmm.co.jp/\"])","#bannerB2",".FixedWidget__fixed_widget","#list2,\n.kensakubu + div:has(> a[href^=\"https://amzn.to\"]),\n.kouwaku1,\n.topkou,\n.uresuji-waku-all",".kokowaku3,\n.kouko3,\n.sideh2:has(+ .kouko3),\n.topmain + div > div:has(a[href*=\"amazon.co.jp\"]),\n.waku-zentai:has(a[href*=\"amzn.to\"])",".ad4-5,\n.adSec02,\n.su-modal,\ndiv[style=\"min-height: 395px; margin-bottom:10px;\"],\ndiv[style^=\"position: fixed; display: block; height: auto; bottom: 0px; width: 100%; z-index: 100\"]",".rSectionInner > div.side:first-child",".ad-list2,\n.article-body > aside.mb12:has(> div + script[src]),\n.article-body-after > aside.mb20:has(> div + script[src]),\n.s-side[style^=\"position: fixed\"]",".ad_response","[class^=\"l-\"] > [class^=\"s-\"]:has(> [class^=\"ad-list\"])",".post div[align=\"center\"],\n.post div[align=\"center\"] + br,\n.post div[align=\"center\"] + br + hr","td[style=\"border-style: solid; border-color: #1a1919; text-align: center; height: 70px;\"]",".pcbl.bannerlist,\naside > .banner","#main div.column-inner-2 > center,\n.plugin-blog_members + div.plugin-memo","#custom_html-12","#side-fixed a[href^=\"https://www.amazon.co.jp/\"],\ndiv[id^=\"ad-slot\"]","#subBnr,\ndiv[class^=\"Container_btmBnr\"]",".is-ad","#footerRect","#_popIn_infeed1,\n#sidebar_head_banner,\n.widget > div.widget_row,\n.widget_min,\na[id*=\"_banner\"][target=\"_blank\"]",".campaign-list,\n.campaign-ttl",".product-item-box",".entry-content > center > a[href^=\"https://al.dmm.co.jp\"][rel=\"noopener\"]",".osu2,\n.sidelink,\n.topdmm,\ndiv[style=\"width: 300px;height: 250px;\"]","div[class^=\"article-body\"] > div[style=\"margin:0;padding:5px;font-size:14px;word-break: break-all;\"]",".sine5",".amazon_block,\n.dmm-box,\n.headline_entry_middle1,\n.plugin3_body,\ndiv[id$=\"test\"]",".adv-area",".books-single",".ad_bunner","#menuBlock-l,\n#menuBlock-r > div.menuBlockBody:has(> .menuText2 > div[align=\"center\"] > div.pr_banner),\n.menuBlockBase:has(+ div.menuBlockBody > .menuText2 > div[align=\"center\"] > div.pr_banner)","#adUnit32,\n#headerAdBnr2022,\ndiv[id^=\"adUnit\"]","#headerAdBnr",".wr,\na[rel=\"noopener sponsored\"]",".cmn-sub_banner,\n.k-ad__text,\n.k-hub-layout__column-infeed-pr,\n.l-main_primary > .l-section:has(> .-textAd),\n.nui-ad,\n.search__promo,\n[class*=\"adForLarge_\"]:not([class^=\"anchor_\"]),\ndiv[class^=\"bottomContainer_\"] > div[class^=\"container_\"]:has(> h2 + ul[class*=\"adForLarge_\"]),\ndiv[class^=\"default_\"]:has(> div > div[class^=\"ad\"])",".js-stickySidebar,\n.js-stickySidebar_area,\n.p-card_list > li:has(> div[id^=\"div-gpt-ad-\"])",".p-contents__pr",".dag_banner",".l-section > ul.p-articleList > li:has(> div[id^=\"div-gpt-ad\"]),\n.p-articleAdList,\n.ranking + div.dag_banner + section.l-asideSection","#sticky1 > section.l-asideSection:has(div[id^=\"div-gpt-\"]),\n.-adtag,\n.l-main_primary > section[class=\"l-section\"]:has(> div.c-iconAd),\n.l-section[data-personalize-ad],\n.p-articleList > li.p-articleList_item:has(> div[id^=\"div-gpt-ad\"]),\n.p-articlePanel_item:has(> div[id^=\"div-gpt-ad-\"]),\n.p-article_ad,\n.p-article_banner,\n.p-article_recommend:has(> .p-article_recommend_heading > .p-article_recommend_image > a[href*=\"campaign\"])",".ad-text-box,\n.articles-list-item:has(> div[id^=\"div-gpt-\"]),\n.side-sticky-box[style=\"height: 2000px;\"]",".notice-area-link[href^=\"https://x.com/nintendoevery/status/1789294462038122577\"]",".kwaku1",".post-content ~ div.row:has(> div[class^=\"col-xs\"] > div.post-banner)","header.pc",".fr-adpon",".entry-footer-ad",".p-adBox",".left-column-inner > div.plugin-memo:first-child",".inyou,\n.inyou + p:has(> a[href^=\"https://www.amazon.co.jp/\"]),\n.left-column-inner > div.plugin-memo:last-of-type,\n.right-column-inner > div.plugin-memo:last-child","#leftbar > a[href^=\"https://al.dmm.co.jp/\"],\n#more > a[href^=\"https://al.dmm.co.jp/\"] > img",".scroll","main .widget_text.sidein","iframe[width=\"300\"][height=\"250\"]",".list > li:has(> script[src^=\"https://img.ad-nex.com/\"]),\n.list > li:has(> span.text > a[title^=\"(PR)\"])","div[class^=\"CardItem__adContainer\"],\ndiv[class^=\"DFPAdSlotListBottomFrame_\"]","#pc_tag_banner_area_1,\n.AdSlot_rectangleBox__20CXH,\n.c-side-block--banner,\n[class^=\"AdSlot_\"],\ndiv[class^=\"pc_adBox_\"]",".sec-recommend","#ads_w",".article-body-more > span[style=\"color: #ff0000;\"],\n.article-body-more > span[style=\"color: #ff0000;\"] + .ninja-recommend-block ~ br,\np[style^=\"color: #000;font-weight:bold;font-size:18px;line-height:27px;background-color:#f5f5f5;\"]","#js-advertisingHeader",".banner-prbox,\n.mbb-left","div[style=\"width: 728px; height: 90px;\"],\ndiv[style^=\"display: inline-block; min-width: 300px; min-height: 250px\"]","#contentleft > section > div.con:first-child,\n#r_sidebar > div.left_sogo","div[id^=\"veot_contents\"]",".brain_banner",".affiliate_tags","#sakusaku_admid,\n.card_ad,\n.wrapper_right_ad","#links > div.side:last-child",".l-ad-first,\n.p-ad-wrap02","#sok_side","#main > div[style^=\"margin: 0 auto 60px auto;\"]",".head-pick",".movie-player-block","#e,\n#e + div.entry_body,\n#more > a[href*=\"dmm.co\"],\n#sidemenu2 > dl.sidemenu_body:first-child,\n#sidemenu2 > dl.sidemenu_body:has(a[href^=\"http://www.e-nls.com\"]),\n.entry_body_banner,\n.entry_body_rss,\n.sidemenu_body:last-child",".cat_entry[style=\"height: 540px;\"]","#bnrarea",".adBox_inNews","#full-size-ol","#text-58,\n#text-59,\n#text-60,\n#text-74,\n#text-76,\n#text-77,\n#text-83,\n#text-86,\n.entry-content > div.wp-block-image:has(> figure > a.no-icon),\nimg[width=\"728\"][height=\"410\"],\nimg[width=\"728\"][height=\"410\"] + noscript + figcaption","#text-50","#text-78","#text-81","#text-122,\n#text-71","#my-footer > p[style]",".content > div[style=\"margin:0;padding:5px;font-size:14px;word-break: break-all;\"] > a[href^=\"https://al.dmm.co.jp/\"]","#text-25","div[class^=\"yoneads\"]",".ad_minh_sp",".container > div[style]:has(> div.adv-bb),\n.logly-block,\ndiv[class^=\"adv-\"]",".widget-square-ad-banner","div[id^=\"boxad\"]",".footer-google-ads,\n.google-ads-item","#container > center,\n#container > hr,\n.main-container center,\n.main-container hr",".plugin-memo:has(> div.side > div[align=\"center\"] > a[href^=\"https://hb.afl.rakuten.co.jp\"][target=\"_blank\"])","#block-284,\n.eroterest_partsv2","#scrollfix > div.widget_custom_html,\n.hentry > div.widget_custom_html",".is-12 > div.block__content:has(> div ins.adsbygoogle)","#slide_wrap",".entry_adv",".external",".entry-content > p > a[href^=\"https://www.amazon.co.jp/dp/\"]","a[href^=\"//af.moshimo.com\"]","#ad-area",".side-topad > div.widget_st_custom_html_ad_widget",".home-post",".st-eyecatch",".widget_text",".responsibe-adsense-wrap","td > font[size=\"2\"] > span[style=\"font-family:HGP創英角ﾎﾟｯﾌﾟ体; font-size:2em; color:darkgreen;\"] ~ a,\ntd[valign=\"top\"][width=\"400\"][align=\"left\"]","header ~ div[class^=\"sc-\"]:not([id]) > div[class^=\"sc-\"]:not([id]) > div[class^=\"sc-\"]:not([id]) > div[class^=\"sc-\"]:not([id]):has(> div[style=\"min-height:250px\"])","div[style=\"min-height:250px\"]",".ad-box-02","div[style^=\"height:250px\"]",".widget:has(> a[href^=\"https://subyshare.com/affiliate/\"])","#cgrig_commid,\n#cgrig_comtop,\n#comright,\n#content > div.centcom,\n#incomtop,\n#midcom_outer","div > table[width][cellpadding=\"0\"] td[colspan=\"5\"],\ntable[width=\"728\"][height=\"90\"],\ntable[width=\"728\"][height=\"90\"] + hr","#rightBanner_1","#topBanner",".b--header",".ac-p-2.bg-light.ac-mb-3.ac-d-lg-block,\n.bg-light.ac-p-2.overflow-hidden[style=\"min-height: 120px;\"],\n.theme-ads-box-no-border,\n.w-100.my-3.bg-light[style=\"min-height: 306px;\"]","div[style=\"min-height: 90px;\"]","#r-fix,\n.ad-footer-related,\n.googleAdPost,\n.googleAdSide",".ap-block-ar,\n.hdg-c,\n.ik-32",".d-md-block > h3.forum-information:has(> i),\n.dmm-widget-wrapper,\n.forum-information > a[href^=\"https://summary.fc2.com/a/summary.php\"],\n.forum-information > table[border=\"0\"]",".col-md-8.order-md-0 > div.content > div.border-bottom.pb-3.d-md-block:has(a[href^=\"https://al.dmm.co.jp\"]),\n.forum-information > a[target^=\"_blank\"],\n.forum-information > a[target^=\"_blank\"] ~ br,\n.forum-information > span[style^=\"FONT-SIZE:\"]","body[bgcolor] > hr + br + div > ul","#execphp-8","#sortb > tbody > tr:not([class])",".post_content > div[class^=\"piyon-\"][style]","#text-46","#text-48",".theiaStickySidebar > .widget_text",".posts-list-upper-widget","#apptemppk2",".c-footer-ad,\n.c-side-rectangle-ad","#DetailOverlay,\n.SideBarMid","div[id^=\"content_block_\"][class^=\"wiki-section-body-\"] table[id^=\"content_block_\"]:has(a.outlink[href*=\".amazon.co\"][target=\"_blank\"] img[style*=\"max-width:\"])",".ads_oya,\ndiv[style=\"height:100px\"]",".entry-content > p + div[style=\"border-style: solid ; border-width: 2px; border-color: #CCCCCC;\"]","#notfix > div.widget_custom_html",".home_bottom","#pc_text-74",".add_main,\n.add_post_sidebar","#right > .rank_table,\n.addl,\n.box_title_pr,\n.dvd_ad_right,\n.fanzabook,\n.mid_ad","#side > aside.widget,\ndiv[class^=\"iads_\"]",".gn_inline_exp","#main-content > div[align=\"center\"] > table td[width=\"340\"],\n#main-content > div[align=\"left\"] > p.semihide,\n#navi-r > div[style=\"margin-left:15px;\"]:not([class]),\n#relatedItem,\n.TRelatedItem",".line.mg_t20.mg_b13:has(+ script[src*=\"/amazon.js\"])","body > div[id][style*=\"9999\"][style*=\"fixed\"],\ndiv[id^=\"nitro\"]","a[href^=\"http://srv2.e-nls.com/\"],\na[href^=\"http://track.cross-system.com/click.php\"]",".css-pvblll,\n.p-items_main > div > div[class]:has(> div > div[class] > div[class] > div[class^=\"ad-\"][class$=\"0\"]),\n.p-items_main > div[class^=\"css-\"]:has(div[id^=\"dfp-slot-\"]),\n.style-1gtaew4[data-testid^=\"popup-\"][data-testid$=\"-signup\"],\n.style-xgff9b,\ndiv[id^=\"New2HomeTrendPage-\"] > div[class] > div[class] > div[class]:has(> div#trend-side-ad:only-child)",".ad-300x250",".menu > div[style=\"text-align:center;\"],\n.menu > div[style=\"text-align:center;margin:0px;padding:0px;height:190px;width:160px;\"]",".k1y-inline-ad",".plugin_right:has(> div > div.plugin-freearea > div > a[href*=\"al.dmm.co\"])","#a-banner,\n#side-banner","div[id^=\"raifu-\"]",".contents_m div[style^=\"padding-top: 15px; padding-bottom: 5px\"][style$=\"background: whitesmoke;\"]","#video_on_ads","#outline > table[border],\n#scroll.plugin2_outline:last-child,\n.ently_text > div[style^=\"border:1px\"],\ndiv[class^=\"header-ad-outer\"],\ndiv[class^=\"header-ad-outer\"] + br,\ndiv[class^=\"kijinaka-outer\"]","iframe[style=\"width:120px;height:240px;\"]",".aside-box-ad",".af_box","#st_custom_html_widget-7","#mainWrap > center:has(div[id^=\"div_fam8\"]),\n#mainWrap > center:has(div[id^=\"div_fam8\"]) + br,\n#side2,\n.sideWrapFrame > ul > br,\n.sideWrapFrame > ul > br + hr,\n.sideWrapFrame > ul > center a[href^=\"https://www.amazon.co.jp/\"],\n.sideWrapFrame > ul > li ~ center > a[href^=\"http://smalog.jp/\"],\n.sideWrapFrame > ul > li ~ center:has(> a[href^=\"http://smalog.jp/\"]),\n.topWrap1Frame:first-child",".kiji-ad1,\n.sidebody-r,\ndiv[style=\"height:445px;\"]",".adsense-card",".my_ads",".ad-aside-big,\n.ad-aside-small,\n.ad-contents",".c_linkto:has(> .adsbygoogle)",".sidebar-box3:first-child",".content > div[align=\"center\"],\n.l-sidebar > aside.widget_search + aside.widget_text",".l-sidebar > aside.widget_text:last-child",".article__body > div[id^=\"text-\"]","div[class^=\"article-body\"] > div[style=\"border-style: solid; border-width: 1px; padding: 10px 5px 10px 20px;border-color: #ffffcc; background-color: #ffffcc\"]","iframe[src^=\"//rcm-fe.amazon-adsystem.com/\"]","#aw0[on=\"tap:exit-api.exit(target='landingPage',_googClickLocation='2')\"],\n#aw0[onclick=\"ha('aw0')\"],\n#custom_html-2 div.ad300x250,\n#div-gpt-ad-entrybottom,\n#related-posts:has(> ul > amp-list),\n.ads-relatedbottom:not(.ad300x250),\n.misc > #div-gpt-ad-header,\n.widget_custom_html:not(#custom_html-2),\namp-ad,\namp-ad-exit + div[class*=\"-banner\"]",".blog_parts_fix_pc,\n.l-mainContent__inner > div.p-blogParts,\n.p-blogParts.post_content > div.is-style-bg_main_thin,\n.p-blogParts.post_content > p[style=\"text-align: center;\"]:has(+ div.is-style-bg_main_thin)",".pickup-wrap,\ndiv[class*=\"-adarea-\"]","div[class^=\"ads-\"]","#primary > div[style^=\"width:700px;\"],\n.ads-336-280,\n.article-footer-amazon",".ad-wrap1",".home_top","span[style=\"font-size:10px; color:#c0c0c0\"]",".comment_ad_block","#content div[align=\"center\"]:has(> ins.adsbygoogle)",".entry-header > center > font[size=\"1\"]","#custom_html-29",".main-items > div[id*=\"static-div-gpt-ad-\"] + div[id^=\"fusion-static-enter\"] + .custom-html-feature > hr,\n.row:has(div[id^=\"div-gpt-ad-\"])",".gptAd",".article__inline-gptAd",".bigsquareadposcen,\n.c336x280adsCenter","div[class*=\"ads\"],\ndiv[style=\"text-align:center; font-size:11px;\"] > span","div[style=\"width:100%;height:90px;padding:2px 0;\"]","#custom_html-2:last-child,\n.ct,\n.infeedads","div[id^=\"satos-\"]",".set_wrapper",".set_wrapper_absolute_right","#pc-side-nav.module--free,\ndiv[id^=\"ads_\"]",".plugin1_outline:has(> div > div.plugin-freearea > div > a[href^=\"https://www.amazon.co.jp\"])","#main > aside:has(> div.ads-flexbox)","article > div[id^=\"custom_html\"]:has(> div.textwidget > a[href^=\"https://affiliate.suruga-ya.jp/\"])",".h_section2,\n.sbboxad,\n.sbboxadmini,\n.sbboxadsp",".c-sponsorbanner","#neko_ad",".sekai-adlabel","#baseBlock > hr[style=\"width:700px;\"] + span[style=\"font-size:12px;\"],\n#baseBlock > span[style=\"font-size:12px;\"] + hr[style=\"width:700px;\"],\n#baseBlock table[style]:has(> tbody td a[href^=\"http://www.amazon.co.jp/\"])","#outline > div > a[href^=\"https://click.\"] ~ br,\n#outline > div > div.ninja-recommend-block + br + div[align=\"center\"],\n.plugin2_outline:first-child,\n.plugin2_outline:nth-child(1n+5),\ndiv[style^=\"width:1000px; height:250px\"]","#fc2contents_entry,\n#fc2live_bunner,\n.category2:last-child",".underad",".adh::before",".plugin1_outline:has(> div > div.plugin-freearea > a[href^=\"http://click.duga.jp\"]),\n.plugin1_outline:has(> div > div.plugin-freearea > a[href^=\"http://www.e-nls.com\"])","#sidebar > aside.widget_text","#advertisement","#gads","#ad_common20 + hr,\n.ads_rect",".fc2cm-td,\n.pcolle-parts,\ndiv[id^=\"myplace-\"]","#side_right",".abemaBtn,\n.ad_double,\n.h260,\n.h_280,\n.height280,\n.w_300","#middle_adv",".media-header-banner,\n.media-middle-banner",".mmcorner",".pr-box",".ac-mt-3.bg-light","div[class^=\"insentence-adsense-\"]",".articleBottomBanner,\ndiv[data-newsy-ad-name],\np > a[href^=\"https://amzn.to\"]","#rectangle",".entryBottomBanner",".side_banner",".related",".ad3",".ad-halfwrap",".h-16.md\\:h-24.p-1,\n.h-24.md\\:h-48.p-1,\n.horizontal-list-fanza,\n.max-w-2xl.sm\\:py-12.sm\\:px-6.lg\\:max-w-7xl,\n.mt-2 > div.max-w-2xl.sm\\:py-12.sm\\:px-6,\n.mt-2 > div.mb-3.md\\:h-24.h-16,\na[href^=\"https://al.dmm.co.jp/\"][target=\"_blank\"]",".Rectangle01",".sideBnr","#custom_html-95,\n.post_content > .has-border:has(> .adsbygoogle)",".md_singleBanner,\n.md_tripleBanner,\n.prBanner",".content-head-forms-news","#pc_all_right_1st,\n.towcolumnBan_area",".ad_02",".wl-ad-container","div[class^=\"ad_footer\"],\ndiv[style^=\"font-size:85%;\"]",".ad_block1000",".baseSection > aside.widget_text","#cta_box-2","#ai_widget-2","#fix,\n.side-section:first-child","#ads-iframe-fixed",".header-advertising,\nstrong > [href^=\"https://bit.ly\"]",".ad_space_article","#ad-ydn","#text-53,\ndiv[id^=\"starw-\"]","#text-34","#text-35",".kiji_adsense","img[width=\"300\"][height=\"250\"]",".netspeedRightAd,\n.netspeedRightAd + hr,\ntd > div[style*=\"10px auto 50px;\"][style*=\"8px 10px 6px;\"]","#cm1,\n#cm2,\n#cm3,\n#sub1,\ndiv[class^=\"cm\"][class$=\"name\"]","#custom_html-47,\n#custom_html-50,\n.cap_box,\n.is-style-balloon_box2,\n.p-blogParts > div.swell-block-fullWide.pc-py-60.sp-py-40,\n.post_content > .wp-block-image,\n.swell-block-bannerLink:not(div:last-child),\n.swell-block-fullWide__inner > .wp-block-image:first-child,\n.widget_media_image,\n.wp-block-group__inner-container > figure.wp-block-image,\np.has-text-align-center","a[href^=\"https://amzn.to\"]",".wp-block-columns",".widget","#ad-pc-consultation,\n.main-contents + .side-bar",".comment-container + hr:has(+ script + ins.adsbygoogle),\n.sk-container > div#ngwordModal + div.text-xs-center,\n.text-xs-center[style=\"min-height: 90px;width:100%;\"]","div[class^=\"adsense-\"]",".pc-kizi-top-box","#adds",".e-wiki_middle_responsive_kk_conf","#side > div > .widget-wrap > .textwidget > .al-c > a[target=\"_blank\"] > img",".l-main > div.dividerBottom > div.dividerBottom:has(> aside.widget > div.adWidget)","div[style=\"text-align:center;height:100px;margin:10px 0\"]","div[style^=\"height: 250px; width: 100%\"]","#accordion > div.smpnovel_list:has(> div.c-ad)",".entry-content > p.h4modoki,\n.widget_st_custom_html_ad_widget,\n.yyi-rinker-contents + p:not([id], [class], [style]),\n.yyi-rinker-contents + p:not([id], [class], [style]) + p:not([id], [class], [style])",".rstdtl-cmad,\n.side-adbanner-wrap,\n[class^=\"ad-min-size\"]",".ad_list_bottom_large,\n.rsttop-ad",".dfp-article","#Advertisement,\ndiv[class^=\"adarea_\"]",".main > .newTemp > p:last-child:has(> .adsbygoogle)","#body + #post,\n.ads_main_btm,\n.ads_nav_top","#custom_html-52,\n.sng-box",".module--rss_affiliate",".module--category-recent-entry","div[style=\"overflow:auto;height:550px;\"]","#execphp-3",".sp_sponsor,\n.sponsor_ext","#top-editarea center a[href*=\"utm_\"] > img,\n#top-editarea center a[target=\"_blank\"],\n#under-pager-edit-area,\n.hatena-module-html > div > a[href^=\"https://affiliate.suruga-ya.jp\"][rel=\"nofollow\"]",".entry-content > div.widget_custom_html",".ad-left,\n.gm-ad__side-300",".maintop-widget","img[width=\"10\"][height=\"90\"]",".back-b,\n.box-ad-i",".home_block > div.pc.clearfix","div[class*=\"_questionBottomAdArea_\"],\ndiv[class^=\"googlePublisherTags_ads\"]","div[class^=\"ads-super-banner-\"]",".ad-dummy,\n.fixed-ad","#block-15",".ads_fix_height_pc,\n.ads_fix_height_sp",".c-ad-banner--col2,\n.c-ad-banner:not(.-continual)",".ad-container","#custom_html-45","div[class^=\"googlead-\"],\np[class^=\"sponsored-\"]",".footer-margin,\n.fp-player > div[style*=\"z-index:\"],\n.table","div[id^=\"ad-tool\"]",".relative.w-full > span.absolute.inset-0.bg-textGray-900,\n.tablet\\:w-\\[728px\\].tablet\\:h-\\[90px\\]",".ad_custom,\n.ad_glia,\n.ad_list_top,\n.ad_topics_custom,\n.ad_video_box,\n.promotion","#ad-overlay-box,\n#ad-right-bottom",".row_f > div[style=\"text-align:center;\"]","#meerkat-wrap",".advertisement_area","#homebnrs,\n.yadsBanner",".rigth_banner_table_ad_noline","section > div[align=\"center\"] > font[size=\"-1\"][color=\"#404040\"]","#aside","div[class*=\"style_ad_\"]",".post-list-card > div[class=\"post-list cf\"]:has(> ins.adsbygoogle)",".bnr_block",".header_message","#ar_w300px > div.mb14px","#ar_w655px",".box2:has(> p > a[href^=\"https://hb.afl.rakuten.co.jp/\"])",".footer ~ div.main a[href^=\"https://\"]:not([href*=\"twitter.com/\"]),\n.main > div[style^=\"margin:0;padding:5px;\"],\niframe[src^=\"https://image.getchu.com/api/item_af.phtml/\"]","#custom_html-38",".article div.entry-content:has(div.wc-shortcodes-row > div.wc-shortcodes-column a[href^=\"//www.pcolle.com/product/detail/\"]),\n.elogch_blogparts_iframe,\n.entry-title ~ div:has(> a[href^=\"https://wlink.golden-gateway.com\"]),\n.entry-title ~ div:has(> a[href^=\"https://www.pcolle.com/product/detail/\"]),\n.nozokix_blogparts_iframe,\nfooter div[id^=\"text-\"]:has(> .textwidget > p > a[href^=\"https://wlink.golden-gateway.com\"])",".pc-ad-wide,\n.sp-header-ad","div[data-widget_type^=\"jnews_element_ads\"]",".g-single","div[style=\"min-height: 120px; padding-top: 10px\"]",".ad-h-resp,\n.post_ads_box","a[href^=\"https://hb.afl.rakuten.co.jp/\"]",".l-main .textwidget > a[href^=\"https://slim-base.com/\"] > img,\n.l-main .textwidget > a[href^=\"https://slim-base.com/\"] ~ br",".sidebar_content > div[id^=\"custom_html-\"]",".pickup-header,\na[href^=\"https://mauvecyan.com\"]","#custom_html-60","#left_fix_out #left_box3,\n#right_2nd > .right_box2","#main > div[class*=\"_div_center_w\"]","div[style=\"height:250px; width:300px;\"]",".fixed.data-\\[state\\=open\\]\\:animate-in,\n.fixed.lg\\:h-\\[320px\\]",".ads-reserve-area,\n.interrupt:has(> .free-space)",".__isboostSideSlideShow,\niframe[id^=\"adpost_\"]",".aicp","#RECT,\n.p-top__ad,\n.p-under__kv",".entry-content > div:not([class]) + div:not([class]):has(div > a[href^=\"https://t.afi-b.com\"])","body > br + a","div[id^=\"common_ad\"]","#st_custom_html_widget-2",".bl_adunit,\n.pg_section_ads_double",".gallery__interstitial,\ndiv[class=\"koukoku overlay\"],\ndiv[class^=\"back-ad_\"]","div[class^=\"overlay-ad_\"]","#main-block > .grid > div[class^=\"grid-cell\"]:has(iframe[src*=\"/ad-d/\"]),\n#pickup-block > .grid:has(iframe[src*=\"/ad-d/\"])","h2.MuiStack-root > div.MuiStack-root:has(> div.MuiBox-root > script[src^=\"https://adtest.pages.dev\"])","#left-box > br,\n.entry-body > div[style=\"margin:0;padding:5px;font-size:12px;word-break: break-all;\"],\n.relate_dl ~ h3.midashi,\n.side-body:has(> div.plugin-freearea > div[id^=\"im-\"]),\n.side-title:has(+ .side-body > div.plugin-freearea > div[id^=\"im-\"])",".h2_bnr,\nsection[id^=\"xeory_banner_manager-\"]",".entry-content > div[align=\"center\"]",".double-rect-ads-group",".ad-area-a,\n.ad-area-b:has(> div.text-center > div[id^=\"div-gpt-\"]),\n.ad-area-c,\n.ad-area-popin,\n.main > .row.d-none[style^=\"min-height:\"],\nbody .ad-billboard,\nbody div#pc-gpt-overlay-wrap,\ndiv[class^=\"col-\"] > div#videoContent:has(> div#playerFrame > div#adContainer)","#footer_banner","#kashi_adunit_above,\n.kashi_banner2",".sidebar-main > aside[id^=\"block-\"]:has(> p)","body > div[style^=\"width:300px\"] > div[style=\"margin:15px auto 0 auto; font-size:11px;line-height:1.5;text-align:left;\"],\nbody > div[style^=\"width:300px\"] > table[style^=\"margin:0;\"]","#sidebar_follow_ad_area,\n.MediumRectangleBanner,\n.billboardBanner,\n.list__item[style=\"min-height: 120px\"],\n.lowerContents > div[style=\"text-align: center; height: 50px;\"],\n.recommendAdTag,\n.tonefuse_music_ad_area,\ndiv[style=\"text-align: center; min-height: 100px; margin-top: 15px\"],\ntbody > tr:has(> td > aside.sideBySideBanner)",".topBanner","a[href^=\"https://www.cuddle-jp.com/\"][target=\"_blank\"],\ndiv[class^=\"article-body\"] > div > b > span[style=\"color: rgb(255, 0, 0);\"],\ndiv[class^=\"article-body\"] > div > p[style=\"text-align: center;\"]","#HTML4,\n#after-ad,\n#sidebar > .widget#HTML3",".bd_bd > div[style*=\"clear:both;border-top: 1px solid #999999\"],\ndiv[id^=\"banner-text-\"],\ndiv[style$=\"padding-top:10px;margin-top:10px;clear:both;border-top: 1px solid #999999\"],\ndiv[style=\"width:590px;height:90px;margin-left:7px\"]","#right2",".right-container-ads","#share2,\na[href*=\"https://al.dmm.com/\"],\na[href*=\"https://www.bybit.com/jpwelcome/\"]",".ad300row",".adsw","#single_banner_area,\nli[class=\"type1\"],\nli[class=\"type2 border_radius\"]","#top-container-widget,\n.single_ads",".blank_box",".elementor-widget-flat-posts + section.elementor-section.itigyotext","#diver_widget_pcsp-13",".ad-bottom-main,\ndiv[id^=\"single_banner\"] + div[align=\"center\"]",".layout_right > .entry_text:has(#ninja-blog-inactive) + .entry_footer",".m-prbnr,\n.m-prlist,\ndiv[id$=\"_gam\"]",".side__ads",".article-outer .article-outer-3 > div[align=\"LEFT\"]","#sidemenu_widget-2 ~ .widget_st_custom_html_widget.ad","#diver_widget_pcsp-43,\n#diver_widget_pcsp-44",".bodyFootBanner,\n.fullBanner",".gmoam_outer_wrapper",".adnet",".l-mainContent__inner > div.post_content > div.swell-block-capbox.is-style-shadow[data-colset],\n.l-mainContent__inner > div.post_content > div.swell-block-capbox.is-style-shadow[data-colset] + div.swell-block-capbox[data-colset],\n.w-fixSide","#set_banner_side_left,\n#set_banner_side_right,\ndiv[class=\"\"][style^=\"display:block; color:; background-color:\"]","div[class^=\"post-ad\"]",".podcast + aside,\na[href^=\"/ads/\"]","[class^=\"ad-\"]","#headlinkad,\n.sponsored_link",".ads_bygoogle",".common-footer-content > div.inner-content",".advertisement","div[id^=\"adblank\"]","#banner_t",".rightcolumn > tbody > tr[style^=\"width:\"]:not([class]):has(> td[style^=\"height:260px\"])","div[class^=\"afad_\"]","div[style=\"height: 700px;\"]",".sp-infeed-ad,\n.wwd-ad-manager-widget-feature-feed,\n.wwdj-ad",".adsense-placeholder","div[id^=\"space\"]",".Bnr",".execphpwidget",".infeed-ads","#custom_html-4 p + .soft-info-title","#appeal","#text-39","#text-79","#text-91","#custom_post_widget-11",".l-sidebar > aside[class=\"widget\"]:has(> div.execphpwidget a[href^=\"https://www.sokmil.com/\"][href*=\"affi=\"])",".post_content > div > div.is-style-border_sm:has(> div.is-style-dent_box > p > a[href^=\"https://network.mobile.rakuten.co.jp/campaign/\"]),\n.post_content > div.is-style-bg_stripe:has(> center > p > a[href*=\"valuecommerce.com\"]),\ndiv[style=\"width:100%;margin:0 auto;\"]","#container > div.widget-container.top,\n#widget-container-bottom","#twibox > ul > li:has(> div.textwidget script),\n.kizi > p:last-of-type:has(> a[href][target=\"_blank\"] > img.timtam)",".posts-under-1",".gs_ad","#excitebnr,\n#st_custom_html_widget-4,\n#st_custom_html_widget-5,\n.entry-content > p[style^=\"font-size\"][style$=\"center;\"]","#index_banner_top,\n#side_top_banner",".p-dmmad",".header_link[href^=\"https://go.bbrdbr.com\"]",".side_top_ad","#contents-colum-resp-ad,\n.box-pr,\n.box-pr + h2,\n.box-pr + h2 + h4,\n.box-pr + h2 + h4 + .table-item,\n.box-pr + h2 + h4 + .table-item + p,\n.box-pr + h2 + h4 + .table-item + p + p,\n.box-pr + h4,\n.box-pr + h4 + .table-item,\n.box-pr + h4 + .table-item + p,\n.box-pr + h4 + .table-item + p + p","#movie_ad","#ad01,\n#extarea,\n#record_detail > div.block[style=\"padding:15px 0;\"],\n#sidebar_right > div.mb20.pb20.pt20[style=\"clear:both;\"],\n.ad_area,\n.all > div.innner > div.block:last-child:has(> div#extarea),\n.modal-backdrop","#mytextwidget-33,\n#mytextwidget-36,\n#mytextwidget-37,\n#single_content_sidebar,\n.my_widget_text:first-child,\n.my_widget_text:last-child,\ndl[id^=\"mytextwidget-\"].corner:has(a[href^=\"https://rcv.ixd.dmm.com/api/surl\"])",".article > div[style=\"margin:0;padding:5px;font-size:12px;word-break: break-all;\"]:has(> a[href^=\"https://al.dmm.co.jp\"])","#text-54",".fluid_initial_play.transform-active",".hentry > div.center","div[style] > a[target=\"_break\"] > img",".wp-block-cocoon-blocks-blank-box-1.has-light-blue-border-color:has(> div > div.amazon-item-box)",".yosem-adlabel","#custom_html-26","#ai_widget-38,\n#ai_widget-43",".widget_text:first-child","#header-main > div.ad",".blog-sidebar:nth-child(2),\n.blog-sidebar:nth-child(4) > div.card:not(.sticky),\n.dmm_api_ad_2,\n.pagenav + div.row,\n.sticky > span:not([class]),\n.t_b > div > a[href^=\"https://al.dmm.co.jp\"],\n.x-scroll-wrap:has(> div.videoa)","#extra > div.column-inner > div.column-inner-2 > table[style$=\"width:170px;\"],\n#sub table[style=\" border:1px solid #ccc; width:170px;\"],\n.plugin-memo:has(> div.side > a[href^=\"https://www.ka-nabell.com\"]),\n.plugin-memo:has(> div.side > div#ad-fixed),\n.plugin-memo:has(> div.side > ins.adsbygoogle),\n.plugin-memo:has(> div.side > table a[href^=\"https://px.a8.net\"]),\na[href^=\"https://www.ka-nabell.com/\"]","#extra div.plugin-memo:last-of-type","#custom_html-36","#reblock_widget-4,\n.ct-code-block > a[rel$=\"sponsored\"]","#block-101,\n#block-106 ~ div.widget_block.fix_sidebar:has(> center > a),\n#block-93,\n.diver_widget_adarea","#float_left,\n.article-bottom",".amazon-table,\n.sidetop_ad","#info5 + div#info9,\n#info9:first-child,\nbody > hr[size=\"1\"] + center:has(> a[href^=\"https://ac.cross-system.com\"] + br + br + table[width=\"95%\"][cellpadding=\"0\"][bgcolor=\"purple\"]),\npr,\ntable[cellpadding=\"6\"] > tbody > tr > td[bgcolor=\"#000000\"][align=\"center\"],\ntd > font[size=\"4\"] + div#info9","#st_custom_html_widget-36","span[style=\"font-size:11px;\"]","#article_bottom_ad,\n#article_center_ad,\n.article-body-inner dl > dd > a[href^=\"https://al.dmm.co.jp\"][rel=\"nofollow\"][target=\"_blank\"],\n.article-body-inner dl > dd > b[style=\"color: rgb(255, 0, 0);\"],\n.article-body-inner dl > dd > span[style$=\"color: rgb(255, 0, 0);\"]",".ad-bnr-rect",".adContainer--double","div[class^=\"last_page_adsense\"]","#right","#goomid,\n#shop td,\n.tuhantitle","div[class^=\"style-module--ads--\"]",".content-bottom-sidebar-wrap,\n.zozov-dmm1","#footer_sponsored,\n.sidebar_sponsored","#js-overlay","#meows > p[style=\"text-align: center;\"]","#koteiwaku","td[style=\"width:310px;vertical-align:top;\"]",".ad__dbl-rectangle--box,\n.largeskyscraperBnrBox",".widget-below-comment-form:not(.widget_new_entries)",".pc_ad",".c-modal-light-score__ad-frame",".entry-adsense","#cls-improvement,\n.post > div[class^=\"ast-post\"] > header.entry-header > div[style=\"text-align: center;\"]",".ad4",".movie-Ad_01",".mb20[style=\"color:#999999; text-align:right;\"],\ndiv[style=\"margin-top:15px; padding:5px 0px; text-align:center; font-size:10px; border-top: 1px dashed gray;\"]","div[class*=\"-ads-\"]",".BottomFixedBannerContainer","div[class^=\"fluct-unit\"]",".manual_ads,\n.widget_custom_html.widget-main","#popup",".plugin-memo:has(> div.side > center > a[href^=\"https://www.amazon.co.jp\"])","#execphp-39,\n#execphp-40",".amra","#widget-under-article","#sidebar-inner > div > a[href^=\"http://amazon.co.jp\"]",".add-control","#relatedAd","#main > div[style^=\"margin:\"][style*=\"20px\"]:has(> ins.adsbygoogle),\n.res,\nmain > div[style=\"margin:15px 5px;\"]:has(> ins.adsbygoogle)",".toshoadv","#widgets-wrap-sidebar > section.widget_text","#sidebar-widget > .widget_pc_text:first-child,\n.sousyoku","#sidetop_ad_pc,\n.Infeed,\n.ad_m,\ndiv[id^=\"hamac-\"]",".ads_header_under,\ndiv.aside_box[style=\"height: 600px;\"]",".job_ads","#\\30 0,\n#more > p:has(> span[style=\"font-size:150%;\"]),\n.amazon_item",".right-container > div.plugin-memo:last-child",".ad_data,\ncenter[style=\"min-height:60px;\"]","#carousel-banner,\n.main-box > div[align=\"center\"] > a[target=\"_blank\"] > img,\na[href=\"http://adulttoys.jp/info/\"][target=\"_blank\"]",".sidespesce > div > div[style^=\"margin:15px auto; width:300px; background-color:\"]","#headrank2:first-child,\nifarticlebodymore > div[align=\"center\"] > table",".menubox:first-child",".adad2",".ads_relation_title,\n.content_bottom_ads,\n.top_bottom_ads_relation_title,\n.top_bottom_contents_box_3","div[class^=\"ad_responsive_\"]","div[id^=\"sp_cont_\"]","#content > a[href^=\"https://amzn.to\"],\n#content > a[href^=\"https://www.amazon.co.jp\"]",".entry_footer_ads,\n.mybox-right-narrow,\ndiv[style=\"min-height: 325px;\"]","div[class^=\"ad-box-\"] > center",".card02,\n.no-icon[rel=\"nofollow\"]","#center_column > .left_column:has(> div.tieup_rand_block),\n#tieup_rand,\n#view_center_ad,\na[ad_id]","#footer-banner","#header_banner_wrapper,\n#side_right_banner,\n#tieup_banner,\n.view_top_banner","div[style^=\"width:680px;\"]",".ads-fluid",".delete-msg,\n.fanza-actress,\n.pickup-box1",".osusume-info,\n.osusume-info-header","div[id^=\"adArea\"]","[style=\"position:fixed;width:100%;top:0;z-index:-999;text-align:center;\"] ~ [style] > table > tbody > tr > td > a[href^=\"https://amzn.to\"]",".pull-right.pr",".box_s,\n.boxp,\ntable[width=\"180\"]:nth-last-of-type(-1n+2)",".adsbygoogle[data-ad-client],\n.ichioshi_no","#content > .entry_under_ads,\n#content > .entry_under_fb,\n#primary > div.half:has(> .ads),\n.widget_execphp:has(> div > ins.adsbygoogle),\naside:has(> ins.adsbygoogle)","#custom_html-110,\n.code-block-3 font[size=\"-1\"],\n.code-block:not(.code-block-3)","div[id^=\"ad-\"]","#main > div[id^=\"space\"][style=\"text-align:center\"]","#Left_AD,\n[class^=\"AD_\"]","#text-56,\n#text-63,\n#text-64,\n#text-65",".ads-related",".gadlink",".p-adsense-anchor",".mainbox > p[style=\"margin-bottom:0px;font-weight:bold;\"],\n.toprespon,\n.topsad",".cm-banner",".adnex",".ga","div[align=\"right\"] > a[href^=\"http://hb.afl.rakuten.co.jp/hsc/\"]","div[class][style*=\" \"] div[class]:not([style]) ~ div[class] a[href^=\"https://go.misskey.io/\"] > img[class]:not([src]) ~ button","#text-112,\n.article-outer-3 > div[style^=\"clear:both;margin-top:0px;\"]","div[style^=\"width:610px; height:260px\"]","span[style=\"font-size:10px;color:#aaa;display:block;text-align:right;padding-right:5%;\"]","#sidebar-right > p.amazon,\ndiv[align=\"center\"] > center > table[border=\"1\"]:has(> tbody > tr > td > p > iframe[src^=\"http://rcm-jp.amazon.co.jp\"])",".aaso","main > section > div:has(> div.ad-container)",".single-bottom-ad","div[class^=\"sideads\"]","div[class^=\"yms-2ad-\"]",".plugin-l-t,\n.right-container > div.plugin-rss","font[color=\"#777\"] > font[size=\"1\"]","#sub > div.column-inner > div.column-inner-2 > div.plugin-memo:last-of-type,\n#sub > div.column-inner > div.column-inner-2 > div.plugin-memo:nth-child(-1n+2),\n.article-body-inner > table[width=\"750\"][height=\"320\"],\n.kjs,\n.pr-4,\ntable[height=\"300\"][width=\"750\"]","#oryourisokuho > div[align=\"center\"],\n#oryourisokuho > div[align=\"center\"] + hr","#topads,\n#topmadoka","#gn_overlay_wrapper",".left-container > div.plugin-memo:last-of-type",".right-container > div.plugin-memo:first-child","#bottom_banner_wrap",".billbord-js,\ndiv[id^=\"left_ad_\"],\ndiv[id^=\"right_ad_\"]",".u_adBox,\n.u_adFloatingBox",".matomelabel,\n.socialandbanner,\n.threadadvpc,\ndiv[class^=\"advertise_\"]",".entry-content > center > b,\n.entry-content > center > strong,\n.is-style-yellow_box:has(> div.cboxcomment > center > a[rel=\"nofollow\"])","#page_bottom_fixed","#container > div#footer:has(> div > ins.adsbygoogle),\n#main > div.frame:has(> script[src^=\"//go.trvdp.com/\"]),\n#main > div.frame:last-child:has(> #ad_area)",".overlay-item,\n.overlay-mask,\n.regular-banner,\n.ui-main-body > div.large-banner",".ssp_promotion_add","#adcenter_box,\n#adtoplabel","#adbottom_box,\n.relatedarea,\n.relatedlabel",".bfb_textBtnTextBtn","#aeriaGamesCenterAd,\n#zumba-ad","iframe[style=\"width:300px;height:250px;border:none;vertical-align:bottom;\"]","#tmp_publicity","#sadbg","#sadfloat","#sad",".bana","a[class^=\"ad_\"],\nimg[alt^=\"(広告)\"]","#kokoku-area",".top_kokoku_box","#\\30 2.exclude-h2-cnt,\n#adpcheader,\n.PRrank-icon2,\n.ad_random_tag,\n.adsInterstitial-modal,\n.ads_position_left_kouryaku_under,\n.all-center:has(> tbody > tr > td > a[href^=\"https://t.quoriza.net\"] > img),\n.article > h2:has(+ p > a[href*=\"/?code=\"] > img),\n.article > p:has(> a[href*=\"/?code=\"] > img),\n.article > p:has(> a[href*=\"/?code=\"] > img) + p,\n.article > table.tableLine:has(> tbody > tr > td > a[href*=\"/?code=\"] > img),\n.cta-link-box02,\n.cta-link-box02 + h3,\n.cta-link-box02 + h3 + table.tableLine,\n.joubu-rank02,\n.overlay_wrapper,\n.overrayBox_01",".new_koukokuwaku_wrapper","div[class^=\"MainAdModule\"]",".ad-btf",".block-asp",".p-article__item--ad","div[class^=\"AdGoogle_\"],\ndiv[class^=\"SpAd\"]",".panel-pr-block-side","div[class$=\"__google-ad\"]","#app > div[class^=\"_\"] > div[class^=\"_\"] > div[class^=\"_\"] > div[class^=\"_\"] > div[class^=\"_\"]:has(+ div[id^=\"div-gpt-\"]:empty),\n#entryBody > div.pickCreative_root,\n#entryBody > div.pickCreative_root + p,\n#entryBody > div:last-of-type > p:empty + div.pickCreative_root[style=\"font-size:0\"],\n#entryBody > div:not([class]):empty ~ div:not([class]) > .pickCreative_root,\n#entryBody > div:not([class]):last-child > div.pickCreative_root,\n#entryBody > div:not([class]):last-child > div:not([class]):last-child > div.pickCreative_root,\n#entryBody > div:not([class]):last-child > div:not([class]):last-child > table[border=\"0\"] div.pickCreative_root,\n#entryBody > div[contenteditable=\"false\"] > table[style][width=\"100%\"] a[alt0=\"BlogAffiliate\"],\n#entryBody > div[style^=\"margin:10px 5px;padding:15px;word-break:break-all;color:#333;box-shadow:1px 1px 2px rgba(0,0,100,0.3);background:url\"]:last-child:has(> div[style=\"background:rgba(255,255,255,0.85);padding:5px;border-radius:1px;\"] > div[style=\"border:4px double #cbb994;border-radius:1px;padding:10px\"] > div.pickCreative_root),\n#entryBody > p > a.pickLayout6[data-img-url^=\"https://img.mobadme.jp\"],\n#entryBody [style=\"text-align: center;\"] > a.pickLayout6 > img.pickLayout6_img,\n#entryLi > li[class^=\"_\"]:has(> div.skinBorderBottomColor > div),\n#freespace a[href^=\"https://www.amazon.co.\"][rel=\"nofollow\"],\n#subAInner > div#freespace a.pickLayout6 > img.pickLayout6_img,\n.freespaceArea:has(> a[href^=\"//ck.jp\"][rel=\"nofollow\"]),\n.myPick_block,\n.natural08_block,\n.pickTag,\n.skin-entryAd,\naside[data-amb-auto-ad-style],\ndiv[class^=\"_\"][style=\"min-width: 300px; min-height: 250px;\"],\ndiv[class^=\"in-article-injected-ad-\"],\ndiv[data-slot=\"injected\"][style^=\"min-height: 2\"],\ndiv[style^=\"max-height: 250px\"][style*=\"justify-content: center;\"],\nfooter + div[class^=\"_\"][aria-hidden]",".ad-banner:not([data-name=\"single-2-soken\"])",".l-animeDetailSbMovieBanner","#ad_block_center,\n.side_ad__inner",".cynergi-widget","#pb_hidden",".tgad","#gowp-native,\n.adsp",".gg-bottom",".ad-bnr-words",".adsbygoogle_area,\n.jack-content,\n.special_newarticle_list > li:has(> div.adsbygoogle_area)",".bnr-inarticle,\n.bnr-related,\n.brn-small,\n.gtm-pickup_amazon,\n.topics-ad-area",".ad-u","a[href^=\"http://www.amazon.\"][href*=\"/obidos/ASIN/\"],\na[href^=\"https://www.amazon.co.jp/exec/obidos/\"][target=\"_blank\"],\ndiv[style=\"max-height:250px;margin-bottom:10px;\"]","#ad_left_box,\n.inste_popup,\n.sp_ad_next_menu,\ndiv[id^=\"ad_jack\"]",".p-ads-top-rec1,\n.sidebar-ad01,\n.sidebar-ad02","#ad_footer_space,\n.ad_header_frame","#imgUpperRectangle,\n#topbillboard,\n.contentWrapper aside.banner",".asajo-choice-area,\n.post > div[style=\"margin-bottom:20px; padding: 10px 0; border-top: 1px dashed #ccc; border-bottom: 1px dashed #ccc;\"]","#artAds,\n#sideR > .ban,\n#sitejack,\n.banR:first-of-type,\n.pickwrap,\nsection[class^=\"posts--\"] > .posts__row:has(script[src^=\"//i.socdm.com\"])","aside[id^=\"ad_\"]","div[class^=\"sw-AdNetWork\"]",".ad336_280","#google_relate_ads,\n.atwiki-ads-margin","#body_footer:has(> a[href^=\"https://www.amazon.co.jp/\"] > img),\n#imobile_adspotdiv2,\n#menubar > a[href^=\"https://amzn.to\"][rel=\"nofollow\"],\n#menubar > a[href^=\"https://px.a8.net/svt/ejp\"][rel=\"nofollow\"],\n#menubar > div:not([class]) > a[href^=\"https://amzn.to\"] > picture,\n#menubar > div:not([class]) > a[href^=\"https://hb.afl.rakuten.co.jp/hsc/\"] > img.atwiki_plugin_image,\n#menubar > div:not([class]) > a[href^=\"https://www.amazon.co.jp/dp/\"][rel=\"nofollow sponsored\"],\n#menubar > span[style=\"font-weight: bold;\"] > a[href^=\"https://amzn.to\"][rel=\"nofollow\"],\n#wikibody > h3[id^=\"id_\"] + br + hr,\n#wikibody > table.atwiki_plugin_region ~ div:not([class]) > a[href^=\"https://www.amazon.co.jp/dp/\"][rel=\"nofollow sponsored\"],\niframe[src^=\"https://rcm-fe.amazon-adsystem.com/\"]","#asideBnr01,\n.min-h-01","div[class*=\"_ad_\"]",".pure-ad-banner,\n.side-col:first-child:has(> div.dfp-wrapper)",".side__ad-box","li[class*=\"--ad\"]",".js-legacy-infeed",".carousel-banner-top,\n.news__item--ad",".sidemenu__ad,\n.sidemenu__rect-ad","#jp_mota_pc_all_right_1st,\n#jp_mota_pc_catalog_right_1st,\n#pc_autocone_glonavi[style=\"min-height: 250px;\"],\n.ad-rectangle__row,\n.ad_bigbanner,\n.fourm_video","#text-44,\n.wp-block-column","#text-41","#text-43","#ads-pc-top-super,\n.related-list > .sp-show","div[class^=\"autom-\"]",".pr_posts","#sp,\n.center-xs:has(> div[id^=\"JP_BABY_resp\"]),\n.gutter-around.center-xs:has(div[id^=\"JP_\"])","#entryPrBox,\n#tertiary > aside.widget_text:has(> div > a[target=\"_blank\"]),\n.entry-content > table[width=\"100%\"]","#prBox","#sidebar-inner > a[href*=\"http://www.agoda.com\"],\n#sidebar-inner > a[href^=\"https://amzn.to\"],\n#sidebar-inner > table,\n.article-body-inner > a[href^=\"https://al.dmm.co.jp\"],\n.article-body-inner > div[style=\"margin:0;padding:5px;font-size:14px;word-break: break-all;\"]","div[id^=\"cf_async_\"]",".bnr-box",".ad-middle","div[style=\"min-height:280px;height: auto\"]","div[id^=\"top-adspace\"]",".pattern-box",".inc-ad-info",".KJS_KIJISHITA_PC_WRAP",".article__bnr,\n.pc_CLS_90,\ndiv[class*=\"CLS_250\"]","div[style^=\"width: 624px; margin-bottom: 20px; height: 270px;\"]",".ad-large-big",".left.box300","#detail > section.article-middle:has(> .box-wrap > .box-left > div[id^=\"div-gpt-\"])","#eyeCatch,\n.prTxt","#relationEntry > div[style=\"min-height: 100px;\"],\n.entryBody > div[style$=\"min-height:280px;\"],\n.module[style=\"min-height: 600px;\"]","#adEntryMainBottom","#ad2","#bizSPA_PC_all_header,\n#innerAdsense,\n.page-ad-wrap","#sub > div.column-inner > div.column-inner-2 > center > div[style=\"margin:0;padding:5px;font-size:12px;word-break: break-all;\"] > a[href^=\"http://www.dmm.co\"][style=\"display:block;text-align:center;\"],\n.advArea,\n.plugin-memo:has(> div.side > script[src^=\"https://js.ad-optima.com\"]),\niframe[style^=\"width: 300px; height: 250px;\"]",".plugin-memo:has(> div.side > a[href^=\"https://hb.afl.rakuten.co.jp\"][target=\"_blank\"])",".has-text-align-center.u-mb-ctrl > span.u-fz-s","a[href^=\"https://damaya.shop/products/\"],\na[href^=\"https://j.vape.blue/a.cgi\"],\na[href^=\"https://xn--tckxa5c423yemxd.shop\"]",".article-body-inner div[style=\"margin:0;padding:5px;font-size:12px;word-break: break-all;\"]",".relate_banner","div[style^=\"top:0px;position:fixed;z-index:0;left:50%;\"]","#more > div[align=\"center\"] > a[href*=\"px.a8.net/svt/ejp?\"],\n#more > div[align=\"center\"] > span[style=\"font-size: 81.25%;\"],\n#more > div[style=\"font-size: 150%;\"] > b",".ad_topress","a[href^=\"https://www.amazon.co.jp/gp/product/\"]",".left-column-inner > div.plugin-popular_articles_with_image + div.plugin-memo:last-child,\n.right-column-inner > div.plugin-categorize + div.plugin-memo:last-child",".amazon ~ br[style=\"clear:left\"]",".main-column-inner > div[style*=\"height:400px\"]",".l-sidebar-b > div.plugin-memo:last-of-type,\n.latest-banner",".plugin-memo:has(> div.side > script[src^=\"https://js.ad-optima.com/\"])",".article-body-inner > div:last-child > div:has(> a[href^=\"https://ck.jp.ap.valuecommerce.com/\"]),\n.userDefTextLink[href^=\"https://ck.jp.ap.valuecommerce.com/servlet/referral\"][rel=\"nofollow\"]","#more > b:has(> a[href^=\"https://www.amazon.co.jp/\"]),\n#more > div.t_b:has(> div.ninja-recommend-block)",".main-column-inner > br","#Amazon_rdm",".plugin-memo.sidewrapper:has(.amazon)","#article-1003","a[title*=\"_300x250_\"]","#container > table,\n.article-body-more > a[href*=\"dmm.co.jp/\"],\n.article-body-more > a[href*=\"dmm.co.jp/\"] + br,\n.article-body-more > a[href*=\"dmm.co.jp/\"] + br + br","#more > span[style=\"color: rgb(255, 0, 0);\"],\n#more > span[style=\"color: rgb(255, 0, 0);\"]:last-of-type ~ br,\n.article-body ~ hr[style$=\"width: 100%;\"],\n.article-body-inner > a[href^=\"https://www.amazon.co.jp/gp/\"]",".article-body-inner > script[src^=\"//img-c.net\"] + div,\n.article-body-inner > table[cellspacing=\"15\"] + table:last-of-type,\n.main-container > table + br,\n.main-container > table + br + br",".Default.amazon",".google-user-ad-over + div[style^=\"width:\"]",".left-container-ads,\n.left-container-ads + table[width=\"300\"],\n.main-container table[style=\"border-style: none;\"]","#more > div[align=\"center\"]:has(> table table a[rel*=\"sponsored\"]),\n.page-article-side > div.plugin-memo:first-child,\n.page-article-side > div.plugin-popular_articles_with_image + div.plugin-memo",".adnw-2ad","#category-icons","#extra div.plugin-memo:last-child","#more > table[border=\"0\"] + br,\n.article-body-more > table:has(> tbody > tr > td > div[style] > a[href^=\"https://hb.afl.rakuten.co.jp/\"]),\n.plugin-memo:has(> div.side > table a[href^=\"https://hb.afl.rakuten.co.jp\"])","#more > div.t_b ~ a[target=\"_blank\"],\n.article-body > div[style=\"margin-bottom: 10px\"][align=\"center\"]",".plugin-memo:has(> .side > .dmm_ranking)","div[class^=\"article-body\"] > div[align=\"center\"] > table[border=\"0\"]",".article-body-inner > center,\n.left-column-inner > div.plugin-categorize + div.plugin-memo",".left-column-inner > div.plugin-memo:last-child",".article-body-more > a[target][href*=\"amazon.co.jp\"],\n.article-body-more div:has(> a[target=\"_blank\"][href^=\"https://www.amazon.co.jp/dp/\"])",".left-column-inner > div.plugin-rakuten + div.plugin-memo,\n.right-column-inner > .plugin-recent_comments + div.plugin-memo",".article-body-inner div[style=\"margin-bottom:5px; margin-left:115px\"],\n.article-body-inner div[style=\"text-align: center; padding-top:0px\"],\ndiv[style^=\"text-align: center; margin-bottom\"],\ndiv[style^=\"text-align: center; margin-bottom\"] + center",".first-article > table,\ntable[summary=\"DLsite\"]","a[href^=\"https://www.dlsite.com/\"]",".article-body-inner > div[style=\"text-align: center;\"] ~ center,\n.article-option > section#comments + div[style=\"text-align:center;\"]","#extra div.plugin-memo:not(.plugin-memo:last-of-type),\n#sub div.plugin-memo:not(.plugin-memo:nth-child(2)),\n.article-body-more > div.amazon > div.pictBox",".plugin-memo:has(> div.side > a[href*=\"www.dlsite\"])",".plugin-memo:has(> div.side > a[href*=\"dmm.co\"]:not([href*=\"/mono/dvd/\"]))",".main-column-inner > a[href^=\"https://www.dlsite\"],\n.main-column-inner > div[style] > div[align=\"center\"] > a[target=\"_blank\"]",".sidebar_top_pr","#footer_ban","div[class*=\"-adsense\"]","div[id^=\"jp_ir_\"][style]","#secondary > aside.widget_text:not(#twitterLine),\n.amLink,\n.prePaidBanner,\n.rkLink,\n.widget_sell_entry:has(> div.showCF > div#showRank)",".c-widget-adbanner-frame",".story_box:first-child:has(> tbody > tr > td[valign=\"middle\"])",".banner-pc_right_1st,\n.banner-pc_right_2nd,\n.wrapper > div.full-width.banner-box",".module-recommend,\ndiv[style=\"margin-bottom:20px; width:728px;\"]","div[style^=\"width:728px; min-height:90px;\"]",".ad_billboard_inner,\n.side_ad_add,\narticle > div:not([class]):has(> p[align=\"center\"] > ins.adsbygoogle)","#bi-recommendedBottom-cxense,\n.f-content-secondary > div[style^=\"margin-top:1em\"],\n.f-content-secondary > style + div",".c-infoBar,\ndiv[id^=\"fourm_video_\"]","#thirdary > div.widget-block:has(> div[id^=\"div-gpt-ad\"]),\n.grid-crectangle","#extra div.plugin-memo > div.plugin-memo","div[id^=\"dfp-\"]",".p-entry__body > table[style=\"border:none;\"],\n.pc-overlay-ad","div[id^=\"div-gpt-ad-\"]",".p-mh250,\n.s-footer_fixed_cta,\n.s-outside_banner,\n.u-center.u-mt_l.u-mb_l",".rwdArticleInnerAdBlock,\n.rwdArticleOuterAdBlock","div[style=\"min-height: 280px; height: auto;\"]",".ccn-article-attention",".base-inner-slim[style^=\"min-height\"]",".adbnrs,\n.bnr350,\n.bnrBottom,\n.bnrBottomTop,\n.bnrBox468,\n.campad",".skyscraper","#adv_bottom,\na[id^=\"honkaku\"]","#main_column_inner > div[style^=\"width:320px;height:\"]",".sidebar_content > .widget_custom_html",".banner_small,\n.wrapper_side > aside.banner,\n.wrapper_side > div.banner_special_content:first-of-type","#body > .plainBox:has(.adv)",".t_koukoku","#tmp_wrap_publicity",".class_area7 ~ .class_area18",".kokoku",".zone04",".footerAdvert",".pc-only > div.aside_area:first-child,\n.sec-goods",".p-articleAd--rec--2col,\ndiv[style=\"min-height: 280px!important;min-width: 500px;\"]",".add-box","#ct-ad-streaming,\n#ct-ad-super-banner,\n#ct-ad-ydn-overlay,\n#ct-affiliate-box,\n#movie-ranking > li[style=\"margin: 16px 0; background:#fff;\"],\n.col-right300 > div.module:last-child,\n.ct-ad,\n.ct-ad-prime-display",".m-banner","#adBannerLower","#headAD,\n#rightContentsInnerBox > article.articleBox > div.articleSubBox:has(> .listItemGoodsSingleLarge),\n.listItemGoodsAd,\n.listItemGoodsAdContentsBottomBox,\ndiv[class^=\"google_adsense\"],\ndiv[style^=\"width:960px;height:320px\"]","div[style=\"border:1px solid black;padding:2px;\"]",".ad_cls,\n.reccomendArc","#tmBottomAd,\n#tmContHeadAd1,\n#tmHeadAd,\n#tmSideAd,\n.tmAdGaid,\ndiv[style=\"margin: 5px auto;max-width:650px;\"] > table.tmTable[style=\"width:100%;margin: 0;\"] > tbody > tr + tr:has(a[target=\"_blank\"])","#tmContHeadAd","#adtag-rectangle,\n.add_2,\n.prtxt","iframe[class^=\"i_f\"]",".newadarea,\n.uk-width-large-12",".newscontent > div[align=\"center\"]","#header_lower,\n.ad-lb,\n.left-column > div[style=\"width:200px; height:259px;\"],\ndiv[id^=\"ad_rectangle\"]","#tournamentBnrArea,\n.lbadArea","#container > div[style^=\"width:1100px; \"],\n#news > ul","div[class*=\"-only\"][class$=\"-overlay\"]","#eijiro_pc_top_01,\n.rectangle_right","#sys-article-upper-afc,\n#sys-pc-inArticleREC,\n#sys-upper-rec,\n.aa_ad-home-thumb-small,\n.aa_area-content-top,\n.aa_content-side > div[data-tracking-zone] > div.obtain-height,\n.aa_rec-box,\n.aa_swipe-content > div.aa_box-center:has(> div.ad-bnr),\n.docomo_custom_alliance,\n.ec-site-box.sys-ga-event-affiliate,\n.fixed_bottom_aa_ad,\n.shuffle-list-item,\n.sys-aa_placement,\ndiv[data-tracking-zone^=\"parts-common-adFirst\"],\ndiv[id^=\"sys_aa_pc_placement\"],\nsection[data-tracking-zone=\"modules-content-docomoCustomAlliance\"]",".layout_sidebar > div.obtain-height,\n.logly-ranking-wrapper,\ndiv[class^=\"ad-banner__\"]",".ad-long","a[href^=\"https://www.townu.jp/\"]",".ad_top300",".insert-ad,\n.insert-ad-area",".ad-_badge",".leaderboard-container,\n.leaderboard-wrapper",".l-wrapper > div.l-sidebar:has(> aside > ins.adsbygoogle)",".entry-content > div[style=\"margin-left: auto; margin-right: auto; text-align: center; \"],\n.sidebar > aside.briar-widget",".footer-rec-add,\n.srb-text",".tbcms_ad-block,\naside[class^=\"tbcms_banner\"]","#AdPrimeDisplay,\n#\\33 00X250_R01,\n#sub > .negativemargin10top:first-child,\n.admovie,\n.yahooaffiliate-vertical,\ndiv[class^=\"bnr\"]",".show-ads,\n[id$=\"rec_bnr_header\"]",".advertisement2[style=\"clear: both;\"]:has(+ div.block-block)",".preloader",".pc300","div[class^=\"m-ad\"]",".header > div.cmp-bnr001,\n.l-container-narrow,\n.pt-40.ta-c.cscmp-lst002",".cmp-misc010",".super-banner",".cap_box_content:has(.swell-block-button__link[href^=\"https://h.accesstrade.net\"])","#_popIn_recommend,\n.pg-container-side div.cb-l1-m2:has(div.bnr-rect)","#dspc-relation_img,\n#nativeRecommend,\n#rec1-umaya,\n.pageAd,\n.pnl-aside,\naside.add,\naside[class^=\"aside-\"][class*=\"-ad\"]",".ht5_adSense",".area-ad","#bottom_bottom_ad,\n#part_footer,\n.main_present_thread > div.padding > div.right.column",".side-topad > div.widget_st_custom_html_widget:has(> div > p > a[href^=\"//ck.jp.ap.valuecommerce.com/servlet/referral\"])",".hustle-popup","#ehime_pc_top_1st_rectangle,\n#home_minibnr,\n#prLink,\n.aside_box div[class^=\"mini_\"],\n.ehime_pc_all_header_wrap,\n.pr_sq_box,\n.superbnr_box",".dfp",".wrap-advert","#ad300x250,\n#timesale,\n.ec-ranking,\n.ec-ranking-article,\n.mainSide > div.topics,\n.media-shopping,\ndiv[class^=\"ad-aside\"],\ndiv[class^=\"ex-ad-rectangle\"],\ndiv[id^=\"exad\"],\ndiv[id^=\"gpt_\"]",".ad-header-banner","#header_bnr,\n.Lymain div[style$=\"width:610px;\"]","#cxra-rectangle,\n#fp-bhp-rectangle,\n#fp-rdef-rectangle,\n#fp-rectangleArea,\ndiv[id^=\"cx-ad-\"]","#video_container > div[style*=\"position: absolute; overflow: hidden;\"]:has(> img[src=\"/plus7/web/imgs/animation_spinner.gif\"])",".advertCont",".admeasure + hr,\n.admeasure:not(.textlink-ad),\n.article-body > .inread:has(> div[id^=\"div-gpt-\"]),\nli.pr",".text-ad",".article-dfp","#adsYahoo,\n.allyanceAd","#before-container",".prContent,\nli[style=\"height:250px\"]","#footerbnr,\n.sspPR,\n.sspbox","div[style=\"width: 100%; height: 90px; clear: both;\"],\ndiv[style^=\"width: 160px; height: 600px\"],\ndiv[style^=\"width: 250px; height: 250px\"],\ndiv[style^=\"width: 728px;\"]",".box-header-banner,\n.sec-pr,\n.sec-side-banner","div[style=\"width: 700px; margin: 30px auto 0 auto; height: 250px;\"]",".ad.w-rec[style=\"text-align:center;margin:45px auto 40px;width:720px;\"],\n.ad:not(.w-rec)",".PrPr,\n.bd_beige_top3:has(div[id^=\"div-gpt-\"]),\n.detailAdsense,\n.main_1col:has(> div > div[id^=\"taboola-below-article-thumbnails-\"])",".adPremium","div[id^=\"contents-advertising\"]","#topix > .context:has(> #ad_centents_center),\ndiv[id^=\"ad_centents\"]","div[style=\"width:300px; height:250px;\"]",".ad-pr-text",".ad-wrapper-in-content",".node-body-content > div[style=\"background-color:#FFFBD6; margin:3em 2em; padding:10px 5px\"]","#gpt-div-ipc-wf-pc-u-kiji001,\n#watch-static-pc-c,\n.ad.billboard,\n.ad.item,\naside[id$=\"-amazon-ranking\"],\naside[id$=\"-rakuten-ranking\"],\ndiv[class^=\"affiliate_tag_\"]",".amazon-ranking",".ad_download",".amazon-aff","#amazon-ranking-widget,\n#webtan_adsense_nodefooter,\n.block-block-ad,\n.pane-bancho-common,\ndiv[style=\"background-color:#FFFBD6; margin:3em 2em; padding:10px 5px\"]",".firstview_custom,\n.singletop-widget","#bannerblock",".entry-content > div.sng-box:has(a[href^=\"//ck.jp.ap.valuecommerce.com/\"])","#ATF,\n#AmazonRankingParts,\n#BelowArtLink,\n#GeneralAD,\n#ISALR,\n#ISTCPB,\n#ITN,\n#ITR + div#colBoxRcBanner,\n#ITT,\n#OwnedAd,\n#SideLink,\n#SpvLink,\n#SuperBanner,\n#TextAd,\n#TopBox,\n#TopLink,\n#cmsBody > div.inner > h2.format--crosshead ~ div.cmsBodyBox:has(> div > center > strong > span > a[target=\"_blank\"][rel=\"noopener\"]),\n#cmsBodyMain > div:not([class]) > div[style=\"text-align:center;margin-bottom:20px;\"]:only-child,\n#cmsSubPR,\ndiv[id$=\"BrandText\"],\ndiv[id$=\"InFeedNative\"],\ndiv[id*=\"Rectangle\"],\ndiv[id^=\"ITR\"],\ndiv[style=\"min-width:600px;min-height:32px;\"],\ndiv[style^=\"font-family:Gill Sans;\"][style*=\"font-size:12px;\"][style*=\"line-height:12px;\"],\niframe[id^=\"cxWidget_\"],\nins[id^=\"yoneads\"]",".gad","#globalHeaderMiddle",".bannar,\n.contents_bannar,\n.headerbannar,\n.main-pr-single-top",".ad_itextad2_wrap,\n.ad_mcol_gad,\n.ad_mcol_gad2",".ad-lmc,\n.ad:not(.wrap > .ad),\n.article-list > li:has(> div[id^=\"yads_\"]),\n.high-CMSbox","ad_bnr","#relatedArea,\n#sideWrap > section#adbannerArea,\n.adSet",".duilian",".m-ad-double",".ad_full,\n.article-inner > .article-box._center._inner_break_horiz-sp,\n.panel_kv > li[style=\"display:flex; justify-content: center; flex-wrap: wrap;\"]:not([class])",".amazon_associate_banner,\n.com_pr_rmads_right,\ndiv[id^=\"Ads_google_\"],\ndiv[style^=\"width:500px;min-height:280px\"]","#site-contents > aside.cf > p.aright.message,\n.HEADER_PARTS,\n.area4 > div[style*=\"height:\"]","#site-contents > p.message.aright",".ad_common_4_300x250,\ndiv[class*=\"ad_index\"]",".sideBanner",".bannerTopWrapper,\ndiv[class^=\"adunit\"]",".sp-bottom-sidebar.xl\\:min-w-\\[300px\\] > a > img","ul[class^=\"list\"][class$=\"__list\"] > li:has(> div[id^=\"div-gpt-\"])",".bottomPrArea,\n.isInfeedLoad,\n.prNews,\ndiv[id^=\"knpc-\"],\nli.active.native",".banner-area","body div.fc-ab-root:not(#style_important),\ndiv[class^=\"detail_adArea\"],\ndiv[class^=\"styles_ad\"],\nsection[class^=\"detail_recommended_\"]",".l_floatingbanner",".ad-container2,\n.kyobu-widget,\n.td-a-rec-id-custom_ad_2,\ndiv[class*=\"yad-\"]","a[href^=\"http://www.kyoeikasai.co.jp/\"]",".banner-area-entry",".textwidget > div.box > a[target=\"_blank\"][rel=\"noopener\"] > img[width=\"300\"]",".gunosy-ads-spot,\na[href^=\"https://suumo.jp/tokushu/pre/mansion/kanto/\"]",".m-articles > article.m-articles-item:has(> div[id^=\"div-gpt-ad\"])",".l-content-sub div.info","#map_yads,\n.ad-overture,\n.article div.clearfix[style^=\"margin\"],\n.side-news-ad","div[style^=\"width:728px;height:90px;\"]","div[class$=\"adarea\"]",".modAdBanner-3",".PRBOX,\n.texad,\n.texmongon","#sp-column-detail-bottom-banner",".bannerBox","#content div.main > aside.sub_aside:has(> .OUTBRAIN),\n.side_rectangle",".banner2","#around-article-area,\n#main-page-frame > div[style=\"display:flex;justify-content:center;align-items:center;height:120px;width:100%;\"],\n#naviad-area,\n#page_footer_adunit,\n#right-upper-banner-frame,\n#st-around-realestate-area,\n#st-bizreach-job-list,\n#under-advertisement,\n.ad-frame,\n.adv__section-ad-4,\n.advertising-link,\n.cmp_frame,\n.footInfeedArea,\n.footer-rect-ad-frame,\n.naviadContainer,\n.section-ad-1,\n.section-ad-3,\n.section-ad-4,\n.top-ad-frame,\ndiv[style$=\"margin: 30px 0; height: 250px;\"],\ndiv[style$=\"margin:30px 0;height:280px;\"]",".wp-block-st-blocks-my-box[style^=\"background-color:#fff;border-color:#\"]",".box_300,\n.out_pr,\n.pr-txt","#main > div.mab10.tac[style=\"padding-bottom:3px;\"],\n#main > div.slider",".pr_txt",".newpickup_premium > li.widget_text a[href=\"https://estate.nikkan.co.jp/notice\"],\n.top_recommend","#headerbanner",".l-asideSection_featured",".p-articleTextad",".-info:has(> li > div[id^=\"div-gpt-\"]),\n.l-asideSection:has(> .dag_aside_pickup)",".prBox",".c-ad-side",".btobArea",".txt_pr,\ndiv[class^=\"ad-nnn\"]",".sec-crpTop-stop","#ntv_setAD_PC_300_250,\n#ntv_setAD_PC_728_90,\n.genre-ad,\n.ntv-box-adBanner",".hulu-link",".overlay-publicity,\n.publicity-contents",".common-adbox:not(#ad04)",".ad-bottom-banner,\n.u-flex--center,\narticle > div[style=\"margin:0px 0;text-align:center;\"],\narticle > div[style=\"margin:25px 0;text-align:center;\"],\ndiv[style*=\"width:300px;height:250px\"]","#content-main div.block-link-list-b > article:has(> a > div.pr),\n.ad-tver,\n.affiliateLinks,\n.block-header-banner-wrapper,\n.block-sub > div.border-box > table > tbody:has(> tr > td > div[data-uz-url]),\n.block-sub-recommend li:has(> a > div.pr),\n.break-ad-box,\n.overlay-ad-area,\n.relatedLinksPhoto > div[style^=\"width:\"][style$=\"float: left;\"],\n.stickyfill tr:has(> td > div[class^=\"gmossp_\"]),\naside.block-header-banner,\naside.top-inline-banner","div[style=\"min-height:250px;\"]","#gpt-cojp_rec-footer,\n#gpt-cojp_rec-header",".ph",".list_ad,\n.o_aside__pure__ad",".yadsOverlay","#sc_pc_article_billboard,\n.ad-pr,\n.bnr_wrap,\ndiv[style=\"height: 250px\"],\ndiv[style=\"height:250px;\"]","#beta_ads01,\n.sp_none[style=\"height: 600px;\"],\ndiv[style*=\"250px\"]","#wrapper #button_id,\n.anchor","#mkdiv_header_pitari",".rc-cpn",".list-banner-01",".SideColumn__ad",".flexContents__box--adBox1",".portal-info-swiper","#commonAdsParts,\n#content-sticky > table:has(div.rcardImg),\n#content-sticky > table:has(td[style=\"padding-right: 16px;\"] > div.side_lo > div#RGPT_Rak_Blog_User_SideBanner),\n#content-sticky > table[width=\"330px\"]:has(> tbody > tr > td > div.side_lo > div.sidefree > table div[style*=\"width: 280px;\"] a[href^=\"https://hb.afl.rakuten.co.jp/\"][target=\"_blank\"][rel*=\"sponsored\"]),\n.headerAdC,\ndiv[id^=\"div-plaza-point-ad-\"]",".rad-table-existItemDisplay",".gamelist-ads,\n.mypage-ads,\n.side-ad,\n.side-mypage-ad-wrap,\ndiv[style=\"width:728px;height:90px;\"],\nstyle + div.side-box:has(> ul > li > a[href^=\"https://ac.ebis.ne.jp/tr_set.php\"][target=\"_blank\"][rel=\"noopener noreferrer\"])","#footerOverlayContents,\n#recommendOfficialRecipe,\n.ad-table-label,\n.box_banner--top,\n.bt_app-ad_area,\n.ranking_recommend_recipe,\n.section_common_banner,\ndiv[id^=\"rdn-adspot\"]",".ad__pr","#bnr-area,\ndiv[class^=\"rt-wide-banner-\"]","#ads-billboard","#ad-ichiba,\n#teamsite-mid-pickup,\n.section-title1[style=\"margin-bottom: 10px;\"]",".ad-outer,\n.right-people[style^=\"min-width: 300px; min-height: 250px\"],\n.right-ranking",".code-block[style$=\"text-align: center; display: block; clear: both;\"]","table[style=\"border:none;text-align:center;\"][width=\"660\"]",".pr-list",".m-ad-text","div[id^=\"my_banner-\"]",".sb-box-sub-07.fund-pr,\nh2.fund-pr",".sidebar > .text-xs-center:first-child,\n.text-md-right + .m-y-2.row","#attentionArea,\n.side-contentsAD","div[id^=\"jp_soon_\"][style]",".h-\\[250px\\].w-\\[300px\\],\n.items-center > .flex-col.pb-8:has(> h3 + .min-h-\\[250px\\] > div:only-child > div[id^=\"logly-lift-\"]),\n.max-w-\\[1100px\\] > div.pt-6.pb-8.border-app-text,\n.max-w-container > div.border-app-text:has(> div.min-h-\\[250px\\]),\n.text-app-text > div.h-\\[266px\\].bg-app-bg",".c-bnr > img.lozad,\n.leaf-page__bottom-ad,\n.leaf-page__top-ad",".textwidget:has(> div[id^=\"div-gpt-ad\"])",".list-basic-a:has(> li > div.c-ad)","#Sportiva_pc_article_UnderTitle",".block-widget-a-c__container:has(> div.mod-box > div.mod-box__container > div.js-ad-wpb_pc_house),\n.helper--min-height-225:has(> .OUTBRAIN),\nul.mod-grid2 > li.block-list-a-a__list__item:has(> div.block-banner-b-a),\nul.mod-grid2 > li.block-list-a-a__list__item:has(> div[class$=\"_InRecommend\"])","main > section.section:has(> div.section-container > div.OUTBRAIN)","div[class^=\"Fluct_shadow\"]",".adxTagArea","#text-24","#iframeHeader",".article_list > li:has(> div > div[id^=\"div-gpt-ad-\"]),\n.contents-pr,\n.mb30:has(> div > script[src*=\"rakuten\"]),\n.mb40:has(> div[id^=\"div-gpt-ad\"]),\n[class^=\"banner\"],\na[href^=\"https://park.sjnk.co.jp/campaign/ad_\"] > img,\ndiv[data-component=\"ad-basic\"],\nul[data-component=\"article-links\"]",".bbear-ad",".is-nativead-pagingad","#hdBnr,\n#rnvBnr",".ads_btm,\n.ads_icon",".bnr__section:has(script[src^=\"https://js.ad-stir.com\"])","#r-googleads",".ad_pc_article_undertitle",".cp-pcAd",".om-ad",".ad_world > div,\n.sidebox > ul > div[style=\"display:block;margin-top:1em;\"],\ndiv[class$=\"_billboard\"],\ndiv[id] > div > div[style^=\"display:block;margin\"]:has(> p[style=\"margin-bottom:.5em;border:none;font-size:.9em;\"] > a[target=\"_blank\"] > span[style$=\"text-align:center;\"])",".dfp_tag",".cmp-misc014,\n.header > .cmp-bnr001",".head-bnr-area,\n.l-side-block--banner:has(> div.ad)",".ad-billbaord,\n.alliance_PR,\n.right-section > div.tckr",".ad-msq--sticky,\n.billboard_wrap,\n.pickup_item--PR,\n.power_item--PR",".p-news_snsarea","#rectangle-desktop,\n#superbanner-desktop,\n.analytics_pr_rect,\n.common-box-ad-rectangle,\n.newHeaderBanner,\n.rectangle-desktop",".common-box-ad,\n.common-box-ad-landscape",".pc-ad1,\n.pc-ad23","#footerPcBanner,\n#txcms_cms_sideBanner_1,\n#txcms_cms_sideBanner_2,\n.entry_detail_ad2,\n.tbcms_ad-block-overlay","#adArea","#glr_popup",".bottom_prarea","#ad-lrec,\n#ad-new-ysp,\n#lrec,\n#pos-sqb,\n.yads-overlay,\ndiv[class*=\"Yda_\"],\ndiv[class^=\"Lrec_\"],\ndiv[class^=\"SearchResults_searchResults__contents__main__\"] > div.SSContainer,\ndiv[class^=\"Sports_StreamSports\"] > aside[class^=\"ArticleBox_ArticleBox\"]:has(> a[href^=\"https://app.adjust.com/\"]),\niframe[id$=\"_ad_frame\"],\nimg[src^=\"https://s.yimg.jp/bdv/yahoo/\"]","#adTopLREC,\n.bannerFrame,\n.ss,\ndiv[class^=\"LayoutMain-sc\"] > aside[class^=\"Component-sc\"]:has(> div[id^=\"adS\"]),\ndiv[class^=\"LayoutMain-sc\"] > section[class^=\"Component-sc\"]:last-of-type:has(> div[id^=\"adS\"])",".sn-banner > a[href*=\"adj.st/open/\"]",".Banner",".SS__list:has(span.Badge--ad)","#ad_SS,\n#ydn-bot,\n#ydn-contents-top-text,\n#ydn-top","#lrecArea,\ndiv[class*=\"SearchResults_searchResults__\"][data-device=\"smartphone\"] > section[class*=\"SSContainer_SSContainer__\"][role=\"complementary\"] > ul[class^=\"SSContainer_SSContainer__list__\"],\ndiv[class^=\"ErrorTypes_errorTypes__searchZeroHits__\"] > div.SSContainer,\ndiv[class^=\"Top_chie-Pages__ColumnItem--Sub\"] > div[class^=\"Top_chie-Pages__SubColumnSection--Box\"]:has(> #ad_lrec:only-child)","[id*=\"-ad-parent-\"]","#contents > div[class^=\"_\"] > div[class^=\"_1\"] > div[class^=\"_2\"] > div[class*=\" _\"]:has(> #subAdTop),\n#contents ~ div[class] > div[class^=\"wP-\"] > div[class]:first-child:has(> div[id^=\"ad_\"][class]),\n#newslist > div[class^=\"_\"] > div[class^=\"_\"] > ul[class^=\"_\"] > li[class^=\"_\"],\n#pr_main1 + div[class],\n.NRqdNbNt,\n.XuqDlHPN > div.pebAehAj._1IdtoV3i:last-child:has(> div[class^=\"_\"] > div[class^=\"_\"] > div[class^=\"_\"] > div[id^=\"ad_\"]),\n.ydn,\ndiv[class^=\"_LREC_\"],\ndiv[class^=\"_YDN_\"],\ndiv[id^=\"cat_\"] > ul[class^=\"_\"] > li[class^=\"_\"]:last-child,\nmain > div[class^=\"_\"] > div[class] > div[class^=\"wP-\"] > div[class]:has(> div[id^=\"ad_\"][class]),\nsection[id][class^=\"_\"] > div._22wPPO7Q","div[id^=\"ad_\"]","#floating_banner,\n#jack","#qa-mr-ad1",".App__contentsAd","#contentsWrap > div[class^=\"sc-\"]:has(> div.adWrap > div[id^=\"yads_\"]),\n.adWrap,\n.newsFeed_list > li > div[id^=\"ad\"],\n.nhSpBox3,\nli > a[class^=\"sc-\"][href^=\"https://rd.listing.\"],\nmain#contents > div[class^=\"sc-\"]:has(> div[class*=\" \"]:not([style]) > div[id^=\"yads_\"])",".YCA","#contentsInner div[class^=\"SS_SS__\"],\n.AdBannerCarousel,\n.main > div[class^=\"SS_SS__\"]:first-child","#makerAd,\n.mdNorthBuyee,\ndiv[class^=\"style_Ad\"]:empty",".mdYCA",".sc-lrec","#cp_bnr,\n.cm-modCommon02[style=\"min-width: 300px; min-height: 250px\"],\n.cm-videoEmbedSub__banner,\n.hr-lrec",".cmpList__adBlock",".pos-infeed",".adNm",".promoBanner","#bnr2,\n#ysp,\n.ad-frame-fix,\n.heatstrokePromo,\n.rainRadarAd",".ad-text01,\n.pd,\n.rb","#latest_list > .p-ad-list-item + li.p-list-item,\n.dazn_banner,\n.news-top-latest__ad,\n.p-ad-dfp-rec1,\n.p-ad-feature-pr,\n.p-ad-list-item,\n.p-ad-news-txt,\n.p-ad-txt-nowrap,\n.p-ad-txt-wrap,\n[id^=\"ad_dfp\"],\ndiv[class$=\"__ads\"],\ndiv[class^=\"home-ad-\"],\ndiv[class^=\"p-ad-dfp\"],\ndiv[id^=\"dfp_\"]","._popIn_recommend_ad_section_articles,\n.p-topiList__item.py-1,\n.sidebar-ad-rakuten,\ndiv[class^=\"p-ad\"]",".thumbnail-ad","#bnr-block,\n.area-top-banner,\n.gDef-bottom-banner,\n.gDef-side-banner,\n.gDef-top-banner,\n.pr-bannerRect-block,\n.pr-has-two-columns",".sponsor_link",".special.pr","#list > .posts-list-upper-widget,\n#side-fixed > #custom_html-23,\n#side-fixed a[href^=\"//af.moshimo.com/af/c/click?\"],\n#sidebar-2 aside > div.widget_custom_html","td[width=\"840\"][bgcolor=\"#ffffff\"] > span.black_mui12180","#related_area_cce_logly,\n.pre_banner_area","#AdSpecialContents","#area-ad1,\n#snav03 > div[align=\"center\"],\n.mt-3 > div[align=\"center\"],\n.wrapper > div.container > div[align=\"center\"]:not([class]):not([id])","div[id^=\"cr_\"]",".adBanner,\n.banner01,\n.feature,\n.newsWrap > .banner",".field-amazon-product1,\n.field-name-field-amazon-product1,\ndiv[id^=\"block-banner\"]","#contents > div[style^=\"text-align\"][style$=\"center;\"],\n.adsSpRect,\n.head-pickup,\n.youtube,\np > a[href^=\"https://coconala.com/services/\"][rel=\"nofollow\"]","#top_fixed,\ndiv[id^=\"dugaflvplayer\"],\ndiv[id^=\"goods\"],\ntd.none[colspan=\"2\"][valign=\"top\"][align=\"center\"]:only-child","#AttentionArticle","#_popIn_infeed,\n.ad2column,\n.ad2column ~ table[width=\"700\"][cellpadding=\"0\"],\n.page_ad_slot",".c-box-ad-movie--space,\n.c-box-ad:not(:has(a[href$=\"/recruit1/\"]))","div[class^=\"ad_div\"]","#navi,\ndiv[class^=\"AD\"]","#modal_mti,\n.img_banner,\n.sc_banner",".pt-2.col-12[style=\"height: 105px;\"]",".mainSlideAll",".bnr-img[data-original=\"https://deli-fuzoku.jp/assets/img/user/pc/index/bnr_ec.png\"],\n.mod-bnrWrap:last-child","#eqfirst,\n#main > a[href=\"https://shadowverse-evolve.com/\"]:first-child,\n.ently_text > center > a",".inner-widget,\n.rectangle-bn,\n[id^=\"dfng\"][id*=\"jack\"]","#pc_article_billboard,\na[id^=\"dfng_center_banner\"]:not([href^=\"https://news.denfaminicogamer.jp\"])","div[style$=\"min-height:250px;\"]","#dol17_article_recm_pc,\n#gpt-dol-infeed-ranking-text,\n#recommend-you,\n.ad-bannar-floating,\n.article-list > div > article:has(> div.ad-related),\n.banner-sp,\n.kabunushiyutai-ir,\n.pr-icon,\n.pr-icon + .top-article,\n.sub-trend-watch",".pickup",".prcolumn-h,\n.rectangle_ad_recommend_box",".section[style$=\"width:300px;height:600px;\"]",".single_banner",".ad_height",".add_area-center,\n.add_frame",".interstitial_ad","#yahooad_sp","#ad-wall-first-view,\n.col-xs-12.margin-bottom-lg > a[href^=\"https://search.rakuten.co.jp/search/mall/\"][rel=\"nofollow\"],\n.margin-bottom-md > a[target=\"_blank\"][href^=\"https://search.rakuten.co.jp\"]","#sp-link,\n.box-center",".l-sidebar > .widget:has(> .textwidget > p > .adsbygoogle)","#head_box,\n.amazonbox,\n.at_adwbox",".koukoku_middle,\n.osusume_msk_div4,\n.widget-area > div[align=\"center\"]:has(td > a[href^=\"http://www.d-064.com\"])",".autopagerize_page_element > .latest-banner,\n.l-sidebar-b > div.plugin-memo","div[id^=\"imobile_ad_\"]","#sub div.amzimg ~ a[href^=\"http://www.amazon.co.jp\"]","blockquote:has(a[href^=\"https://www.amazon.co.\"])","#sidebar-inner > div:has(> div.right-container-ads),\n.kotei",".footerBnr",".headerBnr","div[id^=\"divSP\"],\nspan[style=\"font-size: x-small;\"],\nspan[style=\"font-size: x-small;\"] ~ hr[size=\"1\"][color]",".plugin-recent_articles_image + div.plugin-memo,\n.plugin-rss:last-child","#more > a[href^=\"https://www.amazon.co.jp/\"]","#extra > div.column-inner > div.column-inner-2 > div.plugin-memo:first-child","#extra > div.column-inner > div.column-inner-2 > div.plugin-memo:last-of-type","#contents_item_base > div[style=\"margin-bottom:10px;\"] > div[align=\"center\"],\n#contents_item_base > table.onlyPCblock + div[style=\"margin-bottom:10px;\"],\n.ad_index_main_base,\n.ad_item_head,\n.contents_right_item > div.onlyPCblock[style=\"margin-bottom:10px;\"]",".news_ad",".adAreaDownload,\n.adAreaHead","#adsense",".article-body + div[style=\"margin: 20px 0;\"]","#main-inner > p,\n.first-article > p","#menu_banner",".bottom-rectangle,\n.ssp_330_fixed,\n.ssp_728_01",".ssp_300_01",".ssp_300_02",".header-area-bn",".site_bottom_banner","#Related_Books,\n#relbooks,\n.rel-box[style=\"margin-bottom:0;height:100px\"]:first-child",".c_adnw",".billboard","#top_koukoku_container","#lokokoku","#press_area","#banner_footer1",".top_banner_7","#top_banner_kokoku_wrap",".mp-Article_Ad",".ll-m-addContainer","section[data-vars-block-curation] > div[class*=\" \"]:has(> .ad-container)",".e__float_try","#sidebar1 > div.widget_text:has(> div > div.center > a[target=\"_blank\"]),\n.su_row","div[class^=\"p-advertisement\"]",".single_right_banner,\n[class*=\"margin-Ad\"]:not(.margin-Ad-B20)","#pc_article_right_1",".sidebar:has(> div > div.plugin-freearea > a[href*=\"e-nls.com/access.php\"])","div[class^=\"article-footer\"][class$=\"-affi\"]","div[style$=\"min-width: 250px; min-height: 300px;\"],\niframe[title=\"Advertisement\"]",".generalListAd","[class*=\"list\" i] > .ss","#agoda,\n#agoda_ads > div[id^=\"adgshp\"],\n#sideBoxRight table[cellpadding=\"0\"][cellspacing=\"0\"][border=\"0\"][style=\" border:1px solid #ccc; width:300px;\"]:not([class]),\n#sideBoxRight table[style*=\"border\"][style*=\" width:\"] a[href*=\"://rpx.a8.net/svt/ejp\"],\n.sidetitle:has(+ .side > div[style] > ins.adsbygoogle),\n.sidetitle:has(+ .side > ins.adsbygoogle),\ndiv[class$=\"ody\"] > div.text table[cellpadding=\"0\"][cellspacing=\"0\"][border=\"0\"][style=\" border:1px solid #ccc; width:300px;\"]:not([class])","div[class*=\"advertisement_sidebar_\"]","div[style^=\"width: 100%; min-height:90px;\"]",".m-articles__side-articles-ranking-list-item[style=\"display: block;\"],\n.p-wide.m-latest-list-item:has(> div[style=\"width: 100%; min-height:152px; margin: 0 auto;\"]),\ndiv[style=\"width: 100%; min-height:100px; margin: 0 auto;\"],\ndiv[style=\"width: 100%; min-height:250px; margin: 0 auto;\"]","#reader_ad_overlay","#dlUnder,\n#mains > .minispace2,\n.pl-lg-3.col-12 > div.custom",".common__adv_overlay","#content a > img[height=\"250\"],\n#content a > img[height=\"300\"],\n#sidebar > div.widget_custom_html:has(+ div#fix_sidebar),\n#sidebar > div.widget_custom_html:has(> div.textwidget > div.p-blogParts > div.ek-linked-block),\n.container > div.swiper-container:has(> div.swiper-wrapper > div.swiper-slide > a[href^=\"https://click.duga.jp/\"] > img),\ndiv[class=\"wp-block-column ek-linked-block\"]:has(> a.editorskit-block-link[href^=\"https://al.dmm.co.jp/?lurl\"])",".entry > div[style=\"padding: 10px; margin-bottom: 10px; border: 5px double #333333; border-radius: 10px;\"],\n.magazine_latest","#sideNavi div.banner:has(> a[href^=\"https://h.accesstrade.net/sp/cc?\"]),\n.adsenceArea",".side-menu:has(a[href^=\"https://adult.contents.fc2.com\"]),\n.side-menu:has(a[href^=\"https://al.dmm.co.jp/\"]),\n.side-menu:has(a[href^=\"https://click.dtiserv2.com\"]),\n.side-menu:has(iframe[src^=\"https://www.mmaaxx.com\"])","#sidebar > .widget:has(> p > .adsbygoogle),\n.entry-wrap--ads",".w-AdSense[style^=\"max-width: 860px;\"],\ndiv[class^=\"col-\"][style^=\"margin-bottom:60px;\"]","#relatedContent,\ndiv[class^=\"adArticle\"]",".my-1",".footerAdOuter,\n.googleAdsense-box,\n.googleAdsense-head-pc","#floating-banner,\n.after-btn-fb-nice-ad-pc",".bn_gpt_box",".css-9wmwr1,\nsection > div[class^=\" css\"]:has(> .ad-disclaimer:first-child + .ad-container:last-child)",".ad-article-rect,\n.articles-v-item:has(> div[id^=\"div-gpt-\"])","#footer-overlay-ad,\n.c-adgrid",".carousel_ad",".story__header-adbox","#top-big-ad,\n.kanren-unit,\n.link-unit-adjust,\n.side-top-ad,\ndiv[class^=\"freebox \"][style^=\"background:#f0ffff;\"],\ndiv[style=\"height:300px;margin-bottom:20px;\"]","#top_banner_left",".advertising-list","#footerAdBanner",".l-sidebar-ads > li:not(:has(> a[href^=\"https://full-count.jp\"])),\n.l-sidebar-ads-top,\n.s-entry-ads,\na[href^=\"https://tp-bb.jp/\"],\na[id^=\"c2_click\"][id*=\"did_article\"]",".ad-rectangle-right,\n.m-ad-rectangle,\n.r-ad-rectangle","._popIn_recommend_header","div[style*=\"min-height:280px;\"],\ndiv[style=\"min-height: 100px;\"]","#ad3","#top > div[style=\"padding:25px 10px;\"],\n.contentTitle.ui-bar-gray:has(+ .table-b > .rank[class*=\"-list\"]),\n.contentTitle.ui-bar-gray:has(+ .table-b > .recipe-side-img-area),\n.full.main > div[style=\"text-align:center;\"],\n.google-ad-area,\n.listAds,\n.realestate-memory-box,\n.table-b:has(> .rank[class*=\"-list\"]),\n.table-b:has(> .recipe-side-img-area),\ndiv[style=\"margin-top:10px; margin-bottom:30px;text-align:center;display:inline-block;\"],\ndiv[style=\"padding:25px 10px;display:inline-block;\"]","#g8-ad-placement-pc_side_head,\n.l-billboard_container,\n.l-jack__top_container,\n.track_mario,\na[data-track-nier-keyword=\"pc_stores_banner\"],\ndiv[id^=\"g8-ad-placement\"],\ndiv[style=\"margin: 30px 10px 10px\"] > h2.a-header--2:has(+ div[id^=\"g8-ad-placement\"]),\nheader ~ .c-richlp__wrapper",".footer__banners,\n.sidebar__section--ads,\n.takeover","#contents-main > section > div[style=\"text-align:center;\"] > div[style=\"text-align:center;\"]","#block-16,\n#sidebar-right","div[style=\"width:400px; height:290px; background-color:#fff;\"]",".banner_area_300,\n.banner_area_728","a[id$=\"-banner\"]",".trvdp-box",".ad_toppage_top","iframe[id^=\"IFTG\"]",".ad-article-middle,\n.ad-toc-bottom,\n.moko-ad",".side_recomend_trac,\n.taboola-recommend-span",".itx-widget","#ad_above_comment_html","#ad-jack,\n.ad-pc-footer,\n.bbs-ad-content,\n.c-rectangle-ad-wrap,\n.review_amazon_ranking_container,\n.review_amazon_ranking_title,\n.walkthrough-ad-ranking-game,\n.walkthrough-hikari > div._area > a:not([href*=\"gamewith.co.jp/\"]),\ndiv[class$=\"adWrapper\"]",".superBnrBox",".p-banner-wrap","#HTML16,\n#home-ad-top1,\n.adiframe-wrapper-post-bottom,\n.adimage-wrapper-sidebar",".home_secondry_feature_bnr_ul > li.large",".side-widget-area","#PC_SP_NEWS_D_GROUP,\n.PC_NEWS_D_PC_ONLY","div > div > p[style=\"margin:0; text-align:center;\"],\ndiv[style$=\"0; float:left;\"] > p[style=\"margin: auto; text-align:center;\"]","#ccw_sp_article_header_wrapper","#jp_gn_resp_article_inarticle_fundo,\n#pc_all_left_1st,\n.bal_insert_ad,\n.custom-html-widget > center > a[target=\"_blank\"] > img,\ndiv[id^=\"resp_\"]",".ad-pc-top,\ndiv[id^=\"jp_cgn_\"]",".m-listitem--ad",".game_info:has(> .game_amazon),\n.gc_ad","#gz-recommendedBottom-outerAd,\n.bnL,\n.gz-entryDetail-footerItem,\n.s-body-ad,\n.s-body-ad-wrapper,\ndiv[id^=\"article-inner-cxad-\"]",".araklet",".inner-buy-box","#other,\n.a-img_add_header",".one_banner",".adClear",".ad_comment,\n.similar_ad",".advert","#async-ad_line3,\n.adlinefoot,\n.bnrBox01",".newentry_in > li.cf:not(:has(> a))","iframe[src^=\"https://proto2ad.durasite.net/\"]","section[class^=\"LinkBannerWrapper\"]",".prt-ad-banner","div[class^=\"_taxel_ad_article\"]",".tp-backdrop,\n.tp-modal","#advertising",".kokoku-area",".bl_main__add",".footbnr",".content5:has(#top_banner_7_list)",".sec_12:has(> div.wrap > div.kk_banner)","#gt_sp_all_footer,\n#gt_sp_all_header",".mainbody-ad-top,\ntable[width=\"750\"][height^=\"3\"]","#ads336,\n#adsense-content-unit,\n#h-superbanner,\n#main-contents > article.post-box.dnm,\n.parallel,\n.widget-right.widget_sp_image:not(#widget_sp_image-60),\n.widget-right.widget_text:has(a[href^=\"https://www.amazon.co.jp\"])",".wp-block-stk-plugin-cbox-notitle","a[target=\"_blank\"][rel^=\"nofollow\"][href*=\"ad\"]",".oAdBannerWithText,\n.oGoogleAdSpQuestions300x250",".ad-in-entry-block","#bottom-editarea","#my-footer > div[style=\"text-align:center\"]",".size_b12","#adFooter,\n#entryBottomAd",".p-article__adTop",".adsense-middle",".stickyFooter",".box-header",".box-top","#secondary > .widget_sp_image","#bottom_bnr,\ntd[width=\"787\"]",".alignce > p",".adPCDoubleWrap,\ndiv[class^=\"ad\"][class*=\"Rectangle\"]",".sideAD","#sidebar2 a[href^=\"/adv/ba.php\"]",".fixed-ad-wrap",".top-footer-banner",".kokokuMod",".content6_wrap",".article__contents > p:last-child:has(> .adsbygoogle),\n.sideCustomBlock__inr > .sideChoiceBlock:has(> .sideChoiceBlock__inr > .sideChoiceBlock__list > a.banner__link)","#st_custom_html_widget-149",".ad-sub","#side > div.sidewrapper[style^=\"width: 218px; margin-bottom: 0px; position:\"] a[target=\"_blank\"] > img,\n.abanner,\n.entrybody > blockquote:has(> .amazon),\nbody .abox","div.bg-white.text-center",".shitennoji-banner-js,\n.shitennoji-big-banner,\n.top_recent_article[style=\"display:block;\"],\ndiv[class*=\"adsense\"]","#admokuji",".media-ad",".c-article-ad","div[id$=\"_DFP\"]",".inread-banner",".amz-outline,\n.koruri.brown-link,\n.widget_fleximag_responsive_image_ad,\nins.adsbygoogle",".ad-right-rail-native-ad,\n.entry__right-rail-width-placeholder,\n.leaderboard-flex-placeholder,\n.right-rail-sticky__native-ad-container",".VcAdvertisement,\n.wp-block-ve-advertising",".tag_300,\n.tag_468,\n.tag_728,\n.tag_dummy","#topsadbg","#top_koukoku_banner",".banner-wp","#_popIn_recommend_top_1 + br + .bnrs.w340,\n.l-ad3,\n.textad_box",".adsence_sp",".post-box-ad",".c-ads-box","[class*=\"-chumoku\"]",".floating-banner",".brick-ads,\n.brick:last-child:has(> div.items-scrolling > ul.items-goods > li > p > a.ga-buy)",".add01","div[style=\"margin-top:7px; height: 260px;\"]","#banner_pr,\n#jack_wrapper > div[id^=\"jack\"],\n.app_banner > a:not([href^=\"https://iphone-mania.jp/\"]),\n.fluxoverlay__wrapper,\n.pr_single_txt,\n.search + div#sidebar_right_menu,\n.single_pr_ad_all","div[id][style=\"height:250px; width:300px;\"]","body .ad-block",".--wid.m-article-3colm:last-child:has(> div.m-article-3colm-list > div.ad-block),\n.ad-article-bottom-rectangle,\ndiv[style=\"min-height:150px;\"]",".billbord,\n.web-advertising",".aBnr","#top_koukoku_wrap","#randomad",".bnrContent",".ab-ad-area",".article-body-more > br ~ div[style]:has(> div > a[href^=\"https://amzn.to/\"])",".post-group > div.flex-row-center:has(+ div[data-gmoad]),\ndiv[style^=\"margin: 0px; padding: 0px; border: 0px; z-index: 999; position: fixed;\"]",".ads_wraptop2",".adsmain,\np[class^=\"adsn\"]",".p-adsense-in-list,\n.p-adsense-list-right-column-high-block,\n.p-custom-search-ad,\n.u-margin-xl-t > .u-margin-m-b[style^=\"height: 300px;\"]",".archive__item,\n.articleList__item:has(> div[id^=\"_popIn_infeed\"]),\n.article__ads",".mainColumnBannerArea","td[align=\"center\"][height=\"250\"]",".--pr,\ndiv[class^=\"dfp-\"]",".ad-col2","div[style=\"min-height:280px;margin-bottom:25px;\"]","#side > div.sideContents > div.amzimg,\n.entry:has(#gInactiveAdContainer),\n.top-ad__wrapper--center","#block-17,\n#media_image-8,\n.sideCustomBanner",".cmn-summary-1:has(> div[id^=\"div-gpt-\"])",".pr_area",".bg-ash-200[style=\"height: 94px;\"],\ndiv[style=\"clear:both;height:90px;\"],\ndiv[style=\"clear:both;overflow:hidden;max-height:90px;min-height:90px;\"]",".justify-center.pt-6.pb-22:has(> div[id^=\"div-gpt-ad-\"])",".bgkokoku","#content > div[style=\"margin:0px auto 4em auto;width:100%;height:auto;\"],\n.l-mainContent__inner > div.post_content > center,\n.w-beforeRelated","#header1 > div[style=\"float:right;font-size:14px;line-height:16px;margin-right:10px;\"],\n#kakijun_books,\n.gadcenter","div[class^=\" Gap_size\"] > div[class^=\"Layout_\"]:has(> div[class^=\"Ad_ad_\"]),\ndiv[class^=\"widget-ad-\"],\ndiv[id^=\"work-ad-\"]","#ad_right_bar_top,\n#pc-overlay-base,\ndiv[id^=\"overlay_ad_\"]",".right-col > .side-multiline-html-area:has(img[src*=\"/banner_\"])","#main.contents div[class^=\"section_\"]:has(img[src^=\"/www/banner/images\"][src$=\".gif\"])",".m-bnr-inner","div[id^=\"bnAdvertisement\"]","#unit-159518","#block-top-billboard-1st,\n.blk-bnr02,\n.list-ranking01-bottom,\n.top-head-bnr",".entry-footer-html > div.entry-footer-html",".borderTop.pr.list_carousel",".ct-ad-wrap","#article-list > li:has(> div > iframe[width=\"300px\"][height=\"250px\"]),\n.list-group-item:has(> .pr),\n[class*=\"-ads\"],\ndiv[style=\"min-height: 256px;\"]","div[style=\"min-height: 280px;\"]",".book-tiles","#footer_adbanner,\n.adLandscape,\n.adResponsiveDisplay","#top_banner_koukoku",".sdr-banner","article[data-clarity-region=\"article\"] > center","#myPaymentModal,\ndiv[class$=\"iframe-ad\"],\ndiv[class$=\"word-ad\"]",".adbox_pc",".l-main > div#category_list + section.l-section",".ban.r_menu","#adinfo","#top_kokoku","#side-kp-bnr-area1","#postAds_Wrap","#page_article_area > ul > li:has(> div[id^=\"div-gpt-\"])","div[class^=\"ad_area\"]","#geniee_overlay,\n.p-article-container__main > div[style=\"display: flex; justify-content: center;\"] > a[style=\"width: 100%;\"],\n.u-bg-dgray.c-section",".single_bnr_wrap",".rectangle_wrap",".meta_candy_description p[style=\"text-align: center;\"] > strong",".add-container,\n.box:first-child","#top_banner_kokoku",".recipe--detail-bannerarea,\n.side--banner-app,\n.side--logly","table[style=\"border:1px solid gray;\"][width=\"320\"][height=\"562\"],\ntable[style=\"border:1px solid gray;\"][width=\"610\"][height=\"450\"]","#ttop_prZ,\ntable[style=\"border:1px solid gray;\"][width=\"610\"][height=\"440\"],\ntd[colspan=\"3\"][valign=\"top\"] > table[style=\"width:950; height:270; border:1px solid gray;\"]",".page-body-side > div.ad-unit:first-child,\ndiv[style^=\"position:fixed;bottom:0;left:0;right:0;width:100%;background:\"]","#main_head_ad,\n.plugin-memo > div.side > div.amzimg,\n.plugin-memo:has(> div.side > a[name=\"amazletlink\"]),\n.plugin-memo:has(> div.side > center > a[name=\"amazletlink\"]),\n.plugin-memo:has(> div.side > div.amazlet-box)",".amazon01 + div[style=\"border:1px solid #1c7db3;margin:50px 0 10px;\"],\n.article_inline_ad_more,\n.top-article-ad","#side_l > aside > div.sidetitlebody:first-child,\n.popup_wrap",".article-body > div.rec-title,\n.article-body > div:not([class]) > a[href^=\"https://amzn.to\"][target=\"_blank\"],\n.salebox,\ndiv[style=\"border: 5px solid #008b8b;  box-shadow:0px 0px 5px; border-radius:8px; margin:5px 7px 15px 7px;\"],\ndiv[style=\"text-align:center; font-size:12px;\"]",".article-body-inner > table:has(> tbody div[class^=\"google-user-ad-\"])",".age,\n.kanren > dl.clearfix:has(a[href^=\"https://leaked.jp/1\"]),\n.kanren > dl.clearfix:has(a[href^=\"https://leaked.jp/d\"]),\n.kanren > dl.clearfix:has(a[href^=\"https://leaked.jp/f\"]),\n.kanren > dl.clearfix:has(a[href^=\"https://leaked.jp/k\"]),\n.kanren > dl.clearfix:has(a[href^=\"https://leaked.jp/smuc\"]),\n.st-labelbox,\n.st-mcbtn-box",".st-BottomBanner-top",".home-p-ads",".pr_banner",".bun-bannerpublicityBox2","#tmp_idx_publicity",".ItemList_Banner","#fixedAdv,\n.banner-sec",".rs_skip","#banner-advertisement",".p-topAd",".boxSideBnrArea","#top_kokoku_bg",".advertising-area",".top_banner8,\n.top_banner9",".footer_banner",".koukoku-area","#tmp_rnavi_bnr,\n.sec_related",".banner_area","div.slide_link + div.wrap > div.aside",".banner2Mod > #randomBanner,\n.banner2Mod > #randomBanner + .list,\n.banner2Mod > #randomBanner + .list + .link","#tmp_advert_items,\n#tmp_banner_ads","#top_banner_7",".k-koukoku","#sadwrap",".kokoku_wp","#float_banner","#tmp_banner",".under-banner","#bnr_content","#BannerArea","#koukoku","#banner-pr",".top_sec03_r_box:has(> div > script[src=\"/js/banner.js\"])","#banners","#frame-banner-advertisement","#banner_frame","#adbanner","#fBanArea",".kokoku_n_wp",".kokoku-sec",".section-advertise","#aside_banner","#top_koukoku",".bnr_area",".container06_wp,\n.kokokubg","#top_banner_footer",".Item_List_adspace","#FooterPane > div.ItemList_Standard","#FooterPane > div.Item_normal",".tkokoku","#adBanner","#sponsor_banner",".class_area18.ng-tns-c168-0","#adBannerArea",".block-banner","#top_banner_wrap",".kokoku-wp",".Item_tf_koukoku","li[id^=\"native-\"]",".bfapickup","[class][data-ranking=\"amazon\"],\na[class^=\"articles_pArticles_HeroLink\"]:not([href]),\ndiv[class*=\"bodyAd_BillboardAd\"],\ndiv[class^=\"article_pArticle_Embed\"],\ndiv[class^=\"articles_pArticles_List_\"] > a:not([href]),\ndiv[class^=\"bodyAd_\"],\ndiv[class^=\"cxenseAd_\"],\ndiv[class^=\"ownedMediaAd\"],\ndiv[class^=\"styles_pBanner_\"],\ndiv[class^=\"styles_sBanner__\"]","#js-Columns-col-inner > div[style=\"min-height: 160px;\"],\n.Columns-col--size300 > div[m-section=\"top:large\"]:has(> script),\nli[id^=\"js-rankingIdeasAds\"]",".google-user-ad","#YDNA,\n#YDNB,\n#ad_tsuibi_1,\n#ad_tsuibi_2,\n#article-options > div.inline-block_2,\n#container > center > table > tbody > tr > td > a[href*=\"dmm.co.jp/\"],\n#content-inner2 > a[href^=\"https://affiliate.suruga-ya.jp\"],\n#fixR,\n#links_left div.plugin-memo:has(> div.side > table a[href^=\"https://al.dmm.co.jp\"]),\n#linksbody > div.plugin-memo:has(> div.side > div > small > a[href^=\"https://www.amazon.co.jp/dp/\"][target=\"_blank\"]),\n#linksbody > div[align=\"left\"]:has(> a[href^=\"https://www.amazon.co.jp\"][target=\"_blank\"]),\n#main > div.column-inner > div.column-inner-2 > a[href^=\"http://www.dlsite.com/maniax/dlaf/\"],\n#more > a[href^=\"https://www.amazon.co.jp\"][target=\"_blank\"],\n#pickrightcon > .right-container-ads,\n#random-product-container,\n#sidecolumnbody > a[href^=\"https://hb.afl.rakuten.co.jp/ichiba/\"],\n#sub > div.column-inner > div.column-inner-2 > a[href^=\"http://www.amazon.co.jp/\"],\n#sub > div.column-inner > div.column-inner-2 > a[href^=\"https://amzn.to\"],\n#sub div[style=\"margin:0;padding:5px;font-size:12px;word-break: break-all;\"] > a[href*=\"dmm.co\"][target=\"_blank\"],\n#third > a[href*=\"dlsite.com/maniax/dlaf/\"],\n.LargeImage.amazon,\n.MediumImage.amazon,\n.adArea2,\n.adArea3,\n.admore,\n.adplace,\n.ads_more ~ .article-main2 > div[style^=\"margin: 60px\"][style*=\"#fff\"],\n.adsencewaku,\n.adsencewaku2,\n.afi-style1,\n.amasoner,\n.article ~ a[href^=\"http://www.amazon.co.jp/exec/obidos\"],\n.article-body > div.inline-block_3,\n.article-body-inner > a[href^=\"https://affiliate.suruga-ya.jp\"][rel=\"nofollow\"] > img,\n.article-body-inner > a[href^=\"https://px.a8.net/svt/ejp\"],\n.article-body-inner > a[href^=\"https://px.a8.net/svt/ejp\"] ~ img[src^=\"https://images-na.ssl-images-amazon.com/images/I/\"],\n.article-body-inner > br + a[href^=\"https://www.amazon.co.jp/\"][target=\"_blank\"],\n.article-body-inner > div > table[style=\" border:1px solid #ccc; width:150px;\"],\n.article-body-inner > div#more > a[rel=\"noopener sponsored\"][href^=\"https://www.dlsite.com/maniax/dlaf/\"],\n.article-body-inner > div.article-body-more + p[style=\"”font-size:5pt;\"] + center,\n.article-body-inner > table[cellpadding=\"0\"] > tbody > tr > td > div[style=\"border:1px solid #000000;background-color:#FFFFFF;margin:0px;padding-top:6px;text-align:center;overflow:auto;\"],\n.article-body-inner > table[height=\"250\"][width=\"700\"],\n.article-body-inner > table[style=\"color:darkblue; background-color: #FFFFFF\"][width$=\"570\"][border=\"1\"],\n.article-body-more > a[href^=\"https://al.dmm.co.jp\"][target=\"_blank\"],\n.article-body-more > b > strong > a[href^=\"https://al.dmm.co.jp\"],\n.article-body-more > div > a[href^=\"https://al.dmm.co.jp\"][target=\"_blank\"],\n.article-body-more table:has(> tbody > tr > td > link[href^=\"https://pdn.adingo.jp/\"]),\n.article-footer + div[style=\"font-size:16px;font-weight: bold;margin:10px 0 10px 0;\"],\n.article-outer-3 > div.article-body > a[href^=\"//ck.jp.ap.valuecommerce.com/servlet/referral\"][target=\"_blank\"],\n.article-outer-3 > div.inline-block_1,\n.article-outer-3 a[href^=\"https://www.amazon.co.\"][target=\"_blank\"][rel=\"nofollow\"],\n.article-outer-3 div.article-body-more [style] a[href^=\"https://www.dlsite.com/\"][rel$=\"sponsored\"],\n.article-outer-3 div.article-body-more a[href^=\"https://affiliate.suruga-ya.jp/modules/af/af_jump.php\"][rel=\"nofollow\"],\n.article-outer-3 div.article-body-more a[href^=\"https://al.dmm.co.jp/\"] > img.pict,\n.azlink-box,\n.blogbody > div.main > table[width=\"500\"]:not([height]) a[href^=\"https://www.dmm.co.jp\"],\n.column-inner-2 > a[href^=\"https://www.amazon.co.jp/\"][target=\"_blank\"] > img[src^=\"//ws-fe.amazon-adsystem.com\"],\n.column-inner-2 > div[style=\"margin:0;padding:5px;font-size:12px;word-break: break-all;\"] > a[href^=\"http://www.dmm.co.jp\"],\n.column-inner-2 > div[style=\"margin:0;padding:5px;font-size:12px;word-break: break-all;\"] > a[href^=\"http://www.dmm.co.jp\"] + p[style=\"margin:5px 0 0 0;padding:0;color:#8c8c8c;font-size:10px;\"],\n.fluct-2ad,\n.google-user-ad-bottom,\n.kiji .menu_cont3[style=\"text-align:center\"] > table[width=\"100%\"][border=\"\"],\n.kiji .menu_title3:has(+ .menu_cont3[style=\"text-align:center\"] > table[width=\"100%\"][border=\"\"]),\n.kiji > .article_main > div.krb-amzlt-box,\n.kijiadleft2,\n.kijinakakoukoku,\n.kiziue > div.random-content[style],\n.left-container > .left-column-inner > center,\n.left-container > div.plugin-memo:has(> div.side > div.amakuri-undertext),\n.plugin-memo > div.side > a[href=\"http://game-news.biz/pc/sumato/god_game/\"],\n.plugin-memo > div.side > a[href^=\"http://v-fox.net\"],\n.plugin-memo > div.side > div.g-rank,\n.plugin-memo > div.side > div[align=\"center\"] > small > a[href^=\"https://www.amazon.co.jp/dp/\"],\n.plugin-memo > div.side > table[border=\"0\"] > tbody > tr > td > div[style$=\"width:280px;margin:0px;padding:5px;text-align:center;overflow:hidden;\"],\n.plugin-memo:has(> div.side > a[href^=\"//ck.jp.ap.valuecommerce.com\"]),\n.plugin-memo:has(> div.side > a[href^=\"http://hb.afl.rakuten.co.jp/hgc/\"][target=\"_blank\"]),\n.plugin-memo:has(> div.side > a[href^=\"http://www.e-nls.com/access.php\"][target=\"_blank\"] > img),\n.popularArticleWithImage > div > a[href^=\"https://www.mgstage.com/product/\"],\n.right-column-inner > a[href^=\"http://www.dmm.co.jp/netgame_\"][target=\"_blank\"],\n.right-container > table[style=\"color:darkblue; background-color: #FFFFFF\"][width$=\"305\"][border=\"1\"],\n.right-container-ads > a[target=\"_blank\"],\n.sponsor_side_body,\n.t_b > div > a[href^=\"https://al.dmm.co\"],\n.t_b > div[style=\"margin:0;padding:5px;font-size:12px;word-break: break-all;\"] > p[style=\"margin:5px 0 0 0;padding:0;color:#c00;font-weight:bold;\"],\n.t_b ~ a[href^=\"https://www.amazon.co.jp\"],\n.t_b ~ div > a[href^=\"https://al.dmm.co\"],\n.t_b ~ div > a[href^=\"https://www.amazon.co.jp\"],\n.t_b ~ div[style=\"margin:0;padding:5px;font-size:12px;word-break: break-all;\"] > p[style=\"margin:5px 0 0 0;padding:0;color:#c00;font-weight:bold;\"],\n.yms-user-ad,\na[href*=\"ad-feed.com/link/click\"],\na[href*=\"ad-nex.com/link.php?\"],\na[href*=\"https://makoto-store.com/adwords/\"],\na[href=\"https://xn--nckya3f3d.com/htaikenn\"],\na[href^=\"http://sma-p.com/link.php\"],\na[href^=\"http://sp.pun-c.jp/\"],\na[href^=\"http://www.corelive-s.com/\"],\ncenter > table[width=\"600\"][height=\"300\"][bgcolor=\"#778899\"],\ndiv[class^=\"article-body\"] > dt.net[id] > span[style=\"background-color: rgb(255, 255, 255); font-size: 68.75%;\"] > div[style$=\"word-break: break-all;\"],\ndiv[id^=\"im-\"] + br + div.main-container-ads,\nth > a[href^=\"https://www.dlsite.com/maniax/dlaf/\"] > img.pict,\ntr > th > a[href^=\"https://al.dmm.co.jp\"][target=\"_blank\"]","#headlineBanner,\n.bannerRectangle","div[style$=\"height:90px; text-align:center\"]","#billboard,\n#bottom-banner,\n#post_content_banner","#header-banner","#top-footer-banner",".fbnr-area,\n.pr-txt-area,\n.top-fbnr-area","body .contents_ad",".bnrArea,\n.connection-post-ad,\n.new-post-advertisement","section[class*=\"posts-ad\"]",".ranking-item[data-rank=\"PR\"]",".AdsWidth","#bodyFrame > span[style=\"font-size:small;color:#939393;\"]","#undrep_category_block",".articleShow__nativeAd",".p-rotation-banner,\n.p-sub-banners",".freebox,\n.side-topad > .widget_text",".modfortuneSign","aside > div[style^=\"min-height\"]",".module-ad:has(> div.module-ad__item > div[id^=\"mn\"]),\n.module-ad__item,\ndiv[id^=\"mn\"]",".module-ad-header,\n.module-list-articles__ad",".kanren-under-ad-title,\n.more-ad-title",".ads_336,\n.ads_336x280","#index-remarkable,\n.ad-bnr-w300h250,\n.container + div.container.column-2.print-nodisp,\n.container-ad,\n.title-ad-sp,\naside[class^=\"ad-\"],\ndiv[id^=\"ad-pc-channel-infeed_\"]",".ad-infeed",".ad-super-banner-bottom","#bottomBanner",".p-article-middle-ad,\n.subarea-ad",".adarea01",".recommend_list > ul > li.cf:has(i.pr)","div[class^=\"Article_ad__\"]",".ad-fb,\n.ad-microad,\n.ad-rec,\n.ad_label_text,\n.article__inner > .ad_text + aside[style^=\"width:\"],\ndiv[style=\"width:300px;height:600px;\"]","div[class^=\"article\"] > div.mgnT60.mgnB60",".l-superbanner","aside[id^=\"mc_widget_\"]","#col_content > div.footer_content:has(> div.ads)","#footeradv,\n.pc_header_bottom_adv",".adv_bottom","#wide_scraper",".c-adBanner,\n.c-adBottomOverlay,\n.c-adDisplay,\n.p-topArticleList__item--ad",".ad-trend-topic-more-photo","div[style=\"height:90px; width:728px;\"]","div[style^=\"height:250px; width:300px\"]",".vc_widget_sidebar","form[action=\"https://www.google.co.jp/search\"] + div.row",".ext_text","#gads_p_bottom,\n#gads_p_top",".logly-lift-ad:last-child",".inarticle-ad,\n.post-foot-ad",".box[style=\"min-height:900px\"]","[id^=\"gtm-\"]","#sidebar,\n.post_content > div.swell-block-button + h4.wp-block-heading + p,\n.swell-block-button:has(> a[href^=\"https://live.fc2.com/adult/?afid\"]),\n.w-frontBottom,\n.wp-block-latest-posts + div.wp-block-image.u-mb-ctrl,\n.wp-block-latest-posts + div.wp-block-image.u-mb-ctrl + p.has-text-align-center,\nh4.wp-block-heading:has(+ div.pcolle-parts),\nh4.wp-block-heading:has(+ p + center)",".p-toppage__koukoku",".AdBnrList",".u",".orange",".articleRankingBlock__link[href^=\"https://k.zucks.net/\"]",".adsense-related-box,\n.txt_ad","#ad1201_wrapper,\n#stock_header_contents > div[class=\"min-h-[120px]\"],\n.h120p,\n.min-h-\\[316px\\].max-w-\\[300px\\],\ndiv[id^=\"v-ad-hide\"]",".l-side_section:first-child","div[class^=\"ad_hide\"]",".admodal",".comarea",".ad_hide,\n.pageCon_ad","div[data-controller=\"advertisement\"]","#layout > div#layout + div > div.relative,\n.max-w-xs.my-2\\.5.min-h-\\[146px\\]",".mod-adsenseSearch,\n.mod-listRanking-list__ad,\n.mod-section > .tx-ac > a[target=\"_blank\"],\n.mod-section > h2.mod-title1:has(+ .tx-ac > a[target=\"_blank\"]),\ndiv[class^=\"mod-jyukuSearchAd\"]",".ads300\\*250,\n.ads730,\n.thumbnail-list > li:is(:has(> div[id^=\"div-gpt-ad-\"]), :has(> .ads))","#_popIn_recommend + #related2,\n#_popIn_recommend2,\n.my_adslot_top2_div",".footer > div[style=\"\"]","#footer-widget-left",".COMMUNITY_bodyArea__subArea > .adBanner:first-child + .COMMUNITY_rightAreaBox",".NEWS_recentTopicsList__itemAd",".side-add",".advertise_inner","#top_photo_banner",".bnrWOut","p[style=\"”font-size:5pt;\"] + center","#article-follow-sidebar > aside.uqmobile-recommend_box,\n.ad_bk-news_rakuten-mobile_recommend,\n.head_unique_btn,\n.header-follow-linecv","#advarea",".css-6a6dbz","table[style$=\"width: 300px;\"]","div[id^=\"ad_pos\"]",".newItemList > li:has(> ins.adsbygoogle),\n.newItemList > li[style=\"flex-basis: 100%; background-color: white;\"]","li.mb10:has(script.optanon-category-ad)",".header-widget",".pickupBlock,\n.specialBlock",".a-external-banner--rectangle,\ndiv[class^=\"m-external-banner\"]",".pcbill,\n.widget-content-top,\n.widget-sidebar-standard:has(> div > div.squareb)","#adarea_banner,\n#newrelease_adBox,\n.jack,\n.page_adArea,\n.rect_box,\n.topRank_adBox_resp,\n.top_ad,\n.top_adBox,\ndiv[class^=\"special_adBox\"]","#sidemenu > dl.sidemenu_body:first-child,\n#sidemenu > span:first-child,\n.entry_body > p.ichiran,\n.fc2_footer + br + span",".ad-management:not([data-key=\"default__single__main_after\"])",".box-advertise,\n.box-detail__ads,\n.box-reviewerad,\n.innerAD",".bl_adSPWrap,\ndiv[style^=\"margin: 20px 0;\"],\ndiv[style^=\"padding-top:10px;  padding-bottom: 10px\"][style*=\"min-height\"],\ndiv[style^=\"padding-top:10px; padding-bottom: 10px; text-align: center; min-height: 270px\"]","#ads-w,\ndiv[style=\"width:100%;text-align:right;margin-top:20px;margin-bottom:4px;\"]",".bnr li:has([alt*=\"[PR]\"])",".dti_ad",".dsp-in-block,\n.p-recommendedArticle",".entry-content-wrapper > div.avia-builder-widget-area",".ad-bg-1,\n.categories-advertisements,\n.news-articles-show-footer > div.-h3:has(+ div[id^=\"logly-\"]),\ndiv[style=\"min-height: 100px; margin: 20px auto; text-align: center;\"]","#inc_rakuten_shopping,\n#inc_yahoo_shopping",".ad-footer-box,\narticle[id^=\"related-post-ad\"]",".rect",".articleBnr_ydn,\n.articleList-along,\n.articleList-attention,\n.articleSns ~ .articleBnr_list,\n.box-warp > a[href^=\"//ck.jp.ap.valuecommerce.com/servlet/referral\"],\n.c-sideBanner,\n.c-sideBanner_articleBottom,\n.c-sidePickup,\n.follow_cv_eye-catcher,\n.headerBillboard","#osn_pc_article_underlist",".is-banner:not(#shindan_top_sns_area),\n.is-recommended,\n.is-recommended + section.p-aside-section,\n.is-side-sponsored,\n.is-sponsored,\n.l-main > .p-aside-section:has(> div > div > div > div[id^=\"div-gpt-\"])","#submenubar,\n.google3","div[class^=\"top_kokoku_\"]","#c_bnr","#ad-side_top,\n.lo-main > aside:last-child","#adblock_guide_mask,\n.adblock_guide_box","[class^=\"magazine_pr_\"]","#ad_clickcount_pitcure,\ndiv[style=\"margin:10px 0\"] > a[href*=\"utm_medium=text\"]",".ItemList_Advertising","ad[content-type=\"adsbygoogle\"],\ndiv[style=\"clear:both;padding-top:1em;text-align:center;\"]","div[class^=\"napbiz_ad\"]",".big_banner,\n.kyosan_content","[id^=\"div-M_MD_inf_fluid_\"],\nsection > div.bannar_area:only-child","[id^=\"div-M_MD_gtx_fluid_\"],\ndiv[style=\"min-height:300px;\"]",".ppg-panel__item:has(> div.ppg-panel-figure > div.ppg-panel-figure__inner > div.ppg-panel-figure__image--ad),\n.text_c[style=\"height: 50px;\"],\ndiv[style=\"min-height: 600px;\"]","div[style=\"min-height: 300px;\"]","#spNonDispSuperBannerArea","div[id^=\"div-M_MD_kiji_fluid_\"]","#h_bar,\n#join-bnr,\n#pr-link,\n.bl-top-square","#s_salon > div[style^=\"width:calc(\"]",".indexContents > div.indexContentsright:has(> div#googleadd)","#mobile_top_bnr,\n.biglobeBanner,\n.post-top-banner","#SPbanner,\n#gadsOverlayUnit,\n.inarticle-recommend,\n.news-cpl",".popin,\n.recommend-posts,\n.sidebar-ad + .sidebar-hr","#googleTop","div[id*=\"Advertisement\"]",".lottery-result-ad",".site-promo > div.site-promo",".ad_rectangle_article,\n.ad_rectangle_article_outer,\n.recommended_top",".is-ad.has-bg,\ndiv[style=\"min-height:140px;display:flex;justify-content:center;align-items:center;text-align:center;\"]","#smt_rec_dcmatch_1,\n.ad_bnr,\n.dgame",".ad200x200,\ndiv[class^=\"adbox_\"]","body > div[align=\"center\"] > table[border=\"0\"][cellpadding=\"1\"][cellspacing=\"0\"][width=\"700\"]",".list_row3_ad_2column",".ad-horizontal-wrapper,\n.game-ad,\n.game-ad-bottom,\n.game-list-ad","div[class^=\"ad-jack\"],\ndiv[class^=\"adInfeed\"],\ndiv[class^=\"adMiddleRectangle\"],\ndiv[class^=\"adRecommend_\"]",".NR-ad,\n.NR-pr",".ads_h250,\n.ads_h253","#mod-freearea-main:has([id^=\"gooad-\"]),\n.article__banner,\n.mod-entry-set-goo-ad,\nbody > div[style^=\"height: 70px; position: fixed; z-index:\"]","#lnavi_site-cross,\n#map-areamatch_wide,\n.shopinfo_ads",".gn-partition.sp-padding15,\ndiv[class^=\"gooad_\"]","#gheader,\n.sponcer,\ndiv[style^=\"margin:20px\"][class=\"clearfix\"]",".addArea","#sticky_adsense,\n.main-ranking > dd > ul > li:has(> div.NR-ad),\ndd > ul > li:has(> div.NR-ad-ranking)",".l-browsi","#sj_side-banner,\ndiv.clearfix[style^=\"margin-top:20px;min-height:2\"],\ndiv[style=\"margin-top:20px;min-height:250px;\"],\ndiv[style=\"margin: 1em 0 0; min-height: 90px; display: flex; justify-content: center; align-items: center;\"]","div[class^=\"entry-ad-\"]","#entry-comment-footer-ad,\n#entrylist-ad-right-top,\n.centerarticle-aside-ad,\n.comment-header-ad,\n[class^=\"entrylist-ad-\"],\nsection[id^=\"btop-curation\"]",".ad-edit-done-wrapper","#touch-footer-ad-placeholder,\n.sidebar-banner,\ndiv[id^=\"google_afc_\"],\ndiv[id^=\"touch-\"][id$=\"rectangle\"]","td[height=\"112\"][align=\"center\"],\ntd[height=\"126\"][align=\"center\"],\ntd[height=\"400\"][align=\"center\"],\ntd[height=\"640\"][align=\"center\"],\ntd[width=\"735\"],\ntd[width=\"75\"][height=\"35\"][align=\"right\"]","body > center > table[cellspacing=\"3\"] > tbody > tr:last-child,\ntable[width=\"145\"][border=\"1\"]",".c-box.ad",".s-banner-top,\n.s-flux-bottom","td[width=\"790\"][valign=\"top\"] > font[size=\"1\"]","#pr","#ffb_content",".contents_left,\n.contents_right","#mainLeft[style^=\"overflow: hidden; height\"],\n.t_sidebar_amazon","ul[class^=\"cmn-bnr-ad-list\"]","p > table[width=\"10%\"][cellspacing=\"10\"] > tbody > tr > td[valign=\"top\"] > div[align=\"center\"] > font[size=\"-1\"],\ntd[width=\"100%\"][valign=\"top\"][nowrap][bgcolor=\"#B0BCFF\"] > div[align=\"left\"] > div[align=\"center\"],\ntd[width=\"100%\"][valign=\"top\"][nowrap][bgcolor=\"#B0BCFF\"] > div[align=\"left\"] > p[align=\"center\"]","table[class^=\"advertising_area\"]",".detail_footer_ad,\n.detail_header_ad","#text-17",".battleResultAD,\n.resultADFrame,\ndiv[class^=\"adContainer\"]",".ev-related-url","#bigSkyscraperBanner,\n#regularBanner,\n#sideRectBanner",".banner-header",".kkkarea",".wprt-container > center","#bnrHead,\n#nw-associate,\n#sideAdPanel,\n#taboola-below-article-thumbnails-desktop-1,\n.ad-teads-nw-box","#left-contents > div.side-hc > dl + dl:nth-child(-1n+7),\n#right-contents > div.side-hc > dl:nth-child(-1n+4)","span[class^=\"subject\"]","div.widget:has(> div.dp_text_widget > p > ins.adsbygoogle)","#web_pc_prime,\n.Ads,\n.Ads728x90WebPcFooter,\n.PreVideoStartPremiumLinkContainer,\n.SeekBarContainer-videoAdMarker,\n.ads.leadBanner,\n.sub.column > div.ads",".ads_nicovideo","#right-column > div[style*=\"height:250px; width:300px;\"],\n.ad-bannar-maincolumn-top,\n.adsense-728,\n.article > div[style=\"margin-left: -4px;\"] + ul[style=\"margin-left: -4px;\"],\ndiv[id^=\"dic_sp_300x250_\"]","#side-banner-north,\n#side-banner-south,\n[class^=\"___billboard-ad\"],\na[href=\"https://www.eldoahfree.com/\"][target=\"_blank\"] > img,\naside[class^=\"___ad-banner\"],\naside[class^=\"___banner-ad\"],\naside[class^=\"___program-information-ad-area_\"],\ndiv[class^=\"___player-ad-panel\"]","#billboard_container,\ndiv[style=\"width:auto;height:90px;margin:0 0 15px 0\"]","#ads_pc_seiga_illust_watch_east,\n#float-bnr-container,\n#top_ads_box_middle,\n.level_ad",".siteWide-BannerAd","#web_pc_top",".koukokuWrap",".koukoku-box",".tag-box > div.series-img","div[id^=\"ad-gpt-\"]",".nishi-target:not(#block-3 > .nishi-target)","#im_panel_pcov",".partner_button",".bnr_wide,\n.new_ad_area","#side > div.inline-block",".ad_list,\n.article_sp_bottom_ad_container,\n.aside_banner_ad,\n.float_banner_container,\ndiv[class^=\"banner_box\"]",".readmore_area",".koukoku","#main .content_area:has(.banner_list a[href^=\"/adv/\"])","#top_sidebar1_banner,\ndiv[id$=\"_kokoku_wrap\"]",".wb-contents > .topaside:has(> tbody > tr > td > table.bnrtitle)",".branch_wrap",".adfunnel_header_block,\n.adfunnel_list_under,\n.adfunnel_main_special_box,\n.adfunnel_right_inhouse,\n.adfunnel_special_box_pc,\n.adfunnel_special_box_pc_bottom,\n.adfunnel_special_large_under,\n.inhouse_banner,\n[class^=\"adfunnel_special_box\"],\ndiv[class^=\"sponser_ad\"]",".c-ad-box","div[class$=\"-down-ad\"]","div[class^=\"widget-\"][class$=\"banner\"]",".jackad-header",".gameRankingPr","div[class^=\"banner\"] > a:not([href*=\"://www.ja\"])","#mainContentInner > .prBannerArea",".l-bottomBanner,\np > iframe[width=\"336\"][height=\"280\"]",".box-pr-image-01","#ok_ad_side","main > div.top_sec10:has(> div.top_sec10_container > ul.top_kokoku_wp)","#eiyoshikai_ad",".ggadsbordertxt","img[width=\"468\"][height=\"60\"]",".ninja_onebutton + hr + a[href^=\"http://www.amazon.co.jp/gp/aw/rd.html\"]","div[class^=\"column\"] > div.inner:has(> div[id^=\"div-gpt-ad-\"])","#_popIn_recommend_text",".l-pr",".l--spBanner","#banner_ad",".st-ad",".header-fixed-ad","#div-gpt-osdn_mag_rec-article-middle,\n#head-ad-text",".rightbar:last-child","iframe[src^=\"https://rcm-jp.amazon.co.jp/e/cm?\"]",".ad-aside,\nblockquote > a[href^=\"https://www.amazon.co.jp/\"],\nblockquote:last-of-type:has(> div.AmaQuick-box),\nblockquote:last-of-type:has(a[href^=\"https://www.amazon.co.\"]),\ndiv[class^=\"article-body\"] > center:has(> a[target=\"_blank\"] > img)","div[class^=\"gad-\"]",".header-box,\ndiv[style=\"min-height: 833px;\"]",".side-box",".col-xs-12 > p[style=\"margin-bottom:0px;\"]",".sidebar__yahoo",".categoryGamesPC > div[class^=\"css-\"] > div[class^=\"css-\"] > div[class^=\"css-\"]:has(div[id^=\"JP_PTG_\"]),\n.categoryGamesPC > div[class^=\"css-\"] > div[class^=\"css-\"] > div[class^=\"css-\"]:has(div[id^=\"JP_PTG_\"]) + p.chakra-text.css-0,\n.css-3wtq36,\n.gameDetail section[class^=\"css-\"]:has(> ins.adsbygoogle),\n.gameDetailSideBar > div > p.chakra-text.css-0,\n.home_carousel > div[class^=\"css-\"] > div[class^=\"css-\"]:has(div[id^=\"JP_PTG_\"])",".big_image",".content_right > div > span[style^=\"display: block; font-size: 30px\"]:has(+ div#taboola-below-article-thumbnails-1),\n.specialBanners-cover",".col-xs-3[class$=\"tColumn\"] > ul > li > div.panel-default:has(> div.panel-body > center > a[href^=\"https://digirevo.liberty-net.jp/\"][target=\"_blank\"] > img[src^=\"https://digirevo.liberty-net.jp/bana/\"]),\n.col-xs-3[class$=\"tColumn\"] > ul > li > div.panel-default:has(> div.panel-body a[href^=\"//www.pcolle.com/product/detail/?\"][href*=\"&af_id\"][target=\"_blank\"] > img[width^=\"2\"]),\n.col-xs-3[class$=\"tColumn\"] > ul > li > div.panel-default:has(> div.panel-body a[href^=\"https://gcolle.net/product_info.\"][href*=\"/affiliate_banner_id\"][target=\"_blank\"] > img[width^=\"2\"]),\n.col-xs-3[class$=\"tColumn\"] > ul > li > div.panel-default:has(> div.panel-body a[href^=\"https://pancolle-movie.jp/track?aid\"] > img[width^=\"2\"]),\n.col-xs-3[class$=\"tColumn\"] > ul > li:has(> div.panel-default > div > center > table td > a[href^=\"http://www.dmm.co.jp/\"] > img)",".adsFooterTopWrap",".advert__wrapper","div[style^=\"width:300px; height:250px;\"]","div[style^=\"width:728px; height:90px\"]","div[style^=\"float: left; width: 336px; height: 280px\"],\ndiv[style^=\"width:728px; height: 90px\"]","#Ad300x250,\n.AdX300x250",".rightSSP,\ndiv[class^=\"ssp\"]","#foot > ul[style=\"width:620px;margin:0 auto 20px;\"],\n.ad_730_90,\n.pr_300_250",".kakomi-maru","div[style=\"height:90px;width:728px;margin:auto\"]","#gn_interstitial_area,\n.footer__ad,\n.side-ad-wrapper,\napp-remote-ad-frame","#recommend-column > div.thum_list_small > div.column:has(> div[id^=\"logly-\"]),\n#related_article-column",".area-billboard",".affi_items,\n.affi_title,\n.bottom-container",".ad_detail_box,\n.l-aside_ad-has-fixed,\n.l-aside_box > div.l-aside_ad,\nli.detail_box[style$=\"display: flex; align-items: center; justify-content: center;\"]",".side_topics",".banner-middle",".c-box:has(> div.uz-radichubu_pc),\n.c-topics__card__item--half:has(> div.ad_pr)","#js-ad_news_relational_post_top,\n.AdSide,\n.adSide__top","#pl_sponsorBannerArea",".l-bottom-fixed,\n.l-fixed-ad,\n.sale-wrapper",".related_post","#bnrLp,\n#footerBnr,\n.hint01_ad","#adEntry2rec,\n#ad_entryBottom,\n#appleBnr,\n.entryBottomAd","#rightColumn > .menuBanner:first-child,\n.ad-area-pc,\ndiv[id^=\"reb_\"][style],\ndiv[style=\"margin:0 auto; clear: both; padding:25px 0; text-align: center;\"]",".ranking-tower-records-music-bnr,\n.top-campaign-bnr,\na[class=\"sub-nav__item-link\"][target=\"_blank\"]","div[id^=\"rflxAdBaner\"],\ndiv[id^=\"rflxAdBaner\"] ~ hr",".amazon_wrap","#menu-sticky_ad","#ads-rect",".sidebox[style*=\"1000px; margin-top\"]",".pr_message_area,\ndiv[class*=\"pr_banner_images\"]","#ad10,\n#pickup-list-itxs-1,\n.item--linkbox,\n.thm-aside > div[style*=\"900px; margin-top:\"]","#footer_banner .ftr1,\n#footer_banner .ftr3","a[href^=\"http://adclick.cross-system.com\"]",".home_bnr_box","div[id$=\"_billboard\"]",".c-sidebar-ad,\n.p-article-slider > ul.p-article-group__list","#dmm-bottomad-column,\n#pickup-ninja-recommend,\n#primary-column > div.section:first-child,\n.istripper-corner,\n.pcgame-corner,\n.recommended-giko",".homepage > div.wp-block-group[style=\"border-style:none;border-width:0px;padding-top:0px;padding-right:10px;padding-bottom:10px;padding-left:10px\"],\n.ryukyushimpo-fourteen-container,\narticle ~ .flex-col:has(div[id^=\"gpt-\"][style^=\"min-width:\"]),\ndiv[id^=\"gpt-\"][style^=\"min-width:\"],\nmain > sidebar + div.flex:has(> ul > div.widget div[id=\"gpt-mobile-sp-all-middle-1st\"])","#extra div.plugin-memo + div.ad","#footer_bannerlist",".container_09",".bannerRMod",".top_content6:has(> ul#top_banner_5_list)",".advertising_area,\n.lokokoku",".l-content__header-bnr,\n.l-front__banner,\n.p-articles__list > .p-articles__item:has(> div[id^=\"sakigake_\"]),\ndiv[class*=\"__bnr-header\"]",".adsence2clm",".l-block > div:has(> div[class^=\"rectangle\"]),\n.l-secondary > div.l-widget:has(> div[class^=\"rectangle\"]),\n.rectangle300,\ndiv[style=\"font-size: 0.4em;background: repeating-linear-gradient(57deg, #fff, #fff 4px, #f5f5f5 5px, #f5f5f5 8px);color: #666666\"]",".co-relational-article",".banner-footer",".ad-boomapp",".user-area > table#content_block_1:has(a[href^=\"http://ck.jp.ap.valuecommerce.com/\"])","#ad-two-center,\n.koukoku1,\n.koukoku2,\n.ranking_prbox",".advertising > div,\n.articleAdd,\n.rightAdd","aside.ad","#seotools > div[style^=\"text-align:center; margin-\"],\n.bx-window[style$=\"width:300px;\"],\ndiv[style^=\"height: 250px;\"]",".post_content--ad_area","td[width=\"200\"]","div[class^=\"banner0\"]",".section-supporter-link",".NinjaEntryCommercial,\narticle.EntryTextBox:has(#ninja-blog-inactive),\ndiv.EntryBlock:has(#ninja-blog-inactive),\ndiv.EntryInner:has(#ninja-blog-inactive)",".p-article__label--nextMark,\n.u-ta-center",".banner250,\n.sub_box > table:has(> tbody li > a[href^=\"https://www.rocket-wristband.com/\"]),\n.sub_box:has(> p.clerfix[style=\"line-height:150%;\"] > span[style=\"color:#AAA;\"] + a[target=\"_Blank\"]),\ndiv[style=\"width:565px;height:60px;\"],\ndiv[style^=\"width:468px;height:60px;\"]","#containerBottom",".ad-sec","#random-banner,\n#sponsor-banner","aside[id^=\"sad\"]",".custom-html-widget > div.p-archive-header.mt-5:has(+ div[id^=\"logly-\"])",".main_advertising",".adBlock2",".recommend-pr,\n.recruit",".articles-detail-page > table[width=\"680\"]","#gad-relatedentry,\n.gad-articletop,\n.gad-sidetop",".ad-archive",".room_adv",".postAds,\ndiv.h250,\nh3.headline5.mb10","#r1_advertisement,\n.ad_double_300_300,\n.ad_navigation_300_250","#g-ad",".free-block",".sam-slot","#srdk-index-native-pc,\n.hatena-module-html:has(> div.hatena-module-body > div.srdk-rectangle-ad)","main[role=\"main\"] > p:has(> ins.adsbygoogle)",".sec-bannerArea",".bnr-area",".banner-rectangl",".ad_box_sp,\ndiv[class$=\"_article_ad\"],\ndiv[style=\"margin: 10px 0px 10px 0px; min-height:200px\"]","#ads-index-text,\n#gpt-sd_index_rec,\n#gpt-sd_other_rec,\n.ads-leaderbord,\n.srad-contentad-banner","#top-hat",".articles-body > span[style=\"font-size:small;\"] > span[style=\"color:#666666;\"]",".adlb","#amzout,\n.content > .obj_centering:has(ins.adsbygoogle)",".banner_middle",".Ads > div[id^=\"div-gpt-\"] + br,\niframe[src*=\"stv.jp/nnn/assets/\"]",".article__recommend","#adv_wrap,\n#r_navi > .banner",".use--ad","#contents > center:has(> div[id^=\"div-gpt-\"]),\n#foot-bnr,\n#webmag > .nodisplay",".adv2:has(div[id^=\"div-gpt-\"]),\n.post > div.adv2",".AfiBigText,\ndiv[class^=\"c-ads-tag\"]","#contents-basic div[style=\"margin:10px 0;height:100px;\"],\n.div-responsive-horizontal","div[class^=\"adsbox\"]",".bnrwrap,\ndiv[class*=\"tilebnr\"],\ndiv[id^=\"kpftw\"]","#ads_menubar,\n#ads_menubar_bottom,\n.rklink,\n.rkmark","div[id$=\"_parent\"]",".catchup,\ndiv.bnr","div[style=\"margin-bottom:10px;text-align:left;width:95%;overflow:hidden;\"] + h2",".list-recommend > ul:has(> li > a[href^=\"http://socialife.sony.net\"] > img)","#sidebar > section:nth-of-type(2),\n.overlay,\n.topic-container > .text-center + .section","div[class^=\"ad-box-\"],\ndiv[id^=\"relatedsearches\"]",".overture-side",".articles-single__article__ad__underarticle,\n.articles-single__aside__ad,\n.articles-single__aside__ad__border,\n.index-ad-manager__list,\n.single-program__ad-manager-list",".te-article__body__inner > div.te-article__section:has(> div.uz-ny)",".rectangle-images,\n.rectangle-images-main",".ad-premium-jack,\n.register:has(> div#adPCLarge)",".google_adsense_placeholder",".bkon","#pr-tokubetsu-banner,\na[href=\"https://retty.me/\"],\ndiv[class^=\"tenki-ad-\"]","#iasContainer > div.iasItem ~ div.iasItem > div[class*=\"ad-\"],\n.addHead.ad-pc,\ndiv[class*=\"ad-\"] > div[id^=\"dipalyId-\"]",".gb-grid-column > .gb-container > .gb-container > .gb-container:has(> .adsbygoogle),\n.inside-article > .gb-container:has(> .adsbygoogle),\n.inside-right-sidebar > .sticky-parent-container > .gb-container:has(> .adsbygoogle)","[class^=\"style_adS\"],\nsection[class^=\"style_advertisement\"]",".content-box-2col,\n.recommend-header-container,\n.right-banner > a:not([href*=\"the-ans.jp\"])",".related-posts","#rewardModal,\n.newsArticle_product,\n.sidebarcontents:has(> ul.affiliatelist)","[class^=\"css-\"] > div[class^=\"css-\"]:has(> amp-ad)",".inner-contents > #postscript > a[href^=\"https://al.dmm.co.jp/\"],\n.inner-contents > #postscript > a[href^=\"https://www.dmm.co.jp/\"][target=\"_blank\"][rel=\"noopener\"]","div[class^=\"_footer_ad\"],\ndiv[class^=\"_inlineAdWrapper_\"],\ndiv[id^=\"ad-promo-\"],\ndiv[id^=\"ad-side-\"]",".widget-media-ad:not(#widget-media-ad-72)","#adEntryTitleBottom,\n#bnr_goSrid,\n#hashiraR","div[class*=\"tkn-ad--top-billboard\"]",".c-adContainer:not(.ad_sideFixTop)",".super-banner-field","#tmp_advertisement","#zone04_bg",".sec_banner","#footerMdl,\n.bncenter","#main-right > #side_press_section,\n.btm_press_section","#DynamicAd",".banner-box",".footer-rbox-b,\n.side-topad > .side-widgets.widget_text",".tora-ads-default","div[style^=\"marign:8px\"]",".article-single > .sec-ad-article",".pr_bnr_contents_block",".affiliate_link,\n.article-meta-box,\n.box-ad-left,\n.original-pc-ad,\n.pc-side-ad-mrg,\n.side-column-float",".adsense_02,\n.left_box","div[id^=\"trend-\"]",".main-bottom__container,\n.personalityQuiz-GAM,\n.sideBar-AffiliateBanner,\n.sideBar-GAM,\n.sideBar-GAM_Middle",".same_theme,\ndiv[style=\"border:1px solid #aaa; border-radius:10px; padding:0px 15px; margin:0px auto 10px; width:90%; max-width:700px;\"],\ndiv[style=\"width:970px; height:90px; margin:20px auto 30px;\"]",".overlay__bg","#cont01 > div.heightLine-5:has(> div#pc-tmall-gamelist-gamelist),\n.pc.game_bnr,\n.primary-content > div[class] > div#aqua + p[align=\"center\"],\n.sp.game_bnr","div[style^=\"text-align:center; background-color:#fff;\"]",".wrapper > div.shadow-box:has(> div.ad_sfr)","a[href^=\"https://click.duga.jp\"]","a[href^=\"https://mttag.com\"]","table[width=\"780\"][cellpadding=\"5\"] tr:last-child,\ntable[width=\"780\"][cellpadding=\"5\"] tr:nth-child(2)","#index_banner_space_01 > div.text-center:has(> #random_image_2),\n.footer-links ~ .index_banner_space_07","center > center > table[width=\"807\"]:has([href^=\"https://mttag.com\"][rel])","center > center > table[width=\"807\"]:has(td[bgcolor=\"#ffffff\"] > [href^=\"https://pcmax.jp/lp/\"])","table[width=\"807\"]:has(td[bgcolor=\"#ffffff\"] > a[href^=\"https://www.e-nls.com\"])","table[width=\"446\"] > tbody > tr:has(td > a[href^=\"https://mttag.com\"]),\ntable[width=\"446\"] > tbody > tr:has(td > a[href^=\"https://www.e-nls.com\"])",".index_banner_space > div[class^=\"ad-\"],\n.mt-4 + .index_banner_space_03","a[href^=\"https://happymail.co.jp\"]","iframe[src^=\"https://tead.tver.jp/web/TEAD_banner\"]",".billboardBannerBox,\n.contBannerList","#tvl_pc_article_footer[style=\"width: 728px; height: 90px;\"],\n.ad > ul[style=\"list-style:none;font-size:12px\"],\n.for-pc[style=\"text-align: center;margin: 10px auto 20px;\"],\ndiv[id^=\"tvl_pc_all_\"]",".ad_pc",".ads-banner-box",".j-htmlCode,\n.j-htmlCode + div.j-hr","#showAdPosition,\ndiv[data-as-slot-id],\ndiv[style=\"text-align: center;margin:20px auto 400px auto;width :685px;\"]",".stripe-free,\ndiv[style*=\"height:280px;\"]",".Ad_728x90,\n.sideAd_300x250,\n.sideAd_300xfree",".addSpace336,\n.widget-sidebar:first-child > div.custom-html-widget:first-child","#rank_goods",".R_Adv,\n.reladsgoogle,\n.topBoxAdsRight,\n.tracking,\n.underBoxAds",".su-animate",".al.f3.fg0,\na[rel=\"nofollow\"] > img[style=\"width:100%\"]","#amgatti_sk-2,\n#amgatti_sk-5,\n.header-cls","#adArticleFooter,\n#fixed-affiliate,\n#relevantPost,\na[href^=\"https://track.affiliate-b.com\"]","#plugin-a > div.plugin-memo,\n.ad-tp,\n.g-ad250",".detail_footer__ad,\n.detail_header__ad,\n.top_side_first","div[class^=\"ad-\"][class*=\"_Square-\"]","#gbl_ad,\ndiv:not([class]) [class*=\"bg-gray-\"][class$=\"xl:hidden\"]:has(> .ad-container)","#main > .block:has(> div[style*=\"width:\"]:first-child > div[id^=\"div-gpt-\"]),\n#sticky_pc,\n#sub > section[class*=\"block\"]:has(> div[style^=\"width:100%; margin:0 auto\"] > div[id^=\"div-gpt-\"])",".bnr-sakuhin-info","#category-tms2019-ad-hide,\n#jp_wct_pc_article_undernextpage,\n#under-title-ads,\n#widget_code_php_in_widget-23 > h3.widget-title,\n.billboard-ads-wrapper,\n.execphpwidget > div.video-wrapper,\n.wct-recommend-posts li:has(div[data-uz-url])",".matome-pickup","#adPcBnrWrp,\n#adPcFootBnrWrp,\n.ad-blank,\n.adBannerHd,\n.adBannerHdWrp,\n.adBkOverlayClr,\n.adSmpBnrFtBtSp,\n.ads-loader,\n.firstDictBnr,\n.flex-rectangle-ads-frame,\n.rectangle-ads-frame-www","#secondary > a[href^=\"https://go.ad-link.net/\"]","#ejjeBottomRightFixedAds > div.sideBlock:has(> div[id^=\"div-gpt-\"][style^=\"height:80px; width:320px;\"]),\n#ejjeBottomRightFixedAds > div.sideBlock[style^=\"text-align:\"] + div.sideBlock,\n#ejjeRightTopAdId,\n#footFixAdBar,\n#learning-level-table-wrap > #leadBtnWrp,\n.hideAdBtn,\n.indexSideAdTop,\n.mainBlock:has(> .flex-rectangle-ads-frame),\n.mainBlock:has(> div[id$=\"RecommendAdId\"]),\n.premium-service-button,\n.sideBlock:has(> div[style=\"min-width: 300px; min-height: 100px;\"]),\n.sideBlock:has([id$=\"AdId\"]),\n.sideblock:has(> .ads-loader),\n.sideblock:has(> div[id^=\"div-gpt-\"]),\n.sideblock:not(:has(> *)),\n.slfAdsBox,\ndiv[class=\"sideBlock\"]:has(+ .slfAdsBox)","#translateAfterSpellCheckAdId,\n#translateFooterOverlayAdId,\na[onclick*=\"lead_to_premium\"]","#side","#wrapper > img[src$=\"/footer_ad.gif\"] ~ br,\ndiv[class^=\"ads0\"]",".widget_bbearad,\n.widget_bbearad-recommend,\n.widget_bbearad-single-bottom","div[id^=\"facemask_\"]","#wiki_menu > div.uk-sticky-placeholder",".al_method","#inbound-ad-container,\n#pc-bottom-parent-ad-container,\n.admenu-sticky",".post_content > table[border=\"0\"]",".ad-stickyhero,\ndiv[class*=\"ContentFooterWrapper-\"]:has(> div > div.wide-adrail)","#pickupNewsModal_gallary","#WO_PC_InArticle-1,\n#ranking-part > ul.tab_content > li[class]:has(> a[data-google-interstitial]),\n.banner-area-margin-bottom,\n.section-recommend,\ndiv[id^=\"TW_\"],\ndiv[style=\"max-width:970px;min-height:90px;text-align:center;margin:0 auto;\"],\ndiv[style=\"width:670px ; height:300px;\"]",".jack-top,\n.jack-wrapper","table[style=\"margin-top:20px;\"][width=\"1110\"] > tbody > tr > td[align=\"left\"]:last-child,\ntable[width=\"300\"][height=\"250\"]","a[href^=\"https://3rdspring.jp/\"],\ntable[cellpadding=\"2\"][bgcolor=\"#CCCCCC\"]","table[height=\"260\"]","div[id$=\"-fixed-menu\"],\ndiv[id$=\"_bnr\"]","#ranking_ul > li.cardList__list_item:has(> div.grandRankingAd),\n.card--recommend6__list:not([show-index]),\n.swiper-wrapper > div.swiper-slide:has(> div.ad_swiper_card)","[class^=\"ads_\"]",".fixed_sidebar-wrapper","#text2 > p:first-child",".section-in > a[href=\"https://www.pasifea.com/\"][target=\"_blank\"]","#main > div[style=\"margin-bottom:15px;\"]","div[id*=\"_banner\"]","div[id^=\"tt521-\"]","#main > .column-inner > .column-inner-2 > a[href^=\"https://erokolky.com/\"][target=\"_blank\"],\n#main > .column-inner > .column-inner-2 > a[href^=\"https://movie.eroterest.net/site/s/\"][target=\"_blank\"]",".advertising",".ad_pc_rectangle,\n.ad_sp_rectangle,\ndiv[class^=\"ad_superbanner_\"]","#bnrLink",".top-kokoku","#tmp_wrap_pr",".template-top__aside__ad","#adBnrArea","div.sd_bnr01:has(> a:not([href*=\"//\"]))","#headpromotion-service",".admarking_label",".content > .list-tile:has(> li > div[id*=\"_dfp\"])","div[id^=\"yzpc\"]",".cta_merci,\n.cta_min",".w-full.h-\\[50px\\]",".p-rectangle_banner_box",".detailBottomAdWrap",".panel-banner",".bannerbox,\n.sidebarr","div[style$=\"min-height:90px;\"],\ndiv[style=\"height:100px;max-height:100px;overflow:hidden;\"]",".memomaru_ads",".ads-banner-fixed",".content-right > div[style=\"display:flex;justify-content:center;align-items:center;text-align:center;margin-bottom:12px\"],\ndiv[style=\"text-align:center;margin-bottom:16px;min-height:250px;width:auto\"],\ndiv[style^=\"display:flex;\"][style*=\"align-items:center;\"][style*=\"min-height:100px;\"],\ndiv[style^=\"display:flex;\"][style*=\"align-items:center;\"][style*=\"min-height:280px;\"]","#chaDivADS",".__ad-pc,\n.__sideBar > div.__ad:first-child,\n.p-ads,\ndiv[class^=\"__super-banner-\"]",".special_banner,\n.sub > div.banner:has(div.value_commerce)",".ad_geniee",".ad-below-single-header,\n.ad_AfterMore,\n.post-list-item-ad,\n.sidebar-single-ad",".main-contents > div.sp-only:has(> script[src^=\"//j.microad.net\"])","center > table[width=\"807\"]:has(td[colspan] a[href^=\"http://click.duga.jp\"]),\ntd[width=\"250\"]:has(a[href^=\"https://happymail.co.jp\"]),\ntd[width=\"250\"]:has(a[href^=\"https://pcmax.jp\"])","center > table[width=\"807\"]:has(td:not([class]) > a[href^=\"https://pcmax.jp/lp/\"])",".mt30[style=\"display:flex;justify-content:space-between;\"],\ndiv[class*=\"_AdWrapper\"],\ndiv[class^=\"Layout\"] > div[class^=\"articleId\"]:has(> div[class^=\"PopIn_\"]),\ndiv[class^=\"Layout\"] > div[class^=\"articleId\"]:has(> div[class^=\"PopIn_\"]) + hr,\ndiv[style$=\"display: inline-block; height: 280px;\"],\ndiv[style$=\"width:300px;\"]",".ad__search-lower-banner","#outline > div[align=\"center\"]",".amazon-ads,\n.block > div.container > div.row > article:has(> div > div > ins.adsbygoogle)",".mediaBottomAd,\n.mediaTopAd",".lyBannerDiv",".content > div[style=\"text-align:center;height:100px;overflow:hidden;margin-bottom:10px;\"]",".interstitial,\n.lastInterstitial","#imadv,\n.article-body:has(a[href$=\"://blog.mmm.me/goods/\"]),\n.article-title-outer:has(a[href$=\"://blog.mmm.me/goods/\"]),\n.article1:has(a[href$=\"://blog.mmm.me/goods/\"]),\n.kijilist-body1:has(a[href$=\"://blog.mmm.me/goods/\"]),\n.pankuzu:has(a[href$=\"://blog.mmm.me/goods/\"])",".content:has(a[href$=\"://blog.mmm.me/goods/\"])","#left > div.body:has(a[href$=\"://blog.mmm.me/goods/\"]),\n.article:has(a[href$=\"://blog.mmm.me/goods/\"])",".c_ad_wrapper,\n.c_related_section:first-of-type,\n.imagemaker_ad_wrapper,\n.play-Imagemaker_Footer,\n.search-Sidebar",".h-32,\ndiv[class^=\"m\"][style^=\"min-height\"]",".dfp-banners,\n.middle-ad-section,\n.small-ad-content,\ndiv[style^=\"margin: 30px auto 0;\"]","div.text-center.pa-0.my-2[style^=\"height: 1\"][style*=\"overflow: hidden;\"],\ndiv[style=\"height: 310px; overflow: hidden;\"]","#FR_PC_inArticle,\n#GB_pc_inArticle,\n#GB_pc_inread_mov,\n#GB_pc_inread_mov + div[style=\"min-height: 250px; overflow: hidden;\"],\n#MG_pc_2nd_Rectangle + div[style=\"width:300px; margin-top:15px;\"],\n#MG_pc_inArticle,\n.ad-slider,\n.articleBottomAd,\n.dontprint[style=\"min-height:90px;margin-bottom:45px;\"],\n.dontprint[style^=\"min-height: 250px;\"],\n.reduce-CLS,\n[class^=\"sponsored_\"],\ndiv.articleBottomSns + div[style=\"min-height: 250px; overflow: hidden;\"],\ndiv[style$=\"height: 250px;\"] + div.elementSectionHeadingsWithSuffix:has(+ .OUTBRAIN),\nmain > aside.blockContainer_block:has(> div > div.ad-container)",".pr-ad",".m-recommend,\ndiv[class^=\"affi-\"]",".c-ad2,\ndiv[style=\"margin: 20px auto 20px; text-align: center; min-height: 250px; overflow: hidden;\"]","ad.widget_custom_html","#more > [href^=\"//clap.fc2.com\"] ~ div[style=\"text-align: center;\"],\n#more > div[style^=\"background-color: rgb(88, 140, 115)\"]:has(+ p + br + div > span[style=\"font-size: medium;\"] > strong),\n.plg3_body > div[align=\"left\"] > .plugin-freearea:has(> a[href^=\"https://al.dmm.co\"]),\n.side_left > div.plg_body:nth-child(-1n+6),\n.side_left > div.title_wrapper:nth-child(-1n+5),\n.side_right",".NA_ad",".table_line:has(a[href^=\"https://click.\"]),\n.table_line:has(iframe[src])",".ad-banner-m",".inven_spot",".nend_text_ad,\ndiv[style^=\"width:760px;height:250px;\"]","#rightadc,\ndiv[style=\"height:68px;\"],\ndiv[style=\"width:610px;margin: 0 auto;\"]",".rakuten_group_item","#more > a[href^=\"https://hb.afl.rakuten.co.jp\"],\ndiv[class^=\"kaerebalink-\"]","#more > table[border=\"0\"]","#BANNER-4gamer-Contents_Center_AD_Bottom_01,\n.GAME_AFFILIATE,\n.banner_left_4g,\n.hot_game_now,\n.large_banner,\n.satellite_banner,\n.search_adcontainer,\n.season_special,\n.sidetop,\ndiv[data-banner-framename$=\"AD_01\"]",".as-center-468px","#adoverlay,\n#js--banners--thread,\n.ADVERTISE_AREA,\n.ADVERTISE_AREA + div[style=\"margin-top:10px;margin-bottom:10px;width:100%;text-align:center;\"],\n.adbanners,\n.sticky_side_point > div.my-4:has(div.ads-item),\nbody > div > div[style=\"text-align:center; margin: 0 auto;width:100%;\"],\ndiv[style*=\"width: 728px;\"]",".supporter","#ad_network,\n#js-adstir-320x50,\n#js-bottom-ad-320x250,\n#js-cardview_ad,\n#js-subback_top_320x50,\n#js-thread-subback-top-ad,\n#subback > li[id][class*=\"_\"],\n.ad_320x50,\n.js-cardview_ad-320x180 > div,\n.js-cardview_ad-320x180 > iframe,\n.js-cardview_ad-320x50,\n.js-overlay_ad,\n.ranking > div#js-topics-top.flex_center[style^=\"height: calc\"],\n.ranking > div[style^=\"height: 320px;\"],\ndiv[id$=\"-300x250\"],\ndiv[id^=\"topAdheader-\"]","#content-widget,\na[href*=\"myshopify.com\"]","div[style=\"padding:20px 0;text-align:center;font-size:20px;background-color:#FFF;max-width:1202px;line-height:180%;\"]",".sidein2","div[class^=\"ad-list\"]","#d-box > div:first-child > font[size=\"2\"],\ntable[summary=\"スポンサーリンク\"],\ntable[summary=\"関連コンテンツ\"],\ntable[summary] > tbody > tr[align=\"left\"][bgcolor]:has(> td > .adsbygoogle)","#area-site-footer-ad,\n#area-site-header-ad","#execphp-71,\n#mainEntity > div.clearfix > div.txt,\n#resid,\n#side-fixed > div.widget_execphp,\n.idname2,\n.post-h2-title,\n.posts-under-1 > div.execphpwidget > div.txt,\n.random,\n.random3,\n.txt > p > a[target=\"_blank\"][rel^=\"noopener\"]","#side-scroll",".permalink + div.module--category-recent-entry",".afc_popup","#avRanking,\n#doujinRankingFull,\n#gameRanking,\ndiv[id^=\"animeRanking\"],\ndiv[id^=\"comicRanking\"]",".adcontrol-wrapper","body > div[style$=\"height:100px;width:320px;\"]",".adsensewrapper",".haj",".appbank-tags > a.RWh2:first-child,\n.body-ad,\n.entry-list-item-native-ad,\naside > div.img-row:has(> div.one-half > h5 > a[href^=\"https://www.amazon.co.jp\"]),\np > a.feed-link","article[id^=\"post-\"] > div.box_single_content:has(> div.ad_300x250)","div[id][class^=\"popup\"][class$=\"wrap\"][style^=\"opacity\"]","#text-134",".entry_pickup_fam,\n.right_bar > div.bar_title:first-child","#pc_text-4",".ad-fc2","div[id^=\"beaut-\"]","#pc_text-10,\n.toppage_av",".ad_rakutenlinkshare",".ad001,\n.mkjAd",".blockAreaMainFooter > div.blockWrapper:has(> div.blockBody > div.eroterest_mgs_rec_parts),\n.blockAreaMainUpper > div.blockWrapper > div.blockBody > center > a[href^=\"https://al.dmm.co.jp/\"] > img,\n.blockSide > div.blockWrapper > div.blockBody > center > a[href^=\"https://al.dmm.co.jp/\"] > img,\n.blockSide > div.blockWrapper:has(> div.blockBody > div#eroterest_mgs_rec_parts),\na[href^=\"https://adult-sale.com/lp/\"],\na[href^=\"https://the-horse-racing.com/?ad=\"]",".blockAreaMainFooter > div.blockWrapper:has(> div.blockBody > iframe),\n.entryDetail div[style^=\"width: 100%; height: 395px; overflow-y: hidden;\"]",".blockAreaHeader","#center-left > .plugin3_outline,\n#center-left > .plugin3box,\n#right > .plugin2_outline:last-child",".ad__middle-banner__item--search,\n.sys_search_ad_text","div[style=\"position: relative; z-index:255;\"]","#links > div[style=\"width:160px;height:600px;margin:0 auto 10px;\"],\n.gglad_728_90","div.clearfix[style=\"margin:200px 0 0 0;\"]","#ad-more,\n.metaslider,\n.pc_above_main,\n.pc_above_nextpage,\n.side-widget-area > div.widget_custom_html",".center-ads,\naside > div[id^=\"custom_html-\"]:has(> .textwidget > div:is(.ads-flexbox, #preafBanner_wrapper, .ninja-recommend-block))",".c-banner_w728_pc,\n.c-latest_main:has(> div.img > div[data-ad_space_id])",".adBoxWrap",".PrTextMypage,\n.ofnd,\n.pickup.link_list,\n.wrap-adm[style=\"width:170px; height:200px;\"],\ndiv[class^=\"logojack_button\"],\ndiv[id^=\"ad-display-\"]","div[id^=\"ad_game\"],\ndiv[style=\"width: 760px; min-height: 500px;\"]",".insentence-adsense3",".atcosme-HeaderAdContent,\n.bnr_sec","aside[class^=\"top_pc\"]",".entry-content > div[id^=\"custom_html-\"]",".ad-area-list,\n.ad-area_trend_small,\n.ad-list-m,\n.ad_CIT_top,\n.foot-banner,\n.head-banner",".sponsorship",".textwidget > p:has(> a[href^=\"https://amzn.to/\"])",".noIE6","#right_box_inner > div[align=\"left\"]",".img-spc-box,\n.sph250","#link-overlay,\n.bookview-wrap a[class*=\"id\"][target=\"_blank\"],\n.bookview-wrap div.video-scroll,\n.out-scroll-img > ul.out-scroll-img__list:has(> li > a[target=\"_blank\"][href^=\"https://\"]),\n.video-list,\niframe[src*=\"/www/delivery/\"],\niframe[src^=\"https://creative.rmhfrtnd.com/\"],\niframe[src^=\"https://go.mnaspm.com/\"],\nimg[src*=\"//cdn.ddd-smart.net/ad/\"]",".article-header-ad-space,\n.module-article-list-ad,\ndiv[class$=\"-ads\"]",".ta_center.rblock",".adBnrList,\n.addBadge,\n.digimart_PC_resp01",".footer_dlsite","#body > div[style=\"margin-top:.35em\"],\n#menubar > div[style=\"margin:.5em 0 0 1em\"]","#im_panel_pc","#freebox_02","div[class^=\"unBox\"][class*=\"ad\"]",".banner_ws1,\n.floatbox1,\n.floatbox2,\n.plugin2_outline,\n.plugin3_outline",".adArticleUpperPC2col,\n.adRecommendWidgetTop,\n.adSidebar2,\n.adSingleFV300-250,\n.mobileKaisenAnchor","#block-111,\n#block-91,\n.wrap-grid-post-box > article:not([role=\"article\"])",".newgame_box td:not([style]):has(> a[href*=\"/promotion/\"][target=\"_blank\"]),\na[href*=\"/promotion/\"][target=\"_blank\"]",".itemTitle",".hd2",".excite_sp_footer_area,\niframe[src*=\"/iframe/ad/\"]","#text1 p[style=\"text-align:center;\"],\n.text_inner div[style]",".pr_table,\n.random_ad_sidebar,\n.yubi,\ndiv[class^=\"rapper\"]","#sub_navi > h4","#side_widget1 > div.widget_text:last-of-type,\niframe + div[id^=\"ad\"]",".base__advert-container",".entry-content > div[style=\"margin-bottom:10px\"] > a[href^=\"https://al.dmm.co.jp\"],\n.entry-content > h2:has(+ p + div[style=\"margin-bottom:10px\"])","#top_pr,\n.pcad","div[style*=\"height:260px;\"],\ndiv[style^=\"width:600px;margin:0\"]","div[class^=\"__isboostLowerRight\"]","a[href^=\"https://a-affiliate.net/login/link.php\"],\na[href^=\"https://www.sokmil.com/\"],\naside > div.swiper,\nmain > .container:has(> .row > aside > .text-center > a[href^=\"https://www.ppc-direct.com/\"]),\nsection > aside > div.movie","#custom_html-102,\n#custom_html-135,\n#custom_html-78,\ntbody > tr:has(> td[class$=\"-ad\"])",".adAreaNative,\n.adMgs,\niframe[src^=\"//okbp.xyz/\"]",".edgBanner","#banner1,\n.dmm-ranking","#media_image-7,\na[href*=\"esports.net/go/\"]",".l-parts-a > div.side","#newfiles > ul.list > li[style*=\"height: 120px;\"],\n#wrapper > div[data-style][style*=\"fixed\"],\n.tag + div[class],\na[link*=\"al.dmm.co.jp\"],\narticle > div[style*=\"305px\"][style*=\"align-items:\"],\nbody ul.list > li[style=\"clear: left;width: calc(100% + 3px) !important;margin-right: -1px;height: 120px;margin-left: -2px;float: none;display: block !important;\"]","form > div[style=\"text-align:center\"],\ntable[width=\"176\"]:nth-of-type(2)",".ad_waku,\n.section_ad:not(.kiji + .section_ad),\n.section_adbox",".entry-content > div[style^=\"height: 44px;\"][style$=\"no-repeat;\"],\na[href^=\"https://ac.glowthcv.com/cl/\"]",".advertisement_media,\n.pc_only_ad","#right > div.plugin-memo:first-child,\n#touter + table,\n.sponsoredsink",".checker-related-wrap,\n.soku_wrap,\n.sum,\n.tokka,\ndiv[class^=\"spadd\"]","#leftAffi,\n.pr_aria,\n.side_box > h3:last-of-type,\nimg[src*=\"/bnr_ad_\"]",".articleDeleteButtonWrap",".home-recommend__item[class$=\"hidden\"]","a[id*=\"side_banner_abema_\"]","#custom_html-54,\n#widget-container-footer,\n#widget-post-footer,\ndiv[id^=\"widget-content-top\"]","#custom_html-62","#adsenes","#mvbx,\n.c11-2,\n.c11-3","#side_col > div.widget_custom_html:first-child,\n.banner_set,\nspan[style^=\"text-align: -webkit-center; font-size: medium; color: rgb(102, 102, 102)\"]",".bottomad4,\n.topad2",".sidebar_content > div.custom-classic-textwidget",".g-txt","#mainEntity > div.clearfix > div.wp-block-group-is-layout-constrained:has(> .wp-block-group__inner-container > h2.wp-block-heading + div.yyi-rinker-contents),\n#mainEntity > div.clearfix > div.wp-block-image,\n#mainEntity > div.clearfix > div.wp-block-image + div.yyi-rinker-contents","#footer_ov_ad,\ndiv.hidden-xs[style=\"text-align: center;\"]",".sidebar > aside[id^=\"custom_html-\"],\n.sidebar > aside[id^=\"pc_text-\"]","a[href=\"https://liberty-net.jp/toukou/\"],\na[target=\"_blank\"][rel=\"nofollow\"] > img,\ndiv[align=\"center\"] > a[target=\"_blank\"] > img",".above-caption,\n.article_bottom,\n.bottombox > .bottombox,\n.bottomsection,\n.detail > .related:has(> .adsbygoogle),\n.infeed2,\n.interlude,\n.related-cate:has(> ins.adsbygoogle),\n.spll,\n.splnk,\n.splr,\n.topunit","#EndFooter,\n#Google_Index_Middle,\n#Google_TC,\n#LT,\n#latest > div.e_ad,\n.e_frame.e_ad",".google-3ad,\n.left-container > div.plugin-memo:first-child,\n.right-container > div.plugin-tag_cloud + div.plugin-memo",".adD","#ad_four_sequence",".sidebar_ad_pc",".side_box_ad","div[style=\"width: 100%; height: 100%; background: #ead5ff; border: #ff0000 solid 1px;\"]",".sidemenu_content:has(> div.plg_body > div.plugin-freearea > a[href=\"https://superfreesex.blog.2nt.com/\"])",".article-body > .mb12:has(> .uz-2-haryu-korea_pc:only-child),\n.article-body-after > div[style=\"padding-top: 10px; padding-bottom: 10px; margin-bottom: 30px; margin-top: 30px;background: whitesmoke;\"]",".first-article div[style=\"”text-align:center;”\"]","#images > div[style=\"text-align:center;margin-bottom:50px;\"],\ndiv[style$=\"overflow:hidden;\"] > table[width=\"1050\"][bgcolor=\"#000000\"]",".erKokMidashi",".horizontal-list","#right-content > nav:not([class]) + div.roundhead,\n#right-content > p.amatime,\n#right-content > ul#amarnk,\n#right-content2,\n.border_ad1",".mobhalf,\ndiv[class^=\"ga\"]",".blog_text a[target=\"_blank\"][rel=\"noopener\"],\n.blog_text a[target=\"_blank\"][rel=\"noopener\"] + br,\nscript + p + hr[size=\"1\"]",".c-ad--h250,\n.c-ad--tieup,\n.c-ad--w468,\n.c-ad-information,\n.c-ad_container",".l-header__ad_text,\n.p-shared-tieup__list","#my-footer > div[style=\"text-align:center;\"]","#btm_banner,\n#pomparadeArea,\n.mod-inn,\n.mod-recommend,\n.sidebar__liercoArea",".entry-content > p.has-text-align-center",".banner-a","a[title=\"Banner\"],\nimg[title=\"aaaaa\"]",".section > div.clear:has(> a[href^=\"https://amazon.co.jp/\"])","#side_slider2","#ad884-div-id,\n#links > div.sidetitle:last-of-type","#global-wrapper > div[style=\"text-align:center;\"] > div[style=\"display:inline-block;\"],\ndiv[style=\"text-align:center;margin-bottom:30px;\"]","#content1 div[style=\"text-align:center;\"],\n#wrapper > div#content1 + div.sidetitle,\n.postmain > table[border=\"0\"]","#wrapper > div[style^=\"margin:0 auto;width: auto; min-height\"][style$=\"text-align: center;\"],\n.article-body > div[style^=\"margin:0 auto;width: auto; min-height:\"],\n.cha_sp_all_header,\ndiv[class^=\"geniee_\"],\ndiv[style$=\"width: 970px; height: 250px\"]",".widget_custom_html.ad:has(> .textwidget > center > .adsbygoogle),\ndiv[id^=\"jpncu-\"]",".sub > div[style=\"width:200px; margin: 20px auto 20px;\"]",".custom-html-widget > a[href^=\"https://www.sokmil.com\"]",".l-pc_resp_all_inhouse_1st,\ndiv[class*=\"-ad\"],\ndiv[id^=\"ad_area\"]",".amazon-gift,\n.popular-book","#headline_banner",".header_add",".adsbygoogle ~ table[width=\"100%\"]","#custom_html-12.head-under,\n#custom_html-58,\n.fanzakiji,\n.fanzakiji2,\ndiv[align=\"center\"] > hr[style=\"border-style:solid 1px; border-color:#1a1a1a; width;100%; margin-bottom:50px;\"],\ndiv[style=\" width:65%;\"][align=\"center\"],\nheader + div.head-under","#content-top","#footer > div.footer-inner.shad,\n.adsensearea",".entry-content > div[style^=\"text-align:\"],\n.padd,\n.padd + div[style=\"text-align: center;\"],\n.padd + div[style=\"text-align: center;\"] + p",".dadd",".ta-c > hr[width=\"760\"] ~ br:not(hr + br):not(font + br):not(font + br + br)","#nwBanner,\n.ad:not(.col-312 > .ad:first-child),\n.book-pickup,\n.col-312 > section.small:last-child,\n.tomonokai + section:has(> div > div > a[href^=\"http://www.amazon.co.jp\"])",".prm","#rsspickup + div.box","table[border=\"0\"]:has(> tbody > tr > td[width=\"50%\"] > a[href^=\"https://al.dmm.co.jp/\"]),\ntd[width=\"100%\"]:has(> table[border=\"0\"] > tbody > tr > td[width=\"100%\"] > table[border=\"0\"] > tbody > tr > td > a[href^=\"https://al.dmm.co.jp/\"])","#vv_vv,\n.nin-pr,\n.sear_bb_w,\ndiv[class^=\"im-pr\"]","aside.box","#lcn-s_list_infeed1_gam,\n.l-contents--narrow,\n.p-adlcn,\n.p-information__section > div.e-book + p[style=\"text-align: center\"],\n.p-information__section > p:has(> iframe[src^=\"https://rcm-fe.amazon-adsystem.com/\"]),\n.r-items",".post_content > .p-blogParts:has(.pochipp-box a[href*=\"amazon.co.jp/dp/\"])",".bannerMain,\n.singlePostMv > .sidebar-title,\na[href^=\"https://preaf.jp/pa.do\"]",".lol-r-affiliate,\n.widget-below-related-entries","#chatters + div[style=\"text-align:right;\"],\n.chatroom_ad_header,\n.layout_cont > div[align=\"center\"]:has(> a[href^=\"//\"][target=\"_blank\"]),\n.layout_cont > div[align=\"center\"]:has(> a[href^=\"//\"][target=\"_blank\"]) + hr",".hide,\n[id^=\"ad_side_center\"],\ndiv[id^=\"ad_top\"]","#mhn_all_bb_gam,\n.ad-block + div.ranking-block,\n.wrap-PageInnerAD,\ndiv[class^=\"wrap-recommend\"]",".ablock,\n.amazon2",".aaprad_con,\n.side_pc_con > div[style=\"text-align:center; margin-bottom:30px; padding:10px; overflow:hidden\"]",".main_area div.m-b-20.pc_show,\ndiv[style=\"display: inline-block!important; margin-left: 5px; margin-right: 5px;\"],\nheader + div.pc_show","#content > center:has(> script[src=\"http://pagead2.googlesyndication.com/pagead/show_ads.js\"])",".toc",".adsense_p_2","div[class^=\"adSection_\"]","a[id^=\"Type\"]","#side_slider",".bam-card",".d-md-block.col[style^=\"flex:\"]","#sub > br","#main-2 > .post:has(> .pc_ad:only-child),\n#sp_list_recommend_frame + div.pc_only > div.pc_only.post:first-child,\n.news,\n.widget-area > div.widget-container:has(> div.pr_box)","a[href^=\"http://www.dmm.com\"] + br + hr,\ntable[cellpadding=\"10\"][width=\"870\"] + hr,\ntd[valign=\"top\"][width=\"635\"] > table > tbody > tr:first-child","#news_widget-2","#adview","[style^=\"font-size:90%;color:#999;\"],\ndiv[style$=\"background-color:#fafafa;padding: 5px;\"],\nform > div[style=\"margin: 1em 0;padding:0.1rem;background-color:#efefef;font-size:0.95rem;\"]",".contents_ad_wrap_center","#single_banner2,\n.side_col > div.widget_text:first-child,\n.side_col > div.widget_text:last-child",".sub_adv","#text-21","body > div[align=\"right\"]:last-of-type",".side_squer","#main_slider,\n#main_slider2,\n.sidebar_left_banner,\n.spSideNone:has(> li > div.app_icon)","div[style=\"width:100%;height:90px;\"],\ndiv[style=\"width:336px;height:280px;\"]",".Side > section.-category:first-child",".ad_article_center",".amazon__category-af","#ads_2,\n.ad728-wrap,\n.ad__after > div.popular_article_pick_up,\n.wipe-ad-div-class","#search_form_wrap > div","#ichiba",".large-ad-area",".article-middle-ad","#side_r > div[class^=\"plugin\"]:has(a[name=\"amazletlink\"])","#js-popup","#oCntrAd,\n#spgLoadAd,\n.apiRsltAd,\n.apiRsltFigAd",".ado-area,\n.adowidgets,\n.product-detail-purchase--floating",".onk16-widget,\ndiv[id^=\"onk16\"][style=\"width: 300px; \"]","#maintext > blockquote:has(> div.AmaQuick-box),\n.aban",".custom-html-widget:has(> a[href^=\"https://www.amazon.co.jp/dp/\"]),\ndiv[style$=\"min-height:175px;\"]","#nuevoa","[id^=\"dmm_\"]",".goods","#banner-article,\ndiv[class^=\"ad_side_widget\"]",".textwidget > center","#wrapper > div[style=\"text-align:center;padding-bottom:15px;\"]",".entry-content div[id^=\"oumi-\"]:has(> .oumi-adlabel),\n.oumi-widget",".kijinai_ad",".link_asp",".sub-content > div[style=\"width:200px; height:200px;\"]","td[width=\"131\"]","a[href^=\"http://www.e-nls.com/access.php\"]",".actions + section[style^=\"text-align: center; background: #FFF\"],\n.d_header",".adFooterBase,\n.adGamepageHeaderBase,\n.adMiddleRect2Css",".pr_box","#commentbody > div[style^=\"margin:5px 0px\"],\n.basehtml_side,\n.blogparts_freeArea:has(a[href^=\"https://www.amazon.co.jp/exec/\"]),\n.blogparts_freeArea:last-child,\n.inner_footer,\n.kiji_chuubu,\ndiv.mainmore > .inner","#links-left > section.-freeArea:last-child,\n.Article__content > div[align=\"center\"] > br",".sponsor-responsive,\ndiv[id$=\"-rectangle\"]","#right > div.hidden-sm > p,\n#right div[align=\"center\"] > table[border=\"0\"],\na[href=\"/adcookie.php\"],\np.“hidden-print”",".related-under","p[style^=\"min-height: 320px;\"]",".module:has(> script[src^=\"https://js.ad-spire.net/\"]),\ndiv[class^=\"article__title--ad\"]",".billboard__pr",".content_banner,\n.side_top_banner","div[style*=\"height:250px;\"]",".ad__bit,\n.article__billboard__video__container,\ndiv[class*=\"ad__container\"]","#maintitle_ad",".item[style],\ndiv[style^=\"width:1290px; height:280px\"]","#entry-list > div.entry-block:first-child,\n.side-02 > div.widget > div.textwidget > div.widget","td[rowspan=\"4\"][valign=\"top\"][nowrap=\"\"][align=\"left\"]",".ads_sd,\n.ads_sd + br,\n.entry-content > ins.adsbygoogle + br,\ndiv[class^=\"gads-space\"]",".news-list-ad","#sidebarbody_r > div[align=\"center\"] > table[width=\"250\"]:has(a[href^=\"http://www.d-064.com\"])",".side--right","#links > div[align=\"center\"]:has(> table[style])",".plugin-message,\n.t_b[style^=\"font-weight:bold;font-size:16px;line-height:24px;background-color:#f5f5f5\"]",".-freeArea:has(> div > center > a[href^=\"https://click.linksynergy.com\"]),\n.-freeArea:has(> div > center > a[href^=\"https://www.amazon.co.jp\"])","#links",".text > a[href^=\"https://amzn.\"],\nimg[src*=\"amazon-adsystem\"] + br + a","#links-left > span[style=\"font-size:x-small;\"],\n.blogbody > div.text > a[href^=\"https://amzn.to\"][target=\"_blank\"],\n.blogbody > div.text > a[href^=\"https://www.amazon.co.jp\"][target=\"_blank\"]",".adreader,\n.adwidereader,\n.rakuten",".sekkaku-bbs-ad-point","div[align=\"center\"][style=\"font-size:12px;\"] > a[target=\"_blank\"],\ndiv[align=\"center\"][style=\"margin-top:60px; font-size:10px;\"] > br","div[align=\"center\"][style=\"margin-top:8px;\"]",".convert-ads","#st-header","div[align=\"center\"]:has(> ins.adsbygoogle)",".side-menu:has(> div > div.plugin-freearea > center > ins.widget-banner)","#ads_fieldOuter,\n#g_floating_tag_zone,\n#recommend_ad,\n.seesaa_channel,\nbody > div[style]:has(> table[border] > tbody > tr > td[height] > div[id^=\"criteo_slot_\"]),\nbody table[width=\"640\"] > tbody:has(> tr > td > a[href^=\"http://www.amazon.\"]),\ndd + table[cellspacing=\"0\"][cellpadding=\"0\"][border=\"0\"],\ndiv[style^=\"width:300px; height:250px\"],\ntd > div[align=\"left\"]:has(> a[href^=\"http://www.amazon.\"])","#item_ranking-2",".custom-html-widget > a:not([href^=\"https://shokuhin\"]),\na[id$=\"api-click\"]","#bnr1,\n#bnrSuperbannerBottom,\n#pc-campaign-appeal-01,\n#premiumPanel","#headerad_banner","center > b > a[href^=\"http://track.bannerbridge.net/click.php\"][target=\"_blank\"],\ncenter > strong > table[border=\"5\"][frame=\"void\"],\ncenter > table[cellpadding=\"5\"][bgcolor=\"#d3d3d3\"],\ncenter > table[width=\"935\"][height=\"100\"][cellpadding=\"10\"][bgcolor=\"peru\"],\nfont[color=\"#FF0033\"] > center > div[align=\"center\"],\nspan[style=\"display:block;margin:5px 0 0 0;padding:0;text-align:center;\"],\ntd > div[style^=\"padding: 5px; margin-bottom: 5px; border: 1px solid #cccccc; border-radius: 6px; text-align:\"][style$=\"background-color: #ffffff;\"]","table[style=\" FONT-SIZE: 18px\"][bgcolor=\"#ffffff\"][width=\"800\"][height=\"400\"],\ntable[style=\"FONT-SIZE: 12px\"][bordercolor=\"#ffccff\"][width=\"800\"][height=\"220\"],\ntd[valign=\"middle\"][width=\"800\"] > strong:first-child > font[color=\"#ff0000\"]:only-child","div[style^=\"min-height:180px;\"],\ndiv[style^=\"min-height:280px;\"]",".ds.first","#sub div.column-inner-2 > br,\n#sub div.column-inner-2 > table[border=\"0\"],\n.adbox2,\n.plugin-memo:has(> div.side > div.cstmreba),\ndiv[class^=\"article-body-\"] > div[class^=\"article-body\"] > div:not([class]):has(> div[align=\"center\"] > ins.widget-banner)",".layout_cont > div.small[align=\"center\"][style=\"margin-bottom:4px;\"],\n.layout_cont > div[align=\"center\"]:not(.prblock) + hr,\n.right_cont,\ndiv[align=\"center\"][style=\"margin:12px 0 24px 0;\"] + div.small[align=\"center\"],\ndiv[align=\"center\"][style=\"margin:12px 0 24px 0;\"] + div.small[align=\"center\"] + hr","#sidebar-scroll > aside.widget_custom_html",".plugin-memo:has(> div.side > div > ins.adsbygoogle)","body > div.rwd:has(> ul.Article_box > li > p > a[href^=\"http://fam-ad.com/\"])",".wp-block-wp-quads-adds,\namp-iframe","#right_folder > div.textwidget > a[rel^=\"nofollow\"] > img,\n#right_folder > div.textwidget:has(> a[rel^=\"nofollow\"] > img),\n#right_folder > div.textwidget:has(ins.adsbygoogle)","div[id^=\"soman-\"]",".banner3","#text-67,\n.stickyunit","#main_left,\n#main_right","#popup_area,\n.p-side-banner-lists","#amgatti_sk-3,\n#pc_text-80,\n#pc_text-94",".widget_text.ad","#down-articles > div.textwidget,\n#mybox > div.textwidget:first-child",".ml_ad_widget","p[style*=\"color:#333; text-align:center;\"]","br + center:last-child","font > b > a[target=\"_blank\"]",".ad-headerBottom","#pc_all_footer,\ndiv[style^=\"width:350px;height:290px;\"]","#cntAreaR > div[style*=\"padding:\"]:has(div[id^=\"div-gpt-\"]),\n#cntAreaR > div[style=\"border:1px solid #ccc;margin-bottom:10px;\"],\n#pc_all_inarticle,\n#pc_right_1st,\n#pc_right_2nd,\n.header-bn",".ads-statement,\n.sticky-container","#custom_html-65","a[data-atag-id]",".junk-ad-body,\n.nva-center,\nli.hidden-sm > a[href^=\"https:\"][target=\"_blank\"]","#pc_text-23,\niframe.lazyloaded[width=\"728\"][height=\"90\"]",".posts-under-1.widget_custom_html:has(> div.textwidget > iframe[src^=\"https://ad.duga.jp\"])","#side-fix",".article-header > center,\n.tmp-yarpp","#adexchange,\n#article-body > #topic-board.subsection:has(> .title-parts > span.ad),\n#article-bottom > #trend-library.subsection:has(> .title-parts > span.ad),\n#main-column > #trend-library:has(> .title-parts > span.ad),\n#sub-column > #information:has(> .title-parts > span.ad),\n.ad-bnr,\n.g-a-text,\n.special-articles > div.special-articles__item:has(> div[id^=\"div-gpt-ad-pc-\"]),\n.tktopics:has(> h2 > span.ad),\ndiv[class^=\"g-a-bnr\"],\nul > li.block-pr",".rivals__graph-wrapper__ad,\n.shimen_finances__ad","a[href^=\"https://click.linksynergy.com/fs-bin/click\"],\na[href^=\"https://contents.fc2.com/aff.php\"]","div[class^=\"bg_ad_\"]",".c-max-width-height-350,\n.c-min-height-300x100-banner,\n.c-min-height-300x100-banner + div.c-min-height,\n.py-4","div[style=\"margin:auto;max-width:1400px;\"]","#is_w_area,\n.__isboostReturnAd","#content > div.widget_text:has(a[href=\"https://neetrio.jp/umalogdb/\"][target=\"_blank\"])","#block-11","#amabox,\n#main > div.custom-html-widget > div.pc-first,\n.ad8",".plugin-memo.sidewrapper:has(> div.side ins.adsbygoogle)","#header-r,\n#st-headerbox","#widget-under-sns-buttons","#sgpb-popup-dialog-main-div-wrapper",".sgpb-popup-overlay","#link_ad",".all-page > div[style=\"min-height: 270px; margin: 1em\"],\n.dmm-games,\ndiv[style=\"width: 90%;height:120px\"]","#execphp-38,\n.classic-textwidget:has(a[href^=\"//ck.jp.ap.valuecommerce.com\"]),\n.extendedwopts-show,\ndiv[style^=\"width:336px;height:280px\"]",".single-gallery-ad-hol-block,\n.type-1 > li:has(> div[id^=\"div-gpt-\"]),\n.webcg-1030,\n.webcg-ad1,\ndiv[id^=\"sub-top_2nd\"]",".j_pv_20:has(a[href^=\"https://www.amazon.co.jp\"][target=\"_blank\"]),\n[data-fee-style],\n[data-is^=\"riot-fee\"]:not(:has(.re_ph_2 > a[href^=\"https://donation.yahoo.co.jp/search/?\"])),\na[href^=\"https://www.amazon.co.jp\"][target=\"_blank\"],\ndiv[data-style-lg=\"width: 728px;height: 90px;\"]",".sidebar_content > div.widget_custom_html:has(> div.textwidget > div.ad_block),\n.sidebar_content > div.widget_diver_widget_pcsp,\n.widget-shortcode:has(> div.execphpwidget > div[id^=\"div-gpt-\"])","#slide,\niframe[src*=\"wife-board.net/pr/banner\"],\niframe[src^=\"http://www.wife-room.net/pickup/\"],\ntable[border=\"0\"][width=\"100%\"] td[height=\"220\"][bgcolor=\"#F0F0F0\"],\ntbody > tr:has(> td > iframe[src$=\"/pr/bannercx81.php\"])",".entry-content > table[style=\"border-style: none;\"][border=\"1\"]","a[href^=\"https://www.banggood.com/\"],\ndiv[style=\"padding:20px 0px;\"] > center","body > .text-center[style*=\"height:\"][style*=\"280px\"]:has(+ nav > ul:empty)",".ads-native",".contentes_banner_2,\n.contents_ads_relation,\n.top_bottom_banner_box",".monthly_popular_wrap,\n.top_rss_side_ad","#third > div.plugin-memo:first-child,\n.adad",".aflImage,\n.aflLinkFlex,\n.extendedwopts-md-center.wtmne-widget",".hentry > .kizi-under-box:first-child",".l-main > aside.widget-page,\n.l-sidebar > aside.widget:first-child,\n.widgetPost","#pc_text-8",".topAdsenseArea",".banner-yoko","#navi_recommend,\ndiv[id$=\"_ads\"]","#body > table:last-child","#JP_ZKN_pc_all_billboard,\n#secondary > div.widget_execphp,\n.free-area_after-cont > div.widget_custom_html,\n.free-area_before-title > div.widget_execphp","#LeftAdBox > div.MenuBox:last-child,\n#ListPartner,\n#NaviTab_Ad,\n.MenuBox:has(> ins.adsbygoogle),\n.MenuBox[style=\"padding: 5px; min-height: 280px;\"],\n.PaddingTop10Bottom10[style=\"margin-bottom:5px; display: flex;\"],\ndiv[id^=\"ad_\"][id$=\"_top\"],\ndiv[style^=\"height: 250px; margin:\"]:has(> iframe[id^=\"ad_\"])",".MarginTop10Bottom10[style=\"height: 90px;\"]",".atid__wrapper",".ad[style^=\"min-width: 300px\"],\n.ad[style^=\"width:300px; height:250px\"],\n.ad[style^=\"width:310px; height:250px\"],\ndiv[id][style=\"width:300px;height:600px;\"],\ndiv[style^=\"min-width: 640px\"],\ndiv[style^=\"width:600px; height:200px\"]",".conteiner__main > div[style=\"line-height:1; border-bottom:1px solid #ccc; padding:8px;\"],\n.conteiner__main > div[style=\"min-width:686px;min-height:557px;\"],\n.page_hedding,\n.vr2_articleslist > .vr2_articleslist__item:has(> div[id^=\"div-gpt-\"]),\n.vr2_aside__area > div[style^=\"width:300px;min-height:\"],\n.vr2_bnrlist,\n.vr2_page_hedding,\n.vr2_pickuplist__item,\n.vr2_prlist,\ndiv[style^=\"display:flex; overflow-y:visible; position:fixed\"],\ndiv[style^=\"min-width:300px;\"],\ndiv[style^=\"min-width:728px; min-height:90px\"],\ndiv[style^=\"width:100%;min-height:250px;text-align:center;\"],\np.vr2_cate-title:has(+ .vr2_prlist)","#secondary > div.embed-responsive,\n#secondary > div.small,\n#secondary > video.w-100","#bigup2,\n#fuji-fns,\n#wrap_banner_billboard,\n.gf-slot-728,\n.pr_contents,\n[class*=\"banner_type_\"],\ndiv[style^=\"border:1px solid #CCC;width:300px;margin:\"]",".wrap_pr_300_sky",".fixed-bottom,\ndiv[class^=\"my-ad\"]","div[id^=\"im-\"][style=\"min-height: 90px; margin-bottom: 1rem;\"]",".ad_3rec,\n.container_top_widget,\n.outlink-b","#footer > .pr,\n.sideColumnContainer > .content-block > .pr-block:not(:has(a[href=\"/reserve/omiyakenpo\"]))","#container > div[class$=\"_area\"]",".w-full.text-center.h-auto > p.p-2.text-sm.text-gray-500",".w-full > .text-center:has(> ins.adsbygoogle),\nmain > div.container > div.w-full:has(> ins.adsbygoogle)",".widget > a[href][target=\"_blank\"] > img",".g-a-banner,\n.g-a-rectangle,\n.g-a-rectangle-wrap",".widget-below-comment-form,\ndiv[id^=\"woman-\"],\nh3:has(+ div[id^=\"woman-\"])","div[style=\"float:left;width:600px;\\9 margin-top: 0px;margin-bottom:10px;\"]",".gad_pc,\n.sb-pc",".sidebar > section[id^=\"custom_html-\"],\nbody .my_adslotd",".article > div.no_print.mt10,\n.side_adarea1,\ndiv[class*=\"mb\"] > div.ml5[align=\"left\"]","#ad-double-rectangle","footer > div.container > div.row:not(:has(.text-muted))","#ad_banner_widesky,\n#ad_rudel_1,\n#ad_rudel_2,\n#advertisement_amazon,\n#nav_2 > div[style=\"margin-bottom: 10px;\"],\n#toContents + div[style=\"margin-bottom: 20px;\"]","#ad-box3","#pc_text-43","#advert_area_0",".b-r--before-site-content",".author + div.archive,\n.single > p[style=\"margin-bottom:10px;\"]","div[style=\"text-align:center;background-color:#000000;color:#FFFFFF\"],\ndiv[style=\"width:160px;margin-right:-175px;float:left;\"] > div[style=\"margin-top:10px;text-align:center;\"]:last-of-type,\ndiv[style=\"width:466px;background:#000000;color:#FFFFFF;text-align:center\"]","#p-SponsoredLink,\ndiv[style=\"font-size: 11px;\"]","#movie-last-movie > li:has(> center > ins[id])",".bottompr,\n.bottompr + a[href^=\"http://click.dtiserv2.com\"],\n.toppr,\n.videobottompr320x100","body > div[style=\"text-align: center;\"]",".adspc,\n[class^=\"sponsor\"]",".menubar > div[align=\"center\"] > a[target=\"_blank\"] > img,\ntd[width=\"95%\"][align=\"left\"][valign=\"baseline\"] > div[align=\"center\"][style=\"display:flex; flex-wrap:wrap; justify-content:center;\"]",".nearby > li:last-child:not([class])",".ads_pc_rectangle,\n.flux_ad_overlay,\n.list-group > tr:has(> td[style=\"text-align:center\"] > div[style^=\"padding-top:30px;\"])",".sidebar1-inner > aside.widget_text",".article__content > h3.module__heading,\n.side--right > section.module--free,\n[class*=\"spad_\"]","div[data-cptid][style],\ndiv[style$=\"height:90px; width:728px;\"],\ndiv[style^=\"margin:0 auto;height:\"][style$=\"px;\"]",".dfad:not(:has(> a[href^=\"https://www.todaishimbun.org\"])):not(:has(> a[href^=\"https://forms.gle\"]))","a[href=\"https://tomari.org/uri/amazon.html\"]",".board_image",".mh-footer","#right_wrap > div.right_plugin_wrap:has(> div.right_plugin_body > div[style] > ins.adsbygoogle),\ndiv[class^=\"adsense_article_\"]","#execphp-15,\n#execphp-16",".entry-inner > table[width=\"600\"][height=\"250\"]",".side_category + aside",".left_main > a,\n.sample_block","div[id^=\"omc_ad_widget\"]",".script_box","#main > .home-h:has(> a[href^=\"https://go.xlrdr.com\"])","div[style=\"text-align:center\"]","#main-left > .center2,\n.tieup_rand_block",".l-sidebar > aside.widget_block","span#ad",".normal-sidebar a[href^=\"https://www.amazon.co.jp/gp/\"]",".adsenseArea",".posts-under-2",".foogallery","#headerafficode","#preview_dispAffi","#execphp-4",".post_content > table[style=\"border-collapse: collapse; width: 100%;\"]","p > a[target=\"_blank\"] > img","p > span.jump","#ufw_1",".ads_za",".header-add.add-container,\n.side-column > .add-container",".aasc.center > iframe[class*=\"lazyload\"],\n.col-sm-4 > [id]:first-child:has(> ins.adsbygoogle),\n.col-sm-4 > [style=\"text-align:center;height:282px;overflow:visible!important;\"],\n.post_list[style=\"min-height:572px;max-width:1200px!important\"],\n.sidebar > div[style=\"height:2px;overflow:hidden;\"] + [class]:has(> ins.adsbygoogle),\ndiv[style*=\"min-height\"]:not([class])","#container > div[style=\"margin:0 auto;margin-top:2px;min-height:95px;text-align:center;\"],\n#sub > div.column-inner > div.column-inner-2 > div[style=\"text-align:center;\"],\n#sub a[href^=\"https://www.amazon.co.jp/gp/\"],\n.article-outer-3 > #article-options,\ndiv[style=\"width:100%;height:300px;\"]","#block-6",".adn-ar","#modal-overlay",".article-body-inner > center > table","div[class^=\"article-body\"] > ul[id]","#prs","iframe.lazyloaded",".p-table__contents--full.u-pt30vw-down-md",".u-dib",".adArticleSideTop300x250,\n.adHomeSideTop300x250","#bottomNbox,\n.wide_adbox",".entry-content > div.widget_text,\n.main-inner > .widget_text:has(> div > center > div.ml-slider),\n.post > center > a[href^=\"https://t.afi-b.com/visit.php\"]",".ad-banner:not([data-name=\"single-related-posts\"])",".post > .section-in > div[align=\"center\"],\n.post > .section-in > table",".sw-Ad,\n.sw-Ad-Banner,\n.sw-Amazon,\n.sw-Pcjack","div[class] > aside:has(> div[id^=\"gpt-ad-\"]),\ndiv[id^=\"gpt-ad\"]",".pr_link","div[style=\"width: 970px; margin: 0 auto 30px;\"]",".ad-common_pc-ranking",".blog-wrapper > center:has(> div#div-desktop > div[id^=\"div-gpt-ad-\"])",".article-tvbtn-under-ad,\n.c-ranking--type-b,\n.l-main > div.l-main-row:has(> .main-adarea),\n.u-lg-overflow-hidden[style=\"height: 200px;\"],\niframe.yahoo",".my-adspace",".ad > center > div[id^=\"div_fam_async\"]",".col-lg-4 > div[style=\"text-align:center;margin-bottom:15px;\"] div.panel-default:has(a[href^=\"https://prf.hn\"]),\n.row > div[class^=\"col-md-\"] > div[style^=\"text-align:center;margin-bottom:\"] > table[border=\"0\"]","iframe[height=\"250\"]","div[class^=\"gptad\"]",".footer-ads-recipe","#txtPr > span",".adcopy2 > a","div[style$=\"background: repeating-linear-gradient(45deg, #fff 0, #fff 10px, #eee 10px, #eee 20px); border: 1px solid #eee;\"]",".lala-common-ad","#top-ad1-wrapper,\ndiv[id^=\"broadcast-content-ad\"],\nsection[id^=\"common-content-top-ad\"],\nsection[id^=\"top-sidebar-ad\"]","#uzou-chat-ad + div[class^=\"sc-\"]","center > center > table[width=\"807\"]:has(td[align=\"center\"] > a[href^=\"https://pcmax.jp/lp/\"]),\ntable[width=\"807\"]:has(td[colspan=\"5\"] a[href^=\"https://www.e-nls.com\"])","table[width=\"217\"]:has(a[href^=\"http://traffic-exchange.tv/bannerShare\"])",".adframe-container",".super_bnr_ufo",".video-plugin-skip-button",".pr_ad_text",".brand_panel","#ad9","#pr_ad",".container > div.sub-content > div[align=\"center\"][style=\"margin: 20px 0px;\"],\ndiv[id][style=\"min-width: 250px; min-height: 250px;\"],\ndiv[id][style=\"min-width: 320px; min-height: 50px;\"],\ndiv[style=\"min-width: 468px; min-height: 60px;\"],\nsection > div[align=\"center\"]:not([class]):not([style]):has(> img[src$=\"/pr_text.png\"])","div[align=\"center\"] > table[bordercolor=\"#FFFFFF\"]","div[style^=\"text-align:center;width:336px\"]","td[height=\"260\"][width=\"310\"],\ntd[height=\"290\"][width=\"320\"]",".parts-ad,\n.parts-ad-block,\nimg[src=\"images/parts/pr_text.png\"]",".swell-block-tab:has(.p-adBox),\n.wp-block-columns:has(a[href$=\"-today/\"])","#ad4","#product","a[href=\"https://chatreze.net/article/mamisc/\"]","#l-sidecontents > aside.plugin_first:first-child",".ggle-ad",".textwidget > p:has(> ins.adsbygoogle)",".contents-width > span > a[href^=\"https://www.sokmil.com/av/\"][target=\"_blank\"][rel]",".ads-area",".ad > div.textwidget:has(> center > a[href^=\"http://pcmax.jp\"])","#sidebar > p.mg_b_5[style],\ndiv[style=\"width: 300px !important; height: 250px !important;margin-bottom:20px;\"],\np[style=\"margin-top: 80px;\"]",".article-body > p[style=\"text-align: center;\"],\n.toppagead",".tes_wrap",".widget_execphp",".c307ad",".article-body > center",".modal_mo",".entry-content > p > a[href^=\"https://happymail.co.jp\"],\n.entry-content > p > a[href^=\"https://wlink.golden-gateway.com\"]",".admess,\n.sideBlock:first-child","#text-html-widget-2,\n.dspace-block,\n.wpap-tpl,\ndiv[style*=\"min-height\"][style*=\"height: auto\"]"];

const hostnamesMap = new Map([["*",0],["chiepedia.club",[2,134]],["adultgazobbs.com",2],["chem-station.com",[2,3,188,342,440,441]],["dietmiler.com",[2,27,189,522]],["electron-comic.com",2],["erokiwami.com",[2,170,610]],["erokune.com",[2,4,268,611]],["fx-koryaku.com",[2,231,713,714,715]],["gabarincho.com",2],["happymackeyblog.com",[2,22]],["hentai-share.com",[2,188]],["hyugarin.com",2],["ichimanabiblog.com",[2,440,861]],["idiom-encyclopedia.com",[2,71,82,188,864,865]],["innovationutah.com",[2,268,879]],["j-oosk.com",[2,764,908]],["kisslog2.com",[2,188,599,1004]],["koregasiritai.com",2],["m4ex.com",[2,421,1059,1060]],["ma-jann.com",[2,188,1061]],["monayoblog.com",[2,1147]],["moro-ai.com",[2,1151]],["nomadoma-daisen.com",[2,3,342,692]],["oreteki-design.com",[2,96,251,832,1290]],["p3fan.com",[2,28]],["saitoshika-west.com",[2,76,404,1348,1390]],["sanabo.com",[2,79,189,196,268,515,521,692,860,1221,1394,1395]],["sirabetter.com",[2,1438]],["tabanavi.com",[2,105,188,1481]],["takahirosuzuki.com",[2,27]],["tech-biz-eng.com",[2,189,268,342,515,516,521]],["tispycat.com",[2,188]],["tsubuyaki0424.com",2],["videogakuen.com",[2,37,76,195,324,342,389,1221]],["xn--edksn8fbb6je1299kerqa.com",[2,260]],["yokohama-sports.com",[2,25,76]],["oppai-doga.info",[2,1717]],["aikatu.jp",2],["best-vape.jp",2],["carrozzeria-cdl.jp",[2,3,188,268,342]],["yama.minato-yamaguchi.co.jp",[2,2052]],["megabrasil.jp",[2,188]],["vr18.jp",[2,225,793]],["shinsengumi.link",[2,28]],["2week.net",[2,491]],["do-you-imi.net",2],["englishlands.net",2],["eroigame.net",2],["hagane-ya.net",2],["karelie.net",2],["blog.katsubemakito.net",[2,3,268,342]],["lv73.net",[2,3]],["maranic.net",2],["mohmongar.net",[2,3,188]],["mote-deai-xxx.net",2],["trade-environment.net",2],["xbooks.one",[2,3390]],["sharevideos.org",[2,20,3417]],["dacelo.space",[2,34]],["anote.work",2],["disney-fun.xyz",2],["mangakansou.xyz",[2,3509]],["akiba3d.com",[3,71,225]],["appli-s.com",3],["ero-mangacafe.com",3],["mauyas.com",[3,268,342]],["oshiireblog.com",[3,188]],["pcefan.com",[3,72]],["starwars-fan.com",[3,342]],["taku-blog.com",3],["silyugoi.cfbx.jp",[3,188,1924]],["briarpatch.co.jp",[3,1962]],["cazual.shufu.co.jp",[3,2118]],["k-knuckles.jp",[3,861,2416]],["modern-guitar-dive.jp",[3,188]],["chat-station.net",[3,3086]],["game16.net",[3,154,389,864,2119,3151]],["myjpop.jspinyin.net",3],["otonary.net",[3,188]],["blog.shimabox.net",3],["studiosero.net",[3,4,105,188,268]],["lagcapa.org",[3,188]],["ero-info-antena.site",[3,440,692,1492,3195]],["4thsight.xyz",[3,189,268,343,516,517,599,1137,3503]],["nuki-dokoro.com",[4,22,215,599,692]],["otonarisoku.com",[4,371,692,1298]],["romptn.com",[4,268,535]],["rond8.com",4],["sekamaji-blog.com",[4,268,342,692]],["3040english.info",[4,342]],["bowz.info",4],["pocketwifi-hikaku.info",[4,268,692,1221]],["complesso.jp",4],["gamers1.jp",[4,342]],["tokyolucci.jp",[4,261,692]],["fpsjp.net",[4,74,561,692,3144,3145]],["genshin-matomech.umadacchi.net",[4,740,3348]],["ero.pet",[4,188,440,3423]],["bakotv.com",5],["video.fc2.com",[8,212,667,668,669,671]],["momon-ga.com",[8,1142,1143]],["shikotch.in",[8,1678]],["happycampus.co.jp",[8,1998]],["h1g.jp",[8,2342]],["openloadpro.com",[9,1278]],["xvideos-dl.com",[9,1628]],["jav.direct",9],["asmr18.fans",9],["twivideo.net",[9,3346]],["javfan.one",9],["nyahentai.re",[9,1142,1143,3431]],["hamic.ai",14],["ledge.ai",15],["adguard.app",16],["adguard.com",16],["adguard.info",16],["nordot.app",17],["majinai.art",18],["pictab.art",19],["b2.sakki2022.com",19],["ero-gazou.jp",[19,37,1107,1688]],["naitter.hippy.jp",[19,2357]],["leaked.jp",[19,794,2467]],["my-nikki.net",19],["azpek.asia",20],["tentacles.biz",[20,28,71,92,93,94]],["affi-convert.com",[20,224,225]],["akandama.com",20],["bsj-k.com",[20,406]],["cfnmroshutsucmnf.com",[20,224]],["chikiyasuibuki1104.com",[20,225]],["ero-doujin-blog.com",[20,72,94,225]],["eroero29.com",20],["hentai4610.com",20],["hhmanga.com",[20,28,224,421,821,822]],["javprice.com",20],["katsudonrecords.com",[20,28]],["kazenonaosikata.com",20],["kyomohot.com",20],["programming-se.com",20],["xn--u9jxj9b3c781sw80b0xxaz5s182b.com",20],["ysk-consulting.com",[20,93]],["mens-vio.info",[20,421]],["trendview.info",20],["bridgebook.jp",[20,330]],["blog.cgfm.jp",20],["dearfukui.jp",[20,217]],["g-times.jp",[20,92,224,225]],["ogurigo.jp",[20,371]],["rensai.jp",[20,2797]],["56s.thick.jp",[20,224]],["buhidoh.net",[20,3080]],["furugi1717.net",[20,811]],["gosanke.net",[20,224]],["hs-math.komaro.net",[20,28]],["movient.net",[20,3231]],["androplus.org",[20,105,3398]],["l-media.tokyo",[20,28,71,157,224,225,421,3464]],["anotherlife.xyz",20],["mangaraw.asia",21],["lovemangaraw.net",21],["mangarawtop.at",[22,23]],["crossbike.biz",22],["anitubu.com",[22,267,268]],["genshinnews.apexlegends-leaksnews.com",[22,190]],["apple-geeks.com",[22,278]],["automaton-media.com",[22,287,322]],["news.autonewscenter.com",22],["bazurecipe.com",[22,349]],["comicspoil007.com",[22,470]],["news.congdongytb.com",22],["news.dogforms.com",22],["eromanga-sora.com",[22,617,618]],["iqossan.com",[22,886]],["kojintekibikematomeblog.com",[22,379]],["mainoriti.com",22],["mizugigurabia.com",[22,39,1130]],["nhasachmienphi.com",22],["oreno-erohon.com",22],["poire122.com",22],["pontako.com",[22,806]],["news.shouldibuythattoy.com",22],["spirituabreath.com",[22,1453]],["xn--gmq92kd2rm1kx34a.com",[22,1618]],["news.xomsach.com",22],["yunikons.com",22],["zundad.com",22],["eizone.info",22],["okayadokari.info",22],["summertravel.info",[22,23]],["frozen.analyst.jp",[22,190]],["chietoku.jp",22],["dxr.jp",22],["echigo-inakataiken.jp",22],["cocoseka.gamewiki.jp",22],["imishin.jp",22],["rere.jp",[22,1611]],["travel.spot-app.jp",[22,2855]],["spread-sports.jp",[22,27,2856]],["volx.jp",[22,599,1553]],["bl-archive.net",[22,251,1823]],["spoilerplus.net",22],["news.yamahamoto.net",22],["yoso-walk.net",22],["news.nenbiet.org",22],["news.baovephapluat.vn",22],["news.thich.com.vn",22],["news.fandom.vn",22],["news.nguoimua.vn",22],["news.animalworlds.xyz",22],["eizone.xyz",22],["novel18.biz",23],["apk-live.com",23],["newsclip.be",[24,25,26]],["sp.uta-net.com",[26,1564,1565]],["bunkai.biz",[27,28]],["chimolog.co",[27,146,147,148]],["affiliate-ruby.com",27],["amehappi.com",27],["boosting-site.com",27],["higeojisan-lab.com",27],["kensho-zukan.com",27],["manga-comic-netabare.com",[27,1073,1074]],["manga-netabare-kanso.com",[27,864,1075]],["mangagift.com",[27,37,71]],["mazisuka.com",27],["mikobito.com",[27,1117,1118]],["moto-neta.com",[27,1155]],["multilingualtraveler.com",[27,268,421]],["nijiero-ch.com",[27,516]],["ou-kagai.com",27],["oyakudachi2525.com",27],["pokeca-new-card.com",27],["scawaiiweb.com",[27,347,351,1025]],["shiba-teire.com",27],["tomoyuki65.com",[27,811,1523]],["uruoistyle.com",27],["useful-notes.com",[27,188,533,1561]],["vtub0.com",27],["ykigchi.com",27],["yukiq.com",27],["yuraika.com",27],["bge.jp",27],["bonsai.shikoku-np.co.jp",27],["dohack.jp",27],["gameo.jp",[27,1074,1615,2302]],["mangafull.jp",27],["point-game.jp",[27,110,2776]],["tsuhon.jp",27],["pear-farmers.life",27],["crazy-irrumatio.net",27],["mupon.net",[27,200]],["topitane.net",[27,157]],["otakukosodate.work",27],["niko25niko.xyz",27],["lifematome.blog",[28,103,104,105]],["appl-y.com",[28,130]],["ikikatadatabase.com",[28,162,324,610]],["k-daidokoro.com",[28,93,953]],["mihomiho0109.com",[28,719,1115,1116]],["nana-trading.com",28],["oni-on-design.com",28],["gadget.phileweb.com",[28,1326]],["rawdd.com",28],["rittsun.com",[28,421]],["thedebu.com",28],["umaroidblog.com",[28,105,188]],["virtualgorillaplus.com",[28,224,225,421,1184,1578]],["xn--r8jwklh769h2mc880dk1o431a.com",[28,1622]],["yakyufan-asobiba.com",28],["boukenki.info",28],["m-raft.info",28],["popnews.info",28],["asianews2ch.jp",[28,371]],["bibilab.jp",28],["bonjour-anne.jp",[28,224]],["campify.jp",[28,157,224,1913]],["comicin.jp",28],["ibiza-games.jp",28],["kcsf-eco-ap.jp",28],["naruto-mon.jp",28],["shootingbar-ea.jp",28],["kanonway.link",[28,224]],["bkrb.net",28],["followcheck.itby.net",28],["wp-etc.navich.net",[28,157,421]],["vapejp.net",[28,154,330,421,1635,3351]],["lovinyou.site",28],["culture-school.top",28],["senmonsyoku.top",28],["shinise.tv",28],["driverwork.xyz",[28,157,224]],["fruit01.xyz",28],["vegetables01.xyz",[28,3513]],["xn--btr874bhs1ao5h.xyz",[28,3513]],["gadgets.evolves.biz",29],["gamesindustry.biz",30],["gokkun.biz",[31,32,33]],["otokonoko.biz",[31,32,33]],["petanko.biz",[31,32,33]],["anarumama.com",[31,32,33]],["aokanmama.com",[31,32,33]],["ashikosu.com",[31,32,33]],["bata-wagina.com",[31,32,33]],["carsexspot.com",[31,429]],["chikubi-mu.com",[31,32,33]],["girikoki.com",[31,32,33]],["lesbianmama.com",[31,32,33]],["mazomenzu.com",[31,32,33]],["miwakunotango.com",[31,32,33]],["nanpamama.com",[31,32,33]],["ninshinmama.com",[31,32,33]],["nosemania.com",[31,32,33]],["pakomanmama.com",[31,32,33]],["panchirarizumu.com",[31,32,33]],["passion-passion.com",[31,429]],["peepspider.com",[31,32,33]],["pisuton.com",[31,32,33]],["sadomazomama.com",[31,32,33]],["sukatoromama.com",[31,32,33]],["taitsukingu.com",[31,32,33]],["tsubahaki.com",[31,32,33]],["worldporuno.com",[31,32,33]],["blackgal.net",[31,32,33]],["boindoru.net",[31,32,33]],["dadamore.net",[31,32,33]],["ero-outdoor.net",[31,429]],["erocampus.net",[31,32,33]],["gerorian.net",[31,32,33]],["hamemama.net",[31,32,429,3163]],["hipup.net",[31,32,33]],["kochokocho.net",[31,32,33]],["muchimuchimama.net",[31,32,33]],["meisaku.org",[31,32,33]],["gurum.biz",[34,35]],["battle-one.com",34],["haijin-boys.com",[34,47]],["motivation-up.com",34],["natsukimemo.com",[34,1197]],["nicotwitter.com",34],["office-hack.com",[34,113,372]],["shin-shouhin.com",34],["shinri-mag.info",34],["anke.jp",34],["travelbook.co.jp",34],["cobwebs.jp",34],["news.biglobe.ne.jp",[34,2658]],["otonasalone.jp",[34,2764]],["starblog.jp",[34,2860]],["uma-x.jp",34],["4ka.net",[34,3047]],["cat.sc",34],["jumpmatome2ch.biz",[36,37,38,39,40]],["imashun-navi.com",[37,40,872]],["newageinglog.com",37],["umaumanews.com",[37,1553]],["news.sod.co.jp",[37,2119]],["animanch.com",[38,105,175,256,257]],["hostlove.com",[39,848]],["minpachi.com",[39,40]],["nan-net.com",[39,206,211,1187,1188]],["enno.jp",[39,40,1041,1438]],["lab.syncer.jp",39],["j-lyric.net",39],["ap-siken.com",[40,271,272]],["db-siken.com",[40,272]],["erosexmanga.com",[40,627]],["fe-siken.com",[40,272]],["itpassportsiken.com",[40,271,272]],["nw-siken.com",[40,272]],["pm-siken.com",[40,272]],["sc-siken.com",[40,271,272]],["sg-siken.com",[40,272]],["gogo.gs",[40,113,1438,1675]],["games.wkb.jp",[40,113,2972]],["doucolle.net",[40,1060,3108]],["k05.biz",41],["z0i.net",41],["kagua.biz",42],["kaimyou.biz",43],["bamka.info",43],["keizai.biz",[44,45]],["afpbb.com",[44,227]],["hamakei.com",[44,45,795]],["shibukei.com",[44,45]],["baby-calendar.jp",[44,1827]],["e-mansion.co.jp",[44,113,1979]],["npn.co.jp",[44,113]],["minkei.net",[44,45]],["livedoor.biz",46],["livedoor.blog",[46,107,108]],["2chblog.jp",46],["blog.jp",[46,108,1849,1850]],["bloggeek.jp",46],["blogism.jp",46],["blogo.jp",[46,1894,1895]],["blogstation.jp",46],["blogto.jp",46],["cafeblog.jp",[46,1895]],["corpblog.jp",46],["doorblog.jp",[46,108,438,554,1850,2213]],["dreamlog.jp",46],["gger.jp",46],["golog.jp",46],["ldblog.jp",[46,55,1894,1895,2462]],["liblo.jp",46],["blog.livedoor.jp",[46,108,169,175,438,537,934,1012,1041,1850,1874,1895,2531]],["myjournal.jp",46],["mynikki.jp",46],["officeblog.jp",46],["officialblog.jp",46],["publog.jp",46],["storeblog.jp",46],["teamblog.jp",46],["techblog.jp",46],["xxxblog.jp",46],["youblog.jp",[46,1850,1895]],["diary.to",46],["weblog.to",46],["0taku.livedoor.biz",[47,48,49,50]],["birthofblues.livedoor.biz",47],["honwaka2ch.livedoor.biz",[47,58]],["newser.cc",[47,113,127]],["copysoku.com",47],["grasoku.com",[47,770,785,786]],["hamusoku.com",[47,771,797]],["i2chmeijin.com",[47,858]],["ikarishintou.com",47],["itainews.com",[47,899,900]],["jumpsokuhou.com",[47,98,948,949]],["karukantimes.com",47],["kitizawa.com",[47,996,1005]],["lovelivematocha.com",47],["moeplus.com",47],["nandemo-uketori.com",[47,1192]],["onecall2ch.com",47],["onihimechan.com",47],["syurabahazard.com",47],["tarosoku.com",[47,379,1492]],["usi32.com",[47,1562]],["news.2chblog.jp",[47,770,1750]],["oryouri.2chblog.jp",[47,1751]],["arrowknee-livedoor.blog.jp",47],["chomagireko.blog.jp",[47,1859]],["dark-soku.blog.jp",[47,349,1860]],["gensin.blog.jp",[47,1868]],["kinsoku.blog.jp",[47,1467]],["pokebrary.blog.jp",47],["vtuber-matomeruyon.blog.jp",47],["ysokuhou.blog.jp",47],["carrot.dreamlog.jp",[47,2230]],["getnews.jp",[47,203,2078,2316]],["hosyusokuhou.jp",[47,2370]],["ascii2d.net",[47,212]],["ebitsu.net",[47,1886,3114]],["adultblogranking.com",[48,220,221]],["adultgle.com",48],["color-sample.com",48],["cour89.com",48],["diskgarage.com",[48,525]],["pokemon-gsc.g-takumi.com",[48,113]],["hayamimi-gunpla.com",[48,813]],["huyosoku.com",[48,856]],["karapaia.com",[48,979]],["keyakizaka46matomerabo.com",[48,992]],["kojikisokuhou.com",48],["manabi365.com",48],["moraerumall.com",48],["no-genkin.com",48],["on-ze.com",48],["puzzcore.com",[48,358,1177,1354]],["ryusoku.com",[48,1320,1388]],["tagindex.com",[48,1487]],["tanu-soku.com",[48,1491]],["troutangler-s.com",48],["smhn.info",[48,188,610,1724]],["tools4music.info",[48,1730]],["2nn.jp",48],["8mato.jp",[48,1761]],["ginnga.blog.jp",[48,1869]],["chixi.jp",48],["alphapolis.co.jp",[48,1955]],["chugoku-np.co.jp",[48,1970]],["sub.worldtimes.co.jp",48],["efight.jp",[48,2240]],["febri.jp",[48,2261]],["flyteam.jp",48],["gaccom.jp",[48,2292]],["gamebiz.jp",[48,2294]],["gamepedia.jp",[48,2303]],["city.furano.hokkaido.jp",48],["iromame-beans.jp",48],["jocee.jp",48],["ladytopi.jp",48],["city.chitose.lg.jp",48],["city.kushiro.lg.jp",48],["matomame.jp",[48,1761,2566]],["s8a.jp",48],["calorie.slism.jp",48],["charat.me",[48,3008]],["gori.me",[48,377,3012]],["blog2.mmm.me",[48,3025,3026]],["owata.chann.net",48],["ecodb.net",[48,3115]],["pctrouble.net",[48,113]],["blog.wanichan.net",48],["blog.with2.net",[48,221]],["postmap.org",[48,3415]],["nyahentai.red",48],["bishatti.com",[49,380]],["dateplus.red",[49,3432]],["aaieba.livedoor.biz",51],["akb48taimuzu.livedoor.biz",[52,53]],["nanjgod.blog.jp",[53,1880]],["bantyou.livedoor.biz",[54,55]],["eroduma.com",[55,594]],["moetataiken.com",55],["doucolle-kako.livedoor.biz",[56,57]],["chikakb.ldblog.jp",[57,2464]],["matometanews.com",[58,61,1099]],["lifehack2ch.livedoor.biz",59],["michaelsan.livedoor.biz",[60,61,62]],["akb48mt.com",[62,233]],["kimsoku.com",62],["pachinkopachisro.com",[62,233,997,1301]],["baseballstats2011.jp",62],["hima-soku.doorblog.jp",[62,901,1012,2216]],["toushichannel.net",[62,69,3338]],["news4vip.livedoor.biz",63],["otanews.livedoor.biz",64],["otasoku.livedoor.biz",65],["seiyufan.livedoor.biz",66],["namaeuranai.biz",[67,68,69,70]],["alfalfalfa.com",[68,237,238]],["ironodata.info",[68,1701]],["kakijun.jp",[68,2423]],["gendai.media",[68,1114,3031]],["note.affi-sapo-sv.com",[69,226]],["carp-matome.blog.jp",70],["mapion.co.jp",[70,2048,2049]],["pointmall.rakuten.co.jp",[70,2094]],["wowkorea.jp",[70,2974]],["netgeek.biz",[71,72]],["azur256.com",71],["bright-b.com",[71,404]],["cent-hk.com",71],["coco2i.com",[71,92,93,224,460]],["doujin-voice.com",[71,157,421]],["hentai4daily.com",[71,92,225]],["javcc.com",[71,921]],["jj-blues.com",[71,421]],["jp-idol.com",71],["jp-jav.com",71],["katfile-download.com",71],["keiba-atetai.com",71],["matsukishi.com",71],["nakiny.com",[71,783,1181,1182]],["sethplan.com",[71,157]],["soratoburin.com",71],["xn--glay-yn4c8b9a8lo661apz3h.com",[71,82,171,183,184,225,421,428,1289,1615,1616,1617]],["xn--mck5e585m.com",71],["yosshie.com",71],["erogazou.gallery",[71,1671]],["karatedo.co.jp",[71,105,515,1182]],["lomo-otoku.ssl-lolipop.jp",71],["a-zmanga.net",71],["gamejikkyou.com",72],["jpzipblog.com",[72,946]],["n-switch.com",[72,93,225,1179]],["orenoraresne.com",[72,92,143,832,1286,1287,1288,1289]],["yosemi-7.com",[72,1640]],["shikakuhiroba.net",[72,188,1209]],["anianierosuki.work",[72,92,381,382]],["news2019.biz",[73,74,75,76,77,78,79,80]],["kagoshima-gourmet.jp",[74,2422]],["aiolin.com",75],["douzin-q.com",75],["koikatsu-portal.com",[75,190,860]],["player440.com",75],["koe-voice.jp",[75,2441]],["taishon.nagoya",75],["shiroutowiki.work",[75,1254,3498]],["mettyaeeyan.com",76],["pinapopo.com",[76,92]],["mobile.inest-inc.co.jp",[76,374,1525,2015]],["larksan.wp.xdomain.jp",[76,188,342,440]],["growrichslowly.net",[76,225]],["sukesuke-mile-kojiki.net",[76,78,268,611]],["ichimame.com",[77,196,217,482,515,631,859,860]],["taisy0.com",[77,130,811,1377,1488]],["daeudaeu.com",[78,161]],["bodymate.jp",78],["dennosokuho.com",[79,80,514,515,516,517,518]],["designoma.com",[79,521]],["sasebo2.com",80],["suresuta.jp",[80,2871]],["olch.biz",81],["deaisns1.com",81],["omezame.biz",[82,83]],["higashinada-journal.com",[82,154]],["u15-specialty.com",[82,184,547,548]],["retro-gamer.jp",[82,1460,1461]],["panchirasan.site",[82,342,1340]],["anonelife.com",[83,270]],["dassen-azara4.com",[83,329]],["mtg60.com",[83,831,1162]],["tabi-rin.com",83],["plant-world.biz",84],["ryutsuu.biz",[85,86]],["lnews.jp",[86,2539]],["fgamers.saikyou.biz",[87,88,89]],["jnews1.com",[88,939,940]],["ameblo.jp",[88,241,1787]],["shanbara.jp",[88,2828]],["fashion-news.net",[88,89,440,3136]],["teach-me.biz",[90,91]],["appget.com",[91,277]],["av-baron.com",[92,323,324]],["minaminumaebi.blogmimi.com",[92,389]],["techtechnolog.com",[92,1497]],["xn--gutnkx91i.com",[92,224,421]],["kk1up.jp",[92,157]],["senzuri.net",92],["boin.pink",[92,3426]],["apprisejp.xyz",[92,224]],["alpaca76.com",[93,96,225]],["asiamediablog.com",93],["bluesea0925.com",[93,96,225]],["nihonjinnanmin.com",[93,421]],["vipcle2.com",[93,421,1019]],["nozokizennkaimax.xyz",[93,224,225]],["lionmaru.blog",[94,106]],["4610.adultav55.com",[94,219]],["erogazoufactory.com",[94,607,608]],["reiwa-kawaraban.com",94],["kankorekore.2-d.jp",[94,1144,1743]],["syukan.chinsiko.xyz",[94,143]],["xn--eckl0bk7f7cc4od8az005k0ssb.xyz",[94,491,2699]],["xn--icktho25pncf.biz",[95,96]],["bisyoujyox.com",95],["daijitenx.com",[95,96]],["galgogo.com",[95,96]],["haremxx.com",[95,96]],["managadx.com",[95,96]],["manjirushi.com",[95,96]],["manpiix.com",[95,96]],["nyuugyou.com",[95,96]],["oyabunx.com",[95,96]],["samuraixx.com",[95,96]],["xn--hckl3e1e8a8ajin0czf.net",[95,96]],["how-to-sexfriends.com",[96,852]],["mamana.jp",96],["betweenjpandkr.blog",[97,98]],["abc-by.com",[98,200]],["burusoku-vip.com",[98,411,412,413]],["eddiarchive.com",98],["sugi9532.com",[98,190,561,610,1466,1467,1468]],["ganohr.net",98],["travel-nippon.net",[98,3342]],["vip-jikkyo.net",[98,188,3352]],["evolvinglife.blog",99],["digimamalife.com",99],["fayevery.blog",100],["hatena.blog",101],["hatenablog.com",[101,800,801]],["blog.hatena.ne.jp",[101,2684]],["have-fun.blog",102],["re-doing.com",[102,1371]],["gfoodd.com",[103,762,763]],["nintendoevery.com",[103,762,1248]],["agemasen.com",[105,228]],["akirarok.com",105],["bokuweb.com",105],["color-variations.com",105],["cyapu.com",105],["entameclip.com",[105,252,580]],["gadget-log.com",105],["gekibuzz.com",105],["jbjbgame.com",105],["kowakunotsubo.com",[105,404]],["murasan-net.com",105],["nonde-tabete.com",[105,157,224]],["salary-saver.com",105],["smartasw.com",[105,1443]],["switchsoku.com",[105,410,1477]],["tikitengo.com",[105,341,784]],["trovivo.com",[105,342]],["umamusumelabo.com",[105,349]],["xn--eckybzahmsm43ab5g5336c9iug.com",[105,200,440,692,1613]],["naga-ken.info",[105,521,757,1711]],["2chmeshi.net",105],["akkinews.net",105],["uzurea.net",105],["wpteq.org",105],["ske48matome.net",[108,233,551,997,3310]],["kenjyaegg.livedoor.blog",109],["newsoku.blog",[110,111,112]],["adult-machiko.com",[110,216]],["nikkan-gendai.com",[110,1236]],["5chan.jp",[110,1759]],["ceron.jp",[110,199,1923]],["chunichi.co.jp",[110,1971,1972]],["kids.gakken.co.jp",110],["tokyo-np.co.jp",[110,1972,2133]],["townnews.co.jp",[110,1442]],["creatorzine.jp",[110,2180]],["cyclesports.jp",[110,2033,2183]],["minpo.jp",[110,2598]],["db.msin.jp",[110,2625]],["pointi.jp",[110,2777]],["precious.jp",[110,2781]],["twpf.jp",110],["azby.fmworld.net",[110,3140]],["toyokeizai.net",[110,702,1437,3340]],["dq.h1g.jp",[112,440]],["peacedoorball.blog",[113,114]],["100n100r.com",113],["2chmm.com",113],["55sedori.com",113],["anime-hiroba.com",113],["athleterecipe.com",[113,310]],["baseball-data.com",113],["itest.bbspink.com",[113,356,357,358,359]],["blogmura.com",[113,390,391]],["candyrock25.com",113],["cyzowoman.com",[113,495]],["epub-tw.com",113],["ff10-hd.com",113],["figureskatejapan.com",[113,683]],["financial-field.com",[113,685,686,687,688]],["forbesjapan.com",[113,694,695]],["freesoft-concierge.com",[113,702]],["hitoriblog.com",113],["karakoto.com",113],["kaubel.com",113],["manga-5.com",[113,1072]],["marshmallow-qa.com",[113,1087]],["maspiai.com",[113,1090]],["min-repo.com",[113,1124]],["mindhack2ch.com",[113,1125]],["mono-money.com",113],["nachukichi.com",[113,1180]],["nicovideo-r18.com",113],["nikaidou.com",[113,1234,1235]],["onayamifree.com",[113,1272,1273,1274]],["jinja.otera-iine.com",113],["otokomaeken.com",[113,1294]],["otona-life.com",[113,1295]],["phileweb.com",[113,1324,1325]],["sci-pursuit.com",113],["sedoru.com",113],["sheepplus.com",[113,1418]],["sitebk.com",[113,372]],["4k.smartstartechnology.com",113],["smt-cinema.com",[113,1444]],["soccerdigestweb.com",[113,1446]],["sugoren.com",[113,1469]],["sukusuku.com",113],["tenbaiquest.com",113],["tetsudo-ch.com",[113,1503]],["tuber-ch.com",113],["twi55.com",[113,349]],["winningpost8.com",[113,1602]],["xn--n9jvd7d3d0ad5cwnpcu694dohxad89g.com",113],["yakkun.com",[113,1629]],["zukai-kikenbutu.com",113],["gundam-futab.info",[113,270,1693]],["rakuten-seo.info",113],["repeat-drama.info",113],["algorhythnn.jp",113],["anmanko.jp",113],["ascii.jp",[113,1806]],["aviationwire.jp",113],["asianoneta.blog.jp",[113,771,1857]],["pazdra2ch.blog.jp",113],["bikebros.co.jp",[113,1577,1959]],["joqr.co.jp",[113,2028]],["jorudan.co.jp",[113,2029]],["nikkan.co.jp",[113,2061]],["ure.pia.co.jp",[113,2085]],["vogue.co.jp",113],["yomiuri.co.jp",[113,2171]],["coco-tte.jp",113],["dogatch.jp",113],["dokuha.jp",[113,2209]],["newpuru.doorblog.jp",[113,656]],["e-words.jp",[113,2238]],["entamerush.jp",113],["erozine.jp",113],["fujinkoron.jp",[113,1086,2240,2279]],["g-tips.jp",[113,372]],["gamewiki.jp",113],["getnavi.jp",[113,241]],["gingerweb.jp",113],["goetheweb.jp",113],["guitarmagazine.jp",[113,2334]],["hpplus.jp",[113,2374]],["kamigame.jp",[113,2425]],["kanaloco.jp",[113,241,2431]],["town.niseko.lg.jp",113],["mainichi.jp",[113,391,1726,2554,2555]],["mikle.jp",[113,1274]],["mwed.jp",[113,209,687,2630]],["women.benesse.ne.jp",113],["ent.smt.docomo.ne.jp",[113,2664]],["e-typing.ne.jp",[113,542,2667]],["netatopi.jp",113],["newsphere.jp",[113,2705]],["mag.osdn.jp",[113,2757]],["otakomu.jp",[113,630,2223,2760]],["lp.p.pia.jp",[113,2771]],["qoly.jp",[113,212,2572,2786]],["sai-zen-sen.jp",113],["smartlog.jp",113],["spaia.jp",113],["thetv.jp",[113,2893]],["ticketfes.jp",[113,2894]],["city.chofu.tokyo.jp",113],["tripnote.jp",[113,212,2918]],["vippers.jp",[113,2948]],["weblio.jp",[113,667,2957]],["gakufu.gakki.me",[113,3011]],["hinata.me",[113,241,3016]],["mangalove.me",[113,3023]],["hominis.media",[113,3032]],["itest.5ch.net",[113,357,358,974,3050]],["blog.ayurina.net",113],["bioweather.net",113],["blankr.net",113],["buzip.net",113],["cinemacafe.net",[113,241,1370]],["ff8clear.net",[113,1602]],["gourmetpress.net",113],["h-taikendan.net",[113,3162]],["haryu-korea.net",[113,3165]],["kokopyon.net",113],["myoji-kamon.net",113],["myoji-yurai.net",[113,3236]],["photoshopvip.net",113],["chat.shalove.net",[113,3296]],["sidelife.net",113],["vegelifemiki.net",113],["webcg.net",[113,1983,3358]],["webgaku.net",113],["ysklog.net",113],["yutura.net",113],["wiki.yjsnpi.nu",[113,2199,3387]],["atopyandsobo.org",113],["johndoeblog.org",[113,3407]],["cytuschallenge.neocities.org",113],["jpon.xyz",[113,1675]],["haku.blue",115],["jetstream.bz",116],["reader.bz",117],["kanji.reader.bz",118],["cantera.camp",119],["video.520cc.cc",120],["520call.me",120],["chobit.cc",121],["minna.cc",122],["search.minna.cc",123],["hozonv.com",[123,853]],["po-kaki-to.com",[123,1341]],["twihub.net",[123,3344]],["okazuch.site",[123,423]],["miyachan.cc",[124,125]],["namjai.cc",125],["ffsagami.com",125],["junglekouen.com",125],["da-te.jp",125],["kyo2.jp",125],["naturum.ne.jp",125],["niiblo.jp",125],["sagafan.jp",125],["tamaliver.jp",[125,2876]],["osakazine.net",125],["hamazo.tv",[125,3478]],["blog.miyachan.cc",126],["seleck.cc",128],["happyrose.city",129],["2d-erocafe.com",129],["akashi-journal.com",129],["angry-mhm.com",129],["biru-mall.com",129],["camp-house.com",[129,224]],["eromoecom.com",129],["go-naminori.com",129],["ironotabi.com",129],["matsuiakinori.com",129],["okz-guradoru.com",129],["optronics-media.com",[129,1283]],["ovninavi.com",129],["slender-model.com",129],["acueducto.jp",129],["kabutie.co.jp",129],["libertaction.co.jp",129],["we-love.shizuoka.jp",129],["news.sukupara.jp",[129,874,2868]],["toyo-2.jp",129],["analsexgay.net",129],["ani-chat.net",[129,773,1340,3057,3058]],["dspt.net",129],["iine-kunitachi.net",129],["ladybaba.net",129],["nerima-kosodate.net",[129,157]],["tipstour.net",[129,517,3333]],["bugbug.news",129],["yume100ntbr.org",129],["11874.click",130],["apexheadline.com",130],["collieme.com",130],["dq10beginner-media.com",130],["ebisu-fridaynight.com",130],["eternalcollegest.com",[130,631]],["matome.eternalcollegest.com",[130,404,599]],["gaddet.com",[130,722]],["kitaharima-hi.com",130],["kitaro38.com",130],["mitsuch.com",130],["otaku-sheepwolf.com",[130,404]],["sikopedia.com",[130,404]],["trendydenden.com",130],["yukawanet.com",[130,241,1648]],["9-bit.jp",130],["autoc-one.jp",[130,1820]],["gardenstory.jp",[130,397,2311]],["yuu01.jp",[130,157]],["gamers-info.net",130],["netbusinessbox.net",130],["nilcollection.net",[130,811]],["pc-bto.net",[130,342,3261]],["ushigyu.net",[130,597,3107]],["webantena.net",130],["geek.sc",[130,342,3436]],["sekisei.click",[131,132]],["mukakin-blog.com",131],["manga-to-anime.net",[131,1112]],["okutta.net",131],["report.clinic",133],["ero-shame.club",135],["eroangle.club",[135,136]],["erogazoo555.com",[135,603,604]],["erogazoo.net",[135,3123]],["j-baseball.club",[137,138,139,140]],["j-basketball.club",[138,139,140]],["bm.best-hit.tv",[138,139,140,789]],["h178.com",[139,789,790]],["stelladia.club",141],["eigahitottobi.com",141],["wata-ridley.com",141],["takamaru1219.net",[141,3324]],["waral.club",[142,143]],["tamezatu.com",[142,270]],["eigo.plus",[143,268,342,865,2119,3429]],["zadankai.club",144],["misskey.io",[144,1738]],["warpday.net",144],["misskey.oga.ninja",144],["sushi.ski",144],["trpger.us",144],["mk.yopo.work",144],["amaebi.co",145],["netamesi.com",145],["takenokosokuhou.com",[145,1489,1490]],["bnewg.sokuho.org",[145,1490,3418]],["pizapoteto.com",[147,633,681,1287,1337,1338]],["freesoft-100.com",[148,542,701]],["mangaraw.co",149],["pan-pan.co",150],["sakidori.co",151],["005net.com",152],["addchannel.net",152],["0115765.com",153],["1000giribest.com",154],["kome3blog.com",[154,1019]],["yamakamu.net",[154,166,194,389,3372]],["dosukebe.site",[154,2119]],["100nuki.com",155],["1048s.com",156],["1173go.com",157],["check-pc.com",157],["kiragamiteru.com",157],["todoetan.com",157],["urutike.com",[157,1560]],["gayroom.jp",[157,225]],["99hs.org",157],["benefitdmv.site",157],["life-hack.xyz",157],["1201914.com",[158,159]],["totoneko.net",[158,3336]],["1242.com",160],["1616bbs.com",161],["189-0000.com",162],["tanu-blog.com",162],["20kaido.com",163],["2ch-matomenews.com",164],["2ch-mma.com",165],["afo-news.com",165],["newsnow-2ch.com",165],["besttrendnews.net",165],["konowaro.net",165],["matometatta-news.net",165],["news-choice.net",165],["news-three-stars.net",165],["2ch-uwaki.com",166],["holosoku.com",[166,611]],["hyougaki.xyz",166],["2chav.com",167],["2chcopipe.com",[168,169]],["cherio199.blog120.fc2.com",[169,663]],["jisaka.com",169],["ponpokonwes.com",169],["suzusoku.blog.jp",169],["math-fun.net",[169,3217]],["openworldnews.net",[169,3251]],["2m3g1.com",[170,171]],["3dnchu.com",[170,182,183,184]],["cmjapan.com",[170,171,183,457]],["blog.2nt.com",[172,173]],["youskbe.com",[173,1645]],["bottisoku.blog.2nt.com",174],["matomate.blog.2nt.com",175],["dxbeppin.com",175],["blog.esuteru.com",[175,629,630]],["supersolenoid.blog.fc2.com",[175,659]],["hattatu-matome.ldblog.jp",[175,2465]],["supersolenoid.jp",[175,659]],["moeeroheaven.blog.2nt.com",176],["352-mag.com",177],["driving-license-mag.com",177],["hawaii-mag.com",177],["hawaii-word.com",177],["soushiki-mag.com",177],["surfersite.com",177],["untenmenkyo-center.com",177],["365-girl.com",178],["373news.com",179],["3751chat.com",[180,181]],["chat.luvul.net",[181,3210]],["kikublog.com",183],["rx7038.com",183],["bakufu.jp",[183,864,1828,1829]],["4meee.com",185],["4yuuu.com",[185,187]],["4ndan.com",186],["55kengo.com",188],["animemanga33.com",[188,265]],["asuneta.com",188],["canada-school.com",188],["doujin-game.com",188],["e-countries.com",[188,517,556,557]],["grisblog.com",188],["kaigaie.com",188],["kakeri-s.com",188],["masaralog.com",[188,195,515]],["motofan-r.com",188],["music-thcreate.com",188],["nonmama-blog.com",188],["setusoku.com",188],["softantenna.com",188],["sossy-blog.com",[188,324,389]],["vanilla-rock.com",188],["xn--eckveb0l002pve5b.com",188],["xn--sm-3g4aya4ck0dva9kwjzc.com",188],["xn--v8j5erc7ircta0r2694ac85c.com",[188,1118]],["tgiw.info",188],["feynman.co.jp",188],["gadgetrip.jp",[188,421,783,1144]],["marycore.jp",[188,2565]],["theyellowmonkey-movie.jp",[188,225]],["minatoku.net",188],["sbapp.net",[188,1287,3283]],["sim-jozu.net",[188,3308]],["uma-log.net",[188,189,342,557,3347]],["univnews.net",188],["blog.maripo.org",188],["minto.tech",[188,200]],["bloggingfrom.tv",188],["55paradise.com",189],["blogging-life.com",[189,343,387]],["mhw-blog.com",189],["cardfreaks.jp",[189,1917]],["financial-c.net",189],["talking-english.net",[189,268,343,440,3325]],["5app-ch.com",[190,191,192]],["adtechmanagement.com",[190,215]],["game-oruhachiv.com",190],["gamestlike.com",190],["shellbys.com",190],["sorae.info",[190,287,1725]],["fob.jp",[190,1254,2267]],["houkaistarrail.game-chan.net",190],["cidresweet.com",191],["724685.com",193],["728info.com",194],["erodou.tousatu.fun",[194,1138,1670]],["h-sextaiken.org",[194,1420]],["a-da-co-da.com",[195,196]],["fgsk8.com",[195,268]],["gazlog.com",[195,287]],["kbn48.com",195],["macha795.com",[195,440]],["nufufu.com",[195,421]],["namatamago.net",[195,440,516,692]],["a-kimama.com",197],["a-to-monhan.com",198],["aba-net.com",199],["nicovideo.jp",[199,644,2710]],["shuminoengei.jp",[199,2840]],["2chan.net",[199,710,711,1715,2049,3042]],["bridalgown.work",[199,1041,1847,2291,3492]],["liquidfoundation.work",[199,1041,1847,2291,3491,3492,3496]],["tapestry.work",[199,3492]],["teaceremony.work",[199,1847,2291,3492]],["weddinghall.work",[199,1041,1847,2291,3492]],["kusoneko.blogspot.com",200],["nmbschedule.blog.fc2.com",200],["aoyagi-coffee.hatenablog.com",200],["ogeji.hatenablog.com",[200,808]],["tcg-bloglife.com",[200,1494]],["dn-voice.info",200],["46room.blog.jp",200],["moognyk.jp",[200,802]],["p2y.jp",200],["46matome.net",[200,378,1850,2223,3044,3045]],["keyakizaka46matomemory.net",[200,900,3044,3193]],["abroadch.com",201],["ac-illust.com",[202,203,204]],["entamega.com",[203,581]],["photo-ac.com",[203,204,1327,1328]],["mitok.info",[203,1709]],["webcartop.jp",[203,1328,2955]],["odaibako.net",[203,1318]],["activitv.com",205],["adacomi.com",[206,207,208,209,210,211]],["bbspink.com",[206,352,353,354,355]],["illust-ai.com",[206,312]],["iyasiya.com",206],["radiolife.com",[206,1363]],["city.hirosaki.aomori.jp",206],["pref.osaka.lg.jp",[206,2503]],["pref.shimane.lg.jp",206],["nanbbs.jp",[206,1188,2642]],["keimei.ne.jp",206],["5ch.net",[206,353,355,3048]],["crank-in.net",[206,3095]],["eroita.net",[206,208,210,3124]],["e-nenpi.com",[209,559,560]],["egolf.jp",209],["syosetu.com",211],["adaman-ero.com",212],["terakoya.asahi.com",212],["climbing-net.com",[212,349,456]],["demonition.com",212],["dengekionline.com",[212,511,512]],["vip-front.video.g.fc2.com",[212,667,668,669]],["news.fresheye.com",[212,704]],["gaydebulog.com",212],["getchu.com",[212,759]],["hayamimi-hobby.com",[212,814]],["hoikuen-ranking.com",212],["pakutaso.com",[212,1304]],["allreviews.jp",[212,702]],["asajikan.jp",212],["classmethod.jp",212],["fantage.co.jp",[212,535,1610]],["kabuyoho.jp",212],["city.muroran.lg.jp",212],["pref.shiga.lg.jp",212],["city.yokkaichi.lg.jp",212],["newswitch.jp",212],["russianbeauties.jp",[212,2808]],["wiki.seesaa.jp",[212,2821]],["city.unnan.shimane.jp",212],["smart-flash.jp",[212,2846]],["storie.jp",[212,2862]],["supari.jp",[212,217,478,2869]],["tanoshiiosake.jp",[212,2877]],["library.mitaka.tokyo.jp",212],["ichi-up.net",212],["kitimama-matome.net",[212,770,1647]],["nanpre.adg5.com",213],["adr-stock.com",214],["nikkei225jp.com",214],["adult3110.com",217],["kidanlog.com",[217,994]],["xn--ecklz8ppb5cc7e3858d8zc.com",217],["nakoruru.jp",217],["pressroom.jp",217],["rpg-fan.jp",217],["abten.net",217],["cjcla.org",217],["phuot.site",[217,715,3444]],["open-code.tech",217],["adultangel.com",218],["advertimes.com",222],["aeoncinema.com",223],["bonblo.com",224],["entame-lab.com",224],["blog.imazeki-ryoga.com",224],["kokodora.com",[224,1014]],["minnano-casino.com",224],["carmania.info",224],["smartio.life",224],["oranne.net",[224,225]],["papamode.net",224],["vivahentai4u.net",224],["delmot-tea.org",[224,225]],["english-can.com",225],["gifubo-shine.com",[225,500]],["ichitaso.com",225],["keisan-mondai.com",[225,987]],["amapc.p2pzen.com",225],["tsugumi-life.com",225],["wadaiwosaguru.com",225],["gudeful.jp",225],["kawaii-girl.jp",225],["mathwords.net",[225,3218]],["sound-tv.net",225],["air-nifty.com",229],["cocolog-nifty.com",229],["hypplcs.com",229],["moe-nifty.com",229],["tea-nifty.com",229],["txt-nifty.com",229],["way-nifty.com",229],["akabane-shinbun.com",[230,231]],["bigyond2.com",[231,371]],["tsusshinofudeblog.com",231],["akb48matomemory.com",232],["chaos2ch.com",[233,437,438]],["digital-thread.com",[233,489,524]],["fiveslot777.com",[233,689]],["kijyomatome.com",[233,997]],["momoclonews.com",[233,997]],["news109.com",[233,997,1213]],["ske48matoeme.com",233],["chakuero-jyo-ho-koukanjyo.cafeblog.jp",[233,1911]],["akb48rompen.com",[234,235]],["sutekinakijo.com",[235,490]],["akiba-souken.com",236],["s2-log.com",[237,489,1389]],["all-nationz.com",[239,240]],["hiraganakeyaki.blog.jp",[239,240]],["kyarabetsunijiero.net",[239,1886]],["animesoku.com",240],["hero-news.com",[240,819]],["kijyokatu.com",240],["am-our.com",241],["asahi.com",[241,293,294]],["curazy.com",[241,492]],["intojapanwaraku.com",241],["books.j-cast.com",[241,906]],["japanese.joins.com",[241,943]],["moneyforward.com",[241,365,1148]],["news.nifty.com",[241,349,542,688,1226]],["uta-net.com",[241,1563]],["yamahack.com",[241,777]],["animageplus.jp",[241,347,350,351]],["animeanime.jp",[241,1370,1791,1792]],["autocar.jp",241],["careerconnection.jp",241],["oricon.co.jp",[241,1180,1215,2077]],["otv.co.jp",[241,2081]],["saitama-np.co.jp",[241,1215,2103]],["tss-tv.co.jp",241],["news.tv-asahi.co.jp",241],["dailyportalz.jp",[241,2188]],["dime.jp",[241,2206]],["fishingjapan.jp",[241,2266]],["fujitv-view.jp",[241,2280]],["gamespark.jp",[241,1370,2305,2306]],["hira2.jp",241],["inside-games.jp",[241,1370]],["jocr.jp",[241,2409]],["mbs.jp",[241,597]],["mensnonno.jp",[241,2579]],["mynavi.jp",[241,775]],["smt.docomo.ne.jp",[241,362]],["knb.ne.jp",[241,2689]],["numero.jp",[241,2651,2725]],["projectdesign.jp",241],["qjweb.jp",[241,2784]],["matome.response.jp",241],["ryukyushimpo.jp",[241,2809]],["sitakke.jp",[241,2842]],["taishu.jp",241],["uhb.jp",241],["zigsow.jp",[241,3002]],["bepal.net",241],["cafend.net",241],["amatou-papa.com",242],["americakabu.com",243],["nanj.an-matome.com",244],["android-smart.com",[245,246]],["game-log.com",245],["tsumanne.net",245],["androidjiten.com",247],["anichoice.com",[248,249,250,251]],["toychan.blog.jp",[249,1258]],["yosakoimatsuri.com",250],["ebetsunopporo.com",251],["sgamesreview.com",251],["shico.xyz",[251,3510]],["anige-labo.com",252],["keibadrive.com",252],["ohkashi.com",252],["psneolog.com",[252,1349]],["yomogame252.com",[252,1289,1616,1639]],["netouyonews.net",252],["haikara.news",252],["anige-sokuhouvip.com",253],["anigenavi.com",254],["anihatsu.com",255],["kuraberu.com",257],["moeasia.net",[257,3222]],["animatetimes.com",258],["anime-sharing.com",259],["anime-torrent.com",[260,261,262,263]],["automation-news.jp",[260,1821,1822,1823]],["warotanien.net",[260,3357]],["gamenv.net",[262,1548,3152]],["ichinuke.com",[263,862]],["jyosotalk.com",263],["hamlife.jp",[263,864,2343]],["animecomic-pass.com",264],["tvbok.com",[264,1542]],["aniplexplus.com",266],["cosmetics-trial.com",268],["erogamemod.com",[268,515,599,600]],["hotword-coolword.com",[268,850]],["blog.ko31.com",268],["pcmanabu.com",268],["saorerin.com",268],["tohaz.com",268],["coffee-station.fun",268],["zokeisha.co.jp",268],["blog.hisway306.jp",268],["kimootoko.net",[268,1340,3145,3194]],["annict.com",269],["5039.jp",270],["douga.2shotdial.apcgi.com",273],["joshidaisei.axesslove.com",[273,331]],["axessmrs.com",[273,331,332,333,334]],["backsi.com",[273,332,333,335,336]],["berotuber.com",[273,331,332,336,370]],["apexlegends-leaksnews.com",274],["lefty322.com",[274,324,957,1050]],["apexlegends-news.com",275],["apollomaniacs.com",276],["applealmondjp.com",279],["appli-huguai-matome.com",[280,281]],["omatome-info.com",281],["applikoryaku.com",282],["applinote.com",283],["appllio.com",284],["twidropper.appspot.com",285],["anzn.net",[285,3063]],["print-kids.net",[285,1726,3270]],["aprico-media.com",286],["osaka.arashitv.com",287],["arban-mag.com",288],["medibang.com",[288,654,1103]],["sirabee.com",[288,1433,1434,1435,1436,1437]],["arealme.com",289],["arkenji.com",[290,291]],["wakibungu.com",291],["sundaygamer.net",[291,324,551,3323]],["asagei.com",292],["asajo.jp",[292,1805]],["l-tike.com",294],["appli-maker.jp",294],["yahoo.co.jp",[294,1108,2145]],["maho.jp",294],["4years.asahi.com",295],["asm.asahi.com",296],["book.asahi.com",[297,298]],["maidonanews.jp",[298,1215,2550,2551]],["yorozoonews.jp",[298,2551,2997]],["digital.asahi.com",299],["dot.asahi.com",[300,301]],["360life.shinyusha.co.jp",[301,528,2111]],["globe.asahi.com",302],["mirror.asahi.com",303],["smbiz.asahi.com",303],["souzoku.asahi.com",[303,306]],["nakamaaru.asahi.com",304],["sippo.asahi.com",305],["telling.asahi.com",307],["at-s.com",308],["atelier-handmade.com",309],["atmos-tokyo.com",311],["atrain3d.com",[312,313]],["booksprivilege.com",[312,402]],["dq5clear.com",[312,313,541]],["h2ch.com",[312,791]],["html-css-javascript.com",312],["my-terrace.com",[312,1173]],["okinawaokuyami.com",[312,1268]],["virgintriumph.com",[312,1577]],["wpclear.com",[312,313,1605]],["ntv.co.jp",[312,2072]],["travel.rakuten.co.jp",[312,2097]],["conciergedesk.jp",312],["pref.hokkaido.lg.jp",312],["pref.nagasaki.jp",312],["city.shinagawa.tokyo.jp",312],["anal-love.net",312],["repsoku.net",312],["atsumori-tanukichi.com",314],["aucfan.com",[315,316,317]],["aucview.com",[315,317]],["detailtext-aucfan.com",315],["aucfree.com",[318,319,320]],["gekisaka.jp",319],["news-postseven.com",[320,1212]],["audio-sound-premium.com",321],["tojav.net",321],["mhmatome.com",[324,773,1110]],["yasasiikurasi.com",[324,1338,1635]],["av-danyu.com",325],["av-sharing.com",326],["okazurand.net",[326,3249]],["avfuuzoku.com",327],["avgle.com",328],["avtokutei.com",[329,330]],["papasu1102.com",[329,1308,1309]],["warorince.com",[329,1588]],["fitnesslove.net",329],["murakichi.net",[329,330,3233]],["gambatimes.com",330],["studentwalker.com",[330,1463]],["teyvatsokuho.com",[330,1504]],["neo-blood.co.jp",[330,610,1615,2058]],["macsoft.jp",[330,1312,2547]],["nijisenmon.work",[330,491]],["bakusai.com",337],["balinavi.com",338],["bangkoknavi.com",338],["hawaiinavi.com",338],["hongkongnavi.com",338],["londonnavi.com",338],["macaonavi.com",338],["newyorknavi.com",338],["parisnavi.com",338],["pusannavi.com",338],["seoulnavi.com",338],["shanghainavi.com",338],["singaporenavi.com",338],["sydneynavi.com",338],["taipeinavi.com",338],["vietnamnavi.com",338],["bangofan.com",339],["dankanoko.com",339],["mamagoto.com",339],["blog.shinobi.jp",[339,2831]],["atgj.net",[339,503]],["edoblog.net",339],["kai-seki.net",339],["kuizu.net",339],["visualshoxx.net",339],["bannerkoubou.com",340],["baraero.com",[341,342,343]],["vtubersokuhou.com",[341,1582]],["dramanavi.net",[341,3112]],["debbysokuhou.com",342],["detail-infomation.com",[342,440]],["love-is-blue.com",342],["lowch.com",342],["dev.macha795.com",342],["naporitansushi.com",[342,514,1195]],["yuki-portal.com",[342,1649]],["kindou.info",[342,1704]],["osusumecomic.net",342],["puchiho.net",[342,3058,3272]],["gigast.gigafile.nu",342],["tamashii-yusaburuyo.work",342],["base-y.com",344],["baseball-freak.com",345],["basketball-zine.com",[346,347]],["bbm-japan.com",[347,350,351]],["netkeizai.com",[347,350,351]],["rollingstonejapan.com",[347,350,351]],["driver-web.jp",[347,350,351]],["nosweb.jp",[347,350,351,2154]],["oceans.tokyo.jp",[347,350,351]],["zaikai.jp",[347,350,351,3001]],["battlecats-db.com",348],["beasoku.com",349],["caramel-sp.com",[349,426]],["cyzo.com",[349,494]],["erodouga-s.com",[349,589]],["eromovie-s.com",349],["melty-novel.com",[349,1105,1106]],["milk-key.com",[349,589,1086,1121]],["mimitub.com",[349,1123]],["misty-novel.com",349],["purple-novel.com",[349,1105,1352]],["ramenhuhu.com",349],["report-newage.com",[349,1379,1380]],["wazap.com",[349,734,1590]],["gourmet.aumo.jp",349],["travel.aumo.jp",349],["shimotsuke.co.jp",[349,738,2109]],["tv-tokyo.co.jp",[349,1964,2141,2142]],["japandesign.ne.jp",[349,2688]],["topics.or.jp",[349,2751]],["relazo.net",[349,3277]],["cinema.ne.jp",[350,982]],["tennisclassic.jp",[350,2888]],["orangepage.net",351],["city.otaru.lg.jp",354],["city.kishiwada.osaka.jp",354],["benesse.ne.jp",[356,2648]],["bbspirits.com",360],["bcnretail.com",[361,362]],["hitosara.com",[362,843]],["goo.ne.jp",[362,2672]],["ocn.ne.jp",[362,2691]],["beadored.com",363],["beauty-navi.com",364],["becoolusers.com",365],["beelzeboulxxx.com",366],["beerbrick.com",367],["beethovenmaster.com",368],["global.sp.land.to",368],["bengo4.com",369],["haru-journal.com",371],["life-alright.com",371],["nkskad.com",[371,713]],["gri.jp",371],["bijutune-expo.com",372],["billboard-japan.com",373],["billboard-rock.com",374],["digital-wallet.jp",374],["sotokabe.net",374],["billionwallet.com",375],["jp-weathernews.com",[375,944]],["keimusho.net",375],["bipblog.com",[376,377,378]],["mudasure.com",[377,1166]],["blog.game084.com",378],["kijoden.com",378],["negisoku.com",[378,1201]],["watarukiti.com",378],["genshin.blog.jp",[378,443,1867]],["nanjde.blog.jp",[378,1879]],["kimamamatome.doorblog.jp",[378,2218]],["2chmatome.net",378],["birori-blog.com",379],["hobby-museum.com",379],["blog.kaerucloud.com",[379,491]],["hamachan.info",[379,1694]],["danchitsuma.bishojo-oppai.com",[381,382]],["erodouga-onaking.com",[381,382]],["etude000.com",[382,632,633]],["ero-mag.site",[382,3168,3442]],["biteki.com",383],["bizushiki.com",384],["blog-and-destroy.com",385],["blog-sim.com",386],["blogmimi.com",388],["legend-anime.com",388],["livemimi.com",388],["meidomimi.com",388],["newtongym8.com",[388,1218]],["mimiblo.com",389],["baseballchannel.jp",389],["business-mail.jp",[390,1907]],["n-seikei.jp",[390,2637]],["comic-pureri.jp",391],["gameranbu.jp",[391,2304]],["manga-comisol.jp",391],["bozumemo.blogspot.com",392],["irasuton.com",392],["eikaiwamastery.blogspot.com",393],["kaikore.blogspot.com",394],["kledgeb.blogspot.com",395],["sandalaudio.blogspot.com",396],["ssbsblg.blogspot.com",397],["yuchrszk.blogspot.com",398],["blueskyzz.com",399],["umasiru.com",399],["bob-an.com",400],["bookmeter.com",401],["game.boom-app.com",403],["kisetsumimiyori.com",[404,1002]],["reliphone.jp",404],["uptodate.tokyo",404],["brow2ing.com",405],["bucchinews.com",[407,408]],["kankeinai.blog.jp",408],["buhitter.com",409],["bukidobi.com",410],["korewaeroi.com",[410,1022]],["sagi-site.com",410],["xn--icktho51ho02a0dc.com",[410,1154,1619]],["sabatech.jp",[410,1368]],["heartlife-matome.com",[412,817]],["netakomori.blog.jp",412],["matome-tarou.ldblog.jp",[412,2466]],["valorantchannel.net",[412,3350]],["kijyomatome-ch.com",413],["konoyubitomare.jp",[413,1647,1874]],["business-textbooks.com",414],["businesschatmaster.com",415],["butsuyoku-gadget.com",416],["buzz-plus.com",417],["buzzfeed.com",418],["buzzyvox.com",[419,420]],["nna.jp",419],["c-camera.com",421],["chiebiyori.com",421],["coolbee1.com",421],["happy-news-style.com",421],["jsan-invest.com",421],["kikiki-fps.com",421],["shakinghip.com",[421,1417]],["animalbattles.wealthyblogs.com",421],["avianmedicine.jp",421],["mondra.jp",421],["noinfo-nolife.jp",421],["kokoro-racing.net",421],["spi.komaro.net",[421,3198]],["nyaasokuvip.net",421],["takapon.net",421],["c-dle.com",[422,423]],["more-gamer.com",423],["cad-data.com",424],["magazine.cainz.com",425],["carro-groce.com",[427,428]],["casabrutus.com",430],["cavolump.com",431],["cg-hentai.com",432],["cg-method.com",433],["xn--w8jtkjf8c570x.com",[433,1626]],["chaberi.com",434],["amachamusic.chagasi.com",[435,436]],["himanatokiniyaruo.com",[436,829]],["blog19.fc2.com",438],["chekibbs.com",439],["cinema-sketch.com",440],["kana-mari-shokudo.com",440],["otakaranet.com",[440,1118,1288,1293]],["throwsmallstone.com",440],["wholenotism.com",440],["daij1n.info",440],["ssaits.jp",440],["bestrank.tv",[440,3475]],["chichi-pui.com",442],["chihosoku.com",443],["dondonwork.com",443],["ikuji-news.com",443],["kijobibouroku.com",443],["kimagure-kijyo.com",443],["kusainews.com",443],["maromeru.com",443],["momoclomatomex.com",443],["nandemomatomedan.com",443],["nijimoemoe.com",[443,1231,1232]],["pachinkolist.com",[443,1300]],["rare-channel.com",443],["ringofred53.com",443],["shurabanote.com",443],["wiiups.com",443],["yappaero.com",443],["toralucky.fun",443],["zootennis.fun",443],["akege.blog.jp",443],["j02r.blog.jp",443],["moemoeanime.blog.jp",443],["mon-st.blog.jp",443],["badminton.doorblog.jp",443],["buybuykorea.doorblog.jp",443],["egm.doorblog.jp",443],["idolgekijyo.doorblog.jp",443],["mankai-zakura.doorblog.jp",443],["mashlife.doorblog.jp",443],["shingekikyojin.doorblog.jp",443],["love-history.jp",443],["takegon.jp",443],["kagekidan.net",443],["shuraba.net",443],["uwasakijo.net",443],["taorun.xyz",443],["chijofile.com",[444,445,446]],["chijolog.com",[444,447]],["tekokeyland.com",[444,447]],["maniacture.com",[445,1082]],["chikuwachan.com",448],["chizaizukan.com",449],["chobirich.com",450],["chosunonline.com",451],["chouseisan.com",452],["cinemag-eiga.com",453],["clicccar.com",[454,455]],["moez-m.com",[454,508,1115,1136,1137,1138]],["erostopics.net",[454,3127]],["japan.cnet.com",458],["cocktaillog.com",459],["daeki-mania.com",460],["cocokara-next.com",461],["coindeskjapan.com",462],["coliss.com",[463,464]],["glam.jp",[463,2323]],["collabo-cafe.com",465],["color-hiyoko.com",466],["paiza.hatenablog.com",466],["namakeru.com",[466,1183]],["nekopictures.net",[466,1291]],["wackwack.net",466],["wanabe.net",[466,1100]],["psych0h3ad.tech",466],["comedydouga.com",467],["comic-days.com",468],["comic-walker.com",469],["koku-byakunews.com",470],["comione.com",471],["portal.connectedgamestore.com",472],["yahoo-jp.portal.connectedgamestore.com",473],["connpass.com",474],["conveni-now.com",[475,476,477,478]],["discka.com",[476,477,478]],["shisha-press.com",[476,478]],["smopia.com",[476,477,478]],["exogear.jp",477],["iqos-laboratory.com",478],["cookien.com",479],["cookpad.com",480],["coordisnap.com",481],["corocoro-tabi.com",482],["tvanimemuryoudouga.com",[482,516,521,860,1541]],["moqlog.jp",[482,515,535,1562,2619]],["hmd.site",[482,3353]],["coromoo.com",[483,484]],["news.denfaminicogamer.jp",[484,2011,2197,2198,2199]],["cosmopolitan.com",485],["elle.com",485],["esquire.com",485],["harpersbazaar.com",485],["womenshealthmag.com",485],["25ans.jp",[485,1744]],["ellegirl.jp",[485,2249]],["fujingaho.jp",[485,2278]],["costcotuu.com",486],["crankyseven-k.com",487],["crossbike-navi.com",488],["crx7601.com",[489,490]],["blue-archive.doorblog.jp",489],["csharpprogram.com",491],["mayukitchen.com",[491,1101]],["nullnote.com",491],["parlourfullslotl.com",[491,1311]],["paso-kake.com",[491,1312,1313,1314]],["economical.co.jp",[491,1980]],["hoshujapan.jp",[491,2368]],["tokyoupdate.jp",[491,2909]],["cysoku.com",493],["daifuku-diary.com",496],["dailynkjp.com",497],["dailynk.jp",497],["drama.damebito.com",498],["kansou.me",[498,3018]],["danna-shine.com",[499,500,501]],["dokuoya-shine.com",[500,533]],["traveltoku.com",[501,1534]],["danshihack.com",502],["darumasangakoronda.com",503],["manga-cosplay.com",503],["dazn.com",504],["dddfont.com",505],["frames-design.com",505],["fukidesign.com",505],["kage-design.com",505],["calligra.design",505],["ddnavi.com",[506,507]],["kakakumag.com",[507,964]],["deai-help.com",508],["gadget2ch.com",[508,724]],["geinomatome.com",508],["otonano.info",508],["blog.syumikatu.info",508],["toolmania.info",[508,1635,1729]],["curo.jp",508],["kinggonzalez.net",[508,3195]],["gameleaks.org",[508,3404]],["dechisoku.com",509],["hobby.dengeki.com",510],["famitsu.com",[511,639]],["wiki.dengekionline.com",513],["wiki.famitsu.com",513],["wiki.denfaminicogamer.jp",513],["tousatu-club.com",[514,599,1184,1340,1530]],["column.ifis.co.jp",[515,2004]],["kids-zoo.com",[516,995]],["kurashinofusen.com",516],["asobou.co.jp",516],["nknews.jp",[516,633,2723]],["nkreport.jp",516],["i-think-it.net",516],["ff14.playguide2.net",518],["denwam.com",519],["design-remarks.com",520],["iscle.com",[520,892]],["digihows.com",523],["dl-x.com",526],["dmm.com",527],["dmm.co.jp",527],["eikaiwa.dmm.com",528],["jetstar.com",528],["might-co.com",528],["bunshun.jp",[528,1904]],["wealthadvisor.co.jp",[528,2144]],["gizmodo.jp",[528,2320,2321,2322]],["hanakomama.jp",528],["retty.me",[528,3029]],["109cinemas.net",[528,3039]],["techno-edge.net",[528,1370,3328]],["hentai-covers.site",528],["4545.to",528],["p-town.dmm.com",529],["dng65.com",530],["min.dododori.com",531],["doktornakanoblog.com",532],["dorama9.com",[534,535]],["english-speaking.jp",535],["womanlife.online",[535,1138,3060,3395]],["douga-getter.com",536],["doujin-rpgfan.com",[537,538]],["doujinnomori.com",539],["doujinsokuhou45.com",540],["dq8clear.com",542],["game-gundam.com",542],["khclear.com",542],["moeyo.com",[542,1134,1135]],["himado.in",[542,1676]],["fm-p.jp",542],["bi-girl.net",[542,3074]],["dqclear.com",543],["dqw-game.com",544],["dqwiki.com",545],["dragonquest11.com",545],["dragonquest9.com",545],["gustwiki.com",545],["laytonwiki.com",545],["mariokartwiki.com",545],["pokemon-wiki.com",545],["zapanet.info",[545,1736]],["draft-repo.com",546],["dragonball-neta.com",[547,548,549]],["xn--8uqt3cty5bwwbwwh.xyz",[547,548,613,3515]],["vimv.site",[548,549,3446]],["dragoooon.com",[550,551]],["corriente.top",[551,3468]],["driveplaza.com",552],["dtmstation.com",553],["dupcar-event.com",554],["dvdrev.com",555],["momojirinouen.com",557],["e-kodate.com",558],["hinakira.com",560],["rubiconbrewing.com",560],["voiceplus-php.jp",560],["e-penguiner.com",561],["fran-shushoku.com",561],["hegtel.com",561],["spla3sokuhou.games",[561,806]],["napgames.jp",561],["cybersocean.net",[561,3097]],["e-venz.com",562],["ear-phone-review.com",563],["blog.earthyworld.com",564],["dragon-quest.jp",564],["eatout-hack.com",565],["ecnomikata.com",566],["egotter.com",567],["eiga.com",568],["eiga-watch.com",569],["anime.eiga.com",570],["tv.eiga.com",571],["eigajoho.com",572],["ekitan.com",573],["electrictoolboy.com",574],["elog-ch.com",575],["emonzyaku.com",576],["galleria.emotionflow.com",577],["emuokunmaster.com",578],["enrichoneslife.com",579],["bitwave.showcase-tv.com",[579,1429,1430]],["n-tel.co.jp",579],["entnavi.com",[582,583]],["inkyagamer.com",[583,878]],["ero-an.com",584],["eroanime-movie.com",585],["eroanimejk.com",586],["glamoroustube.com",[586,633,773]],["erobanach.com",587],["erodaizensyu.com",588],["erodougameijin.com",590],["erodougazo.com",[591,592]],["city.yatsushiro.lg.jp",[591,2446]],["erodoujinjohoukan.com",593],["eroelog.com",[595,596,597]],["tyoieronews.blog.jp",[595,1890,1891]],["entax.news",597],["pinkch.eroelog.com",598],["smartparty.jp",599],["erogazo-ngo.com",[601,602]],["erogazopple.com",[602,605]],["roshutu-shuuti.net",604],["erogazou-pinkline.com",606],["itaeromanga.com",[607,618,898]],["erogematome.com",609],["japan-hentai.com",610],["xn--o9j0bk1914a8b2b.com",[610,1019]],["erologz.com",[612,613]],["eromanga-jkschool.com",614],["tokueromanga.com",614],["eromanga-mainichi.com",615],["eromanga-school.com",616],["eromanga-time.com",619],["eromangajukujo.com",620],["eromazofu.com",621],["eromenskan.com",622],["erommdtube.com",623],["oreno3d.com",[623,1285]],["eronomoto.com",624],["eropasture.com",625],["eropuru.com",626],["erota2.com",628],["sumahodata.com",[631,1395,1472]],["eventernote.com",634],["english.evidus.com",635],["passnavi.evidus.com",636],["f1jouhou2.com",637],["fami-geki.com",638],["app.famitsu.com",640],["fashionsnap.com",641],["fc1adult.com",642],["fc2.com",[643,644]],["admin.blog.fc2.com",645],["beastmodeblock.blog.fc2.com",646],["gadgetdamage.blog.fc2.com",647],["gamemod.blog.fc2.com",648],["helpsupport.blog.fc2.com",648],["gtoys.blog.fc2.com",[649,650]],["wakudan.seesaa.net",649],["yoshidakenkou.net",649],["h723.blog.fc2.com",651],["infoany.blog.fc2.com",652],["joker004.blog.fc2.com",[653,654]],["newero1.blog.fc2.com",[655,656]],["newota.blog.fc2.com",[655,656]],["newresu1.blog.fc2.com",[655,656]],["newyaku.blog.fc2.com",[655,656]],["newmofu.doorblog.jp",656],["newssokuhou666.blog.fc2.com",657],["dokuo666.blog98.fc2.com",657],["northwood.blog.fc2.com",658],["uwagakisimasuka.blog.fc2.com",660],["workingnews.blog117.fc2.com",661],["katuru2ch.blog12.fc2.com",662],["blog47.fc2.com",664],["contents.fc2.com",665],["japan-baseball.jp",665],["adult.contents.fc2.com",666],["chara.ge",[667,1674]],["video.laxd.com",[669,1049]],["live.fc2.com",670],["web.fc2.com",672],["123hrs.web.fc2.com",673],["denkinyumon.web.fc2.com",674],["x.fc2.com",675],["fc2hub.com",676],["femimatsu.com",677],["ferret-plus.com",678],["ff14hikasensokuhou.com",679],["iyaaaao.doorblog.jp",679],["fig-memo.com",[680,681]],["figure-times.com",682],["kamikouryaku.com",[682,969]],["kamikouryaku.net",682],["filmarks.com",684],["kahoku.news",[686,3382]],["mi-mollet.com",[687,1113,1114]],["automesseweb.jp",[688,1824]],["number.bunshun.jp",[688,1906]],["nlab.itmedia.co.jp",[688,1176,2019,2021]],["flashff-blog.com",690],["fnjpnews.com",[691,692]],["sexx.fans",691],["happy-to-know.com",692],["waction.org",692],["anabundantlife.site",692],["48idol.tv",[692,3470]],["football-2ch.com",693],["jbpress.ismedia.jp",[694,2397]],["forestofbreast.com",696],["formula1-data.com",697],["forzastyle.com",698],["freeimages.com",699],["freekontaktina.com",700],["city.kitami.lg.jp",702],["fresheye.com",703],["friends-esl.com",705],["sql55.com",705],["fruitfulenglish.com",706],["funemaga.com",707],["chowari.jp",707],["funny-ai.com",708],["futakuro.com",[709,710,711]],["may.nijiura-doll.info",[711,1715]],["fx-hakase.com",712],["adult-vr072.net",713],["jpmediadl.com",715],["nme-jp.com",[715,1250]],["fx-rashinban.com",716],["luchs.fxproject-blog.com",717],["fxshihyo.com",718],["ga-m.com",[719,720]],["gachi-matome.com",721],["natuyuki.com",722],["gadgerba.com",723],["gagetmatome.com",725],["tabkul.com",725],["gakkykun-game.com",726],["game-pc-bu.com",727],["i486.mods.jp",[727,2612]],["gameboku.com",728],["yjgames.gamedistribution.com",729],["gamefavo.com",730],["gamejksokuhou.com",731],["gamepix.com",732],["gamerch.com",[733,734,735]],["altema.jp",[735,1260,1778,1779]],["gamers-labo.com",736],["gaming-city.com",[737,738]],["kk-bestsellers.com",[738,1006]],["diamond.jp",[738,2200,2201]],["gamingdeputy.com",[739,740,741,742]],["hampee.com",741],["dietpartner.jp",[741,2204]],["javfree.me",742],["ganganonline.com",743],["gazounabi.com",744],["gazyekichi96.com",[745,746]],["josona.com",746],["speed.gigafile.nu",746],["ge-soku.com",747],["geartics.com",748],["geinou-nude.com",749],["geinou-sexy.com",750],["geinoujam.com",751],["geinoukame.com",752],["gekimatosoku.com",753],["gemelog.com",754],["gennji.com",755],["gentosha-go.com",756],["genxy-net.com",757],["gesoten.com",758],["kantangame.com",[758,976]],["kantan.game",[758,1672]],["yomipo.yomiuri.co.jp",758],["game.hiroba.dpoint.docomo.ne.jp",758],["getsuvolley.com",760],["getuploader.com",761],["ghibli-tosidensetu.com",764],["giants-news.com",765],["gigaho.com",[766,767,768]],["logworker.net",[766,767]],["ginzamag.com",769],["girlsvip-matome.com",[770,771]],["gundamlog.com",[771,787,788]],["jiji-kue.com",771],["kichimamasenki.com",771],["en.user-info.net",771],["girlswalker.com",772],["2ji.pink",[773,3058,3425]],["go2senkyo.com",774],["goal.com",775],["impress.co.jp",775],["gogakuru.com",776],["gogo-miyagi.com",777],["camphack.nap-camp.com",[777,1194]],["izuhack.akao-hotel.co.jp",777],["goldage26000.com",778],["jpprepper.com",778],["golfnettv.com",779],["golfsapuri.com",780],["goo-net.com",781],["good-summary.com",782],["gosunkugi.com",783],["pinkpanfan.com",[783,1182]],["yoshitechblog.com",783],["avitter.net",[783,3071]],["vrc.wiki",783],["grasma.com",784],["pr-park.com",[784,1347,1348]],["saikyo-jump.com",786],["matomeblade.com",788],["ge-sewa-news.blog.jp",[788,1866]],["sunri2525.blog.jp",[788,1888]],["jukenbbs.com",[789,947]],["hadakanonude.com",[792,793,794]],["2ch-c.net",[794,1537,1891,3041]],["exploader.net",[794,3133]],["the-3rd.net",794],["ukemi-no-kiwami.work",[794,1116,3501]],["hamapita.com",796],["hashirou.com",[798,799]],["seesaawiki.jp",[799,2822]],["mayoinu.com",[800,1100]],["anou4649.hatenablog.com",802],["noaboutsnote.hatenablog.com",802],["nomolk.hatenablog.com",802],["blog.munieru.jp",802],["b-taro.hatenablog.com",[803,804]],["yoima2.hatenablog.com",803],["kimpalife.com",803],["kobonemi.com",803],["kakkoii-kosodate.info",803],["blog.mshimfujin.net",803],["yume-ututu.hatenablog.com",804],["blog.treedown.net",804],["blog.hatenablog.com",805],["kuku81kuku81.hatenablog.com",806],["hikasango.com",[806,827]],["ryonkoroblog.com",806],["nagano07.hatenablog.com",807],["omoshiro-hasshin.hatenablog.com",[807,809]],["valuable.hatenablog.com",807],["hotentry.hatenablog.jp",[807,809,2348]],["kansou-blog.jp",[807,2432]],["tamakino.hatenablog.com",810],["yagan.hatenablog.com",811],["kdrm4.com",811],["mtgoversears.com",811],["rojiuragame.com",811],["souda-kansai.com",811],["gigafile.ltd",811],["yoima.hatenadiary.com",812],["tadahome.info",812],["blog.amedama.jp",812],["hb-nippon.com",815],["hdouga.com",816],["heavy-peat.com",818],["hessionchiro.com",820],["spankbang-dl.com",822],["popjav.in",822],["javprime.net",822],["doujinantena.top",[822,1143]],["javmix.tv",[822,3480]],["hicbc.com",823],["hikak.com",824],["shindans.com",824],["doga.hikakujoho.com",825],["hikaritube.com",826],["nukistream.com",[826,1260]],["poyopara.com",826],["sugirl.info",826],["iqoo.me",826],["erry.one",826],["hikkoshi-line.com",828],["rokemoba.com",[828,1385]],["himasoku.com",830],["himeb.com",831],["opantsu.fun",831],["win10labo.info",[831,1733]],["himmel-ellipse.com",[832,833]],["inshokuten.com",832],["kaiten-heiten.com",[832,957]],["xn--zckm5bnq2mpa6a1fz490bkx4ayzmvi9g.com",832],["hinapishi.com",834],["biz.hino-tama.com",835],["hinokoto.com",836],["hiragana46matome.com",837],["toriizaka46.jp",[837,2912]],["hiroburo.com",838],["his-vacation.com",839],["hisshobon.com",840],["ictmakes.com",840],["gogen-yurai.jp",840],["hitoikigame.com",841],["hitorinokurasi.com",842],["hkokuhaku.com",844],["hnalady.com",845],["hobbylabon.com",846],["hobonichielog.com",847],["kanto.hostlove.com",849],["libae.jp",850],["how-to-inc.com",851],["hre-net.com",854],["htmq.com",855],["i-like-seen.com",857],["utagejima.jp",[861,2945]],["icon-surfer.com",863],["me-her.com",[864,1102]],["jn1et.com",865],["boshisoukan.net",865],["idle-girl.com",866],["idol-blog.com",867],["ign.com",868],["ikebukuro-times.com",869],["ikikuru.com",870],["ikioi-ranking.com",871],["live-ranking.com",871],["peritter.com",871],["soraweb.net",871],["inakadaisuki.com",873],["inazumanews2.com",[874,875]],["vw.mangaz.com",[874,1081]],["androck.jp",874],["incident-wo.com",876],["sironet.work",876],["infraexpert.com",877],["instagrammernews.com",[880,881]],["utaten.com",[880,1568,1569]],["rakuten-sec.co.jp",[880,2088]],["intensive911.com",882],["inter-edu.com",883],["inutomo11.com",884],["ipentec.com",885],["irasutoya.com",[887,888]],["nengaya.net",888],["irodorich.com",[889,890]],["kemochan.com",889],["iroirosokuhou.com",891],["ita-do.com",[893,894,895]],["tekoki-fuzoku-joho.com",[893,1499]],["kichikuou.com",[895,993]],["ore-nijigazo.com",[895,1284]],["doujinhibiki.net",[895,3109]],["itachirin.com",[896,897]],["xn--pckyeuc8a9327cbqo.com",[897,1621]],["itaishinja.com",[901,902]],["monhan-mhw.com",[901,1150]],["jisakuhibi.jp",[901,2404]],["iyuto.com",903],["izzetmtgnews.com",904],["j-cast.com",905],["j-cia.com",907],["jan39.com",909],["mag.japaaan.com",910],["japacrunch.com",911],["japan-railway.com",[912,913]],["newbalance-days.com",[913,1209]],["japan-secure.com",914],["japanjournals.com",915],["japanmetal.com",916],["jav321.com",917],["jav380.com",918],["javarchive.com",919],["javbus.com",920],["javcup.com",922],["javkun.com",923],["javple.com",924],["javtheater.com",925],["javtiful.com",926],["javtwi.com",927],["jidoushatounan.com",928],["jiei.com",929],["jiji.com",930],["jin115.com",[931,932]],["yurukuyaru.com",[932,1651]],["jishin-yogen.com",[933,934,935]],["uwakich.com",[934,1570]],["hrs-game.main.jp",[935,2553]],["main-hrs-game.ssl-lolipop.jp",[935,2553]],["jiwasoku.com",936],["jm1xtk.com",[937,938]],["allabout.co.jp",[938,1953]],["city.soka.saitama.jp",938],["cmnw.jp",[940,1944]],["johojima.com",941],["johotaxi.com",942],["mcsg.co.jp",[942,2050]],["jpnumber.com",945],["jpopblog.com",946],["zch-vip.com",[948,1656]],["juniorsoccer-news.com",[950,951]],["rezv.net",951],["jyoshianaguguru.com",952],["kabegamikan.com",954],["kabu-sokuhou.com",955],["kaigainoomaera.com",956],["otonanovr.com",[957,1297]],["kajidore.com",958],["kakaku.com",959],["bbs.kakaku.com",960],["hoken.kakaku.com",961],["news.kakaku.com",962],["waterserver.kakaku.com",963],["kakao-bbs.com",965],["line-bbs.manzoku100.com",965],["kakijun.com",966],["kakomonn.com",[967,968]],["inacity.jp",967],["kanajo.com",[970,971]],["blogterest.net",[971,3077]],["kandatasokuho.com",[972,973]],["buzzap.jp",[973,1910]],["c-ute.doorblog.jp",973],["cupmen.org",973],["kanjitisiki.com",[974,975]],["yuuu-nii.com",974],["atwiki.jp",[974,1810]],["kachimai.jp",974],["research-er.jp",[974,2799]],["city.kakegawa.shizuoka.jp",974],["city.imizu.toyama.jp",974],["t-mall.kantangame.com",977],["kantsuri.com",978],["kashi-mo.com",980],["kasioda.com",981],["kateigaho.com",982],["jma.go.jp",[982,2325]],["jma-net.go.jp",[982,2325]],["novelup.plus",982],["katuru.com",983],["kazu-log.com",984],["colombiacolom.net",[984,3091]],["keibana.com",[985,986]],["iko-yo.net",[986,3173]],["keitaijoho.com",[988,989]],["somanystars.net",[989,3317]],["ken-g.com",990],["kensetsunews.com",991],["kijonotakuhaibin.com",996],["baiku-sokuho.info",[997,1683]],["kijyomita.com",998],["kingsmor.com",999],["ygkb.jp",999],["kinimininaru.com",1000],["kaigainohannou.info",1000],["kintore-style.com",1001],["blog.thetheorier.com",[1002,1291]],["rapidtables.org",1002],["kissfx.com",1003],["kmansin09.com",1007],["knshow.com",1008],["kodate-ru.com",1009],["sumu-lab.com",1009],["sumu-log.com",1009],["koe-koe.com",1010],["koimemo.com",1011],["kojimajan.com",1012],["kokodane.com",1013],["kokuchpro.com",1015],["kokuhakutaiken.com",[1016,1017]],["netoraretaiken.com",1017],["kokunanmonomousu.com",1018],["konest.com",1020],["konootokonoko.com",1021],["oppaimall.com",1021],["imagis.jp",1021],["costype.net",1021],["koreyome.com",1023],["koro-pokemon.com",[1024,1025]],["biz-journal.jp",[1025,1845,1846,1847]],["umk.co.jp",1025],["onlinegamer.jp",[1025,2739]],["kosoch.com",1026],["kotowaza-allguide.com",1027],["koufuku-eki.com",1028],["koutchan.com",1029],["sai-kurashi.com",1029],["unjyou.com",1029],["umihiro.hateblo.jp",1029],["financepensionrealestate.work",1029],["kryk55.com",1030],["kyokugen.info",1030],["xn--10-yg4a1a3kyh.jp",1030],["news.kstyle.com",1031],["kumanichi.com",[1032,1033]],["pepy.jp",1033],["rkb.jp",[1033,2803]],["kumiko-jp.com",1034],["kurashiru.com",1035],["hikaku.kurashiru.com",1036],["pixiv.kurocore.com",[1037,1038]],["wws-channel.com",1038],["craftbeer-tokyo.info",[1038,1684]],["kurokawa707.com",1039],["kuroyonhon.com",[1040,1041]],["g-journal.jp",[1041,1846,1847,2290,2291]],["japan-indepth.jp",[1041,2403]],["beautifullywhitening.work",[1041,3490,3491]],["contents-group.work",[1041,1847,2291,3490,3491,3492,3493,3494]],["mineralfoundation.work",[1041,3490,3491,3494]],["nailcolor.work",[1041,1847,2291,3491,3492]],["nailenamel.work",[1041,3490,3491]],["kurusoku.com",1042],["kusurinomadoguchi.com",1043],["kyoteibiyori.com",1044],["kyukyoku-matome.com",1045],["musenboya.com",[1045,1170]],["nasubiblog.com",1045],["kyunto.com",1046],["labaq.com",1047],["laboradian.com",1048],["life-gogo.com",[1051,1052]],["zatsubitown.com",[1052,1653]],["lifeantenna.com",1053],["2ch-2.net",1053],["2ch-n.net",1053],["livechatdogaj.com",1054],["news.livedoor.com",[1055,1056]],["toyamadays.com",1055],["gata21.jp",1055],["lurenewsr.com",1057],["lyrical-nonsense.com",1058],["tuma.jp",[1060,2922,2923,2924,2925,2926,2927,2928,2929,2930]],["tumadouga.jp",[1060,2924,2926,2931,2932]],["hime.me",[1060,2923,2924,2927,2929,3014,3015]],["konyoku.net",[1060,2923,2924,2925,2927,2928,2929,2932,3014,3199]],["i-bbs.sijex.net",[1060,3306]],["toukou.tv",[1060,2923,2924,2925,2927,2930,3484]],["mabui-onna.com",1062],["mag2.com",[1063,1064]],["tripeditor.com",[1064,1536]],["maiuma.com",1065],["majandofu.com",1066],["majikichi.com",[1067,1068]],["ronsoku.com",1067],["makuring.com",1069],["manbooo.com",1070],["manetatsu.com",1071],["omansoku.com",1074],["sakasa-panty.com",1074],["shibukoi.com",1074],["towatowa.net",[1074,3339]],["mangahack.com",[1076,1077]],["soco-st.com",[1076,1447]],["mangalog.com",1078],["mangapedia.com",1079],["mangaz.com",1080],["manimax.com",1083],["marandr.com",1084],["mari-soku.com",1085],["marieclairejapon.com",1086],["daily.co.jp",[1086,1976]],["estate.nikkan.co.jp",[1086,2062]],["post.tv-asahi.co.jp",[1086,2140]],["39mag.benesse.ne.jp",[1086,2649]],["mart-magazine.com",1088],["maruhorror.com",1089],["match.com",1091],["math-travel.com",1092],["win-tab.net",[1092,3363]],["matome-plus.com",1093],["matomeantena.com",1094],["matomecup.com",[1095,1096]],["shibarism.com",[1096,1419]],["news.matomegamer.com",1097],["matomelotte.com",1098],["multirecommend.com",1101],["yugioh-resaler.com",1101],["zatsugaku-company.com",[1101,1654]],["juantonto.official.jp",1101],["meiwasuisan.com",1104],["memopanda.com",1107],["eroiro.info",[1107,1688]],["bluelady.jp",[1107,1897]],["mercari.com",[1108,1109]],["fril.jp",[1108,2086,2275]],["mhw-matome.com",[1111,1112]],["sumahoinfo.net",[1115,1116,1137,3322]],["starworldtrend.com",[1117,1459,1460,1461]],["milcow.com",1119],["mildch.com",1120],["milkberry.com",1122],["minkch.com",1126],["minsalo.com",1127],["minyu-net.com",1128],["misuzu-message.com",1129],["eatmania.jp",1129],["kirei-lab.jp",1129],["hugnet.life",1129],["myphotostyle.org",1129],["mm9845.com",1131],["mmd-list.com",1132],["moe-vip.com",1133],["rankingoo.net",[1134,1437,3276]],["nihongoka.com",[1138,1228]],["saitamarket.com",1138],["shicony.com",[1138,1420]],["xn--f6q12aj29i.com",[1138,1614]],["mogeringo.com",1139],["moguravr.com",1140],["momoiroadult.com",1141],["momoniji.com",1144],["mona-news.com",1145],["monamona2525.com",1146],["uragi.com",1146],["media.moneyforward.com",1149],["mosaic-jack.com",1152],["moshi-nara.com",1153],["moti-soku.com",1154],["movie-rush.com",1156],["moyugenn.com",1157],["mozakin.com",1158],["bbs4.mozakin.com",[1159,1160]],["nagasaki-np.co.jp",[1160,2055]],["msn.com",1161],["mudainodocument.com",[1163,1164,1165]],["nieru.net",1164],["kanasoku.info",[1165,1702]],["mukulog.com",1167],["munesada.com",1168],["muragon.com",1169],["mutyun.com",1171],["my-best.com",1172],["mymo-ibank.com",1174],["mysterynavi.com",[1175,1176,1177]],["n-styles.com",1178],["campus-hub.jp",1180],["fukuishimbun.co.jp",[1180,1973,1991,1992]],["gigafree.net",[1180,1921,3156]],["japohan.net",1182],["namba-osaka.com",1184],["naming-dic.com",[1185,1186]],["hatsuon.info",1185],["comic.nan-net.com",[1189,1190]],["eleking.net",[1190,3117]],["nanasepn.com",1191],["naoblogpcgame.com",1193],["narutonti.com",1196],["navinavi-hoken.com",1198],["nazolog.com",1199],["nazoq.com",1200],["nekotto-life.com",1202],["play.neos-easygames.com",1203],["ycp.synk-casualgames.com",1203],["net-frx.com",1204],["netkeiba.com",1205],["nar.netkeiba.com",1206],["netorarezukiview.com",1207],["new-akiba.com",1208],["supportcenternavi.com",1209],["you1news.com",[1209,1641]],["newmatoan.com",1210],["newmatosoku.com",1211],["newsee-media.com",[1214,1215]],["htb.co.jp",1215],["news.tv-aichi.co.jp",1215],["reader.futabanet.jp",[1215,2289]],["lisani.jp",1215],["yomuno.jp",1215],["newsmatomedia.com",1216],["newsmomonga.com",1217],["nfljapan.com",1219],["nicheee.com",1220],["nichepcgamer.com",[1221,1222]],["nifty.com",1223],["game.nifty.com",1224],["repiiii.goo.ne.jp",1224],["myhome.nifty.com",1225],["nihon-eiga.com",1227],["nijiero-view.com",1229],["nijifeti.com",1230],["javdougaero.xxxblog.jp",[1231,2985]],["nijitoraware.com",1233],["app-liv.jp",[1234,1796]],["nikkanerog.com",1237],["nikkansports.com",1238],["p.nikkansports.com",1239],["nikke-jp-news.com",1240],["nikkei.com",1241],["business.nikkei.com",1242],["magazine.nikkei.com",1243],["woman.nikkei.com",[1244,1245]],["active.nikkeibp.co.jp",[1244,2064]],["bio.nikkeibp.co.jp",[1244,2065]],["nfm.nikkeibp.co.jp",[1244,2066]],["xtech.nikkei.com",1246],["xtrend.nikkei.com",1247],["nitiweb.com",1249],["games.nme-jp.com",1251],["nocturne-tokyo.com",1252],["nomad-saving.com",1253],["nonbirikimama.com",1254],["norisoku.com",[1255,1256]],["densetsunokijo.net",1255],["celery.diary.to",[1255,3454]],["ntrblog.com",1257],["nukemanga.com",1258],["nuki-dou.com",1259],["twi-videos.net",1260],["nullpoantenna.com",1261],["o-uccino.com",1262],["oceans-nadia.com",1263],["ohtabooks.com",1264],["oisiso.com",1265],["okanenews24.com",1266],["okashimart.com",1267],["mako69037965.tokyo",1267],["olive-hitomawashi.com",1269],["onani-daisuki.com",1270],["iphone.onani-daisuki.com",1271],["wara2ch.com",[1271,1587]],["workch.jp",[1273,1274]],["oniyomediary.com",1275],["ontomo-mag.com",1276],["ooiotakara.com",1277],["oppai-paipai.com",[1279,1280]],["adult-gazou.me",1279],["dougle.one",[1279,3388]],["oppainorakuen.com",1281],["oppaisan.com",1282],["oshinpoke.com",1291],["under-taker.com",1291],["osiri-suki-club.com",1292],["otonano-shumatsu.com",1296],["oyako-kufu.com",1299],["paipan-holic.com",1302],["pakosen.com",1303],["panchiragazo.com",1305],["monolog.r-n-i.jp",1305],["btnmaker.me",[1305,3006]],["fig-memo-r18.site",[1305,3439,3443]],["pandachirari.com",1306],["panty-kiwami.com",1307],["plus1world.com",[1307,1340]],["xn--u9j3iub5080abs7bxbc.com",[1307,1623]],["utakata.work",1308],["parashuto.com",1310],["xn--cbkxbyfwj.net",[1312,3370]],["solodc2017.com",1314],["automove.jp",[1314,1825]],["run-way.jp",1314],["passlotime.com",1315],["pazusoku.com",[1315,1319]],["patanouchi.com",1316],["pathee.com",[1317,1318]],["pcrecommend.com",1320],["peepxx.com",1321],["peko-step.com",1322],["petyado.com",1323],["city.yachiyo.chiba.jp",1325],["photo-tea.com",1329],["photosku.com",1330],["picb2.com",1331],["a.picb2.com",1332],["pinktower.com",1333],["pisuke-code.com",1334],["pixiin.com",1335],["piyonote.com",1336],["playlearnlife.com",1339],["pointtown.com",1342],["poipiku.com",1343],["pokemasujikaku.com",1344],["pokemonbbs.com",1345],["pokemongo-get.com",1346],["xn--zcka7aza6gyb9jd.net",1347],["pulpxstyle.com",1350],["punyu.com",1351],["puu-antenna.com",1353],["puzzle-ch.com",1355],["pvpoke-re.com",1356],["pwrtube.com",1357],["qiita.com",[1358,1359]],["travel.mdpr.jp",[1359,2571]],["syougi.qinoa.com",1360],["quick-timez.com",1361],["r18blog.com",1362],["raifuappu.com",1364],["rank1-media.com",1365],["rapidshare-com-files.com",1366],["rastaneko-blog.com",1367],["rbbtoday.com",[1368,1369,1370]],["s.cinemacafe.net",1369],["gamebusiness.jp",1370],["response.jp",[1370,1792,2078,2305,2802]],["roundup-gamers.jp",1370],["jpnculture.net",[1371,1553,3186]],["re-file.com",1372],["rebosoku.com",1373],["recipekensaku.com",1374],["record-now.com",1375],["recotripp.com",1376],["reikawatanabe.com",1377],["renso-ruigo.com",1378],["seibikai.co.jp",1380],["next.rikunabi.com",1381],["roboanime.com",1382],["robokumac.com",1383],["rocketnews24.com",1384],["youpouch.com",[1384,1643,1644]],["rugby-rp.com",1386],["ryoko-club.com",1387],["did2memo.net",1387],["sakidori-ch.com",1391],["sakuradot.com",1392],["gametohkenranbu.sakuraweb.com",1393],["sankei.com",[1396,1397]],["sanspo.com",[1397,1398]],["zakzak.co.jp",[1397,2176]],["iza.ne.jp",1397],["saokouryaku.com",1399],["hf.saokouryaku.com",1400],["sarah30.com",1401],["saruwakakun.com",1402],["satoshisss.com",1403],["web.save-editor.com",[1404,1405]],["emu.web-g-p.com",[1404,1594]],["scienceplus2ch.com",1406],["scoopersokuhou.com",1407],["screen-multimedia.com",1408],["second-storage.com",1409],["security-next.com",1410],["seikyouiku-illust.com",1411],["sekai-kabuka.com",1412],["realtime-chart.info",[1412,1720]],["sekainorekisi.com",1413],["html.seo-search.com",1414],["sexynude007.com",1415],["sexytvcap.com",1416],["shikakude.com",[1421,1422]],["dabun.net",1421],["shindanmaker.com",1423],["shirotomaster.com",1424],["shiroutosan.com",1425],["shogi-sanpo.com",1426],["shogis.com",1427],["headline.mtfj.net",[1427,3232]],["rookie.shonenjump.com",1428],["rdlp.jp",[1430,2792]],["silhouette-ac.com",1431],["sin-space.com",1432],["fumumu.net",[1434,1435]],["idou.me",[1436,3017]],["sirogohan.com",1439],["skebetter.com",1440],["skincare-univ.com",[1441,1442]],["soap-bbs.com",1445],["play.softgames.com",1448],["sophia-it.com",1449],["sozai-good.com",1450],["sp-mobile-blog.com",1451],["sp7pc.com",1452],["splatoon-torikara.com",1454],["spoilerplus.com",1455],["mangarawplus.net",1455],["sportingnews.com",1456],["squallchannel.com",1457],["stanby.com",1458],["zekamashi.net",[1460,3377]],["stats-japan.com",1462],["nurumayu.net",[1463,3247]],["studio-radish.com",1464],["studio-webli.com",1465],["valorantnews.jp",[1468,1508,1530,2947]],["suke10.com",1470],["suki-kira.com",1471],["cojicaji.jp",1472],["sumaoji.com",1473],["supercweather.com",1474],["sutekicookan.com",1475],["suzukikenichi.com",1476],["syakouba.com",1478],["syokuraku-web.com",1479],["yomou.syosetu.com",1480],["tabelog.com",1482],["s.tabelog.com",1483],["tabi-labo.com",1484],["tabicoffret.com",1485],["tabikobo.com",1486],["taxisite.com",1493],["teachios.com",1495],["techeyesonline.com",1496],["teitengame.com",1498],["tenmusume.com",1500],["teratail.com",1501],["tetsudo.com",1502],["gameden.jp",[1504,2296]],["thebest-1.com",1505],["thedigestweb.com",1506],["thenewslens.com",1507],["kyobun.co.jp",[1507,2041]],["gqjapan.jp",[1507,2331]],["huffingtonpost.jp",[1507,2379]],["news.nicovideo.jp",[1507,2714]],["peing.net",1507],["tiebukurojinsei.com",1508],["tipsfound.com",1509],["tktube.com",1510],["tm-webtools.com",1511],["to-corona-ex.com",1512],["togetter.com",1513],["twilog.togetter.com",1514],["tohyotalk.com",1515],["tok2.com",1516],["tokai-tv.com",1517],["tokyoartbeat.com",1518],["tokyoipo.com",1519],["tokyoloader.com",1520],["tomodachinpo.com",1521],["meitou.info",[1521,1708]],["tomonite.com",1522],["tool-taro.com",1524],["toramemoblog.com",1525],["toremaga.com",1526],["member.toremaga.com",1527],["toririnon.com",1528],["touhouyaruosure.com",1529],["tousatusin.com",1531],["traicy.com",1532],["trance-cell.com",1533],["trend-at-tv.com",1535],["tsurimatome.com",1537],["keyboard-dojo.net",1537],["number-place-puzzle.net",1537],["tunamod.com",1538],["tutitatu.com",1539],["tv-happening.com",1540],["freesoft.tvbok.com",[1543,1544]],["goguynet.jp",[1544,2328]],["twi-fans.com",1545],["twicomi.com",1546],["twiigle.com",1547],["twimaru.com",1548],["yakusokunosora.com",1548],["mioyamazaki.jp",1548],["webcommu.net",1548],["uchubiz.com",1549],["uelog.com",1550],["ugtop.com",1551],["umamusume-umapyoi.com",1552],["unityroom.com",1554],["uraaka.com",[1555,1556]],["movies.yahoo.co.jp",1556],["uraaka-joshi.com",1557],["urahame.com",1558],["urapic.com",1559],["city.kitahiroshima.hokkaido.jp",1564],["town.yoichi.hokkaido.jp",1564],["city.hiroshima.lg.jp",1564],["ero-anime.net",[1564,3120]],["uta5.com",1566],["utamap.com",1567],["fineboys-online.jp",1569],["movie.eroterest.net",[1569,3129]],["valorant4jp.com",1571],["viet-jo.com",1572],["life.viet-jo.com",1573],["vipperlog.com",1574],["kininaru-geinou-m.blog.jp",[1574,1873]],["vipsister23.com",1575],["virginbmw.com",[1576,1577]],["virginducati.com",1577],["voltechno.com",1579],["volumy.com",1580],["voyeurgeek.com",1581],["w-higa.com",1583],["wa-syo-ku.com",1584],["walkerplus.com",1585],["ramen.walkerplus.com",1586],["warotanikki.com",1589],["sp.jp.wazap.com",1591],["web-dev-qa-db-ja.com",1592],["web-engineer-wiki.com",1593],["web-kanji.com",1595],["webcreatorbox.com",[1596,1597]],["macaro-ni.jp",[1597,2082,2545]],["mainichikirei.jp",[1597,2556]],["webllica.com",1598],["weeklyandmonthly.com",1599],["weeklybcn.com",1600],["whatext.com",1601],["10mtv.jp",[1601,1740]],["kodansha.co.jp",1601],["digiday.jp",[1601,2205]],["city.shinjuku.lg.jp",1601],["teniteo.jp",1601],["psmk2.net",1601],["winxdvd.com",1603],["wordreference.com",1604],["jp.wsj.com",1606],["wwdjapan.com",1607],["www-creators.com",1608],["xn--1-td6bm19b.com",1609],["xn--eckhu0c0d1b5kcu5305ksfpb.com",[1610,1611]],["mixhost.jp",[1610,2601]],["xn--eckvas1f0ewfnc.com",1612],["xn--ipv6-yn4cxgwe959zqrkp58g.com",1620],["tousatu.xyz",1623],["xn--ecktc2ee4ct2a0f.xn--vcki1fxh883oon2c.com",1624],["xn--vekw70ybyi.com",1625],["xvideo-jp.com",1627],["yakuyoke-yakubarai-jinja.com",1630],["yamakei-online.com",1631],["yamareco.com",1632],["yaraon-blog.com",1633],["yaruo18book.com",1634],["yavtube.com",1636],["yawarakai.com",1637],["ygokamo.com",1638],["young-machine.com",1642],["4k8ktv.jp",1643],["yugioh-starlight.com",[1646,1647]],["koisoku.ldblog.jp",1647],["yuki0918kw.com",1650],["zakuzaku911.com",1652],["zatugaku-gimonn.com",1655],["japan.zdnet.com",1657],["zeiri4.com",1658],["zerosumonline.com",1659],["zettai-ero.com",1660],["zokugo-dict.com",1661],["fashiontechnews.zozo.com",1662],["zozovideo.com",1663],["zukan.com",1664],["zuuonline.com",1665],["fuelle.jp",[1665,2277]],["meow.fan",1666],["101010.fun",1667],["eegg.fun",1668],["eegg.dip.jp",1668],["gp-warau.fun",1669],["gampa.jp",[1669,2308]],["moeimg.net",[1671,3225]],["girlsnews.tv",1671],["funglr.games",1673],["kokuban.in",1677],["tech-camp.in",1679],["2game.info",1680],["urbanlife.tokyo",[1680,1842]],["9ketsuki.info",1681],["hentai.9ketsuki.info",1682],["kasegeru.blog.jp",[1683,1872]],["imas-cg.net",1683],["dqmj.info",1685],["ekilog.info",1686],["eorzean.info",1687],["frc-watashi.info",1689],["game-kouryaku.info",1690],["gaten.info",1691],["gogen-ejd.info",1692],["hangul-note.info",1695],["hello-work.info",1696],["hoge5ch.info",[1697,1698]],["meshinews.blog.jp",1698],["ibbs.info",1699],["b.ibbs.info",1700],["kekkonkatsu.info",1703],["kyouryu.info",1705],["lolwiki-note.info",1706],["masutabe.info",1707],["mybouzu.info",1710],["nijie.info",[1712,1713,1714]],["city.living.jp",[1713,2536]],["horne.red",[1713,1714,3433]],["nldot.info",1716],["pcinformation.info",1718],["porn78.info",1719],["search2ch.info",1721],["server-navi.info",1722],["server-setting.info",1723],["soundeffect-lab.info",1726],["taiyoukou-navi.info",1727],["tochidai.info",1728],["weather-gpv.info",1731],["webliker.info",1732],["wtpage.info",1734],["yaruo.info",1735],["2ch.io",1737],["1000mg.jp",1739],["1geki.jp",1741],["2-d.jp",1742],["25jigen.jp",1745],["akasatananj.2chblog.jp",1746],["aikodemoneyfactory.dreamlog.jp",1746],["elephant.2chblog.jp",1747],["footballnet.2chblog.jp",1748],["gahalog.2chblog.jp",1749],["rabitsokuhou.2chblog.jp",1752],["2chmatome2.jp",1753],["2monkeys.jp",[1754,1755]],["hobbylog.jp",[1755,2358]],["36kr.jp",1756],["47news.jp",1757],["4travel.jp",1758],["5urprise.jp",1760],["9db.jp",1762],["ad-contents.jp",1763],["ad-link.jp",1764],["adminweb.jp",[1765,1766]],["dbonline.jp",[1765,1766]],["howtonote.jp",[1765,1766,2373]],["javadrive.jp",[1765,1766,2373]],["webword.jp",1765],["adultexpo.jp",1767],["minigame.aeriagames.jp",1768],["agora-web.jp",1769],["city.anjo.aichi.jp",1770],["city.aomori.aomori.jp",1770],["hellonavi.jp",1770],["pref.ibaraki.jp",1770],["city.toride.ibaraki.jp",1770],["pref.kagoshima.jp",1770],["city.fujisawa.kanagawa.jp",1770],["city.yokosuka.kanagawa.jp",1770],["pref.kyoto.jp",1770],["lg.jp",[1770,1771,1928,2439]],["city.omura.nagasaki.jp",1770],["city.oita.oita.jp",1770],["city.sendai.jp",1770],["city.izunokuni.shizuoka.jp",1770],["city.arakawa.tokyo.jp",1770],["city.kita.tokyo.jp",1770],["pref.yamagata.jp",1770],["city.fuefuki.yamanashi.jp",1770],["pref.yamanashi.jp",1770],["tokunoshima-town.org",1770],["city.ichinomiya.aichi.jp",[1771,1772]],["city.nagareyama.chiba.jp",1771],["city.noda.chiba.jp",[1771,1773]],["city.obihiro.hokkaido.jp",1771],["city.kawanishi.hyogo.jp",1771],["city.takarazuka.hyogo.jp",[1771,1772]],["city.sagamihara.kanagawa.jp",1771],["city.zama.kanagawa.jp",1771],["city.suita.osaka.jp",[1771,2755]],["city.utsunomiya.tochigi.jp",[1771,2401]],["city.kokubunji.tokyo.jp",1771],["city.inazawa.aichi.jp",[1772,1773,1774]],["city.nishio.aichi.jp",1773],["city.obu.aichi.jp",1773],["city.tokai.aichi.jp",1773],["city.toyota.aichi.jp",1773],["city.amagasaki.hyogo.jp",1773],["city.morioka.iwate.jp",1773],["pref.iwate.jp",[1773,2401]],["city.chigasaki.kanagawa.jp",1773],["city.ebina.kanagawa.jp",1773],["city.akita.lg.jp",1773],["city.gifu.lg.jp",1773],["city.higashikurume.lg.jp",1773],["city.kariya.lg.jp",1773],["city.kasugai.lg.jp",[1773,2401]],["city.toyooka.lg.jp",1773],["city.tsukuba.lg.jp",1773],["city.urayasu.lg.jp",1773],["city.ise.mie.jp",1773],["city.iruma.saitama.jp",1773],["city.fussa.tokyo.jp",1773],["city.itabashi.tokyo.jp",1773],["city.suginami.tokyo.jp",1773],["city.wakayama.wakayama.jp",[1773,2401]],["city.kawasaki.jp",1774],["city.maizuru.kyoto.jp",1774],["city.higashiosaka.lg.jp",1774],["city.himeji.lg.jp",1774],["city.iga.lg.jp",1774],["city.ikoma.lg.jp",1774],["city.inzai.lg.jp",1774],["city.kyotanabe.lg.jp",1774],["city.kyoto.lg.jp",1774],["city.ogaki.lg.jp",1774],["city.osaka.lg.jp",1774],["city.tama.lg.jp",1774],["city.nagoya.jp",1774],["city.hirakata.osaka.jp",1774],["city.yao.osaka.jp",1774],["city.higashiomi.shiga.jp",1774],["city.komaki.aichi.jp",[1775,1776]],["city.fujieda.shizuoka.jp",1776],["pref.aichi.jp",1777],["gorillawiki.jp",1779],["ameba.jp",1780],["blogger.ameba.jp",1781],["manekai.ameba.jp",1782],["monoreco.ameba.jp",1783],["news.ameba.jp",1784],["official.ameba.jp",1785],["profile.ameba.jp",1786],["ananweb.jp",1788],["anikore.jp",1789],["anime-japan.jp",1790],["anna-media.jp",1793],["anniversarys-mag.jp",1794],["apowersoft.jp",1795],["games.app-liv.jp",1797],["mag.app-liv.jp",1798],["appbu.jp",1799],["applion.jp",1800],["appmedia.jp",1801],["artexhibition.jp",1802],["arukumachikyoto.jp",1803],["as-web.jp",1804],["asken.jp",1807],["asobeans.jp",[1808,1809]],["warau.jp",[1808,2951]],["w.atwiki.jp",1811],["news.audee.jp",1812],["audio-heritage.jp",1813],["city.iwaki.lg.jp",[1813,2486]],["aumo.jp",1814],["auone.jp",1815],["article.auone.jp",1816],["game.habits.auone.jp",1817],["portal.auone.jp",1818],["tenki.auone.jp",1819],["sqool.net",[1822,3319]],["axismag.jp",1826],["kobe-np.co.jp",[1829,2037]],["bangkok.jp",1830],["barks.jp",1831],["baseballking.jp",1832],["basketballking.jp",1833],["baskmedia.jp",1834],["beiz.jp",1835],["bellcurve.jp",1836],["bellemaison.jp",1837],["benesse.jp",1838],["bestcarweb.jp",1839],["bg-mania.jp",1840],["bike-news.jp",[1841,1842,1843]],["trafficnews.jp",[1841,2914]],["kuruma-news.jp",[1842,2456]],["biyou-seikei.jp",1844],["heisei-housewarming.work",[1847,2291,3492]],["studioglass.work",[1847,2291,3492,3499]],["bizspa.jp",1848],["blog-bootcamp.jp",1851],["2chnewsblog.blog.jp",1852],["2chopmt.blog.jp",1853],["3-559.blog.jp",1854],["akibablog.blog.jp",1855],["animecomic-pass.blog.jp",1856],["azurlanesokuhou.blog.jp",1858],["doujinerosenka.blog.jp",1861],["dragonquestwalk.blog.jp",1862],["fighters-kingdom.blog.jp",1863],["fireflyframer.blog.jp",1864],["g-soku.blog.jp",1865],["gunji.blog.jp",1870],["hadasirori.blog.jp",1871],["kyu3.blog.jp",1874],["anicobin.ldblog.jp",[1874,2463]],["world-fusigi.net",[1874,3367]],["mamekichimameko.blog.jp",1875],["manpukunews.blog.jp",1876],["mfujin.blog.jp",1877],["nanj-world.blog.jp",1878],["nogizaka-46bunno1.blog.jp",1881],["nogizaka46matomenoma.blog.jp",1882],["oppao.blog.jp",1883],["sakamichijyoho46.blog.jp",1884],["seikeidouga.blog.jp",[1885,1886]],["gamedaradara.doorblog.jp",1886],["sow.blog.jp",1887],["tozanchannel.blog.jp",1889],["umamusume-pakamusu.blog.jp",1892],["yu-gi5000guard.blog.jp",1893],["punisoku.blogo.jp",1896],["bookbang.jp",1898],["boxil.jp",1899],["bridge-salon.jp",1900],["brightdays.jp",1901],["brutus.jp",1902],["btblog.jp",1903],["adultlog.net",1903],["crea.bunshun.jp",1905],["businessinsider.jp",1908],["buywrite.jp",1909],["caloo.jp",1912],["cancam.jp",1914],["car-me.jp",1915],["car-moby.jp",1916],["news.careerconnection.jp",1918],["careergarden.jp",1919],["cartoonnetwork.jp",[1920,1921]],["keisan.casio.jp",1922],["cgworld.jp",1925],["chatpad.jp",1926],["city.abiko.chiba.jp",1927],["city.chiba.jp",1928],["city-kirishima.jp",1928],["pref.ehime.jp",[1928,2245]],["city.fukushima.fukushima.jp",1928],["city.kamakura.kanagawa.jp",1928],["city.tome.miyagi.jp",1928],["city.sapporo.jp",1928],["city.hamamatsu.shizuoka.jp",1928],["pref.shizuoka.jp",[1928,2837]],["city.edogawa.tokyo.jp",[1928,2904]],["city.kofu.yamanashi.jp",[1928,2990]],["city.ichihara.chiba.jp",1929],["city.kamagaya.chiba.jp",1930],["city.matsudo.chiba.jp",1930],["city.moriya.ibaraki.jp",1930],["city.chuo.lg.jp",1930],["city.koganei.lg.jp",1930],["city.kuki.lg.jp",1930],["live.nicovideo.jp",[1930,2713]],["nishi.or.jp",[1930,2745]],["city.kawagoe.saitama.jp",1930],["city.tokushima.tokushima.jp",1930],["city.fuchu.tokyo.jp",[1930,2384]],["city.inagi.tokyo.jp",1930],["city.nerima.tokyo.jp",1930],["city.mobara.chiba.jp",1931],["city.tomisato.lg.jp",1931],["city.akiruno.tokyo.jp",[1931,2903]],["city.narita.chiba.jp",1932],["chikubi.jp",1933],["chisou-media.jp",1934],["ciatr.jp",1935],["ima.goo.ne.jp",1935],["cinematoday.jp",1936],["cinemore.jp",1937],["city-nakatsu.jp",1938],["city.naruto.tokushima.jp",1938],["ckworks.jp",1939],["cloudwoods.jp",1940],["clutch-s.jp",1941],["cman.jp",1942],["note.cman.jp",1943],["moving.a-tm.co.jp",1945],["agrinews.co.jp",1946],["akt.co.jp",1947],["alba.co.jp",1948],["sokuho.alba.co.jp",1949],["alc.co.jp",1950],["ej.alc.co.jp",1951],["eow.alc.co.jp",1952],["news.allabout.co.jp",1954],["magazine.aruhi-corp.co.jp",1956],["arukikata.co.jp",1957],["onnela.asahi.co.jp",1958],["bloomberg.co.jp",1960],["bocek.co.jp",1961],["bs-asahi.co.jp",1963],["bs-tvtokyo.co.jp",1964],["minkara.carview.co.jp",1965],["cecile.co.jp",1966],["chibanippo.co.jp",1967],["china-news.co.jp",1968],["chugainippoh.co.jp",1969],["niigata-nippo.co.jp",1970],["tabi.chunichi.co.jp",1973],["cmsite.co.jp",1974],["cnn.co.jp",1975],["dinos.co.jp",1977],["news.dmm.co.jp",1978],["eguchi-hd.co.jp",1981],["ehime-np.co.jp",[1982,1983]],["ecclab.empowershop.co.jp",1984],["excite.co.jp",1985],["laurier.excite.co.jp",1986],["woman.excite.co.jp",1987],["fujitv.co.jp",1988],["fod.fujitv.co.jp",1989],["fukui-tv.co.jp",1990],["capa.getnavi.jp",[1992,2315]],["mecicolle.gnavi.co.jp",1993],["golfdigest.co.jp",1994],["news.golfdigest.co.jp",1995],["score.golfdigest.co.jp",1996],["gpoint.co.jp",1997],["higashiaichi.co.jp",1999],["hmv.co.jp",2000],["umatoku.hochi.co.jp",2001],["hokkaido-np.co.jp",2002],["homes.co.jp",2003],["kabuyoho.ifis.co.jp",[2005,2006]],["wowgame.jp",[2006,2973]],["it.impress.co.jp",2007],["netshop.impress.co.jp",[2008,2009]],["webtan.impress.co.jp",[2008,2014]],["watch.impress.co.jp",[2010,2011]],["forest.watch.impress.co.jp",2012],["video.watch.impress.co.jp",2013],["infoseek.co.jp",2016],["iot-consulting.co.jp",2017],["itmedia.co.jp",[2018,2019]],["pasoble.jp",2019],["blog.skeg.jp",[2019,2843]],["figsoku.net",[2019,3139]],["mysqlweb.net",2019],["plus-a.net",2019],["securl.nu",2019],["atmarkit.itmedia.co.jp",2020],["iwanichi.co.jp",2022],["iwate-np.co.jp",2023],["j-wave.co.jp",2024],["news.j-wave.co.jp",2025],["jnocnews.co.jp",2026],["jomo-news.co.jp",2027],["mb.jorudan.co.jp",2030],["movie.jorudan.co.jp",2031],["news.jorudan.co.jp",2032],["k-zone.co.jp",[2033,2034]],["money.k-zone.co.jp",2035],["khb-tv.co.jp",2036],["cocreco.kodansha.co.jp",2038],["city.kusatsu.shiga.jp",2038],["friday.kodansha.co.jp",2039],["zaitaku100.kokuyo.co.jp",2040],["kyodo.co.jp",2042],["b.kyodo.co.jp",2043],["ovo.kyodo.co.jp",[2044,2045]],["tvfan.kyodo.co.jp",2044],["kyoto-np.co.jp",2046],["liginc.co.jp",2047],["mantan-web.jp",[2049,2082,2562]],["mdn.co.jp",2051],["morinaga.co.jp",2053],["musicman.co.jp",2054],["navi.narakotsu.co.jp",2056],["city.nagano.nagano.jp",[2056,2494]],["navitime.co.jp",2057],["netmile.co.jp",2059],["netoff.co.jp",2060],["nikkei-cnbc.co.jp",2063],["project.nikkeibp.co.jp",2067],["nishinippon.co.jp",2068],["nissen.co.jp",2069],["nnn.co.jp",2070],["nttdocomo.co.jp",2071],["cu.ntv.co.jp",2073],["news.ntv.co.jp",2074],["ohk.co.jp",2075],["okinawatimes.co.jp",2076],["juken.oricon.co.jp",2078],["jprime.jp",[2078,2412,2413]],["withonline.jp",[2078,2971]],["osdn.co.jp",2079],["oshimaland.co.jp",2080],["ox-tv.co.jp",2082],["php.co.jp",2083],["shuchi.php.co.jp",2084],["rakuten.co.jp",2086],["rakuten-card.co.jp",2087],["beauty.rakuten.co.jp",2089],["books.rakuten.co.jp",2090],["car.rakuten.co.jp",2091],["plaza.rakuten.co.jp",2092],["point-g.rakuten.co.jp",2093],["recipe.rakuten.co.jp",2095],["books.step.rakuten.co.jp",2096],["websearch.rakuten.co.jp",[2098,2099]],["grapee.jp",[2098,2333]],["recordchina.co.jp",2100],["rikujyokyogi.co.jp",2101],["sagatv.co.jp",2102],["sanin-chuo.co.jp",2104],["saru.co.jp",2105],["sbisec.co.jp",2106],["senken.co.jp",2107],["shikoku-np.co.jp",2108],["shinmai.co.jp",2110],["domani.shogakukan.co.jp",2112],["shueisha.co.jp",2113],["sportiva.shueisha.co.jp",2114],["wpb.shueisha.co.jp",2115],["yoi.shueisha.co.jp",2116],["zebrack-comic.shueisha.co.jp",2117],["cs.sonylife.co.jp",2120],["sponichi.co.jp",2121],["ssnp.co.jp",2122],["weekly-jitsuwa.jp",[2122,2963]],["stereosound.co.jp",2123],["stockweather.co.jp",2124],["sun-tv.co.jp",2125],["gammaplus.takeshobo.co.jp",2126],["storia.takeshobo.co.jp",2127],["tbs.co.jp",2128],["news.tbs.co.jp",2129],["topics.tbs.co.jp",2130],["the-miyanichi.co.jp",2131],["tokubai.co.jp",2132],["tokyo-sports.co.jp",2134],["toonippo.co.jp",2135],["travel.co.jp",2136],["tv-aichi.co.jp",2137],["tv-asahi.co.jp",2138],["douga.tv-asahi.co.jp",2139],["city.kitakyushu.lg.jp",2142],["store.united-arrows.co.jp",2143],["auctions.yahoo.co.jp",2146],["baseball.yahoo.co.jp",2147],["beauty.yahoo.co.jp",2148],["beta-map.yahoo.co.jp",2149],["map.yahoo.co.jp",[2149,2157]],["carview.yahoo.co.jp",2150],["chiebukuro.yahoo.co.jp",2151],["detail.chiebukuro.yahoo.co.jp",2152],["finance.yahoo.co.jp",[2153,2154]],["freefielder.jp",2154],["mycaddie.jp",[2154,2631]],["games.yahoo.co.jp",2155],["jobcatalog.yahoo.co.jp",2156],["news.yahoo.co.jp",2158],["paypaymall.yahoo.co.jp",2159],["search.yahoo.co.jp",2160],["shopping.yahoo.co.jp",2161],["store.shopping.yahoo.co.jp",2162],["soccer.yahoo.co.jp",2163],["sports.yahoo.co.jp",2164],["toku.yahoo.co.jp",2165],["transit.yahoo.co.jp",2166],["tv.yahoo.co.jp",2167],["typhoon.yahoo.co.jp",2168],["weather.yahoo.co.jp",2169],["yakuji.co.jp",2170],["komachi.yomiuri.co.jp",2172],["yomidr.yomiuri.co.jp",2173],["ytv.co.jp",2174],["zaikei.co.jp",2175],["as-selection.net",2175],["audioreview.m1001.coreserver.jp",2177],["cosp.jp",2178],["courrier.jp",2179],["edtechzine.jp",2180],["crefan.jp",2181],["croissant-online.jp",2182],["cyclowired.jp",2184],["game-i.daa.jp",2185],["daibouken.jp",2186],["dailynewsonline.jp",2187],["dailyshincho.jp",2189],["dan-ball.jp",2190],["datazoo.jp",2191],["dcnenkin.jp",2192],["poginfo.ddo.jp",2193],["deagostini.jp",2194],["deli-fuzoku.jp",2195],["deneblog.jp",2196],["numan.tokyo",[2197,2199,3465]],["nikkan-spa.jp",[2201,2410,2720]],["zai.diamond.jp",2202],["dietclub.jp",2203],["discoveryjapan.jp",2207],["shopping-3ple.dmkt-sp.jp",2208],["blog.domesoccer.jp",2210],["live.doneru.jp",2211],["doope.jp",2212],["duellinks.doorblog.jp",2214],["h-pon.doorblog.jp",2215],["kabumatome.doorblog.jp",2217],["news-channel.doorblog.jp",[2219,2220]],["world-best-news.doorblog.jp",[2219,2220]],["sakukankou.jp",2219],["samuraigoal.doorblog.jp",2221],["samuraisoccer.doorblog.jp",[2222,2223]],["shikaku2ch.doorblog.jp",[2224,2225]],["otanew.jp",2225],["douga100ka.jp",[2226,2227]],["manga100ka.jp",2227],["dova-s.jp",2228],["dream.jp",2229],["linux.ikoinoba.net",2229],["nuinui358.dreamlog.jp",2231],["drivetraffic.jp",2232],["dropgame.jp",[2233,2234,2235]],["wamgame.jp",[2233,2235]],["e-earphone.jp",2236],["e-rumoi.jp",2237],["ecnavi.jp",2239],["smcb.jp",2240],["city.imabari.ehime.jp",2241],["city.matsuyama.ehime.jp",[2242,2243]],["city.nishitokyo.lg.jp",[2243,2500]],["city.machida.tokyo.jp",2243],["city.ozu.ehime.jp",2244],["city.fukuyama.hiroshima.jp",2244],["city.hatsukaichi.hiroshima.jp",2244],["city.ebetsu.hokkaido.jp",[2244,2362]],["city.ishikari.hokkaido.jp",2244],["city.minamiawaji.hyogo.jp",2244],["city.ageo.lg.jp",2244],["pref.fukushima.lg.jp",2244],["city.kimitsu.lg.jp",[2244,2489]],["city.kure.lg.jp",[2244,2493]],["city.miki.lg.jp",2244],["city.niiza.lg.jp",2244],["city.shunan.lg.jp",2244],["city.tondabayashi.lg.jp",2244],["city.yamaguchi.lg.jp",[2244,2523]],["pref.okayama.jp",[2244,2731]],["city.toda.saitama.jp",2244],["city.oyama.tochigi.jp",2244],["city.saijo.ehime.jp",2246],["city.kameoka.kyoto.jp",2246],["city.shimonoseki.lg.jp",2246],["city.takatsuki.osaka.jp",2246],["eigobu.jp",2247],["ekiten.jp",2248],["enechange.jp",2250],["englishhub.jp",2251],["epark.jp",2252],["epochtimes.jp",2253],["er-animal.jp",2254],["erocommu.jp",2255],["esse-online.jp",2256],["estar.jp",2257],["exblog.jp",2258],["www.exblog.jp",2259],["fanblogs.jp",2260],["finasee.jp",2262],["media.finasee.jp",2263],["firecross.jp",2264],["firestorage.jp",2265],["footballchannel.jp",2268],["fpcafe.jp",2269],["free-avx.jp",2270],["free-fonts.jp",2271],["freebie-ac.jp",2272],["freegame-mugen.jp",2273],["frequ.jp",2274],["front-row.jp",2276],["fujoho.jp",2281],["fujossy.jp",2282],["fukafuka295.jp",2283],["city.chikushino.fukuoka.jp",2284],["pref.fukuoka.lg.jp",2284],["city.nara.lg.jp",2284],["city.kurume.fukuoka.jp",2285],["city.fukuoka.lg.jp",2285],["city.aizuwakamatsu.fukushima.jp",2286],["city.takasaki.gunma.jp",[2286,2339]],["town.hokkaido-mori.lg.jp",2286],["city.ohtawara.tochigi.jp",[2286,2518]],["full-count.jp",2287],["futabanet.jp",2288],["game8.jp",2293],["gamedbs.jp",2295],["gamedesign.jp",2297],["gamefactory.jp",2298],["gameinn.jp",2299],["gameline.jp",2300],["gamelove.jp",2301],["googirl.jp",[2302,2329]],["gamewith.jp",2307],["ganref.jp",2309],["gapsis.jp",2310],["geinou-news.jp",2312],["web.gekisaka.jp",2313],["gendama.jp",2314],["conveni.getnews.jp",2317],["gihyo.jp",2318],["giocox.jp",2319],["lifehacker.jp",[2321,2322,2527,2528]],["roomie.jp",[2321,2527]],["globaledu.jp",2324],["jglobal.jst.go.jp",[2326,2327]],["kyoko-np.net",[2327,3200]],["gooworld.jp",2330],["game.granbluefantasy.jp",2332],["snrec.jp",2334],["gunma-kouiki.jp",2335],["city.maebashi.gunma.jp",2336],["city.hekinan.lg.jp",2336],["city.hidaka.lg.jp",2336],["city.ota.gunma.jp",2337],["pref.gunma.jp",[2337,2338]],["city.tatebayashi.gunma.jp",2340],["gyutte.jp",2341],["hana-ato.jp",2344],["happy-travel.jp",2345],["hasunoha.jp",2346],["anond.hatelabo.jp",2347],["neet3.hatenablog.jp",2349],["taxtax.hatenablog.jp",2350],["healthpress.jp",2351],["heim.jp",2352],["hibiki-radio.jp",2353],["hikkoshizamurai.jp",2354],["hint-pot.jp",[2355,2356]],["football-zone.net",[2356,3143]],["hobbytimes.jp",2359],["hoiclue.jp",2360],["news.hoken-mammoth.jp",2361],["city.eniwa.hokkaido.jp",2363],["city.hakodate.hokkaido.jp",2364],["city.nemuro.hokkaido.jp",2365],["city.moriguchi.osaka.jp",2365],["city.fukaya.saitama.jp",[2365,2813]],["city.kunitachi.tokyo.jp",2365],["town.tobetsu.hokkaido.jp",2366],["hon-hikidashi.jp",2367],["host2.jp",2369],["hotfrog.jp",2371],["hotokami.jp",2372],["baila.hpplus.jp",2375],["more.hpplus.jp",2376],["spur.hpplus.jp",2377],["hs-exp.jp",2378],["i-voce.jp",2380],["ib-game.jp",2381],["city.kamisu.ibaraki.jp",2382],["city.kashima.ibaraki.jp",2383],["city.ryugasaki.ibaraki.jp",2384],["city.niigata.lg.jp",2384],["ibarakinews.jp",2385],["ichi-oshi.jp",2386],["icon.jp",2387],["icotto.jp",2388],["ideco-guide.jp",2389],["ieagent.jp",2390],["ikaclo.jp",2391],["imaonline.jp",2392],["ime2.jp",2393],["kbbs.jp",2393],["iphone-mania.jp",2394],["iphoroid.jp",2395],["kirari-media.net",2395],["ismedia.jp",2396],["wedge.ismedia.jp",2398],["city.ichinoseki.iwate.jp",2399],["city.oshu.iwate.jp",2400],["city.asaka.lg.jp",2400],["city.hino.lg.jp",2401],["city.takayama.lg.jp",2401],["iyokannet.jp",2402],["jisin.jp",2405],["jitenon.jp",2406],["kanken.jitenon.jp",2407],["jmty.jp",2408],["joshi-spa.jp",2410],["joshinweb.jp",2411],["koukouseishinbun.jp",2413],["jqos.jp",2414],["jugem.jp",2415],["kabushiki.jp",2417],["kabutan.jp",[2418,2419]],["gakumado.mynavi.jp",[2418,2633]],["s.kabutan.jp",2420],["city.takamatsu.kagawa.jp",2421],["kakuyomu.jp",2424],["city.atsugi.kanagawa.jp",2426],["city.hadano.kanagawa.jp",2427],["city.hiratsuka.kanagawa.jp",2428],["city.isehara.kanagawa.jp",2429],["city.odawara.kanagawa.jp",2430],["kashiwa-taikyo.jp",2433],["kawa-colle.jp",2434],["home.kingsoft.jp",[2435,2436]],["ieeebd.org",[2436,3406]],["kinmaweb.jp",2437],["kisspress.jp",2438],["city.kochi.kochi.jp",2439],["city.ueda.nagano.jp",2439],["city.ome.tokyo.jp",2439],["kochike.jp",2440],["kotobank.jp",2442],["kotoricafe.jp",2443],["kufura.jp",2444],["city.kumamoto.jp",[2445,2446]],["pref.kumamoto.jp",2447],["city.daito.lg.jp",2447],["city.gamagori.lg.jp",2447],["city.azumino.nagano.jp",2447],["city.sado.niigata.jp",2447],["kumapon.jp",2448],["kunimachi.jp",2449],["kura-vie.jp",[2450,2451]],["life-n.jp",[2451,2526]],["kurashi-no.jp",2452],["kurashi-to-oshare.jp",[2453,2454]],["pashplus.jp",[2453,2768]],["kurashinista.jp",2455],["city.uji.kyoto.jp",2457],["city.mito.lg.jp",2457],["pref.yamaguchi.lg.jp",2457],["city.matsumoto.nagano.jp",2457],["kyounoryouri.jp",2458],["image-eyes1.a.la9.jp",2459],["imgs.a.la9.jp",2460],["lamire.jp",2461],["leon.jp",2468],["pref.akita.lg.jp",2469],["pref.aomori.lg.jp",2470],["traderswebfx.jp",2470],["city.bunkyo.lg.jp",2471],["pref.chiba.lg.jp",2472],["city.chichibu.lg.jp",2473],["city.koka.lg.jp",2473],["city.kurashiki.okayama.jp",2473],["city.chita.lg.jp",2474],["city.fujinomiya.lg.jp",2475],["city.fukui.lg.jp",2476],["city.tokyo-nakano.lg.jp",[2476,2492]],["city.funabashi.lg.jp",[2477,2478]],["city.saitama.lg.jp",2477],["pref.gifu.lg.jp",2479],["city.habikino.lg.jp",2480],["city.higashimatsuyama.lg.jp",2481],["web.pref.hyogo.lg.jp",2482],["city.koriyama.lg.jp",2482],["city.isesaki.lg.jp",2483],["city.settsu.osaka.jp",2483],["pref.ishikawa.lg.jp",2484],["city.ishinomaki.lg.jp",2485],["roote.ekispert.net",[2485,3116]],["city.izumisano.lg.jp",2487],["city.kashiwa.lg.jp",2488],["city.komatsu.lg.jp",2490],["city.konan.lg.jp",2491],["city.kumagaya.lg.jp",2492],["city.kuwana.lg.jp",2494],["pref.toyama.jp",2494],["city.marugame.lg.jp",2495],["pref.mie.lg.jp",2496],["city.mitaka.lg.jp",2497],["city.mutsu.lg.jp",2498],["city.koshigaya.saitama.jp",2498],["city.nagasaki.lg.jp",2499],["city.noshiro.lg.jp",2501],["city.okazaki.lg.jp",2502],["city.saga.lg.jp",2504],["pref.saga.lg.jp",2505],["city.sakai.lg.jp",2506],["city.sano.lg.jp",2507],["city.shibukawa.lg.jp",2508],["city.tochigi-sakura.lg.jp",2508],["city.ashikaga.tochigi.jp",2508],["city.kanuma.tochigi.jp",2508],["city.shizuoka.lg.jp",2509],["city.sodegaura.lg.jp",2510],["city.sumida.lg.jp",2511],["city.higashimurayama.tokyo.jp",[2511,2906]],["city.taito.lg.jp",2512],["city.tochigi.lg.jp",2513],["pref.tottori.lg.jp",2514],["city.toyohashi.lg.jp",[2514,2516]],["city.toyoake.lg.jp",2515],["city.toyokawa.lg.jp",2517],["city.tsukubamirai.lg.jp",2518],["city.tsuyama.lg.jp",2519],["city.urasoe.lg.jp",2520],["city.ushiku.lg.jp",2521],["pref.wakayama.lg.jp",2522],["city.yokohama.lg.jp",2524],["city.yubari.lg.jp",2524],["city.naha.okinawa.jp",2524],["city.sayama.saitama.jp",2524],["city.yonago.lg.jp",2525],["limia.jp",2529],["livedoor.jp",2530],["livefans.jp",2532],["t.livepocket.jp",2533],["living.jp",[2534,2535]],["mondotv.jp",[2535,2615]],["mrs.living.jp",2537],["lmaga.jp",2538],["locari.jp",2540],["logmi.jp",2541],["2ch.logpo.jp",2542],["loljp-wiki.jp",2543],["love-jav.jp",2544],["macotakara.jp",2546],["madamefigaro.jp",2548],["magmix.jp",2549],["maikuranikki.jp",2552],["gamer.ne.jp",[2555,2671]],["saku-city.mamafre.jp",2557],["mamari.jp",2558],["mamastar.jp",2559],["manababy.jp",2560],["manabitimes.jp",2561],["maonline.jp",2563],["markezine.jp",2564],["matomedane.jp",2567],["matomehub.jp",2568],["mayonez.jp",2569],["mdpr.jp",2570],["meaning.jp",[2572,2573]],["media-innovation.jp",2574],["megalodon.jp",2575],["gyo.tc",2575],["meigara.jp",2576],["memorva.jp",2577],["mens-ex.jp",2578],["merkmal-biz.jp",2580],["mery.jp",2581],["fc2ppv.mhx.jp",2582],["city.matsusaka.mie.jp",2583],["info.city.tsu.mie.jp",2584],["miima.jp",2585],["milfreaks.militaryblog.jp",2586],["mindhack-media.jp",2587],["minhyo.jp",2588],["minkabu.jp",2589],["cc.minkabu.jp",2590],["fu.minkabu.jp",2591],["fx.minkabu.jp",2592],["ysyoken.hikaku.minkabu.jp",2593],["itf.minkabu.jp",2594],["re.minkabu.jp",2595],["s.minkabu.jp",2596],["minkou.jp",2597],["mirrorz.jp",2599],["mistory.jp",2600],["mixi.jp",2602],["news.mixi.jp",2603],["mixonline.jp",2604],["pref.miyagi.jp",2605],["city.miyakonojo.miyazaki.jp",2606],["city.miyazaki.miyazaki.jp",2607],["mizu-trouble.jp",2608],["mobareco.jp",2609],["modalina.jp",2610],["modernliving.jp",2611],["richessemag.jp",2611],["mofmo.jp",2613],["s.mognavi.jp",2614],["moneymore.jp",2616],["moneyzine.jp",2617],["moppy.jp",2618],["mora.jp",2620],["motimoti3d.jp",2621],["motor-fan.jp",2622],["moviecollection.jp",2623],["moviewalker.jp",2624],["muromin.jp",2626],["muryou-keiba-ai.jp",2627],["music-book.jp",2628],["muuu.jp",2629],["myjitsu.jp",2632],["news.mynavi.jp",2634],["osusume.mynavi.jp",2635],["woman.mynavi.jp",2636],["city.saku.nagano.jp",2638],["nakashibetsu.jp",2639],["namedic.jp",2640],["mx2b.nan-net.jp",2641],["nanos.jp",2643],["pref.nara.jp",2644],["navicon.jp",2645],["nbblog.jp",2646],["babycome.ne.jp",2647],["cat.benesse.ne.jp",[2650,2651]],["dog.benesse.ne.jp",[2650,2651]],["manabi.benesse.ne.jp",2652],["st.benesse.ne.jp",2653],["biglobe.ne.jp",2654],["beauty.biglobe.ne.jp",2655],["game.biglobe.ne.jp",2656],["join.biglobe.ne.jp",2657],["enjoy.sso.biglobe.ne.jp",2659],["weather.biglobe.ne.jp",2660],["docomo.ne.jp",2661],["hiroba.dpoint.docomo.ne.jp",2662],["apprev.smt.docomo.ne.jp",2663],["mama.smt.docomo.ne.jp",2665],["sports.smt.docomo.ne.jp",2666],["easter.ne.jp",2668],["free.foto.ne.jp",2669],["freem.ne.jp",2670],["autos.goo.ne.jp",2673],["blog.goo.ne.jp",2674],["map.goo.ne.jp",2675],["news.goo.ne.jp",2676],["oshiete.goo.ne.jp",[2677,2678]],["city.joetsu.niigata.jp",2678],["shogi.or.jp",[2678,2750]],["ranking.goo.ne.jp",[2679,2680]],["rank-king.jp",[2680,2790]],["sports.goo.ne.jp",2681],["hatena.ne.jp",2682],["b.hatena.ne.jp",2683],["q.hatena.ne.jp",2685],["tim.hi-ho.ne.jp",2686],["jah.ne.jp",2687],["kotoba.ne.jp",2690],["bossgoo.sakura.ne.jp",2692],["yugioh-antenna.sakura.ne.jp",2693],["yukkuri-futaba.sakura.ne.jp",2694],["tour.ne.jp",2695],["www.ne.jp",2696],["nec-lavie.jp",2697],["nekochan.jp",2698],["nemotohiroyuki.jp",2699],["sexyvoice.org",2699],["sugoroku.nerliasaga.jp",2700],["news-vision.jp",2701],["news24.jp",2702],["newsdigest.jp",2703],["newskingdom.jp",2704],["newsweekjapan.jp",2706],["newtoku.jp",2707],["neyagawa-np.jp",2708],["ngauge.jp",2709],["ch.nicovideo.jp",2711],["dic.nicovideo.jp",2712],["seiga.nicovideo.jp",2715],["sp.nicovideo.jp",2716],["www.nicovideo.jp",2717],["city.nagaoka.niigata.jp",2718],["city.sanjo.niigata.jp",2719],["propertylistings.nikkei.jp",2721],["nishi2.jp",2722],["numa2.jp",2724],["nurse-senka.jp",2726],["o-uccino.jp",2727],["oggi.jp",2728],["city.beppu.oita.jp",2729],["pref.oita.jp",2730],["city.soja.okayama.jp",2732],["city.okinawa.okinawa.jp",2733],["okwave.jp",2734],["okbizcs.okwave.jp",2735],["omocoro.jp",2736],["one-news.jp",2737],["onecareer.jp",2738],["jacom.or.jp",2740],["jartic.or.jp",2741],["museum.or.jp",2742],["nc-net.or.jp",2743],["mori.nc-net.or.jp",2744],["okinawa-eiyo.or.jp",2746],["piano.or.jp",2747],["plala.or.jp",2748],["www6.plala.or.jp",2749],["tsukiji.or.jp",2752],["tvguide.or.jp",2753],["library.pref.osaka.jp",2754],["jpki.osdn.jp",2756],["ota-suke.jp",2758],["otajo.jp",2759],["otologic.jp",2761],["otonanswer.jp",[2762,2763]],["the-ans.jp",[2763,2891]],["ourage.jp",2765],["p-game.jp",2766],["sp.pachinkoslot.jp",2767],["peta2.jp",2769],["petwell.jp",2770],["piapro.jp",[2772,2773]],["office54.net",2772],["sanyonews.jp",2773],["making.pipa.jp",2774],["tegaki.pipa.jp",2775],["popmaster.jp",2778],["pouchs.jp",2779],["novel.prcm.jp",2780],["president.jp",2782],["python.jp",2783],["qlife.jp",2785],["radichubu.jp",2787],["rakumachi.jp",2788],["rakuteneagles.jp",2789],["ray-web.jp",2791],["realsound.jp",2793],["recipe-blog.jp",2794],["recochoku.jp",2795],["reflexions.jp",2796],["rentry.jp",2798],["resemom.jp",2800],["reservestock.jp",2801],["rknt.jp",2804],["rokkasho.jp",2805],["roomclip.jp",2806],["rurubu.jp",2807],["s-max.jp",2810],["city.saitama.jp",2811],["city.fujimi.saitama.jp",2812],["city.kounosu.saitama.jp",2814],["city.tokorozawa.saitama.jp",2815],["sakigake.jp",2816],["san-tatsu.jp",2817],["sasatto.jp",2818],["sbbit.jp",2819],["seesaa.jp",2820],["seijiyama.jp",2823],["seikeidenron.jp",2824],["seniorguide.jp",2825],["seotools.jp",2826],["serai.jp",2827],["shikiho.jp",2829],["city.izumo.shimane.jp",2830],["shiori-tabi.jp",2832],["shipping.jp",2833],["city.fuji.shizuoka.jp",2834],["city.fukuroi.shizuoka.jp",2835],["city.mishima.shizuoka.jp",2836],["hugkum.sho.jp",2838],["shoespost.jp",2839],["simchange.jp",2841],["skyticket.jp",2844],["chat.smaero.jp",2845],["smashop.jp",2847],["so-zou.jp",2848],["soccer-king.jp",2849],["softonic.jp",2850],["soredoko.jp",2851],["spoiler.jp",2852],["vk.sportsbull.jp",[2853,2854]],["shufoo.net",[2854,3304]],["srad.jp",2857],["tenshoku.srad.jp",2858],["blog.ss-blog.jp",2859],["stds.jp",2861],["stv.jp",2863],["stylehaus.jp",2864],["suisan.jp",2865],["suits-woman.jp",2866],["sukupara.jp",2867],["supleks.jp",2870],["surfsnow.jp",2872],["swiki.jp",2873],["tabizine.jp",2874],["taishurx.jp",2875],["tap-biz.jp",2878],["sugutoku.tasdesign.jp",2879],["tbp.jp",2880],["tbsradio.jp",2881],["techable.jp",2882],["techinsight.jp",2883],["technologyreview.jp",2884],["telnavi.jp",2885],["temaeitamae.jp",2886],["tenki.jp",2887],["texal.jp",2889],["tg-uchi.jp",2890],["theriver.jp",2892],["tifer2.jp",2895],["timeout.jp",2896],["fashionbox.tkj.jp",2897],["tocana.jp",2898],["tokion.jp",2899],["tokk-hankyu.jp",2900],["tokyo-calendar.jp",2901],["city.adachi.tokyo.jp",2902],["city.hachioji.tokyo.jp",2905],["city.komae.tokyo.jp",2907],["city.meguro.tokyo.jp",2908],["toranoana.jp",2910],["ec.toranoana.jp",2911],["touken-world.jp",2913],["trailrunner.jp",2915],["trendka.jp",2916],["trilltrill.jp",2917],["try-it.jp",2919],["t-mall.tsite.jp",2920],["tsuritenki.jp",2921],["kyosui.net",[2923,3201]],["best-hit.tv",[2923,3472]],["tver.jp",2933],["tvkingdom.jp",2934],["tvlife.jp",2935],["twittrend.jp",2936],["twpro.jp",2937],["uekipedia.jp",2938],["ufret.jp",2939],["web.ultra-soccer.jp",2940],["unitedcinemas.jp",2941],["univ-journal.jp",2942],["ura-akiba.jp",2943],["usedoor.jp",2944],["uub.jp",2946],["vtubernews.jp",2949],["wanchan.jp",2950],["wear.jp",2952],["weathernews.jp",2953],["web-ace.jp",2954],["webcomics.jp",2956],["eikaiwa.weblio.jp",2958],["ejje.weblio.jp",2959],["translate.weblio.jp",2960],["uwl.weblio.jp",2961],["l-o-l.net",[2961,3204]],["weddingcard.jp",2962],["wellmethod.jp",2964],["wiki3.jp",2965],["wikihow.jp",2966],["wikiwiki.jp",2967],["winchesterhouse.jp",2968],["wired.jp",2969],["withnews.jp",2970],["wowseoul.jp",2975],["wowsokb.jp",2975],["simtransfer.wpx.jp",2976],["xfolio.jp",2977],["wiper.xii.jp",2978],["xn--4gr16r4zc9g.jp",2979],["xn--68jza6c6j4c9e9094b.jp",2980],["xn--m9jq94aa0541c35dspl8l8d.jp",2981],["xn--o9ja9dn55ayerin411bcd3afbgz3gd4y.jp",2981],["xn--y8j8gq48f5heu33c.jp",2982],["xneo.jp",2983],["tt5218.xsrv.jp",2984],["dosports.yahoo-net.jp",2986],["yamagata-np.jp",2987],["city.hokuto.yamanashi.jp",2988],["city.kai.yamanashi.jp",2989],["city.koshu.yamanashi.jp",2991],["city.minami-alps.yamanashi.jp",2992],["yamatogokoro.jp",2993],["ymobile.jp",2994],["yogajournal.jp",2995],["yomitai.jp",2996],["yourbengo.jp",2998],["yourmystar.jp",2999],["yoyaku-top10.jp",3000],["invitation4you.link",3003],["m.kuku.lu",3004],["memo.appri.me",3005],["cartune.me",3007],["finders.me",3009],["fineplay.me",3010],["w.grapps.me",3013],["keisanki.me",3019],["buy.line.me",3020],["mobile.line.me",3021],["lineblog.me",3022],["blog18.mmm.me",[3024,3025]],["picrew.me",3027],["querie.me",3028],["sukima.me",3030],["limo.media",3033],["melos.media",3034],["anonymous-post.mobi",3035],["aya0205.smart-douga.mobi",3036],["natalie.mu",3037],["marumie.name",3038],["2-carat.net",3040],["blog.40ch.net",3043],["4gamer.net",3046],["find.5ch.net",3049],["jump.5ch.net",3051],["adultgeek.net",3052],["ai-matome.net",3053],["aidoly.net",3054],["all-freesoft.net",3055],["allcinema.net",3056],["animalch.net",3059],["anime-news.net",3060],["anime365.net",3061],["animephilia.net",3062],["ao-system.net",3064],["app-ranking.net",3065],["appbank.net",3066],["appmarketinglabo.net",3067],["asobicreate.net",3068],["at-a-gallop.net",3069],["avdouga.net",3070],["bbspic-newer.net",3072],["beautelink.net",3073],["birdfan.net",3075],["blkt.net",3076],["ettina.blogterest.net",3078],["sukebelog.blogterest.net",3078],["sweetchocolate.blogterest.net",3079],["bushikaku.net",3081],["buttobi.net",3082],["calciomatome.net",3083],["catchapp.net",3084],["celery-marine.net",3085],["chil-chil.net",3087],["cinemarche.net",3088],["cityheaven.net",3089],["collepic.net",3090],["cosme.net",3092],["cosppi.net",3093],["couple-game.net",3094],["crepu.net",3096],["cybersyndrome.net",3098],["datadeliver.net",3099],["adultcomic.dbsearch.net",3100],["ddd-smart.net",3101],["dekiru.net",3102],["diamond-rm.net",3103],["digimart.net",3104],["digital-soccer.net",3105],["dm-wiki.net",3106],["dobon.net",3107],["dousyoko.net",3110],["downtownreport.net",3111],["ero.e7c.net",3113],["elog-ch.net",3118],["energydrinkmania.net",3119],["ero-video.net",3121],["erodoganomori.net",3122],["erokan.net",3125],["eromon.net",3126],["eroterest.net",3128],["ertk.net",3130],["esports.net",3131],["exawarosu.net",3132],["ezbbs.net",3134],["matome.f-book.net",3135],["fashion-press.net",3137],["fesoku.net",3138],["community2.fmworld.net",3141],["fmv-mypage.fmworld.net",3142],["fujitv-flower.net",3146],["futabaforest.net",3147],["fx2ch.net",3148],["gahag.net",3149],["pokemon.game-chan.net",3150],["gamesink.net",3153],["gamestalk.net",3154],["garanger.net",3155],["gigazine.net",3157],["girlsreport.net",3158],["goisu.net",3159],["news.gree.net",3160],["plus.news.gree.net",3161],["hametaro.net",3164],["helohelion.net",3166],["okinny.heypo.net",3167],["hiwaijosi.net",[3168,3169]],["hyperts.net",3170],["i-njoy.net",3171],["idokaba.net",3172],["report.iko-yo.net",3174],["ituki-yu2.net",3175],["jalan.net",3176],["blog.janjan.net",3177],["japanhub.net",3178],["thatav.net",3178],["javstore.net",3179],["jigen.net",3180],["jinja-bukkaku.net",3181],["jiwachan.net",3182],["jj-jj.net",3183],["johnnys-watcher.net",3184],["chanto.jp.net",3185],["jwing.net",3187],["jyukusiri.net",3188],["kai-you.net",3189],["karzusp.net",3190],["kateich.net",3191],["keokeoblog.net",3192],["kiwi-english.net",3196],["jhs-math.komaro.net",3197],["kyousoku.net",3202],["kyuusai2nd.net",3203],["lasisa.net",3205],["lettuceclub.net",3206],["limee.net",3207],["livechat-ero.net",3208],["lolninja.net",3209],["ma-bank.net",3211],["mainichigahakken.net",3212],["makitani.net",3213],["mammemo.net",3214],["mapple.net",3215],["masterwiki.net",3216],["milkcafe.net",3219],["mj-news.net",3220],["mnk-news.net",3221],["moedb.net",3223],["moeeki.net",3224],["momi3.net",3226],["money-cashing.net",3227],["monokakitools.net",3228],["sscard.monokakitools.net",3229],["morekorea.net",3230],["muvc.net",3234],["mylifenews.net",3235],["nanigoto.net",3237],["nanjchallenge.net",3238],["nazo2.net",3239],["nazology.net",3240],["news4wide.net",3241],["nicoco.net",3242],["nicozon.net",3243],["nijimen.net",3244],["no-one-no.net",3245],["nofootynolife.net",3246],["o-dan.net",3248],["blog.onk164.net",3250],["orefolder.net",3252],["osakamotion.net",3253],["sp.oshaburi.net",3254],["oshiete-kun.net",3255],["otakuma.net",3256],["otayoripost.net",3257],["otoriyose.net",3258],["ouminews.net",3259],["oursounds.net",3260],["pictbland.net",3262],["pig109.net",3263],["pinknotora.net",3264],["dic.pixiv.net",3265],["plicy.net",3266],["pokema.net",3267],["pokemon-matome.net",3268],["pokemongo-kouryakumatome.net",3269],["privatter.net",3271],["ruigo.quus.net",3273],["rakukan.net",3274],["rakuten-sec.net",3275],["renote.net",3278],["rocomotion.net",3279],["rubese.net",3280],["sabuibo.net",3281],["sagaoz.net",3282],["news.searchina.net",3284],["seesaa.net",3285],["5656-onepiece.seesaa.net",3286],["hdata.seesaa.net",3287],["helloprojects.seesaa.net",3288],["kirinstation.seesaa.net",3289],["my0nio.seesaa.net",[3290,3291]],["oto-suu.seesaa.net",3290],["sadironman.seesaa.net",3292],["seimei-handan.net",3293],["sekkaku.net",3294],["fm.sekkaku.net",3295],["receive.shamimomo.net",3297],["shigedosicks.net",3298],["shikaku-fan.net",3299],["shiroutoav.net",3300],["jbbs.shitaraba.net",3301],["shittokuadult.net",3302],["shokuhin.net",3303],["s.shufoo.net",3305],["silky-love.net",3307],["sk2ch.net",3309],["skypemeet.net",3311],["skypenguin.net",3312],["slotlog.net",3313],["smanavi.net",3314],["smatu.net",3315],["solomon-review.net",3316],["spoen.net",3318],["studiok-i.net",3320],["studyhacker.net",3321],["talknews.net",3326],["taruo.net",3327],["tennis365.net",3329],["amigo.tennis365.net",3330],["news.tennis365.net",3331],["teradas.net",3332],["toaru-web.net",3334],["tokyomotion.net",3335],["tousatu-ch.net",3337],["shikiho.toyokeizai.net",3341],["tvjapan.net",3343],["twiman.net",3345],["umamusume.net",3349],["voyeur-movie.net",[3353,3354]],["vsnp.net",3355],["waifu2x.net",3356],["service.webgoto.net",3359],["news.webike.net",3360],["wife-board.net",3361],["wikinis.net",3362],["windowsfaq.net",3364],["with2.net",3365],["wood-museum.net",3366],["worldfn.net",3368],["wtmnews.net",3369],["xn--cck0eqb0ebb.net",3371],["yoheim.net",3373],["youravhost.net",3374],["yugalab.net",3375],["yugioh-wiki.net",3376],["zyuken.net",3378],["chu.zyuken.net",3379],["daily-tohoku.news",3380],["hochi.news",3381],["kumin.news",3383],["gigafile.nu",3384],["choosar.gigafile.nu",3385],["shortener.gigafile.nu",3386],["teams.one",3389],["mangaraw.onl",3391],["mangarawjp.onl",3392],["rallys.online",3393],["shueisha.online",3394],["2shot.org",3396],["live-events.a-jp.org",3397],["benricho.org",3399],["chomanga.org",3400],["colordic.org",3401],["erogamescape.dyndns.org",3402],["favolog.org",3403],["gotokyo.org",3405],["kabegami.jpn.org",3408],["kaworu.jpn.org",3409],["klmanga.org",3410],["loveh.org",3411],["nekonikoban.org",3412],["news-us.org",3413],["hoi4data.paradoxwiki.org",3414],["refind2ch.org",3416],["gift-for-loved-one.tokyo",[3417,3462]],["syosetu.org",3419],["todaishimbun.org",3420],["tomari.org",3421],["majeur.zawarudo.org",3422],["hinode.pics",3424],["bokunokanojo.pink",3427],["sexywars.pink",3428],["encount.press",3430],["hedgehog.ryukyu",3434],["maguro.2ch.sc",3435],["cocoromembers.jp.sharp",3437],["adseek.site",[3438,3439]],["animemaruwakari.site",3440],["bokumato.site",3441],["s-restaurant24h.site",3445],["zabuu.site",3447],["vague.style",3448],["coron.tech",3449],["connect.coron.tech",3450],["gameguide.tech",3451],["it-swarm-ja.tech",3452],["malanka.tech",3453],["dinvia.diary.to",3455],["jump.x0.to",3456],["sukkiri.today",3457],["mag.digle.tokyo",3458],["movie.digle.tokyo",3459],["elog.tokyo",3460],["game-news.tokyo",3461],["hanako.tokyo",3463],["web.playerapp.tokyo",3466],["rakko.tools",3467],["reminder.top",3469],["times.abema.tv",3471],["b.best-hit.tv",3473],["i.best-hit.tv",3474],["cchan.tv",3476],["delishkitchen.tv",3477],["ikora.tv",3479],["lala.tv",3481],["ohen.tv",3482],["popnroll.tv",3483],["traffic-exchange.tv",3485],["wav.tv",3486],["chobirich.us",3487],["jpshowbiz.us",3488],["abstractpainting.work",[3489,3490]],["lithograph.work",3490],["oilpainting.work",[3494,3497]],["efootball.work",3495],["tkgstrator.work",3500],["doujin-master.fc2.xxx",3502],["goodend.xyz",3504],["h-douga.xyz",3505],["itojisan.xyz",3506],["jukujo-neet.xyz",3507],["k3su.xyz",3508],["sugi69693.xyz",3511],["theav.xyz",3512],["wazaari.xyz",3514],["hamakore.yokohama",3516],["socom.yokohama",3517]]);

const entitiesMap = new Map([["48idol",[1,2,3,4]],["9tsu",5],["fc2",6],["free-erobooks",7],["javmix",[8,9,10]],["jmanga",11],["matome-plus",12],["manga.okiba",13]]);

const exceptionsMap = new Map(undefined);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
