/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: pol-0

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = [".rek_kontener","[id$=\"reklamy\"]:not(h1):not(h2):not(h3):not(h4):not(h5):not(h6):not(b):not(strong)","[id^=\"ad_global\"]","[id^=\"ads_\"]","[id^=\"commentAd\"]","a[href*=\"/ad/click/\"]",".banneritem","[class*=\"box-advert\"]",".a-d-v-i","[id^=\"aswift_\"]","A[href$=\"/reklama\"]","IMG[alt=\"Reklama\"], .l-box--99.l-box > .text-center","IMG[src^=\"/images/stories/wspolpraca/\"]","[id^=\"djslider\"]","#master-slider-main-widget-3,\n.themeform.entry > fieldset",".topLayer, .new-toplayer, .baner",".blok-r, .blok-billboard",".banner","#pasek_dol","[class=\"grid__col grid__col--1\"]:has(> .adv),\nbody > .c-content__adv, span > .c-content__adv, .l-col > .c-content__adv, .l-col__item > .c-content__adv, .l-ad-top, .l-ad-box, .c-content__adv-title, .adv, .grid__ad, .ad--bill-top, .kampeki, .l-news__more, [style=\"min-height: 350px;\"], [style=\"min-height: 500px;\"]","#showimage, .td-a-rec, #aside.widget_text.widget.td_block_template_1","#clpp_wyborczabiz","#pianoMediaBoxModal","[id^=\"banC\"], [id^=\"banP\"], [class^=\"ban0\"], [class*=\"DFP-\"], [id^=\"DFP-\"], [id^=\"adsMidboardDivId_\"], [id^=\"adUnit\"], .ren-banners--, .banIndexDFP, .banEntry, .indexPremium__adv, .adviewDFPBanner, .activeBan",".wgAdBlockMessage, #adbd","#div1",".textwidget > A > IMG, .brumflix",".td-a-rec","#advertising_box","#top_advertisement",".right-box.col-md-3.col-xs-12 > .row > a.ad-small",".sidebar-telmet-promo",".error.notification",".movil-no.below-title.publi","#text-16.widget.widget_text","center","#HTML2, #Stats1, #HTML6, #HTML15, #HTML1","#side-border-right > .panel:nth-of-type(6)","#right-col > .r-stick-box",".widget_sp_image-image-link","DIV[style=\"width:200px;float:right;display:block;margin-left:-5px;\"],\n[id^=\"stickynote\"]",".adblockNfo, #topHintBar, #hint, .widget.Image","#HTML1, #HTML6, #HTML8, #HTML11, #HTML18, #HTML23, #HTML24, #HTML25, #HTML26","[id^=\"HTML\"], [id^=\"Image\"]","#Image2","#crosscol-overflow, #Image10, #Image11, #Image14, #Image12, #Image5, #Image","#text-3","a[href*=\"?utm_campaign=btcpolska&\"]","#custom_html-5","body > div:nth-of-type(3)","body > div:nth-of-type(4)","#toplayer_eurobasket,\ndiv:nth-of-type(1) > div:nth-of-type(1) > div:nth-of-type(7)",".popup","[class*=\"advert\"]",".wpcnt-header",".ad_section, .article-list-full-width","A[target=\"_blank\"] > IMG",".block_wrap.category_block > .block_wrap.category_block > table",".spacer",".rl-image-widget-image","section.section:nth-of-type(-1n+2):has(> div > div > .adv)",".shortcode-content,\n.widget-28",".a-single, .col-md-8.site-heading-sidebar","#page-content\\  > div.container:nth-of-type(1), div:nth-of-type(18)",".adsbygoogle","#text-7","img[src*=\"tvsat-sklep.com\"]",".img-responsive","#execphp-26, .td-fix-index.td_mod_wrap,\n#sidebar_r > .widgettitle:nth-of-type(1),\n#sidebar_r > .widgettitle:nth-of-type(2),\n.widgettitle:nth-of-type(4)","#custom_html-3","section.section:nth-of-type(-1n+2):has(> div > .adv)",".section:nth-of-type(4)",".adv","#banner-floating","a[href^=\"http://bit.ly/\"]",".widgettitle",".banery",".layout-right-brand,\n[class$=\"partners\"]",".btopnews.block, .binfo.block.bdark,\n[href*=\"/adac.php\"]","#brd_profil,\n#brd_profile,\n[id^=\"billboard_\"]",".sbs_1600",".size-full.attachment-full, [id^=\"media_image-\"], .size-full.aligncenter",".menu_wiersz_loga",".td-fix-index > A > IMG, .td_single_image_bg","#content > .mainSlider",".modul_baner.modul, #section.golen-widget, .golen-widget,\n[href^=\"https://goleniowska.com/linkout/\"],\n[id^=\"golen-slider-\"]",".footer-block-4, #secondary-right-sidebar","#text-12","div[data-ismultirow=\"true\"][data-id^=\"CarouselPLA-\"]","#winiwrapper,\n[id^=\"gpop_\"], .margin-top-20 > div:nth-of-type(3),\nimg[src*=\"/gorzowianin.com/data/rotator/\"]","#text-4",".size-full.wp-image-101782.aligncenter","[id^=\"frameAdvertisment\"]","#related","[id^=\"zodnbrutw-\"], .goms-image > .lazyloaded.entered","[src^=\"http://adv.wp.pl\"]","body > div[class=\"pub_300x250 text_ads ad_container\"][style] + div[class]:not([id])","#nowa-jadlonomia","[class^=\"rpre_\"]","[style=\"height:101px\"],\n[style^=\"font-size: 13px; border: 1px solid #ccc; margin-bottom: 15px; padding: 0px 7px;\"][style$=\"-moz-border-radius: 3px; -webkit-border-radius:3px; border-radius:3px;\"],\naside > A",".closebutton,\n.marconi,\n[style=\"position:fixed;overflow-x:auto;overflow-y:hidden;border-top:1px solid #000;left:0;right:0;bottom:0;background:#f2f2f2;z-index:999;\"],\n[style=\"position:fixed;z-index:9999997;left:0;top:0;width:100%;height:100%;background:#999;opacity:0.4;\"],\n[style=\"position:fixed;z-index:9999998;left:0;top:0;width:100%;height:100%;\"]","tr:nth-of-type(3) > td > div","#webfl","[class^=\"banner\"]","[id^=\"slot-\"]","#text-36, #text-52, #text-47, #text-61, #text-41, #text-53","#RightBox > div:nth-of-type(2)","#wrapper > center, #text-4",".mrf-adv",".textwidget > A","div.more_wraper_second > p > A","#text-5","#topBannerLong","#banner-top-four,\n#interContainer,\n#interVeil","#sportObchodBanner",".entry-content > A > [class^=\"wp-image\"]",".news-bannery",".credit-prize-box.credit-prize-box-small","[id^=\"advertise-row\"]",".popupOuterCellLeft",".bg_pkd750",".is-stationary.widget.coffee-break","[href^=\"/klikacz/\"]",".x-content-dock.right.x-content-dock-on","#bettv,\n[class^=\"wb_Image\"],\n[id^=\"wb_Image\"]","#overlay","A[target=\"_blank\"] > IMG[src*=\"medycznamarihuana.com/wp-content/uploads/\"],\nDIV[style=\"float: left; padding: 8px;\"],\nIMG[src*=\"/wp-content/uploads/baner_\"]","[id*=\"banner\"]",".column-right > a[target=\"_blank\"],\n.poster-1, .g-a-s, .lastest-news-posters","[id^=\"SC_TBlock\"]","#lower_header_right_area,\n#upper_header","._ning_zone_inner, ._ning_cont[data-bid]","UL > LI.store",".insightera-bar-widget.insightera-bar",".vmagazine-lite-medium-rectangle-ad","[class^=\"col-lg\"][style=\"text-align: center; margin: auto; padding-top: 10px\"]","#banner","#block-block-509, #block-block-1, .region-promoted, #block-block-465, #block-block-468, #block-block-2",".news_box_google, .news_box_reklama",".adsense_title","#skyscraper2",".grey:has(> .site_ad),\n.reklama_box, .reklama_title, .title_ads, .grey_ad",".news_box:nth-of-type(8),\n.single_news > div:nth-of-type(2)","A[target=\"_self\"] > .vc_single_image-img:last-child, div[id*=\"970x250\"], .checkvisc",".article__side","#right-r","#northBanner","#wcontent_wnd1,\n#wnd1",".tab-content div[class] > center > fieldset:has(> a[target=\"_blank\"]),\na[target=\"_blank\"] > img",".visible-lg, .text-center.my-3.container, #article-content > .my-3.text-center, .widget-advert_placement, .widget-advert_centralplacement, [data-banner-d]",".iad.relative.text-cente, .right","#text-37 > .widget-wrap,\n#text-38 > .widget-wrap","#body2 > div:nth-of-type(3), [class^=\"reklama_\"]","#ipsLayout_mainArea > .ipsSpacer_half.ipsSpacer_both,\n.ipsBox.ipsWidget_vertical.ipsWidget,\n[href$=\"utm_medium=banner\"],\nform > .ipsSpacer_half.ipsSpacer_both > .ipsList_noSpacing.ipsList_reset.ipsType_center.ipsList_inline","#bottom_advertisement, .tickercontainer",".status > .main > p:has(+ a[href^=\"https://ad.doubleclick.net/\"])","#text-10","#wrapheader > center",".video.widescreen.flex-video","#rek2","#text-16, #text-17, #text-19","#footer",".ad--bill-top, .adv--halfpage, .adv--rectangle, .adv__content, .custom-html-box.box",".a-single",".categories-widget,\n.col-md-4:nth-of-type(2),\n.post-widget.widget:nth-of-type(1),\n.post-widget.widget:nth-of-type(2),\n.right-post > .title-section","IMG[src*=\"/banner/\"]",".promo-baner","#jr_250ad-3",".td_block_single_image.wpb_wrapper",".td-header-rec-wrap","div[id^=\"ad\"]","#block-block-3","[href^=\"https://media.stsaff.pl/tracking.php\"]",".reklamy_g","tr:nth-of-type(5) > td:nth-of-type(3)",".elementor-image > A","#sfuh97g",".elementor-element-007f897.elementor-element.elementor-top-column.elementor-col-100.elementor-column,\n.elementor-widget-image.elementor-widget.elementor-element-5872d9c.elementor-element,\n.jetpack-lazy-image--handled.jetpack-lazy-image.not-transparent.wp-image-1607.size-full.attachment-full,\n.jetpack-lazy-image--handled.jetpack-lazy-image.not-transparent.wp-image-1638.size-full.attachment-full,\n.jetpack-lazy-image--handled.jetpack-lazy-image.wp-image-1067.size-full.attachment-full,\n[data-widget_type=\"image.default\"]",".d-md-block.d-none.col-12","#custom_html-7","aside.clearfix.sport-widget.widget","[id^=\"table\"]","#bottomBar","[id] > b > a[href^=\"?\"],\ndiv[onclick^=\"(function\"][onclick*=\"window.open\"][style^=\"animation\"],\ntable:has(:scope > tbody > tr > td > #aswift_1_expand)","#f13 > table:has(#f13 > a[href^=\"//stooq.com/ads/\"]),\na[href^=\"//stooq.com/ads/f/\"]","table[border=\"0\"][cellpadding=\"0\"][cellspacing=\"0\"]:not([width]):has([id=\"ads_goog_1\"]),\ntable[border=\"0\"][cellpadding=\"0\"][cellspacing=\"0\"][align=\"center\"]:not([width]),\ntbody > tr > td > table[width=\"300\"][height=\"250\"][border=\"0\"][cellpadding=\"0\"][cellspacing=\"0\"][align=\"center\"],\ntbody > tr > td[align=\"center\"] > div[style=\"width:300;height:250\"],\ntbody > tr > td[width=\"1\"]",".stm-ad-player","#paczkomaty_icon","[style=\"text-align:center;padding-bottom:15px;\"]","._ad, [class=\"card  card--box\"]","[class=\"card card--low card--box\"]:nth-child(2)","[class*=\"l-box-\"] > P > A > IMG[src*=\"/static/files/\"]",".l-box--100.l-box > p","[id^=\"bills_in_rotation_\"]",".gal-wrapper:nth-of-type(15), .reklama-rectangle, .negatyw.row > div.w250:nth-of-type(2), #div.l-row:nth-of-type(17) > .l-box--99.l-box > div, #div.l-row > .l-box--100.l-box > div > IMG,\n.grid__col--3.grid__col--row.grid__col > .card--box.card--medium.card,\n.l-box--100.l-box > div > A > IMG",".fl.w1000","#all > div > div > [href^=\"baner\"] > [src^=\"img/banery\"]","[id^=\"video-\"]","#atrakcje","#custom_html-16",".custom-html-widget.textwidget","a[href^=\"http://p\"] > IMG",".bannertop",".bgrey.block",".fusion-no-lightbox",".tblank",".bannerfloat",".display970x200, div.display300x250, div.display300x100, #plusfestival, #inform_us, div.display650x100","[id^=\"wrap_scale_\"], [id^=\"banner-\"]",".UwOWM2OT,\n.guestMessage",".subscribep","a[href^=\"http://www.wagaciezka.com/banery/redirect/\"]","[id^=\"promo\"]","#box_slider_61, #box_custom60",".bsaGridGutter, A[href^=\"https://promocje.woah.com/\"],\n.top-adw","[id^=\"wiado-\"]",".image","[href*=\"/goto/\"]",".page > div > div > A",".d-xl-block.d-none","IMG[src^=\"http://biuropro.pl/images/bannery/\"]","#sticky-left","#zajesearch > a[href^=\"https://tb7.pl/\"],\n.bbcode_code > [href^=\"https://filefox.pl/poleca/\"],\nIMG[alt=\"Pobierz plik\"]","#freePlayerWatch","object","#infobar, #intertext1 > div > .tborder,\n[href*=\"abtrcker.com/\"],\na[href=\"http://likefb.pl\"],\ndiv[id^=\"mylead_rotator_\"]",".news-container.row:nth-of-type(6) > .col-md-5","a.miniatura1","#text-9","#modMnNewLayerA, .newLayerBack.a.modMnNewLayerBack",".bannerTop","#content-4 > p","#djslider199","A[target=\"_self\"] > IMG","div.advertisement.box",".reklama_ng","#ads-onmap",".n2-ow.n2_ss__touch_element.n2-ss-slider-1,\n.navbar-ad-section.col-lg-8, #custom_html-5, #text-4, #text-20, #text-21",".text.custom_popup.popup.window_popup, .promo_box",".ad-sidebar,\n.ad-text-headbaner,\n[class^=\"ad-single\"], [class^=\"ad-home\"], .reklamacenter, .adigli, .block-type--adHome,\ndiv[class]:not([id]):has(> .ad-text)",".ipsBox.ipsWidget_vertical.ipsWidget:nth-of-type(1),\n.ipsBox.ipsWidget_vertical.ipsWidget:nth-of-type(2)",".ipsBox.ipsWidget_vertical.ipsWidget:nth-of-type(6)",".post_before_content-ads, .theiaStickySidebar",".td-a-rec-id-content_top.td-a-rec, .td_block_template_1.td_uid_30_5ae0288310e58_rand.td-a-rec-id-sidebar.td-a-rec, .vc_separator-has-text.vc_sep_color_grey.vc_sep_pos_align_center.vc_sep_width_100.vc_separator_align_center.wpb_content_element.vc_separator:nth-of-type(7), .td-pb-span4.vc_column > .wpb_wrapper > div.vc_separator:nth-of-type(4), .td-pb-span4.vc_column > .wpb_wrapper > div.vc_separator:nth-of-type(4) + div > .td-a-rec img",".custom-html-box > .box__container > div","[data-text=\"Reklama CMC\"]",".legal-notice","[href^=\"banery,redirect\"], div.siderightcontent > div > P",".axv",".ad-container","[class*=\"advertcontent\"]","#dfp-prawa1, .promoContainer,\n.typBaner, .promoBox","#poza-szkieletem, .promoContainer, .polecamyBox",".atomsAdsCellModel, .componentsPromotionsPromoted, .atomsArticleStickyVideo,\n.video:has(> .js-sticky)",".clr.widget_media_gallery.widget_block.sidebar-widget,\n[id^=\"ekosc-\"], #block-16, #block-23, #block-74, #block-81, #block-85","#ybfoexqv-blanket","#ybfoexqv-blanket > div,\n#ybfoexqv-blanket > div > div,\n#ybfoexqv-blanket button","#head","#ipsBox","#banner-book + A > IMG:last-child,\nDIV > A > IMG[style^=\"width: \"]:last-child","[href^=\"http://infobeskidy.eu/sad\"], #last_comment > div > IMG, .before","p > A > IMG",".reveal-overlay",".row:nth-of-type(3) > .fl.w250, div.l-row > .l-box--100.l-box > table,\n.row:nth-of-type(6) > .fl.w250:nth-of-type(3),\ndiv.l-row:nth-of-type(5) > .l-box,\ndiv.row:nth-of-type(13),\ndiv.row:nth-of-type(17), #div.l-row > .l-box--100.l-box > table",".adv, #__cmcmedia_upid_6, .l-box > center > p, .l-box--25.l-box, .slick-slider.slick-initialized.qa > .draggable.slick-list > .slick-track",".img-responsive, [class^=\"slider-\"], .shailan_banner_widget","#custom_html-4","div.menu_button_wrapper",".mt-4.container, .mb-4.text-center, .iframe",".baner.txt",".navbar-ad-section,\n.site-main > [id^=\"media_image-\"],\n.sticky-sidebar > [id^=\"media_image-\"]",".rekl","#ipsLayout_mainArea > center","#myModal,\n.modall-content",".ukl-body > p","div.banner-big, #cpl-3, div.banner-content, [id^=\"pb_revive-\"]","i#g207",".tc.top-slanted-redred.bg-yellow.hype.pv3-ns.w-100","#camera_wrap_293, .ic_marquee0",".so-panel[data-index=\"5\"]","#article-finished,\n.baner_glowny,\na[href^=\"redir_baner.php\"]",".spolecznoscinet, [id^=\"mavContainer\"]",".g","[id^=\"skawi-\"]","div.ramka_x5.TrescWPIS:nth-of-type(2), .slideshowtop, [src^=\"_images/reklama\"]","#bab","[id^=\"bills_in_rotation_1_\"]",".cc-adv","#text-16","#banery","#openModal, .h_banner-block",".site-header > A",".custom-header-banner","#block, #polec, #polecamy, img[width=\"468\"][height=\"60\"]",".container > .text-center","#black-studio-tinymce-21, #text-6, #text-4","div.panel-default.panel:nth-of-type(5)","[class*=\"advert-\"]","#jm-content-top","#jm-header",".code-block-1.code-block, custom_html-13, #custom_html-14",".bannergroup",".no-ads-info","._center._ning_label, .revive,\n._ning_inner > ._ning_link.strack_cli,\n._ning_visible._align_center._ning_hidden.strack_bnr._ning_cont,\n.elementor-widget-wp-widget-adni_widgets.elementor-widget,\n[data-elementor-type=\"header\"] > [data-settings=\"{\\\"stretch_section\\\":\\\"section-stretched\\\",\\\"background_background\\\":\\\"classic\\\"}\"]","section.sec-promo.sec-margin, .radioad-new",".vc_row:nth-of-type(5)","#ADrail, .listAdvSlot, .Placeholder,\n#openfm-player > DIV[class] > DIV[class],\n.bnr-con2, .bnr-con, .bnr-player, #bnr-top, #radioFlashPlayer,\nA[class][href*=\".wp.pl/\"] IMG[class][src^=\"https://v.wpimg.pl/\"],\n[class^=\"bnr-player-\"]","style + div[class]",".cd_ads","#text-28",".sppb-slide, .sppb-addon-raw-html, #sp-reklama,\n[href=\"https://karta.kutno.pl/\"]","#jm-footer-menu","#strip-sponsor,\n.intad",".e3lan-top",".sidebar","[style^=\"overflow:\"] > [target=\"_blank\"] > IMG",".sec-imgadv",".prom-block",".top-main-ads.row","div.container > .row > .my-3.col-12",".floatingArd, .ardContainer--fluid.ardContainer, .ad-placeholder__sky, #topBarner",".tb_ro13041.module_row_6600-5.themify_builder_6600_row.module_row_5.fullwidth_row_container.fadeIn.wow.fullcover.clearfix.module_row.themify_builder_row, .slide-13819.slider-13815","#fan-exit","#banner-top",".slide","#text-21 > .post-header > .post-header,\nimg[src][alt^=\"Baner\"]",".box-partners, span[style^=\"font-size: 0.7em\"],\n.detail-top-banner.custom-html, .article-wrapper.content-wrapper > div.clearfix, .list-top.custom-html",".wpb_wrapper > .td-all-devices",".Bilboard_750x100_na_dole","[class*=\"banner\"]",".ofe-container",".sidebar > table.tborder:nth-of-type(5)","[class*=\"reklama\"]","DIV[data-ads-id] > [class$=\"970x250\"]",".linki-sponsorowane-col, .skyscraper,\nmain > .serwis.small.pasek-gray",".resizable300x250,\n.resizable970x90,\n[id^=\"linki-sponsorowane-col-group-\"]",".blok-link-rotacyjny, .reklama-display-desktop, .skyscraper-start",".baner-max.col-md-12,\n.baner_max, div.bottom > .top_menu,\n.bbbb:has([data-original*=\"/pictures/informacje/\"]),\n.center-cropped[style^=\"background-color:\"],\n.picmax,\n[class$=\"Board\"],\n[style=\"color: #ccc; font-size: 0.60rem;\\9 \"],\n[style=\"color: #ccc; font-size: 0.60rem;\\9 \"] + [class=\"row justify-content-center\"],\n[style=\"margin-bottom: 15px; color: #ccc; font-size: 0.60rem;\"],\ndiv.bottom:nth-of-type(21) > .bbbb > div,\ntable.tlo0:nth-of-type(1) > tbody > tr:nth-of-type(11)",".widget_custom_html.widget.widget_text","#block-block-21 > .block-inner > .content,\n#block-block-22, #block-block-23, #block-block-4,\n#block-block-5 > .block-inner > .content,\n#logo-title > A > IMG,\n.odd.region-odd.first.block-block.block","#smsites > .naglowek-sidebar, .article-advertisment","[class^=\"adSlider\"], .whiteBox.aBox, .udtBox.whiteBox",".toplayer, .widget-91.widget, .widget-88.widget, .widget-85.widget, .widget-95.widget, .widget-41.boards.widget",".A1sub","#side-border-left > div.panelbody:nth-of-type(1),\n#side-border-left > h3.panelcap:nth-of-type(1)","div.mb-3 > div > .my-3.text-center",".above-menu.box-banner, .cms-plugin","#addframe, #sciezka","#media_image-7, #media_image-15","#cb-section-b > .clearfix.cb-sidebar,\n.cb-sticky-sidebar > .clearfix.cb-sidebar",".reklamar1.module-title,\n.t3-sl-1.t3-sl.container",".p-xl\\@m.uk-visible\\@m.uk-width-large\\@m.background-accent > div.mb-xl, [id^=\"section-billboard\"],\n.uk-background-muted.section-wrapper, .section-offers-carousel.uk-container, .uk-visible\\@m.section-offers-grid.uk-container, .uk-margin-medium-bottom.section-matched-content.uk-container, .ukc-margin-top-10-xs.section-billboard.uk-margin-medium-top.uk-container,\n.uk-display-inline-block.uk-background-muted, .p-m.background-accent.container-out,\n[data-opts*=\"template\"], #popup-billboard, .p-xl > .mb-xl","a[href^=\"http://studentnews.pl/klik.php\"]","div.container.my-3.text-center",".center.module,\n.itemFullText > .custom,\n[id^=\"sppb-addon-\"] > .black.block-title.sppb-addon-module.sppb-addon > .sppb-addon-content,\nhr, .reklama-center",".acidacid, .makhaslo",".l-box--66.l-box > p > A,\ndiv.l-row > div.l-box--33.l-box > P, .l-col__item--sticky.l-col__item, li.c-news-list-item.c-news-list__item:nth-of-type(1)","div.l-row > .l-box--100.l-box > p","div.l-box--25.l-box > p",".l-box--99.l-box > p > A > IMG","[class$=\"_right\"]","#pum-822",".custom","#gk-newsletter-popup,\n#gkMainbodyTop > .box + .box,\n#gkMainbodyTop > .gkSidebarRight.sidebar,\n#gkSidebar > .nomargin.box,\n#gkTop1,\n.gkMainbodyTopContent > div.box > .box-wrap > .header,\n.has-sidebar.clearfix.gkMainbodyWrap > .gkSidebarRight.sidebar > div.box:nth-of-type(1) > .box-wrap","[id^=\"text-\"]",".ads-subpage,\n[class^=\"ads-index\"]",".adds, .wp-image-950","._ad_loaded, .l-box--33.l-box, ._ap",".c-content__adv","#text-4, #text-5, .background-url, div.k_ad.row",".slider_2","#text-2",".content.col-md-12 > p:nth-of-type(1)","body > div > div > A > IMG","#popup_box,\n.flex-list, [href^=\"Plugin/ads_click.php\"]","._ad,\ndiv.kampeki.center",".cycle-slideshow",".sidb.sidebar > div:nth-of-type(3), #scroller","div#homepageBaner2, .adBoxFullWidth","#rT1, #rM0, #rM2, #banner-main2, div.banner-box,\n.size-large.wp-block-image",".widget-header, #content > center > A > IMG, .widget_media_image.widget, #content > center",".td_block_single_image:has(> [style*=\"scaled\"]),\n.td_block_template_4.td-pb-border-top.td-single-image-.tdi_10 > .td_single_image_bg",".adni_widgets-3, .adni_widgets-2","#text-16, #text-4, #text-2",".main-container > IMG","a[href^=\"klik.php\"]","#informacja2",".baner_top,\n.rightSideBaner, .banerAfterPromo",".right > .textwidget > A,\n.right > .textwidget > IMG",".banner_box_frame, #c9071_89_20, .sam-place.sam-container","#text-17","#banerA, #reklamaImg, #reklama_link, #infoRek","#text-10, #text-11",".ads, .mod_nieruchomosci","#adv3 > div.yj3.yjsquare:nth-of-type(3),\ndiv[class^=\"sppb-col\"]:nth-of-type(4) > .sppb-addon-container > div[id^=\"sppb-addon\"]:nth-of-type(1n+2):nth-of-type(-1n+3) > .sppb-addon","#Mod114, #Mod116, #Mod117",".mb-0.card-title,\n.my-ad.card",".santa-main-wrapper.container-fluid",".news_menu:nth-of-type(3)","#text-6",".a-single > div, .wp-image-15121, #secondary > #block-12",".gofollow","#custom_html-37, #custom_html-38, #custom_html-39","[id^=\"div-apt-ad-\"]","#jm-top-mod1-in > .jm-module > .jm-module-in > .notitle.clearfix.jm-module-content,\n.moduletable > .custom",".bm1.bm",".a-widget","center > A, .widget_media_image.g1-card-solid.g1-card-l",".widget_text.widget",".banner_top",".modid360, .modid208, .modid346, .modid368, .modid321, .modid374, .modid332",".swiper-wrapper","[href=\"https://samochody.pl\"]",".slides","div[class$=\"bannergroup\"]",".text-center > div[id^=\"bills_in_rotation_\"]",".ad--bill-top","#jm-header-mod > .jm-module:nth-of-type(2) > .jm-module-in,\n#jm-left > div > .jm-module:nth-of-type(1),\n#jm-left > div > .jm-module:nth-of-type(4),\n#jm-right > div > .hidden-mobile.jm-module:nth-of-type(4),\n#jm-right > div > .jm-module:nth-of-type(1),\n.custom-html-box.box > .box__container",".powia-widget.relative.left.mvp-widget-home, #mvp-leader-wrap","div#sidebar-srodkowy:nth-of-type(9), #text-117, #text-147, .header-right",".elementor-section-height-default.elementor-section-boxed.elementor-element-37f23e2.elementor-element.elementor-top-section.elementor-section,\n.elementor-section-height-default.elementor-section-boxed.elementor-element-a327dbf.elementor-element.elementor-top-section.elementor-section,\n.elementor-section-height-default.elementor-section-boxed.elementor-element-f0cc1b9.elementor-element.elementor-top-section.elementor-section,\n[id^=\"widget_sp_image-\"], .elementor-widget-container > .elementor-size-small.elementor-heading-title, .elementor-widget-wp-widget-advads_ad_widget",".box-big,\n.field-label-hidden.field-type-image.field-name-field-zdj-cie.field > .field-items",".bdaia-header-e3-desktop","#text-20",".adv-show",".aligncenter",".entry-content > p > A,\n.entry-content > p > img,\n.front-top.rotator, .entry-content > div:nth-of-type(4), .front-medium.rotator",".text-center.row,\n[id^=\"addon-rotator-\"] > .carousel-inner","#banner-billboard, #bannerBn, .news-item2, .area.before_content, .ads, #views_slideshow_cycle_teaser_section_ads-block_2","div.baner, .banerb1",".pozycja-A",".e3lan","[id^=\"ads300_\"],\n[id^=\"snp-\"]",".background-cover","#carousel_be4c, #carousel_f11c, #carousel_25f7, #sec-b15d","#jedrus",".header-advertise","div.blok:nth-of-type(4)","div > iframe[style^=\"border:\"]:not([src])","#forum-box, #trip, #remote-info-33, [style=\"height:200px\"]","#partners",".td_single_image_bg, .td-category-description, .widget_media_image.widget.td_block_template_1","div.span-24:nth-of-type(4) > center:nth-of-type(1), div.span-24:nth-of-type(4) > center:nth-of-type(2), #text-48, .content > center:nth-of-type(1), .content > center:nth-of-type(2)","CENTER > A[target=\"_blank\"] > IMG, div.panel-default.panel:nth-of-type(5)","[class*=\"popup\"]",".header_img, #section.blok-extended.baner-row.wrapper, .reklama-display-desktop,\n[data-ads-id] > DIV[class$=\"970x250\"]","#Mod274, #Mod213, #Mod214, #Mod220, #Mod302,\n#djslider-loader217,\n#ja-topsl2, #djslider-loader221, #ja-botsl1, #slider255, #djslider255","#ai_widget-3","[class^=\"wkiel-reklama\"],\n[id^=\"wkiel-\"]",".banner-carousel",".bc_random_banner,\naside.widget_random_banner_widget.widget",".amalker.erdt-news","#bsa-block-990--100, #td_uid_33_5de793a6c1baa",".textwidget > p","[class^=\"zegla-baner\"],\n[style=\"margin-bottom: 20px; \"] > A",".zkasz-widget.widget, #block-3, .amkad, .zkasz-przed-trescia, .zkasz-tresc, .zkasz-w-tresci_2, .zkasz-po-tresci_4","a[href=\"http://ultrastreet.pl/\"]","#window-msg2,\n.login-element:nth-of-type(3)","#dd_ajax_float",".theiaStickySidebar","#srodek3 > div","#second_col",".active.ybox--header.ybox--1.ybox,\n.header__ybox--wrapper,\n.is-visible.section__observer.district > .active.ybox--1.ybox,\n.is-visible.section__observer.history > .active.ybox--1.ybox,\n.is-visible.section__observer.transport > .active.ybox--1.ybox","#custom_html-6",".media_image-5,\n.td_block_template_1.td-pb-border-top.td-single-image-.tdi_73_a26.vc_single_image.td_block_wrap.td_block_single_image.wpb_wrapper,\n.td_block_template_1.td-pb-border-top.td-single-image-.tdi_74_af1.vc_single_image.td_block_wrap.td_block_single_image.wpb_wrapper,\n.td_block_template_1.td-pb-border-top.td-single-image-.tdi_89_6bf.vc_single_image.td_block_wrap.td_block_single_image.wpb_wrapper,\n.widget_media_image.media_image-3,\n.widget_media_image.media_image-4",".grid-12 > .banners.box, .wp-image-378854.size-full.alignnone","#profilePhoto",".widget-page__ads","#html7",".advertpattern, .flexbannergrouppattern",".clearfix.sidebar-box:nth-of-type(2), .related_post_title, .widget-text","#container-fluid > div > A[target=\"_blank\"], .revive","#dwa_panel > center,\n#trzy_panel",".conntent > center,\n.ul_panel_bg:nth-of-type(4)","#custom_html-70, #custom_html-71",".stopka, .calosc,\n[href^=\"/banery/click.php\"],\ntd:nth-of-type(3) > table > tbody > tr:nth-of-type(1) > td:nth-of-type(2)",".td-container > .td-header-sp-recs",".ad","[id*=\"reklama\"]",".banner-top-wrapper",".clearfix.section-banner","#gkBottom3,\n.gkPage.banner-top","[style=\"height:300px;padding-bottom:12px; margin-top: 13px; border-bottom: 1px dashed #ccc\"]","a[href*=\"/redirect.php\"]","[class^=\"baner\"]",".gkPage.banner-top, .dj-image",".boksy-wyroznione.box","#slider161, #slider163",".adBlockOverlay,\n.rek_top","#gkContentTop > .box:nth-of-type(1),\n#gkToptop5 > .box,\n.content > .custom","#cookieinfo2","center:nth-of-type(2)","div.text-center.advertisement:nth-of-type(10),\ndiv.text-center.advertisement:nth-of-type(5),\ndiv.text-center.advertisement:nth-of-type(9)",".view-display-id-block.view-id-_yczenia.view--yczenia.view > .view-content,\n[id^=\"block-views-baners-\"],\nh4.uk-heading-line",".prawa:nth-of-type(11) > .naglowek","#\\#reklama-top,\n.execphpwidget, div.jedrz-widget.widget.col-md-12","#dialog","body > .banner-box",".span_15.col, .w-full.btn, [class*=\"py-\"], [href^=\"/adv.php?id=\"]",".row-fluid.wpb_row.vc_row:nth-of-type(6) > .span12.vc_column_container.wpb_column > .vc_column-inner > .wpb_wrapper,\n.row-fluid.wpb_row.vc_row:nth-of-type(7) > .span12.vc_column_container.wpb_column > .vc_column-inner > .wpb_wrapper > .wpb_content_element.wpb_text_column:nth-of-type(1),\n.span12.vc_column_container.wpb_column > .vc_column-inner > .wpb_wrapper > .vc_align_left.wpb_content_element.wpb_single_image,\n.span8.vc_column_container.wpb_column > .vc_column-inner > .wpb_wrapper > .vc_align_left.wpb_content_element.wpb_single_image,\n.vc_align_left.wpb_content_element.wpb_single_image:nth-of-type(10)","[class*=\"baner\"]","#ldnk-abp,\n.bannersZoneB1,\n.jd-content-to-left.jd-content-3-2,\n.jd-oaz,\n.jd-sponsored-links-top,\n.slTop, .content-outer > .text","#text-51, text-20, #text-40, #text-47, #text-39, #text-37, #text-32, #text-27, #text-48, #text-26, #text-20, #text-25, .header-right",".ears-left,\n.ears-right,\n.hidden.citibank-popup","[id$=\"_ucho\"]","#opiekunka","[class$=\"_ad\"],\n[style=\"display: block; width: 750px; height: 200px; margin: 0px auto;\"]","#weptile-image-slider-widget-8, #weptile-image-slider-widget-12, #weptile-image-slider-widget-11, .e3lan-bottom.e3lan",".e3lan-top.e3lan","[class^=\"devel-\"]","#ecoeconomy","#nmb-BusyBox",".big-advertising",".adds-txt-centred,\n.xopen",".theiaStickySidebar > .clearfix.ai_widget.widget, .clearfix.widget_media_image.widget, #custom_html-13, #custom_html-12, #custom_html-11, .ad_img_baner_glowny",".l-box--25.l-box, .l-box > p > A","#box_custom33","div > A > IMG","[id^=\"banner\"]","#ali, #cas1, #casa, #lewydolny, #lifeboat, #reklamtex,\n[id^=\"prawareklam\"]",".rotator,\n[class*=\"clickType-\"]",".rek",".widget_text",".wp-image-55746.image",".top-footer-wrap.clearfix",".ban-71.ban","#stop, #sbottom","body > p","#najblizszyMeczk, #wspieraja-nas","table",".c-promo-slide, .o-promo","div.adesplace","[style=\"display: inline-block\"]","#rekl_main","#custom_html-6 > .custom-html-widget.textwidget, #text-6, [id^=\"newspaper_x_banner-\"], .flexslider,\n.banner-page.row, #block-23, #block-27","aside.z8x","a[href^=\"http://allegro.pl/\"]",".banner--placeholder","[class^=\"moduletable_reklama\"]","#execphp-2",".region-right-first-banner.region","[id^=\"custom_html-\"]","#text-10, #text-27, #text-17",".modulebanner",".banner_container",".fqx",".commercial-top, #commercial-300, .three-commercials","#clickfakeplayer",".banners",".entry-content > p > A > IMG","#sidebar > li:nth-of-type(1),\n.postcontainer.postbitim.postbitlegacy:nth-of-type(2)",".content_style > div:nth-of-type(1)",".video-js[data-attr-player=\"mcnPlayer2\"],\ndiv.site-content:has(> div[id^=\"videojs-remote\"])","[id*=\"Advertisement\"]","[id^=\"banner-\"], .googleads-button","[style=\"margin:25px auto;width: auto;text-align:center\"],\n[style^=\"width: 100%;max-width: 1140px;\"]","body > center","[href^=\"http://www.elektryka.org/redirect.php\"]",".banner-src.text-right","#\\32","#post_id_",".-a1.-a.aff","#custom_html-12","#adBlock,\n.commented-widget:nth-of-type(1) > .header",".adr",".BoxContent + DIV[align=\"center\"],\n.matchedContent,\nDIV[style=\"position: fixed;bottom: 0;width: 1020px;height: 100px;background-color: #eee;border: 1px solid black;z-index: 1000;overflow: auto;left: 50%;margin-left: -510px;border-bottom: 0;\"],\na[href*=\"utm_source=JoeMonster&utm_medium=Rectangle&utm_campaign=\"],\na[style=\"cursor: pointer\"][onclick^=\"window.location.href=\"][target=\"_blank\"],\niframe[mysrc], .right-column-rectangle-advert, #rightSky","[id^=\"bmone2n-\"]",".image_banner","[id^=\"spu-\"]","#services_box","[id^=\"sky\"]",".clearfix.lbox.pic:nth-of-type(5),\n[href*=\"utm_source=mistrzowie&utm_medium=banner&utm_campaign=pewexserwisy_mistrzowie\"],\na[href^=\"http://pewex.pl/\"]",".adad, .evo_rect.pic","[class^=\"rekwrap\"]",".ins","#rightSidebar > .block > DIV > A[target=\"_self\"] > IMG","[id^=\"reklama-\"]","#custom_html-2",".grid__col--3 > [class=\"card card--high card--box\"],\n.l-box--99.l-box center, [id*=\"cmcmedia\"], div.l-row > .l-box--100.l-box > div > table","#LinkArea\\:gry,\n#ad,\n#content-stream,\n#image_pino,\n#pasekSingle,\n#phContent_avastBadge,\n#reklama_top,\n.ad-placement,\n.adsSlotContainer,\n.adsbyg,\n.anal-post-popularne,\n.cg3-products,\n.inpl-gallery-ad-horizontal,\n.reklama-rectangle,\n.reklama-top,\n.reklama_gora,\n.reklama_top,\n.reklamastoproc,\n.single_ad_300x250,\n.zpr_shopping__article,\n[class*=\"admanager\"],\n[id^=\"ad_widget\"],\na[href*=\"/adserwer/\"],\na[href*=\"://clicks.fortunaaffiliates.com/\"],\na[href^=\"//69oxt4q05.com/\"],\na[href^=\"http://tc.tradetracker.net/\"],\ndiv.ads-s",".adbox",".ads-programmatic","[href*=\"s.click.aliexpress.com/\"]",".advert","#top-reklama",".trizer-bnr",".adv_container","#ads","a[href*=\"://converti.se/click/\"]","[class^=\"ad-\"]","[id^=\"crt-\"]","#advertisments,\n#pixad-box,\n#widget-shop,\n.adform-slot,\n.adsense,\n.linkSponsorowany,\n.ppa-slot,\n.sliderads,\n.widget-ads-content",".onnetwork-video",".ads","[class$=\"-ads\"]","[id*=\" ad-container\"],\n[id*=\"-ad-container\"],\n[id*=\"_ad-container\"],\n[id^=\"ad-container\"]","[class^=\"adv-\"]","[class^=\"advertisement\"]","[src*=\"/banners/banner\"]","#adnp,\n.header-adblock","#block-trainings-rev-content-bottom, #block-trainings-rev-header",".vc_figure.wpb_wrapper",".ads-checker-msg",".vce-sticky,\n[href^=\"https://www.24gliwice.pl/r/\"],\na[href^=\"http://www.24gliwice.pl/r/counter-baners.php\"]",".no-lazyload",".add_bill, .l-box--99.l-box, .l-box--25.l-box > p, div.l-box--33.l-box > p,\n.linia_4.clear, .card--high,\nIMG[src^=\"http://www.24jgora.pl/kampanie/\"]","div.box_reklama, .box_reklama_t","#text-8",".acl_bd,\n.cd,\n.dd","#text-22","[id^=\"bannerlistwidget-\"]","[class=\"card card--low card--box\"],\ndiv.l-container--rwd.l-container > div.l-row > .l-box--99.l-box > p,\ndiv.linia_4","div.l-container--rwd.l-container > div.l-row > .l-box--100.l-box > p",".container > .center-block.text-center.rBox",".ads-programmatic, #side_1, #inside_3_article, #inside_2_article",".header-ads-wrapper",".dcmads",".gzpcosl",".hidden-xs.col-xs-12",".xxl, .imc.carregat.llarg.zona_publi",".fonsGris1,\n.fonsPubli.flex-item,\n.fons_zona_golds.sec_publi","DIV[align=\"center\"] > [target=\"_blank\"] > IMG","#PSH-Bar",".bxbanner",".wp-block-image:has([href*=\"/1440x1152\"], [src*=\"/1440x1152\"]) + hr,\n.wp-block-image:has([href*=\"/DEMOKRcja\"], [src*=\"/DEMOKRcja\"]) + hr,\n.wp-block-image:has([href*=\"/JARMARK-pomzach\"], [src*=\"/JARMARK-pomzach\"]) + hr,\n.wp-block-image:has([href*=\"/Oferta-do-gazety-Gol\"], [src*=\"/Oferta-do-gazety-Gol\"]) + hr,\n.wp-block-image:has([href*=\"/a896x480\"], [src*=\"/a896x480\"]) + hr,\n.wp-block-image:has([href*=\"/pz_1920x1080a-WWW\"], [src*=\"/pz_1920x1080a-WWW\"]) + hr,\n.wp-block-image:has([href*=\"/spolecznik-zajawka\"], [src*=\"/spolecznik-zajawka\"]) + hr,\n.wp-block-image:has([href*=\"/zdjecie-na-www-i-jednoczesnie-zajawka-obrazowa-na-stronie-glownej\"]) + hr,\n.wp-block-image:has([href*=\"/zdjecie2\"], [src*=\"/zdjecie2\"]) + hr,\n.wp-block-image:has([src*=\"/zdjecie-na-www-i-jednoczesnie-zajawka-obrazowa-na-stronie-glownej\"]) + hr,\n.wp-block-image:has([title^=\"„Z Credit Agricole mniej plastiku na twoim koncie”\"]) + hr,\n.wp-block-image:has(figure > [target=\"_blank\"]:not([href*=\"/dn-wzp\"]) + hr) + hr,\n[href*=\"/1440x1152\"], [src*=\"/1440x1152\"],\n[href*=\"/DEMOKRcja\"], [src*=\"/DEMOKRcja\"],\n[href*=\"/JARMARK-pomzach\"], [src*=\"/JARMARK-pomzach\"],\n[href*=\"/Oferta-do-gazety-Gol\"], [src*=\"/Oferta-do-gazety-Gol\"],\n[href*=\"/a896x480\"], [src*=\"/a896x480\"],\n[href*=\"/pz_1920x1080a-WWW\"], [src*=\"/pz_1920x1080a-WWW\"],\n[href*=\"/spolecznik-zajawka\"], [src*=\"/spolecznik-zajawka\"],\n[href*=\"/zdjecie-na-www-i-jednoczesnie-zajawka-obrazowa-na-stronie-glownej\"],\n[href*=\"/zdjecie2\"], [src*=\"/zdjecie2\"],\n[src*=\"/zdjecie-na-www-i-jednoczesnie-zajawka-obrazowa-na-stronie-glownej\"],\n[title^=\"„Z Credit Agricole mniej plastiku na twoim koncie”\"],\nfigure > [target=\"_blank\"]:not([href*=\"/dn-wzp\"])","[data-element=\"wide-placeholder\"]","[class^=\"content-aside__\"], div[class^=\"article \"], div[class^=\"article__textbox \"]",".a-ctn-d,\n.article__textbox,\n.sidebar-box--promo,\nA[target=\"_blank\"] > IMG[src^=\"https://v.wpimg.pl/\"],\n[class^=\"article__side__stickblock-\"]","[class*=\"ad_container\"] + div[class]","div[class]:has(> div > iframe)","[style^=\"margin:0\"], [style^=\"margin:10px auto;\"], #topMenu-wrapper","#okazja-dnia","body > center > .F8",".d-block.mx-auto.mt-5.row","#blok_partnerzy2",".widget_text.widget:nth-of-type(3)","[href=\"https://przepismamy.com/przepis-na-gofry\"] > b, .zPlus","body > div:nth-of-type(1) > .alert-dismissable.alert-warning.alert","article.ipsComment.ipsBox.cPost:not([id^=\"elComment\"])","#main_right > .row:nth-of-type(6)","[id^=\"mediaContent\"]","#left-right-top > .yt-position-inner > div.moduletable:nth-of-type(2)",".b-game-list__bnr-title","#myModal, .modal-backdrop","#slider300Wrapper",".widget_text:nth-of-type(3),\n.widget_text:nth-of-type(5)","tr > .glowna > div > A > IMG","#tie-block_707",".buy_btn, .interesting",".elementor-widget-image.elementor-widget.elementor-element-da54fe7.elementor-element","#coins-banner, .main-wrapper > div[data-box-name=\"Belka-desktop\"] > .opbox-sheet-wrapper > .opbox-sheet [data-role=\"slidesList\"] > li[data-analytics-view-custom-placement-id],\n#installments-banner-container,\n#main_page_hr_980_180,\n#main_page_main_1200_400,\n#mainpage-marketing-showcases > .clearfix,\ndiv[data-box-name*=\"carousel_ads\"]","DIV[style=\"background-color:red;color:white;padding:10px;text-align:center;\"]","#sidebar","#text-6 > .textwidget","#contDIs,\n#middle-box-adk,\n#nextClickAd,\n#omg_art,\n#rectangleTopNetProgH,\n#rectangle_top_ad,\n#sidebar-right > .widget:nth-of-type(1),\n#sidebar-right > .widget:nth-of-type(2),\n#widget_data_placement,\n#yeailRi,\n.widget[style=\"text-align: center\"],\nDIV[style=\"max-height:300px; overflow:hidden; float: left; width:100%;\"],\n[id^=\"billboard_top\"]","#gkSidebar",".visible-sm",".mini-title:nth-of-type(1) > p > a[href=\"#\"],\n.section-side > .mini-box:nth-of-type(2)","[id*=\"ScriptRoot\"]",".secondary-sidebar.sidebar > .tr_e3lan-widget, .header-right",".w-full > .items-center[style*=\"min-height:\"]:has(> .ad-placeholder),\n[class=\"flex justify-center items-center my-4\"]","#content-sidebar",".banner-radiostacja",".adsearch-adkontekst",".group.big.box-img,\n.group.no-margin.columns-wrapper > .group.no-margin.columns-wrapper,\n.touch + IMG.notMobile[src*=\"/1200x400\"],\n.transparent, .box-adv, .grid-item--height-2.grid-item--width-2.grid-item,\n[class$=\"banner--place\"]",".adblInfo",".elementor-widget-heading.elementor-widget.elementor-hidden-phone.elementor-hidden-tablet, .g-1.g",".textwidget","#leader-wrap","#pw_bannery_5, .baner, .s_extra_btn, .container_right_box, .container_left_box",".featured-advert",".content-a-detail-top.content-a, .fixed_to_next.lasta-content.has_baner","div.owl-item","#hero2","[class^=\"bFix\"]",".jesion_image_topic_top","a[onclick^=\"countAdClick\"]","#views_slideshow_cycle_teaser_section_baner_reklamowy-block","#container > .sidebar_ranking,\n#index_stats,\n#ips_Posts > .right,\n#opinie_db > .general_box,\n#opinie_sidebar,\n#skapiec-widget",".r_lewa_01,\n.r_prawa_01,\n[class^=\"rek_sr_\"]","#popup","[id^=\"tcvn-banner-slider\"]","IMG[alt=\"REKLAMA\"],\nTD[align=\"left\"]","#autentyki > div > A > IMG","#intertext1 > .text-center.col-all-max","[id*=\"-adv-slide-\"] > .side-right > p,\n[id*=\"-adv-slide-\"] > p","SPAN[style=\"display:block;font-size: 14px;font-weight: 700;color: #999;text-align: left;max-width: 1130px;margin:auto;padding:0 0 10px\"]","#media_image-2",".ad_adInfo, [class^=\"placeholder\"]",".ad_adInfoEnd","aside[class^=\"CenterAd_container\"],\ndiv[class^=\"AdPlaceholder_\"]",".adsContainer, .adPlaceholder, .ad-placeholder, .asideAds, .dlapi-placeholder.onet-ad, .placeholder.onet-ad, #onet-ad-flat-belkagorna, #extraAdsBlock, #googleAdsCont","#new_banner + div[style=\"max-width: 750px; margin: 0 auto; padding-bottom: 15px;\"],\na[href^=\"http://blbl.cr/\"]","body > div[class]:first-child:not([id])","div.hidden-print > div.at-title",".banner-top","#idRightBanner,\n.ent",".ad-info-r","#toppage_shadow, [href^=\"http://www.autoklub.pl/redirect.php\"]",".insert--top-offer.insert, .partner-area,\n.post-article-sidebar--vfloat,\n[href^=\"http://corto.www.wp.pl/\"]",".scr-wallpaper",".article-wrapper > FIGURE.insert,\nBODY > DIV[style*=\"max-width: 100%; \"],\nFIGURE.insert > DIV[style*=\"max-width: 100%;\"]",".modal__body-adblock","#bannerTop, #partnerPresents,\n[id^=\"ha\"]",".frame, .advertHd",".link-search",".art_embed,\n.svelte-p8mgmp.inner-ban,\nproducts-nativegallery","#block-dart-dart-tag-980x100-ldr-top.block.block-dart > .content > .dart-advertisement",".alternatywa",".header_spotted, .header_praca, .header_bilety, .header_podreczniki, .header_imprezy, .portal_header",".elementor-divider-separator, .elementor-image, h5, #metaslider_13389, #custom_html-5, #metaslider_widget-19,\n.wpb_content_element.wpb_text_column, #metaslider_4122, #custom_html-4","[class^=\"slide-\"]",".grid__col--3 > [class=\"card  card--box\"]",".rsb.widget",".rekls","#boxBankierPick,\n.boxContent > ul > li[class^=\"item-\"]:has(.premium-link),\n[class$=\"Adv\"], [id*=\"-ad-r\"],\n[id^=\"boxPromoTool\"]",".o-home-ecom-box","[id^=\"popuptable\"]","#jm-right > div > .jm-module:nth-of-type(1) > .jm-module-in,\n#jm-right > div > .jm-module:nth-of-type(4) > .jm-module-in,\n#jm-right > div > .jm-module:nth-of-type(6) > .jm-module-in,\n.item-page > div > table","#gafancybox-overlay265","#postTopAd","a[href^=\"http://www.bazarynek.pl/reklama.php\"]","div.l-container--rwd.l-container > div.l-row > .l-box--33.l-box > p > A","div.l-row > .l-box--100.l-box > p > A",".box:nth-of-type(4)",".penci-adsense-below-slider, #text-8","#greeting","div[id][style$=\"display:flex;justify-content:center;align-items:center\"]",".flexbannergroup > p",".container.site-content > .banner-line, .wp_bannerize_layout_vertical.wp_bannerize_container","div.CalyBox:nth-of-type(2)","SPAN[style=\" display: block;margin-bottom: 10px; font-size: 13px;color: #aaa; text-align: center;\"],\n[id^=\"adsense_main_\"],\ndiv:nth-of-type(10) > span",".size-large.aligncenter > A, div.wp-block-image",".banerart.banner-block,\n.main-nosplit > .banner > .banner-block,\n.wrapper > .banner > .banner-block","body > .box-1",".visual-wide, .special-ad-top, .col-xs-12.hidden-xs, .margin-bottom40.headline, .margin-bottom40.sidebar, .play_iframe, .wall-bg-link",".subpage-header2","[style=\"width:700px;height:200px;\"],\nsection > script + div[id^=\"crt\"][style],\nsection:has(script + div[id^=\"crt\"][style])","[class^=\"special\"]","#bilboard, .p-prawy, #s300,\n#mainhead > div:nth-of-type(2),\n.innerbanner,\na[href^=\"http://bham.pl/sea/www/send/\"]",".market__item--title-top.market__item,\n[class^=\"iframee-R\"]",".rekl-title,\n[id^=\"placeholder_\"]","[id^=\"cbox\"]","ins[data-baner=\"true\"]",".defgrey, .hide-for-print.columns.large-4:nth-of-type(6)",".darkness-popup",".app-link","#slider1_container",".c-advertaisment","#JtfRightBox","#block-block-11,\n#block-block-9, #block-views-reklamy-block,\n#block-views-reklamy-block-2",".banner--toplayer, .centered.billboard.container, .banner--regular, .banner--programmatic",".adblock","#top-offer","#box_r,\n.czytaj_dalej","#topbanner > .przypis,\n[id^=\"black-studio-tinymce-\"]","[id^=\"bans_\"]",".ats_link",".m-rek, .space-x-6.flex,\n.widget_media_image > a:not([href*=\"bitcoin.pl\"]) > img","IMG[src^=\"/data/banner/\"]",".cameraContent,\n.custom-class.sp-column > .text-center.sp-module,\n.sp-module:nth-of-type(3) > .sp-module-content > .custom","A[rel=\"nofollow\"] > IMG","#text-8 > .textwidget, .sckutqx-image, #text-12, #text-9,\n.gpuajs-image,\n.hqeigpn-container, .st-ad-region","#mmm2",".e_Box.analyses,\n.rightBoxR.boxPopComtR.cl",".navibox",".banner-overlay, .container > div:nth-of-type(10),\nA[target=\"_blank\"] > IMG.img-responsive","div[style=\"border-left:1px solid #cccccc;border-right:1px solid #cccccc;padding:0px;\"]:not([id])","[target=\"_blank\"] > .vc_single_image-img.attachment-full","#page-body > center","DIV[class^=\"td-a\"] > A > IMG","A[href^=\"http://dot.wp.pl/redir\"]","span[style^=\"font-size: 15\"] > center, h2[style^=\"font-size: 14\"] > center",".ads_top_of_list","[class^=\"gridAd\"]","#stream-item-widget-3 > .stream-item-widget-content,\n.size-large.aligncenter > A,\n.widget-ad-image, .size-large.wp-block-image, div.wp-block-image,\n[id^=\"cp-cp_id_\"],\nfigure.wp-block-image > A","#headerNavBlogomaniak > .wrapper > .right,\n#left,\n.anal-post-popularne, .anal-post-ad-pod-artykulem, .anal-bottom",".blogu-widget, .blogu-text, #custom_html-3","center > A > IMG","#wrap > .forabg","#top-banner-ks, #widget_metaslider_widget",".A1sub, .advert-A1, aside > div > .text-left > .text-left > .text-left.img-responsive, div.widget.row > .text-center.col-md-12 > div > .text-left",".size-full.aligncenter",".xo, .td_block_wrap.wpb_wrapper > .td-fix-index > p > a","[id^=\"rotate\"], .top_banners, [class^=\"bochn-top\"], #custom_html-18, #custom_html-17, .bochn-post-banner > .lazy-loaded, #content-main > [id^=\"bochn-\"] > A","#undermenu, .header-slogan, #share-nav,\n.main-article > .textwidget > .text-center,\n.strict-block:nth-of-type(2) > .centered-row.paragraph-row",".td-footer-wrapper > .td-container > .td-pb-row:nth-of-type(1),\n.td-pb-row.wpb_row.vc_row:nth-of-type(2),\n.td-pb-row.wpb_row.vc_row:nth-of-type(4),\n.td-pb-row.wpb_row.vc_row:nth-of-type(6),\n.td-pb-row.wpb_row.vc_row:nth-of-type(8)","div[id^=\"custom_html-2\"]","IMG[src*=\"/banners/\"]","td:nth-of-type(2) > div:nth-of-type(3)",".l-box--66.l-box > p,\n.l-box--75.l-box,\n.l-box--99.l-box > P,\n.l-box--99.l-box > div > p,\ndiv.l-box--50.l-box,\ndiv.l-row > .l-box--100.l-box","div.l-box--33.l-box > p","div.widget > .socialize",".brn-ads-box","#conTopBanner","#__cmcmedia_upid_6, #__cmcmedia_upid_21, #__cmcmedia_upid_23, #__cmcmedia_upid_25",".page > div > div > A > iMG",".vc_box_border_grey.vc_single_image-wrapper, .ntphubdx-type-image.ntphubdx-container, .ntphubdx-image",".txt11whitebold > table > tbody > tr > td > A,\n.txt11whitebold > table > tbody > tr > td > IMG",".popup-content, .popup-bg","a[href^=\"https://\"] > IMG","tr:has(.post_adv)","#sticky-posts-7,\n.wp-image-218.size-full.alignnone,\n.wp-image-9190.alignnone,\n.wp-image-9393.alignnone","#internal-block > div > span",".add,\nA[href^=\"http://\"] > [class*=\"wp-image-\"][width=\"750\"],\n[href^=\"http://\"][target=\"_blank\"] > IMG[src^=\"http://businessjournal.pl/wp-content/uploads/\"]",".widget-clear.widget","[class*=\"sidebar-cat-box-\"],\n[id^=\"slidero-box-\"],\n[id^=\"widget_sp_image\"]","div[id^=\"leaderboard-\"]","#tt_box > div[id^=\"gad\"]",".widget_media_image.widget",".promotion-section, #media_image-4, #media_image-2, #media_image-3, #media_image-1","IMG[src^=\"http://www.bytomski.pl/images/banners/\"], #commercial",".custom > span",".text.item.block:nth-of-type(1)","[class*=\"adv\"]","TD[bgcolor=\"#FFFFFF\"]","#col3 > div > A",".adslot--centered, .hidden-xs > p, .col-lg-3.col-md-12.col-sm-12",".footer-wid.text-center.fixed-bottom",".bld-el,\n.td-visible-desktop,\nA[target=\"_blank\"] > [src],\n[class^=\"cn-ad-\"],\n[id^=\"snp-pop-\"]","[target=\"_blank\"] > IMG[src^=\"/images/loga/\"][height=\"249\"]","IMG[alt^=\"Baner\"]","img[src=\"https://www.cba.pl/cba1.jpg\"]","ul:nth-of-type(7)","#custom_html-6 > .custom-html-widget.textwidget","#mvp-leader-wrap","#aa_ad,\n.f-img, #glowna_banner_wrapper, .tradf-rect, .bg1scrLf, .tradfi, .tradfivid-pd, .siddeAd,\n.top-anonco-auto-height90, .muimErPIa > .minaitura > .img-description, #premium_info_naitruc","#deadblocker_success_dialog",".pb-video-click","[id^=\"mobile-ad-placeholder-\"]","[class=\"cPost ipsBox ipsComment ipsComment_parent ipsClearfix ipsClear ipsColumns ipsColumns_noSpacing ipsColumns_collapsePhone\"]:not([id^=\"elComment_\"])","#ca241240-4097-4af3-9819-9a1a26afec46,\n.ado-top-billboard,\n.js_widget,\n.lnd_contrast.lnd_parallax.sklepy_1.lnd_container,\n.lnd_contrast.lnd_parallax.sklepy_2.lnd_container,\n.lnd_contrast.praktyczne,\n.top-banner.js_top-banner.js_analytics-topBanner,\n[class^=\"home-ad\"]",".video-content #overplay","#slide-bottom-popup, .sidebar.col-4 > ul > div, .cd3d-video, DIV.right > STYLE + DIV,\na[href^=\"https://goo.gl/\"],\nsection:nth-of-type(3) > div, .col-lg-12.col-sm-12 > .title-cat","div:nth-of-type(8), div:nth-of-type(9), .ot-widget-banner, div.ot-panel-block:nth-of-type(3)","#WelcomeBox,\n#sldr, .article > p > span,\n.article > p > a > img[src*=\"Bannery\"]",".hidden-xs.text-center,\n.menu-block,\n.system_banner,\n[class^=\"google-\"]",".bd-no-margins.bd-tagstyles.bd-blockcontent,\n.view-pc.custom,\n[href=\"/wspolpraca\"] > .jch-lazyloaded",".headFlash","#ad-bg-transparent,\n[class^=\"ads\"]",".main-banner,\n[href^=\"http://empire.goodgamestudios.com/\"]","#HTML1",".premium-cont, .the-a","#rba2",".chill-adlabel","#nextartprompt, .widget_banner,\n#panel-20-8-0-0 > .widget-title,\n#search_box,\n.portlet.portletCeneo, .cbad, .fc-widget,\nLI[id^=\"media_image\"].widget_media_image:last-child,\n[id^=\"portletwrapper-\"] > form",".top-banner","#banner-3","#main_bottom > .clearfix.module:nth-of-type(1)","#HTML5, #HTML9, #HTML13, #HTML15, #Text2,\n#Text1 > .widget-content","#logo_box","#InboxTable > tbody > tr:has(> td > .spons),\n#aPlaceHolder,\nIMG[style=\"width:100%;max-width:290px;\"]","img[src^=\"http://chorzowianin.pl/uploads/userfiles/\"], .left_header, .ads-responsive-container","#title",".uv3dpopup-adv",".custom-rektt,\ndiv.moduletable > .custom > p","[data-widget_type=\"jet-images-layout.default\"]",".bd-custom-image.bd-btn-success.bd-bootstrap-btn.bd-tagstyles.bd-blockcontent > .custom",".baner-side","#execphp-3",".row:nth-of-type(3) > .fl.w250, .l-box--66.l-box > p,\ndiv.grid__row:nth-of-type(4) > .grid__col--3.grid__col--row.grid__col > .card--box.card--low.card","[id*=\"cmcmedia_upid_\"]","#sidheight,\n.backbglink,\n.floatRight.short.books, .topbn.row,\n.tinylittlepicture","#lewe > .moduletable,\ncenter > center","#layer_3_-150_0,\n#subsnatch,\nDIV[id^=\"snatch\"]",".ramka_szara_kont:nth-of-type(11),\n.ramka_szara_kont:nth-of-type(3),\n.ramki_srednia_mala_kont:nth-of-type(3) > .ramki_srednia_mala_prawy_kont",".g1-sticky-widget",".adv-header,\n.prenumerata-sklep-ckm",".box:nth-of-type(1),\n.box:nth-of-type(3)","p > span > span","[src*=\"Reklamy/\"],\ntr > td > .H7",".fullwidget > h3:nth-of-type(2)",".pm-ads-floating-left, .pm-ads-floating-right, .pm-ads-inplayer","#block--managed-0",".pending-ad, .bm-ad-placement, .c-ad-placement","#text-44","#ai_widget-8, .code-block-9.code-block,\n.code-block-8.code-block, .code-block-3.code-block > .ai-rotate > .ai-rotate-option,\ndiv:nth-of-type(6) > a[href^=\"http://\"]",".mh310, a[href*=\"&utm_campaign=\"][target=\"_blank\"] > img",".g2a","#bl2,\n.tdi_17.vc_raw_html.td_block_wrap.wpb_wrapper > .td-fix-index, .a-single","#abinfo,\n.colSideLeft.colSide",".banner--custom,\n.big-banner, .welcome-popup, .custom-banner.vertical-banner, .custom-banner.post-inbetween, .welcome-popup,\n[id^=\"text-3\"]",".ipsResponsive_block.ipsResponsive_hideTablet.ipsResponsive_hidePhone, .Ad",".atla-place","#aq-block-4577-2, div.textwidget:nth-of-type(2), .ad300_inn","div#showcase.w3-container","#adSS-Detal, .post-container, .bottom-share-module, .clearfix, .adBoxTop, #main > .sH_bottom_first, .adSlotWidget, .adsContainer, .newsletterHeader,\n[class*=\"placeholder\"][data-configuration*=\"slotName\"][data-run-module$=\"Ad\"]","section#reklama-box","a[rel=\"sponsored\"]","#text-19,\nbody > p:nth-of-type(1)",".wrap,\ntd > table > tbody > tr > td:nth-of-type(3)","#intertext1 > table,\n#pub_body > table > tbody > tr > td,\n[style=\"margin-bottom:5px;clear:both;\"]","#leftContent > .inside > .pane-promo","[id^=\"popup\"]",".banner1 > a[href],\n.banner1 > div,\n.banner2,\nDIV[class^=\"panel\"],\na[href=\"http://www.sts.pl\"],\nembed","#image-banner,\n.scroll-footer,\n[id$=\"-ear\"],\n[id^=\"background-\"]",".code-block","body > table > tbody > tr > td > table > tbody > tr > td > A > IMG,\ntd > table > tbody > tr > td > div > A > IMG[src^=\"banery/\"],\ntd > table > tbody > tr > td > div > A > IMG[src^=\"grafika/\"],\ntd > table > tbody > tr > td > div > A > IMG[src^=\"teraz/\"],\ntd > table > tbody > tr > td > div > [href] > [src]","td:nth-of-type(6) > .norm11:nth-of-type(4)",".text-right.site-right-header.col-sm-12.col-md-3, .gazet-gorny-lewy,\ntd:nth-of-type(1) > table:nth-of-type(2), #custom_html-2 > .widget-title, .gazet-widget.widget, .gazet-banner-gorny,\ntd:nth-of-type(5) > table:nth-of-type(3)",".flexbannergrouphidden-phone",".flexbannergroup",".naglowek_re_grupa1,\n.stopka_re",".boxer_info","body > div:nth-of-type(1)","#links,\n[id^=\"edit\"] > table:nth-of-type(1n+2)","#Mod88",".master-slider-main-widget.mvp-side-widget, .ms-moz.ms-skin-default.master-slider",".header-img","#m51e920799a22dd79065d09c0 > .tresc > p, .pojemnik",".dads, .jad-rectangle, .ad_block_under_media, .sidebar-premium-baner","#all > div > A > IMG,\n#bad,\n#cleader,\n#commcoo","#media_image-7, #media_image-15, #media_image-14, #media_image-13, #media_image-17, #stylowa, #kawa, #myownadlabel1, #fotelik, #pkpp",".leaderboard.col-lg-7.col-md-7","table:nth-of-type(4) > tbody > tr:nth-of-type(1),\ntable:nth-of-type(4) > tbody > tr:nth-of-type(4)",".ai-close-fit.ai-close","#banner_layer, .fancybox-outer, .fancybox-close.fancybox-item, #fancybox-overlay","div.blockcontent > A > img",".deepest.box-2, #bottom, .add_bill, .l-box--99.l-box > table, .l-box--33.l-box > div > [href] > img, div.l-container > div.l-row > .l-box--100, .c-content__adv, li.c-adv-list-ad","div.l-container--rwd.l-container > div.l-row > .l-box--99.l-box > P","div.row > .simplemod > .custom, div.moduleBox > .custom",".partners, #boxE, #boxA",".column.wide.three > .segments.ui","#PX45189",".left-middle-banner.banner-holder,\n.top-banner.banner-holder","[class^=\"pojez-panel-\"], .slick-track, div.clr.pojez-widget.sidebar-box > A",".banner-full-content","#reklama-wlasna",".even.field-item > A[target]","TR[height=\"120px\"], #reklama_google_adsense","#ctl00_ReklamaBig1_pnlBaner",".g-single, center > [href]",".moduletable:nth-of-type(3), .moduletable:nth-of-type(4)",".imageBox > P[style=\"text-align: center;\"]",".wpb_single_image.wpb_content_element.vc_align_center","#slider, [id^=\"_ning_zone_\"]","[id^=\"menu_banners\"]","[href^=\"redirect.php\"]","#phpeverywherewidget-2",".img-fluid.img-responsive,\ndiv.head-rek","#Wrapper_Right > .moduletable_bez, #Top_Module",".billboard",".box","a[href*=\"santanderconsumer.pl\"]","#g-container-header > .g-grid","#index-01b","tr:nth-of-type(1) > td > .news_eis1",".header-ad, .ABD_display_adblock.ABD_display","#jm-right, #text-24, #text-49,\n#text-15","[id^=\"text-html-widget-\"], #custom_html-3, .l-box > p > font, div.l-box--25.l-box > P","div.header-add-1","[id^=\"reklamka\"]",".widget1","#text-8, #text-9, #text-10, #text-14, #text-17, .reklamyPrawa.custom","#text-12, #text-23","table:nth-of-type(1) > tbody > tr > td:nth-of-type(3), table:nth-of-type(2) > tbody > tr > td:nth-of-type(3)","#wdslider-3","[class*=\"-single\"]",".czarobox,\n.rkoScroll, #aboveMenuCzarobox, .wybierz-oferte-container.py-lg-5.py-3.bg-light > .d-flex.py-4.justify-content-center, .d-none.aCPLtxt","#subList3 > .l3","#tui-animation","div.prawe1, div.com5-kat-contener > div > A > IMG",".baner-bottom-section",".bdaia-header-e3-desktop, #custom_html-3, .advert--component, .google--component, .cwk--component",".sp-image, .a-image, .a-re, .sp-grab.sp-mask",".box_bnewshome, .relative.w-100.mnr","#artbaner",".footerStyle.mt-0.stonefilip","#secondary,\n#text-13,\n.bbc_center,\nA[alt] > IMG:last-child,\nA[href*=\"?utm_source=\"]",".a4b-buybox-standard","[id*=\"rek\"]",".wp-image-1528","#main > .has-title.box-header,\n#text-6, #text-5, #text-11,\n.post-content.section-html","#custom_html-2, #custom_html-4","#adcnt",".youplay-banner",".ipsBox.ipsWidget_vertical.ipsWidget:nth-of-type(4)","#ipsLayout_mainArea > .cWidgetContainer > .ipsList_reset > .ipsBox.ipsWidget_horizontal.ipsWidget:nth-of-type(1),\n#slide-img-1","#content > .block_wrap.category_block > .table_wrap,\n#content > .ipsBox,\n.__xX20partnerzy","#category_sponsorzy,\n.__xXpartnerzy",".wrapper > .tborder:nth-of-type(2) > tbody","h4:nth-of-type(2), #AsideAds",".header-bottom-partner",".sponsor",".td-fix-index.td_mod_wrap","#side-border-left > .panel:nth-of-type(12),\n.panel:nth-of-type(10),\n.panel:nth-of-type(9),\nstrong > .panel:nth-of-type(3)","#media_image-15, #media_image-19,\n#text-37, #text-36, #block-52, #block-84, #block-83","article.contain_im_grid.inf_scr_item.small_post.repick_item:nth-of-type(2), .mediad_wrap_pad","#kAdd,\n#kSplash",".et_pb_row_22.et_pb_row, .et_pb_row_0.et_pb_row, .n2-ow",".contop + [style*=\"border:2px solid;\"], .consid + [style*=\"border:2px solid;\"]",".adlabel, .banSetBox, .a_dslot","header.blok-extended.small.pasek-red, #footer.blok-extended.serwis.small.pasek-red","div.wp-block-image",".widget_media_image.first.widget","[class^=\"tyres_promotion_link_\"]","#astar",".top-48m.pull-right.custom",".custom-html-widget.textwidget > IMG, #text-75, #text-89, #text-101, #custom_html-14",".top_banner_wrapper","[id^=\"paszonecont_\"]",".margin-bt-3.medium-9.medium-offset-2.small-11.small-offset-1.columns","#text-18, .lt10.col > A, #text-20, .adwse-headerr,\n.adwse-blockerr, .adwse-headerr","#text-14",".active.carousel-item > .mt-3.border.card,\n.img-fluid.d-block.mx-auto,\ndiv.d-md-block.d-none > div > div.carousel-fade.slide.carousel",".bladbl","[class$=\"er-block\"]",".info_add_block",".column_center > [class*=\"mock\"],\n.item_top_mock",".draggable.slick-list, .elementor-widget-heading.elementor-widget.elementor-element-7a1da53.elementor-element, .elementor-widget-heading.elementor-widget.elementor-element-b4ceb3b.elementor-element","[class*=\"bilboard\"]","[id^=\"inside_\"]",".container.movedDiv,\n.skodaAuto.box-margin.row,\n[class^=\"a-d-v\"]","#header-right-section, #black-studio-tinymce-76, #black-studio-tinymce-78 > .textwidget, #black-studio-tinymce-5 > .textwidget, .textwidget > div > div > A,\n[id^=\"metaslider_container_\"]",".autopromotion-beam-img,\ndiv[class=\"advert--top--center\"],\ndiv[class=\"dc-billboard advert-250-box advert-250_margin has-ad\"],\ndiv[class=\"dc-billboard advert-250-box has-ad\"]",".advert-250-box, .advert-200-box",".marginbottom.tborder",".lazy-box-load.lazy-box:nth-of-type(8) > .box,\n.lazy-section-load.lazy-section:nth-of-type(2)","#right_column2,\n.abox-view-content.center","#adblock_info",".forabg",".view-footer",".et_pb_image_wrap, .et_bloom_flyin, .code-block-1.code-block","#ad-main-news-lg, .sticky-inner, .col-md-12 > A,\n#ad-sts-top,\n.hidden-sm-xs.col-md-12.col-lg-12","[id^=\"banner_\"]","#SATKurierNews_top_750x100_r,\n[id^=\"idmnet_\"],\n[id^=\"pasek_hollex\"]","[id^=\"placement\"]","[class$=\"AdContainer\"],\n[id^=\"dikiAd\"]","span._1hs6vq1-1._1hs6vq1-2._1hs6vq1",".strack_cli, ._ning_elmt, .penci-infeed_ad, ._ning_outer","#box_banner18",".sidebar-lock",".r-dynamiczna.zajawka",".baner_popup_table, #popup, .div_scroller, .polecamy","[id*=\"adv\"]",".page-top",".ad, .advB, .sad, .sda, .abc, .bgGrey, .box-666, [class^=\"sad-\"]",".pageContent > div:nth-of-type(1)",".file-widget-banner > .bannersRow > .bannersContainer > a:nth-of-type(1n+2):nth-of-type(-1n+3)",".in.fade.modal-backdrop",".modal-dialog","#custom_html-9","a[href*=\"/adserver/\"]","a[href^=\"http://beta.doba.pl/adserver\"]","#slideshow","#tfhover","#rekl","#divPoweredBy,\n#panReklama > div,\n#sidebar > .no-mobile.pattern,\n#slide-menu > * div[id^=\"c\"][style^=\"height:\"][style*=\"width:\"]:not([id^=\"cbox\"]):not([id=\"colorbox\"]),\n#slide-menu > .page-element.center.target,\n.block > div[style$=\"height: 600px; width: 300;\"],\n.gamescarousel, .pattern > div,\n.list.block-content > div[style$=\"height: 180px; width: 630;\"],\n.no-filter,\n.page-element.center.target > div[style$=\"height: 250px; width: 970;\"],\n.tag-ifa2018.home-section > .sidebar.span-4,\n[id$=\"_divAdTop\"],\n[style=\"height: 150px; width: 630;\"],\n[style=\"width: 300px; margin: auto;\"],\na[href*=\"avast\"][href*=\"utm\"][target=\"_blank\"],\na[href*=\"campaign=baner\"],\nbody > form > #slide-menu > :empty,\nbody.variant-mobile div[style=\"text-align:center;letter-spacing:6px;font-size:11px;color:#A9A9A9;width:100%;\"],\nbody:not(.variant-mobile) div[style=\"color: #A9A9A9; text-align:center;font-size:11px;\"],\nbody:not(.variant-mobile) div[style=\"text-align:center;letter-spacing:6px;font-size:11px;color:#A9A9A9;width:100%;\"],\nbody[class^=\"amp-mode\"] > article > small,\nbutton ~ a[href*=\"avast\" i],\ndiv#slide-menu > [id]:not([class]):not([style]),\ndiv[class*=\"tag-\"].home-section > .sidebar.span-4,\ndiv[id=\"slide-menu\"] > a[id][href=\"#\"]","[style=\"margin:20px 0;text-align:center;\"],\n[style=\"text-align:center;padding:20px 0;\"],\ndiv[style=\"margin:0px 0px 20px 0px;text-align:center;\"],\ndiv[style=\"text-align:center;padding:5px 0px 15px 0px;\"]","#phContent_downloaderHint,\n#phContent_hpOperaLink, #phContent_cbBadge,\n.dobregry-slider-wrapper,\n.pub-sponsor, .mfp-sidebar, #sgf-a, #boeGKY,\n[data-partner=\"Polecamy na WP Technologie\"],\narticle > .hint:has(a[href$=\"/Czyszczenie-systemu-z-niechcianego-oprogramowania,News,61336.html\"]),\ndiv[class^=\"plchldr \"],\ndiv[style=\"text-align:center;letter-spacing:6px;font-size:11px;color:#A9A9A9;width:100%;margin-top:-13px\"]",".dbb-billboard,\n[style^=\"width:100%;max-width:640px;min-height:340px;\"]",".content-row.row > .no-padding.col-md-4.hidden-sm.hidden-xs > div","#text-10012 > .module-surround",".banner-top-content,\n.pro-box","#slider-with","#DetaleZakladki > .ReklamaIngWrap > .ReklamaIngLabel,\n#DetaleZakladki > .ingLinkDesktop[href^=\"http://tracking.mediaeffect.eu/click\"],\n#iFrameResizer0,\n.navidom-widget, #campaign-openfinance",".product-list__ad, .dml-post__products, [data-t=\"16.3\"]",".sb15,\nsection.style-two.enroll-area",".js-reklama-box.sidebar__widget, .js-reklama-baner-grupa",".jf--shown",".add-recipe-wrapper,\n.content-banner",".page-rectangle-inner, .page-billboard-art-1.page-billboard-art.art-billboard",".dosta-widget.widget, #reklamowkaBottom, .nad-trescia-banner",".pasek1","#reklamowkaTop",".recommend-left-column",".clearfix.container > .clearfix.row",".nm_box_out:nth-of-type(10),\n.nm_box_out:nth-of-type(18),\n.nm_box_out:nth-of-type(22),\n.nm_box_out:nth-of-type(6) > .nm_box",".rklm_forumlist,\n.rklm_sidebar",".bkshortcode-wrapper",".awac-wrapper",".lnd_grid-items.slides.js_slides","[id^=\"adv\"]","div.right_side > div[style^=\"border-top:\"], .pokaz2","#lsvr_image_widget-2",".text_2 > .row > .col-xs-12 > div:nth-of-type(1),\ndiv.widget_ranking.widget:nth-of-type(4)","#br-box-partner,\n.boxClose,\n.tpl_static_html,\n[style=\"text-align:center; margin: 0 0 10px 0;padding-bottom: 20px\"]","img[src^=\"data:image/jpeg;base64\"]","#miejsce103",".widget-headertext-area","#idm140677357800800","#blockwarning","#Process",".hidden-xs.col-sm-3 > .margin-20.text-center,\n.row > .margin-20.text-center.col-sm-12","[id^=\"campaign-\"]","div.gkmod-last-1.gkmod-more.box > .box-wrap > .content > span, div.bannergroup",".typBaner, #LinkArea\\:zobKon",".l-content > [style=\"display: flex; justify-content: center; margin-top: 15px; margin-bottom: 15px;\"],\n[id^=\"7\"]",".gry","#text-32",".entry > [class],\n.entry > [href],\nimg[src*=\"Baner-590x300-\"]","a[href=\"#\"]","#slideshow_xl, #custom_html-15, #custom_html-10, #custom_html-13, #custom_html-12, #custom_html-11, #custom_html-16","#box5",".banner-slider,\n.logoitems,\n[id^=\"rotator_\"]","[id^=\"mce-\"]","DIV[style*=\"background-image:url('http\"]","#jm-banner,\n.grid__container > p,\nDIV[style=\"text-align: center;\"],\n[class=\"box__container\"] > [style=\"position: fixed; bottom: 0;z-index: 100\"],\n[class^=\"bg_image\"],\na[href=\"http://www.e-leclerc.pl/\"]",".rstboxes",".baner_billboard, .text-left[style], [id^=\"reklama_pop\"], .siww.row > .text-center, [href^=\"baner.php\"],\n.py-3.mb-0.mt-0.bg-light.container-fluid",".box-22,\na[href^=\"https://link.e-kursy-walut.pl/\"]",".box-ziel",".region-header.region",".block_3.odd.block-wrapper","#text-11","#text-61, #text-86, #text-75",".kolumna-centralna-2-2.col-sm-3 > div.moduletable, .rstboxes",".l-ad-top, div.l-container--rwd.l-container > div.l-row > .l-box--100.l-box > center, div.col-md-3",".banners > .banner, #posts_home_top_right_box,\niframe[width=\"300\"][height=\"250\"]",".clearfix.top-banner-wrapper > .container","#LewaKolumnaPrzerwa > div.CalyBox","#advert-area,\n[class^=\"reklamy\"]",".bgad",".margin-bottom-md.margin-top-md > div > p, .in.fade.modal-backdrop","[id^=\"block-views-top-right-baner-\"], #region-middle-poleca","DIV > A[href*=\"ref\"] > IMG[src*=\"show\"]",".right-content-column.span3",".content-sidebar > .actr","[id^=\"ims_\"]",".news-col-view.col-right > .small","[href=\"http://www.wydawnictwoatryda.pl/kolekcja/frontpage/aecjusz-i-barbarzyncy/\"],\n[href^=\"https://www.empik.com/swiety-ogien-rzymu-wespazjan-tom-8-fabbri-robert,p1242140709,ksiazka-p\"]","#p8",".sidebar__widget:nth-of-type(2)",".td-pb-row.wpb_row.tdi_40.vc_row","#block-reklamagoogleadsensewiadomosci, #block-reklamamoneteasygadzety","#billb-tlo","div[class^=\"moduletable_ver_r\"]","#TXhkUvZljBCga,\ndiv.l-box [target=\"_blank\"], div.l-row > div.l-box--50.l-box, .l-box--100.l-box > center,\ndiv.l-container--rwd.l-container > div.l-row > .l-box--99.l-box,\ndiv.l-row > div.l-box--33.l-box > p","[id^=\"baner\"]","a[href^=\"/r/\"]","#appear_event,\n.rectangles, .box-promo-title","#text-30","#adsPanelTopt","#banner_reklamowy",".col-md-9 > [href^=\"http\"]","#pasaz-wid, #wi-58","#ad_allLayer, .a_dr300.a_dslot","div.l-box--50.l-box > p > iMG","div.clr.widget_text.widget-box > .textwidget","B > .title-block",".ADinfo, #banner-33, .linkwrap, #banner-glowny, #banner-popup, #banner-4,\nIMG[alt*=\"reklamowe\"]","div.vc_align_left.wpb_content_element.wpb_single_image","a[href*=\"://o9d.pl/\"]","#main .col-md-8 a:not([href*=\"elektroda.pl/\"]) img[src^=\"https://static.elektroda.pl/\"],\n.ad-resize.container > div[id][style^=\"min-width: \"]:has(> .text-center > [id^=\"div-gpt-ad-\"]),\n.bbd, section.col-md-12, .col-md-12.sec-b, #Se5reezoo6eith4o,\n.googleSenseTop.adsbygoogle, #WelcomeAdContainer, #overlay,\n.the-content > div[class] > div:has(:scope > a[href][target=\"_blank\"][onclick*=\"'Patron', 'Click Button'\"]),\n.the-content > div[class] > div:has(:scope > a[href^=\"http://www.biall.com.pl/sklep.html\"][target=\"_blank\"]),\n.the-content > div[class] > div:has(:scope > form[action^=\"https://www.tme.eu/pl/katalog/\"][target=\"_blank\"]),\n.the-list > li[class^=\"clearfix \"]:has(:scope > a[href][target=\"_blank\"][onclick*=\"'Navibox', 'Click', '\"]),\n.the-post-list > ul > li[class^=\"clearfix \"] > a[href][target=\"_blank\"][onclick*=\"'Banner\"],\n.the-post-list > ul > li[class^=\"clearfix \"]:has(:scope > a[href][target=\"_blank\"][onclick*=\"'Banner\"]),\n.topbar-wrap + .container > div > div > section,\n.topic-lists > li[id] > .topic-box > .position-relative:has(> .sec-b > div > ins.adsbygoogle),\n.topic-lists > li[id] > .topic-box > .position-relative:has(> .sec-b > div[id^=\"div-gpt-ad\"]),\n[class*=\"col-\"][style^=\"min-height:\"]:has(div[id^=\"div-gpt-ad-\"], .text-center),\ndiv.c72b05f9c71327a4fddad2b.clearfix,\nli#insert > .clearfix.topic-box,\nsection a:not([href*=\"elektroda.pl/\"]):not([href*=\"/rtvforum/\"]):not(.fancybox):not(.postlink) img[src^=\"https://obrazki.elektroda.pl/\"]","[id$=\"-block-info\"]","#custom_html-43, #text-87, #custom_html-47, #text-92,\n.ms-container > .ms-inner-controls-cont > .ms-grab-cursor.ms-basic-view.ms-view",".xdddbox","[id^=\"banner-ajax-\"], .moduletable-bannerGora","#reklamaGooglePrawa336Last","#wrapperPrawa","DIV[style=\"margin-top: 5px; margin-bottom: 5px; font-size: 10px ! important; text-align: center\"]",".box-bg-carusel-in-content.box-bg-box-carusel > .box-bg, .box-bg-carusel",".tbWidth.top10 > tbody > tr:nth-of-type(2) > td > div",".scale-with-grid","#p-content > div[class^=\"mb\"] > A,\n#p-right > div[class^=\"mb\"], [href^=\"https://www.emecze.pl/bukmacher/go/\"],\n#p-top > div > A,\n.active > .list > li[class^=\"mb\"] > A","#adBlockDetectedMessage","#dupermag_ad-3,\n#dupermag_ad-5,\n#dupermag_ad-6,\n#dupermag_ad-8",".widget.mnmd-widget.mnmd-widget-indexed-posts-c, .cat-6.post--vertical.sm-h","DIV[style$=\"margin:0 3px 4px 0; overflow:hidden;\"],\nDIV[style$=\"width: 100%; margin: 8px auto; overflow: hidden;\"],\nDIV[style=\"margin-bottom:10px; margin-left:25px; float:left; width:300px; height:300px;\"],\n[id^=\"main_page-newB\"], .loading-ajax-ads, [data-ads-priority], [data-ads-maxsizex], [data-ads-maxsizey], [data-ads-place], [data-ads-page], [data-ads-limit]",".reklamaNapis","#custom_html-19, #custom_html-18,\n.epain-widget.widget.td_block_template_1, #media_image-7,\n.td_block_text_with_title,\n.wpb_text_column,\nDIV.g-single > IMG,\n[href^=\"https://epainfo.pl/linkout/\"],\n[id^=\"epain-\"] > A[target=\"_blank\"] > IMG","A.gofollow > IMG","#block-block-5","a[href^=\"rd.php\"], .banP4, .rtop","[id^=\"adsys_\"], [href^=\"http://epoznan.pl/adsys_\"], .post__adsysText, .mainBoxes, .bannerBox__mob, .bannerBox, .BannerBox, [href^=\"adsysClick\"],\n[style^=\"clear: both; display: block; margin: 0 auto 10px auto; width:\"]",".l-box--99.l-box > center > div,\ndiv.l-box--25.l-box > .c-box-display--25,\ndiv.l-box--25.l-box > p > A > img",".l-box--99.l-box > p","IMG[src^=\"http://www.goal.pl/ban/\"]","div.rectangle:nth-of-type(1)","#przesuwany_tekst",".jpanelHandle, .artbannersplus_blank, .panel_box2","#content > div:nth-of-type(4),\n#content > div:nth-of-type(9),\n#sidebarl > div:nth-of-type(1),\n#sidebarl > h2:nth-of-type(1),\n#sidebarl > ul:nth-of-type(1),\n.entry2 > div:nth-of-type(2),\n.socialGallery > div:nth-of-type(1)",".zpr_top_1, #placement2, .center.t2.color13, .banner-750.fontregular, .active.zpr_box, .zpr_combo,\nA[style=\"display: block; height: 100%; width: 100%;\"],\n[href*=\"bbelements.com/please/track/adClick/\"]","[id^=\"hook_box_\"], [id^=\"placement\"], .zpr_side_1_noscroll, .zpr_top_1, .zpr_box_half_page2, .zpr_box_half_page3, .zpr_inside_2, .zpr_box_bottom1",".zpr_m_inside_top.active, div[class*=\"zpr_m_inside\"].active, div[class*=\"zpr_inside\"].active, div[class*=\"zpr_box\"].active > div[class*=\"zpr_\"]","#NaglowekSklepu > div > div > A > IMG,\ndiv.BoxRwdUkryj:nth-of-type(2) > .CalyBox",".box_unison-slide","#boksy > div:nth-of-type(2)","div[style*=\"sticky\"]:has(a[target=\"_blank\"][onclick*=\"'polsat'\"])",".blok_tresc_bez_tla, .baner_home2, .baner_top_tlo,\n.kafelki_bukmacherskie",".baner_top_bann, .baner_top_tlo, .blok_tresc_bez_tla","#popup2, #ac-wrapper, #nav > div.moduletable",".td-banner-bg.td-banner-wrap-full,\n[id^=\"ulp-\"]","#right-menu > div[id][style=\"width:300px;height:250px;\"],\n#test-reklama, .adsbygoogle,\nbody > div[id][style=\"width:728px;height:90px;\"]","iframe[src^=\"http://kampanie.etransport.pl\"],\nsmall","h6 > span","#leaderboard, .game-spotlight-advertising,\n#skyscraper,\n.collapsible.stack-mpu,\n.container:nth-of-type(2) > .i-amphtml-unresolved.amp-unresolved.i-amphtml-layout-size-defined.i-amphtml-layout-responsive.amp-notbuilt.i-amphtml-notbuilt.i-amphtml-element","div.baner_top > A > IMG,\ndiv.reklamka_sidebar","[id^=\"bnr\"]",".front__page > figure, .post__article > figure","[class^=\"ad_rectangle\"]","[id*=\"advertisement\"]",".adSidebar1",".all-services",".tipad_tag","#scoopshot","#gora1",".vbanner-item,\n[id^=\"block-vbanner-\"] > .block-header > h2, .even.field-item > span > span","#menpx > A[target=\"_blank\"] > IMG",".bannergroupvertical","#Mod247 > .module-inner > .title_h3 > h3 > .title_bg,\n#yt_over_content","#HTML2,\n.cyrk","[id^=\"offerID-\"]",".body-plan-trigger","#mebloo",".bgt-single-classic-content.uk-width > center","#overHotSection, .banerBox, #fixed_box, .gallery_main_page","#flyfooter, [class^=\"adadapt\"]",".code-block-7",".commercial-center","#eF > .clr,\n#multi-1488380533,\n.smallAd, .adsContainer","div.hp__pricing-table","[id^=\"block-simple-adsense-simple-adsense-slot\"]","[id^=\"advt-\"], #banner-top-of-menu, [id^=\"widget-placement\"]","#pum-29824, .code-block, .ai-viewport-1","[style=\"text-align:center;\"]","#fanimani-adb-notice",".body_wrapper > center",".tapeta",".p-top","#top",".advB",".text-center","#popup > li > div","#document_modal",".body_wrapper > div > A","a[href=\"http://berserklabs.com\"]",".hidden-xs.mari.col-sm-12.col-md-2.col-lg-2 > .reki:nth-of-type(1)",".obrazek_bez_ramki","#advertBar-pl_PL,\n#playFilmsPage > .page__top, .playButton,\n.PlusDiscountsButton, .faHeaderBanner--html, .AdvertButton, .d_utru, .faBar.fa,\n.d_utru,\n.faBannerPromo,\n.isReady.filmOverPosterBarSection--playNow.FilmOverPosterBarSection.filmOverPosterBarSection.page__section","#media_image-3",".sidebar_right","#play","[class^=\"bootstrap-module--pt-\"] > [class^=\"bootstrap-module--mb-\"],\n[class^=\"bootstrap-module--pt-2\"] > .gatsby-image-wrapper","#tooltipmessage","div.rBoxLeft","[id^=\"banners\"]","[class^=\"td_block_wrap td_block_text_with_title td_uid_\"]","#box-over-content-a,\n.scrolling-box-under-content",".rkcont--top,\n.warnadblk,\n.zkvgx--top,\nA[href^=\"https://www.youtube.com/watch\"] > IMG[src^=\"//www.fly4free.pl/wp-content/uploads/\"]",".cbad","[href^=\"http://\"] > .auto-pr-block__desktop,\n[href^=\"https://\"] > .auto-pr-block__desktop","#campaign_22924_lightbox",".box-banner",".jf--shown.jf__header__bar, .js-block-w3-wrapper",".trzContent","table.forumline > tbody > tr:has(a[href^=\"http://www.mlawa.fora.pl/reklama\"])",".f_bnr_type-1","tr[height=\"280\"], tr[height=\"300\"]","[id^=\"optS-\"]","a[href^=\"http://www.forall.pl/red.php\"]","#Article-Inner-Content, #googleAdsCont, #onet-ad-top, #przeswietlWidgetBig, .stickyWrapperAlone,\n.hyphenate > A[href*=\"skapiec.pl\"][id]","#sidebar-right > div:nth-of-type(1),\n#sidebar-right > h3:nth-of-type(3), #boxA, #boxC, #boxB, #elComment_info, #elComment_info_last, .a_ipb,\n.bodyline > div:nth-of-type(3),\na[href^=\"https://forbot.pl/r/counter-baners.php\"]","#topbanner",".comm.item",".tpl_ads_adsense, #belka_680x50, .modul-smh02-header.headerBox","#plan-forum-flow",".ads-font, [class*=\"-add\"], [class*=\"_add\"], .mx-auto[style], .smplus\\:mx-auto[style], .mx-auto.overflow-hidden","#index_stats > p,\n.message, .bbc_center","#inner-body-with-sidebar > center","#coface, .ad728-wrapper","#sp_right > .sp_block_section_last,\n#sp_right > div.sp_block_section:nth-of-type(3),\n.roundframe,\ndiv.sp_block_section:nth-of-type(7)","#tablewraper > center,\ncenter > a[href=\"http://www.boxing.pl\"]","#a-slot-content-13047-blog-body-7, [id^=\"offerID-\"]","[id^=\"5\"]","#right, .imgBnr,\n[id^=\"scrAd\"]",".pem-caption-below.pem-caption, .franc-w-tresci, .franc-jacek-w-tresci",".top,\ndiv[class^=\"position_\"][class$=\"top\"]",".selfpromotion-ticker.pull-left,\n.small-info, .text-center.fixed-336.content,\nbody > .clearfix.content-wrapper > .clearfix.container:nth-of-type(2)","#katon-slot","#gbbill_866951,\n.adroll-block, .advert-link,\nDIV[onmousedown=\"window.location.href='http://creativetravel.pl'\"],\n[id^=\"block-block-\"],\nheader > .container > a > img","#baner-outer","#exit-intent-modal,\n.top-box--sponsored","A[href*=\".wp.pl/\"][target=\"_blank\"] > IMG[class][src^=\"https://v.wpimg.pl/\"]",".tracdelight-box",".right > center","#banspon","#text-46","#helloDollywarning, #darkoverlay",".gofollow > IMG[src*=\"wp-content/uploads/\"],\n[target=\"_blank\"] > IMG[src*=\"wp-content/uploads/\"]:last-child","DIV[style=\"width: 600px; height: 400px; margin: 20px auto;\"]",".all-screening",".content > A > IMG",".point",".binInLinksList,\n.ecom,\n.mod_alias_under_article,\n.mod_sponsoredArticle,\n.opacity.page-sections > .photos_loaded.box_games.page-section.html > .slices-container.container-fluid,\n.photos_loaded.box_bargains.page-section.html > .slices-container.container-fluid,\n.type_default,\ndiv[id^=\"DFP-011-MIDBOARD_\"]",".banIndexDFP.banEntry.entry,\n[id^=\"adsMidboardDivId_\"]","[href=\"http://bhpklonik.pl/\"],\n[href=\"http://www.mhsmlawa.pl\"],\n[href=\"https://spisrolny.gov.pl/\"]","#right > .last.mod-blank.module > p,\ndiv.mod-line.module > .deepest.box-1 > P, .float-left.width100.topblock","#text-11, #text-8, #text-12, #text-10",".mod_advertisment_slot.mod","#banC1, .readmailGazetaAdvert, #slot_001_TOPBOARD, .top-box-container","A[target=\"_blank\"] > IMG[alt^=\"(fot.\"][src^=\"http://bi.gazeta.pl/\"]",".bsac-container,\n.vc_row-has-fill.vc_custom_1526373595932.vc_row-fluid.wpb_row.vc_row.row, .vc_row-has-fill.vc_custom_1526373595932.vc_row-fluid.wpb_row.vc_row.row,\n.vc_row-has-fill.vc_row-fluid.wpb_row.vc_row.row:has(img[width=\"350\"][height=\"250\"][src*=\"-350x250.\"]),\ndiv.vc_col-sm-4.vc_column_container.bs-vc-column.wpb_column > .wpb_wrapper.bs-vc-wrapper > .wpb_raw_html.wpb_content_element.wpb_raw_code > .wpb_wrapper > A, .wpb_wrapper > .vc_single_image-img","#text-19, #foot-leader, #text-18, #text-2, #text-8",".elementor-image, .elementor-slides.swiper-wrapper",".md-ub","[id^=\"gazet-\"]","#popmake-15544, #text-2, #text-5,\n#text-4, body > div > center","#prawa1","#advertising","center > A","#sg1,\n#sg2,\nDIV[style=\"float: left; padding-bottom: 10px; padding-top: 10px; width: 300px\"],\nDIV[style=\"float: left;width:980px;\"]","#GP_f1, #GP_f2, #GP_f3,\nGP_f1",".boxyPromoContainer,\n.col-xs-off.tpl_ads_adsense.tpl_std_module,\n.tpl_ads_adexon.tpl_std_module,\n.tpl_stc-content.tpl_std_module,\n[style^=\"text-align:center; margin: 0 0 10px 0\"], .adCaptionContainer,\na[href^=\"http://www.kyoceradocumentsolutions.pl/index/produkty/product/\"]","#boxSubscr2016, .tpl_stca-content.tpl_std_module:nth-of-type(2), .tpl_static_html",".right-col.col-md-3.col-sm-12","#custom_html-7, .gazet-w-artykule-reklama",".column-inner > p,\n.fn-builder > p > [target=\"_blank\"] > IMG, .fn-block-content.widget_text","#main > .widget_media_image.covernews-widget.widget",".banner-promotions-wrapper","[id^=\"simpleimage-\"], #text-103","div.columns.medium-4.small-12 > .footer-widget > .footer-title-block",".td_block_template_1.td-pb-border-top.td-single-image-.tdi_61_6b5.vc_single_image.td-no-img-custom-url.td_block_wrap.td_block_single_image.wpb_wrapper, .td-pb-row.wpb_row.tdi_47_eff.vc_row","center > [href] > .animated.visible","#header_leaderboard",".promoBox, .typBaner, .component.componentsPromotionsArticlePromotedList",".entry_content > center",".code-block-42.code-block, .code-block-37.code-block","#overlayAd,\n.signad","a[href=\"http://serwis-laptopy.pl\"]",".widget_text.widget.td_block_template_1:nth-of-type(4)",".adocean-billboard","#container > .columns-container > .column-750, #content > div.columns-container > .column-750","#sticky-anchor","#advertisement_div",".block:nth-of-type(8)","#section-id-1560344187973, #sppb-addon-1542102184744, #column-wrap-id-1523614376020, .td_single_image_bg",".footer-widget-area > .col-md-4:nth-of-type(2),\n.footer-widget-area > .col-md-4:nth-of-type(3)",".blocked",".column-wrap > div[class^=\"wrap_small __frame\"] > div.media_frame:has(> .media_content > .adsbygoogle),\n.layout > div.side > div.side__i:has(> div > div.ad),\n.media_middle","body > p, .publisher-embed-widget-content",".products-set-items","#footmod, #custom_html-4, #custom_html-3,\n[onclick*=\"Reklama\"][target=\"_blank\"] > IMG, #mvp-leader-wrap","#text-60","a[href^=\"http://track.omgpl.com/\"] > .img-responsive","#maincol-broad-800 > center > div:nth-of-type(-1n+2),\nTD[onclick^=\"window.location.href=\"], [href^=\"http://\"] > .lazy-loaded","div.wp_bannerize_layout_vertical.wp_bannerize_container","IMG[src^=\"/files/adv/\"]",".widget-area.hero-area","#panel-506-2-0-0, .widget_vmagazine_lite_medium_ad",".loaded.auto-pr-block__desktop.picture.lazy-image",".theiaStickySidebar > .widget.widget-4, .theiaStickySidebar > .widget.widget-3, .entry_content",".partner",".column9.main-content.col_9_of_12.col > .row > .col_12_of_12.col > p",".fborder","body > [href$=\"/sts\"], [href*=\"/partnerzy/\"], div.rectangle > A",".ox-top",".anzeigenlabel","[id^=\"adv_\"]","[href^=\"https://golfnews.pl/do/\"]","#aunit,\n#taw0",".gb_zb.gb_jb.gb_La",".panel-widget-style",".owl-item[style=\"width: 413px;\"],\n.red_14",".custom-html-widget.textwidget > [href] > .lazyloaded, .gorliczanin_mini_reklamy, .large-3.column > [id^=\"media_image-\"], .slides",".widget_text.text-3.widget.row","#horizontal, .block-gilad.block,\n.pane-type-vad.pane-gilad-vertical-rad","[id^=\"ims_\"], #sidebar > p","#ReleasePromo,\n.fl-w100.webpart-wrap-advert","#partnersBox","#main-container > [data-columns=\"3-3-3-3\"],\n#main-content > .container.my-3.text-center,\n.widget-advert_placement, .widget-advert_centralplacement,\ndiv.clearfix.g24-sheet > div.g24-nostyle","span.txt",".ecomm-content-widget-type-custom",".__b-popup1__.b-modal,\n.popup-free-offer","[id^=\"ad_\"]",".typObrazek.skrocone.rekomendacje.large-3.hide-for-medium-down.columns","[id*=\"750x200\"], a[href^=\"https://gpcodziennie.pl/click.php\"], #column-right > .text-center > span, #JPO","[id^=\"zozo_ads_widget\"], [id^=\"random_banner_widget-\"], .newser-artical-bottom-ads, #custom_html-7",".l-box--25.l-box > p > IMG,\n.l-box--75.l-box > p > A > IMG,\n.l-box--75.l-box > p > IMG,\ndiv.l-box--25.l-box > p > A > IMG",".money-maker__articles","#info",".login","[id^=\"bannerAdmeen\"], [id^=\"bannerGameSkyscraper\"], #bannerLeaderboardTop","#billBoardAreaWrapper,\n#rrec, .text-ad-center,\n#sky_left, #sky_right, #section-homepage > .d-lg-inline.d-none,\n.external-entity-container.yieldriser,\nbody .external-entity-container","#top_1, #bottom_1, #inside_1_wide","a[target=\"_blank\"]:not([href*=\".gram.pl\"]) > img.inner",".gwz-content-subcolumn-right.col-lg-16.col-xs-24 > .gwz-box-index.gwz-box:nth-of-type(1)",".news_list:first-child","#block-views-promo-box-block","A > IMG[width=\"350px\"],\nA[href^=\"https://goo.gl/\"] > IMG","div:has(> .onet-ad), aside:has([href*=\"autopromocja\"])","A[href=\"http://gratka.duon.pl/\"]",".rek_wew:not(:has(> .center)),\nlabel, .wew.ods_m, .rek_wew_nap, .ad_Content, [id^=\"grodz-\"]","#block-imageblock-85, #block-imageblock-115, #block-imageblock-61, #block-imageblock-67, #block-imageblock-43, #block-imageblock-72, #block-imageblock-78, #block-imageblock-21, #block-imageblock-55, #block-imageblock-54, #block-imageblock-11, #block-imageblock-52, #block-imageblock-37, #block-imageblock-7","#ls-in-app-messages",".blok_3_1 > p","#ws-cnt, [class$=\"-2018-c\"], .nordVPN,\n.ban-fp-970x200, .if-no-baner.gp16-box-baner1, #baner-outer,\n.prom-bot,\n.s016-asus19-c.word-txt,\n[class$=\"-stopka\"],\ndiv[class^=\"allg\"][class$=\"-cc\"]","#baner-top",".phpbb-ads-center",".first.section > [style=\"width:748px;height:90px;margin:0 auto; color:#fff;\"],\n[id^=\"adRechts\"],\ndiv[style=\"width:160px;float:left; margin-top:-40px;font-size:10px;\"]",".componentsPromotionsPromoted__list","#execphp-7 > .execphpwidget, .footer-banner","DIV[style=\"margin:10px auto; text-align:center; text-align:center; color:#999999; font-size:10px;\"],\na[href^=\"http://tofo.pl\"],\ndiv[style=\"margin:0px auto 10px auto; text-align:center; font-size:6px;\"], .alead","#banner6","center:has(> .adsbygoogle)",".td-header-sp-recs","[class*=\"carousel\"]",".row:nth-of-type(19) > .box-margin.col-md-12","#google-ad-top, .simple-ads-box","[href^=\"/r.php\"]","#gwint-938685755, #DIV > SMALL, [id^=\"gwint-\"] > SMALL,\n#herald-module-2-2, .herald-txt-module",".active","#newsletterModal,\n.modal-backdrop.fade.in,\n.modal-content","#block-block-6",".voffset3.cleardiv, .baner > .baner > span","div[class^=\"position_break_\"][class$=\"_top\"],\ndiv[class^=\"position_item_right_\"][class$=\"_top\"],\ndiv[class^=\"position_right_\"][class$=\"_top\"]","A > IMG[src^=\"http://www.handballnews.pl/image/strona750x500\"]","[id^=\"banner-url-\"]","#header_banner, #text-5, #better-text-3, #better-text-5, #better-text-6, #better-text-7","#splash_homepage",".adf-cont-single-post-also-like.adf-cont-horizontal.js-adf-cont.adf-cont,\n.adf-cont-single-post-body.adf-cont-vertical.js-adf-cont.adf-cont,\n.adf-cont-single-post-head.adf-cont-horizontal.js-adf-cont.adf-cont,\n.adf-cont-single-post-terms-cloud.adf-cont-horizontal.js-adf-cont.adf-cont",".textwidget > center,\n.textwidget > div:nth-of-type(1)","[class$=\"barek\"], #object[data^=\"anicss\"]","DIV[style=\"clear:both; margin:10px; text-align:center;\"]",".fl.hb,\n.o48.w.fl,\n.w130:nth-of-type(2)",".vc_align_left.wpb_content_element.wpb_single_image","A > IMG:last-child","div.cdp-item:nth-of-type(1)",".header-top-right.columns.eight, #text-54, #aq-block-41054-3","#baner960,\n#php_widget-32",".banner-slider.slider",".headline","#header-right-sidebar > .widget_metaslider_widget",".hb-corner-box","[id^=\"QAPS_GB_\"]","#hopajembed","[href^=\"http://\"] > .et_pb_image_wrap",".main-bg2",".partner-wrap.innerTB2x.acenter.pageWidth","[href=\"https://how2play.pl/wylacz-adblocka/\"], #custom_html-3","#bannerTop",".ipsPad.ipsBox","#custom_html-30","div.l-row > .l-box--100.l-box > P",".banner1-wrap","#adswidget7-quick-adsense",".o_inner",".partners2",".boczniak, #polifoska,\na[href^=\"redirect/\"],\ntable:nth-of-type(1) > tbody > tr:nth-of-type(7)","#player-above-2,\n._video-link","#ads, .adsSpecial, #div.box:nth-of-type(2)","#text-91,\n#text-97 > .textwidget, .vc_message_box, .td_block_single_image.wpb_wrapper,\n.td_block_wrap.wpb_text_column.wpb_wrapper, aside.widget_text.widget.td_block_template_13,\nA[onclick*=\"_blank\"] > IMG","#adb",".partners2, .tresc_strony > p > IMG","#cb-section-a > .clearfix.cb-module-block.cb-box.cb-a-large,\n#cb-section-c > .clearfix.cb-module-block.cb-box.cb-a-large,\n[id^=\"aas_widget\"]","#content > .posts-ad,\n#text-402422661, #sandisk",".m-puppies-detector",".row:nth-of-type(2) > .fl.w1000,\n.row:nth-of-type(3) > .fl.w250","[href^=\"https://www.empik.com/\"]",".widget_media_image.newsphere-widget.widget, .promotion-section","._ning_visible.responsive,\nIMG[style=\"display: block; margin-left: auto; margin-right: auto;\"]","[class*=\"reklamy\"]",".box_bok > .nazwa_ebmia, .box_ebmia, .reklama-bok",".tekst > .t8","#leader-wrap, #text-38","body > center:nth-of-type(1) > table > tbody > tr > td:nth-of-type(2)",".l-news__more, [class=\"card card--low card--box\"]:nth-child(2),\ndiv.single-slide > .slider-featured-image > [href*=\"/swiateczna-oferta-promocyjne-ceny-opalu-w-firmie-adamex/\"], #sticky-footer-adv",".row:nth-of-type(4) > .fl.w250, div.l-container > div.l-row > .l-box--100.l-box > p,\nCENTER > A > IMG",".theiaStickySidebar > .widget_text","#header-right-section, #text-5, #text-10, #text-11","#slider1.contentslide, img[src*=\"/reklama\"],\n.newsflash2 > .moduletable > p[style=\"text-align: left;\"]","#rt-feature,\n#rt-sidebar-a > div.rt-block:nth-of-type(3),\n#rt-sidebar-b > div.rt-block:nth-of-type(5),\n#rt-sidebar-b > div.rt-block:nth-of-type(6),\n#rt-sidebar-b > div.rt-block:nth-of-type(7),\n#rt-sidebar-b > div.rt-block:nth-of-type(8)","A[href^=\"http://\"] > IMG[src*=\"logo\"],\nA[href^=\"https://\"] > IMG, center font[size=\"-2\"][style]",".nopad > div > A > IMG","FONT[face=\"Arial Narrow\"][size=\"1\"]:last-child,\ncenter:nth-of-type(1) > p:nth-of-type(9),\np:nth-of-type(14),\ntd:nth-of-type(1) > p:nth-of-type(4),\ntd:nth-of-type(1) > p:nth-of-type(6),\ntd:nth-of-type(2) > p:nth-of-type(16),\ntd:nth-of-type(2) > p:nth-of-type(20),\ntd:nth-of-type(2) > p:nth-of-type(5),\ntd:nth-of-type(2) > p:nth-of-type(7),\ntd:nth-of-type(4) > p:nth-of-type(2), p > font[size=\"1\"][color=\"#666666\"],\ntr:nth-of-type(2) > td:nth-of-type(3) > p:nth-of-type(1)","#leftAdv","#gsk, .center-block","[id^=\"slider\"]","#warning",".et_pb_image.et_pb_module","#widget_sp_image-53, .no-display.lazyloaded.ls-is-cached,\n.post-content.textwidget",".ipsWidget_vertical:nth-of-type(1)",".bradius.shadow.reklamyPrawa, .reklamaLewa, .sp-module > .reklama-title",".owl-loaded.text-center.owl-carousel.adverts-slider","#main > div > A > IMG","#popup_adblock,\n.reklamaR2Napis,\n[id^=\"reklama\"][idrekl]","#comment-captcha,\n.border","A[class=\"gofollow\"],\ncenter > span, .td-ss-main-sidebar",".readmore, .center.container, .baner",".td-fix-index, .td-a-rec, .td_block_template_5.td-pb-border-top.td-single-image-.tdi_50_6df.vc_single_image.td_block_wrap.td_block_single_image.wpb_wrapper,\n.vc_align_center.wpb_content_element.wpb_single_image,\n.widget_text.widget > .textwidget",".elementor-shortcode > .bc_random_banner, .elementor-top-section.elementor-section.elementor-section-height-default.elementor-section-boxed.elementor-section-stretched.elementor-element-ebc1a8d.elementor-element, .elementor-widget-image.elementor-widget, .elementor-inner-column.elementor-col-50.elementor-column.elementor-element-19e83af.elementor-element > .elementor-element-populated.elementor-column-wrap","div.mom_custom_text.widget:nth-of-type(1), .header-right_custom-content.header-right,\ndiv.mom_custom_text.widget:nth-of-type(5)",".banneryflex","#shortcodes-ultimate-2,\n#shortcodes-ultimate-3,\n#shortcodes-ultimate-6","A[href^=\"/ads/\"] > IMG","#pm_gora, #art_4_1",".btop, #aside.b300","[class*=\"td_uid_42_\"]","#promoted-module","#block-block-16, #block-block-19, #block-block-17, #block-views-reklama-block,\n#block-block-16, .even.field-item > div",".jw-reset.jw-aspect",".after-search-banner.topbannerresultsSearch","#belka, #panel","#PushangoAlert, #Mod359,\nDIV > DIV[style^=\"width: 90%; padding: 15px\"],\noption[value$=\"dm=1\"]","[id^=\"banners_rotator\"]",".gallery","#quads-myModal","#sponsCont, .spons-ph,\n.ad-article-vertical-track, .ad-article-horizontal-wrapper,\n.adSearch, #full-screenbox-popup, .half_page.ad, .adcont,\n.dfp_slot, .quizeirro, #games,\n.entertainment-li.i10 > .entertainment-a,\n.main-sidebar > div[style=\"height: 600px;\"] > div[style^=\"max-width:\"][style*=\"position: sticky\"],\n.main-sidebar a[href][target=\"_blank\"][onclick*=\"&creation=\"],\n[class^=\"ad-container \"],\ndiv[class*=\"ad ad_\"],\ndiv[class^=\"box ad box\"]",".inpl-gallery-ad-horizontal, .inpl-gallery-ad-side,\ndiv[style*=\"sticky\"]:has(> .boxHeader ~ a[href][target=\"_blank\"][onclick*=\"'polsat'\"])",".adStandardTop, #feed_grupa.ad, #ad-feed_grupa, .article-body__ad-gora-srodek, .mixerAdTopRight-wrapper, .has-mixerAdTopRight",".promocyjni_gazetka_dol, .ad-rectangle",".video-player-container, #IPLAbanner","[id^=\"brendingIplv2_new_starter\"]",".dol_srodek_ads_box, .adStandardTop, #feed_grupa.ad, #ad-feed_grupa, .article-body__ad-gora-srodek,\nheader + ul > .has-mixerAdTopRight",".dol_srodek_ads_box","aside > div > a[href*=\"gemius.pl/\"] > img[src*=\"i.iplsc.com\"]","#ad-banner_app, .adplace, .ad.box, .entries-ad","div#articleObjectSeeAlso1","#news1","#wrapper > .maximized-wrapper:has(.premium-account-promotion),\n#wrapper > .maximized-wrapper:has(.premium-account-promotion-new),\n.ad-box,\n.adDescription,\n.border:has(+ .ad-box),\n.message-ad-place,\n.sitebar-block-fake",".adStandardTop.ad.box","#nsitsp_3",".l-app__content__paper-fold._qmandit > div, .l-app__content__paper-fold._qmandit, .l-app__content__paper-fold._95ssv1s, .ap-ad.auto-promo-box.ap-pos-center","div[class*=\" \"]:has(> [data-iwa-viewability-name] > .ad)",".advert-200-box",".ad-content, .ad-window, .overlay, .common-ad, [id^=\"ad-banner_\"],\nsection.wide-section > section > div > A > IMG","#container-rectangle1, #container-rectangle2","#app > div[class] > div[class] > div[class] > div[class] > div[height=\"250px\"],\n#app > div[class] > div[class] > div[height=\"300px\"]","#show-message,\n.a468","._ning_zone_inner","#rekalama_PodMenu,\n.alert-warning",".size-full.attachment-full, #panel-109-2-1-5,\n.so-widget-image,\n.so-widget-sow-image > .widget-title,\n.sow-slider-base",".adverts-sidebar,\n.itemImageBlock","#remote-info-36",".news-slot-center","#singlebannerwidget-2","#as-zone-1",".advert_right,\n[class^=\"advert\"], p[style]",".box:nth-of-type(2)","#Popup",".itbiz-top",".code-block-2.code-block","#art-topBaner, [style^=\"width:100%;\"], [style^=\"min-height:\"]",".hidden-xs.r_sidebar,\n.well,\nA > IMG.img-responsive.center-block",".swf",".ext-link",".td-banner-wrap-full","div.l-row > .l-box--100.l-box > center, .l-box--100.l-box > p","#text-25,\n.cactus-ads,\n.wpb_content_element","#text-37","div.ModulRwdUkryj:nth-of-type(1)",".lf:nth-of-type(5) > table > tbody > tr:nth-of-type(7)",".spu-content,\n.td_block_template_1.td_uid_34_5acdb0d088a57_rand.td-a-rec-id-sidebar.td-a-rec, .count, .td-pb-span4.tdc-column.vc_column_container.wpb_column.td_uid_33_5b4e22e94d2ca_rand.vc_column, .td-header-sp-recs, .td_uid_46_5b4e22e954389_rand.vc_raw_html.td_block_wrap.wpb_wrapper, .td-all-malina, .borowka.td-all-devices",".vc_raw_html.td_block_wrap.wpb_wrapper","#ja-botsl1,\n#ja-right2","[id$=\"_slidein\"] > .letterBox_inner",".GOQMLGOLR",".wp-image-2295","#main-content > div > .txt, #top-content > div > .txt",".txt","div[class^=\"a-d-banner\"]","#left > div:nth-of-type(2),\nh4:nth-of-type(2)","#flashContent,\n#posters_slider",".elementor-section-height-default.elementor-section-boxed.elementor-element-72cc1b2.elementor-element.elementor-top-section.elementor-section,\n.elementor-section-height-default.elementor-section-boxed.elementor-element-7ea900e.elementor-element.elementor-top-section.elementor-section,\n.elementor-widget-slides.elementor-widget.elementor--v-position-middle.elementor--h-position-center.elementor-element-fe2f7d5.elementor-element > .elementor-widget-container,\n.swiper-slide-active.swiper-slide-duplicate.swiper-slide.elementor-repeater-item-5004578 > .swiper-slide-inner,\n[id^=\"adBox\"]","#billboard",".widget_custom_html.widget.td_block_template_1.widget_text,\nP[style=\"text-align: center;\"]:last-child",".card-block.py-0,\n.col-lg-3.hidden-md-down,\n.text-muted.text-center",".vc_single_image.td_block_wrap.td_block_single_image.wpb_wrapper,\n.widget_sp_image.widget.td_block_template_1",".carousel","#centersidebar,\n#post-4519 > div:nth-of-type(1),\n#post-4524 > div:nth-of-type(1),\nDIV[style^=\"padding-top: 0px; padding-bottom: 8px; width: 600px; height:\"],\n[id^=\"linkabletitlehtmlandphpwidget-\"],\n[id^=\"sk_product_box\"]",".category-.clearfix.add-active.shadowed.content-panel.loop-panel","[href*=\"tracking.linktogame.com/\"]","#adLoading,\n.gameLoading","#gbpl_oba",".widget-area.featured-sidebar",".elementor-section-wrap > [data-settings=\"{\\\"background_background\\\":\\\"classic\\\"}\"]",".newspaper-x-image-banner","[class*=\"banner_\"]",".mom-e3lan",".content-sidebar > DIV","div.su-row > .element-desktop",".html-block.col-md-12",".cOuterBlock-5","#g-sidebar > .g-grid,\n.g-8.g","#Mod138, #ja-header,\n#kawerna_tapeta",".sidebar__widget:nth-of-type(1)",".margin-top-15.text-center","A[target=\"_new\"] > IMG","[href^=\"/openurl.php\"]",".addmain,\n.content:nth-of-type(3) > .na-space,\n.folkRadioLink","#cright > div:nth-of-type(4),\ndiv:nth-of-type(12) > .btitemp",".third-col__advert",".row > .col-lg-12 > div,\n[href^=\"counter.php\"]",".box.active > IMG[src^=\"/img/box/\"]",".pl-0.float-xl-right.col-lg-4,\na[href^=\"https://brumflix.com/\"]",".broken_link,\n.elementor-widget-image.elementor-widget.elementor-element-a02a49b.elementor-element > .elementor-widget-container > .elementor-image > .size-full.attachment-full",".simple_manager_widget,\nA[target=\"_top\"] > IMG,\nA[target=\"new\"] > IMG[src^=\"promocje.php\"]",".adboxbline","#Stage",".image_link, center, .custom-html-widget.textwidget",".a-d-box,\ndiv[style=\"width:300px;height:42px;background:url(/img/font_reklama.png);\"]",".clearfix.beside-thumb > A, #media_gallery-3",".jedenprocent2023",".id52.left-box",".banner-wrapper","#c11865","#adblock-belka-container,\n.public-ad-container > div > span",".sweet-alert, .builder-img.col-lg-12",".wrapper > center,\nDIV[onclick=\"MyAdvertisements.do_click(1);\"]",".mh-header-image-link,\n[class^=\"slider-\"]","[href] > .img-responsive",".align-center.insert--size-m.insert,\n.insert--top-offer, .insert--size-b.insert","[target=\"_blank\"] > IMG[class][src^=\"https://v.wpimg.pl/\"]",".boxzilla-bottom-left-container, .adsense-telefony","#\\5f 479491471, .adBoxTop, div.adBox, .placeholder,\n.intext:nth-of-type(17),\n.sidebar_html_embed, .ks-floating-slot-wrapper, .asideAds,\n[style=\"width: 600px; height: 400px; margin: 20px auto;\"]","a[href^=\"/akcesoria-i-narzedzia/kopia-zapasowa-danych/cloud-backup\"] > img,\ndiv.dl-floating-slot-wrapper","#banner-side,\ndiv#slide-out-newsletter","#gk-banner-top,\ndiv.l-container--rwd.l-container > div.l-row > .l-box--33.l-box > .text-center","#vw_widget_custom_text-2,\n.vwpc-section-custom_content",".re_div_show",".banner-image",".right-col-sky,\n.ui-helper-clearfix.box.interview > .ui-helper-clearfix","div#copyright_ne",".no-bg.widget",".iad",".ipsAreaBackground_light.ipsResponsive_inlineBlock.ipsResponsive_showDesktop > A > IMG","#ja-topsl",".nsg_ad_box","#adocr",".box_h,\nDIV[style=\"margin:15px auto 15px auto\"]",".jcarousel-container.jcarousel-container-vertical","[href^=\"/glowna/reklama/\"]","#games-block,\n#primary > header:nth-of-type(2)","#layer_slider_1, .widgetAfterContent, #layerslider_34, .avia_codeblock, .ls-popup-overlay, .extralight-border.inner_sidebar,\n.units.alpha.sidebar_right.sidebar,\n[id^=\"layerslider_57\"]","[class*=\"adxx\"]",".text-center.my-3.container","#avatar-body-top-block",".column-header:nth-of-type(1)",".news-slot-center > span","A[target=\"_blank\"] > IMG[src*=\"ban\"]",".alignnone.wp-image-329.size-full,\nA > [class*=\"size-full wp-image-\"][width=\"200\"],\nP > A > [class*=\"wp-image-\"]",".stm_sidebar > p",".kppromowidget.widget",".commercial","#banner-box","div.first.placeholder","#addContainerUpWidget,\n#stickyBottom.sticky-bottom,\n.add-corner.add","[id^=\"position-recipe-adv-\"], div.sunfw-item-module-position.layout-item:nth-of-type(4)",".sda-slide-link-cont","#t3393f",".right-column > div.row:nth-of-type(-1n+2)","#aktualnosci > div:nth-of-type(4), #aktualnosci > div:nth-of-type(3), #aktualnosci > div:nth-of-type(5), center > div > table > tbody > tr",".banner-top, #b_628, #b_651, #b_664, #b_672",".ml-slider.metaslider-26068, .d-content-6.d-content, .d-content-7.d-content, .d-content-8.d-content, #wrap-top",".menu_baner:nth-of-type(11) > .menu_baner,\naside.widget_media_image.widget.td_block_template_4","#header-picture, .second-top-banners, .picture-spot[style=\"height:300px\"],\n.spot-in-article, #firm-list > .picture-spot, #baner2,\nbody.mobile-page > header > .container-w100 > #header-wrap",".td_block_title.td_block_wrap > .td-block-title > .td-pulldown-size, [id^=\"kurie-\"]","#adoceanadldghmiohjv,\n#oponeo,\n#sm-sg,\n.adSrodek",".td-a-ad, .kurie-adlabel, .kurie-w-tresci, .td-fix-index.td_mod_wrap, [class^=\"adace_ad_\"]",".attachment-full.vc_single_image-img","#pread,\n[style=\"background: #f21; color: #fff; font-weight: bold; text-align: center; text-transform: uppercase; padding: 10px; margin-bottom: 2em; \"]",".alert-dismissible.alert-success.alert","[style=\"padding: 0 0 5px 0;\"]","#bottomadcontainer,\n.da.media,\n[id^=\"div-gpt-ad-\"]","[id^=\"widgetBody-placement\"]","#ppmbank_bid_1015",".wpb_content_element.wpb_text_column, #promocodeBaner","#prawa_kolumna > h1:nth-of-type(2)","#szesc,\ntable:nth-of-type(2) > tbody > tr > td > table","div.prawy300x250","#banner_inside1, #right_container_box_ad",".AdvertBottomBar",".noprint.centrujban, .bounceInUp.animated.serwis_box.col-lg-3.col-md-3.col-sm-4.col-xs-12 > div:nth-of-type(5), .text-center.col-xs-12.col-md-12, [class*=\"ffds\"],\n.serwis_box.col-lg-3.col-md-3.col-sm-4.col-xs-12 [href] > .img-responsive, .serwis_box.col-lg-3.col-md-3.col-sm-4.col-xs-12 .text-muted,\nsmall > a[href]","#u488942",".justify-content-center.d-flex > p,\n.text_live > p > A > IMG,\ndiv.widget > .bannerwidget",".col-xs-12.col-sm-6.filelist + .col-xs-12,\n.own-placement","#tie-block_522,\n.stream-item-above-header.stream-item",".a-single, .stream-title, .a-77.g-single, #stream-item-widget-6, #stream-item-widget-4, #stream-item-widget-5","#widget_sp_image-9,\nA[target=\"_blank\"] > IMG[style=\"max-width: 100%;\"]","#a-show-boottom,\n#sidebar-promo",".bg3.post","#right_reklama","body > .forabg","div.vc_col-sm-12.vc_column_container.wpb_column > .vc_column-inner","#center > .box:nth-of-type(1)","#synergiaLogin + div[class]:has(picture > source[srcset*=\"librus\"] ~ img[src*=\"librus\"])",".topbar.row > .col-lg-9.col-12, .banner.hp-promo",".ai-1.ai-rotate",".image > A > .lazyloaded","#arboBig","#flash_baner, #praca-u-najlepszych",".slideshow-container,\na[href=\"https://linuxiarze.pl/reklama/#baner\"]","#promotion_1 > .srodek,\n.srodek > A > .img_baner,\n[id^=\"page_\"] > A > IMG","#stronaReklama","#bilety-popup,\n#main_page > div:nth-of-type(2) > div","#widget_oferta_lk",".belka_z_banerami, .lista_ogloszen_reklama","#block-vphotoblock-vphotoblock-bottom > .content > .photo-list",".grafikaKlienta",".mod_uzr_ecommerce",".custom > p > span, aside > div > .text-center,\n.mw-62.mw_aside, .widget-120.boards.widget.row, .widget-124.widget.row,\n.top, .A1sub, .legal-notice, div.mw_aside > div > .text-center,\nIMG[src^=\"/banery/\"],\nOBJECT[data^=\"/banery/\"]","div.articles_list_margin.text-center.col-xs-12 > .visible-lg > .center-wrapper",".rekdivbig2",".g1-activated.g1-sticky-sidebar",".advert-next-to-logo","#moneymaker-1, .top-background,\n.big-top-widget-box,\n.moneymaker_single, A[href^=\"https://www.cdkeys.com/\"],\n[style=\"min-width:730px; min-height: 90px; margin: 10px auto auto auto; text-align:center; overflow:hidden;\"]","#sidebar-wrapper > UL > [id^=\"text-\"]","#wallpaper,\n.wallpaper-link",".block-custom-content.mag-box, .widget-ad-image","#poster,\n.right > .moduletable","#c4315_0_2, #sponsorbox, .stream-item-top, .lsw24-adlabel, stream-title, .stream-item-below-header",".hidden-print.text-center.border-bottom.border-start.bg-white.col-sm-4.col-lg-4,\n.text-center.hidden-print.p-0.container, .text-center.p-0, small.text-center,\nDIV[style=\"margin: 0 auto; text-align: center; max-width: 950px;\"],\n[style=\"margin: 10px auto; text-align: center; \"],\n[style=\"text-align: center; padding-bottom: 8px; margin: 0 auto;\"]",".right > div.box1:nth-of-type(3) > .header, .right > div.box1:nth-of-type(1) > div.header:nth-of-type(1)",".theiaStickySidebar > aside.clearfix.lubie-widget.widget, #header-right-sidebar, #custom_html-10","#kociak,\n.ads-body,\n.adsCol, .container_12 > A[href^=\"http://lubimyczytac.pl/redirect.php\"], #tapetaMain",".a-.g-single,\n.ad_group","#post-28259 > .post-entry > p:nth-of-type(8),\n#related_posts,\n#side_ad_widget-2,\n.boxa, [style=\"min-height: 325px\"],\n.hehehe_box, .sponsoredArticlesBarContainer0.row,\nDIV[style=\" margin-left: 20px; width: 300px;\"],\n[id^=\"haha\"],\ndiv.tickercontainer, #firmy-box, .category-artykul-reklamowy",".tp-banner-container,\n.view-mode-bez_spo_eczn",".code-block-3.code-block, .newser-footer-ads","#below-header, frontpage-area_a_3, #frontpage-area_j_2, #frontpage-area_g > .hgrid, #frontpage-area_a_3, #frontpage-area_b_2, #media_image-3, #media_image-4","#banerki","center, .co_1a:nth-of-type(2)",".elementor-widget-wrap.elementor-element-populated:has(> div > div > center)",".DnnModule-922.DnnModule-DNN_HTML.DnnModule",".ipsContained.ipsImage",".g, #main > p:nth-of-type(1), #text-32 > .widget-title, #text-33 > .widget-title","#black-studio-tinymce-2 > .textwidget > P",".pasaz-slider",".visible-md","div.sidebar-widget-container:nth-of-type(1)","#black-studio-tinymce-9","#mbox-top",".zowqjrl-image",".desktop","#text-161",".wpb_raw_html",".bannery","#top_banner","#block-block-1,\n#block-block-20--2",".ABD_display",".bane",".img-ov",".log_form, .margin10.pull-left.text-white.s15.h2","#banner-counter",".btn-warning.btn-block.btn",".special-message-wrapper",".hans","#left > p","#fabryka_sypialni > [target=\"_blank\"] > IMG","#bg, #p-subheader > div > [href],\n#p-content > div[class^=\"m\"] > a[target=\"_blank\"] > img,\n#p-content > div[class^=\"m\"] > div > div[class^=\"m\"] > a > img,\n#p-left > div[class^=\"m\"] > a > img,\n#p-right > div[class^=\"m\"] > a > img,\n#p-subheader > [class^=\"m\"] > ol,\n.module-analyses.module,\n.module-facts.module,\n.module-review_box.module,\n[class^=\"module module-bookmakers_\"],\ndiv[class^=\"m\"] > .active > .list > li[class^=\"m\"],\ndiv[class^=\"m\"] > div > center > a[target=\"_blank\"] > img,\nheader > div > [class^=\"mea1ec\"]","iframe","[class^=\"cool-stuff\"]","a[href*=\"/bukmacher/r/\"]","A[href^=\"http://ads.comeon.com/redirect.aspx\"]","#my_div_wrapper,\nA[href^=\"/bukmacher/r/\"],\n[href^=\"https://www.meczenazywo.pl/bukmacher/go/\"],\na[href^=\"http://www.meczenazywo.pl/bukmacher/r/\"],\na[href^=\"https://affmore.com/click/\"],\na[href^=\"https://www.meczenazywo.pl/bukmacher/r/\"]","figure.size-large.wp-block-image > A","#header > div > div > A > IMG,\n#p-left > div > A > iMG,\n#top > div > A > IMG,\n[href=\"/bukmacher/r/sts\"],\ndiv > center > A",".bookie-ranks, .container-communique, .placeholder.margin.banner, .simple-link,\n.box.alert-box, .widget-advert, .widget-communique, .bookie-promo.bookie-wrapper,\n.container-banner-top.container-banner,\n.footer ~ .popup",".column-right-advertising, .column-left-advertising",".baner-1,\n[class^=\"ban-\"]",".js-promoClick,\n[id*=\"ban_\"]","DIV > IMG[src^=\"http://\"][alt]:last-child","A[href^=\"http://www.mediamarkt.pl/ad.php\"]",".adslot--centered, .art__content > p[style^=\"background:\"],\n.agr__block--html.agr__block,\n[class^=\"banner_banner-\"]","#halodoctor_list_widget, #marketplace_list_widget, .dlapi-placeholder.onet-ad",".placeholder",".footer-ad-wrap","#poradnik_prostokat_poziomy_gorny, #poradnik_kwadrat_gorny, #pod_chatem_lewa_kolumna","#popup-1","div.container > .esi > .uppercase.center-mobile.title-block",".adblockInfo",".container > div[style=\"height:250px; width:970px; margin-bottom: 10px;\"],\n.content-stream.view-meme > #news > .break-row.row,\n.content-stream.view-meme > div[style=\"height:200px; width:750px;\"],\n.side-stream > div[style=\"height:600px; width:300px;\"]","#mh-halfpage-advert-2,\n.side-right > p",".one_half_sr, .home-widget-re-size","#sidebar_right_place-10, #text-23",".project-title.control-wrapper",".reclama",".leaderboard",".mt-commercial-boxes-fix.mt-banner","#result","#sidebar-sticky-widgets > .widget-ebook-form > .widget-ebook-form-content","#camera-back__panel > .oa_photodata,\n#comments-leadebaord,\n#comments-leadebaord-02,\n#comments-leadebaord-03,\n#left-con > div,\n#left-con > section.row,\n#transmissions__panel > .oa_photodata,\n#users-photos__panel > .oa_photodata,\n.hr,\n.is-at-top.is-anchored.sticky.text-center.show-for-large.columns.large-12, .compareCell.text-center.columns.small-12.medium-12.large-12 > small,\n.karta-widget-prices, .reklama_caption,\n.oa_replacement,\n.phonedatas.columns.small-12.medium-12.large-7 > .oa_photodata,\n.phonedatas.columns.small-12.medium-12.large-7 > div.row,\n[id^=\"AdArea\"],\ndiv.oa_comment,\nhr, div.columns > small:not([style=\"font-size: 0.7em;\"])","#cboxOverlay,\n#colorbox","#media_image-9, #mvp-leader-wrap, .herald-entry-content.entry-content > div > A","#halfpage","[class^=\"bgov\"], .col-sm-12.widget_shwd.shwd-4","#header, .row > center > .showit.dontshowit, #footerBanner","#panel_baner, #sp-right, #sp-1-reklama,\n#sp-baner-1 > .sp-column > div.sp-module > .sp-module-content,\n.sppb-text-center, [id^=\"sp-banner\"], h3.sppb-addon-title,\na[href*=\"/component/banners/click/\"]","[class^=\"reklama\"]","IMG[src^=\"http://www.miastons.pl/media/Banners/\"]",".wpb_content_element.vc_separator","#rev_slider_8_1, [id^=\"sg-popup-content-wrapper-\"], .sgpb-theme-6-overlay, .sgpb-popup-dialog-main-div-theme-wrapper-6","#rev_slider_1_1",".td_block_template_1.td-pb-border-top.td_uid_15_5ca9bcbd1f688_rand.vc_custom_1531991690619.vc_column_text.td_block_wrap.wpb_text_column.wpb_wrapper",".td_block_template_1.td-pb-border-top.td-single-image-.td_uid_40_5ca9bcbd35ce5_rand.vc_single_image.td-no-img-custom-url.td_block_wrap.td_block_single_image.wpb_wrapper, .wpb_wrapper > p",".divMainBannerShell,\n.noFormat.divOpisCnt > .divKernel > p",".image-inside,\n.image-under","[class^=\"attachment-\"]","#text-3, .mb30.red.title-bg-line.title-border, #text-8, .mb30.orange.title-bg-line.title-border,\nTD[style*=\"background-image: url(\\\"http://mikrokontroler.pl/\"],\n[id^=\"block-simpleads-ad\"]",".newsletter__wrap,\ndiv.home-intro__grid-tile:has(> .ad)",".smutnazabajpg_container.transparent_container, #a.pleaserinonoblokerino_display, div.gitjestgit_container, #news_popup, a.niepokolei_display","IMG.lazy.lazy-loaded","[style$=\"width:346px;height:290px;\"],\n[style=\"width:100%;max-width:800px;overflow:auto;\"] + H2",".article__placement, .zpr_box_inside_3","[class*=\"placement\"]",".active.placement__lazy, #bottom_1, .zpr_box_side_bottom",".google_ad_info","#cb-bg-to, .js-sitehead-ads,\n.wrap.p0.mmapl_ads, [id^=\"mmapl-rotating-ads-\"], #image_widget-59, #custom_html-15, #image_widget-60, #image_widget-61, #custom_html-13, #custom_html-19,\n[id^=\"mma_\"]",".clickPanel,\nDIV[class^=\"rekBlok\"]",".td-post-content > center,\n.vc_cta3.vc_general,\n.widget_text.widget:nth-of-type(1),\n.widget_text.widget:nth-of-type(2),\n.widget_text.widget:nth-of-type(7),\n.wpb_content_element.vc_wp_text, .td-fix-index","div[style=\"text-align: center; margin-top: 5px; margin-bottom: 20px; \"], .mmo24-news-4p","#post-25393 > .entry-content > h4,\n#text-38,\n#text-40,\n#text-45",".sidebar > .mt-5.text-center",".a-single, .banner_header",".resp-container,\na[href^=\"http://shrsl.com/\"]","#nav2,\n[style$=\"color:#999999; font-size:10px;\"]","[id^=\"html_javascript_adder\"]","div.ramka_wybory_top, li.kandydat",".td-all-devices",".vc_align_center.wpb_content_element.wpb_single_image:nth-of-type(9)","#ppp_166",".bonus_naglowek:nth-of-type(19),\n.bonus_tresc:nth-of-type(20),\n.bonus_tresc_center,\nimg[src^=\"zasoby/banery/\"]",".mnBox",".top_banner, #modMnNewTopBarSlider, .newLayerInner, .bottom, .artykuly2.ad_1507, .mnBoxContent, #mod_mn_sponsored_box__sidebar",".left > div:nth-of-type(6),\n.mainright > div:nth-of-type(1n+3):nth-of-type(-1n+7),\nDIV[style*=\"width: 966px; margin-top: 12px; margin-bottom: 15px; \"],\nDIV[style=\"float: left; width: 705px;\"],\nDIV[style=\"width: 200px; height: 200px;\"],\nDIV[style=\"width: 750px; height: 200px; float: left; display: inline;\"]",".headUnderMain.center.mobHide + .center, #rotator2, .blank.linkFrameButton, #BannersTop, .advBannerFly, .reklamaTEKST,\nDIV[style^=\"position:relative;margin:0 auto;display:inline-block;width:\"]","#ma-top-layer","#topads","#custom_html-19, #custom_html-23, #below-header, #topbar, #media_image-9","#text-8, #text-9","#text-2 > .textwidget","[id*=\"ad_widget\"]","#newspaper_main_table","#app > div[class^=\"sc-\"] > div[class]:not([class*=\" \"]):has(:scope > div[class*=\" \"]:only-child > img[src^=\"https://v.wpimg.pl/\"][src$=\"==\"][alt]),\n.cTDBBq, .iUqSbV, .iin3p0p135d,\n.main-menu__submenu__offer,\n.recommended,\n.right-column > DIV + DIV[class],\n.right-column > DIV > DIV > DIV > DIV + DIV[class],\n.x03, .linia, .mpl_right > [class] > [class] > div > div,\nA[class][href*=\".wp.pl/\"] > DIV > IMG[src^=\"https://v.wpimg.pl/\"],\nA[href*=\"://direct.money.pl/o/salechannel.php\"],\nDIV#ADrail > DIV > DIV + DIV[class],\nDIV#ADrail > DIV[class]:first-child,\nDIV.right-column > [class]:first-child,\nDIV.right-column[data-floatingsky] > DIV:first-child,\nDIV[style$=\"min-height:180px\"],\nDIV[style=\"margin-bottom: 10px\"] + DIV > DIV > DIV + DIV + DIV[class],\n[id=\"header\"] + div + div:has(> style),\ndiv:has(> [src^=\"https://v.wpimg.pl/\"]:not([alt], [loading])),\niframe[src*=\"promoted\"],\nsection + div:has(> style)","div[class^=\"sc-\"]:has(> img[src=\"https://i.wpimg.pl/O/56x45/i.wp.pl/a/i/stg/pkf/bg.png\"])","DIV[style=\"margin-bottom: 10px\"] + DIV > DIV > DIV[class],\n[style$=\"padding:10px 0\"] > DIV[class],\n[style=\"margin-bottom: 10px\"] > DIV[class]","body > div.section, .breadcrumb","DIV > DIV[style*=\" z-index: 310\"]","#img11155698","#ADrail > DIV > DIV[class],\n.article-set + DIV[style^=\"background\"],\n.box:first-child + DIV[class],\nDIV[style$=\" z-index: auto;\"] > DIV[class],\nP + DIV[style$=\"padding:10px 0\"],\nSCRIPT[src^=\"//money\"] + DIV[class][style=\"text-align:center;\"],\n[class^=\" _bc_paragraph_\"] + DIV[class],\ndiv:nth-of-type(1) > .news > .news__items > .item:nth-of-type(1),\nmain > div:first-child:has(img[src^=\"https://v.wpimg.pl/\"][loading=\"lazy\"])","#app > div[data-reactroot] > [class^=\"sc-\"] + div[class]:not([class^=\"sc-\"]):nth-of-type(6)","#bb-banner-top,\n[class*=\"CampaignBox\"]",".mod_uzr_12.mod,\n.template-minimal",".forums.topiclist > .icon","#content-wrap > div > A > IMG",".sp-block.mt10.text-center.row,\n.special-block",".mc-inline-advert > div:nth-of-type(1)","#mo-adv-slide-2 > p,\n.bgWhite.container > .row > .left-rail > .article > .tools > .col-xs-12.ceneo-box-index","#gp-page-wrapper > center",".archive-col-2.archive-col > .widget_custom_html.widget.widget_text,\nsection.widget_custom_html.widget.widget_text > .widget-wrap.widget_text",".AdWidget_HTMLWidget,\n.entry-content > div:nth-of-type(1),\n.entry-content > div:nth-of-type(2)","tr:nth-of-type(31),\ntr:nth-of-type(32)","#screening, #frame","IMG[alt=\"Image Widget\"]",".mpRek","div.panel-default.panel:nth-of-type(1)","#Mod311,\n.whatsnew.col","#gk-top1,\n#text-57","#widget-notify",".partnerRight",".promo.main_page.container, .player-block-info","[id^=\"hook_box_top\"], .promo-image-wrapper, [class^=\"zpr_box_half_page\"]","div.wpb_content_element.wpb_text_column, .td-header-sp-recs, .wpb_raw_html.wpb_content_element.wpb_raw_code","._ning_elmt",".code-block-7.code-block, .code-block-9.code-block","#sidebar > center",".code-block-1","TD[style=\"padding-top:10px; padding-bottom:10px;\"],\n[style=\"WIDTH: 940px; font-family: Arial;\"]",".container > .row > .col-xs-12 > .row > .col-md-4 > .well","div[id^=\"div-gpt-ad\"]",".regardsForAdblockers","[id^=\"place3_v\"]",".must-login-box.f-login-wrapper","body > div[id][style=\"display: block;\"]:first-child,\ndiv.l-col__item > .text-center, .l-box--99.l-box > center > div > A",".show-lg, .cf.logo-wrap.wrap","#Ad\\.Plus-970x250-1",".spot-2.spot",".mysle-reklama-glowna","p",".napis, .entry-content.entry > A,\nDIV[align=\"center\"]",".widget_custom_ads","#abp_info","#G-banerGlowny, .homeMain > A","div.container > .mines-center, #page > .container, #nw-secondary > div > A","#cornerContainer, .prezentownik, .prezentownik_ne_fullheader,\n#sg_half_prawa_szpalta, .tvp_ne_fullheader,\n* > [href^=\"/d\"],\n.d-md-none.d-sm-block[style^=\"min-height:\"],\n.d-sm-none.d-lg-block.wtg-belka,\n.d-sm-none.d-lg-block[style^=\"min-height:\"],\n.prawa-szpalta.re, .prawa-szpalta2.re,\n.screening-banner, #art_rec_bottom > .wtg-placeholder, #art_half_prawa_szpalta, #art_rec_bottom, #sg_belka_srodek, [id^=\"ps_half_\"],\n.screening-mobile.post-content[style],\n.wrapper > div > [class^=\"t\"] > div,\n[class^=\"t\"] > [href^=\"/0\"],\n[href^=\"/0f\"],\nbody > div[class][style*=\"position: fixed\"]:has(.yt-player, video),\nfigure > A > .img-fluid.lazy,\np > [href] > .img-fluid.lazy",".vod-home.row > A > IMG,\narticle > A > IMG","#milana-text-74",".ban",".textwidget > A[target=\"_blank\"]",".builder.cf.row, .widget_custom_html.widget.widget_text",".ipsList_noSpacing.ipsList_reset.ipsType_center.ipsList_inline",".sidebar > .tborder:nth-of-type(4) > tbody,\n.wrapper > .tborder:nth-of-type(3) > tbody","#bannerContent > div > div > div,\nbody #catalgForm iframe[src*=\"U-Boot\"]","#avatar-pos-content-user-bottom,\n#avatar-pos-content-user-top,\n[id^=\"napisy24\"]",".footer-widget","#CallAp","#fancybox-wrap,\n.flooor,\n.spacead-r-2, .adsbygoogle, .td-adspot-title, .td-is-sticky.td-pb-span4.tdc-inner-column.vc_column_container.wpb_column.td_uid_26_5defeae8f3d3e_rand.vc_column_inner, .td_block_template_11.td-pb-border-top.td_uid_42_5defeae907025_rand.td_block_title.td_block_wrap, .td-is-sticky.td-pb-span4.tdc-inner-column.vc_column_container,\n[class^=\"efactory-ad-\"]","#after_section_4 > .container > .units.alpha.av-content-full.content.template-page,\n.avia-align-center.avia-builder-el-first.el_before_av_image.avia-builder-el-89.av-styling-no-styling.avia-image-container,\n.avia-align-center.el_before_av_hr.el_after_av_hr.avia-builder-el-111.av-styling-no-styling.avia-image-container,\n.avia-image-container-inner, .size-full.attachment-full.wp-image-10277.image, #media_image-4,\n.el_before_av_hr.el_after_av_one_fourth.avia-builder-el-78.av-zero-column-padding.flex_column_div.av_one_fourth.flex_column",".spacead-r-2, [class^=\"efactory-ad-\"], .td-is-sticky.td-pb-span4","#zobacz-koniecznie,\n.columns.small-12.medium-6.large-12.sekcjaWaska:nth-of-type(1),\n.componentsArticleContent a[href*=\"ceneo.pl\"],\n.componentsArticleContent hr:has(~ h3 > a[href*=\"ceneo.pl\"]),\n.componentsArticleContent ul:has(a[href*=\"ceneo.pl\"])",".sekcjaWaska:nth-of-type(1)",".flatFeeBox__list","#column2 > .box",".elementor-widget-image.elementor-widget.elementor-element-4e198b9.elementor-element > .elementor-widget-container > .elementor-image","#popup_our",".kd_ns_logo","[href^=\"http://www.pless.pl/a.php\"]",".adRightContainer",".\\31 1b.td-ss-main-content > div:nth-of-type(4),\nDIV + A > IMG[style=\"width:100%;\"],\na[href=\"https://twierdzaeuropa.pl/\"]",".forum > table.tborder:nth-of-type(1)",".module-content.module > .cnt > p > A > IMG, .show.cool-stuff","DIV[style=\"text-align: center; margin: 0 auto;\"]",".shadow-text","[class*=\"bilboard\"], .ads-programmatic",".cool-stuff,\n.subtext > A > IMG","div.własny-html.box:nth-of-type(1)","#custom_html-46, #custom_html-47","#indexDefault > .banners,\n#indexDefaultMainContent > center,\n.theme-default.slider-wrapper",".banner.center-block.img-responsive",".sec_A_adv2",".BanerB, .BanerP",".l-head-advertisement.row,\nspan.color-grey.font-size-10","#baner","div.ai-rotate-option, .ai-viewport-1.code-block-4.code-block",".sidebar.col-sm-4.col-xs-12, .wall-bg-link, .wall-bg-banner","#eaa-2",".banner > .banner-block","#category-topics > .container > .row:nth-of-type(4) > .col-sm-12.col-md-6, .internal_google_ads, .container:nth-of-type(7), .hidden-sm.hidden-xs.col-xs-12.col-sm-12.col-md-6, #content-news > div:nth-of-type(3), .col-sm-4.col-right.col-md-4:nth-of-type(3),\ndiv > label",".blocker.jquery-modal,\n.newsb-widget.widget,\n.td-pb-border-top.td_uid_114_5a5b5087cd3d0_rand,\n.td-pb-border-top.td_uid_114_5a6c6003c98c7_rand",".wpb_content_element.wpb_text_column",".container > .banner-nagl","#JEcnUkoYtyfs, .hmAdHKEaBMFO-bg",".copyRCTopHolder, div.rectangle.placeholder, .flat-plista.placeholder, .flat-nin.placeholder","iframe[src^=\"http://get.x-link.pl/\"]",".footer-container.ban-main-centering-container,\n.promo-container_google, .promo","#page > center > table",".ipbtable:has(div[align=\"center\"] > script[src^=\"//nhlpl.engine.adglare.org\"])","#main > br,\n#main > div[style=\"height:350px;width:660px\"],\na[href*=\"//niebezpiecznik.pl/r3\"],\na[href*=\"//niebezpiecznik.pl/r4\"],\na[href*=\"//niebezpiecznik.pl/r5\"],\na[href*=\"//niebezpiecznik.pl/r6\"],\na[href*=\"//niebezpiecznik.pl/r7\"],\ndiv[style=\"float:left\"],\ndiv[style=\"width:300px;float:left;\"]",".ramka_tresc > .naglowekrek.kapitaliki","[class^=\"iParts_Ad\"]","#block--4, .lazyloaded.wp-post-image.apab-image","#content_banner > .ad_sandbox_wrapper",".adtop, .intext-ads-container,\n[class^=\"right\"][class$=\"-floating-container\"]","#unblock-please,\n.nh_ads",".right-baner.hidden-sm-down.panel > .canvas-box","[class^=\"bg-banner-wrapper\"]",".g-single > A > IMG[src^=\"http://nowagazeta.pl/wp-content/uploads/\"],\n.td-pb-row.wpb_row.vc_row:nth-of-type(1) > .td-pb-span12.vc_column_container.wpb_column > .vc_column-inner, .l-box--100.l-box > center > p, div.l-box--33.l-box > p, div.l-row > .l-box--75.l-box > p, div.l-row > .l-box--25.l-box > p,\n.vc_row-has-fill","a[href^=\"http://www.kbprojekt.pl/\"]","#ad--bill-top + .grid__row,\n.custominfo > p:nth-of-type(4)","#text-2 > .widget-title-container",".td-visible-desktop > A > IMG:last-child,\ndiv.wpb_content_element.wpb_text_column","div.clearfix.jm-module > .jm-module-in > .notitle.clearfix.jm-module-content","#ubm-banners-2","#metaslider_widget-9, #metaslider_widget-2, #text-9, #text-10, #text-21",".jm-module-in > .clearfix.jm-module-content > .custom","div.sidebar:nth-of-type(5)",".g1-banner","#media_image-18, #media_image-13, #media_image-16, #media_image-17, #media_image-3",".link_bg, #fancybox-wrap, #fancybox-overlay","DIV[style=\"border: 1px solid #D8D0D0; padding: 5px 0px 5px 0px; width:705px;\"]",".sidebar-right.col-sm-3","#Mod348","#wa, #s-rotator, #server-rectangle, #server-button",".c.grid_50p",".box-sidebar.box-sidebar-1,\n.content-row.content-row-15.x-ecommerce,\nA[href*=\".wp.pl/\"][target=\"_blank\"] > DIV[style^=\"background-color: rgb\"],\ndiv.popup-wrap,\ndiv[class][style=\"width:100%\"] > div[class*=\" \"]:has(:scope > img[role=\"presentation\"]:not([src])),\ndiv[class^=\"_\"][style^=\"width:\"][style*=\"background-color: rgba(24\"][style$=\");\"],\ndiv[class^=\"_\"][style^=\"width:\"][style*=\"background-color:rgba(24\"][style$=\");\"],\ndiv[data-testid^=\"ad-placeholder-\"]","dd-holder[slot=\"DOUBLE_BILLBOARD\"],\ndd-holder[slot^=\"BOX_LEFT_\"],\nnative-feed",".gzuwb","#Image3","[data-td-block-uid] + DIV > A[href] > IMG",".webnus-ad","a[href*=\".bankier.pl/click/\"]",".warstwa_z_tekstem > div[style=\"width:100%; margin:0px 0px 15px 0px; display:inline-block;\"]","#osiemnascielat > div > h2:nth-of-type(2)","#sidebar > div","#product_feed, .placeholder","#topBanner",".block-block.block.widget",".oiot-widget.clearfix.zeen-widget.sidebar-widget, [id^=\"oiot-\"]",".header__banner, .wp-block-image, [id^=\"penci-banner_box-\"]",".bannergroup > span, .partner_portalu, #Mod241, .ls-popup-visible.ls-popup, .adSidebar.bannergroup","[id^=\"penci-banner_box--\"], .penci-promo-item, div.vc_align_center.wpb_content_element.wpb_single_image, .vc_single_image-img","#mainbaner, #AdBig, .oknoad-news, #AdSmall,\n.left-zobacz:has(a[href^=\"/openurl.php\"]),\na[href^=\"/openurl.php\"]","td:nth-of-type(3) > p:nth-of-type(1)","div.l-row > .l-box--99.l-box > center, div.l-container > div.l-row > .l-box--100.l-box, .grid.place-items-center.gap-6","div.l-box--25.l-box > p, .l-box--100.l-box > p","#pop_newsletter_inner,\n[id^=\"ddd_left\"],\n[id^=\"ddd_right\"]","#sss_left > .imgHover[alt=\"gazetka agd\"],\n#sss_right","div.tocenter.hadw","#block-block-8,\n.region-baner-left,\n.region-baner-right","#ytplayer, #Layer_1,\n.otokredytbox,\n.screen-link.abs, #gallerywide2 > li.fleft.rel.tleft.wrap:nth-of-type(3)","[class^=\"AdSlotPlaceholder_\"],\na[href^=\"http://csr.onet.pl/eclk/clk\"],\nspan.newsAdd, [class^=\"adBox\"], .adPlaceholder",".refashionLayer",".ad-section",".slot-right-container",".slot-top-container","#ad-slot-container","#box-random-game",".banner728-container.clearfix,\n.g-single.a-336,\n.widgetAD.widget_text,\nDIV[style=\"overflow: hidden; border-bottom: solid #DDDDDD 0px; border-top: solid #DDDDDD 0px; padding-top: 15px; padding-bottom: 10px;\"]","#fif-flat-boxright2,\n#preloader-novelty,\n.right-box-container,\n.slot-top-container, .jqIJGM.styles__SlotRightContent-sc-13xebem-2, .dpOzCT.styles__SlotTopContainer-y3y7xh-0,\ndiv[class^=\"slot-\"]:has(> div[class^=\"slot\"][class$=\"plug\"])",".ssListaContainer","aside[class^=\"FlatBoxLeft_\"],\naside[class^=\"FlatBoxRight_\"],\naside[class^=\"Left_placeholderLeft_\"],\naside[class^=\"Panel_placeholderPanel_\"],\naside[class^=\"Rectangle_placeholderRectangle__\"],\naside[class^=\"Top_placeholderTop\"]","#col-id-13,\n#col-id-8","#backdrop-container,\n#close-frame","#extraAdsBlock,\n#softonet,\n.lazyContent","[class^=\"AdPlaceholder\"],\n[class^=\"AdSlotPlaceholder\"],\n[class^=\"CenterAd\"]","#content > aside > div:nth-of-type(1),\n#content.clearfix > .wide-view > .club-content > .question-other-answers > section > .hide,\n#promoTop,\n.box-a:nth-of-type(2),\nDIV[style^=\"float:left;margin-left:20px;width:170px;height:740px;margin-top:20px; position: absolute; top:0;\"],\ndiv[id*=\"sliderSidebar\"]",".componentheading_small:nth-of-type(3)",".box2Cont",".add-box-top, .add-box-side","#ads-sidebar-right, .bnr-player-top, .bnr-player-float-right","header .banner-background, #sidebar .cms-banner","#ipsLayout_mainArea > .ipsSpacer_half.ipsSpacer_both, .ipsLayout_container > .ipsSpacer_half.ipsSpacer_both",".revz_opirek, #onet-ad-top",".bannerplace, .rma","#remote-info-34, [style=\"height:150px\"]",".double-billboard,\n.panel.shop-offer,\n.sidebar-left.main-content-right,\ncenter:has(script)","#a468, #luna_left, #luna_right",".widget_block.widget",".stone-module.well-sm.well:nth-of-type(4)","div[style*=\"background-image: url(/images/info-peer.jpg);\"]","body > table > tbody > tr > td > center","[src^=\"/bannery/\"]","#ticker-box",".front_block.content_source_reklamy","#powiadomiony",".cf.clicky,\ndiv.info",".mkdf-image-widget.widget, .lazyloaded.attachment-full.vc_single_image-img","[id*=\"_adspace_widget\"], #_dropslide1","IMG[alt^=\"baner\"]","[id^=\"ostat-\"]","[id^=\"media_image-\"]",".bg-white.p_rel.c","#main > p,\n#text-4, #text-2 > .textwidget > p:nth-of-type(1n+2), .text-center.hidden-print",".hover14",".home-padding.carousel_outerrim.home-margin.home-portfolio","#rev_slider_4_1_wrapper,\n.vc_col-sm-12.vc_column_container.wpb_column > .vc_column-inner,\n.vc_empty_space",".noad","#adsTopOD,\ndiv[data-cy=\"search.listing.promoted\"]",".adv__content,\n.row:nth-of-type(6) > .fl.w1000,\n.row:nth-of-type(8) > .fl.w1000,\ndiv.row:nth-of-type(3) > .fl.w1000,\ndiv.row:nth-of-type(5) > .fl.w1000,\ndiv.row:nth-of-type(7) > .fl.w1000,\np:nth-of-type(9), span > p > A","#HTML8,\n#Image1","#baner_baza, .reklamaGoogleTopProfil, #baner_gazetapl",".non-fullwidth,\n.paralax",".header_vc",".owl-theme.owl-carousel",".adblock-info",".sky-left",".td_block_wrap.wpb_wrapper > .td-fix-index, .flexslider, #tdi_46","td:nth-of-type(4) > table.tborder:nth-of-type(2) > tbody",".nopad:nth-of-type(5) > .block_wrap.category_block:nth-of-type(1)","[class^=\"_\"] > A > div",".article__textbox, .article__container > .article__side",".pending-ad",".qa-widget-side:has(.adsbygoogle),\ndiv[style^=\"width:728\"]:has(> a[target=\"_blank\"] > img)",".box_orange.box.menu_r_hp:nth-of-type(5)","#ad_dol_srodek",".classic.post:not([style]):not([id])","#ad_news","#baner926","#a011,\n#b028,\n#spon_left,\n#spon_right,\n[href^=\"http://csr.onet.pl/eclk/clk\"]","A[href^=\"http://click.plista.com/pets/\"]","#messageHook","#WhitepaperModule,\n#box_deal, .promo-frame,\n#newsmore408558 > .row:nth-of-type(2),\n.deal-row.row,\n.side-module.how-to,\narticle > .row:nth-of-type(3),\ndiv#toaster","#banner_news,\n.approvebg","#footer-img","#ja-botsl",".nav-banner",".item-509","#popup_start","[href*=\"/click_baner.php\"], aside > div.moduletable > div.module-banner > A[target=\"_blank\"] > IMG",".gloto, #moving-banner-container, div.wpb_content_element.wpb_text_column,\n.vc_box_border_grey.vc_single_image-wrapper > .attachment-full.vc_single_image-img","#adsense-top-placeholder",".justify-content-start.mjs_row",".mfp-content,\n.mfp-ready",".ipsBox.ipsWidget_vertical.ipsWidget:nth-of-type(9),\n.pole2",".adBlockDetectModal, .swal2-fade,\n.attachment-full,\n.temp-ad","#text-3, #text-4, #text-17, #text-11, #text-13, #text-2, #text-12, #text-10, #text-26, #text-25,\n.ag-block-index-3.ag-news-template-1.ag-news-block, .ag-block-index-4.ag-news-template-1.ag-news-block,\n[id*=\"_bid_\"]","#bglink,\nDIV[style=\"text-align:center;padding:15px;\"]","#pinowyswietlacz",".srodkowyblok6content,\nA[rel=\"follow\"] > IMG,\ndiv:nth-of-type(3) > div:nth-of-type(8)",".ag-block-index-2, .clearfix.footer-widgets, .clearfix.ag-block-index-4.ag-news-template-1.ag-news-block, .clearfix.ag-block-index-0.ag-news-template-1.ag-news-block",".w-x4.h-x2.fl","#obrazekOpis > div[style^=\"width:\"][style*=\"height:\"]:not([class]):not([id]):has(> div[style] > .adsbygoogle),\n#poprawejTekst > div[style^=\"width:\"][style*=\"height:\"]:not([class]):not([id]):has(> .adsbygoogle)","#ai_widget-4","#header-banner","#ad-profile-box1","[id^=\"banbox_\"]",".overlay-shadow","[onclick^=\"MyAdvertisements\"]","div[id^=\"multi-\"] > iframe[id^=\"iframe-multi-\"], .adPlaceholder",".blok-sm.blok-r,\n[class^=\"resizable\"]","[class^=\"billboard\"]","main > .small.pasek-gray",".miejsce-banerowe","#jm-header-container > .jm-module:nth-of-type(5),\n#jm-header-container > .jm-module:nth-of-type(7),\n.a-d-v-i.box-margin > *,\n.a-d-v-i:not(.box-margin),\n.clearfix.jm-module-content > .custom,\n.content.col-md-12 > p:nth-of-type(7),\n.ic_marquee0, .content.col-md-12 > p > A","[id^=\"frame-\"]",".adb_plotek","img[width=\"728\"][height=\"90\"]",".ogloszenie, .col-xs-4 > .layout-column.row > .row:nth-of-type(3)","A[rel=\"external nofollow\"]","#block-7",".content > p,\ncenter > p",".col-lg-3.col-md-4.col-sm-12","#remote-info-43","[src^=\"templates/gfx-podsport/\"]","DIV[style=\"position:relative;margin:0 auto;width:820px;height:120px\"],\nh6, #caroutlet","#Mod174, #Mod175, #Mod56, #Mod169, .ja-box-right.column.ja-box, .ja-box-left.column.ja-box","#bA1,\n#bA66,\n.dark > td > .box2x1s, .megaBBox,\nHR",".int__url > .picture",".a14s","#secondary > div:nth-of-type(1), #text-3, #secondary > div > A > IMG",".banner--programmatic--optad360,\n.new-toplayer",".kode-content > section.kode-pagesection:nth-of-type(1) > .container > .row > .col-md-12.kode-pagecontent > .margin-top10-bottom10.heading-12.heading","[class*=\"advertisement-\"],\n[class^=\"Advertisement\"]",".bannerheader, [class*=\"banner\"] > font,\n.class\\=.\\  > table > tbody > tr:nth-of-type(4),\ntd > table > tbody > tr:nth-of-type(1) > td:nth-of-type(1), div.jm-module:nth-of-type(3) > .jm-module-in > .clearfix.jm-module-content > .custom","#content > .container > div.row > .text-center.col-xs-12",".player-container",".td-header-style-5.td-header-wrap, #td_uid_7_5abf827b54b35",".LM__popup,\ndiv[class=\"ad\"]",".ads .videoPlayer__vast, .ads .videoPlayer__mask[data-time]",".gridlove-sidebar > .LfUW8dL1Hl-widget.gridlove-box.widget",".kornelia",".\\31 958.has-shadow.article",".home-partners","#section-id-1503913327338, #section-id-1530612923433,\n#sppb-addon-1503648426950,\n#sppb-addon-1511187487983","[id^=\"componentsPromotionsArticlePromotedList\"]","h2 > span",".uk-grid > div[class^=\"uk-width-expand\"] > div.uk-card:nth-of-type(2)","[class^=\"spolecznosci-iframe\"], .imaplayer",".alignnone",".hidden-xs",".header-middle,\n.panel.widget-2",".showBattleBanner","header + div[class] > div > div.Box-sc-mskus-0","[class^=\"Banner\"]",".showBattleBanner.battle-banner-hp, .special-banner-970",".my-5",".size-full.attachment-full",".execphpwidget",".bodyline > table > tbody > tr > td:nth-of-type(1)",".adwordbackground, .reklamawposcie, .fake-ad,\n[onclick^=\"adwordsStatistic\"]",".boxHeader,\nP[style=\"font:normal 12px/16px Arial,Tahoma,sans-serif;margin:0;padding:6px 100px 5px 20px;color:#fff;word-wrap:break-word;\"]",".art-hmenu-extra2, #div.clearfix.art-block:nth-of-type(2), #div.clearfix.art-block:nth-of-type(4), .jmoddiv.clearfix.art-block",".ad-rectangle, #feed_grupa.ad, #promocyjni_gazetka_dol1, .dol_srodek_ads_box, .dol_srodek.ad, .mixerAdTopRight, .adWrapper, .article-body__ad-gora-srodek, .box300x250.ad.box, .adStandardTop, .has-mixerAdTopRight",".Games-addLateral, .Banners-lateral",".g1-footer-stamp-icon,\n[class^=\"adace_ad_\"], .g1-collection-item.g1-injected-unit",".slider-23, .slider-10736","#gold-header",".open.hidden-sm.hidden-xs.header-collapsible",".shopping, .stm-shopping-container, #placement_zpr_shopping","#slidebox",".player-block-info","#dfp-prawa1","#sp-header","#rt-content-bottom",".pasinfotxt.above","div#rc_content_block > A","#C-D-1,\n.pm-banner, .pmb_banners",".pmbi, #sidebar-banner-5, #index > .single-banner",".pmbi, .a-block, #ijoomlazone151, #ijoomlazone152, #ijoomlazone154, .standard_adv_link","#fixme,\n.mb-3.h-100 > div > .text-center > IMG",".A1sub.text-center","#APPMicroBanersBottom, #APPMicroBanersTop",".box-1 > .left","section.one, .box-0","div[class^=\"ban\"]",".djslider-loader-default.djslider-loader","[id^=\"baner-\"], [id^=\"adoceanmy\"]",".furgo,\nDIV[style*=\" background-color: rgb(0, 0, 0); \"],\na[href*=\"/kampania.php\"]","div[id^=\"zone\"]","#rev_slider_1_1_wrapper, .td_block_image_box.td_block_wrap, #rev_slider_4_1, [id^=\"bsa-block-\"], #rev_slider_5_2_wrapper, .fadeIn.animated, .code-block-6.code-block, .bsaProItemInner__html","#box_custom3",".size-full.alignnone","#mr-tomato,\n#pixad,\n.ad-info, .word-txt > A > IMG","[href^=\"/adv.php\"]","#ftHolder, #pasek, .colorbox-manual, #marquee",".navbar-fixed-bottom.navbar-default.navbar.sticky","#advL","#article-1,\n#header > .clearfix.header_bg > a[href=\"http://www.ppe.pl/psx_extreme-2015-4.html\"] > img[alt=\"PSX Extreme 212\"],\n#hot-slides-wrapper #hot_0, #hot-slider #m_hot_0,\n#hot_0 > .slider-items,\n.convertiser_comparison,\n.news_box_content, .top_cont,\n[class*=\"adver\"],\ndiv[class^=\"banner-placeholder\"], .banner-screening","#content > .column-right",".betamore.openJDOMWindow,\n.expander,\n[id^=\"divFav\"]","#right-re, #header-b, .clearfix.in-content2",".td-ss-main-sidebar > .widget_text.widget.td_block_template_1:nth-of-type(2),\n.widget_text.widget.td_block_template_1:nth-of-type(5)",".main-content > .js-media.js-tab.block, .powiazana-oferta-html","IMG.img-responsive[src^=\"/img/banner/\"]","img[src^=\"/ad/\"]","[href^=\"/_pub/ex.php\"]",".col_right > a[href^=\"https://premium.pl/checkdomain/\"] > img[src*=\"/parking-banner/\"]","#custom_html-2 > .custom-html-widget.textwidget,\n.clearfix.cb-module-block.cb-light.cb-module-custom",".big_image_post","[id^=\"sas_\"]","#abonament_right,\n#coockie_txt",".header-banner, .vc_raw_html.td_block_wrap.wpb_wrapper > .td-fix-index, #center > .td-all-devices,\n.textwidget > A > IMG","#big-rectangle, .banner_right > [href], [id^=\"spolecznosci-\"]",".rekl-top","div.centering.tile:has(.adsbygoogle)","#ceneo-os783-rZ0og",".tractorpool--sidebar.tractorpool",".web.bn-b-0","#text-4, #text-7, #custom_html-2","#mbImage,\n#mbOverlay",".autopromo-boxes-holder > .ap-ad.auto-promo-box,\n.autopromo-boxes-holder > .ap-pos-left,\n.autopromo-boxes-holder-2nd",".mt-2.hidden-sm.hidden-xs > .empty,\n.visible-lg.site-background-cta","#layerslider_2","[id^=\"block-views-banery-block\"]","#column-right","#block-block-1, #block-block-9, #zone-header-wrapper",".panel.first.widget-1, .panel.widget-3, .panel.widget-4","#infinite-article > .thb-preloader",".menu, #prv-billboard",".closed-ad, .promo","div.art-nostyle, .custompolecamy","[id*=\"advertise\"], .banertopplayer2","#Mod134, #Mod137, #Mod138, #Mod140, #Mod141, #Mod142, #Mod143","#region-item20927,\n#region-item21626,\nA > .lazy:last-child,\n[id$=\"_ARTICLE_TOP\"]",".banner_zone","#banner-top, .fbaner",".promobanner-container, .banner_wrap, .recipe-container-promo","#sidebar > p",".col-md-8 > div:nth-of-type(2),\n.contop",".prnetItem","#tracdelight-slide-btn,\n.advertising-billboard, .szpalta, .rc, .widget-content, .plista_container, .header-specjal, .rc, .plista_container, .pending-ad","#abl",".googleheader","#zajPasieka,\ntr > .tresc_bez_wciecia > A > IMG",".mtb10,\n.results__entry.toRight,\nDIV.cb > DIV[class^=\"m\"],\nDIV.m0 > DIV + DIV + DIV[class],\nDIV[class][data-utm_source][data-st-area] + DIV.m0 > DIV + DIV,\nDIV[class^=\"sidebar-\"] > [class^=\"mtb\"],\nDIV[data-st-area^=\"main-stream-\"] + .mbb,\nDIV[style=\"position: relative; padding-bottom: 4px;\"],\nLI > DIV[class] + DIV[class],\nLI > DIV[class]:first-child,\nSCRIPT + DIV + DIV[class^=\"m\"]",".partnerzy",".shadow.pageWidth > .box",".banToper, .modCbox, .advanced-slider.slllider, #polecamy, .lBoxFinSer > A",".npb-g-c-adv:not(.npb-g-mc-pr-up)",".elementor-swiper",".row:nth-of-type(11),\n.row:nth-of-type(7),\ndiv.row:nth-of-type(3)",".fl.w250","div.l-box--50.l-box > p","A[datab][href],\nBODY > [href^=\"/red1r.php\"], BODY > DIV > DIV > [href^=\"/red1r.php\"],\nDIV > A[href^=\"http\"][style^=\"display:block;\"],\n[href^=\"/r3d1r.php\"],\n[href^=\"/redir.php\"],\n[href^=\"/rediu.php\"],\n[href^=\"/redix.php\"],\na[databx][href*=\".php\"][style*=\"background:url(/files/Image/\"]","div[style*=\"font-size\"]:not([id]):not([class])","#vjs-rcp1","#top-banners,\n.col-wrapper > div:nth-of-type(12):has(> .banner)",".ipsWidget:nth-of-type(8)",".yd-banner","[style$=\"background: #dfdfdf;\"],\n[style^=\"text-align: center; font-size: 8px; padding:\"]",".aside-ad-block","#EditoPopup\\$Panel133",".slider.shop-slider, .no-margin.slider","#\\33 DIV, .info-box-bottom,\nTD[bgcolor=\"#f0f0f0\"],\nTD[valign=\"middle\"]",".box-block, .box-adv",".td-a-rec-id-content_inline.td-a-rec, .td-a-rec-id-content_top.td-a-rec, .td-pb-span12, .td-a-rec-id-sidebar.td-a-rec > div.td-all-devices",".stream-title",".sec-promo.sec-margin",".index-rect.photo-rect","#blok-reklamowy",".com_reklamy","div.wp-has-title.wp-el.webpart-wrap-media.wp-bd:nth-of-type(13), .wp-el.webpart-wrap-layout_column.wp-bd > .wp-has-title.wp-el.webpart-wrap-links.wp-bd",".elementor-inner-section.elementor-section.elementor-section-height-default.elementor-section-full_width.elementor-element-d223fc5.elementor-element,\n.elementor-widget-image.elementor-widget.elementor-element-1a02a5b.elementor-element > .elementor-widget-container","[class^=\"ad_type\"]",".hustle-animate-slideInDown, [href=\"http://radiogol.pl/reklama/\"], .td-pb-span12 > .wpb_wrapper > .td_block_wrap.wpb_wrapper > center > A > IMG","div.ext-link-box.box",".size-full.wp-image-44846441.aligncenter, #text-49, #text-73, #text-76, #text-77, #cycloneslider-baner-1, #text-78",".promo, .rma","#bottom-ad","#itro_opaco, #itro_popup",".left-large-ad","div.margin-bottom30:nth-of-type(5) > .greybox",".promoarea","[target=\"_blank\"] > .img-responsive","#BannerHolder, .advLabel",".wpb_wrapper > A > IMG",".entry-content > p[class=\"has-text-align-center\"],\na[href^=\"https://clk.tradedoubler.com/click?p=\"]","#banner-radiostacja,\n.adocean",".skyscaper, .comercial-container, .baner-conatainer, .top-baner","[id^=\"banP\"]",".space-bg.space","A[target=\"_blank\"] > IMG[src^=\"img/\"],\nSCRIPT + DIV[align=\"center\"],\ndiv > hr","[id^=\"skyscraper\"]",".sppb-addon-single-image-container",".home-primary-wrapper > .CMAC_AdChangerWidget, .so-widget-image,\n[class^=\"acc_banner_linkd\"], #reklamainfo,\n[id^=\"cmac_adchangerwidget\"]","#popup-wrapper, .topmargin.alignleft.banera1","div:nth-of-type(17)","#pl-w5922cc44491e8, .hidden-xs.hn_add_under_art, .hred_sport_re, .hred_cont_re","#col-right > #lay-home-cb-1 > .c1,\n#col-right > #lay-home-cb-2 > .c1.news > .comments + div[style=\"text-align: center; color: #696969; font-size: 9px;\"],\n#lay-home-cb-2 > .c2 > .bg:nth-of-type(2),\nDIV[style=\"margin:0 auto;\"],\nfieldset","#more1","#ctl00_divAdverts","#container > center > A > IMG,\na[href*=\"_redirect_\"]",".wp-image-125020, .alignnone","#dyzur","sgpb-popup-dialog-main-div-wrapper, .sgpb-popup-overlay",".dodaj.c,\na[href^=\"/r/#\"]",".panel-default.panel","a[href*=\"://bit.ly/\"]",".background-cloud-reseton",".bb, .rekalama_podpis","#sidebar-b > .grid-v.width100.grid-box:nth-of-type(1),\n#sidebar-b > .grid-v.width100.grid-box:nth-of-type(3),\n#top-b,\n.grid-v.width100.grid-box:nth-of-type(2),\n.grid-v.width100.grid-box:nth-of-type(4)",".elementor-top-column.elementor-col-100.elementor-column.elementor-element-6b199ea3.elementor-element, .uranu-home-page-top-banner,\n[href=\"https://www.galeriajurajska.pl/\"] > .lazyloaded.size-large.attachment-large",".main-bg > table:nth-of-type(1)","#post-124,\n.rfb-news2ads-container","[style=\"text-align:center;padding: 4px 0 0 4px;\"],\n[style=\"width:95%;height:300px;text-align:center;color:#dddddd;\"]",".art-sidebar1.art-layout-cell > .clearfix.art-block:nth-of-type(2) > .art-blockcontent,\n.art-sidebar1.art-layout-cell > .clearfix.art-block:nth-of-type(3) > .art-blockcontent,\n.art-sidebar1.art-layout-cell > .clearfix.art-block:nth-of-type(6),\n.art-sidebar2.art-layout-cell > .clearfix.art-block:nth-of-type(1) > .art-blockcontent,\n.art-sidebar2.art-layout-cell > .clearfix.art-block:nth-of-type(2) > .art-blockcontent,\n.art-sidebar2.art-layout-cell > .clearfix.art-block:nth-of-type(3) > .art-blockcontent,\n.art-sidebar2.art-layout-cell > .clearfix.art-block:nth-of-type(6) > .art-blockcontent",".sponsoredCont, #ContenStream, #relatedContentList1","[id^=\"text-\"]:has(.adsbygoogle)",".marketingElement","#content > span,\nSPAN[style=\"color:gray;padding-left:350px;\"]",".c","#custom_html-19","#adv_4,\n.col-xs-12 > .section__title,\n.gremi-advert,\n.productSales,\n[id^=\"sas-\"],\n[id^=\"sas_282\"],\n[id^=\"sas_663\"]","#okazja-dnia, .anal-lsidebar-post > div","[id^=\"rydzy-\"]","#mainBanner","div.no-padding.col-md-4.col-xs-12:nth-of-type(3) > div:nth-of-type(3)","[id^=\"glownaPoziomyBaner\"], #PanelBoczny1Baner, #WpisyBaner1","#black-studio-tinymce-2 > .textwidget,\n.mf-head-c a[href*=\"forum-ekonom\"]",".marginTB.row, #boxSpodekMCK",".box-1","IMG[class^=\"td-animation-stack-\"][src^=\"http://rzeszow-news.pl/wp-content/uploads/201\"]","#content-right,\n#midtop,\nDIV.header-wizytowki,\nDIV[id^=\"rkl\"]","[id^=\"_ning_zone_\"]","#notifier,\n[href^=\"http://goo.gl/\"] > IMG,\n[style^=\"text-align: center; padding: 30px\"], .spolecznoscinet",".art-ad","#container > div[style]","#container > center,\n.nobg.menu:nth-of-type(8)","#post-203 > .row > .span8 > h2:nth-of-type(1), #custom_html-2, #custom_html-3, #custom_html-4, #h3,\n.span12:nth-of-type(1) > h2, .span12 > h2:nth-of-type(2),\n.span4 > h2:nth-of-type(3), .span4 > h2:nth-of-type(5), .span4 > h2:nth-of-type(7),\n.span8 > h3","#text-33","#bann > center,\n#m_bottom_1_m > div,\n#right_column_gallery,\n#side_bottom_m,\n#single_news > div > center,\n#wrapper > center > center,\n[id^=\"google\"]","#sky_left_container, .wmeri-widget.widget",".g-dyn","A[target=\"blank_\"] > IMG[src^=\"/uploads/baners/\"]","[id^=\"clickTag\"]",".video","div[class^=\"zpr_inside_\"][class*=\"placement__lazy\"]",".lead::after",".article__placement:has(> div[class^=\"zpr_m_inside\"])",".crek","#sidebar > .widget_custom_html.widget.widget_text","#alternative-banner,\n.white-box","#secondary A[target=\"_blank\"] > img","#partnerzy","#ad-player, .box.ads,\n#spolSticky,\niframe[src^=\"https://reklama.shinden.eu/adpeeps.php?\"]",".placement","#podreklame,\n.boxpanelextra, #SADN, #banner_r, .adi, .podreklame, .remove1158",".adds--top, .weather-box, .footer-banner.container, #c79","#block-block-20, .reklama-adsense-artykul",".size-full.attachment-full.wp-image-35617.image, .size-full.attachment-full.wp-image-33861.image, .size-full.attachment-full.wp-image-28218.image",".creation-corner","#Mod434, #Mod510, #Mod417, #Mod400, #Mod504, #Mod431, #Mod403, #Mod474, #Mod486, #Mod422, [id^=\"slider\"], #t3-content > DIV > [id^=\"djslider-\"], .none.custom,\n.visible.show-sweet-alert.sweet-alert","#popupDiv, #bgDiv","div.homepage-ad-area","#link_1083, #link_927, #link_387, #link_97, #link_219, #link_57, #baner_92, #link_242, #link_1160, #link_1161, #link_339","[src=\"/img/reklama_znak.png\"]","A[href=\"http://www.radioparty.pl\"]","#bbs, #popup_mini,\n#tt-minisubu",".pbox:nth-of-type(3) > .pbox_napis,\n.pbox:nth-of-type(4) > .pbox_napis,\n.pbox:nth-of-type(9) > .pbox_napis,\nDIV[style=\"width: 750px; height: 200px; text-align: center; margin: auto; margin-top: 4px; margin-bottom: -4px;\"], .reklamalewa,\nbody > div[style=\"width: 750px; height: 200px; text-align: center; margin: auto; margin-top: 4px; margin-bottom: 0px;\"]","#wp_editor_widget-45, #wp_editor_widget-40","#imCel7_02","#ipsLayout_contentWrapper > .adsbygoogle,\n.skAds,\nli.ipsBox.ipsWidget_horizontal.ipsWidget > div > A,\nli.ipsBox.ipsWidget_vertical.ipsWidget > div > A",".center_bottom","#left2",".advertising-space","a[href=\"http://www.bestdumpsterdeals.com/\"]",".srodek_strefa > .box_green, #newsletterConfirm",".mw-15.main-widget, .widget-57.widget, .widget-82.widget","#Mod343, #Mod121, #Mod372, #Mod373, #Mod281, #Mod252, #Mod120, .container > .bannergroup,\n#Mod403 > .module-inner,\n#Mod404 > .module-inner > .module-ct > .custom,\n#Mod479, #Mod276, #Mod402,\n#Mod486 > .module-inner > .module-ct > .bannergroup,\n#Mod517 > .module-inner > .module-ct > .bannergroup,\n#Mod560 > .module-inner > .module-ct > .bannergroup,\n#Mod563 > .module-inner > .module-ct > .bannergroup,\n#Mod566 > .module-inner > .module-ct > .bannergroup,\n#Mod570,\n#Mod581, #Mod596, #Mod599, #Mod598, #Mod591, #Mod584, #Mod580, #Mod574,\n.t3-spotlight",".a-76.g-single > div,\n.g-2.g",".b-35.g-col, .g-3.g",".advertBoxItem, .advert--container, .advert--spacer, .block--adv--padding, .advert--component, .advertComp","#jm-header, .jm-sample-block, .jm-module:nth-of-type(1n+2)","DIV[style*=\"idth: 970px;\"]",".td-pb-span4.vc_column_container.wpb_column > .vc_column-inner > .wpb_wrapper > div.wpb_content_element.wpb_text_column:nth-of-type(2), .blocker.jquery-modal, #popup","#text-29","A[data-redirect^=\"http://click.plista.com/redirect.php\"]","[id^=\"show_banner_\"]","#banner_750x100_r,\n.row:nth-of-type(2) > .col-xs-8.col-md-3:nth-of-type(4)","#right > .moduletable:nth-of-type(2)","a[href^=\"http://www.sosrodzice.pl/m.php\"]","#mtop > center > A, .awrapper > div,\n.ha2, .ba3, #playClick, .wynik-box > .comp,\n[href^=\"http://www.przyspiesz.pl/\"],\ndiv[style^=\"width: 1068px; height: 470px; margin: 20px auto\"]",".box-visual, .padding-20-0, .text-center.columns.small-12.medium-12.large-4,\n.category-color-bg.archive-header,\n.newAd,\n.show-for-large.columns.large-9 > nav > ul > li:nth-of-type(9),\n.sonybg, .netflix-box, .box-specjalna,\n.sticky, #vimeo_player, .after-boxfintechbg.after.boxfintechbg.box-specjalna,\n[href=\"https://bit.ly/2SAaczl\"], .show-for-large.columns.small-12.medium-12.large-4,\n[id^=\"SonyPs5Ad\"], .app-adBox,\na[href^=\"https://www.audi.pl/\"], .sidebar-reklamabg, .wall-bg-banner, .hbo-single-bg, .wall-bg-link,\ncenter > iframe,\niframe[src*=\"ads\"], .adContainer, .partner-logo,\nscript[src*=\"optad360.io\"] ~ div > div[id][class=\" \"],\nsection.show-for-medium.margin-bottom35.padding-35-0.greybg > .row > .show-for-large.columns.large-4","a[href*=\"hit.gemius.pl/\"]","[src^=\"https://www.slubi.pro/banery/\"]","h3:nth-of-type(3)","#gkRight > .box",".cg4-ad, .mod_uzr_sport6.mod",".sport-widget.home-widget-wrap, .sport-widget.sidebar-widget",".textwidget > p:nth-of-type(1)","[id^=\"p4\"], .reklama-bottom","#banner_16","div.my-4.card:nth-of-type(1)",".g1-advertisement-before-content-theme-area, .g1-external.g1-row-layout-page.g1-row, #center > p, [id^=\"post-\"] > .g1-row-inner,\n[role=\"main\"] > .row, #advices-stream","p[align=\"center\"] > a[target=\"_blank\"][rel=\"noopener noreferrer\"] > img,\np[style=\"text-align: center;\"] > a[rel=\"noopener noreferrer\"] > img","#banner_konkursowy","#mon-AdsAdsDetailsTop, #mon-AListTop,\n.vivusSidebar, .desktopLayTopPremiumWrp, .desktopLayTopPremium, .top-banner-not-fixed, .ads_configuration",".adsblock1","#text-35",".col-banners-article",".box__title, .m-100.s-100.col-9 > .cols-12 > .s-hide.m-hide.col-3 > section, #homepage-right-widgets > section:nth-of-type(3)",".al-wrapper",".main-cbaner, .slot-1280px.slot, .header-parent > .container > img, body > .container > .slot","div.commercial","table:nth-of-type(5) > tbody > tr:nth-of-type(1) > td:nth-of-type(7)","#secondary > .home-widget:nth-of-type(5)",".\\31 us0-5swq, .jl5i-1a2g,\na[href*=\".pl/app/click\"] > img[src*=\"/app/img/\"]","a:has([src^=\"img/reklama_\"])","#f13 > table:has(#f13 > a[href^=\"//stooq.pl/ads/\"]),\na[href^=\"//stooq.pl/ads/f/\"]","#text-html-widget-10","img[src^=\"/baner_\"]","#category_message,\n.entry-content.post > div","#dbarena,\n#notifications, #pop-slapev, #not, .bg-pop-over,\n.dba-button",".item_d,\n[style=\"width:540px;margin:10px auto;\"]","#mars750x100subs, #mars300x250subs",".col.widget:nth-of-type(2) > .widgetHeader",".article-ad-section,\n.rev_slider_wrapper",".s_dodatkowa > .box",".s_dodatkowa","#spu-16663, #spu-bg-16663",".advads-widget","#headerTopWraper > .headerPre",".blocked-info","#zt-position-3,\n#zt-right-inner,\n.moduletable:nth-of-type(1) > .modulecontent,\n.moduletable:nth-of-type(4) > .modulecontent,\n.moduletable:nth-of-type(8)","[style*=\"width: 336px;\"]",".td-rec-spot.td-rec-monitor, .cycle, [id^=\"post-\"] > [href^=\"https://\"]",".col-md-3,\n.col-md-9",".baner-lunch",".content_bottom_right > A > IMG,\n.single_category > .single_bottom_rightbar > A > IMG","#preface-top-container","#block-block-16","A[target=\"_blank\"] > EMBED,\n[id^=\"r-\"], [id^=\"mobile-ad\"]","#whole_page,\n.scrollmagic-pin-spacer",".widget.row:nth-of-type(12),\n.widget.row:nth-of-type(8),\na[href^=\"https://www.facebook.com\"] > IMG[src*=\"ifotos.pl\"]","#content-wrap > center:nth-of-type(1)","li.AnimacjaMieszana, #BanneryAnimacjaMieszanaPrzyciski, #AnimacjaPrzewijanaKontener, #BanneryAnimacjaPrzewijanaPrzyciski","#content_right > div:nth-of-type(2), #content_right > .box:nth-of-type(3), #content_right > div.box:nth-of-type(8), #exposeMask, #pupup_comercial,\n[class*=\"commercial\"], [id*=\"commercial\"]","#header-right-section, #media_image-85, #media_image-74, #media_image-282, #media_image-314, #media_image-320","DIV[id^=\"cbox\"]","ARTICLE[class*=\"_ecommerce\"]",".entry_7",".post-books-list,\n.text_book_adv",".code-block-1.code-block,\n.post-content > div > A > .lazyloaded,\n.single-post > .single-post-article.container > div.row > .single-post-main.col-lg-9 > .post-content > div > A,\n.widget_text.text-12.widget,\nmain > div > A > .lazyloaded,\nmain > section.read-more","[class^=\"introjs-\"]",".top-sliding-ad, .td-fix-index","#sp-section-9","#st_owl_carousel_block_2","#first > a[href^=\"http://\"]","#spol","a[href^=\"//agrest.pl/\"]",".a-info",".widget:nth-of-type(5), #advBox, #carousel-example-captions","#bannerId, #bgId, #bar_top, #new_banners, #crossId","#panel_boczny",".mom-e3lanat-wrap","div.adv_w_1",".dodatki.row","#googleContainer","#popupContainer","td:nth-of-type(3) > table > tbody > tr > .box_width_td_left > .box_width_left > tbody > tr:nth-of-type(2),\ntd:nth-of-type(3) > table > tbody > tr > .box_width_td_left > .box_width_left > tbody > tr:nth-of-type(3)","#menu-item-komputronik, #re_kk_near_logo, [id^=\"table-\"] > [id^=\"table-\"] > p,\n#plushmobileglowna, .news.in-feed, .table-adlabel,\n.sidebar > div.table-widget.widget:nth-of-type(-1n+3),\n.tab-rek, div.table-widget.clearfix.zeen-widget.sidebar-widget,\n.widget2:nth-of-type(1n+2):nth-of-type(-1n+3),\n.zeen-da-wrap > .clearfix.block-html-content > div,\n[rel=\"nofollow\"][target=\"_blank\"],\n[style^=\"min-height: 130px;text-align: center;\"],\na[href*=\"dhosting.pl\"],\na[href*=\"goo.gl\"],\na[onclick*=\"eventAction: 'Klik'\"][target=\"_blank\"],\nfooter div[id^=\"table\"] > a > .i-amphtml-layout","[class^=\"post\"] > div > div:nth-child(8) > a > img",".ui-dialog, .ui-widget, .ui-widget-content, .ui-corner-all, .ui-front, .ui-resizable, .ui-widget-overlay","#text-10 > .textwidget > div",".col-right2","#reklama_pod_gorne_menu,\n.div_komentarz_zdjecie > [onclick*=\"adblock\" i]","#glowna_fotki,\n[class^=\"glowna_adbox\"]","li.app.col-apps.col-lg-6.col-xl-3, .banner.section-banners",".rightb.column:nth-of-type(4)",".google-sidedrt-wrap, [href^=\"https://tatromaniak.pl/linkout/\"]","div.ebok-pop-up:has([title^=\"Zyskaj dotację do 4000\" i][title*=\"fotowolt\" i]),\ndiv.ebok-pop-up:not(#popupContact),\ndiv.promo-box[title^=\"Zobacz ofertę oczyszczaczy powietrza\"][title*=\"stronę sklepu\"]",".commercial-header","#dynamic-load, #dynamic-loading",".countBan","a[href*=\"s.click.aliexpress.com\"],\nimg[src*=\"amazon-adsystem.com\"]",".wpb_raw_html.wpb_content_element.wpb_raw_code:nth-of-type(2) > .wpb_wrapper","#black-studio-tinymce-2",".size-large.wp-image-6701.aligncenter","div.produkty_noteb","#advSong,\n.adv-home-child","[style=\"padding: 5px 5px 2px 5px; font-size: 1.1em; background-color: #ECF1F3; margin: 0px auto; text-align: center;\"]",".right.col-md-3 > A[href^=\"http://\"],\ndiv.last_coment:nth-of-type(1) > table",".callToActionTarget,\n.componentsPromotionsArticlePromotedList,\n[class=\"atomsListingArticleTileWithSeparatedLink component\"],\n[class^=\"fiszka\"]","#leaderboard-bottom,\n.grid-group-as",".najnowsze.box_right, .text-center.bar-ad, .forum-side-ad","#nctop, #nctopcontainer",".section--advert",".page_option",".box-szary,\n.mainpage-row:nth-of-type(11) > .mainpage-column-right,\n[id^=\"contentsystem-slide\"]",".banner-main-page",".jeg_navbar, [style=\"text-align: center;\"]","#banner_top","[id^=\"telix-\"]",".gtmi-2.gtmi, .gtmi-dyn","DIV[style=\"width:750px;height:100px;margin:10px auto;\"]","[data-insertion-position=\"prepend\"],\naside[class*=\"ai_widget\"] > .code-block,\ndiv.code-block[style$=\"min-height: 300px; margin-bottom: 25px; margin-top: 25px\"],\ndiv[class^=\"ai-viewport-\"] > .code-block","#rev_slider_2_3_wrapper, #rev_slider_3_6, #rev_slider_2_1_wrapper",".clear-pad-right.col-md-4 > p, .clear.col-md-12, .baner.container",".mb-3.h-100 > div > .text-center",".center.custom, .fluid-imgs.bottom-gap.center",".sidebar_list",".forumBottAd, .forumMainAdF","[id^=\"ad-slot-\"]","div.media-toolbox:nth-of-type(1), #nexus_ban","#ads-overlay, #titleBL, #skip_video1","#right-sidebar, #dk-image-rotator-widget-6, #FONT[color=\"SILVER\"], #container > center, #dk-image-rotator-widget-10",".oln-sticky,\n.pum[data-popmake*=\"uczelnia\"]",".ng-scope.promo-highlights,\n.shrink-none.mbox--main.mbox","#block-block-19, #block-block-16, .even.field-item > div","DIV[style=\"width: 940px; padding: 21px 0 18px; background: #F8F8F8; margin: 0 auto; \"],\n[id^=\"banC\"], [id^=\"DFP-011-MIDBOARD_\"], #adsMidboardDivId_1, #banP104_DFP, .ban001_wrapper, .tok-advertisement",".div-042-FOOTBOARD","#media_image-13, #media_image-121, #media_image-49, #media_image-77, #media_image-136",".additional-content__text,\n.banner-header, .duzy, .grid--ad, .container--break","#adv_on_post, #small,\n#pager > small",".clr.ai_widget.sidebar-box",".eklama","#custom_html-3 > .custom-html-widget.textwidget, .vc_raw_html.td_block_wrap.wpb_wrapper > .td-fix-index > A > IMG",".half.news.gray.box",".banner.wrap","#under-menu-adds-wrapper, .is-visible.product-widget","#footer-sidebar",".banner-a,\n.banner-main,\n.banner-maxia--glowna.banner-maxia.banner.bx,\n.banner-topboard,\n.subcontent-body > div > div > a[target=\"_blank\"] > img[height][width],\na[target=\"_blank\"][href*=\".trojmiasto.pl/\"] > img[width][height][src*=\".trojmiasto.pl/\"],\niframe[src*=\"trojmiasto.pl/\"][src*=\".html\"][name],\nins.adsbygoogle","#block_info_wrap","DIV[style=\"max-width: 970px; padding: 5px; background: #000; margin: 20px auto\"]","#bottom-bar,\n.description.post-content > p:nth-of-type(3)","#main_content_section > div[style=\" text-align: center; height: 260px;\"],\n.bannerInner","#foot-leader,\n#text-4, #text-6, #text-9, #text-11,\n.trybu-wpisy1, .trybu-wpisy2,\nbody > div:nth-of-type(1) > center","div > .banner","#gkMainbodyTop","tuba-ads, app-advert",".active.aligned.center.segment.basic.stackable.ui > small, .aligned.center.column.one.grid.stackable.ui > p > small, .active.aligned.center.segment.basic.stackable.ui > p > small","p > small","#sidebar-bb1, #container > div > center > IMG",".l-box--33.l-box > p, #bills_in_rotation_1_34064",".widget-68",".left_aktualnosci_tekst > p:nth-of-type(4),\na[href^=\"http://www.tur-info.pl/przekierowanie/\"]","div.l-container--rwd.l-container > div.l-row > div.l-box--33.l-box > p","._ad, .grid__container:nth-of-type(-1n+4) > .grid__row > .grid__col > [class=\"card  card--box\"]","[id^=\"b_\"], .bimgbtxt","#b11,\n.win > div > A",".affix.offbox-widget > .swiper-slide",".advert-B1",".diablo-placeholder",".rotator-file","#testimonialrotatorwidget-5",".bx-viewport",".caroufredsel_wrapper, .ig_col_1","#banners",".a0-slider, p > em, .headline,\n.diablo-placeholder-ADB, .diablo-placeholder,\n.main.col-lg-8.col-md-8.col-sm-8 > .row",".advert_outer, .inner > .text-center,\n.clickable[onclick^=\"article_video_advert_click\"]",".fusion-slider-sc-reklamy,\n.fusion-text-no-margin.fusion-text-2.fusion-text","#adocean-screening-layer, .placeholder-wrapper","[id^=\"TopicItemContainer_\"] > .boxItem","#tvpoverlay_abdinfo,\n.adv__rectangle",".green-box-beam-bottom",".hidden-phone.rectangleWrapper,\n.tp2thm.tp2thm-progress-midroll[style^=\"left\"]:empty",".elementor-widget-rt-title.elementor-widget.elementor-element",".visible-xs","#gkBannerReklama1, .nomargin.boxmod2.box, div.borderbottom.boxmod1.box, .customboxmod1",".boards.widget","div.columns.large-2, div.articles-banners-rows > A","#layerslider_35",".backbglink, .resp,\n.topbn.row",".row:nth-of-type(9)",".row:nth-of-type(6)",".row:nth-of-type(5)",".row:nth-of-type(4)","#box-pixad,\n.abcdef,\nIMG[alt=\"pixad\"]",".intermarche, #flashContent,\nDIV[style=\"margin-bottom: 20px;\"],\n[class*=\"mobile-advert\"], .widget_custom_html.widget.widget_text, [id^=\"cycloneslider-reklama\"]","#reklama_home","font > small",".td-ss-main-sidebar",".rekslide, .td-header-rec-wrap, div.rslide, div.fslide, span.ast, .td-header-sp-recsx, .active, span.astad, .screks,\n[class^=\"aast\"], [class^=\"activead\"]","td[width=\"300\"][align=\"left\"][valign=\"top\"]","#modal,\n.modal-box",".td-pb-span4.tdc-column.vc_column_container.wpb_column.td_uid_70_5ca4e6dcdea97_rand.vc_column","#adbd","#slider > p,\ndiv.l-row > .l-box--25.l-box > p,\ndiv.l-row > div.l-box--50.l-box > p",".row:nth-of-type(3)",".row:nth-of-type(3) > .fl.w750",".ban, #block-234, #block-231, #block-188, #bloki_5 > .containeriframe, #block-217, #block-225 > .header-block, #block-189, #block-195, #block-109 > .header-block, #block-191, .zd",".container.additional-box",".trigo-position-homepage.trigo-module:nth-of-type(2),\n.trigo-position-homepage.trigo-module:nth-of-type(4),\n.trigo-position-homepage.trigo-module:nth-of-type(6),\n.trigo-position-rightSide.trigo-module:nth-of-type(3)","#text-53",".wpb_raw_html.wpb_content_element.wpb_raw_code > .wpb_wrapper, a.image_link","#billboardRightAdsense",".large > .image-link, .right > .a-widget, div.builder.cf.row > .one-1.builder.column > .a-widget","[id*=\"-simpleads-\"] > h2",".widget-6.widget,\n.widget-9.last.widget,\nA > [class^=\"slider-\"][draggable=\"false\"]",".wpb_raw_html.wpb_content_element.wpb_raw_code:nth-of-type(5),\n.wpb_raw_html.wpb_content_element.wpb_raw_code:nth-of-type(7),\n.wpb_single_image","ul.banners","#__mce_tmp","#block-block-16, #block-block-18, .even.field-item > div",".even.field-item > div","#fsp_light, .artadv, .not_editable_builder",".rekl_box, #ads-art-bill","[id^=\"reklama\"]",".right_col,\n[class^=\"ads_szuk\"]",".count-clicks",".ban-drogowka, .chili-promo,\n.col > div,\n.reklama.adsbygoogle.banner.ad.ads,\n.video-index > [href^=\"http://\"] > span,\n.za30, .center-block.img-responsive,\n[class*=\"showmax\"], [class$=\"-ad\"]",".sb-widget:nth-of-type(5), .sb-widget:nth-of-type(6)","#hook_box_top1","DIV[style=\"width: 100%; background-color: rgb(0, 0, 0); margin: 0px; position: fixed; bottom: 0px; left: 0px; padding: 0px; height: 15px; line-height: 15px; text-align: center; color: rgb(255, 255, 255); z-index: 1000; font-family: Arial,Helvetica,sans-serif; font-size: 10px;\"],\n[id^=\"newsltr1_\"]","[width=\"300\"] + [width=\"20\"] + TD[width=\"300\"]","#single-pin-above-ad,\n.sidebar-wrapper + .sidebar-wrapper",".footer-banner","#gg_top","#custom_html-2, #media_image-2, #media_image-13, #responsive_lightbox_image_widget-2",".ai-1.ai-rotate, #text-3","#dtnContainer","div.width33.tableCell.top3_reklama","#pasekDdd,\n#topbborlayer","p > [href]","[id^=\"mbs\"]","#dle-content > center,\n.news > center:nth-of-type(1),\nDIV[style=\"height: 35px;width: 726px;position:relative;text-align:center;box-shadow:0 0 2px grey;border:2px solid #0D1E5A;background: #EDF1FF;margin:0px auto 0px;\"]","#global_belka","#ct_i","A[style=\"position:absolute;bottom:0.4em;text-transform:uppercase;font-size:80%;right:1em;\\A           background:#de8c2f;color:#e6ebf2;padding:3px 7px; display:block\"],\nDIV[style=\"padding:10px 15px 12px\"]",".da","td:nth-of-type(2) > center",".af_sidebar",".sr","#region1, .mobilehide.borderwrap, [href*=\"://reklamawadowice24.pl\"], #right2 > div.visible-desktop.title-off.module, #region4wrap, div.visible-desktop.imgframe","#top-header, #jmMobile,\n[id^=\"wo-poz-\"]","#top_10",".adZoneCont","#text-html-widget-5,\n#text-html-widget-6,\n.youtube-widget",".reklama-wtekscie, .baner-glowny, .baner-srodek.row","#magman_widget_text-10, #magman_widget_text-8,\n.clearfix.footer","#id_C-place > section > .box-header, .desktop","#section-id-1504866636717,\n#sppb-addon-1511188176589, #sppb-addon-1530792147615",".spu-bg,\n.vc_raw_html.td_block_wrap.wpb_wrapper > .td-fix-index > A[target=\"_blank\"] > IMG[src*=\"banner\"],\n.vc_raw_html.td_block_wrap.wpb_wrapper > .td-fix-index > div > A > IMG,\naside.widget_custom_html.widget.td_block_template_1.widget_text:nth-of-type(1)","div.platform-content > .moduletable > .g-title","iframe[src^=\"slider\"]","[style=\"text-align: center;\"]",".wavep-widget","div.baner_ramka",".box:last-child","#custom_html-16, #custom_html-14, #custom_html-20",".fr.w250",".zobacz-box, #detal_top, #opis > div > A, .adsbygoogle, div.re-box",".floating-ad.advertisement,\na[href=\"http://dajsygnal.pl/\"]","#main > center > A, #text-131,\n#text-97","#aside, #donut, #campagnard",".odcinek_oczekiwanie_info > center",".akpbanner",".click","[style=\"width:728px;height:90px;\"], .camera-list.container-fluid > div.a-wrap, #screening-replacement","#sidebarii > div.sidebar-box:nth-of-type(1)","#infobar > .foot:nth-of-type(3),\n#sponsor","#wht_new",".anyAdsense","#elComment_x,\n[style=\"margin:0 auto; text-align:center; margin-bottom:5px;\"]","#wrap > div:nth-of-type(1), #page-footer > div:nth-of-type(2)",".prawo-sidebar2.prawo-layout-cell > div.clearfix.prawo-block:nth-of-type(2)","#text-9, #text-11, #text-7","[style=\"min-height: 325px\"],\n[style^=\"height:200px; width:750px;\"]","[id^=\"a-container-\"]",".double-rectangles",".menu-icons.font-2.horizontal-menu,\na[target=\"_blanck\"] > img, #zeen_retina_image-2",".wn-pod_menu, .zeen_retina_image.clearfix.zeen-widget.sidebar-widget","#custom_html-15, .clearfix.cb-post-footer-block.cb-post-large,\n.clearfix.cb-module-block.cb-box.cb-a-large:nth-of-type(3)",".reka,\n.tekst",".aaaaa.lupr-top > A > IMG, .size-full.attachment-full, .rl-image-widget-link",".center.cleardiv.row,\n.container-topads,\n.link-baner.li","div[class*=\"position_\"]:has(> div[id*=\"gpt-ad\"])",".hrg.sppb-section",".tdi_62_eed.vc_raw_html.td_block_wrap.wpb_wrapper",".None.txt","div.ad_cont_skyscraper > .reklama_sign",".wiele-widget.widget","#custom_html-5:has(.adsbygoogle)",".banerjpg","#con-main > .module-abc.module-article.module,\n#con-main > .module-xyz.module-article2.module","#wds_container1_0, #text-159",".topl","#main > .atop,\n#main > .content > .left > .bannerMenu,\n#main > .content > .right > div.bannerMenu,\n.bannerTop, .bannerFooter","#HTML12, #HTML15",".cke-resize","#ad4sc,\n#posterdiv,\n.imagediv,\n.rectadv,\nDIV[style=\"margin:0 auto; max-width:702px;min-height:450px;max-height:550px;overflow:hidden;\"],\nDIV[style=\"margin:0 auto; max-width:770px;min-height:450px;max-height:550px;overflow:hidden;vertical-align:middle;padding-bottom:10px;\"],\n[id$=\"infopanel\"]","A[href*=\"/click.php\"]","#rectcont","#newsletter, .container.row:nth-of-type(6),\n.tvn-box, #article_promo, .image-link, #tvn-box,\nSPAN[style=\"color: #656971; font-size: 10px; font-weight: normal;\"],\na[href=\"http://www.wirtualnemedia.pl/praca/\"]",".big-banner-top, .moduletable:nth-of-type(2), .moduletable:nth-of-type(3) > .modulecontent","A[href=\"/reklama.html\"] > IMG","#sbox-overlay, #sbox-window",".ubm_widget.covernews-widget.widget","p > [href] > IMG, .cycloneslider-slides","#blok-prawy:nth-of-type(1)","#aad_billboard,\n#autoPromoBigBaner,\n#contentAfPromo,\n#forum-gad2,\n#rectangle","[id$=\"-sidebar\"] > .widget > ul > li","[style=\"background:transparent; width:728; height:90;\"]","[id^=\"wmeri-\"]",".custom-sidebar:nth-of-type(9) > .banner-widget1-1","#text-39",".advWebcamBox",".wp-player > .adpause > .plchldr,\n[class^=\"_\"]:has(> img[src*=\".wp.pl\"]),\n[href^=\"http://emisja.contentstream.pl/_/ctr/\"],\na[href^=\"http://smartclick.pl/redir\"],\na[href^=\"https://ad.doubleclick.net/\"],\nbody > iframe + iframe + #pushpushgo-container + div:not([id])[class],\ndiv[class^=\"_\"] > style + div[class]","body > div:nth-of-type(1)[style^=\"display: block;\"]:not(#page)","div[class*=\" \"]:has(> div[class*=\" \"] > [class^=\"__bc_layer\"])","A[href*=\".wp.pl/\"] > DIV > IMG[class][src^=\"https://v.wpimg.pl/\"]","DIV[style*=\"overflow: hidden; z-index: 310;\"],\n[class^=\"__bc_layer\"],\nbody > script + iframe + div:not([id])[class]","[class^=\"css-\"]","[class$=\"BgClick\"]",".__rexona.section,\n.global--aside-left,\n.global--aside-right","div[class*=\" \"]:has(> div[class]:first-child:empty + img[src*=\"://v.wpimg.pl/\"][alt]:empty)","[class=\"qd-US\"]","* > DIV[style*=\"max-width: 100%;\"]",".article-wrapper.wizard-body > div:not([class*=\"-\"]):has(> img[src^=\"https://i.wpimg.pl/100x0/m.autokult.pl/\"]),\ndiv:has(> [src^=\"https://i.wpimg.pl/100x0/m.autokult.pl/\"])","A[href*=\".wp.pl/\"][target=\"_blank\"]:first-child > FIGURE[class^=\"_\"]","A[class^=\"_\"][href*=\".wp.pl/\"][target=\"_blank\"] > FIGURE[class^=\"_\"] + * H3[class*=\"teaser\"]","div[class*=\"reklama_\"]","body > #app ~ script + noscript + div[class]:not([id])","body > div:has(> div > a[href]),\ntd > div[style=\"position: relative; top: 0px;\"]","body > div ~ footer ~ script + script + div[class]:not([id]):last-of-type","#aSlot3","[style=\"pointer-events:none;\"][class]","#plugin-popup,\n.top-section,\nSCRIPT + DIV.row,\na[data-gtm-player-bar=\"guest_web_desktop\"]",".ContainerBox .NativeLinkGroup,\n.ContainerBox native-feed[ng-if^=\"ListDirectiveController.currentLabel.id\"],\n.sidebar__outline > sidebar-feed,\n[slot=\"SKY\"],\n[slot^=\"BOX_LEFT_\"]",".desktop > div[class*=\" \"]:has(div),\n.narrow.grid-right > div:nth-of-type(1):has(div:empty),\nA[href*=\".wp.pl/\"][target=\"_blank\"] > DIV:last-child,\nDIV#stgHeader + * > :first-child + DIV[class],\nDIV.stamp + * + DIV[class],\nDIV[style=\"text-align: center;\"] > DIV[class]:first-child,\ndiv[class^=\"placeholder_\"],\nli > .item + div[class*=\" \"]",".article__side__stickblock, .article__textbox",".bxAdv",".articleteaser:not([class$=\" \"]),\n.image--lead + div:not([class]),\n.section__separator,\nbody > .content ~ iframe + div[class]:not([id]),\nbody > .content ~ script[async] + div[class]:not([id]),\nbody > div.bg-block + div[class]:not([id]),\nheader.page-header + div:not([class]),\nmain div[class*=\" \"]:empty:not(.btnmute):not(.volsliderbg):not([style]):not([id]):not([img]):not([src]),\nmain#content.content > div[class]:first-child + div[class]",".article--enteries,\n.section__baner.section,\nSECTION + .section.section--bg-white.products--section,\na[href^=\"http://www.mediaexpert.pl/\"]","#b_container,\n.typOferty.ST-BX-Oferty-dnia-samoloty,\n.typOferty.hotele.ST-BX-Oferty-dnia-hotele",".sc-15qxer4-0,\nDIV[style=\"text-align:center; padding:10px;\"],\nSECTION > DIV.wide > DIV + DIV[class],\nSECTION#boksy > DIV > DIV[class],\n[class*=\"AdvPlaceholderLayout\"],\ndiv[class*=\" \"][height]:has(> img[src^=\"https://v.wpimg.pl/\"][src$=\"==\"]:not([alt]))","DIV[style=\"position: relative; top: 0px;\"] > A[target=\"_blank\"] > DIV,\n[target=\"_blank\"] > IMG[src^=\"https://v.wpimg.pl/\"]","header + div + style + div:has(> [src=\"https://std.wpcdn.pl/images/adv/placeholder_wp.svg\"]),\nheader + style + div:has(> [src=\"https://std.wpcdn.pl/images/adv/placeholder_wp.svg\"])","#newsfeed-player-column[class^=\"_3\"] > DIV[class^=\"sc-\"],\n#site-header > div:first-child,\n[class*=\"AdvSlotWithPlaceholder__\"],\n[id^=\"sgwp_screening_\"],\naside > div[class*=\" \"][height]:not([mode]),\nbody > div[class*=\" \"]:not([id]),\ndiv > div[class*=\" \"][height]:not([mode]),\ndiv[class*=\" \"]:has(> img[src$=\"/i.wp.pl/a/i/stg/pkf/bg.png\"]),\ndiv[class][data-st-area=\"Naglowek-duzy\"] a[href^=\"https://radar.wp.pl/\"],\ndiv[class][data-st-area=\"kokpitPolecane\"],\ndiv[class^=\"sc-\"]:has(> img[src=\"//v.wpimg.pl/LTc0NzY1JT1MBXgCbQRjPU1HPlQpXWM1TFlhCS1WYyQIVmEYPh88OgQ=/\"]),\ndiv[data-section=\"premium\"] > div:first-child",".advertisement, .banner",".ad-stamp,\n.box-division-holder-right","#ai_widget-12, #ai_widget-13, #ai_widget-14, #custom_html-5, #ai_widget-10, #ai_widget-9",".post-content__content > p > A > .alignnone",".page-screening, .page-header-technologie","[href^=\"https://\"] > .jch-lazyloaded.sppb-img-responsive, .sppb-text-center.sppb-carousel-inner, #section-id-1549389463278, #section-id-1545991885110, #sppb-addon-1545996102492, #section-id-1552052970744, #section-id-1552464468326, #section-id-1545996102489",".article-podobne.section,\nDIV[id^=\"content_video_\"][preload=\"auto\"]","#popupfmu,\n#top_ma_Box,\n.slideshow","._ning_inner > ._ning_elmt > .lazyloaded",".col-sm-3.col-xs-12 > p,\n.hsbannerside > p","#sponsor_title","#secondary > .widget_custom_html.widget.widget_text",".simple-image",".row:nth-of-type(9) > .fl.w500",".clean-border.video-medium-tile","[id^=\"adsys_\"]",".adviewDFPBanner,\n.day-images,\n.right-content-holder > [class^=\"mod-generic\"][class*=\"la-http://wyborcza.pl/\"] + #rectangle-splint,\n[class^=\"mod-generic\"][class*=\"la-http://wyborcza.pl/\"]","#autopromotion,\n#fixedBox,\n#fixedBoxIdent,\n#itemsStream:not(.touch-content) .article:not(.dC),\n#wpladbottom, .stm-ad-player,\n.baner-mobile,\n.m-hide.m-reset-width.m-reset-margin.m-reset-float.grid-right > div.r-block > div > A > IMG,\n.m-hide.screening,\n.pub-slot-wrapper,\n.r-block:has(a[href*=\"wykop.pl/tracker\"]),\n.screening-displace.r-block,\n.ski-jumping-slider,\n[id^=\"banner_rectangle\"],\n[id^=\"banner_top_\"],\n[id^=\"screening\"],\na[href*=\"wykop.pl/tracker\"],\ndiv.r-block:has(:scope > .baner-mobile),\ndiv.r-block:has(:scope > [id^=\"bmone2n-\"]),\nli.link:has(.adsbygoogle),\nli.link:has(a[href*=\"wykop.pl/market\"]),\nli.link:has(a[href*=\"wykop.pl/paylink\"]),\nli.link:has(a[href*=\"wykop.pl/reklama\"])","#slider_kontener","[style^=\"width:640px;margin:0 auto; min-height: 360px\"]","[id^=\"section-id-\"] > .sppb-row-container > .sppb-no-gutter.sppb-row > .sppb-col-md-4, #sp-reklamatop, #sp-top-bar",".adv, .abm_plug,\n.banner-static-game",".popupOff,\n[class^=\"Comm336\"]",".introAds, .introMiddleAds, .introAfterNewsAds","#remote-info-38","#Notices > .scrollContainer,\n#content > .pageWidth > .pageContent > .blockContainer:nth-of-type(5) > .noticeContainer",".entry-image.attachment-post,\nIMG[src^=\"http://popartnersku.pl/system/banners/\"]","#right > A > IMG",".bg-light-grey",".uk-text-center.uk-container > [href=\"http://osk-kaminski.pl/\"],\n.uk-text-small.uk-visible\\@m.uk-width-medium\\@m > div.uk-width-medium:nth-of-type(1),\n[style=\"margin-bottom:20px;\"] > IMG[src^=\"/site/assets/files/\"],\ndiv.uk-width-medium > A, .uk-margin-top,\ndiv.uk-width-medium:nth-of-type(3) > [href=\"http://www.fabrykawideo.pl\"]","#haae16acc0",".adsbygoogle, #adsense_banner_top, #main_ad","#col_c","ul:nth-of-type(3)",".main_right > .section:nth-of-type(6) > .title",".news > .newshead > .news > .newshead > .news > .newshead > .news > .newshead > .news > .newshead > .news > .newshead > .news > .newshead > .news > .newshead > .news > .newshead > .news > A","div > .adsbygoogle, .adblock_text, .adblock_bg","#sponsorbox","#block","#sidebar > a[href*=\"arubacloud.pl\"] > img,\n[href=\"https://cf-w-korporacji.mediarecovery.pl\"],\n[href^=\"https://kon-boot.com/pl\"]","#full, #widget_carousel_slider-12, #widget_carousel_slider-11, #media_image-22,\n#rommeled_image-19",".wp-custom-header","body > div:not([class]):not([id])[style]:nth-of-type(1)","#dp3_aa, #sticky_sidebar_ad","#adv_main","a[href^=\"https://prisonwarsonline.com/\"]",".dj-slide-image","#\\39 LedEL64Yw","#primary","#content-adv",".mb10.mt10.container, #popup-container","#widget_shop6",".ultp-image-block-opacity.ultp-image-block","div.noprint.pole-banerowe > A[target=\"_blank\"] > IMG","[class=\"card  card--box\"]:not(:has([href*=\"/ligi/\"])),\n[id^=\"D1000\"], div.l-row:nth-of-type(8) > div.l-box--33.l-box, div.l-container > div.l-row > .l-box--100.l-box, [id^=\"Gazeta370\"], [id^=\"D300x250\"], div.l-row > div.l-box--50.l-box, #D300x600, #verticalBannerGallery","#Mod605, #Mod584, #Mod599","#block-block-27, #block-block-19, #block-block-32, #block-block-16, .even.field-item > div",".text-center.alert-danger.alert",".advertbutton, #baner2Box, #baner1Box, #baner7Box, #sliderHolder, .twocol_right, #znsHeadBox, #repCinema",".popup-image, #popup_shadow","#popup-adblock-bottom,\n.center-block.hidden-xs",".header-image",".pin-advert.pin","#couponsBar,\n#offersBar,\n.box.article,\n.box.promotion,\n.zumi-ads-top","#abpnotzw","#text-6, .a-single, .gyg-widget","#superTopWrapper,\n.srodtekstimg, .adrek","div:nth-of-type(1) > div.sideout:nth-of-type(2), #adocr","#ad--bill-top,\n.images.left-dd","[id^=\"ad\"]","#frank,\n.top-element","div.l-row > .l-box--100.l-box > P, div.l-row > div.l-box--25.l-box > P, div.l-row > .l-box--99.l-box","#ck_dsclr,\n#iai_mraty,\n.menu_newsletterwidget.out-of-range,\n[class^=\"tws_\"]",".moviads","#post-2545, #post-2543","#blockadblock,\n.col-md-12,\n.promoted,\n[href*=\"/component/banners/click/\"]","IMG[src*=\"/bannery/dvhk/\"],\nIMG[width=\"400\"][height=\"50\"],\n[id^=\"f16\"] IMG[src^=\"http://tvsat-sklep.com/baner/\"]","div.box--transparent.box",".display_detect.ifr, .cre, .daf8, div.col-md-3.col-sm-6.col-xs-12 > div[class] > div[style^=\"border-bottom: 20px\"] > div[style],\n[class] > .bottomSeen.topSeen,\n[href^=\"/zez_click/\"], #loc_145","[href^=\"/redirect/ad/background/\"]","#splash","#please-wait-container","#m > A > IMG","div:nth-of-type(4) > .aaamainblock_right","#john",".td_block_template_2.td-pb-border-top.td_uid_21_5c6078a7e1244_rand.vc_column_text.td_block_wrap.wpb_text_column.wpb_wrapper, .top.ad, [href^=\"https://debica.tv/relocate.php\"], .td_block_template_1.td_uid_30_5cc57888a8f5a_rand.td-a-rec-id-sidebar.td-a-rec > div.td-visible-desktop","[class^=\"banner-\"], .echo2-03-billboard, .echo2-06-sg-banner","#hideOnClick,\n#step1,\n.addbackground",".moduletable-box","#playerOverlay",".zareklamuj_sie_z_lewej,\nTD[style=\"margin-left: -25px; font-size: 14px; padding: 10px; padding-top: 3px; letter-spacing: -0.25px; text-align: center; color: #1e84ed\"]","A[href^=\"/advertisement/\"],\nfooter","#this-pays-for-bandwidth-container-hor","#belka_stopka1,\n#box300x2501",".a-10, .a-12, .gofollow,\ndiv.td-pb-span2.vc_column_container.wpb_column:nth-of-type(3) > .vc_column-inner > .wpb_wrapper > .vc_separator-has-text.vc_custom_1518442842312.vc_sep_color_juicy_pink.vc_sep_pos_align_center.vc_sep_width_100.vc_separator_align_center.wpb_content_element.vc_separator",".media-image","div.panel-default.panel:nth-of-type(2):has(script[src^=\"//adsearch.adkontekst.pl\"])",".content-bottom-sidebar-wrap",".s0,\n.x > div","[href^=\"https://ads.lvbetpartners.com/redirect.aspx\"], a[href^=\"http://clicks.fortunaaffiliates.com/\"], #sofascoreLiveStream","#dropin,\n.cnt > p,\n.cool-stuff931,\n.menu:nth-of-type(1) > .nav,\n[target=\"_blank\"] > IMG[src^=\"http://meczelive.tv/new/300/\"],\na[href^=\"http://goo.gl/\"]","#rev_slider_4_6,\n#rev_slider_6_5_wrapper,\n.size-full.attachment-full.wp-image-101736.image,\n.tp-revslider-mainul,\n.tp-simpleresponsive.revslider-initialised.fullwidthabanner.rev_slider,\naside.widget_media_image.widget.td_block_template_1",".adfullwideblock","A[href^=\"/ad/\"] > IMG, #block-block-20 > .clearfix.block-inner","[id^=\"deny\"]",".punica-ads-1-widget","div.bottom-baner,\ndiv.top-baner","#jm-left > div > div.white-ms.jm-module,\n#jm-top1, .white-ms, #jm-content-top,\n.hidden-phone.white-ms.jm-module, #jm-header-content-in, div.itemContainerLast.itemContainer > .moduletable",".iad.relative.text-center","#tbl1","DIV[style=\"width: 800px; height: 80px; background: url(\\\"http://backupstatic.weeb.tv/images/weeb-1.png\\\") no-repeat scroll left top transparent; padding-left: 151px; padding-top: 73px; cursor: pointer;\"]",".ineaBox.boxHeader, #ai_widget-2",".ramka[style=\"height: 357px;\"],\nA[href$=\"/bez-limitu.html\"],\n[style=\"width: 750px; height: 100px;\"]",".sam-container",".standard_adv_img, .standard_adv_link, .adv_standard_d, .avd_display_block, #dropin, #art_widget,\n[href^=\"/reklama/1/boks-reklamowy-\"]","[id^=\"rekk\"]",".overlay"];

const hostnamesMap = new Map([["*",[0,1,2,3,4,5,6,7,8,9,10,11]],["gazetka.be",[12,13]],["iturek.net",[13,493]],["wizytowka.be",14],["ciechocinek.biz",15],["gniewkowo.eu",15],["mgr.far",15],["naklo.fm",15],["ki24.info",[15,372]],["nizanskie.info",[15,397]],["roztocze.net",[15,56,513]],["fakty.nl",[15,537]],["4run.pl",15],["abcjanikowo24.pl",15],["asta24.pl",[15,72,282,673]],["bp24.pl",[15,19,149,189,244,790,791]],["brodnica365.pl",15],["bydgoszcz24.pl",15],["chelmza365.pl",15],["chocianow.com.pl",15],["ddtorun.pl",[15,1012]],["ddwloclawek.pl",[15,537,1012]],["dziennikpowiatowy.pl",[15,53,149]],["e-chelmno.pl",15],["e-krajna.pl",15],["eglos.pl",[15,1128]],["ejarocin.pl",15],["ekstrasierpc.pl",15],["ekutno.pl",15],["eluban.pl",[15,53,56,149,353]],["esopot.pl",15],["expresskaszubski.pl",15],["extrawalcz.pl",15],["faktyct.pl",15],["faktypilskie.pl",15],["gle24.pl",15],["gorlice24.pl",[15,1353]],["gostyn24.pl",15],["grudziadz365.pl",15],["gst24.pl",15],["gwe24.pl",[15,1397]],["gwio.pl",15],["ibytow.pl",15],["wrzesnia.info.pl",[15,56,1473]],["infomogilno24.pl",15],["ipoddebice.pl",15],["isanok.pl",[15,1524]],["iszczecinek.pl",[15,1529]],["itvszubin.pl",15],["jastrowie24.pl",15],["kolniak24.pl",15],["korso.pl",[15,56,246,577,614,1112,1613]],["kozieglowy365.pl",15],["leszno24.pl",15],["miastko24.pl",15],["hej.mielec.pl",[15,1785]],["mojakruszwica.pl",15],["naszradziejow.pl",15],["naszrynek.pl",[15,53]],["koronowo.net.pl",15],["uniejow.net.pl",15],["pakosc24.pl",15],["plonskwsieci.pl",[15,2083]],["polskicaravaning.pl",15],["portalplock.pl",[15,581,2149]],["portalsremski.pl",[15,2154]],["portalwloclawek.pl",[15,149]],["pszczynska.pl",15],["pulsciechanowa.pl",15],["rzeczkrotoszynska.pl",[15,224]],["sompolno24.pl",15],["sportowebeskidy.pl",15],["spotradomsko.pl",15],["superchodziez.pl",15],["swiecie24.pl",15],["tarnowska.pl",15],["terazgabin.pl",[15,2477]],["terazgostynin.pl",[15,1011,2478]],["terazlipno.pl",15],["tukutno.pl",[15,537]],["tusochaczew.pl",15],["tygodnik.pl",15],["walbrzych365.pl",15],["wiadomoscihandlowe.pl",[15,1405,2644,2645]],["wiadomoscikosmetyczne.pl",[15,1405,2645]],["wiescimiedzychodzkie.pl",15],["wkikole.pl",15],["zyciesiedleckie.pl",15],["zyciesokolowa.pl",[15,416]],["zachodniopomorska.tv",[15,149,297]],["czechowice.biz",16],["pszczyna.biz",16],["tychy.info",[16,334,335,336,445]],["flvto.biz",17],["2conv.com",17],["trodatreleases.com",[17,202,203]],["2x45.info",[17,328,329]],["tvp.info",17],["e-farmacja.net",17],["legia.net",17],["24opole.pl",[17,608]],["auto-swiat.pl",[17,688,689,690]],["biala24.pl",17],["cefarm24.pl",17],["podlasianin.com.pl",[17,924]],["wpodroz.com.pl",17],["e-dukacja.pl",17],["fantastyka.pl",[17,1218]],["glos.pl",17],["gramwzielone.pl",[17,1376]],["imagazine.pl",[17,1445]],["meczyki.pl",[17,46,1747]],["naszamlawa.pl",[17,1886]],["ochrona-mienia.pl",17],["optyczne.pl",[17,2005]],["podhale24.pl",[17,2094]],["www.pokochasz.pl",17],["probasket.pl",[17,74,2181]],["rynekinstalacyjny.pl",17],["translatica.pl",17],["forex-nawigator.biz",18],["jaworzno.biz",19],["szczecinek.com",[19,56,189,190,191,192,193,194,195]],["debica24.eu",[19,53,189,244,245,246]],["lowicz24.eu",[19,263,264]],["skarzyski.eu",[19,282]],["starachowicki.eu",[19,190,282,286]],["szydlowiecki.eu",[19,190,193,282]],["inowroclaw.info",19],["iotwock.info",[19,189,356,357,358,359]],["kartuzy.info",[19,189,367,368]],["koscierski.info",[19,189,375]],["sejny.net",[19,189,190,515]],["zambrow.org",[19,127,264,578]],["24jgora.pl",[19,56,162,190,605]],["24wroclaw.pl",[19,162,611,612]],["babice24.pl",[19,712]],["bbfan.pl",[19,189,368,722,723]],["fakty.bialystok.pl",[19,189]],["brodnica-cbr.pl",[19,795]],["ciechanowinaczej.pl",[19,56,162,189,191,860,861]],["kurierbytowski.com.pl",19],["nowinynyskie.com.pl",[19,189,722,791,918,919]],["tp.com.pl",[19,189,949]],["wiadomosciwedkarskie.com.pl",19],["ddb24.pl",19],["dobroni.pl",[19,190]],["e-kg.pl",[19,189,301,723,1097,1098]],["e-sochaczew.pl",[19,359,1107]],["e-wyszogrod.pl",19],["egarwolin.pl",[19,357,1127]],["egorzow.pl",[19,192]],["ekspresjaroslawski.pl",[19,1137]],["eprzasnysz.pl",[19,189,1165,1166]],["ewysmaz.pl",[19,358,712]],["galopuje.pl",[19,359]],["golub-cgd.pl",[19,191,795]],["gpr24.pl",[19,189,1368]],["ibialoleka.pl",[19,189,191]],["ibielsk.pl",19],["ikampinos.pl",19],["imokotow.pl",[19,191,1447]],["goral.info.pl",[19,162,190,282,415,1456]],["inowroclaw.info.pl",[19,53,56,861,1457]],["iochota.pl",[19,191]],["ipragapoludnie.pl",[19,56]],["iskierniewice.pl",[19,189,190]],["itvpiaseczno.pl",[19,1537]],["izabelin24.pl",[19,192,712]],["izoliborz.pl",[19,189,191]],["izyrardow.pl",[19,1166]],["konecki24.pl",[19,282,1607]],["kurierpodlaski.pl",[19,162,192,1166]],["lipno-cli.pl",[19,189,358,795,1166]],["mylomza.pl",[19,189,190,191,918,1863]],["nolesnica.pl",[19,189,192]],["nowawrzesnia.pl",[19,162,190,1938]],["nswiecie.pl",[19,282]],["nwloclawek.pl",19],["olawa24.pl",[19,1973,1974]],["ototorun.pl",[19,56,189,416,861,918,2028]],["zycie.pila.pl",[19,1222]],["pilaonline.pl",[19,190]],["plonszczak.pl",[19,190]],["poluje.pl",19],["profitnes.pl",[19,189]],["pulsgdanska.pl",[19,190]],["pultusk24.pl",[19,1974,2220,2221,2222]],["radomszczanska.pl",[19,162,2263]],["regionalna24.pl",[19,189]],["rypin-cry.pl",[19,189,795]],["sucha24.pl",[19,162,190,193,245,2403]],["tudeblin.pl",[19,189,192,791]],["tugrodzisk.pl",19],["tulegnica.pl",[19,189,358,1166,2513]],["turyki.pl",[19,612,2516,2517]],["twojradom.pl",[19,359,612,861,2221,2546,2557]],["twojzwolen.pl",[19,861,2545,2546,2559]],["wabrzezno.pl",19],["wabrzezno-cwa.pl",[19,189,191,795]],["wio.waw.pl",[19,56,2619]],["wterenie.pl",[19,195,2222,2721]],["wyszogrod.pl",19],["zlotowskie.pl",[19,2762]],["zyciekalisza.pl",[19,189,2516,2779]],["wideoportal.tv",19],["miedzyrzecz.biz",20],["wyborcza.biz",[21,22,23]],["gazeta.pl",[22,23,1284,1285]],["wyborcza.pl",[22,2724]],["avanti24.pl",[23,706]],["czterykaty.pl",23],["edziecko.pl",23],["g.pl",23],["haps.pl",23],["hapsvod.pl",23],["magazyn-kuchnia.pl",23],["moto.pl",[23,1832]],["plotek.pl",[23,2084]],["sport.pl",[23,2367]],["tokfm.pl",[23,2489]],["ukrayina.pl",23],["4geek.co",24],["cdahd.co",25],["seriale.co",26],["com",[27,28,29]],["info",27],["pl",[27,28,29,477,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599]],["starnowa.tv",27],["ipilka.info",[28,360]],["mecz.tv",[28,360]],["7dnikalisza.com",30],["accuweather.com",31],["admitad.com",32],["androidayuda.com",33],["androidbeztajemnic.com",34],["androidhacksgames.com",35],["forum.bukmacherskie.com",35],["lajfy.com",[35,113]],["medianarodowe.com",[35,125]],["precyl.com",35],["hobby-elektronika.eu",35],["szuman.eu",35],["wachtyrz.eu",[35,300]],["nasze.fm",35],["ogloszenia.gazeta.ie",35],["disco-polo.info",[35,340]],["getlevel.info",[35,349]],["lowiczanin.info",[35,56,383]],["podlaski.info",[35,411]],["protestanci.info",35],["przeklej.org",35],["darmowetv.pl",[35,1006]],["dostawcy-internetu.pl",35],["fakenews24.pl",35],["faktykonopne.pl",[35,425,1214]],["gazeta-wiesci.pl",[35,46,667,1288]],["gazetakrakowska.pl",[35,252,253,1295]],["miniskrypt.hubaiitv.pl",35],["tyna.info.pl",[35,233,1470]],["kryptoporadnik.pl",[35,1631]],["kurier-w.pl",35],["kuszotv.pl",[35,1652]],["legio24.pl",[35,1666]],["lfc.pl",[35,1674]],["lovekrakow.pl",[35,56,1694]],["lpg-forum.pl",35],["mh24.pl",[35,364,1772]],["nacjonalista.pl",[35,1869]],["www.forum.nieidealny.pl",35],["ostrowiecnews.pl",[35,56,2022]],["pokemon-go.pl",35],["polskaniepodlegla.pl",[35,56,2113]],["polskatimes.pl",[35,252,253,2114,2115]],["postawnaswoim.pl",[35,2161]],["prawy.pl",[35,2174]],["reporter.pl",[35,2275]],["sdcv.pl",35],["solarkurier.pl",[35,2358]],["tablety.pl",[35,941,2441]],["tkn24.pl",[35,56,541,2485]],["forum.tweaks.pl",35],["forum.vwgolf.pl",[35,2597]],["meczelive.tv",[35,74,1742,2808]],["aniamaluje.com",36],["astronomia24.com",37],["bebzol.com",38],["bejsment.com",39],["biznes2biznes.com",40],["bankobranie.blogspot.com",41],["gotujzmaka.blogspot.com",42],["iwonka-bloguje.blogspot.com",43],["kathyleonia88.blogspot.com",43],["pomocnicy.blogspot.com",44],["stereoikolorowo.blogspot.com",45],["brytol.com",46],["legalnybukmacher.com",[46,56,115]],["pepsieliot.com",46],["gorliceiokolice.eu",46],["witkowo.eu",[46,111]],["tarnow.in",[46,325]],["300polityka.pl",[46,371,616]],["bebetalent.pl",46],["blogujmy24.pl",[46,777]],["booklips.pl",[46,463,787]],["centrumaut.pl",46],["cryptonews.pl",[46,87,90,156,228,972]],["historykon.pl",[46,72,156,228,577]],["ino-24.pl",46],["krzemienica.pl",46],["life4style.pl",[46,282,1677]],["lifemanagerka.pl",[46,65,90]],["lols.pl",[46,90]],["naszabramow.pl",[46,371]],["niestatystyczny.pl",46],["nowosielce.pl",46],["onalubi.pl",46],["przekultura.pl",46],["ps4site.pl",46],["reefhub.pl",46],["terazgrodkow24.pl",[46,111,228]],["ziemialimanowska.pl",[46,233,2756]],["btcpolska.com",[47,48]],["moja-gazeta.com.pl",48],["glamrap.pl",[48,1332]],["kryptoraport.pl",48],["magazynmotomi.pl",[48,69]],["msmobile.pl",[48,1847]],["bukmacherzy.com",[49,50,51,52]],["90minut.pl",49],["bizneston.pl",[49,769]],["halamadrid.pl",[49,800]],["originals24.pl",49],["wir-com.pl",50],["mecze24.pl",[52,1739,1740,1741,1742,1743]],["bydgoszcz.com",53],["olesnica24.com",[53,149,150]],["echotygodnik.info",[53,342,343]],["koscierzyna24.info",[53,149,376]],["narew.info",53],["sejny.info",[53,149]],["auto-motor-i-sport.pl",[53,685,686]],["chojnakulturalnie.pl",[53,149]],["damitv.pl",[53,56]],["dzienniknowy.pl",[53,56,149]],["expresselblag.pl",[53,169,1193,1194]],["extra-plonsk.pl",[53,149]],["ct.jaworzno.pl",53],["kociewiak.pl",[53,149]],["korsokolbuszowskie.pl",[53,56]],["korsosanockie.pl",[53,1613]],["kronikatygodnia.pl",[53,56,149,1625]],["lokalna24.pl",[53,149,1194,1690]],["lokalnatelewizja.pl",[53,343]],["malbork1.pl",53],["menshealth.pl",[53,685,686,1762]],["motocykl-online.pl",[53,686,1837]],["nasztomaszow.pl",[53,56,149,1894]],["olesnicainfo.pl",[53,1977]],["ox.pl",53],["portalpomorza.pl",[53,2150]],["pzl24.pl",[53,1718]],["radiobonton.pl",[53,149]],["radiosochaczew.pl",[53,149,353]],["radiozamosc.pl",[53,56]],["runners-world.pl",[53,685,686]],["sandomierztv.pl",[53,149]],["slowopodlasia.pl",[53,149,1194,2347]],["tv.starachowice.pl",53],["supertydzien.pl",[53,149,2413]],["tczewska.pl",[53,149]],["telewizjamazury.pl",53],["telewizjazary.pl",[53,2470]],["tv-kwidzyn.pl",53],["tv-slupsk.pl",53],["tv-wschod.pl",53],["tvbelchatow.pl",53],["tvnmeteo.tvn24.pl",53],["tvobiektyw.pl",53],["tvpogranicze.pl",53],["tvsudecka.pl",[53,149,353,2537]],["tvswinoujscie.pl",[53,2539]],["tygodnikoko.pl",53],["wiara.pl",[53,2648]],["wirtualnesuwalki.pl",[53,149]],["womenshealth.pl",[53,685,686]],["zycie.pl",[53,2776]],["slubice.tv",53],["tarnowska.tv",[53,149,2816]],["truso.tv",53],["zvami.tv",[53,1112]],["cooltura24.co.uk",[53,149,1112]],["chilitonka.com",54],["chojnice.com",[55,56]],["forum.dopalamy.com",56],["dziennikzwiazkowy.com",[56,61]],["elubaczow.com",[56,67,68,69]],["goryonline.com",56],["forum.haszysz.com",56],["legionisci.com",[56,116]],["marihuanamedyczna.com",[56,123]],["nasz-glos.com",[56,134]],["naszwodzislaw.com",[56,141,142]],["polacywewloszech.com",[56,160]],["polskieradio.com",[56,164]],["systemyplatnosci.com",56],["szkolasen.com",56],["uploaduj.com",[56,209]],["ustawmundial.weszlo.com",56],["zajefajna.com",[56,222]],["aferyprawa.eu",[56,233]],["historyk.eu",[56,259]],["lubanski.eu",[56,265,266]],["tarnobrzeskie.eu",[56,292]],["open.fm",[56,96,306,307]],["twojeradio.fm",[56,316]],["budujesz.info",56],["historiasportu.info",56],["lubliniec.info",[56,386]],["nanarty.info",[56,394]],["pyrzyce.info",[56,419]],["reporterzy.info",56],["wien.info",56],["40ton.net",[56,224,470]],["aktyw14.net",56],["gtasite.net",56],["kibice.net",[56,496,497]],["mypolacy.nl",[56,541,542]],["trawka.org",56],["agrokapital.pl",[56,639]],["animeholik.pl",56],["anywhere.pl",[56,666]],["applemobile.pl",56],["awangardafutbolu.pl",56],["belchatow.bai.pl",[56,714]],["bezdroza.pl",56],["bham.pl",[56,739]],["bielski24.pl",[56,749]],["bielskiedrogi.pl",[56,750]],["biokurier.pl",56],["blogtransportowy.pl",[56,282]],["businesswomanlife.pl",[56,806]],["calisia.pl",56],["cashowsky.pl",[56,821]],["centrumdruku3d.pl",[56,833]],["cgm.pl",[56,72,838]],["chceauto.pl",56],["chillitorun.pl",[56,844]],["chinytolubie.pl",56],["chojna24.pl",[56,849]],["cire.pl",56],["cksport.pl",[56,868,869]],["codziennikmlawski.pl",[56,876]],["autoline.com.pl",[56,883]],["ecoportal.com.pl",56],["gwarek.com.pl",[56,903]],["kuchenny.com.pl",56],["nowemiasto.com.pl",56],["olsztyn.com.pl",[56,921]],["sadownictwo.com.pl",56],["sanatoria.com.pl",56],["comparic.pl",[56,957]],["comperia.pl",[56,958]],["cyfrowaekonomia.pl",[56,169,984]],["cyfrowypolsatnews.pl",[56,985]],["czadrow24.pl",[56,986]],["czasnadmorze.pl",56],["czecho.pl",[56,332,334,335,336,992]],["czyjnumerek.pl",56],["di.pl",56],["dsw.doba.pl",56],["dts24.pl",[56,282,1069]],["dzisiajwgliwicach.pl",[56,282,1089,1090]],["e-kolo.pl",[56,1099]],["e-kursy-walut.pl",[56,1100]],["echopowiatu.pl",56],["elka.pl",[56,1147,1148]],["esanok.pl",[56,1171]],["estradaistudio.pl",56],["etransport.pl",[56,1184]],["extraswiecie.pl",[56,1197]],["filmyfantastyczne.pl",56],["fishing-test.pl",56],["forum-bron.pl",56],["forum-norwegia.pl",56],["forum-oddluzanie.pl",56],["fresh-market.pl",56],["fronda.pl",[56,510,1268]],["futbolfejs.pl",56],["galeria-tajlandia.pl",56],["galeriastron.pl",[56,1275]],["gb.pl",56],["gdzietymrazem.pl",[56,1320]],["gieldaklasykow.pl",56],["gieldykryptowalut.pl",56],["glokalna.pl",[56,1336]],["glosgminny.pl",[56,1131]],["gloskoninski.pl",[56,1338]],["goal.pl",[56,217,224,1168,1345]],["goralpoleca.pl",56],["gs24.pl",[56,253,1390]],["igostyn.pl",[56,1437]],["ijarocin.pl",[56,1437]],["ikalisz.pl",[56,1437]],["iknurow.pl",[56,453,1441]],["independenttrader.pl",56],["podajdalej.info.pl",56],["przemysl.info.pl",56],["wloclawek.info.pl",56],["infobrzeszcze.pl",56],["infoskierniewice.pl",[56,1487]],["inthecage.pl",[56,413]],["inwestycje-rzeszow.pl",56],["iostrowwlkp.pl",[56,1437]],["ipleszew.pl",[56,1437]],["itvm.pl",[56,1536]],["itwiz.pl",56],["jaslo4u.pl",56],["jaw.pl",[56,364,1543,1555]],["jazzarium.pl",56],["radio.katowice.pl",56],["kawiarniany.pl",56],["kk24.pl",[56,1586]],["klubowa.pl",[56,1593]],["kociesprawy.pl",56],["komputery-kalwaria.pl",56],["miasto.koszalin.pl",[56,1616]],["krasnik24.pl",[56,103]],["kryptoholik.pl",[56,1630]],["krytykapolityczna.pl",[56,1632,1633]],["kuriergarwolinski.pl",[56,1645]],["kurierzamojski.pl",[56,1648,1649]],["laczynaspasja.pl",[56,1656]],["laskonline.pl",[56,1657]],["livesound.pl",56],["lubiehrubie.pl",[56,1430,1703]],["magazynvip.pl",[56,1720]],["makowonline.pl",[56,1722]],["meczenazywo.pl",[56,893,1741,1743,1744]],["mediasystem-tdi.pl",56],["miastokolobrzeg.pl",[56,478,1777,1778]],["miastons.pl",[56,1779]],["miejscawewroclawiu.pl",[56,1782]],["mieszkaniectargowka.pl",56],["modelwork.pl",56],["mojejaworzno.pl",56],["motofaktor.pl",56],["naszraciborz.pl",[56,138,139,141]],["swiatogloszen.net.pl",56],["tenis.net.pl",56],["niepoddawajsie.pl",56],["nowytydzien.pl",56],["obcasypodlasia.pl",[56,1959]],["odkryjbitcoin.pl",56],["odkryjpomorze.pl",56],["ogrodinfo.pl",[56,1965]],["stomil.olsztyn.pl",56],["opinieouczelniach.pl",56],["oprocentowanielokat.pl",56],["pcworld.pl",[56,2051]],["pfm.pl",56],["plportal.pl",[56,1212,2087]],["podkarpackahistoria.pl",[56,149]],["pomorskifutbol.pl",56],["portalhodowcy.pl",56],["portalpszczelarski.pl",[56,2151]],["pozytywniej.pl",[56,2166]],["prokapitalizm.pl",[56,2188]],["przewodnik-katolicki.pl",56],["przewodnikmp.pl",56],["przyjaznawarszawa.pl",56],["q4.pl",[56,2233]],["racingforum.pl",56],["radio7.pl",[56,2236]],["radomnews.pl",[56,2259]],["rdn.pl",[56,2267]],["resellernews.pl",56],["roosevelta81.pl",[56,2291]],["rutatour.pl",[56,90]],["rzesport.pl",56],["salaterka.pl",56],["sanok24.pl",[56,2307]],["scie24.pl",[56,2313]],["sportslaski.pl",[56,136]],["spottedlublin.pl",[56,2373]],["sprawnypo40.pl",56],["stacja7.pl",56],["info.stargard.pl",56],["strazacki.pl",56],["stressfree.pl",56],["strzelecopolski.pl",56],["supernowosci24.pl",[56,2411]],["swiatdronow.pl",[56,761]],["tarnowiak.pl",[56,2448]],["telefonowal.pl",[56,2461]],["tsk24.pl",[56,2508]],["tucholanin.pl",[56,1003,2512]],["tustolica.pl",[56,2518]],["tv28.pl",56],["tvnfakty.pl",56],["tvregionalna24.pl",[56,2521,2522,2529]],["twojaslupca.pl",[56,2548]],["twojeglubczyce.pl",56],["tygodnikzamojski.pl",[56,1236,2570]],["urodaizdrowie.pl",56],["vetopedia.pl",[56,2586]],["voltahorse.pl",[56,2593]],["warszawiak.pl",[56,743,2609]],["wcipy.pl",56],["webhelp.pl",[56,2629]],["webhostingtalk.pl",[56,2630]],["weseleforum.pl",56],["wht.pl",56],["wieliczkacity.pl",[56,233]],["wirtualnygarwolin.pl",[56,1098,2665]],["wpolityce.pl",[56,2709]],["wpr24.pl",[56,2711]],["wronieckibazar.pl",[56,577]],["wschodnik.pl",[56,2717]],["wspolnypowiat.pl",56],["wsus.pl",56],["wszczecinie.pl",56],["zakliczyninfo.pl",56],["zakupydladziecka.pl",56],["zawiercianskie.pl",[56,687,2748]],["zd24.pl",[56,362]],["zielonydziennik.pl",[56,163]],["zw.pl",[56,2772]],["zycieczestochowy.pl",[56,2778]],["zyciepabianic.pl",56],["lowcaburzwielun.pl.tl",56],["wylecz.to",[56,2786]],["lubelska.tv",56],["angolia.co.uk",56],["cs-soplica.com",57],["www.csmonitor.com",58],["czytajsklad.com",59],["defence24.com",60],["defence24.pl",[60,70,1017]],["e-chorzow.com",62],["e-restauracja.com",63],["eduzabawy.com",[64,65]],["wzory-cv.com",64],["dniwolne.eu",[64,248]],["istotne.pl",[64,583,1527]],["kulturalnemedia.pl",64],["mybank.pl",[64,1859]],["mmorpg.org.pl",[64,2009]],["parezja.pl",[64,667,1019,1536]],["polscygracze.pl",[64,2109]],["forum.purepc.pl",64],["roland-gazeta.pl",64],["topfilmiki.pl",64],["xboxforum.pl",[64,2733]],["ekspert.ceneo.pl",65],["wiesci.com.pl",[65,953,954]],["fsgk.pl",65],["inforiders.pl",[65,371]],["jedzbawsie.pl",65],["kucharenka.pl",65],["manager24.pl",65],["swoszowice.org.pl",[65,399,2016]],["slupca.pl",[65,228,1387,2349]],["stopnadwadze.pl",[65,90,2389]],["gadzet.telchina.pl",[65,1104]],["egami-image.com",66],["cenabiznesu.pl",67],["kei.pl",67],["lubartow24.pl",[67,1701]],["kurierwilenski.lt",[69,156,463,464]],["poprostupycha.com.pl",[69,266,927]],["marekowczarz.pl",69],["energetyka24.com",[70,71,72]],["infosecurity24.pl",70],["weszlo.com",[72,214]],["outsourcingportal.eu",72],["nowezyciepabianic.pl",[72,1821]],["pogonszczecin.pl",72],["signs.pl",[72,1554,2326]],["wnp.pl",[72,1036,2300]],["erasmusu.com",73],["estillmag.com",74],["spidersweb.pl",[74,2362,2363]],["www.theillest.pl",74],["eufigames.com",75],["eurobuildcee.com",76],["dziennikprawny.pl",76],["fachowcybudowlani.pl",76],["geoforum.pl",[76,1324]],["fechallenge.com",77],["filesdark.com",78],["fotka.com",79],["gamestough.com",80],["gazetagazeta.com",81],["gazetalokalna.com",82],["gazetamyslowicka.com",83],["gazetanowodworska.com",84],["goleniowska.com",85],["golfpl.com",86],["www.golfpl.com",87],["www.ps4site.pl",87],["wroclawskiejedzenie.pl",87],["google.com",88],["google.pl",88],["gorzowianin.com",89],["hdtvpolska.com",[90,91]],["luzyce.info",[90,388]],["24legnica.pl",[90,111,607]],["chtvl.chrzanow.pl",90],["czatwciemno.pl",90],["gobajka.pl",90],["mobileworld24.pl",90],["motohigh.pl",[90,111,228,607]],["premierywtv.pl",[90,1104]],["ps4life.pl",[90,111]],["ziemiastrzelecka.strzelce.pl",[90,399]],["bociany.tv",[90,399]],["herozerogame.com",92],["indeed.com",93],["infoprzasnysz.com",94],["interaktywnie.com",[95,96]],["pudelek.tv",[95,96]],["wp.tv",[95,96]],["mazury.com",96],["abczdrowie.pl",[96,625,626]],["allani.pl",96],["autokrata.pl",96],["autokult.pl",[96,307,628,699,700,701,702]],["biztok.pl",[96,771]],["dobreprogramy.pl",[96,1047]],["dzieci.pl",[96,1072]],["easygo.pl",96],["echirurgia.pl",[96,1117]],["fotoblogia.pl",[96,307,628,701,702]],["gadzetomania.pl",[96,307,701,702,1272,1273]],["hotmoney.pl",96],["inwestycje.pl",[96,1518]],["jejswiat.pl",96],["kafeteria.pl",[96,144,700]],["kantory.pl",96],["kazimierzdolny.pl",96],["komediowo.pl",96],["komorkomania.pl",[96,307,628,701,702,1601,1602]],["mojeauto.pl",[96,1816]],["mojeosiedle.pl",96],["money.pl",[96,307,700,771,1823,1824]],["nasygnale.pl",[96,1885]],["niewiarygodne.pl",[96,1034]],["nocowanie.pl",96],["o2.pl",[96,1273,1954]],["odkrywcy.pl",96],["parenting.pl",[96,626,2039,2040]],["pudelek.pl",[96,307,628,700,1602,2214]],["pytamy.pl",[96,1072]],["sfora.pl",96],["snobka.pl",96],["tlen.pl",96],["totalmoney.pl",96],["wakacje.pl",96],["wawalove.pl",[96,701,1072,2621]],["wp.pl",[96,700,702,2676,2677,2678,2679,2680,2681]],["kafeteria.tv",96],["jadlonomia.com",97],["jelonka.com",[98,99,100]],["walbrzyszek.com",[98,100,188]],["swidniczka.com",[100,188]],["juvepoland.com",101],["forum.juvepoland.com",102],["kanonierzy.com",[103,104]],["czestochowanews.pl",[103,997]],["instalki.pl",[103,136,1493]],["radiosud.pl",103],["promocyjni.interia.pl",[104,1512]],["kkslech.com",105],["kobiety-kobietom.com",106],["konstancin.com",107],["krokdozdrowia.com",108],["altbc.marfeelcache.com",108],["kronikamontrealska.com",109],["kto-dzwonil.com",110],["www.kurier-lokalny.com",111],["it-manuals.info",[111,361]],["kcynia.info",[111,370,371]],["akademiawitalnosci.pl",[111,399]],["aletorcik.pl",111],["bieganieuskrzydla.pl",[111,748]],["kaszuby24.pl",[111,1571]],["mikrokontroler.pl",[111,282,1788]],["mojadieta.pl",111],["tvgorzow.pl",[111,399,2524]],["tvjaslo.pl",[111,2525]],["polonia-peterborough.uk",111],["label-magazine.com",112],["www.lajfy.com",114],["linkpolonia.com",117],["linktopoland.com",118],["live.com",119],["lotto-centrum.com",120],["magazif.com",121],["magazynpolonia.com",122],["meczstudio.com",124],["pro-prints.pl",125],["medycznamarihuana.com",126],["miastociechocinek.com",127],["4lomza.pl",[127,623]],["miedziowe.pl",[127,329,1148]],["minskmaz.com",128],["miziaforum.com",129],["mojapogoda.com",130],["motopoznan.com",131],["codziennypoznan.pl",131],["ecopoznan.pl",131],["lifestylepoznan.pl",131],["www.msn.com",132],["mysqlperformanceblog.com",133],["naszafloryda.com",135],["naszekielce.com",[136,137]],["hodowle.eu",136],["grobla.net",136],["devilpage.pl",136],["infoair.pl",[136,1475]],["infobike.pl",[136,1475]],["infobus.pl",[136,893,1475]],["inforail.pl",[136,1475]],["infoship.pl",[136,1475]],["infotram.pl",[136,1475]],["itreseller.pl",[136,1534]],["www.lubin.pl",136],["mckenzie.pl",136],["polskiedrogi-tv.pl",136],["transinfo.pl",[136,1475]],["wirtualnepniewy.pl",[136,2663]],["naszrybnik.com",[138,139,140]],["viapoland.com",138],["nczas.com",143],["nerwica.com",144],["niezlomni.com",145],["numerytelefonu.com",146],["oboom.com",147],["oddslivesport.com",148],["faktykaliskie.info",[149,345]],["halogorlice.info",[149,246,297,301,353,354]],["wejherowo24.info",149],["lokalna.news",[149,297]],["24wspolnota.pl",[149,613]],["gazetamyszkowska.pl",[149,297]],["halorzeszow.pl",149],["igryfino.pl",[149,297]],["itporady.pl",[149,1533]],["korso24.pl",[149,297,1614]],["radiotczew.pl",[149,297,2253]],["tuolawa.pl",[149,297,2514]],["tygodnik-krapkowicki.pl",149],["boleslawiec.tv",[149,297]],["olgasmile.com",151],["olsztyn24.com",152],["forum.optymalizacja.com",153],["ostrowmaz.com",154],["payu.com",155],["pieknojestwtobie.com",156],["vanessa.fm",156],["zdrowyportal.org",156],["histografy.pl",[156,228]],["portal.region.info.pl",[156,1469]],["swiatoze.pl",[156,1104,2422]],["szymkiewicz.pl",156],["pilkarskieforum.com",157],["blog.pluralsight.com",158],["pol-nor.com",159],["polishcorrector.com",161],["korektoronline.pl",161],["futbolhd.tv",[161,2798]],["politykazdrowotna.com",162],["polska-ie.com",163],["fleschmazowsza.com.pl",163],["trucks.com.pl",[163,950]],["fizjoterapeuty.pl",163],["itfocus.pl",163],["tsl-biznes.pl",163],["tygodnikkrag.pl",[163,390]],["polskiinternet.com",165],["portaltatrzanski.com",166],["pracait.com",167],["progressforpoland.com",[168,169]],["radio-wrzesnia.pl",[169,282,2235]],["radio-internetowe.com",170],["radiofm-online.com",171],["rallypl.com",172],["rc4max.com",173],["rodaknet.com",174],["samnaprawiam.com",175],["zwa24.pl",175],["silentiumpc.com",176],["skawina24.com",177],["slasknet.com",178],["sportdziennik.com",[179,180]],["poludnie.com.pl",[179,809]],["gpd24.pl",[179,1367]],["highlab.pl",179],["obywatelenieba.pl",179],["srkcast.com",181],["staypoland.com",182],["stooq.com",[183,184,185]],["stooq.pl",[183,185,2388]],["streamable.com",186],["swiat-gier.com",187],["infosiedlce.pl",191],["sztutowo.com",196],["taniataxi.com",197],["meble.info",197],["dzidzius.pl",197],["gwiazdor.pl",[197,1398]],["liczebnik.pl",197],["materialy-budowlane.pl",197],["mojeprodukty.pl",197],["pupilek.pl",197],["budowlane.targibialystok.com",198],["techno-senior.com",199],["eloblog.pl",199],["theoniondaily.com",200],["mhmkuchnie.eu",200],["opieka.farm",[200,303]],["glosfizjoterapeuty.pl",200],["izaktv.pl",200],["kanag.pl",200],["metalnews.pl",[200,1764]],["thepolandtimes.com",201],["hqsite.org",202],["truckeronroad.com",204],["tuwroclaw.com",205],["zakopane.info",[205,452,453]],["tvtoss.com",206],["tygodnikplus.com",207],["tygodniksiedlecki.com",208],["uptimemadeeasy.com",210],["wagaciezka.com",211],["walbrzych24.com",212],["wertykal.com",213],["wiadomosci.com",215],["wronek.wikidot.com",216],["wislakrakow.com",[217,218]],["eredivisie.pl",[217,1167,1168]],["kadra.pl",[217,1159,1345]],["ligapolska.pl",[217,224,1159,1345]],["primeradivision.pl",[217,1159,1345]],["seriea.pl",[217,1159,1345]],["wydawajdobrze.com",219],["zabawkowo.com",220],["zadluzenia.com",221],["zalukaj.com",223],["zarabiam.com",[224,225]],["zawodowe.com",226],["zuzelend.com",227],["zzapolowy.com",228],["prawapolityka.pl",[228,607]],["shebang.pl",228],["migrelo.de",[229,230]],["mojaniderlandia.pl",[230,1812]],["mojanorwegia.pl",[230,1813]],["polskiobserwator.de",231],["rynek.de",232],["gsmmaniak.pl",[233,631,1392]],["mojradom.pl",233],["startkariery.pl",[233,2385]],["taniaksiazka.pl",233],["alemeksyk.eu",234],["nowiny.andrychow.eu",235],["antistorm.eu",236],["capuccino.eu",237],["charaktery.eu",238],["chelmski.eu",239],["csone.eu",240],["csopole.eu",241],["cypr24.eu",242],["ddz24.eu",243],["powiatowa.info",[244,299,415,416,417]],["deblin24.eu",247],["dvbtmap.eu",[249,250]],["styl.fm",[249,315]],["echodnia.eu",[251,252,253]],["dziennikbaltycki.pl",[252,253]],["dzienniklodzki.pl",[252,253]],["dziennikpolski24.pl",[252,253,1086]],["dziennikzachodni.pl",[252,253,1088]],["expressbydgoski.pl",[252,253]],["expressilustrowany.pl",[252,253,1195]],["gazetalubuska.pl",[252,253,1298]],["gazetawroclawska.pl",[252,253,1315]],["gloswielkopolski.pl",[252,253,1298,1342]],["gp24.pl",[252,253,1365]],["kurierlubelski.pl",[252,253,1088,1220,1298,1647]],["nowiny24.pl",[252,253]],["nto.pl",[252,253,1298]],["pomorska.pl",[252,253,1088,1620,2130]],["poranny.pl",[252,253,1088,2115,2141]],["wspolczesna.pl",[252,253]],["nowosci.com.pl",253],["to.com.pl",253],["gk24.pl",253],["gol24.pl",253],["gra.pl",253],["motofakty.pl",253],["naszahistoria.pl",253],["naszemiasto.pl",[253,1889]],["regiodom.pl",253],["sportowy24.pl",253],["strefaagro.pl",253],["strefabiznesu.pl",253],["stronakobiet.pl",253],["stronazdrowia.pl",253],["telemagazyn.pl",[253,2462]],["tygodnikits.pl",253],["ekoscian.eu",254],["ewybory.eu",[255,256]],["galeriafirm.eu",257],["ganjaskill.eu",258],["infobeskidy.eu",260],["kolniak24.eu",261],["lider.eu",262],["gracz.org",[266,562]],["aju.pl",266],["mensis.pl",266],["swietokrzyskie.pl",266],["lubaczow.tv",[266,1089,2805]],["m-shop.eu",267],["mazury24.eu",[268,269]],["pojezierze24.pl",269],["www.meblarstwo.eu",270],["nie-spamuj.eu",271],["4trucks.pl",271],["letsplej.pl",271],["regionfan.pl",[271,2273]],["pfmrc.eu",272],["polskihurtworld.eu",273],["www.pomniki.eu",274],["poradnikbudowlany.eu",275],["porteuropa.eu",276],["projektpraca.eu",277],["proszkow.eu",278],["przedsiebiorcy.eu",279],["romantycznyweekend.eu",280],["rymy.eu",281],["msze.info",281],["szkola.net",281],["polscyprawnicy.org",281],["lokmed.pl",281],["sanatorium.pl",[281,2306]],["shinden.pl",[281,2324]],["weekendowo.pl",[281,2636]],["plock.fm",282],["portaltenisowy.info",282],["targowek.info",282],["wlkp24.info",[282,449]],["wwl24.info",282],["zachodniemazowsze.info",282],["b2-biznes.pl",282],["bialogardinfo.pl",282],["bobowa24.pl",282],["brzeg24.pl",282],["agronews.com.pl",[282,518,879]],["dobragazeta.com.pl",282],["e-play.pl",[282,1105]],["magazyn.elubin.pl",282],["kalisz24.info.pl",[282,1458]],["informatorbrzeski.pl",[282,313]],["inzynier-medyczny.pl",282],["kolobrzeginfo.pl",282],["koszalininfo.pl",282],["luzna24.pl",282],["metropoliabydgoska.pl",[282,1768]],["mlecznepodroze.pl",282],["nadwisla24.pl",[282,1873]],["naszawielkopolska.pl",282],["wrc.net.pl",[282,1914]],["pielgrzym.pelplin.pl",282],["portalprzemyski.pl",282],["pozatorun.pl",282],["radiowrzesnia.pl",[282,2255]],["sporteuro.pl",[282,401,1677]],["starachowicka.pl",[282,2383]],["swiatmotocykli.pl",[282,2419]],["togethermagazyn.pl",282],["tylkotorun.pl",[282,2574]],["dziennik.walbrzych.pl",[282,2607]],["wwl24.pl",282],["wzielonej.pl",282],["zambrowiacy.pl",[282,2745]],["ziemiadebicka.pl",282],["pabianice.tv",[282,2309]],["topmejt.co.uk",282],["skawina.eu",283],["slonskyradio.eu",284],["starachowice.eu",285],["strajk.eu",[287,288]],["busiarze.com.pl",288],["naszglospoznanski.pl",288],["podgorze.pl",288],["studio-mebli.eu",289],["super-warez.eu",290],["swietokrzyskie24.eu",291],["telewizor.eu",293],["tenis24.eu",294],["toiowo.eu",295],["tv-polska.eu",296],["tvmaster.eu",297],["strzelec.info",297],["bryk.pl",297],["tvpolice.com.pl",297],["obserwatorlokalny.pl",297],["regatv.pl",297],["tvmorag.pl",297],["zgl.pl",297],["zycieolsztyna.pl",297],["cosiedzieje.tv",297],["gorlice.tv",297],["www.jawor.tv",297],["swiebodzin.tv",297],["www.swiebodzin.tv",297],["wielicka.tv",297],["tvnakarte.eu",[298,299]],["barlinek24.pl",[298,718]],["tomaszowski.com.pl",[298,948]],["nysa24.pl",[299,1951]],["wgmedia.eu",301],["bitcoin-online.pl",[301,760,761]],["www.chwaszczyno.pl",[301,857]],["wrealu24.pl",[301,2714]],["who-called.eu",302],["gra.fm",304],["krdp.fm",305],["autocentrum.pl",[307,438,692,693]],["genialne.pl",[307,1323]],["jastrzabpost.pl",307],["polygamia.pl",[307,2129]],["pysznosci.pl",[307,1323]],["kobieta.wp.pl",[307,2684,2685,2686,2689]],["wideo.wp.pl",[307,2706]],["polski.fm",308],["radiofon.fm",309],["wilanownews.pl",309],["radioq.fm",310],["radioznin.fm",311],["rmf.fm",312],["silesia.fm",[313,314]],["wxv.pl",314],["wnet.fm",317],["ifrancja.fr",318],["polskifr.fr",319],["limanowa.in",320],["limanowianin.in",321],["linuxhelp.in",322],["malopolska.in",323],["dlawas.info",323],["chip.pl",[323,845,846,847]],["infostrow.pl",323],["ostrzeszowinfo.pl",323],["shoplov.in",324],["telko.in",326],["zegocina.in",327],["doba.pl",[329,1042]],["www.turek.net.pl",[329,1911]],["portalgorski.pl",329],["administrator24.info",330],["akwarystyczne.info",331],["bielsko.info",[332,333,334,335,336]],["polonia.nl",[332,545]],["112tychy.pl",332],["24tp.pl",332],["30minut.pl",[332,617]],["grylogiczne.biz.pl",[332,763]],["dkl24.pl",[332,1033]],["dukania.pl",332],["tv.gniezno.pl",332],["lca.pl",[332,1660]],["moja-ostroleka.pl",[332,1807]],["grydladziewczyn.net.pl",332],["torun.twoje-miasto.pl",332],["twoje-podhale.pl",332],["tygodnikpodhalanski.pl",[332,1451]],["upflix.pl",[332,2034,2579]],["pless.pl",[334,336,1896,2079,2080]],["bielsko.tv",336],["czechowice.tv",336],["pszczyna.tv",336],["bolec.info",337],["bukmacherstwo.info",338],["tarnobrzeg.info",338],["mmarocks.pl",[338,635,1536,1799]],["czest.info",339],["dzwignice.info",341],["elektroinstalacje.info",344],["footbar.info",346],["fotelik.info",347],["gazetatrybunalska.info",348],["www.goldap.info",350],["gostynin.info",351],["gramatyka-angielska.info",352],["studentnews.pl",[352,2398]],["expresspaslek.pl",[353,1194]],["kwidzyn1.pl",[353,1654]],["hyperreal.info",355],["jablonka.info",[362,363]],["bitcoin.pl",[362,758]],["kamienskie.info",[364,365]],["binary24.pl",[364,755]],["my3miasto.pl",[364,667]],["tabletowo.pl",[364,2440]],["karnickie.info",366],["katowice24.info",369],["animalistka.pl",371],["auto-przeglad.pl",[371,687]],["bieznie-treningowe.pl",371],["doskonalyslub.pl",371],["isel.edu.pl",371],["jakusunac.pl",371],["mynaszlaku.pl",371],["paleosmak.pl",371],["trybunaczestochowska.pl",[371,2506]],["sledcza24.tv",371],["komputery-pc.info",373],["konin24.info",374],["ktoto.info",377],["kujawy.info",378],["lebork24.info",379],["lesko.info",380],["lokalna.info",381],["losice.info",382],["lubawka.info",384],["lubelszczyzna.info",385],["www.lubliniec.info",387],["lwowecki.info",389],["mamkomputer.info",390],["smartage.pl",[390,577,1230]],["miedzyrzec.info",391],["motopodhale.info",392],["mragowo24.info",393],["naszagazeta.info",395],["programtv.naziemna.info",396],["nowaruda.info",398],["nowy-sacz.info",[399,400,401]],["dokumentalne.net",399],["crazynauka.pl",[399,969]],["gazetalubliniecka.pl",[399,1296,1297]],["gieldaigospodarka.pl",[399,1327]],["magazynbasista.pl",[399,607]],["mymma.pl",[399,433,1864]],["niebezpiecznik.pl",[399,607,1927]],["toyotaklub.org.pl",399],["wiadomoscipodgorze.pl",399],["slomski.us",399],["remiza.com.pl",401],["kosmetologa.pl",401],["radioradom.pl",[401,2249]],["ochrona24.info",402],["odleglosci.info",403],["wypracowania.pl",[403,2727]],["oferta24.info",404],["www.opiekamedyczna.info",405],["opowiecie.info",406],["wygraland.pl",406],["ostrowczanie.info",407],["ostrowite.info",408],["pikio.pl",[408,2064]],["piekary.info",409],["tarnowskiegory.info",409],["24kato.pl",409],["24zaglebie.pl",409],["bytomski.pl",[409,811,812]],["chorzowski.pl",409],["glivice.pl",409],["livice.pl",409],["ngs24.pl",409],["nowinytyskie.pl",409],["rudzianin.pl",409],["slazag.pl",409],["twojknurow.pl",409],["zabrzenews.pl",409],["pod24.info",410],["pogoda.info",412],["pomorzanie.info",413],["powiat-piaseczynski.info",414],["powiatpolicki.info",418],["radiobiper.info",420],["sadeczanin.info",421],["sarzyna.info",422],["sportowiec.info",423],["kryptowalutykoparka.pl",[423,1003]],["mojprzepisna.pl",423],["stalowa.info",424],["starosadeckie.info",[425,426]],["icelandnews.is",[425,459]],["blogprezesa.pl",425],["kryptowaluty.info.pl",425],["litecoin.pl",425],["starysacz.info",427],["suwalki.info",428],["swiatopon.info",429],["swiatrolnika.info",430],["swinoujskie.info",[431,432,433]],["slowianskibestiariusz.pl",431],["szczebrzeszyn.info",434],["www.ogloszenia.tarnobrzeg.info",435],["www.tarnobrzeg.info",436],["transfery.info",[437,438]],["joemonster.org",[438,565,566]],["demotywatory.pl",[438,566,569,1018,1019]],["dziennik.pl",[438,1076,1077,1078]],["facetemjestem.pl",[438,1205]],["gala.pl",[438,1274]],["garnek.pl",438],["jegostrona.pl",438],["kobieta.pl",[438,874,1595]],["komixxy.pl",[438,569,570]],["prawdaobiektywna.pl",[438,2080,2170]],["v10.pl",[438,2582]],["trasa.info",[439,440]],["cs-creativ.pl",440],["trzemeszno24.info",[441,442]],["ceo.com.pl",[441,888]],["tvpolsat.info",443],["twojatv.info",444],["magazynbieganie.pl",[444,846]],["informacja.wroclaw.pl",[444,2715]],["tygodnik-krapkowicki.info",446],["wielkopolska24.info",447],["wkielcach.info",448],["wolanie.info",450],["zakon-ac.info",451],["tygodnikketrzynski.pl",[453,2563]],["zeglarski.info",454],["zkaszub.info",455],["zyleta.info",456],["s0urce.io",457],["steam.io",458],["radkow.it",460],["glos.live",461],["www.nightcity.love",462],["bloog.pl",[463,778]],["cowkrakowie.pl",[463,963]],["zw.lt",465],["snip.ly",466],["start.me",467],["worldsport.me",468],["punkt.media",469],["4programmers.net",471],["ampolska.net",[472,473]],["dbpolska.net",[472,478]],["bogucin.net",474],["brodnica.net",475],["cartests.net",476],["dbnao.net",477],["anglia.today",[477,2787]],["bialystokonline.pl",478],["ewgt.com.pl",478],["pracawkatowicach.com.pl",478],["pracawkrakowie.com.pl",478],["mclista.pl",[478,1736]],["mojmac.pl",478],["piszanin.pl",[478,1600]],["sevillafc.pl",478],["tubasiedlec.pl",478],["tugazeta.pl",478],["wirtualnynowydwor.pl",[478,2666]],["e-korepetycje.net",479],["e-tlumacze.net",480],["eku24.net",481],["elblag.net",[482,483,484]],["gostynska.pl",[483,484,1361]],["jarocinska.pl",[483,484,1548]],["rawicz24.pl",[483,1549,2265]],["zpleszewa.pl",[483,500,1549]],["zwielkopolski24.pl",[484,1549]],["ele24.net",485],["epd24.net",486],["ezg24.net",487],["funkcje.net",488],["goniec.net",489],["grojec24.net",490],["hokej.net",[491,492]],["forum.fordclubpolska.org",491],["jagiellonia.net",494],["jedrzejowska.net",495],["swiat-szkla.pl",496],["koscian.net",498],["kulisy.net",499],["lakiernictwo.net",500],["ezakopane.pl",[500,1198]],["warsztat.pl",500],["londynek.net",501],["lubien.net",502],["morele.net",503],["www.morele.net",504],["odmiana.net",505],["zagadkidladzieci.net",505],["patriot24.net",506],["polukr.net",[507,508]],["zaspa24.pl",508],["popularne.net",509],["popularne.pl",509],["prostozmostu.net",[510,511]],["radioftb.net",512],["rrs24.net",514],["sklepzeglarski.net",516],["stadiony.net",517],["szwajcaria.net",[518,519]],["drhtv.com.pl",[518,893,894]],["tryton.com.pl",518],["franchising.pl",[518,1265]],["www.gierkionline.pl",518],["tomaszowiak.net",520],["vidfile.net",521],["epiotrkow.pl",[521,1163]],["grodzisknews.pl",[521,1382]],["infobowling.pl",521],["widzewtomy.net",[522,523]],["eswinoujscie.pl",[522,1182]],["kolbuszowalokalnie.pl",[522,1599]],["witanet.net",524],["wortale.net",525],["zapodaj.net",526],["zawiszafans.net",[527,528,529]],["pijemy-rozrabiamy.pl",[527,2063]],["telewizjaleszno.pl",529],["beskidy.news",530],["emka.news",531],["echosredzkie.pl",[531,1119]],["express-miejski.pl",531],["gorzow.news",532],["opoka.news",533],["pultusk.news",534],["stargard.news",535],["a-o.ninja",536],["antyweb.pl",[537,664]],["www.fakty.nl",538],["goniecpolski.nl",539],["racjonalista.tv",[539,859]],["mojaholandia.nl",540],["heynet.pl",[541,1411]],["ogloszenia.niedziela.nl",[543,544]],["phrasal-verbs.pl",544],["nportal.no",546],["cda-tv.online",547],["gryfice24.online",548],["informacjelodzkie.pl",548],["mojeinfo24.pl",548],["przegladoponiarski.pl",548],["alfaholicy.org",549],["forum.alfaholicy.org",550],["audiklub.org",551],["bajeczki.org",552],["bokser.org",553],["budownictwo.org",554],["dojazd.org",555],["dx-team.org",556],["4clubbers.com.pl",556],["hdtv.com.pl",[556,905]],["my-mobile.pl",[556,1855,1856]],["taksiegra.pl",556],["wawernews.pl",[556,2622]],["elektryka.org",557],["etychy.org",558],["files4you.org",559],["forumrowerowe.org",[560,561]],["forum-sportu.pl",560],["katalogi.pl",560],["kfd.pl",560],["forum.komputerswiat.pl",560],["strefapsx.pl",562],["histmag.org",563],["interpretacje-podatkowe.org",564],["mistrzowie.org",[566,569,570,571]],["wykop.pl",[566,2725]],["pl.jooble.org",567],["magnapolonia.org",568],["jagodnik.pl",[568,1542,1543]],["rebelianci.org",[569,572]],["fabrykamemow.pl",569],["faktopedia.pl",569],["kotburger.pl",569],["mklr.pl",[569,1796]],["piekielni.pl",569],["jbzd.pl",570],["sekrety-zdrowia.org",573],["siatka.org",574],["turystykakulturowa.org",575],["wielodzietni.org",576],["wolnekonopie.org",577],["janwedzi.pl",[577,687]],["mobirank.pl",[577,1806]],["tu.swinoujscie.pl",[577,609,2020]],["100pompek.pl",600],["biegaj40minut.pl",600],["miesniebrzucha.pl",600],["miesnienog.pl",600],["podciaganie.pl",600],["treningaerobowy.pl",600],["treningrozciagania.pl",600],["123budujemy.pl",601],["12zawodnik.pl",602],["www.forum-wedkarskie.pl",602],["24gliwice.pl",[603,604]],["24zabrze.pl",604],["24kurier.pl",606],["namasce.pl",[607,1879]],["stop-cham.pl",607],["wstereo.pl",607],["24pr.pl",609],["petronews.pl",[609,2059]],["7dni.pila.pl",[609,2065]],["24starogard.pl",610],["radzyn.24wspolnota.pl",614],["bialasiedzieje.pl",614],["tubalecznej.pl",614],["2bstyle.pl",615],["3dwpraktyce.pl",618],["3trzy3.pl",619],["www.3trzy3.pl",620],["4hifi.pl",621],["4kom.pl",622],["7dnigryfina.pl",624],["dgoleniowski.pl",624],["dzienniknowogardzki.pl",624],["dziennikstargardzki.pl",624],["portal.abczdrowie.pl",[627,628]],["tv.pudelek.pl",628],["ranking.abczdrowie.pl",629],["acermaniak.pl",[630,631]],["activemaniak.pl",[630,631]],["agdmaniak.pl",[630,631]],["blogomaniak.pl",[630,631,776]],["fotomaniak.pl",[630,631]],["gizmaniak.pl",[630,631]],["luxmaniak.pl",[630,631]],["mobimaniak.pl",[630,631,1805]],["rtvmaniak.pl",[630,2293]],["tabletmaniak.pl",[630,631]],["techmaniak.pl",630],["appmaniak.pl",631],["adonai.pl",632],["adrestymczasowy.pl",633],["adwokat-gostkowski.pl",634],["afiliacje.pl",635],["afizyka.pl",636],["agcbytom.pl",637],["endurotrails.pl",637],["srebrnestawy.pl",637],["agrofoto.pl",638],["agropolska.pl",640],["akcjasos.pl",641],["alawar.pl",642],["alefunny.pl",643],["aleseriale.pl",644],["nocoty.pl",644],["alilove.pl",645],["all-hotels.pl",646],["allaboutmusic.pl",647],["allans.pl",648],["allebiznes.pl",649],["allegro.pl",650],["allekoszyk.pl",651],["alltiedup.pl",652],["forum.ebiznesy.pl",652],["ambassador24.pl",653],["androidpolska.pl",654],["anglia4u.pl",655],["anime-centrum.pl",656],["animes.pl",657],["animezone.pl",658],["animowany.pl",659],["antyfake.pl",660],["biznesinfo.pl",660],["tech.biznesinfo.pl",660],["domekiogrodek.pl",660],["goniec.pl",660],["rozrywka.goniec.pl",660],["sport.goniec.pl",660],["wiadomosci.goniec.pl",660],["lelum.pl",660],["rozrywka.lelum.pl",660],["pacjenci.pl",660],["portalparentingowy.pl",660],["rolnikinfo.pl",660],["smakosze.pl",660],["swiatgwiazd.pl",660],["kobieta.swiatgwiazd.pl",660],["swiatzwierzat.pl",660],["turysci.pl",660],["antykwariatgelber.pl",661],["antyradio.pl",662],["chillizet.pl",662],["www.antyradio.pl",663],["anyfiles.pl",665],["www.applecenter.pl",[667,668]],["android.com.pl",[667,881]],["portalwarszawski.com.pl",667],["dzierzgon.info.pl",667],["infobusko.pl",667],["kucharze.pl",667],["ndie.pl",[667,1898]],["obserwatorfinansowy.pl",667],["off-road.pl",667],["polskikosz.pl",[667,2126]],["kierunek.szczecin.pl",667],["trybawaryjny.pl",[667,2504]],["twojepajeczno.pl",[667,2552]],["zarabiajnaokazjach.pl",667],["magazynt3.pl",[668,825]],["www.aptekagemini.pl",669],["apynews.pl",670],["architekturaibiznes.pl",671],["arenadesign.pl",672],["astratex.pl",674],["astropolis.pl",675],["forum.atnel.pl",676],["atssi.pl",677],["audiostereo.pl",678],["augustow24.pl",[679,680]],["elk24.pl",680],["grajewo24.pl",680],["skrotymeczow.pl",680],["meczenazywo.tv",[680,1741]],["augustowskireporter.pl",681],["augustyna.pl",682],["autentyki.pl",683],["auto.pl",684],["staresiolkowice.pl",687],["komputerswiat.pl",[689,690,1604]],["businessinsider.com.pl",[690,691,886]],["fakt.pl",[690,691,1210]],["noizz.pl",[690,1755,1932]],["ofeminin.pl",[690,1964]],["onet.pl",[690,1980]],["plejada.pl",[690,691,2078]],["przegladsportowy.pl",[690,2203]],["www.auto-swiat.pl",691],["www.komputerswiat.pl",691],["facet.onet.pl",691],["gotowanie.onet.pl",691],["kobieta.onet.pl",[691,1981]],["kodyrabatowe.onet.pl",[691,1982]],["kultura.onet.pl",691],["magia.onet.pl",[691,1986]],["podroze.onet.pl",691],["pogoda.onet.pl",[691,1989]],["wiadomosci.onet.pl",[691,1994]],["zapytaj.onet.pl",[691,1995]],["e.autokult.pl",693],["m.autocentrum.pl",694],["autodoradca.pl",695],["reklama.pl",695],["forum.autodoradca.pl",696],["autoexpert.pl",697],["autoklub.pl",698],["medycyna24.pl",702],["smaczneblogi.pl",702],["automatyka.pl",703],["www.automatyka.pl",704],["www.elektroinzynieria.pl",704],["www.energetykacieplna.pl",704],["www.srodowisko.pl",704],["www.wodkaneko.pl",704],["www.wyposazeniemedyczne.pl",704],["www.laboratoria.xtech.pl",704],["www.obrabiarki.xtech.pl",704],["autotrader.pl",705],["www.axn.pl",707],["eksiazki.az.pl",708],["b1.pl",709],["b24tv.pl",[710,711]],["ponapisach.pl",711],["badaniaprenatalne.pl",713],["bankier.pl",715],["www.bankier.pl",716],["barciany.pl",717],["bartoszyce24.pl",719],["baxu.pl",720],["bazarynek.pl",721],["beel.pl",724],["kurier-bielski.cnm.pl",[724,871]],["begio.pl",725],["benchmark.pl",726],["forum.benchmark.pl",727],["beskidlive.pl",728],["beskidzka24.pl",729],["bestgun.pl",730],["besty.pl",731],["betblog.pl",732],["bezpiecznyrynekpracy.pl",733],["bezpluga.pl",734],["bezprawnik.pl",735],["bezrzecze24.pl",736],["gumience24.pl",736],["mierzyn24.pl",736],["bezuzyteczna.pl",[737,738]],["zumi.pl",[738,2771]],["bia24.pl",740],["bielsko.biala.pl",741],["www.biala24.pl",742],["bialostoczak.pl",743],["bydgoszczak.pl",743],["czestochowiak.pl",743],["gdanszczak.pl",743],["gdyniak.pl",743],["kaliszak.pl",743],["katowiczak.pl",743],["krakusik.pl",743],["opolak.pl",743],["poznaniak.pl",743],["szczeciniak.pl",743],["toruniak.pl",743],["wroclawiak.pl",743],["radio.bialystok.pl",744],["valetudo.bialystok.pl",745],["biedronka.pl",746],["bieganie.pl",747],["bielskirynek.pl",751],["bieszczady.pl",752],["bigchina.pl",753],["bilgorajska.pl",754],["biomedical.pl",756],["f1wm.pl",756],["biotechnologia.pl",757],["bitcoin-info.pl",759],["bithub.pl",762],["grydladzieci.biz.pl",763],["biznes.pl",764],["biznes-firma.pl",765],["biznesalert.pl",766],["biznesforum.pl",767],["biznesnafali.pl",768],["biznestuba.pl",[768,770]],["finanse.wp.pl",[771,2684,2686]],["gwiazdy.wp.pl",[771,2684,2685,2688,2689]],["moto.wp.pl",[771,2684,2686,2694]],["teleshow.wp.pl",[771,2684,2685,2688,2689]],["turystyka.wp.pl",[771,2684,2686,2703]],["wiadomosci.wp.pl",[771,2684,2688,2689,2705]],["www.wp.pl",[771,2707]],["blado.pl",772],["blasty.pl",773],["blaugrana.pl",774],["blogbukmacherski.pl",775],["bmw-klub.pl",779],["telchina.pl",[779,1670,2460]],["boardtime.pl",780],["bobasmiesiaca.pl",781],["bobrzanie.pl",782],["rootblog.pl",782],["zwiadowcahistorii.pl",782],["bochnianin.pl",783],["bochniazbliska.pl",784],["bonavita.pl",785],["www.booclick.pl",786],["booksclub.pl",788],["boxing.pl",789],["braclowiecka.pl",792],["brainly.pl",793],["www.brief.pl",794],["bslomazy.pl",796],["bstok.pl",797],["www.bud-net.pl",798],["budmatauto.pl",799],["budnet.pl",[800,801]],["bukowskilider.pl",802],["buliba.pl",803],["businessjournal.pl",804],["businesstraveller.pl",805],["busradar.pl",807],["busy-krk.pl",808],["bwotr.pl",809],["bydgoszczcity.pl",810],["dziennikpolicki.pl",[812,1085]],["bzdura.pl",[813,814]],["gospodarkapodkarpacka.pl",[814,1359]],["propertynews.pl",[814,1036]],["cadblog.pl",815],["cafeanimal.pl",816],["cafesenior.pl",817],["calcoolator.pl",818],["cannabisnews.pl",819],["cardsplitter.pl",820],["cba.pl",822],["discopolonew.cba.pl",823],["ccnews.pl",[824,825]],["przeambitni.pl",825],["cda.pl",826],["cda-online.pl",827],["ebd.cda.pl",828],["cdaction.pl",829],["forum.cdaction.pl",830],["www.ceneo.pl",831],["centrum-dramy.pl",832],["centrumwitalnosci.pl",834],["centrumxp.pl",835],["www.cenynaswiecie.pl",836],["www.cenyrolnicze.pl",837],["chamskie.pl",839],["chamsko.pl",840],["www.charakterek.pl",841],["chcemybycrodzicami.pl",842],["chelsea24news.pl",843],["prawo.pl",[846,2172]],["pulsmiasta.tv",[846,2813]],["techfresh.pl",847],["chnnews.pl",848],["chojnow.pl",850],["chomikuj.pl",851],["chorzowianin.pl",852],["chozoba.pl",853],["chroma.pl",854],["chrzanowski24.pl",855],["chwaszczyno.pl",856],["chwilowo.pl",858],["ciapkowo.pl",859],["twojakowala.pl",[861,2543,2544,2545,2546]],["twojawierzbica.pl",[861,918,2544,2545,2546]],["twojskaryszew.pl",[861,2544,2545,2546]],["twojwolanow.pl",[861,2545,2546,2558]],["ciekawostkihistoryczne.pl",862],["cieplowent.pl",863],["cinema-city.pl",864],["www.cire.pl",865],["rzeszow.citybuzz.pl",866],["www.ckm.pl",867],["handballnews.pl",[869,1406]],["cmg24.pl",870],["bajkidladzieci.co.pl",872],["cdtracker.co.pl",873],["cocolita.pl",874],["elle.pl",[874,1151]],["glamour.pl",[874,1330]],["gotujmy.pl",[874,1362]],["ilewazy.pl",874],["kultowy.pl",874],["mamotoja.pl",874],["modago.pl",874],["mojegotowanie.pl",874],["mojpieknyogrod.pl",874],["national-geographic.pl",874],["party.pl",[874,2041]],["polki.pl",[874,2105]],["przyslijprzepis.pl",[874,2210]],["viva.pl",874],["wizaz.pl",[874,941,2669]],["codojedzenia.pl",875],["kino.coigdzie.pl",877],["kino2.coigdzie.pl",877],["live.coigdzie.pl",877],["6obcy.com.pl",878],["altair.com.pl",880],["forum.android.com.pl",882],["automobilista.com.pl",884],["bialystok.com.pl",885],["busko.com.pl",887],["chelmno.com.pl",889],["czluchow.com.pl",890],["di.com.pl",891],["digest.com.pl",892],["newsbook.pl",[893,1918,1919]],["euro.com.pl",895],["fandroid.com.pl",896],["faunaflora.com.pl",897],["fishing-mart.com.pl",898],["gazetacz.com.pl",899],["glucholazyonline.com.pl",[900,901]],["bogatynia.info.pl",901],["sloworegionu.pl",[901,2348]],["zlubaczowa.pl",[901,2763]],["forum.gniezno.com.pl",902],["haker.com.pl",904],["mojaolesnica.pl",[904,1814]],["hi-fi.com.pl",906],["hij.com.pl",907],["itv24.com.pl",908],["jarmark.com.pl",909],["jbzdy.com.pl",910],["krs-online.com.pl",911],["linia.com.pl",912],["lokalna.com.pl",913],["maritime.com.pl",914],["mgprojekt.com.pl",915],["nbi.com.pl",916],["www.nowemiasto.com.pl",917],["twojglos.pl",918],["www.ogloszeniarolnicze.com.pl",920],["onepiece.com.pl",922],["pekao.com.pl",923],["pojezierze.com.pl",925],["polskiprzemysl.com.pl",926],["poradnikhandlowca.com.pl",928],["pracawgdansku.com.pl",929],["promise.com.pl",930],["radio5.com.pl",931],["radioplus.com.pl",932],["radiovia.com.pl",933],["radiowarszawa.com.pl",934],["radiozw.com.pl",935],["rockman.com.pl",936],["rolnictwo.com.pl",937],["scarlett.com.pl",938],["siechnice.com.pl",939],["siemiatycze.com.pl",940],["sieradz.com.pl",[941,942]],["dobramama.pl",941],["elektroda.pl",[941,1143]],["perspektywy.pl",[941,2058]],["zdunskawola24.pl",941],["sklep-muzyczny.com.pl",943],["starcom-ntt.com.pl",944],["stargard.com.pl",945],["swiatradio.com.pl",946],["terrarium.com.pl",947],["typertv.com.pl",951],["visvitalis.com.pl",952],["archiwum.wiesci.com.pl",955],["zyciestolicy.com.pl",956],["comprix.pl",959],["computerworld.pl",960],["comtv.pl",961],["cosplayjav.pl",962],["cowwilanowie.pl",964],["cozadzien.pl",965],["cpb.pl",966],["craftlista.pl",967],["craftportal.pl",968],["cro.pl",970],["crypto-trader.pl",971],["cryptoprofit.pl",973],["crystal-launcher.pl",974],["cs-4frags.pl",975],["forum.cs-4frags.pl",976],["forum.cs-classic.pl",977],["www.cs-kopytko.pl",978],["cs-nabani.pl",979],["cs-porobieni.pl",980],["cssetti.pl",981],["cyberdefence24.pl",982],["cybersport.pl",983],["lukow24.pl",[983,1710]],["www.ogrodinfo.pl",984],["czajna.pl",987],["czasbajki.pl",988],["czasciechanowa.pl",989],["czasdiet.pl",990],["czasdzieci.pl",991],["czerwona-skarbonka.pl",993],["czesci-rolnicze-online.pl",994],["www.czesciauto24.pl",995],["astar.czest.pl",996],["czestochowskie24.pl",998],["cztery-lapy.pl",999],["czyliwiesz.pl",1000],["czyztak.pl",1001],["dailyweb.pl",[1002,1003]],["dajnewsa.pl",1004],["darkw.pl",1005],["darmowyskin.pl",1007],["datapremiery.pl",1008],["db2010.pl",1009],["ddbelchatow.pl",[1010,1011]],["deblinnews.pl",1013],["deccoria.pl",[1014,1015]],["maxmodels.pl",1015],["decoupage24.pl",1016],["dentoforum.pl",1020],["perfuforum.pl",1020],["deon.pl",1021],["diagnozujmy.pl",1022],["dieroten.pl",1023],["digi-tv.pl",[1024,1025,1026]],["satkurier.pl",[1024,1025,2310,2311]],["sms7.pl",[1024,2353]],["eska.pl",[1026,1172,1173,1174]],["poradnikzdrowie.pl",[1026,1173,1174,2138,2139]],["se.pl",[1026,1173,1174,2315,2316]],["urzadzamy.pl",[1026,1173,1794,2581]],["www.diki.pl",1027],["ding.pl",1028],["divers24.pl",1029],["dj24.pl",1030],["djfranek.pl",[1031,1032]],["mojapraca.pl",1031],["mojelokum.pl",[1031,1032]],["turboportal.pl",[1031,1032]],["wujekfranek.pl",[1031,1032]],["dladzieci.pl",1034],["forum.o2.pl",1034],["czat.wp.pl",1034],["infografika.wp.pl",1034],["muzyka.wp.pl",1034],["ogloszenia.wp.pl",1034],["sportowybar.wp.pl",1034],["topnews.wp.pl",1034],["dlahandlu.pl",[1035,1036]],["farmer.pl",[1036,1219,1220,1221]],["horecatrends.pl",1036],["housemarket.pl",[1036,1428]],["infodent24.pl",[1036,1219]],["portalsamorzadowy.pl",[1036,2152]],["portalspozywczy.pl",[1036,2153]],["propertydesign.pl",1036],["rynekaptek.pl",[1036,1221]],["rynekseniora.pl",1036],["rynekzdrowia.pl",[1036,2299,2300]],["sadyogrody.pl",1036],["dlalejdis.pl",1037],["www.dlanauczyciela.pl",1038],["zory.dlawas.pl",[1039,1040]],["naszalomza.pl",1039],["portal.dlugoleka.pl",1041],["imperiumromanum.edu.pl",1041],["motofilm.pl",[1041,1839]],["ddz.doba.pl",1043],["dobra-mama.pl",1044],["dobrastacja.pl",1045],["dobredladziecka.pl",1046],["forum.dobreprogramy.pl",1048],["www.dobreprogramy.pl",1049],["docelu.pl",1050],["dodajauto.pl",1051],["dogosfera.pl",1052],["dogry.pl",1053],["dojrzalakobieta.pl",1054],["domiporta.pl",1055],["domodi.pl",1056],["domowyprzedszkolak.pl",1057],["domyseniora.pl",1058],["domzdrowia.pl",1059],["doradcasmaku.pl",1060],["dorzeczy.pl",1061],["dostawczakiem.pl",[1062,1063]],["dotnetomaniak.pl",[1063,1065]],["www.dostawczakiem.pl",1064],["doz.pl",1066],["www.drewno.pl",1067],["forum.drivecenter.pl",1068],["dtv24.pl",1070],["dzidziusiowo.pl",1071],["pudelekx.pl",1072],["dziecipoznan.pl",1073],["dziejesienapodkarpaciu.pl",1074],["f1.dziel-pasje.pl",1075],["kozaczek.pl",[1077,1617]],["forsal.pl",[1078,1255]],["muzyka.dziennik.pl",1079],["pogoda.dziennik.pl",1080],["dziennikelblaski.pl",1081],["dzienniknarodowy.pl",1082],["www.kufel.pl",[1082,1638]],["dzienniknaukowy.pl",1083],["dziennikplocki.pl",1084],["dziennikwschodni.pl",1087],["e-blogi.pl",1091],["e-dobrydom.pl",1092],["e-fvat.pl",1093],["e-grajewo.pl",1094],["e-hip.pl",1095],["e-hotelarz.pl",1096],["e-lokalne.pl",1101],["e-lubon.pl",1102],["e-pajeczno.pl",1103],["e-pingpong.pl",1104],["miastoiludzie.pl",[1104,1776]],["e-sadownictwo.pl",1106],["e-stargard.pl",1108],["e-sylwester.pl",1109],["e-telecom.pl",1110],["e-warzywnictwo.pl",1111],["e-widuchowa.pl",1112],["www.sandomierztv.pl",1112],["ebarlinek.pl",1113],["ebelchatow.pl",1114],["ebookichomikuj.pl",1115],["ecentrum.pl",1116],["echogorzowa.pl",1118],["www.imperiumromanum.edu.pl",1120],["pap.edu.pl",1121],["przedszkola.edu.pl",1122],["szkola-podstawowa.edu.pl",1123],["urania.edu.pl",1124],["edux.pl",1125],["edzieci.pl",1126],["fit-online.pl",1126],["masarnieonline.pl",1126],["mleczarnieonline.pl",1126],["piekarnieonline.pl",1126],["przeglad-ogrodniczy.pl",1126],["nowywyszkowiak.pl",[1128,1948]],["wirtualnemedia.pl",[1128,2662]],["egryfino.pl",1129],["eholiday.pl",1130],["ehumor.pl",1131],["eioba.pl",1132],["system.ekai.pl",1133],["ekino-tv.pl",1134],["ekologia.pl",1135],["ekorodzice.pl",1136],["ekstrastats.pl",1138],["ekurdwanow.pl",1139],["info.elblag.pl",1140],["elblag24.pl",1141],["electro-torrent.pl",1142],["www.elektroda.pl",1144],["elektrosystemy.pl",1145],["elita-magazyn.pl",1146],["dom.elka.pl",1149],["ryby.elka.pl",1150],["www.elmaz.pl",1152],["forum.elportal.pl",1153],["emecze.pl",1154],["emstories.pl",1155],["endurorider.pl",1156],["enowiny.pl",1157],["eostroleka.pl",1158],["www.eostroleka.pl",1159],["epainfo.pl",[1160,1161]],["vipmultimedia.pl",[1161,2139,2588]],["zielonanews.pl",1161],["eparczew.pl",1162],["epoznan.pl",1164],["ergokantor.pl",1169],["erp-view.pl",1170],["eskarock.pl",1173],["mjakmama24.pl",[1173,1793,1794,1795]],["muratordom.pl",[1173,1794,1795,1850]],["muratorplus.pl",[1173,1794,1795,1851]],["radioplus.pl",[1173,2248]],["radiosupernova.pl",1173],["finansowyopiekun.se.pl",1173],["superbiz.se.pl",1173],["voxfm.pl",[1173,2595]],["eskatt.pl",1175],["eslupsk.pl",1176],["www.espeedway.pl",1177],["esporter.pl",1178],["interia.pl",[1178,1364,1497,1498,1499]],["pomponik.pl",[1178,1498,2132]],["styl.pl",[1178,1498,2401]],["estadios.pl",1179],["estadios24.pl",1180],["estrzelce.pl",1181],["eszkola.pl",1183],["euractiv.pl",1185],["eurogamer.pl",1186],["eurologistics.pl",1187],["evertiq.pl",1188],["tenisklub.pl",[1188,2474]],["eweszlo.pl",1189],["ewyszkow.pl",[1190,1191]],["targeo.pl",1191],["exerim.pl",1192],["strzelce360.pl",1194],["www.expressilustrowany.pl",1196],["ezamosc.pl",1199],["ezarszyn.pl",1200],["www.f1fanklub.pl",1201],["f5.pl",1202],["fpiec.pl",[1202,1263]],["fabrykasily.pl",1203],["fabrykasypialni.pl",1204],["facetpo40.pl",1206],["fachowydekarz.pl",1207],["fachowyinstalator.pl",1208],["fajowe.pl",1209],["faktura.pl",1211],["fakty.pl",1212],["faktykaliskie.pl",1213],["fangol.pl",1215],["fanimani.pl",1216],["faniperfum.pl",1217],["jastrzebieonline.pl",[1220,1554]],["mfkip.pl",1220],["panoramafirm.pl",1220],["ogloszenia.plock.pl",1220],["promocjada.pl",1221],["fcinter.pl",1222],["gpcodziennie.pl",[1222,1366]],["www.fcnet.pl",1223],["forum.fedora.pl",1224],["fiatklubpolska.pl",1225],["www.fight24.pl",1226],["fileland.pl",1227],["filmpolski.pl",1228],["filmweb.pl",1229],["filmy-tv.pl",1230],["jakzrobicwexcelu.pl",1230],["wlkp112.pl",[1230,1531]],["zarabiajprzez24.pl",1230],["filmy69.pl",1231],["filmyfilmy.pl",1232],["fintek.pl",1233],["sklep.fipro.pl",1234],["firmy77.pl",1235],["www.fitnow.pl",1236],["flarrow.pl",1237],["flashscore.pl",1238],["fly4free.pl",1239],["focus.pl",1240],["food-forum.pl",1241],["foodpanda.pl",1242],["footroll.pl",1243],["fora.pl",1244],["leki.fora.pl",1245],["mlawa.fora.pl",1246],["www.policja2009.fora.pl",1247],["qus.fora.pl",1248],["worms.fora.pl",1248],["www.qus.fora.pl",1249],["www.worms.fora.pl",1249],["forall.pl",1250],["forbes.pl",1251],["forbot.pl",1252],["foreca.pl",1253],["fors.pl",1254],["forum-kulturystyka.pl",1256],["forumdermatologiczne.pl",1257],["forumginekologiczne.pl",1257],["forumkardiologiczne.pl",1257],["forumneurologiczne.pl",1257],["forumonkologiczne.pl",1257],["forumpediatryczne.pl",1257],["forumpsychiatryczne.pl",1257],["forumstomatologiczne.pl",1257],["fozik.pl",1257],["laryngo.pl",1257],["forumfajerwerki.pl",1258],["forumfs.pl",1259],["forumhurtowe.pl",1260],["forumpps.pl",1261],["fotoszok.pl",1262],["fragrantica.pl",1264],["francuskie.pl",1266],["franczyzawhandlu.pl",1267],["funnygames.pl",1269],["futbol.pl",1270],["futurebeat.pl",1271],["gry-online.pl",[1271,1386,1387]],["galeriatwarzy.pl",1276],["gamenerd.pl",1277],["gamereactor.pl",1278],["gamesfanatic.pl",1279],["gamezilla.pl",1280],["gamingsociety.pl",1281],["gastrona.pl",1282],["gazeo.pl",1283],["www.plotek.pl",[1285,2085]],["gazeta-mlawska.pl",1286],["gazeta-mosina.pl",1287],["forum.gazeta.pl",1289],["poczta.gazeta.pl",1290],["weekend.gazeta.pl",1291],["gazetabilgoraj.pl",1292],["gazetaklobucka.pl",1293],["gazetakolobrzeska.pl",1294],["gazetarumska.pl",[1296,1306]],["gazetaostrowska.pl",1299],["gazetaplus.pl",1300],["gazetapolska.pl",1301],["gazetapowiatowa.pl",1302],["gazetaprawna.pl",1303],["www.gazetaprawna.pl",1304],["gazetaregionalna.pl",1305],["gazetasenior.pl",1307],["gazetaslupecka.pl",[1308,1309]],["wagrowiec-wydarzeniazostatniejchwili.pl",[1309,2604]],["www.gazetaslupecka.pl",1310],["gazetaspoleczna.pl",1311],["gazetatrzebinska.pl",1312],["gazetatychy.pl",1313],["gloswroclawia.pl",[1313,1343]],["gazetawawerska.pl",1314],["gazetazabrze.pl",1316],["gazetazoliborza.pl",1317],["gazetkonosz.pl",1318],["meritum.gda.pl",1319],["prawicowyinternet.pl",[1320,2171]],["geekweek.pl",1321],["genapps.pl",1322],["gexe.pl",1325],["gf24.pl",1326],["gilotynka.pl",1328],["gismeteo.pl",1329],["www.glamour.pl",1331],["globalne-archiwum.pl",1333],["globtroter.pl",1334],["glogow-info.pl",1335],["glogow.info.pl",1335],["glos24.pl",1337],["glosmordoru.pl",1339],["glospedagogiczny.pl",1340],["glosrzeszowa.pl",1341],["glostorunia.pl",1341],["gminadobra24.pl",1344],["osowa24.pl",1344],["godealla.pl",1346],["godzinyotwarcia24.pl",1347],["goldenline.pl",1348],["golfnews.pl",1349],["gomoney.pl",1350],["translate.google.pl",1351],["gopoznan.pl",1352],["lubin.pl",[1352,1705]],["gorliczanin.pl",1354],["gorydlaciebie.pl",1355],["goryiludzie.pl",1356],["gorzow24.pl",1357],["gosc.pl",1358],["gostynin24.pl",1360],["gowork.pl",[1363,1364]],["grafmag.pl",1369],["grafoteka.pl",1370],["gragieldowa.pl",1371],["grajteraz.pl",1372],["gram.pl",1373],["forum.gram.pl",1374],["www.gram.pl",1375],["gramynawynos.pl",1377],["granicenauki.pl",1378],["grapplerinfo.pl",1379],["gratka.pl",1380],["dom.gratka.pl",1381],["grojeckie24.pl",1383],["groupon.pl",1384],["drobne.grpowiat.pl",1385],["gry-planszowe.pl",1388],["puzzleforum.pl",1388],["grydladzieci.pl",1389],["gsim.pl",1391],["gsmservice.pl",1393],["gtaforum.pl",1394],["gwarminska.pl",[1395,1396]],["infokatowice.pl",[1395,1479]],["noweinfo.pl",[1395,1940]],["sitemag.pl",[1395,1808]],["gwiazdybasketu.pl",1399],["gwint24.pl",1400],["gwo24.pl",1401],["sklep.habys.pl",1402],["hack.pl",1403],["haloursynow.pl",1404],["halowies.pl",1405],["tygodnik-rolniczy.pl",[1405,2561]],["handelextra.pl",1407],["hd-opinie.pl",1408],["hebe.pl",1409],["odzywianie.hellozdrowie.pl",1410],["hifi.pl",1412],["hip-hop.pl",1413],["hiperogloszenia.pl",1414],["hiro.pl",1415],["historia.pl",1416],["portal.pl",1416],["hmt.pl",1417],["hobby.pl",1418],["hoga.pl",1419],["holenderskiskun.pl",1420],["holidaycheck.pl",1421],["serwer1418128.home.pl",1422],["homebook.pl",1423],["hopaj.pl",1424],["www.hopaj.pl",1425],["horecabc.pl",1426],["hotfix.pl",1427],["how2play.pl",1429],["hrubie.pl",1430],["hyipforum.pl",1431],["iautomatyka.pl",1432],["ibielany.pl",1433],["id-24.pl",1434],["ideagrafika.pl",1435],["ideas2action.pl",1436],["igrit.pl",1438],["iitvx.pl",1439],["ikamien.pl",1440],["ikorektor.pl",1442],["sucharry.pl",[1442,2404]],["ikrotoszyn.pl",1443],["ilovenysa.pl",1444],["imged.pl",1446],["imperiumromanum.pl",1448],["info-ketrzyn24.pl",1449],["baltic.info.pl",1450],["cnc.info.pl",[1451,1452]],["popkiller.pl",1451],["druk.info.pl",1453],["extra.info.pl",1454],["gizycko.info.pl",1455],["mazury.info.pl",[1455,1462]],["marihuana.info.pl",1459],["maslow.info.pl",1460],["materialybudowlane.info.pl",1461],["naszestrony.info.pl",1463],["niewygodne.info.pl",1464],["oko.info.pl",1465],["pielegniarki.info.pl",1466],["pnt.info.pl",1467],["proste.info.pl",1468],["forum.usa.info.pl",1471],["wiesci.info.pl",1472],["info112.pl",1474],["infogazeta.pl",1476],["infogliwice.pl",1477],["infoilawa.pl",1478],["infokonin.pl",1480],["infokrakow24.pl",1481],["infoludek.pl",1482],["infolwowek24.pl",1483],["infopodkarpacie.pl",1484],["informator-stolicy.pl",1485],["infoserwiselk.pl",1486],["infosokolka.pl",1488],["innemedium.pl",1489],["innpoland.pl",1490],["inpost.pl",1491],["instalacjebudowlane.pl",1492],["instrukcja.pl",1494],["instrukcjaobslugipdf.pl",1495],["instrukcjapdf.pl",1496],["biznes.interia.pl",1500],["geekweek.interia.pl",[1500,1503]],["gry.interia.pl",[1500,1504]],["muzyka.interia.pl",[1500,1508]],["czateria.interia.pl",1501],["fakty.interia.pl",1502],["kobieta.interia.pl",1505],["m.interia.pl",1506],["motoryzacja.interia.pl",1507],["poczta.interia.pl",1509],["pogoda.interia.pl",1510],["praca.interia.pl",1511],["sport.interia.pl",1513],["wydarzenia.interia.pl",[1513,1516]],["teksciory.interia.pl",1514],["www.interia.pl",1515],["investmap.pl",1517],["ipolska24.pl",1519],["ipon.pl",1520],["irenakuczynska.pl",1521],["ironmangdynia.pl",1522],["irss.pl",1523],["isbzdrowie.pl",1525],["ising.pl",1526],["iswinoujscie.pl",1528],["itbiznes.pl",[1530,1531]],["ithardware.pl",1532],["ittechblog.pl",1535],["waszwilanow.pl",[1536,2614]],["itvpolska.pl",1538],["itvregion.pl",1539],["jacus.pl",1540],["jadarhobby.pl",1541],["jaka-komorka.pl",1544],["jakaoferta.pl",1545],["jakdojade.pl",1546],["jakodzyskacpieniadze.pl",1547],["m.jarocinska.pl",1549],["jarock.pl",1550],["jarzebski.pl",1551],["www.jaslo4u.pl",1552],["jasnet.pl",1553],["teleman.pl",[1554,2463]],["jawor24h.pl",1556],["jazdaprawna.pl",1557],["jazzsoul.pl",1558],["jdtech.pl",1559],["jednoslad.pl",1560],["jeja.pl",[1561,1562]],["repostuj.pl",[1561,2276,2277]],["wiocha.pl",[1561,2262,2659,2660]],["jobs.pl",1563],["kalendarzswiatnietypowych.pl",1564],["kalkulatorwaluty.pl",1565],["kalwaria24.pl",1566],["kanal10.pl",1567],["kantorbitcoin.pl",1568],["kardiolo.pl",1569],["karmopedia.pl",1570],["katalogsmakow.pl",1572],["katowicedzis.pl",1573],["kawerna.pl",1574],["www.kazimierzdolny.pl",1575],["kb.pl",1576],["em.kielce.pl",1577],["pik.kielce.pl",1578],["radio.kielce.pl",1579],["kiep.pl",1580],["kierunekchorwacja.pl",1581],["kierunekwodkan.pl",1582],["kino-iskra.pl",1583],["kinonet.pl",1584],["www.kinowybrzeze.pl",1585],["kkozle.pl",1587],["klassikauto.pl",1588],["kliknijwzdrowie.pl",1589],["klikplej.pl",1590],["klin-tv.pl",1591],["klubjagiellonski.pl",1592],["www.kmh24.pl",1594],["kobietaxl.pl",1596],["kodiwpigulce.pl",1597],["forum.kodiwpigulce.pl",1598],["www.informacje.kolobrzeg.pl",1600],["komorkomat.pl",1603],["download.komputerswiat.pl",1605],["koncertomania.pl",1606],["konflikty.pl",1608],["konindzieciom.pl",1609],["kontomaniak.pl",1610],["kopalniawiedzy.pl",1611],["korkosfera.pl",1612],["kosmetykaaut.pl",1615],["kozienice24.pl",1618],["pionki24.pl",[1618,2068]],["kraj24.pl",[1619,1620]],["kramik.pl",1621],["kreskoweczki.pl",1622],["kresy.pl",1623],["krknews.pl",1624],["krosno112.pl",1626],["krosno24.pl",1627],["krotoszynska.pl",1628],["krs-pobierz.pl",1629],["oswiecimonline.pl",[1633,2025]],["krzesla-biurowe.pl",1634],["kswarta.pl",1635],["ktomalek.pl",1636],["kuchnia-domowa.pl",1637],["kupbilet.pl",1639],["kurekmazurski.pl",1640],["kurier-bb.pl",1641],["kurier-kolejowy.pl",1642],["kurier-kolski.pl",1643],["kurier-nakielski.pl",1644],["kuriergmin.pl",1646],["www.miechowski.pl",[1649,1781]],["kurnik.pl",1650],["kursbootstrap.pl",1651],["kwejk.pl",1653],["kz1.pl",1655],["lawka.pl",1658],["www.lazienkowy.pl",1659],["lechpoznan.pl",1661],["leczna24.pl",1662],["leftlane.pl",1663],["legalni-bukmacherzy-online.pl",1664],["legalniewsieci.pl",1665],["www.legio24.pl",1667],["legiobiznes.pl",1668],["lento.pl",1669],["leonclub.pl",1670],["lexlege.pl",1671],["lexus-forum.pl",1672],["lezajsk4u.pl",1673],["portal.librus.pl",1675],["liderbudowlany.pl",1676],["lifeinkrakow.pl",1678],["ling.pl",1679],["linguajob.pl",1680],["linuxiarze.pl",1681],["listaserwerowmc.pl",1682],["lit.pl",1683],["livemecz.pl",1684],["lk-projekt.pl",1685],["lm.pl",1686],["lodr-bratoszewice.pl",1687],["log4.pl",1688],["www.logo24.pl",1689],["www.lokalnatelewizja.pl",1691],["lokalne-firmy.pl",1692],["lolmania.pl",1693],["lowcygier.pl",1695],["lowking.pl",1696],["www.lowking.pl",1697],["lpu24.pl",1698],["lsi-lublin.pl",1699],["lsw24.pl",1700],["lubiegrac.pl",1702],["lubimyczytac.pl",1704],["lublin112.pl",1706],["lubsko.pl",1707],["lubsport.pl",1708],["telewizja.lukow.pl",1709],["lumier.pl",1711],["lwowek24.pl",1712],["lwypolnocy.pl",1713],["m-forum.pl",1714],["magazynbiomasa.pl",1715],["magazynfakty.pl",1716],["magazyngitarzysta.pl",[1717,1718]],["magazynpsychologiasportu.pl",1719],["majsterkowo.pl",1721],["malydziennik.pl",1723],["mamawdomu.pl",1724],["mambiznes.pl",1725],["mamopracuj.pl",1726],["mamwiedze.pl",1727],["mamywsieci.pl",1728],["manjaro.pl",1729],["mapabts.pl",1730],["marketingibiznes.pl",1731],["matzoo.pl",1732],["maximgroup.pl",1733],["maxkino.pl",1734],["mazury.pl",1735],["meble-andrex.pl",1737],["mebloo.pl",1738],["surek.pl",[1740,2414]],["meczyki.net.pl",[1741,1904]],["meczewinternecie.pl",1745],["legalnybukmacher.net.pl",1745],["meczlive.pl",1746],["www.43bis.media.pl",1748],["mediacv.pl",1749],["mediaexpert.pl",1750],["mediagroupinfo.pl",1751],["mediamarkt.pl",1752],["medme.pl",1753],["medonet.pl",[1754,1755]],["newsweek.pl",[1755,1922]],["horoskop.wp.pl",[1755,2690]],["medycznamarihuana.pl",1756],["megalotto.pl",1757],["megawrzuta.pl",1758],["meloradio.pl",1759],["memorizer.pl",1760],["memy.pl",1761],["menworld.pl",1763],["meteo.pl",1765],["meteoprog.pl",1766],["meteovista.pl",1767],["mfiles.pl",1769],["mfind.pl",1770],["mgsm.pl",1771],["miasto-gazeta.pl",1773],["miasto-info.pl",1774],["miastodzieci.pl",1775],["www.rdc.pl",1778],["techfanik.pl",1778],["twoje-miasto.pl",1778],["miechowski.pl",1780],["miejscowa.pl",1783],["www.miejscowa.pl",1784],["promocja.mielec.pl",1786],["mieszkaniec.pl",1787],["milmag.pl",1789],["minecraft-list.pl",1790],["ministerstwonaukijazdy.pl",1791],["gry.misiakowo.pl",1792],["mma.pl",1797],["mmanews.pl",1798],["mmo24.pl",1800],["mobileclick.pl",1801],["mobiletrends.pl",1802],["mobilitynews.pl",1803],["mobilneforum.pl",1804],["moja24.pl",[1808,1809]],["mojabochnia.pl",1810],["mojaleczyca.pl",1811],["moje-gniezno.pl",1815],["mojecoventry.pl",1817],["mojewronki.pl",1818],["mojgdow.pl",1819],["mojlask.pl",[1820,1821]],["mojprzewodnik.pl",1822],["moneyv.wp.pl",[1824,1830]],["biztok.money.pl",1825],["direct.money.pl",1826],["msp.money.pl",1827],["prawo.money.pl",1828],["www.money.pl",[1829,1830]],["morizon.pl",1831],["forum.moto-4t.pl",1833],["moto-oto.pl",1834],["motobanda.pl",1835],["motocaina.pl",1836],["motocykle125.pl",1838],["motormag.pl",1840],["motoshop24.pl",1841],["moviesroom.pl",1842],["movieway.pl",1843],["mpolska24.pl",1844],["mserwery.pl",1845],["msfera.pl",1846],["mtech.pl",1848],["multi-head.pl",1849],["musiclovers.pl",1852],["muzykaitechnologia.pl",1853],["mvno-gsm.pl",1854],["nowastrategia.org.pl",[1856,2012]],["my-navia.pl",1857],["mackozer.myapple.pl",1858],["mybboard.pl",1860],["www.mycenter.pl",1861],["myhome.pl",1862],["myotym.pl",1865],["gazeta.myslenice.pl",1866],["myslenicka24.pl",1867],["mysnet.pl",1868],["naczytniku.pl",1870],["nadajemy.pl",1871],["nadmorski24.pl",1872],["naekranie.pl",1874],["vod.naekranie.pl",1875],["nakanapa.pl",1876],["naklo24.pl",1877],["nakolei.pl",1878],["nano-reef.pl",1880],["www.naotwocku.pl",1881],["napiprojekt.pl",1882],["napisy24.pl",1883],["narodowyprogram.pl",1884],["naszarola.pl",1887],["naszciechanow.pl",1888],["poznan.naszemiasto.pl",1890],["zary.naszemiasto.pl",1891],["naszesudety.pl",1892],["naszsrem.pl",1893],["natemat.pl",1895],["pless.nazwa.pl",1896],["nazwiska-polskie.pl",1897],["nedds24.pl",1899],["betonline.net.pl",1900],["download.net.pl",1901],["gazetki-promocyjne.net.pl",1902],["kutno.net.pl",1903],["pieniny.net.pl",1905],["radiohit.net.pl",1906],["www.sklepogrodniczy.net.pl",1907],["stella.net.pl",1908],["tarnow.net.pl",1909],["turek.net.pl",1910],["www.uniejow.net.pl",1912],["obud.pl",[1912,1961]],["sarp.org.pl",1912],["rogozno.wlkp.net.pl",1913],["netinfo24.pl",1915],["netkonkret.pl",1916],["nettg.pl",1917],["otopanorama.pl",1919],["newseria.pl",1920],["newsweb.pl",1921],["www.nexto.pl",1923],["nf.pl",1924],["nflix.pl",1925],["nhl.pl",1926],["niedziela.pl",1928],["forum.nissanklub.pl",1929],["nj24.pl",1930],["nk.pl",1931],["nokiahacking.pl",1933],["novekino.pl",1934],["nowafarmacja.pl",1935],["nowagazeta.pl",1936],["nowaruda.pl",1937],["blog.nowebrzmienia.pl",1939],["nowepomorze.pl",1941],["nowodworski24.pl",1942],["noworudzianin.pl",1943],["nowygabinet.pl",1944],["nowykamieniarz.pl",1945],["nowyoutsourcing.pl",1946],["nowytygodniklobeski.pl",1947],["nudziara.pl",1949],["nuzle.pl",1950],["o.pl",1952],["o-c.pl",1953],["poczta.o2.pl",1955],["www.o2.pl",1956],["obalamyglupote.pl",1957],["obcasy.pl",1958],["obligacje.pl",1960],["ocen-piwo.pl",1962],["oddweird.pl",1963],["press.pl",1965],["ogrodnikleszek.pl",1966],["oiot.pl",1967],["okazjepodroznika.pl",1968],["okiemrolnika.pl",1969],["oknonawagrowiec.pl",1970],["oknonet.pl",1971],["oknoserwis.pl",1972],["oleole.pl",1975],["www.oleole.pl",1976],["express.olsztyn.pl",1978],["olx.pl",1979],["kontakty.onet.pl",[1983,1984]],["poczta.onet.pl",[1983,1988]],["konto.onet.pl",1985],["mlecznepodroze.onet.pl",1987],["przegladsportowy.onet.pl",1990],["sniadaniezkadra.onet.pl",1991],["sympatia.onet.pl",1992],["technowinki.onet.pl",1993],["www.onlinecenter.pl",1996],["onlinekredyty.pl",1997],["onlineradio.pl",1998],["onlinesudoku.pl",1999],["operatorzy.pl",2000],["opiekunkaradzi.pl",2001],["opineo.pl",2002],["radio.opole.pl",2003],["ops.pl",2004],["historia.org.pl",2006],["kodi.org.pl",2007],["minecraft.org.pl",2008],["mojacukrzyca.org.pl",2010],["msg.org.pl",2011],["opoka.org.pl",2013],["pzpm.org.pl",2014],["sii.org.pl",2015],["trybun.org.pl",2017],["oscarrak.pl",2018],["ostatniatawerna.pl",2019],["ostrodanews.pl",2020],["ostrowiec-sw.pl",2021],["ostrowiecnr1.pl",2023],["oswiecim112.pl",2024],["oswiecimskie24.pl",2026],["otodom.pl",2027],["otozawiercie.pl",2029],["www.owg.pl",2030],["ozoneo.pl",2031],["packaging-polska.pl",2032],["paczkow24.pl",2033],["paintballmarket.pl",2034],["zetchilli.pl",2034],["pan-doradca.pl",2035],["panoramakutna.pl",2036],["papermodels.pl",2037],["paranormalne.pl",2038],["parenting.wp.pl",2040],["forum.pasja-informatyki.pl",2042],["pccentre.pl",2043],["pcformat.pl",2044],["forum.pcformat.pl",2045],["www.pcformat.pl",2046],["pch24.pl",2047],["pclab.pl",[2048,2049]],["softonet.pl",[2049,2356]],["forum.pclab.pl",2050],["pdaclub.pl",2052],["pdasite.pl",2053],["pedlowski.pl",2054],["pepper.pl",2055],["perfektusplus.pl",2056],["perfumik.pl",2057],["www.photoblog.pl",2060],["piasecznonews.pl",2061],["piekary.pl",2062],["pilkanozna.pl",2066],["www.pino.pl",2067],["piotrkowski24.pl",2069],["pisf.pl",2070],["matematyka.pisz.pl",2071],["planetagracza.pl",2072],["www.planowaniewesela.pl",2073],["planujemywesele.pl",2074],["plastech.pl",2075],["play.pl",2076],["playstationforum.pl",2077],["www.pless.pl",2081],["plonsk24.pl",2082],["plotkibiznesowe.pl",2086],["lsk.plps.pl",2088],["plusblog.pl",2089],["plusforum.pl",2090],["plusliga.pl",2091],["pobierz.pl",2092],["podhale-sport.pl",2093],["podhaleregion.pl",2095],["podlasie24.pl",2096],["podobnestrony.pl",2097],["podoslonami.pl",2098],["podrogach.pl",2099],["pogodawtoruniu.pl",2100],["pogonsportnet.pl",2101],["poki.pl",2102],["police24.pl",2103],["poligonowewiesci.pl",2104],["poloniairlandia.pl",2106],["polsatnews.pl",[2107,2108]],["polsatsport.pl",2108],["twojapogoda.pl",[2108,2547]],["polska-zbrojna.pl",2110],["polskaizbabranzypogrzebowej.pl",2111],["polskaligaesportowa.pl",2112],["polskatradycja.pl",2116],["polski-slownik.pl",2117],["polski-sport.pl",2118],["technologiczna.pl",[2118,2455]],["polski-tenis.pl",2119],["polskiautohandel.pl",2120],["polskieradio.pl",2121],["jedynka.polskieradio.pl",2122],["trojka.polskieradio.pl",2123],["polskieradio24.pl",2124],["polskieszlaki.pl",2125],["swidnik.pl",2126],["polubione.pl",2127],["polwro.pl",2128],["pomorskiprzewodnikwedkarski.pl",2131],["pomu.pl",2133],["popkulturysci.pl",2134],["popradio.pl",2135],["popularnie.pl",2136],["poradnikprzedsiebiorcy.pl",2137],["www.poradnikzdrowie.pl",2140],["portal-mundurowy.pl",2142],["portal24h.pl",2143],["portalkomunalny.pl",2144],["portalmedialny.pl",2145],["portalmorski.pl",2146],["crewing.portalmorski.pl",2147],["www.portalmorski.pl",2148],["portalwrc.pl",2155],["portalzp.pl",2156],["portel.pl",2157],["www.portel.pl",2158],["poscigi.pl",2159],["posshop.pl",2160],["gry-online.poszkole.pl",2162],["powiat24.pl",2163],["powiatowy.pl",2164],["pozyteczna.pl",2165],["ppe.pl",2167],["www.ppe.pl",2168],["pracuj.pl",2169],["prawodrogowe.pl",2173],["predkosc.pl",2175],["parking.premium.pl",2176],["premiummoto.pl",2177],["www.press.pl",2178],["prnews.pl",2179],["pro-test.pl",2180],["procesor.pl",2182],["profeto.pl",2183],["profilki.pl",2184],["profilook.pl",2185],["profitechnika.pl",2186],["programosy.pl",2187],["jysk.promoceny.pl",2189],["promocyjni.pl",2190],["proshop.pl",2191],["prostaekonomia.pl",2192],["prostoomuzyce.pl",2193],["prostozmostu.pl",2194],["proto.pl",2195],["prudnik24.pl",2196],["pruszkow.pl",2197],["prv.pl",[2198,2199]],["przeclaw24.pl",2200],["przegladkoninski.pl",2201],["przegladpiaseczynski.pl",2202],["przekrojlokalny.pl",2204],["przemysl24.pl",2205],["przepisy.pl",2206],["przewodnicywedkarscy.pl",2207],["przewodnikduchowy.pl",2208],["przychodnia.pl",2209],["ps3forum.pl",2211],["www.ps4forum.pl",2212],["pszczoly.pl",2213],["pukawka.pl",2215],["pulshr.pl",2216],["pulskwidzyna.pl",2217],["pulsmedycyny.pl",2218],["pulspowiatu.pl",2219],["purepc.pl",2223],["encyklopedia.pwn.pl",[2224,2225]],["sjp.pwn.pl",[2225,2226]],["pykownia.pl",2227],["pyszne.pl",2228],["dstar.pzk.pl",2229],["pzkosz.pl",2230],["pzn.pl",2231],["pzps.pl",2232],["queer.pl",2234],["zyrardowskie.pl",2236],["radio90.pl",[2237,2238]],["radiojura.pl",2238],["radioaoi.pl",2239],["radioccm.pl",2240],["radioem.pl",2241],["radioemaus.pl",2242],["radiofest.pl",2243],["radiogol.pl",2244],["radiolodz.pl",2245],["radiopiekary.pl",2246],["radiopik.pl",2247],["radiorodzina.pl",2250],["radiorsc.pl",2251],["radioszczecin.pl",2252],["radiowroclaw.pl",2254],["radioyanosik.pl",2256],["radiozet.pl",2257],["radom24.pl",2258],["radomsko24.pl",2260],["radomsport.pl",[2261,2262]],["raportkolejowy.pl",2264],["rdc.pl",2266],["realmadryt.pl",2268],["redbullmobile.pl",2269],["reedukacja.pl",2270],["regionalna.pl",2271],["zary-zagan.regionalna.pl",2272],["repairlab.pl",2274],["thinkapple.pl",[2277,2480]],["resetoff.pl",2278],["resinet.pl",2279],["resko24.pl",2280],["retailnet.pl",2281],["retrotraktor.pl",2282],["rfbenchmark.pl",2283],["wiadomosci.rii.pl",2284],["ringpolska.pl",2285],["rmf24.pl",2286],["rodzice.pl",2287],["rodzinazdrowia.pl",2288],["roksa.pl",[2289,2290]],["spiz.pl",2290],["rp.pl",2292],["rydzyna24.pl",2294],["ryms.pl",2295],["rynek-turystyczny.pl",2296],["www.rynekelektryczny.pl",2297],["rynekinwestycji.pl",2298],["rzeszow-news.pl",2301],["rzeszowiak.pl",2302],["sad24.pl",2303],["sadistic.pl",2304],["sadnowoczesny.pl",2305],["satinfo24.pl",[2308,2309]],["wmeritum.pl",[2311,2672]],["sci24.pl",2312],["scigacz.pl",2314],["sport.se.pl",2317],["www.se.pl",2318],["seciki.pl",2319],["sekurak.pl",2320],["serialeonline.pl",2321],["sferadomen.pl",2322],["sgforum.pl",2323],["siedlcesiedzieje.pl",2325],["silesia24.pl",2327],["silesiadzieci.pl",2328],["silesiainfotransport.pl",2329],["www.skapiec.pl",2330],["skarzysko24.pl",2331],["zwik.skawina.pl",2332],["skawinska.pl",2333],["skibasport.pl",2334],["skijumping.pl",2335],["skiny.pl",2336],["www.skionline.pl",2337],["skokinarciarskie.pl",2338],["skokipolska.pl",2339],["skomp.pl",2340],["skript.pl",2341],["skrstrzelce.pl",2342],["sky-land.pl",2343],["sledzimykonkursy.pl",2344],["slodkipomysl.pl",2345],["slowka.pl",2346],["www.slupca.pl",2350],["smaker.pl",2351],["smart-test.pl",2352],["sochaczewianin.pl",2354],["socialpress.pl",2355],["porozmawiajmy.tv",2355],["softonic.pl",2357],["solidarnoscarimr.pl",2359],["www.sosrodzice.pl",2360],["speedtest.pl",2361],["topagrar.pl",[2363,2492]],["spiswitryn.pl",[2364,2365]],["yurt.pl",[2365,2741]],["spliff.pl",2366],["sportdziennik.pl",2368],["sportowememy.pl",2369],["sportowepodhale.pl",2370],["sportowo-medyczna.pl",2371],["sportrelacje.pl",2372],["spottedskarzysko.pl",2374],["spryciarze.pl",2375],["sprzedajemy.pl",2376],["sprzedajsuknie.pl",2377],["stacja-tluszcz.pl",2378],["stalenierdzewne.pl",2379],["staleo.pl",2380],["stalker.pl",2381],["stalowemiasto.pl",2382],["start24.pl",2384],["stockwatch.pl",2386],["stoczniowcy.pl",2387],["fta.strefa.pl",2390],["strefacaraudio.pl",2391],["strefadb.pl",2392],["strefagry.pl",2393],["strefainzyniera.pl",2394],["strefakodera.pl",2395],["strefawolnejprasy.pl",2396],["studentka.pl",2397],["www.studiosante.pl",2399],["stw24.pl",2400],["stylunio.pl",2402],["sulecin24.pl",2405],["super-nowa.pl",2406],["zywiec.super-nowa.pl",2407],["super-polska.pl",2408],["superdania.pl",[2409,2410]],["zmianysolarne.pl",2410],["superportal24.pl",2412],["sushi-shop.pl",2415],["suwalki24.pl",2416],["swarzedz24.pl",2417],["swiatbaterii.pl",2418],["www.swiatmotocykli.pl",2420],["swiato-podglad.pl",2421],["swiatseriali.pl",2423],["swidnica24.pl",2424],["gazeta.swiebodzin.pl",2425],["swiece-zaplonowe.pl",2426],["swistak.pl",2427],["szafa.pl",2428],["forum.szafa.pl",2429],["szafiarka.pl",2430],["tygodnik.szczytno.pl",2431],["www.szkola-jazdy.pl",2432],["stowarzyszenie.szn.pl",2433],["sztafeta.pl",2434],["sztuka-wnetrza.pl",2435],["sww.w.szu.pl",2436],["szukacz.pl",2437],["mapa.szukacz.pl",2438],["szukam-ksiazki.pl",2439],["take-kino.pl",2442],["taniabonament.pl",2443],["www.taniaksiazka.pl",2444],["tapeciarnia.pl",2445],["tapenda.pl",2446],["it.tarnow.pl",2447],["tatromaniak.pl",2449],["moj.tauron.pl",2450],["taxiways.pl",2451],["tcz.pl",2452],["tech360.pl",2453],["techmaniachd.pl",2454],["technowinki24.pl",2456],["techpolska.pl",2457],["techsetter.pl",2458],["tekstowo.pl",2459],["telepolis.pl",2464],["teletoonplus.pl",2465],["telewizjanaziemna.pl",2466],["telewizjapolska24.pl",2467],["telewizjarepublika.pl",2468],["telewizjattm.pl",2469],["telewizor.pl",2471],["telix.pl",2472],["temi.pl",2473],["tenpoznan.pl",2475],["teraz-wilanow.pl",2476],["www.terazkrosno.pl",2479],["tibiopedia.pl",2481],["ticketmaster.pl",2482],["tinypic.pl",2483],["tkchopin.pl",2484],["tko.pl",2486],["nowy.tlen.pl",2487],["tojuzbylo.pl",2488],["tylkomedycyna.pl",2488],["audycje.tokfm.pl",2490],["tonaszregion.pl",2491],["torebunia.pl",2493],["tosiedzieje.pl",[2494,2495]],["warszawawpigulce.pl",2495],["tradersarea.pl",2496],["traftu.pl",2497],["travelin.pl",2498],["treningbiegacza.pl",2499],["tripolo.pl",2500],["trojmiasto.pl",[2501,2502]],["trojmiasto.tv",2502],["troman.pl",2503],["trybi.pl",2505],["trynid.pl",2507],["fm.tuba.pl",2509],["tubagliwic.pl",2510],["tubawyszkowa.pl",[2510,2511]],["tubamarek.pl",2511],["tur-info.pl",2515],["tv.pl",2519],["tvdzierzgon.pl",[2520,2521,2522]],["tvmalbork.pl",[2521,2528,2529]],["tvsztum.pl",[2521,2522,2529]],["zulawyimierzeja24.pl",[2521,2522,2529]],["tvgniezno.pl",2523],["tvklodzka.pl",2526],["tvkstella.pl",2527],["www.tvmorag.pl",2530],["tvn24.pl",2531],["tvnwarszawa.tvn24.pl",2532],["tvp.pl",2533],["sport.tvp.pl",2534],["vod.tvp.pl",2535],["tvskierniewice.pl",2536],["tvswietokrzyska.pl",2538],["tvtoya.pl",2540],["tvwlodawa.pl",2541],["twojahistoria.pl",2542],["twoje-strony.pl",2549],["twojecentrum.pl",2550],["twojejaslo.pl",2551],["twojepc.pl",2553],["twojezaglebie.pl",2554],["twojkurierolsztynski.pl",2555],["twojprofesor.pl",2556],["www.tworzywa.pl",2560],["www.tygodnikkepinski.pl",2562],["tygodnikpiski.pl",2564],["tygodnikpodlaski.pl",2565],["tygodnikponidzia.pl",2566],["tygodnikpowszechny.pl",2567],["tygodnikprzeglad.pl",2568],["tygodniksanocki.pl",2569],["tygodniowa.pl",2571],["tylkoastronomia.pl",2572],["tylkonauka.pl",2573],["tysol.pl",[2575,2576]],["polemi.co.uk",[2576,2822]],["ulub.pl",2577],["upcpm.pl",2578],["urbnews.pl",2580],["vampirediaries.pl",2583],["vape.pl",2584],["vbtpc.pl",2585],["vg24.pl",2587],["visitnorway.pl",2589],["vistulabs.pl",2590],["vitalia.pl",2591],["vlepiamy.pl",2592],["vorek.pl",2594],["forum.vw-passat.pl",2596],["w-poblizu.pl",2598],["w203.pl",2599],["w210.pl",[2599,2600]],["wachamksiazki.pl",2601],["wadowice24.pl",2602],["wadowiceonline.pl",2603],["www.wakacje.pl",2605],["wakai.pl",2606],["warka24.pl",2608],["warszawskagazeta.pl",2610],["www.warzywapolowe.pl",2611],["waszaturystyka.pl",2612],["waszdzienpodniu.pl",2613],["wavepc.pl",2615],["citymedia.waw.pl",2616],["saskakepa.waw.pl",2617],["wig.waw.pl",2618],["waw4free.pl",2620],["waznygry.pl",2623],["wbijam.pl",2624],["wbj.pl",2625],["wcograc.pl",2626],["webcamera.pl",2627],["driverm.webd.pl",2628],["webkod.pl",2631],["webmasteruj.pl",2632],["wedkarstwo-lublin.pl",2633],["wedleprawa.pl",2634],["weekendowi.pl",2635],["weranda.pl",2637],["wgospodarce.pl",2638],["whatnext.pl",2639],["whatsnext.pl",2640],["whitemad.pl",2641],["wiadomosci24.pl",2642],["wiadomoscidebickie.pl",2643],["wiadomoscipw.pl",2646],["wiadomosciwarminskie.pl",2647],["widzewiak.pl",2649],["wieleliter.pl",2650],["wielkahistoria.pl",2651],["wielkiebudowanie.pl",2652],["kocham.wielun.pl",2653],["wiescipolickie.pl",2654],["wiescirolnicze.pl",2655],["wiescisokolowskie.pl",2656],["wikirose.pl",2657],["wimieprawdy.pl",2658],["showup.tv",[2660,2814]],["www.wiocha.pl",2661],["wirtualnyelk.pl",2664],["wirtualnyregion.pl",2667],["wislaportal.pl",2668],["wizjalokalna.pl",2670],["wkopi.pl",2671],["wmzpn.pl",2673],["wolna-polska.pl",2674],["worldcam.pl",2675],["sportowefakty.wp.pl",[2678,2686,2701]],["avent-ugrow.wp.pl",2682],["bycjakmodelka.wp.pl",2683],["dom.wp.pl",2684],["facet.wp.pl",[2684,2685]],["film.wp.pl",[2684,2685]],["gry.wp.pl",[2684,2686]],["ksiazki.wp.pl",[2684,2691]],["kuchnia.wp.pl",[2684,2692]],["opinie.wp.pl",[2684,2686,2695]],["tech.wp.pl",[2684,2685,2686,2689]],["wawalove.wp.pl",2684],["wroclaw.wp.pl",2684],["pogoda.wp.pl",[2686,2698]],["tv.wp.pl",[2686,2704]],["fitness.wp.pl",2687],["magazyn.wp.pl",2693],["pilot.wp.pl",2696],["poczta.wp.pl",2697],["portal-abczdrowie.wp.pl",2699],["profil.wp.pl",2700],["swieta.wp.pl",2702],["zywotziemniaka.wp.pl",2708],["wpolityce24.pl",2710],["wprost.pl",2712],["wpu24.pl",2713],["wrp.pl",2716],["wspomnijbliskich.pl",2718],["wszystkojestwglowie.pl",2719],["wszystkookotach.pl",2720],["wtk.pl",2722],["wtkplay.pl",2723],["wynagrodzenia.pl",2726],["wysokomazowiecki24.pl",2728],["wyspagier.pl",2729],["wyspiarzniebieski.pl",2730],["wyszkowiak.pl",2731],["wyznacz.pl",2732],["xfinanse.pl",2734],["xgm.pl",2735],["xiegarnia.pl",2736],["xlomza.pl",2737],["laboratoria.xtech.pl",2738],["yafud.pl",2739],["yellowpages.pl",2740],["z4y.pl",2742],["gornik.zabrze.pl",2743],["zadanie.pl",2744],["zamow-reklame.pl",2746],["zaufanatrzeciastrona.pl",2747],["zawiercie112.pl",2749],["zdrowiewkrakowie.pl",2750],["zegarkiclub.pl",2751],["zepsute.pl",2752],["zespolmi.pl",2753],["zgizycka.pl",2754],["zielonyogrodek.pl",2755],["ziemniak-bonin.pl",2757],["zinfo.pl",2758],["zizako.pl",2759],["zlota7.pl",2760],["zlotoryjska.pl",2761],["zmianynaziemi.pl",2764],["zmiksowani.pl",2765],["zory24.pl",2766],["zpazurem.pl",2767],["zrabatowani.pl",2768],["zs-krzyz.pl",2769],["zszywka.pl",2770],["zwiedzamyparyz.pl",2773],["zwierciadlo.pl",2774],["zwolen24.pl",2775],["zyciebytomskie.pl",2777],["zycietoprzygoda.pl",2780],["zyczenia.pl",2781],["zyczeniowo.pl",2782],["zywiecinfo.pl",2783],["forum.dvhk.to",2784],["podaj.to",2785],["4fun.tv",2788],["alltube.tv",2789],["arka.tv",2790],["chorzow.tv",2791],["darmowe.tv",2792],["debica.tv",2793],["echo24.tv",2794],["efilmy.tv",2795],["elka.tv",2796],["miedziowe.tv",2796],["filmyporno.tv",2797],["gloria.tv",2799],["hqq.tv",2800],["interia.tv",2801],["itvwisla.tv",2802],["karmnik.tv",2803],["kreskowki.tv",2804],["lulek.tv",2806],["maniak.tv",2807],["miedzyzdroje.tv",2809],["muzykazreklam.tv",2810],["polnocna.tv",2811],["privatestream.tv",2812],["sokolka.tv",2815],["videowood.tv",2817],["weeb.tv",2818],["wielkopolska.tv",2819],["wkinie.tv",2820],["zebrra.tv",2821],["cyber-sport.us",2823],["playtube.ws",2824]]);

const entitiesMap = new Map(undefined);

const exceptionsMap = new Map([["lubartow24.pl",[0,593]],["browargrodzisk.com",[1]],["akademikpersonel.org",[2]],["avclub.gr",[2]],["csbydgoszcz.pl",[2]],["forodecostarica.com",[2]],["file-upload.com",[3]],["facebook.com",[3]],["pi.hole",[3]],["finn.no",[3]],["joemonster.org",[4]],["hokej.net",[4]],["kakto.pl",[5]],["agatameble.pl",[5]],["ccc.eu",[5]],["redcoon.pl",[5]],["m3esolutions.com",[6]],["sloworegionu.pl",[6]],["4active.eu",[6]],["valida.pl",[6]],["foodprint.pl",[6]],["roztoczanskipn.pl",[6]],["24jgora.pl",[7]],["24wroclaw.pl",[7]],["bbfan.pl",[7]],["bp24.pl",[7]],["e-sochaczew.pl",[7]],["egarwolin.pl",[7]],["egorzow.pl",[7]],["ekspresjaroslawski.pl",[7]],["goral.info.pl",[7]],["iochota.pl",[7]],["iotwock.info",[7]],["iskierniewice.pl",[7]],["izyrardow.pl",[7]],["jaworzno.biz",[7]],["kartuzy.info",[7]],["koscierski.info",[7]],["kurierbytowski.com.pl",[7]],["kurierpodlaski.pl",[7]],["lowicz24.eu",[7]],["mylomza.pl",[7]],["nswiecie.pl",[7]],["ool.ru",[7]],["pulsgdanska.pl",[7]],["skarzyski.eu",[7]],["szydlowiecki.eu",[7,11]],["tulegnica.pl",[7]],["turyki.pl",[7]],["zambrow.org",[7]],["plonskwsieci.pl",[8]],["rp5.ua",[9]],["rp5.ru",[9]],["webcamera.pl",[9]],["szczecinek.com",[10]],["olneo.pl",[10]],["wirtualnemedia.pl",[10]],["radekcholewinski.pl",[10]],["github.com",[10]],["dlawas.info",[10]],["alaev.net",[10]],["wykop.pl",[10]],["www.wykop.pl",[11]],["astrosalus.pl",[477]],["przegladsportowy.pl",[477,589,590,591,592,593,594,599]],["medonet.pl",[477,591,592,593,599]],["fakt.pl",[477,585,590,591,592,593,594,599]],["forbes.pl",[477,590,591,592,593,594,599]],["auto-swiat.pl",[477,590,591,592,593,594,599]],["noizz.pl",[477,590,591,592,593,594,599]],["plejada.pl",[477,590,591,592,593,594,599]],["businessinsider.com.pl",[477,590,591,592,593,594,599]],["komputerswiat.pl",[477,590,591,592,593,594,599]],["onet.pl",[477,590,591,592,593,594,599]],["uwaga.tvn.pl",[477,589]],["selectshop.pl",[477]],["m.olx.pl",[580]],["pepper.pl",[582]],["allegro.pl",[583,595]],["dipp.pl",[583]],["motobanda.pl",[583,593]],["esanok.pl",[584]],["brzozow24.pl",[584]],["bukowsko24.pl",[584]],["jaslo24.pl",[584]],["rzeszow24.pl",[584]],["strzyzow24.pl",[584]],["tvpodkarpacie.pl",[584]],["ustrzyki24.pl",[584]],["zagorz24.pl",[584]],["zarszyn24.pl",[584]],["tvkrosno.pl",[584]],["filmweb.pl",[586,589,594]],["istotne.pl",[587]],["tatromaniak.pl",[588]],["lowcygier.pl",[588]],["otodom.pl",[589,594]],["wpolityce.pl",[589]],["hardcorowo.pl",[589]],["fakro.pl",[589]],["dziennikwschodni.pl",[589,594]],["galilu.pl",[589]],["meczyki.pl",[589]],["milmag.pl",[589]],["natemat.pl",[592]],["polsatnews.pl",[593]],["polsatsport.pl",[593]],["twojapogoda.pl",[593]],["comperia.pl",[593,594]],["wp.pl",[593]],["dobreprogramy.pl",[593]],["duathlonradwanice.pl",[594]],["elita-magazyn.pl",[594]],["eurogamer.pl",[594]],["ferrarikatowice.pl",[594]],["franczyzawhandlu.pl",[594]],["gry-online.pl",[594]],["halowies.pl",[594]],["mapa-turystyczna.pl",[594]],["mediaexpert.pl",[594]],["naswieczniku-blog.pl",[594]],["obalamyglupote.pl",[594]],["otomoto.pl",[594]],["playpuls.pl",[594]],["poczta.interia.pl",[594]],["polskieszlaki.pl",[594]],["pornohd.pl",[594]],["profitechnika.pl",[594]],["sadnowoczesny.pl",[594]],["santander.pl",[594]],["sekurak.pl",[594]],["semtalk.pl",[594]],["topagrar.pl",[594]],["trojmiasto.pl",[594]],["tv6.com.pl",[594]],["tvp.pl",[594]],["tygodnik-rolniczy.pl",[594]],["warzywaiowoce.pl",[594]],["wiadomoscihandlowe.pl",[594]],["wiadomoscikosmetyczne.pl",[594]],["przelewy24.pl",[595]],["zaq2.pl",[595]],["docer.pl",[595]],["dpd.com.pl",[595]],["scp-wiki.net.pl",[595]],["swiat-magii.pl",[595]],["portable.info.pl",[595]],["konsoleigry.pl",[596]],["megadyskont.pl",[596]],["wtkplay.pl",[597]],["epoznan.pl",[597]],["katywroclawskie.pl",[598]],["rozklad-pkp.pl",[598]],["gwarant.czest.pl",[598]],["sukniaonline.pl",[598]],["pepco.pl",[598]],["vod.pl",[599]],["www.cba.pl",[822]],["archiwum.wiesci.com.pl",[953]],["geekweek.interia.pl",[1499]],["www.prv.pl",[2199]],["sport.se.pl",[2315]],["www.se.pl",[2315]],["superseriale.se.pl",[2315]],["pilot.wp.pl",[2677,2681]],["poczta.wp.pl",[2677]],["www.wp.pl",[2678,2679,2680,2681]],["wideo.wp.pl",[2679]]]);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
