/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2019-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

/* jshint esversion:11 */

'use strict';

// ruleset: rus-0

/******************************************************************************/

// Important!
// Isolate from global scope
(function uBOL_cssSpecificImports() {

/******************************************************************************/

const argsList = ["#vkMsg,\ndiv[class*=\"notifier_baloon_\"],\ndiv[id$=\"notifiers_wrap\"],\ndiv[id^=\"vk_ads_\"]","[href*=\"://redir.wargaming.net/\"]","[href*=\"media.hubfiles.gdn\"]","a[href*=\"&utm_medium=cpa\"][target=\"_blank\"]","a[href*=\".converteam.online\"]","a[href*=\".refocus.ru\"][target=\"_blank\"]","a[href*=\".yvok.ru\"]","a[href*=\"//admag.pro/\"]","a[href*=\"//mobiads.ru/\"]","a[href*=\"//ukrmedia.center/\"]","a[href*=\"/advtise.net\"]","a[href*=\"/bodyclick.net\"]","a[href*=\"/luckproducti.ru\"]","a[href*=\"/maniya.info\"]","a[href*=\"/relap.io/adv/\"]","a[href*=\"/rikkobr.com\"]","a[href*=\"/skiles.link\"]","a[href*=\"/starinform.ru\"]","a[href*=\"/traforet.com\"]","a[href*=\"101xp.com/?utm_source=ad\"]","a[href*=\"1xwgn.xyz\"]","a[href*=\"2di.site\"]","a[href*=\"://clickio.com/\"]","a[href*=\"://gdz-ru.work/\"]","a[href*=\"://mediasyndicate.ru\"][href*=\"banner\"]","a[href*=\"://mt-pbs.te.ua\"][target=\"_blank\"] > img","a[href*=\"://rotagmbetdog.xyz/\"]","a[href*=\"://smi.expert/\"]","a[href*=\"://smi.today/\"]","a[href*=\"://vsesdal.com/promo/\"]","a[href*=\"://winline.ru\"]","a[href*=\"abs-cdn.org\"]","a[href*=\"actionteaser.ru\"]","a[href*=\"adbid.biz\"]","a[href*=\"adsmedia-provider.com\"]","a[href*=\"advclicks.net\"]","a[href*=\"advert-content.com\"]","a[href*=\"aff-ads.com\"]","a[href*=\"autochetki.ru\"] img","a[href*=\"bigleads.ru\"]","a[href*=\"binomo.com/promo\"] > img","a[href*=\"catcut.net\"]","a[href*=\"cpagette.com\"]","a[href*=\"cpagetti.com\"]","a[href*=\"cpagettio.com\"]","a[href*=\"cpaggetti.com\"]","a[href*=\"cpaggetti.ru\"]","a[href*=\"cpamatica.com\"]","a[href*=\"direct\"][href*=\"advert.ru\"],\niframe[src*=\"directadvert\"]","a[href*=\"download-center.club\"]","a[href*=\"globalteaser.ru\"]","a[href*=\"incrypted.net\"][href*=\"banner\"][target=\"_blank\"]","a[href*=\"installoffer.net\"]","a[href*=\"leadadvert.ru\"]","a[href*=\"lenkmio.com\"][target=\"_blank\"]","a[href*=\"marathonmirrorbet.com\"]","a[href*=\"medicinetizer.ru\"]","a[href*=\"news-network.ru\"][target=\"_blank\"]","a[href*=\"newsnetwork.ru\"][target=\"_blank\"]","a[href*=\"novostimira.biz\"]","a[href*=\"omnicpa.ru\"]","a[href*=\"onetwoaffiliates.com\"]","a[href*=\"people-group.su\"]","a[href*=\"promoheads.com\"]","a[href*=\"reals-gooods.ru\"]","a[href*=\"recreativ.ru\"]","a[href*=\"redtram.com\"]","a[href*=\"rootmedia.cc\"]","a[href*=\"runetki.com\"]","a[href*=\"teasermoney.com\"]","a[href*=\"tizerclick.com\"]","a[href*=\"tovar.helloprice.ru/click/\"]","a[href*=\"trafmag.com\"]","a[href*=\"true-gooods.ru\"]","a[href*=\"universallnk.com\"]","a[href*=\"www.nnn.ru\"]","a[href*=\"wwwapteka.info\"]","a[href*=\"zen.yandex.\"] > img:not([src*=\"gstatic.com\"]):not([onload*=\"google\"]):not([jsaction])","a[href^=\"http://amigo-source.website/\"]","a[href^=\"http://amigoman.pw/\"]","a[href^=\"http://amigone.pw/\"]","a[href^=\"https://20idei.ru\"] > *","a[href^=\"https://bither.one/\"]","a[onclick*=\"media-rotate.com\"]","a[onclick*=\"reklamka.ru.net\"]","form[action^=\"//12go.asia/\"][target=\"_blank\"] > .powered","iframe[src*=\"//kwork.ru/api/widget/\"]","iframe[src*=\"//sass.com.ua/\"]","iframe[src*=\"/adnetpartner.com\"]","iframe[src*=\"/uniontraff.com\"]","iframe[src*=\"://match-center.playmaker24.ru/\"]","iframe[src*=\"bongacams.com\"]","iframe[src*=\"giraff.io/\"]","iframe[src*=\"steambets.net/\"]","iframe[width=\"240\"][height=\"400\"]","img[width=\"468\"][height=\"60\"]","noindex a[href^=\"http://www.westmister.eu/collection/\"], noindex a[href^=\"http://www.westmister.eu/collection/\"] ~ *","a[href*=\"://smi2.ru/newdata/news?ad=\"]","a[href*=\"://smi2.ru/newdata/news?ad=\"] *",":not(obhod-adblocka)","#adbtm","#ads",".banner","#banner",".loading",".flb,\n.plb",".footer-lb,\n.player-lb","#sidebar > .banners-list > :not([id^=\"email-\"])",".brand-top",".main-banner-wrapper","body > a[href][target=\"_blank\"]",".awd-hidden-phone",".card-placeholder,\napp-block-widget-banner",".bung-container","#FheaderContent > #archiveString ~ div[id]:not([class]):not([id=\"forecastShort\"]),\n#content-wrapper > #content ~ div[id]:not([id=\"mapa\"])","div:has(> ins)",".adbn2-wrap2",".fbOverlay","div[align=\"center\"] > a[href] > img[src*=\".gif\"]","[src*=\"/public/banner/\"]","#topbanners_bg","div[id*=\"banner\"]",".ads",".banner-wrapper","#ipsLayout_mainArea > center[style],\n#rightBanners,\n.okus_top","#videorekframe",".facebook-bg, .facebook-window","div[class*=\"banner\"]","[class^=\"brand\"],\n[id^=\"bg_banner_link\"],\na[href^=\"/banner.php\"],\nobject[data*=\"banner\"]",".blockreklam","#js-dialog-social-overlay","#leftcolon,\n#rightcolon",".adv","*",".rightbar__reklama",".tiled_cap,\ndiv[id][class][style=\"min-height:150px\"]","div[class]:has(> a[title] ~ a[title] > div[class])","body > div[id^=\"brands\"]",".bs-vc-sidebar-column > div > div:has([id^=\"yandex_rtb\"]),\n:not(.sidebar) > .widget_text",".sidebar > .widget_text ~ .widget_text",".ban1",".ban2",".top-banner","[id^=\"unit_\"]",".ab-fade,\n.widebanner","div[id^=\"promo_banner\"]","[id*=\"Banner\"]",".bounceIn.hola.attention",".art_dzen,\ndiv[class^=\"bnmd_\"],\ndiv[id^=\"dm_bnr\"]","noindex","body > [onclick]",".banner_top","div[id^=\"slot-\"]",".movie-full > noindex","div[class*=\"tizer\"]","a[href*=\"goo.gl\"]",".full-news td[bgcolor]",".right-col > .right-block-title,\ncenter > .right-block-title","body > [id][style^=\"z-index\"]","#dle-content > a[href] > img","div[class^=\"right\"] .ramka1:has(noindex)",".rek",".adv-player",".good-target","div[style] > a[href]:not([href^=\"/\"]):not([href^=\"https://mozaika.biz/\"]) > img,\ndiv[style]:has(> a[href]:not([href^=\"/\"]):not([href^=\"https://mozaika.biz/\"]) > img)",".onesongblock-download",".onesongblock-rbt",".playlist-ad",".forumlink","#parent-erocritic","#sidebar > .widget:has([href*=\"//pwnd.cx\"]),\n#sidebar > .widget:has([href*=\"utm_\"][target=\"_blank\"]),\n.add-link,\n.block_left,\n.block_right,\n.section_spoiler,\nbody > div[class^=\"spu-\"]",".crymoreb","a[href*=\"banner\"][target=\"_blank\"]",".pw-rkl-section,\n.side-rkl-section","iframe[src*=\"banner\"]","#latest_news > div,\n#main_content_wrap > #latest_news > table[width=\"100%\"] > tbody > tr > td[width=\"100%\"] ~ *,\n#main_content_wrap > #latest_news > table[width=\"100%\"] > tbody > tr ~ *,\n#main_content_wrap > table[width=\"100%\"] > tbody > tr > td[width=\"100%\"] ~ td,\n#page_footer .vBottom[style],\n#page_header > div[style^=\"position:\"] > a[href][target=\"_blank\"],\n#pl-speedbar,\n#tor-fl-bgn,\n.forums tr[id^=\"f-\"]:has(.topic_icon[src$=\"/folder_lock.gif\"]),\n.med.bordered.attach > tbody > .tCenter ~ .tCenter + tr,\n.med.bordered.attach > tbody > tr.row1 ~ .row3,\n.med.bordered.attach > tbody > tr.row1 ~ .row3 ~ *,\n.rk,\n.tCenter.nowrap.mrg_12,\n.tCenter.nowrap.mrg_12 + div[style],\n[id*=\"adriver\"],\na[href*=\"toy69.ru\"],\na[href*=\"vsexshop.ru\"],\ndiv[id^=\"bn-\"]",".forabg div[class][style*=\"cursor\"]","#rekl-center",".r21,\na[href*=\"bear\"],\ndiv[class^=\"r\"][style*=\"height:\"],\ndiv[class^=\"r711\"],\ndiv[style^=\"background-color: rgb(204, 0, 0)\"]",".br",".shoppy_offers",".ipsA1d","body > .js-div:empty","[id^=\"oframe\"] > pjsdiv:has(> pjsdiv > img[src$=\"/adblock.png\"])",".download_inner,\n.reset > li > a[target=\"_blank\"]",".Advertising","a[href=\"http://vsofte.biz/rel.html\"]",".block-body > .mr_first_post,\n.f_op,\n.p-body-inner > .notices,\n.sotka,\n.sponsor-banners",".PanelScroller,\n.funbox",".samBannerUnit",".samCodeUnit",".topb",".ipsAd123,\n.ipsAd123 + div[align=\"center\"],\n[id^=\"numlink\"],\na[href*=\"promotion&section=adclick\"],\nbody > div[class^=\"simplemodal\"]",".ad","a[target=\"_blank\"] > img[src*=\"/outbyte/\"]","html.html-mobile div[class$=\"__inner--custom-width\"],\nhtml.html-mobile div[class*=\" false\"],\nhtml.html-mobile div[class*=\"--hideable\"],\nhtml.html-mobile div[data-banner-place-id]",".big-ad-animation-box",".small-white-block",".banner_box","div[id^=\"banner-slider-\"]",".code-block",".header__banner","a[href*=\"//zen.yandex.ru/\"]",".adFoxBanner","a[href*=\"://redirect.2gis.com/adv/\"]",".stream-item",".widget_text",".article-content + .card-wrapper,\n.aside-promo,\n.r-header-wrapper,\ndiv[class^=\"r-block\"]",".branding","a[href*=\"utm_campai\"]",".av-branding-bottom,\n.av-branding-top,\n.break,\n.show-on-desktop",".--advert",".right_banner",".top_banner",".redTram,\n.region-sidebar-second-inner > .block ~ .block .rtecenter","a[href*=\"//dzen.ru/\"]",".news-detail > .animate.content ~ div[id]",".front-widgets,\n.sidebar-content a[href][target=\"_blank\"] > img",".market-link",".bans","a[href*=\"zen.yandex.ru\"]","#page::after","a[href*=\"banner\"]","[data-banner-id]",".adv_test",".adb","iframe[src*=\"/delivery/afr.\"]",".brandLink,\n.brandingBottom,\n.brandingTop","div[class^=\"banner\"]","body.blocked > #modalCookies,\nbody.blocked > div[class*=\"modal-overlay\"]",".advertisements,\n.custom-html-widget > a[target=\"_blanck\"]",".infTable.goods-list","#cookiesAgreementNotice","#full-top-layout,\n#top-layout,\n.template:has(> .template-content > .template-block > div > script),\ndiv[data-class-name=\"ads_engine\"]",".bookgDiv,\na[href*=\"://betonmobile.by\"]","a[href*=\"/bookmaker\"]",".placeholder",".column2 > .section-rss",".section-media",".sticky > .section,\n.top-media-placeholder","div[class^=\"stopblock\"]","#atvcap,\n#rhs_block .xpdopen div[data-ved] > .mod:not([data-attrid]),\n.VkpGBb:has(.gghBu),\n.cu-container > div[class*=\"commercial-unit\"],\n.rlfl__tls > div[jstcache]:has(.gghBu)","div[class*=\"baner\"]","#banner_top",".partners",".side-banner",".b-card__sale,\n.b-catalog-table__sale","#main-sidebar > .widget_custom_html:last-child","a[href*=\"infobank.by/modules/astat/click.aspx\"][target=\"_blank\"],\ndiv[id*=\"swiffycontainer\"]",".wrBanerPlace noindex","div[class^=\"banner_\"]","div[data-banner-class]",".banner-header","div[class^=\"banner\"][class$=\"rightSide\"] > .banner:nth-of-type(1)",".col-partner-offers","#right-banner-container,\ndiv[id^=\"surveys\"]","body[class*=\"modal-\"] > [class^=\"modal\"]","div[class*=\" styles_empty_collapse\"],\ndiv[data-container-id]","#content div[class]:not([id]):has(> [id^=\"adfox_\"]:first-child)","[data-name=\"ad_in_listing\"] > article:has(> div > [id^=\"adfox_\"])","#node-banners,\n#page > .region-secondary-content,\n.region-top-banner","#dbtn2","aside[id^=\"banner-\"]","#bodysubcont > div[style^=\"padding\"]:not([id]):not([class]),\n.bdiv","#slider_content,\na[rel=\"nofollow\"][target=\"_new\"][href^=\"/ref&url=\"]",".teasers",".bottom-bnr,\n.brn-container,\n.zen-subscribe-container",":not(.blinks) > .ad",".custom-html-widget > a[href][target=\"_blank\"][rel=\"noopener noreferrer\"],\n.mn-a-rec,\n.zen-block-wrapper",".advertising-widget",".center-special,\n.video_advert_block,\na[href^=\"/redirect.php?bid=\"],\ndiv[class^=\"super_context\"]","div[class*=\"banners\"]",".alfa-promo-btn,\n.bg-light-blue,\n.r-sidebar > .own-placement,\n.showcase-aside.hidden-xs",".article__banner",".main_logo_carusel","a[href^=\"https://www.alibi.by\"]","a[href][target=\"_blank\"] > img[src^=\"/img/ban\"],\na[href][target=\"_blank\"]:not([href^=\"/\"]):not([href^=\"https://nb.by/\"]) > img[width=\"100%\"],\nbody > .container > div[style=\"background-color:#dfe0e1\"]","[class^=\"side-banner\"]",".main-branding-bg-link,\n.nn-banner",".bnr-top-wide,\n.news-incut_position_right,\n.news-media__preview > a:not([href*=\"onliner.by/\"]) > img,\n.news-promo:has(> .news-promo__details),\n.news-text > * > a[href^=\"https://catalog.onliner.by/\"][href*=\"utm_\"],\n.news-text > .news-media a[href^=\"https://catalog.onliner.by/\"],\n.news-tidings__item.js-closable,\n.news-widget,\na[href*=\".betera.by\"],\na[href*=\".pm.by\"],\na[href*=\"voka\"][href*=\"utm_\"],\nimg[src=\"https://content.onliner.by/news/1100x5616/eb7d2f564b229c0da9f39ec11eb7d529.png\"]",".news-banner","a[href*=\"bit.ly\"]",".important.b-fleamarket__right-block","div[id*=\"yandex_ad\"]","#parimatch-widget .b-main-page-result__list,\n.adfox-banner-background,\n.b-tiles-banner,\n.b-tiles-outer_special,\n[class*=\"megabanner\"],\nheader > a[href*=\"utm_\"]",".b-renommee__wrap","#top-banner-block,\n.banner-cube","#animation_container","#left > .HR[align=\"right\"] ~ *,\ndiv[style*=\"width:240px; height:400px;\"]","a[href^=\" https://vk.com/look_up_potolki\"],\naside#sidebar > a[href],\nbody > #container > div[style]",".top_brand","div[id^=\"banObject\"]","div[class^=\"adsensepost\"]",".hbaner,\ndiv[class^=\"sidebar-\"] > div[id^=\"media_image-\"]",".csc-textpic:has(> .csc-textpic-imagewrap > a > img[src*=\"realt.by/uploads/pics/bsb-bank_mechty_\"])",".S617e090e7e,\ndiv[class$=\"-BlockDetect\"],\nmain > div:first-child:empty + div:not([class]) > div > div","body > div:not([id]):not([class])[style^=\"position\"][style*=\"background\"][style*=\"z-index\"]",".left_col",".r_col > center,\n.r_col > div[style]","a[href*=\"://reklama.tut.by/\"]",".min-height-200px","#TopBox,\n.side_banners",".widget_media_image","#content > .block:has(a[href][target=\"_blank\"] > img),\n.block:has(.adsbygoogle),\n.block:has([id^=\"yandex_rtb\"]),\n.sidebar > .block:has(a[href][target=\"_blank\"] > img),\na[class^=\"adv-\"][class$=\"-link\"]",".banners",".header-reclame,\n.rekblockr","#banner_750,\n.themaBannerPlace","#topbn,\n.column_banner-wrap","#marketWidget,\n#rightLinksBlock,\n.b-aditem,\n.b-hota,\n.b-mainbanner,\n.b-prmplace,\n.branding > a,\n.branding_bottom_links,\n.branding_top_links,\n.impl-vscroll-container[style=\"max-height: 1200px;\"],\n.m-topic-tam, .m-topic-tam ~ div,\n.prom-l,\n.prom-r,\n.reklama_links,\n.rubric-brand,\n.top-offer,\n.top_brand_links,\na[href*=\"://preved.tut.by/?clickid=\"],\nbody > div[style*=\"position: fixed;\"][style*=\"right: 0;\"],\ndiv[data-atom-marker=\"kupi_block\"],\ndiv[data-io-title=\"Новости компаний\"]",".banner-place",".mm-main",".b-alpari,\n.tbl-lite > tbody > tr.clickable ~ tr:not(.clickable),\n.tbl-lite > tbody > tr[onclick] ~ tr:not([onclick])",".branding-top",".b-widget",".m-market,\n.search-i > .b-results-list:first-child:not([start])","#article_body > .TitledImage,\na[href*=\".pm.by/\"],\na[href*=\"://pm.by/\"]",".b-top + #resource_block,\n.l-main > .b-top + .b-top",".block-velcompany",".dmi-header-ads,\ndiv[class*=\"ads-placement\"]",".zen-sector","#sidebar-first object",".bonus-btn,\n.header__bonus,\ndiv[id^=\"bookmaker_\"]","a[href*=\"//ads.adfox.ru/\"]","#banner.b-banner__content,\n.Ad > .Ad-Container ~ .Ad-Spinner,\n.AdvRsya-Slot,\n.Root > .ECommerceCarousel,\n.VideoViewer .Viewer-ScrollContainer > div[class]:first-child > div[id][class]:first-child:empty + div,\n.adv_pos_compare-bottom,\n.adv_pos_compare-side,\n.adv_pos_popup,\n.b-direct,\n.b-spec-adv,\n.b-yabrowser-promo,\n.blocks-grid__item_static > .direct_type_stripe,\n.container__banner,\n.content.i-bem > .body__topblocks,\n.content__right > .z-market_right_yes,\n.direct-view,\n.dist-overlay__popup,\n.forecast-details > .card:has(> [class*=\"adv\"]),\n.i-bem.adsrv,\n.i-bem.b-timetable__row[onclick*=\"awaps\"],\n.i-bem.stripe_type_promo,\n.i-bem.tv-grid__item-adv,\n.i-bem.tv-sortable-item.tv-sortable-item_sortable_no,\n.masonry .incut_banner,\n.scroller__wrap > .showcase__item:has(.product-card__direct),\n.search-advert-badge__advert,\n.search-list-view__advert-offer-banner,\n.search-results__guadeloupe,\n.serp-adv__add,\n.serp-adv__all,\n.serp.main__carousel .Label_theme_direct,\n.sidebar-container ._id_branding_tele2,\n.sidebar-container .card-providers-view__item._big,\n.sidebar-container .search-advert-badge,\n.sidebar-container a[class*=\"_id_campaign_\"],\n.sidebar-container div[class^=\"banner-placeholder\"],\n.sidebar-view .business-advert-view,\n.sidebar-view div[style*=\"!important\"]:not([style*=\"font-size\"]),\n.spec-adv,\n.stack [class*=\"sticky\"][class*=\"banner\"],\n.stack [id*=\"sticky\"][id*=\"banner\"],\n.stack div[class*=\"modal\"][class*=\"-R-A\"],\n.stat_pixel_yes[onclick][class*=\"_layout_\"][class*=\"_format_\"],\n.turbo-advert__loader,\n.weather-maps__ad,\na[href^=\"/maps/\"][href*=\"/tinkoff_has_offer\"],\nbody > .popup[data-bem*=\"https://yabs.yandex.ru/count/\"],\nbody > .route-tip-view,\nbody[class*=\"b-page_alt-widgets_yes\"] .feed ._need-stub,\ndiv[aria-label=\"Реклама\"],\ndiv[class*=\" news-\"][class$=\"_mode_daas\"],\ndiv[class*=\"VideoViewer-Block\"] > .VideoPlayerMetaInfo ~ div:has(> div[id]:empty),\ndiv[class*=\"cl-teaser cl-teaser_card cl-teaser_fixed\"] ~ div[class=\"cl-teaser cl-teaser_card cl-teaser_fixed\"],\ndiv[class*=\"sidebar\"] > .direct-snippet,\ndiv[class^=\"b-spec-adv\"],\ndiv[data-block=\"banner-view\"],\nhtml[class*=\" Theme_color_news-\"] div[class*=\"_type_native\"] [class*=\"_type_card\"]:has(> div > div:empty),\nimg[src*=\"yandex.net/get-direct\"]","#rsya-guarantee,\n.DirectInline,\n.DirectSnippet,\n.Organic_withPromoOffer,\n.content__left > #search-result > li:has(> .Organic_withPromoOffer),\n.content__right div[class][data-log-node]:has(.DirectInlineContainer),\n.content__right div[class][data-log-node]:has(> div > script),\n.layout__banner,\n.main__distr-popup,\n.serp.main__carousel:not([data-bem*=\"collectionId\"]),\n[data-vnl*=\"rsya_guarantee\"],\ndiv[class*=\"Images\"] .SimpleSkeleton,\ndiv[class*=\"Images\"] div[class*=\"-Card_bottomAdv\"],\ndiv[class*=\"Images\"] div[class*=\"_filled\"][style^=\"max-width:\"],\ndiv[class=\"serp-item RsyaGuarantee\"],\ndiv[id*=\"Images\"] .SimpleSkeleton,\ndiv[id*=\"Images\"] div[class*=\"_filled\"][style^=\"max-width:\"]",".link-bro","[class*=\"mini-suggest__item\"] > a[href*=\"://yabs.yandex.\"][href*=\"/count/\"],\n[class*=\"mini-suggest__item\"] > a[href*=\"://yandex.\"][href*=\"/clck/\"],\n[class*=\"mini-suggest__item\"] > a[href][target=\"_blank\"]",".afisha-profit-banner,\ndiv[class$=\"-banner\"],\ndiv[data-bem*=\"height\"][data-bem*=\"R-A-\"],\ndiv[id][style=\"display: block; position: static; opacity: 1;\"],\ndiv[style^=\"width:100%;height:2\"][style$=\"px;display:block\"]",".awaps__banner,\n.software-header-promo,\na[href][style*=\"storage.mds.yandex.net/get-bstor/\"],\ndiv[class^=\"direct\"]:not([class^=\"directory-content\"])","[target][class*=\"fullscreen-banner\"],\ndiv[class^=\"direct-public\"]",".js-doc-html > div[class^=\"pages_\"] > div[class]:empty,\n.with-bottom-direct > div[class] > div[class]:empty","[data-key=\"box=left-box\"]:has(> [data-key=\"view=react-left-column\"] + div:empty) a[href*=\"/premium-\"],\ndiv[class*=\"DirectLine\"]",".layout_type_search.headline__footer,\ndiv[data-zone-name=\"direct-ads-gallery\"]",".bar__driver-container,\n.page-root > .d-overhead,\n[class^=\"audio-advert\"],\nbody > div[style^=\"min-height\"] > .notify,\nbody > div[style^=\"min-height\"] > .notify *,\ndiv[class*=\"sidebar\"] .no-ads",".slider > .slider__item_advert",".notify",".Direct,\n.SearchSegments__row:has([class*=\"banner\"]),\n.SearchSegments__row:has([id*=\"banner\"]),\n.ThreadLayout__topDirect",".sidebar-direct",".zen","#mount main > div[class^=\"content__\"] > .content__main ~ div[class*=\"content__\"] > *,\n#mount main > div[class^=\"content__\"] ~ div:not([class^=\"content__\"]):not(.zen):not(.bread-crumbs) > *,\n.main-controller__grid-wrapper > [class*=\"grid_period_\"] ~ * > *,\n.page_controller_channel main.content > div[class]:first-child > div:first-child[style*=\"background-image\"],\n[class*=\"grid_period_\"] > div[class] > div[class^=\"grid__\"] ~ div:not([class^=\"grid__\"]),\nbody > #mount > div[class] > :not(header):not(main):not(footer):not(.metrika-loader),\ndiv[class*=\"adv-manager\"],\nscript[nonce] + script[nonce] + div[class]","#dle-content > .news:has(> .news_text :not(.text_spoiler) > a:not([href^=\"/\"]):not([href*=\"anistar.org/\"]):not([href*=\"astar.bz/\"]):not([href*=\"online-star.org/\"]):not([href*=\"online-stars.org/\"])),\n#dle-content > .news:has(> .news_text object),\n.content-pravo > .news-list ~ div[class^=\"center\"],\n.right-panel-bottom > .favorites ~ span,\n[href*=\"://r.advg.agency/\"],\na[href*=\"://litmarket.ru/\"],\na[onclick^=\"if(typeof yaCounter\"],\niframe[src*=\"banner\"]:not([src^=\"https://vk.com/widget_comments.php\"])",".context-ad",".ad_sponsor_newbanner_forum,\ndiv[style] > center",".adv-hidden-xs",".panel-primary","#rkl-left",".homeBanner,\n.postBanner","div:has(> .adsbygoogle)","div:has(> [id^=\"yandex_rtb\"])","#timer_1",".DmWidget","#prgm-block,\n.video-container > a[href][target=\"_blank\"]",".main-full > noindex","#sidebar > div[style=\"margin-bottom: 20px\"]","a[href*=\"/fonzo.ru/adv/\"]","div[id^=\"qwetaper\"]","#custom_brand,\n.odds_section","#advmusic_banner","#posts > center","a[href*=\"://nowa.cc/page.php?p=rek\"] img",".EstBS-bnContent,\n.theshit_top_block",".banner-top","#container > :not(#page) a[target^=\"_\"],\n.sidebar_block > h2[style=\"margin-top: 10px\"],\n.sidebar_block > h2[style=\"margin-top: 10px\"] + div,\nbody > div[id^=\"inter\"]",".rbt_web","#player > div[style*=\"pointer;\"]","#window-body > #formula ~ p,\n#window-body > :not(p),\n#window-body > a + p,\n#window-frame > #window-title,\ncenter > a > img","#right > .colorstrip,\n#torrents ~ div[align=\"center\"]","#closed-vid,\n.telegram__wraper","#amgf,\na[href*=\"/1w.tf\"]","a[href*=\"/1b.yt\"]","a[href*=\"/is.gd/\"]","#rectangle-wrapper","span[id][style] > div[id]:first-child:last-child",".clickads,\ndiv[class^=\"unique-\"]","div[class^=\"mc-banner\"]","div[class*=\"bunner\"]","div[id^=\"bnr-\"]","#scroll_banner_container,\ndiv[style=\"min-height: 90px\"]","a[href*=\"/ad.admitad.com/\"]",".index-top-banner","img[alt^=\"Баннер\"]",".video-spot",".content-box div[style^=\"margin-bottom: 20px;\"]",".load_banner",".has-top-liner .layout > div > .cc",".widget_custom_html",".adblck",".gnezdo","body > noindex","#before_film_torrents,\n#container > center:nth-child(-1n+3),\n#leftmenu .no-mobile a[href][target=\"_blank\"],\n.film_page > div:not([id]):not([class]) > center,\n.video-inner-top",".ads-popup,\ndiv[class*=\"desktop_direct\"]",".advertising",".media","div:has(> [src=\"/secret.png\"])","a[style*=\"color:\"] > span","a[href][target=\"_blank\"] > img[width][height]",".roll_autoplay_ads",".wrapper-main > .clearfix","#new-ad-part",".badge-primary,\n.left-sidebar > a[href][target=\"_blank\"] > img",".banner_holder","#TVZavr","div[class^=\"dolmraz\"]","#right_case > .module:has(script)",".bgAdd","body > div[id][style^=\"height\"]:not(#id),\ndiv[id*=\"-sidebar\"]",".work","#pwindow,\n#pwrap","a[href*=\"clck.ru\"]","#osiad",".posts__adv",".side-content-adblock","#video_bootom",".bad","#popular","body > .brand","body > div[class^=\"remodal\"]",".co_ba","div[class*=\"-brnd\"]","pp",".advertising-heading",".comments-wrapper,\ndiv[class*=\"ads-fixed\"]",".sp_darkvids",".main > div[style]","header noindex","figure[id^=\"attachment\"]","div[style=\"display: block;\"]",".rakana","#unique-because-id",".rightpanel","xp-banner-sidebar","#ads-speedtest-view-container","#uvpromo",".backstretch","div[id^=\"advert\"]","a[href*=\"picjoke.net\"]","#wpstb-block","#detected,\n.partner-ads","#exposeMask,\n.xenOverlay","#adsh","#bnnr","a[href*=\"rbs_banner\"]","body > noindex > center","#sidebar-fixed > div[class*=\"group\"] > noindex,\n.footerLegal,\na[href^=\"http://www.steroydsrus.net/\"],\ndiv[class^=\"strus\"]","div[class^=\"charlotte-\"]","#topgame","#header","div[class*=\"teaser\"]","#header-items,\n#sidebar-primary > aside:has(> .textwidget > div[class^=\"r\"])","center:has(> .adsbygoogle)","a[href*=\"ororo.tv\"]","div[style*=\"background-color\"][style*=\"position\"][style*=\"z-index\"],\ntd[width=\"29%\"]","object, embed","div[id^=\"banner\"]","div[id^=\"b_n_r_\"]",".yandex-absolute","#article_banner","[id*=\"redtram\"]","a[data-bid]",".header-banner",".left-banner",".right-banner","a[href^=\"/bitrix/rk.php\"]",".vex","div[id^=\"slidebox\"]","div[id^=\"tgroup_\"]","div[id^=\"yazd_\"]",".col_l_b","div[class^=\"advtss\"]",".game-drv,\n[class*=\"tizer\"],\na[href*=\"/landing\"],\na[href*=\"adblock\"]",".banner_main,\n.left_banner > a[target=\"_blank\"],\n.middle_banner",".promo","tr > td > #myElement","div[class^=\"adver_\"]","a[href*=\"/ad.adriver.\"]","a[target=\"_blank\"] > img[width=\"1200\"]","a[href^=\"https://play.google.com/store/apps/details?id=\"]",".adsbanner",".banner-link",".b-side-block:not(.b-side-block-slider)",".av-block,\n.widget:has(> div > .av-block)",".td-for-blocks > .left-block[style]","#content::after,\n#content::before,\n#header_b,\nheader::after",".bannertopclass,\ndiv[style*=\"width: 240px;\"][style*=\"height: 400px;\"]","body.playerCode > div[style^=\"position: absolute;\"][onclick]","#topright","body > .request","#mdl_adb","td[style*=\"theme_orig\"] > table",".bnrcontainer",".img-banner-responsive",".tg-button","div[id^=\"clear_\"]",".widget-sidebar:has(> div .adsbygoogle),\n.widget-sidebar:has(> div > [id^=\"adfox_\"]),\np[style=\"border:3px solid #C1FF0A;background-color:#d5d5d1;padding:10px;\"]",".rightside > .block:has(> .dcont > div > ins)",".widget_text:has([id^=\"yandex_rtb\"])",".link_textblock > div[style=\"height:250px\"]",".commercial-branding article > div:only-child > div:first-child + div + div:last-child,\naside:has(> div > [class^=\"banner--native-partner_widget\"]),\ndiv[class*=\"banner-\"],\ndiv[id^=\"rcmw-container-\"][id*=\"-horizontal-\"],\ndiv[style^=\"min-height: 240px\"],\ndiv[style^=\"min-height: 250px\"],\ndiv[style^=\"min-height: 290px\"],\ndiv[style^=\"min-height: 300px\"],\ndiv[style^=\"min-height: 400px\"],\ndiv[style^=\"min-height: 600px\"],\ndiv[style^=\"min-height:240px\"],\ndiv[style^=\"min-height:250px\"],\ndiv[style^=\"min-height:290px\"],\ndiv[style^=\"min-height:300px\"],\ndiv[style^=\"min-height:400px\"],\ndiv[style^=\"min-height:600px\"],\ndiv[style^=\"order:\"][style*=\"-1\"]","[data-auto_media-desktop*=\"rnet_widget\"]","#mainFloatDesctop,\ndiv[id][style=\"height:150px;\"],\ndiv[id][style=\"height:350px;\"]",".adbn-wrap,\ndiv[id^=\"laoad_Adb\"]",".advertisingheader,\na[href*=\"loshadka-kachalka.ru\"]",".ipsSpacer_both:empty","#ad","#imRunetkiPop,\n#l0ZKuGa775","#dle-content > span > noindex","div[style^=\"background:#444;\"]","a[href^=\"/go.php\"]",".branding-container","#secondary > .widget_text","#sponsors","#header-text-nav-wrap","aside > .execphpwidget div[class^=\"a-single\"],\naside > .execphpwidget video",".hottopicadvertbox","mark > strong",".staticFragment","#reachMedia,\n#shadowMedia","#adpartner_branding > center","#da-slider","#navbar-container > div[style^=\"height\"],\na[href*=\"bitmakler.com/go.php\"],\nimg[onclick*=\"bitmakler.com/go.php\"]","div[style] > div[class*=\"Overlay\"][id*=\"Overlay\"]","#overlay",".post-body > div[dir] > div[dir] > h1#result","#sidebar-wrapper",".foot > .widget.HTML","#parent_popup","a[target=\"_blank\"][href*=\"besthosting.ua/\"]","body > div:not([id]):not([class])[style*=\"z-index\"]",".fly_player","#desktop_sticky_ad_container,\n.midAdvert","div[class^=\"advert\"]","#morev","#brand","#right_col > .banner,\n#slider,\n.megatop","#content-padding > #content ~ hr ~ *,\n#page > a[href] > img,\n.entry > p > a[href][rel=\"nofollow\"],\n[class^=\"BlockR\"],\na[href^=\"https://tutvisa.by/\"]",".adsbygoogle","a > img[style*=\"height:100px;\"]",".b-reclame","[data-ad]","body.access div[id^=\"access-au\"]","aside > #vedomosti_block:nth-child(-1n+9)",".offblo",".recommended",".rtiz","tbody > tr > td[style=\"vertical-align:top\"]",".information-container","a[href*=\"offer_id=\"]",".banner-parallax,\n.infographic-duel,\n.recommender-block ~ .banner + div:not([class*=\"comments\"]),\n[data-href*=\"okko.sport\"],\na[href*=\"okko.sport\"]","#body > #top .textwidget,\n#fon","a[rel=\"nofollow\"] > img[src^=\"/\"]","#sidebar-first-screen-0,\n#sidebar-stream-0,\na[href*=\"/stat/click-\"][target=\"_blank\"]","div[style=\"height:auto;min-height:300px;\"]","div[class^=\"partners\"]","#tvukrnet","div[id^=\"reklama\"]","#partbn","a[href][target=\"_new\"]:not([href*=\"clusterdelta.com\"]),\niframe[src=\"/portal/stf.html\"]",".full-text > div[align=\"center\"] ~ div[align=\"center\"],\nimg[src*=\"/600_200\"]",".promo-background,\ndiv[class^=\"viewer\"][class*=\"banner\"]","#adblocker",".banner_rekl","body > a[href]","td[width=\"300\"] + td[valign=\"top\"] > .textc:has(a[href^=\"goto.php\"]),\ntd[width=\"300\"] + td[valign=\"top\"] > div[class^=\"c\"],\ntd[width=\"300\"] + td[valign=\"top\"] > noindex ~ noindex,\ntd[width=\"300\"] > div[class^=\"c\"],\ntd[width=\"300\"] > noindex",".b-main_body-i > noindex,\n.l-navigation-i > noindex","a[href^=\"/engine/dude/index/leech_out.php\"]",".rightBanner,\ndiv[id^=\"google_banner\"]",".recl_vert","[id^=\"ads_zone\"]","#content > noindex","div[class*=\"boxzilla\"]",".promo_sidebar,\n[class*=\"bg_banner\"]","#gads","body > div[id^=\"popup-\"]",".adv-heading,\n.rel_block","div[id*=\"TizerGroup\"]","div[id^=\"block-advertblock\"]","[data-type=\"elo-placement\"]",".c-block:has(> .c-dv-sns),\n.c-block:has(> [id^=\"adfox_\"]),\n.c-dv-container,\n.c-pager + div[class]:last-child,\n.dv-post-header,\n.js-page > div[class$=\"-header\"] + div[class] > span.o-anchor[id]:first-child + div[class] ~ div:not(:last-child),\n.js-page > div[class$=\"-header\"] + div[class] > span.o-anchor[id]:first-child ~ div:last-child > div[class*=\"--content\"] + div,\n.offer[itemtype*=\"://schema.org/Product\"] + div,\n.offer[itemtype*=\"://schema.org/Product\"] + div + div,\na[href*=\"://yabs.yandex.ru/count/\"],\ndiv[class$=\"content\"] ~ div + div[class*=\" \"][class$=\"--mh\"],\ndiv[class$=\"content\"] ~ div[data-role][data-target] + div,\ndiv[class*=\"--content article \"] + div,\ndiv[class*=\"--content article \"] + div + div:not(:last-child),\ndiv[class*=\"--content article \"] + div ~ div:last-child > div:first-child + div[class],\ndiv[itemtype*=\"://schema.org/BlogPosting\"] ~ div:last-child > div:first-child + div[class],\ndiv[itemtype*=\"://schema.org/Product\"] ~ div:last-child > div:first-child + div[class],\ndiv[itemtype*=\"://schema.org/Review\"] ~ div:last-child > div:first-child + div[class]",".c-dv-sns",".bannerWrap",".banner-box,\n.top-banners-area",".messageB",".bn_news_incut,\na[href*=\"#after_incut\"]","#please_share","#topbun,\n.wdpu-container,\n.wpmui-overlay,\na[class=\"gofollow\"] > img","div[style=\"position: fixed; top: 0px; left: 0px; background-color: rgba(0, 0, 0, 0.8); width: 100vw; height: 100vh; z-index: 9999999;\"]","#sidebarBanner,\n.bookmaker_panel > .entry > .thumb,\n.ga_data,\n.right_column > .bets + .side_bookmakers,\n.side_bookmakers:has(> .bookmakers_list),\n[name=\"odds\"]",".bets",".rstbox","iframe[src*=\"://vamproducts.ru/\"]",".widget_wrap",".bn","#redtram_news,\n.wiget.ukr_links,\n[onclick^=\"trackOutboundLink\"],\na[href*=\"bybit.com/\"] > img",".asp-widget-ads","a[href*=\"//besplatka.ua\"]","ins",".spot",".sidebar1","noindex > a[rel=\"nofollow\"][target=\"_blank\"]",".er-banner","body.cl-noscroll > .cl-dialog[style*=\"position: fixed\"]",".abtop","[class][style*=\"important\"] * *","[data-container=\"outer\"]",".wp_baraban_like",".BoxVideo.clear ~ .BoxVideo.clear",".td-menu-background,\ndiv[id^=\"divFLRA\"]",".fc-ab-root","body > div[id][class]","#topline",".noindex-block","div[id][class^=\"popup\"][class$=\"wrap\"]",".mw-adblock",".sliding-block","a[href*=\"privatefx.com\"]",".skip-advert,\nbody > div[id][style*=\"z-index\"]","body > #banner","a[href*=\"728x90\"]",".rklma",".block-video > .table",".sponsor","div[id^=\"__vliadb\"]",".top-admitadv",".fuck-adblock","#welcomepopup_overlay,\n#welcomepopup_window",".banx-top,\n.container__bannerZone,\n.crttextpad,\n.detailLeaderboard,\n.otPlaceholder,\ndiv[id^=\"box-over-content\"],\nsport[name=\"soccer\"]","#bottomRightPanel,\n#responsiveBottomPanel",".fh5---banner---container","[id^=\"my1kil_\"]","#fancybox-overlay,\n.fancybox-wrap",".popularList > center","#js-popup,\n.b-news-open__tags + style[id] + div,\n.b-page__right-col > .m-special + style[id] + div,\n.b-pub-rating ~ [class] ~ [class],\n.b-sw__table,\n.bonus-bk,\n.book-block-wrapper,\n.gift,\n.m-special,\n.mc_match a[href*=\"/betting\"],\n.scripts_code,\ndiv[class^=\"b-betting\"],\nfooter a[href*=\"/betting\"],\nheader a[href*=\"/betting\"]",".ads-insert,\n.best-coeffs,\n.bet-informer-content__wrapper,\n.bet-informer-name__container,\n.bonus-bk__item,\n.forecasts a[href*=\"/betting/go/\"],\n.head-menu__bonus,\n.match-center__slider-wrapper,\n.middle-column a[href*=\"/betting/go/\"],\n.outcomes-wrap,\n.owl-loaded,\n.right-column > [class^=\"bookie-rating\"] + div,\n.unit-coefficients,\n[class^=\"bookie-rating\"],\nbody > #tooltip,\ndiv[class^=\"redesign-desktop-\"][style=\"overflow:hidden\"]","a[href*=\"branding\"]","div[style=\"width:540px;height:90px;overflow:hidden;display:block;margin-top:10px\"]",".left_ff a[href*=\"/fortrader.org/\"],\n[id^=\"collapseobj_forumbit\"] .alt1Active > div[style=\"float:right\"]",".single_brba","#fb-popup","div[class^=\"traffic-video\"],\ndiv[id^=\"custom_fan_gate_overlay\"]","body .breadcrumb + center > [color=\"red\"] > b","#breadcrumb ~ div[style^=\"padding:\"],\n.nobord","#posts > .postcontainer[id^=\"yui-gen\"]","[class*=\"modal\"]","#wrapper > .l-container_wide[style*=\"min-height:\"],\n.friends-holder,\n.js-r-menu-item_friends,\n.offers-index,\n.text-center:has(> [style=\"min-height: 249px;\"]),\ndiv[style=\"min-height: 249px;\"],\ndiv[style=\"min-height: 89px;\"]",".fader-social",".game-preview-wrap > :not([class=\"game-preview\"])",".adsense",".dynban,\n.livebet,\n.pull-right > noindex,\n.yaadstracker","a[href^=\"/go\"]",".brand-block,\nsection[id^=\"tm-top-\"]","a[href=\"/go/vshapke.html\"]","#gp-pro-upsell",".mn-news-lst-ad-bl > div,\n[data-gmimplid],\na[href*=\"=http\"]:not([target]),\ndiv[style=\"overflow:hidden;\"]","#headb,\n.advb","#turn_advert.adblock","#facebook-modal","body.modal-open > .modal-backdrop","a[href][title*=\"банер\"],\nimg[class^=\"rec\"]","div[class*=\"block-articles-\"][class*=\"-native\"]",".widget_ad_unit,\ndiv[style=\"margin-top:5px;height:90px;\"]","body > div[g-popup-type=\"popup_ad\"]",".a-insertion,\n.b-insertion,\n[data-gcat=\"ads\"]",".bg-link","#pol,\n.shadow",".text-center:has(script),\n[data-controller=\"SearchInputController\"] ~ .well-container",".breadcrumbs ~ [value*=\"://gdz-ru.work/\"] ~ #exercises","div:has(> [href*=\"://gdz-ru.work/\"])","div:has(> img[src*=\"ops.\"])","[src*=\"/inc/getBanIf.\"]",".br-body,\n.br-col","#rekl",".gallery-center-ad-block,\n.news-block-magick,\n.sidebar-banner-block,\narticle div[style*=\"#EFEFEF\"]","div[class^=\"teaser\"]","#col-right > br","[id^=\"aswift_\"]",".post-top-meta[style*=\"fixed;\"],\np[style=\"padding-left: 20px;\"][align=\"center\"],\np[style=\"text-align:left;margin-left:10px;\"]",".Bu.y3,\ndiv.ae5","a[href^=\"http://landing.meendo.com/\"]","body > table[style=\"border: 1px solid #369\"]",".similar",".azk-banner",".ad-above-mod-dl-btn","img[src*=\"/upload/rk/\"]","object[width=\"200\"][height=\"100\"]",".dfp-slot__placeholder-text a,\n.promo-block_courses,\n.tm-company-card__branding",".dfp_label",".popmake-overlay",".stream-item-widget,\ndiv[class^=\"block-ad-\"]","div[class$=\"col\"] > .side ~ .side + .sidebtm ~ *",".fixedBg",".block-bg",".sidebar-bg","div[data-api=\"/API/banners\"]","a[href*=\"/go.php\"][target=\"_blank\"]","div[id^=\"news-id-\"] > div[align=\"center\"] > a[href*=\"aHR0c\"],\ntd[valign=\"top\"] > table:has(a[href*=\"/go.php\"][target=\"_blank\"])","#purchase_pref",".soc-auth-btns","#header + div[style*=\"960px\"],\n#partner,\n#partner-aside",".ai_widget",".mbywx,\n.widget_mbywx",".widget_block",".proakk","body > #video ~ [class][style*=\"pointer\"][style*=\"z-index\"]","#mainnews,\na[href*=\"helpix.ru\"]","body > div[id^=\"ab\"],\nbody > div[id^=\"ab\"] + div[style*=\"cursor\"]","#main > #top","[alt=\"Ads\"],\n[src*=\"/images/banner/\"]","a[href*=\"fas.st/\"]","#block-informer-news-page","#hideifpossible.box_wait",".bd-callout-danger,\n.bd-callout-warning","div[class^=\"adblock-warning\"]",".mv-content",".home-new-column-bunner > [class] ~ [class*=\"home-new-bunner\"],\n.incrypted-top-banner",".article-single .bg-light,\n.main-page .card-body > a[target=\"_blank\"],\n.main-page > .container > .row > div + div ~ div,\n.main-page > .container > div[class^=\"text-black\"]",".banner-holder > .box","a[href^=\"http://trumangifts.com/\"]","body > div[style*=\"z-index\"][style*=\"9999\"]",".ads_body_page,\ndiv[class^=\"sticky-block\"]","#news-partner",".hbanner",".full-right-video1[style=\"text-align: center;\"],\ndiv[style=\"margin: 10px; text-align: center;\"]","#hit_pr,\n.partner_news","#PromoteSignUpPopUp,\n#__next > .fixed,\n#__next > style + div[class]:not([id]),\n#abPopup,\n.ad-blocker-popup,\n.js-general-overlay,\ndiv[class^=\"desktop\"] > .hidden,\ndiv[class^=\"outbrain_outbrain-wrapper_\"]","center a > img","#text-9,\ncenter > pre,\ndiv[class^=\"itech-\"][id^=\"itech-\"],\nspan.td_btn[style=\"color: #ffffff;\"]",".a-single",".info","img[src*=\"/images/commertials/\"]","#yandex_recommend,\n.Blocksmaster,\n.b-block__parterslist,\n.bcontainer,\n.hcont,\n.honor-mobile-menu-logo,\n.horb,\n.logohonor,\n.mobadv,\n.mobb,\n.vcont,\n.vertb,\n[src*=\"rose.ixbt.com/banner/\"],\na[data-menuitem=\"honor\"],\na[href*=\"ixbt.com/cgi-bin/click\"],\na[title=\"Яндекс Зен\"],\ndiv[class^=\"clickable_zone\"],\niframe[src*=\"ixbt.com/cgi-bin/banqs.cgi\"]",".b-adfox",".deskadv","div[id^=\"marketWidget\"]","#uLogin,\n.b_footer,\n.folders:has(> .title > [href=\"/?id=favorites\"]) ~ .forumpage_table div[style^=\"background: #aea; color:#020;\"],\n.head_ulogin",".ym-gbox-right > div[style=\"margin:0; padding:0\"][align=\"center\"],\nheader > div[style^=\"background\"]",".smbad","a[href*=\"/click/branding/\"]","#ixbt-video-news-block:empty","[title*=\"быстрый браузер!\"] > img",".bannergroup","#antiBlock","div[data-container=\"sidebar\"] div[class*=\"j-imageSubtitle\"],\ndiv[data-container=\"sidebar\"] div[class*=\"j-text\"]",".banner__content","a[href^=\"http://photo.stylus.com.ua/\"]",".rec,\n.tban-content","#sidebar .widget_text","iframe[src*=\"/images/banners/\"]","#header > center > div[style]","#secondary > .sidebar-widget:has([id^=\"yandex_rtb\"]),\n#secondary > .widget_recent_entries ~ .sidebar-widget","body > table > tbody > tr > td[align=\"center\"]",".top--banner",".left + .right","a[href*=\"mail.ru/r\"]","#content14",".b-background__link",".side > .random-link ~ *",".imgonline ~ *","a[href^=\"http://kinorubik.com/module.php\"]",".singlebox > .blockquote",".sidebar-nadpis,\ndiv[class^=\"sidebar-\"] > div[type=\"text/css\"][rel=\"nofollow\"]","#madBlockModal, .modal-backdrop","#kl-ad-top","#kl-o-gallery-ad,\n.kl-ad-item,\na[href^=\"/ad-redirect.php\"]","#branding","#right_banner","a[id^=\"linkFon\"],\ndiv[class=\"franke-sidebar\"]:not([style])","#shops-wrap,\n.ads-separator,\n.text-center > div[style=\"height: 250px;\"],\n.top-m-used-block,\n[class^=\"gekon\"]","#apext",".overlay_wrap",".pg-title--ymla,\n.region > .most-popular ~ .media-block-wrap",".kino-text > div[style^=\"clear:both;\"]",".widget_image-vertical","#banners-partners-blocks",".sidebanner-wrapper","#warn",".sa_widget","div[class^=\"chp_ads_block_modal\"]","div[class^=\"top_baner\"]",".content > .card ~ div:has(> center > [id^=\"adfox_\"]),\n.menu > .sticky",".branding_top","div[id^=\"adsline\"]","#owaadbar,\n.N3k7EN5vRGTrONWBPg250,\ndiv[tabindex][role=\"region\"][aria-label] ~ div[data-max-width][class] + div[class^=\"_3_\"]",".banner_container,\n.cat-widget__adv-container,\n.cat-widget__card-wrap--adv,\n.entry-wrap-promo,\n.j-w-adv,\n.j-w-adv-content,\n.lj-recommended,\n[lj0sale0autoplay0dockable0video0mount],\na[href^=\"http://gpsavto.com.ua/\"][target=\"_self\"],\na[href^=\"http://kiwieducation.ru/\"],\ndiv[class][style^=\"height:\"][style*=\"background-color: black; position: relative;\"]:has([src*=\"docking\"][src*=\"eaglecdn\"])",".brand",".eplayer-time-to-ad","[id*=\"_R-A-\"]",".sidebar-custom",".customtext-widget",".content-inner > .entry-wrap > .disabledcomments,\n.sidebar-custom > dd > a[href] > [title],\n.sidebar-custom > dd > br",".j-w-customtext","[class*=\"kupibilet\"],\na[href*=\"offer\"][target=\"_blank\"]",".edwrap",".j-e-afterpost-randomsocial,\n.j-mainbanner",".mainpage__wrap-content div[class*=\"card\"]:has(> div > div[class*=\"empty\"] [id*=\"directive.id\"])",".j-promo-widget","a[class^=\"banne\"][href][target=\"_blank\"]","#ad_blocker_found",".textwidget > a[target=\"_blank\"] > img[src*=\"/wp-content/uploads/\"]","div[style^=\"promo\"]",".infotext,\n.view > div[align=\"center\"] > a,\nnav ~ a > img[align=\"right\"]","#ipbwrapper > table + #userlinks,\na[href=\"https://adblockplus.org/ru/faq_basics#disable\"]","iframe[src*=\"ad.adriver.ru\"]","#leoDiv",".article_end_banner,\n.content_top_banner,\n.widget-offers,\ncenter > a[href*=\"goo.gl\"] > img,\ndiv[id*=\"-gpt-\"]","#promo-app-ap,\n#subscribePopup,\n#top-candy,\n.ya-candy",".top_baner",".topad",".Here","#html-header > #obj",".adblock",".section-body > [itemprop=\"comment\"] ~ div[style=\"margin-bottom: 15px;\"],\na[href*=\"www/delivery/ck.php?\"],\ndiv[class*=\"revive\"],\ndiv[onclick*=\"Кликнул по рекламе\"]",".widget.indexcontent[style*=\"fixed\"],\ndiv[id^=\"sape_links\"]","#abnotify",".rew-block","div[id^=\"MeendoBrand\"]","a[href*=\"twnt.ru\"]","center > a[href][target=\"_blank\"] > img","div[id^=\"news_melodramo_ru\"]","div[class^=\"article-mvideo\"] > div[style^=\"background:\"]","a[href*=\"vsemayki.ru\"]","#jma",".adsDesktop","div[style=\"min-height: 300px;\"]",".commercical_wrap",".zen-popup-component","#promo",".bannerhead,\n.seoquake-nofollow","#smart_banner,\n.custom-height-250","#right_informer,\n.fb-window-wrap,\na[href^=\"https://iqoption.com/promo/\"]",".rekblok","#bb",".td-ss-main-sidebar","div[class^=\"frik\"]","#ad_global_below_navbar",".integration--advert,\n.main-feed > [class*=\"-block\"]:has(> div .integration),\n.navmenu__advert,\ndiv[class*=\"banner-wrapper\"]",".all_bet_block",".one-news__content-banner,\n.shares-wrap > .container > .swiper-pagination,\n.swiper-wrapper > a:not([href*=\"moniheal.com/\"]),\na:not([href*=\"moniheal.com/\"]) > img[src*=\"/m-public/\"]",".bottom_banner",".ms-article-content > div[style^=\"overflow: hidden; padding-top:\"],\n.ms-side-items--with-banner","[id^=\"slider\"][id*=\"ontent\"] span.right","#fly_mozg","#lay.lay","iframe[src^=\"https://www.mp4upload.com/\"][src$=\".html\"]",".p-md.text-center.ibox-content:nth-of-type(2)","a[href*=\"aHR0c\"]","div[class*=\"simplemodal\"]",".mainb > .main_block:has(> #slides > #reklama)","body > .overlay[style=\"display: block;\"]",".g-single","[src*=\"//rutube.ru/play/embed/\"],\ndiv[style=\"position:relative; width:600px; height:350px\"]","#top_banner",".ban-popup,\n.ban-right,\nimg[src^=\"/ban/\"]","div[id^=\"rek\"][style]","a[href^=\"https://nashvancouver.com/linkout/\"] > img[alt=\"tree\"]","#cmsg","div[class^=\"rblok\"]",".subscribe","a[href^=\"//?type=\"],\na[href^=\"/a_\"]",".head-block","#channelsFeed > [data-block-type=\"channel-card\"] ~ :not([data-block-type=\"channel-card\"]),\n[data-block-type=\"ads\"]",".td_only_right td[height=\"300\"]",".body-page-right-column > div[align=\"center\"],\ndiv[class*=\"prm\"]",".areplacer,\ndiv[style=\"float: left; width: 728px; height: 90px; background: #313131;\"]","div[style*=\"920px;\"][style*=\"250px;\"]",".RhooBg,\n.modalRhoo","#header-wrapper noindex > a[href][target=\"_blank\"],\n.important-news-block ul > li > noindex",".ad_728_90_page","#bottom_banner",".alert",".clauses_block_rel .panel:has([href*=\"dex.browser\"]),\n.slides,\na[href][rel=\"noopener noreferrer\"][title=\"Скачать\"],\ndiv:has(> div > [href*=\"dex.browser\"])","div[class$=\" \"][style=\"display: inherit ;\"]","div[class^=\"reklama\"]","div[style=\"float: none; margin:0px;\"]","div[id^=\"nazar\"]",".widget_text:has(> .textwidget > #mt_promo_wghot)","#toplink > h3[style=\"color: red\"]","td[width=\"2\"] + .slink[align=\"center\"] > :not(#dle-content)","a[href^=\"http://mnogoskidok.kiev.ua/\"]","div[id^=\"bablo_\"]",".googleBanner,\n.headerBiding,\n.newsFull_textEmptyBlock",".videoOfDay","[class*=\"banner\"]",".splide__list > .splide__slide:has(> article > .banner)",".yad","img[src=\"/download.png\"]","[href*=\"=ogemorroe.com\"],\ndiv[id^=\"webapteka_\"]",".b-mask",".rek_ban a[href]:not([href^=\"https://okaygorod.com/\"])","#oms_center_block div[id][style*=\"text-align:\"] > a,\n[onclick^=\"oms_zz_\"],\nimg[style^=\"display:block\"][style*=\"width:100%\"]",".adleft","#pegination ~ a,\n.pegination ~ a",".gallery-full > p,\nbody [class^=\"mdp-deblocker-\"],\ndiv[style^=\"min-height:\"][style$=\"px;\"]",".post-single-content div[style^=\"padding:\"][style*=\"40px\"],\n.single_post > div[style^=\"height:\"][style*=\"weight:\"]","#advLeftZone","div[id^=\"lbx_\"]",".review-body > div,\na[href*=\"/buy/\"][rel=\"nofollow\"],\ntr:has(> td > noindex > div > [href*=\"://yabs.yandex.ru/\"])",".overheader","a[href^=\"http://go-anonym.ru\"]",".blok1,\n.content .custom-block",".header td[align=\"right\"] > a,\ndiv > .mainmenu:has(> a[href*=\"pornolavka.pw\"])","#sdv_branding,\n.articles_list_inner > div:has(> .sdv-box),\n.bar_bnr_wrap,\n.sdv-box,\n.sdv_article_sidebar_inner,\n.sdv_item,\n.sdv_promo_article,\n.sdv_sitebar_wrap,\n.top_banner_box,\n.ulogin_auth,\nbody > .article_item_container","body > div[id]:not([class])[style=\"display: block;\"]","div > [src] + [id] + [class][style^=\"display: block;\"]",".b-stella","#content > div[id^=\"mx\"],\n#left_block > div:not([id]):not([class])","div[style=\"position:absolute;width:100%;text-align:center;height:90px;top:10px;left:0\"]",".adBlocked","div:has(> [src*=\"pagead2.\"]),\ndiv[id^=\"sidebar\"] div[id^=\"sidebar\"]:has(div > [src*=\"pagead2.\"])",".app > div ~ div > a[target=\"_blank\"] > img","[gnezdo_container_id]","#alert-wrap",".sidebox:has(> div[id^=\"bn_\"])","div[id^=\"bn_\"]","div[class*=\"ScreenBanner\"]","iframe[src=\"/site/in\"]","a[href=\"http://net-well.ru/\"]","body > div[style*=\"z-index\"][style*=\"background\"]","[onclick*=\"cashalot.su\"]","a[href^=\"http://cashalot.su\"]",".right-side > .sticky","body > div[style^=\"width: 100%; height: auto; position: absolute; z-index: 100000; top: 0px; bottom: 0px; cursor: pointer; background: url\"]","#download,\n#download + div[style*=\"text\"]","img[src*=\"/img/wizard.\"]","div[style=\"text-align:center;  border-radius:7px; width:160px;  border:1px solid #666666;  margin-left:5px;padding-right:5px;color:#FFF;  background-color:#666;font-family:Maven Pro,century gothic, arial, helvetica, sans serif;padding-top:94px;  height:600px;  padding-left:5px; font-size:18px; \"]","#bannerHolder",".mv-advert-position__pause",".content-reclame,\n.sidebar-reclame,\n.similar-news",".social-button--yandexzen","a[href*=\"/dzen/\"]",".creatividad",".animate > .day-expectations","a[href*=\"got.by\"]","#commercial_ad_showthread_firstpost,\n.banners_navbar_below","a[href^=\"http://lentainform.com/\"]",".mainContent > #Notices","img[src*=\"img/adw/\"]",".blocksubhead.righttb + a[style^=\"z-index:1000;\"]","#ad-medrec__first,\n#pons-ad-leaderboard","noindex > a[target=\"_blank\"] > img","#abAlert,\n#headerUpgradePremiumBtn,\ndiv[id^=\"age\"][id*=\"erification\"]",".spots-wrap,\n.video-spots-col",".avr-wrapper","a[href][target=\"_blank\"]","#c7b82880e,\n#cab741974,\na[target=\"_blank\"] + br, a[target=\"_blank\"] + hr,\nimg[width=\"250\"][height=\"250\"]",".entry-content > .textwidget","img[width=\"728px\"][height=\"90px\"]","#po-vips",".avyes,\n.mixma","#kt_player > a[target]","body > .wrap",".entry-content > table[border]",".blockSns",".sidebar-widgets-1 > div[id^=\"codewidget-\"] ~ .widget_text:not(:last-child),\nfigure.wp-block-image","#atlas_240x400,\n#branding_click,\n#overlaybranding,\n.adv_advmusic,\n.js-core_branding,\n.magig_conteiner,\n.yandexmusic","div[id*=\"bunner\"]",".fasc-button,\na[href^=\"http://jmp1.ru/\"],\ndiv[id^=\"pg-aa-ad\"]",".widget.widget_text",".block_links","a[href*=\"://s.zbanx.com/r/\"]",".sidebar-a330-content",".h_right_center > noindex > a[href]",".dynbaner","#posts > .postbitim[style^=\"height\"]","#mytest,\n.recomendation-feed-bottom,\ndiv[class^=\"td-\"][class*=\"-rec \"]","div[class^=\"radio_ads_\"]",".goo_gle","div[class^=\"reclama_\"]",".notifyjs-corner",".ytp-ad-progress-list,\ndiv[id^=\"MarketGid\"]",".right_column > noindex","body > div[style*=\"2000\"]","tr[onclick*=\"blablacar\"]",".HTML:has(> .widget-content > .adsbygoogle)","#norris-detector,\n.game-description-text a[class][href][target=\"_blank\"]:not([href^=\"/\"]):not([href^=\"https://rbkgames.com/\"]),\n.poster-grid-item > a[target=\"_blank\"]:first-child ~ a[target=\"_blank\"]",".sm-widget",".stickblock",".b-informers","#as_131,\n#slidePanelContainerAB,\n.qb",".banner-holder",".nerban",".hvosting,\nimg[src=\"/img/locked.png\"]","#screen_block","a[target=\"_blank\"] > img[src^=\"/\"]",".js-newAutoSearchItemInformer",".bout-bets","#pologo-article,\n.br-new,\nbody > [class^=\"side-url-\"],\ndiv[id^=\"citybattleslide\"]","#id-custom_banner,\n#login-form + .tdc-zone > .tdc_zone > div[class^=\"tdi_\"][class*=\"_rand_style\"] + .tdc-row > .tdc-row-content-vert-center,\n.rn-widget,\n.td-a-ad,\n.td-a-rec,\n.td-is-sticky > .wpb_wrapper > div:has(.td-a-rec),\n.td-is-sticky > .wpb_wrapper > div:has(.wpb_wrapper:empty),\n[swg-standard-button=\"contribution\"],\nbody > div[style^=\"position: fixed; display: flow-root; z-index:\"],\ncenter > a[href][target=\"_blank\"] img,\ndiv[class^=\"td-header\"] .td-stretch-content","a[href*=\"aff_c?offer_id\"]",".rad",".content > div[style=\"width:100%; text-align: center;\"],\n.content table[height=\"250\"]","#offers,\n#today-media-article,\n.Mirtesen-root,\n.column__row_article-page_right:empty,\n.external-widget,\n.follows-channel_djen,\n.hide--partner--block,\n.listing_partners-news,\n.right-column > .aside-block:has(script),\nbody > div[class^=\"Popup-\"]",".topbanner","[href^=\"postings.cgi?action=edit&forum=5&topic=51141\"]:not([href$=\"postno=1\"]) ~ .post img:not([src*=\"://forum.ru-board.com/board/\"]),\ntd:not([class=\"lgf\"]) > table[width][cellpadding][bordercolor=\"#EEEEEE\"][border=\"1\"][bgcolor=\"#FFFFFF\"]:not([width$=\"%\"])",".g","a[href*=\"/reklama/\"]","*:has(> a[href*=\"prostitutkixxx\"])","span[onclick]:not([onclick*=\"ruinformer\"]) > img[src*=\"banner\"]",".rkl","#logo > noindex,\n.sb > a > img[src^=\"http://rupier.com/forum/\"]","#footer_wrap,\n#sideRight > .box ~ div","td[align=\"right\"] > b > a[href][target=\"_blank\"]",".classblsi.addshr",".bann",".nobr,\na[href][target=\"_blank\"] > img[src*=\"/-=Banners=-/\"]",".L,\n.R","#as_script,\n#chessday,\n.post_body > center > a[target=\"_blank\"]",".forum_buttons","#topbanner",".bp",".html5-bp",".sakhui-b","a[target=\"_blank\"] > img[width=\"240\"]",".main-col > .mom_box_sc,\n.main-sidebar > .mom_custom_text ~ .mom_custom_text,\n.secondary-sidebar > .mom_custom_text,\ndiv:has(> .mom-ads-wrap),\nimg[src*=\"/SAV_banners/\"]","a[href^=\"goto.php\"] > img[src^=\"bae/\"],\ndiv[id*=\"nu_ban\"]",".slider-wrapper","body > div[style*=\"2147483647\"]","a[href$=\".php\"]",".zen_box",".baners",".items-list > noindex",".top_a","img[alt=\"adblock\"]","body > div[class]:not([id])[style^=\"background-color\"][style*=\"z-index:\"]",".col-main > h2[style=\"margin-top: 30px;\"]",".theiaStickySidebar","#ll_slot_3 + * + div[style*=\"160px;\"],\n.gray > center > div[style*=\"125px;\"],\ncenter > div[style*=\"200px;\"],\ndiv[style=\"width:100%;text-align:center;\"] > center",".b-adv-micro,\n.b-bks,\n.b-instaforex,\n.b-top-adv,\na[class*=\"b-menu__li__a-\"]","[onclick*=\"btsearch.me\"]","[onclick*=\"goo.gl\"]",".edina > a[href=\"http://monstro-beats.com/\"]",".sprite-14 + * > hr + table[align=\"center\"]","div[class^=\"adverser\"]",".ban__wrapper,\n.single__right > .right__title",".banner_wrp","#yandexBanner",".block-relap,\n.block-superwidget,\ndiv[id^=\"blockad\"]","div[id^=\"yandex_direct\"]","a[href^=\"/bitrix/rk.php\"][href*=\"banner\"]",".navbar > br,\n.navbar > center",".gc-question-ads-2,\n.rkl-horizontal,\ndiv[style=\"width:336px; height:280px;\"]",".content-block > div[style^=\"background\"],\n.main-center-block > div[style^=\"background\"],\na[href*=\"azbukasofta.xyz\"]","#divAffLink,\n#smart-aff-link-table,\n.TblOBan,\n.btn-download > .submit-spinner,\n.cardPageDescMain > div[id][style],\n.contentWrap > .st-browser__page ~ div[id][style],\n.st-browser__timer,\n.yablock,\na[href*=\"driverpack-solution\"],\na[href^=\"prog\"][target=\"_blank\"],\na[href^=\"prog\"][target=\"_blank\"] ~ *","a[class*=\"-banner-\"]",".display_natural",".helkamaAnimeGoogle,\n.vjs-overlay-background,\n[class^=\"sbrand--\"]",".whitelist","#bannersPlayer",".toppad","#sidebar > .block-title,\n#sidebar > .textwidget,\n#sidebar > .widget_text,\n.advertisment-events,\n.bookrating,\na[href=\"https://sportarena.com/betting/\"],\na[href=\"https://sportarena.com/bookmakers/\"],\na[href=\"https://sportarena.com/uk/rejting-bukmekeriv/\"],\nbody > #fb-root,\nbody > .nomobile","div[id^=\"branding\"]","a[href*=\".ashx?\"]","a[href*=\"/1xstavka\"]","a[href*=\"/c.php?\"],\na[href*=\"://sportliga.com/bookmakers/\"] ~ a,\ndiv[class^=\"bulletin\"]","#embed .MuiButton-containedPrimary,\n#player .MuiButton-containedPrimary","#slot_central,\nnav > .items > a[href]:not([href^=\"/\"]):not([href^=\"https://sprashivalka.com/\"])","div[id*=\"_R-\"]",".tp-overlay",".ououou",".topic-actions + .clear + .post.bg2 + .divider + .post.bg3","table:first-child + .tablebg + .tablebg + .tablebg,\ntable:first-child + .tablebg + .tablebg + br + .tablebg","#bonga-bottom-banner,\n#tablespons","#fixblock","a[href]:not([href^=\"http://taobao-forum.com/\"]) > img[src^=\"/banner/\"]","#banners",".ads-horiz,\n.disable-adblock",".add",".main-container-wrap > div[class$=\"-bg\"],\n.main-container-wrap > div[id][class][style*=\"opacity\"]","#sabl",".jeg_deals",".tdsAd",".xoxo.blogroll","div[class^=\"remodal\"]","a[href^=\"https://www.facebook.com/republicplatte/\"]","body > div[style*=\"background-color:\"][style*=\"z-index:\"]",".right.col > div[style^=\"min-height\"],\n.right.col > div[style^=\"width:300px;\"]","[data-slick*=\"autoplay\"]",".alignnone[width=\"300\"][height=\"300\"]",".posts-sidebar,\n.pseudosidebar,\n.row-banner-top","#header-right-section",".RightColumn .Content > a",".stamp_main ~ .item","#guseff_top,\n#ipsLayout_contentWrapper > div[style*=\"min-height:\"],\n#ipsLayout_sidebar .ipsBox:has(> .adsbygoogle),\n#ipsLayout_sidebar .ipsBox:has(> [id^=\"yandex_rtb\"]),\n#ipsLayout_sidebar .ipsBox:has([href][target^=\"_blan\"] > img[src*=\"/gra/\"]),\n.cPost + script + center,\n.gusev,\ndiv:not([id]):not([class])[style^=\"min-height:\"]",".full_pict1 > center,\nbig,\ndiv[style=\"width:100%; height:275px; display:block\"],\ndiv[style=\"width:100%; height:310px; display:block\"],\ndiv[style=\"width:336px; height:280px; display:block\"]",".sticky-block",".dfp-slot",":not(this-site-promotes-malware)",".header-partnership,\ntor-banner-ads,\ntor-banner-block",".logo + div","a[href^=\"/\"][href*=\".php\"][target]","a[href*=\"vk.cc\"]","center > b:nth-of-type(3),\ncenter > table[bgcolor=\"CC0099\"],\ntd[valign=\"top\"] > noindex",".banners_img","a[href*=\"/bet/\"],\na[href*=\"/betting/\"],\ndiv[class*=\"rb-widget\"],\ndiv[class^=\"BookmakerGift_bookmaker-gift_\"],\ndiv[class^=\"Main_main-layout__empty-block\"]","#branding-head-link,\n#reklama_banner,\n.overvideo",".banner-systems-container",".content_player > noindex > noindex","header > nav ~ div,\niframe[src^=\"/\"][style*=\"overflow:\"],\nul[class*=\"file-download\"] + div[class*=\" \"]","body > .mask","#sideRight > div[align=\"center\"] > a[href]","#content .metaslider,\ndiv[id^=\"banadd\"]",".asside:has(> .topBook),\n.bonuses,\n.buk-table,\n.header-bonus,\n.topBook","a[href*=\"/betting\"]",".textwidget","[data-element_type=\"widget\"] a[rel=\"nofollow\"]","a[href*=\"li.ru/go?\"]","body > center:first-of-type",".information__image,\n.js-sidebar > .pst-block > .textwidget:first-of-type,\n.js-sidebar > .pst-block > a[target=\"_blank\"],\n.main-content > div[class*=\" vc_row-fluid vc_custom_\"]:nth-child(-1n+2),\n.sbr-slider > .pst-block > .pst-block-head","a[href^=\"http://babnik.com/\"],\na[href^=\"http://bongacash.com/\"],\na[href^=\"http://cashtube.ru/\"],\na[href^=\"http://costaction.com/\"],\na[href^=\"http://df.halileo.com/\"],\nstrong > span[style=\"color:red\"]","a[href^=\"http://bongacams.com/\"]","#di356 > div[style^=\"text-align: center\"],\na[href^=\"http://sexkompas.xyz/\"],\nnoindex > a > img","a[target=\"_blank\"][href=\"http://www.mshop.in.ua/\"]",".adversiting,\n.article > noindex",".sidebar > .widget:nth-child(-1n+4) > .widget-content div[style=\"text-align: center;\"] > a[href]","td[width=\"33%\"]","#topnews",".banner-unit",".news_view > a[href][rel=\"nofollow\"][target=\"_blank\"] > img,\n.search_bar ~ .padd","#sidebar > div[class]:last-child,\n.tiles_wrapper > .js-file_item ~ div:not([class*=\"tiled\"])","#siteContent > div:not([id]):not([class]) ~ div[class]",".banners-list__items,\n.single-sidebar__banners",".distr-vidget-block",".sidebar > .widget_text",".main_content > noindex,\n.peretyajka",".viboom-overroll","td > .bc[align=\"center\"]",".ad ~ noindex","#adblockpopup","aside > a[href][target=\"_blank\"]","#brand-adv-left,\n#brand-adv-right,\n.banners-right",".randid","[style^=\"position: absolute; width: 100%;\"]",".link_image,\n.link_img,\ndiv[id^=\"block-views-advert_\"]",".custom-block","#popup_block","#ads_left,\n#page_wall_posts > div[id^=\"post-\"]:has(.wall_marked_as_ads),\n#wk_content > #wl_post > div:has(.wall_marked_as_ads),\n._ads_block_data_w,\n.post_marked_as_ads,\n.wall_wrap div[id^=\"post-\"]:has(.post_content > .post_info > .wall_text > .wall_post_cont > .wall_marked_as_ads),\ndiv[class^=\"feed_row \"] > div[id^=\"feed_repost-\"]:has(.wall_marked_as_ads),\ndiv[class^=\"feed_row \"] > div[id^=\"post-\"]:has(.wall_marked_as_ads),\ndiv[data-ad-view],\ndiv[data-ad]","#chrome_bar_content,\n.EcommFeedItemsBlock,\n._ads_promoted_post_data_w,\n.ads_ads_box,\n.ads_ads_news_wrap,\naside[aria-label=\"Актуальные новости\"]","div[data-ads]",".wi_head[href*=\"/away.php?to=\"],\n.wi_head[href*=\"/away.php?to=\"] + .wi_body","#js-slider-1,\n.jsx",".direct",".soa",".colLeft","#shapka-blk,\n.blogbody:has([href*=\"utm_\"]),\n.comments-head,\n.neteye-posts,\na[href*=\"feipiter.\"]",".wsite-image-border-thin > a[target=\"_blank\"]","#adriver_ClickArea,\n.home_Advert","#head-content,\n.widget_calendar ~ .widget_text ~ .widget_text","[class^=\"view_back\"]","#layout-center > a[target]",".items:has(> .item-card [src*=\"/images/pek.png\"]),\n.items:has(> .item-card script)",".zzz",".all_news_partners,\n.everlast,\n.nmGoods","a[href*=\"favbet\"][target=\"_blank\"]",".ABD_display_wrapper,\n.a111,\n[align=\"center\"] > a[href][target=\"_blank\"]","#adv_top2","div[id^=\"main_banner\"]",".ban200,\n.topban",".item-content:has(> .title > a[href*=\"//zen.yandex.ru/\"]),\n.rca-block","a[href*=\"myprintbar.ru\"]",".block-bets,\n.top-menu-fonbet,\na[href*=\"olimp.bet\"]:not([href*=\"logo_footer\"]),\nbody.home > [class*=\"modal\"]","#adsWall-0,\n#adsWall-1","#hidemead",".abs_row","#hbanner,\n.adsb,\n.sidebar > .dcont","#topbar","#contribute_footer",".sidebar > .flying","#leftmenu > noindex",".ds-down,\n.yaoffer","#custom_html-6","#brend","#header-wrapper","[class^=\"adv_first\"]","div[class*=\"advert\"]","#ads_warning",".block-bgimg,\n.header-nav-wowhead-premium,\n.is-atf.horizontal-bg,\n.is-atf.vertical-bg,\n.is-btf.horizontal-bg,\n.premium-promo-row,\n.type-coupon-codes,\ndiv[id^=\"announcement\"]",".marketWidgetWrapper,\n.stick-promo--container","div[style*=\"710px;\"][style*=\"70px;\"]","#sideLeft > .left ~ *","#video-right,\n.thumb-ad,\ndiv[id^=\"ad-footer\"]",".header2 > .header","div[style*=\"-ad-bg-\"]","table > tbody > tr","#header-flash,\n#main-menu > a[href*=\"://yoy.so\"],\n#top-line > div > a[href][onclick*=\"open_popup\"],\n.__axcode__,\n.lenta > tbody > tr:has(> .newshead > div > .mainpage > a[href*=\"utm_campai\"]),\n.lenta > tbody > tr:has(> .newshead > div > .mainpage > a[href*=\"utm_campai\"]) + tr,\n.lenta > tbody > tr:has(> .newshead > div > .mainpage > a[href*=\"utm_campai\"]) + tr + tr,\n.lenta > tbody > tr:has(> .newshead > div > .mainpage:first-child),\n.lenta > tbody > tr:has(> .newshead > div > .mainpage:first-child) + tr,\n.lenta > tbody > tr:has(> .newshead > div > .mainpage:first-child) + tr + tr,\n.no-compress > a[href*=\"yaplakal.com/go/\"],\na[href^=\"http://www.yaplakal.com/adv/\"],\na[href^=\"http://www.yaplakal.com/go/\"],\na[target=\"_blank\"][href*=\"/click/?http\"],\nbody > a[id^=\"clk-\"],\ntr > td[align=\"center\"][id^=\"in-feed\"][style*=\"important\"]","#top-line > .pop-up",".noadb","div[class^=\"_5\"]","[itemtype=\"https://schema.org/WPAdBlock\"]","#contents > ytd-rich-item-renderer:has(> #content > ytd-display-ad-renderer),\n#movie_player > .ytp-cards-teaser,\n#offer-module,\n#savefrom__yt_btn a.sf-menu-item[href=\"#\"],\n.annotation.iv-promo,\n.video-annotations .annotation-type-text","aside > a > img","body > div[align=\"center\"]",".branding_place",".adsense_anchor_ads","#test,\n#warning,\n.baseer > .heading,\n.block.elite,\n.title_spoiler",".pub-box,\ndiv[class$=\"-ads\"],\nfigure",".brn-ads-box,\n.brn-blocker-box","#wrap > .navbar,\n[title=\"Yandex Direct\"]",".inner__ads","#sp-right > .sp-inner > .module:has([id*=\"ScriptRoot\"]),\n#sp-right > .sp-inner > .module:has([onerror])",".bannergroupr-nostyle,\n.sweet-alert, .sweet-overlay",".container:has(> .remove-sda-wrap),\n.page-wrapper .last-news ~ .container > .information,\n.remove-sda-wrap","a[href^=\"http://antenna-su.ru/\"],\na[href^=\"http://quad.ru/\"],\na[href^=\"http://radial.ru/\"]",".sidebar","[style*=\"cursor: no-drop;\"]",".yapr","#testVideo,\n.oi_papa_oi,\na[href*=\"&brid=\"],\nbody > * > div[style^=\"padding-top\"],\nbody > a[onclick],\nbody > div:not([id]):not([class]):not([style]),\nbody > span:nth-child(-1n+6)","body > a",".ads-inner-top",".bannerblock","#sidebar-right img,\n.slide_anons,\na[target=\"_blank\"] > img[src^=\"http://lib.rus.ec/sites/default/files/\"]","#ab--notification-ribbon,\n#delfiTopBar,\n.C-ad-block-layer,\n.C-banner,\n.ad-container,\na[href^=\"http://ap.delfi.ee/b?\"]","a[class^=\"alex_bnr_\"]",".cookie-paywall-visible .cookie-paywall",".tp_rightblock_noframe [width=\"336\"][height=\"240\"]",".block-outer a[href][rel=\"nofollow\"]","#text-7.widget","div[data-uk-slideshow]","#agbordid,\n.agbordfull",".div-download-h,\n.div-download-v",".home .td-pb-row:has(> .wpb_column:only-child .wpb_wrapper > .td-a-rec),\n.home .vc_row > .vc_column:has(> .wpb_wrapper > .td-a-rec)",".zbin","img.pleer",".contribute-modal","#main_right_col > .section:not(.section_blogs),\n.top-promo","#ruslife-banner,\n.mod_bannerslider,\n.module-banner",".b-r",".desktop-context > div[class*=\"_cover_\"],\ndiv[class^=\"stories_container\"] > div[class^=\"stories_story\"]:has(> [class^=\"stories_story_banner\"])","div[class^=\"advertisement\"]","#header > .container > div[style=\"padding-top:20px;\"]","#container + center,\na[href] > img[src*=\"/images/et\"]","div[id^=\"centered\"]","div[class$=\"_ushki\"],\niframe[src*=\"banners.php\"],\ntd[style=\"width:180px; padding-left: 15px;\"] > table:last-child","div:has(> a[href]:not([href^=\"/films/\"]):not([href^=\"/serials/\"]) > div)",".fw.topbanner,\n.rightbanner_in","#dle-content > .well,\n.row .panel-danger",".gazprom-top,\ndiv[class^=\"banner\"]:not(#vk_groups)","#bannerborder","#fb-popup-bg,\n.hfm-right-content > .hfm-block[style]","#center-left > aside > section,\n#center_left > .informer,\n#toolsbar,\n.branners,\n.norkos,\n.trongds,\n:not(#dle-content) > .shortstory:has(> a > div > .advs-label),\ndiv[class^=\"bp_\"][class*=\"-block\"]","#partner-block",".partner-recomendation",".b-ad-space__placeholder,\n.b-pb-frontpage__240x400-banner,\n.i-layout__branding-link,\n.i-layout__top-leaderboard-banner,\n.smi2-news-container",".ad-branding-block,\ndiv[class*=\"-branding-\"] > a[target=\"_blank\"]","#sveta__muzika-banner,\n.playOther,\na[href*=\"/zvuk_transfer?\"]",".r2016,\ndiv[data-element-id]",".col_1 > .block2","div[id^=\"DIV_DA\"]","#sidebar > a[href][target=\"_blank\"],\n.sponsor a[href][target=\"_blank\"]","div[class^=\"block-banner-\"]","#article_feeds .title-comments,\n#article_feeds > .row:has(> div > a[href*=\"yandex.\"][href*=\"news\"][href*=\"favid\"]),\n.block-sticky > div[style^=\"min-height:\"],\nbody > .container > div[style^=\"min-height:\"]","#min-banners-block,\na#bg",".sidebar-banner","#adv-list-top",".ad-banner","#top_error_notify,\n.bannersIframe",".adv_big","div[id^=\"detection-block\"]",".no_block","#msgUser","[id^=\"padb_widget_\"]","#adb-pop",".alert-dashed","#TopAdMb,\ndiv[class^=\"topAd\"]",".page-subscribe",".vk_show,\ndiv[id*=\"-error-page\"] + div,\ndiv[id*=\"-error-page\"] > *","#myShowBlock1,\n#s-side,\n.tiznews",".brand-link",".full-page > noindex",".hdsd",".active[style^=\"height: 35px;font-size: 16px; background: #F5F1E\"][style$=\"padding-top: 8px;\"],\n.animenu a[href*=\"exaccess.com\"],\n.forumline > * > style + .tCenter,\n.table > tbody[id^=\"post_\"]:has(a[style*=\"position: relative;left: 13px; font-size: 16px; background: yellow;\"]),\n.table > tbody[id^=\"post_\"]:has(a[title*=\"всю рекл\"]),\na[title*=\"аккаунты к популярным порно\"]","noindex [style^=\"display\"][style*=\"block\"]",".footer-first-widgets-section,\n.footer-second-widgets-section > section > .widget_text,\n.widget_text:has(#kwork-widget)","a[href*=\"/yand.\"],\na[href*=\"sub/\"] img","center > a[href][rel=\"nofollow\"] > img","#alert > #overlay,\n.baz,\n.infopanel_left,\ndiv[class^=\"banaces\"]","table[id^=\"ad-\"]","a[href^=\"http://thisclick.\"]",".side_block > .side_header:empty,\na[href*=\"zenyandexru\"]",".exitblock",".rb_new","div[class]:has(> div[id][align=\"center\"])","#zhiviprosto",".mmm,\ndiv[class*=\"plashque\"],\nmain > .main__block:has(> [src*=\"https://rutube.ru/\"])","[class*=\"rekl\"]",".strip_only_desk,\ndiv[class=\"content_group i_frame\"]","#cmp-iframe,\ndiv[data-dest=\"placeholder\"]",".elementor-column-gap-extended > .elementor-row > .elementor-hidden-phone","div[id^=\"ban\"]","div[class^=\"HP_\"],\ndiv[id^=\"section_\"]","#menubar > div[style^=\"float:\"],\n.quote > .text:first-child,\n.quote > div[style]",".carcar",".sponsor-thread",".adsplaser_pro_abtest",".friend_links",".content-images,\n.image-side,\nimg[src^=\"data:image\"]","body > :not([id]):not([class]):not(script)",".p-body-pageContent center > [href^=\"https://t.me/\"] > img","div[align=\"center\"] > a[href][target=\"_blank\"]","td > .postbody ~ div[style=\"margin:10px 40px;\"]","iframe[src*=\"/assets/rkl/\"]","article > a[href][target=\"_blank\"]","#footer > .row-fluid > div[style=\"padding-top: 10px; float:left;\"]",".bbody > noindex",".articleContent > p:has(> span + strong[style]),\n.articleContent > p[style=\"display: block!important; text-align: center;\"],\n.buy-game","#adslinks,\ndiv[class^=\"bannerzone\"]","a[href][target=\"_blank\"][rel*=\"noopener\"] > img",".banner-block",".banner-item","[class*=\"blog-holder\"] > noindex","[src*=\"banners/\"]","#topbanners",".adredirector",".newsbox-outer-banner","#dclaim,\n.dialog-fog","#upg-banner","a[href*=\"mnogoskidok.kiev.ua\"]",".adsbyskyline",".widget_mpslwidget",".g1-injected-unit",".bci-ad ~ p","div[id^=\"mdl_ctnr_\"]","#informer","tr[height=\"250px\"]","img[src*=\"chexov.info/images/banners/\"]",".top_links","img[src*=\"://cxid.info/bcx/\"]","#openModal","div[id$=\"_ad\"]",".blue-bann,\n.slideshowbg",".cont > noindex,\n.leftcol > noindex,\na[href*=\"/search?\"][href*=\"pid=\"]","div[style*=\"339px;\"]",".main_ad728x90,\n.sid_ad300x250 > a[href][target=\"_blank\"]","#top-random-banner,\nfigure > div > img[src*=\"/var-min.jpg\"]",".partner-news","#outer > #third","table > tbody > tr > td[valign=\"top\"][align=\"left\"][width=\"200\"]",".remove_in_mobile,\ndiv.dating",".pg_content_nav > a[href][target=\"_blank\"]",".partner",".ads-overlay,\n.bet,\nbody > blockquote",".advertisement","#adb-aft-art,\n.native-ads,\n.rmgm","[onclick*=\"//zen.yandex.ru/\"]","#wrapcentre > div[align=\"center\"],\na[href*=\"tinyurl.com\"],\ndiv[id^=\"adsfoot\"],\ndiv[id^=\"res\"],\ntbody > tr > td[style*=\"vertical-align: top\"],\ntd > .tablebg[style^=\"background-color:\"]","a[href*=\"/ali.pub/\"]",".mob-banner","td.back td[style=\"height:215px\"]",".bnr-block,\n.loader:empty,\n.main-partners,\ndiv[class^=\"r\"][style^=\"height\"][style*=\"margin:\"],\ndiv[style=\"height: 400px\"]",".my-3","div[style*=\"height\"][style*=\"250px\"],\ndiv[style*=\"height\"][style*=\"260px\"]","div[style*=\"height\"][style*=\"270px\"],\ndiv[style*=\"height\"][style*=\"470px\"]",".client,\na[href*=\"/Na-pravah-reklamy/\"],\na[href^=\"/cms/admin/banner.php\"]",".adv_header",".block-block",".bgroup","#rightcolumn[valign=\"top\"] > div",".author-widget,\n.read-also__title,\n.sidebar > :not(.widget)","#podnovka ~ div[style],\n.sigo","#msg_pop",".content_rb",".widget_execphp","#AutoNumber1","a[target][href*=\"/go.php?url=\"] > img[src^=\"/\"]","div[id^=\"block-views-banner\"],\ndiv[id^=\"block-views-paid_place_slider-block\"]",".article_contentroll,\n.aside_item,\n.companyButton,\n.footer_apps,\n.gamma-zen,\n.onlineBlock,\na[href*=\"okko.\"],\ndiv[class*=\"-fix \"][class$=\"as-desktop\"],\ndiv[data-modules=\"banner\"]","a[href*=\"//wink.\"]","advertronic-slot",".side-box:has(> [id=\"div-gpt-ad-sidebar\"])",".second-message","body > [style^=\"z-index: 1000000; \"]","#related-posts-after .mag-box-title",".left-col.hidden-phone",".jptop","#neheraplper_9000 > a[href] > span,\na[title=\"LostFilm.INFO\"] > div[style*=\"height\"],\ndiv[id^=\"heraplper\"] > a[href]",".main-right > div:not([class])[style^=\"margin-bottom:20px\"]","#s\\(1\\),\n.owl-carousel,\naside img[src^=\"http://magtimes.info/wp-content/uploads/\"]",".b1",".td-g-rec","article[id^=\"post-\"] > .entry-meta + div[style^=\"padding-bottom:\"]",".source-link","div[id]:has(> wix-iframe),\nwix-iframe",".home-right-rk,\n.npt","#content > center","[class*=\"yandexzen\"]",".lt_bl,\n.megasale,\n.yamin,\n.yelobv4","a[href*=\"vott.ru\"]",".BigBlock",".tm-content ~ .tm-main-bottom .widget_custom_html:not([style]),\na[class^=\"branding-\"],\nimg[src*=\"/_img/ban/\"]","#content > .lenta",".sidebar > noindex",".tiserpc,\na[href*=\"/goto/\"][target]",".ad_260_px",".d-none:has(> .adsbygoogle),\n.page_content > .article_content ~ div[style^=\"width:\"],\n.sidebar > div[style^=\"width:\"],\ndiv[id^=\"tvfooter\"],\ndiv[style=\"display:none\"]","div[class*=\" min-h-\"]",".rotator","a > img[width=\"240\"][height=\"400\"]","div[id^=\"hitsadv\"]","div[style=\"text-align: center; margin: -18px 0 25px; \"]",".focus-ad,\n.mob","#modal.modal-bg",".tg-fourth-footer-widget","body > #page ~ *",".widget_hugeit_slider_widget",".vjs-inplayer-container","body > div[id][style=\"display: block;\"]",".wf_ads","[style*=\"line-height:1;\"][style$=\"font-size:8px;\"],\n[style*=\"line-height:1;\"][style$=\"font-size:8px;\"] ~ a[href][target=\"_blank\"]",".bnr-top,\na[href^=\"http://domzaton.ru/\"],\na[href^=\"http://www.alekseevskiy.astf.ru/\"],\na[href^=\"http://www.tigerltd.ru/\"]","a[href*=\"fastrader.ru\"]",".head_bann",".bg_header_right > .soft",".block-dark:has(script)",".col-right tbody > tr:has(.adsbygoogle),\n.col-right tbody > tr:has([id*=\"banner\"]),\n.col-right tbody > tr:has([id^=\"SRTB_\"]),\n.col-right tbody > tr:has([id^=\"yandex_rtb_\"]),\n.col-right tbody > tr:has([src*=\"/ads/\"]),\ndiv[id^=\"hme_ad_news\"]","noindex > table[width=\"200\"]",".js-site-top__banner","body > #promo-popup","div[style^=\"display:inline-block\"][style$=\"margin:0px 0px 12px 0px;\"],\niframe[data-src*=\"/reklama.\"]","#header > div[style^=\"text-align: center;\"]","[data-phpbb-ads-id]",".banner-topflash,\n.fr-banners-main,\n.st-allbanners,\na[target=\"_blank\"] > img[alt]","#news_bannerPlace,\n.banners_tmpl3",".media:not([style=\"padding:0;\"])","#mvp-leader-wrap,\ndiv[class^=\"angwp_\"]","#partners,\n#topBaner,\nobject[width=\"150\"][height=\"100\"]",".bodyline > div[style*=\"height:90px\"],\na[href*=\"/cl.php?b\"],\ndiv[class^=\"bnrb\"]","div[style]:has(> p > [href=\"#hideRekCaption\"])",".bg-logo-ads",".container > a[href*=\"utm_campai\"] ~ a[href][target=\"_blank\"]","a[href^=\"/go\"][href*=\".php\"][target=\"_blank\"],\ndiv[class*=\"transformer-form\"]","#rightcol > .module-outer1,\n#rightcol > .module-outertoppanel,\n#top45,\n#top6out,\ntable[style=\"height: 20px; width: 100%;\"]","#header_banner,\ndiv[class^=\"erid\"]",".gmp_widget",".readthis",".banner-container,\nsection.countdown",".textwidget > strong > div[id],\n.widget_text:has(> .textwidget:first-child > :first-child:not(#SinoptikInformer))","[src*=\"/banners/\"]",".okadv__block,\n.okadvertisement",".top_banners","a[href^=\"//twogarin.info/goto/\"] > img[src*=\"/wp-content/\"]","a video",".sidebar-inner > .widget ~ .widget_text,\n.widget_super_rss_reader","#footer","a[href*=\"://www.wem.ua\"]",".module-social .module-social.hidden-xs,\n.module-top > .module-inner ~ *",".bnr-block__bnr,\n.newsfeed__banner,\ndiv[style=\"height:260px;clear:both;\"],\ndiv[style=\"height:600px\"]",".main_frame > div[style=\"float:left; width:245px; height:130px;\"]","#snsocial_modal_jic",".advertising-card","#vi_ad,\n#vi_adlink,\nbody > div[id^=\"headbr\"]","#content h3[style] > span[style^=\"color\"],\na[href*=\"grovieavtomati.vip\"]",".content-banner",".textwidget > noindex","#cboxOverlay","#colorbox",".modal-block-hide-twitch","a[href^=\"/bitrix/rk.php\"][target=\"_blank\"]",".right > .mblock > div","div[class^=\"vds-\"][class*=\"cloud\"]",".mm_widget,\n.popular","#unified-slider",".news > noindex","#advBox,\n.left-column center:has(> .adsbygoogle)",".cookies","img[src*=\"/banners/\"]",".ad-test-vpn,\n.consent__notice,\n.consent__notice ~ .body-blackout,\n.content-article p:has(> .adsbygoogle),\n.narrow-column > style ~ div > div:has(a[style^=\"color:\"]),\na[href*=\"://fineproxy.org\"],\na[href*=\"://finevpn.org\"],\na[href*=\"://hdmnm\"],\na[href*=\"://hidem\"],\na[href*=\"://proxyelite.info\"]","span > a[href][target=\"_blank\"][rel=\"nofollow\"]",".island:has(> .adsbygoogle),\n.island[style^=\"padding: 2rem 0;\"]","#ad_ctd,\n#cts_test,\nmain > ._bg-red",".App-bannerBottom,\n.App-bannerTop,\n.DFPBanner-root,\n.Layout-bannerTop",".cookie-dialog,\n.fm-dialog-overlay",".mfp-bg, .mfp-wrap","#trevda",".post_content.newsletter ~ .post_subscribe","div[class^=\"cookies-modal\"]",".top-xata > .content_wrapper",".placeholder-branding,\n.top-after-banner,\ndiv[class*=\"right-side-banner-\"]",".belta-informer,\ndiv[class*=\"top-banner\"] a[href][target=\"_blank\"]","div[class^=\"Banner\"]",".page-header__promo-btn[href*=\"/reklama/\"],\n[data-subscribe-zen],\n[data-without-height],\na[href^=\"https://advert.kp.ru\"],\nbody > #app [data-gtm-el=\"content-body\"] ~ div > div:has(> [data-subscribe-zen]),\nbody > #app div:has(> div:first-child + div > div:first-child > div:first-child + section > div > div > script[data-key]),\nbody > #app div:last-child:has(> div > div > div ~ section > div > [id^=\"unit_\"]),\nbody > #app div[class]:has(> a[draggable=\"false\"][href^=\"https://zen.yandex.ru/\"]),\ndiv[data-name]:not(.buttonContainer)","a[href^=\"https://zen.yandex.ru/\"]",".yandex-ad-container","#ads-full-screen,\n.nambafood,\n.xbet","#adhider,\n.recommended-wrap",".footer-add > a,\n.rek-widgets,\n.toprek,\n.yelrec","#player-blocker,\ndiv[class*=\"oops-\"]","#fb_bottom_like",".branding-link",".tradingview-widget-container","body > .preloader,\nbody > [id][class*=\" \"]:not([style])","#left-sidebar > .sidebar-chunk.mid:not(.strong),\n.article > .onadlable,\n.dc_promo,\n.vivo-wide,\na[title^=\"3DNews\"][title*=\"Дзен\"]",".ymarket-affiliate-widget",".fade[class*=\"modal\"]",".indent,\n.sbanner","[class*=\"widget_sp_image\"]",".block[id*=\"-banners-\"]",".elementor-image > a[href]:not([href^=\"/\"]):not([href^=\"https://alau.kz/\"])[target=\"_blank\"],\nimg[src*=\"/banner\"][src*=\".gif\"]",".columnBanner",".tradingview-widget-container__logo","a[href*=\"://1xbet.\"]","#mc_baner","#moneyblock,\n.brand_a,\n.no_news,\ndiv[class^=\"aks-\"]",".freedom__banner,\nimg[src*=\"/images/sponsors/\"]",".content-column ~ .content-column > .section-rss",".fonbet-banner",".branding-space","#bannerlayer",".kivvi_social","#banner1000_250,\n#banner300_250,\n#zharnama300_250,\n#zharnama300_400",".b-container",".a6",".ban-head,\n.bn-slider",".swal2-container","#advertising",".menu + .block > div > a > img[src^=\"images/\"]",".navbar-fixed-bottom","#header-top-space,\n.main-links > [style*=\"background\"]",".bnr-tall","#js-widget-pm,\n.adv-placeholder,\n.block-branded-icon,\n.block-main-info__sponsor-image,\n.nearest-matches,\n.page__top,\n.widget-1xbet,\n.widget-parimatch-wrapper,\n[class*=\"ad-slot-module\"],\ndiv[class*=\"sponsorship\"]",".advert","#div-gpt-listing-full-screen-container,\ndiv[data-testid=\"qa-advert-slot\"]",".ad2","body > div.layer0",".top-promo-view",".logo + #ja-search","#popup_prod","#fonbet_oversize_container,\n.footer-top__partners > .footer-block-wide:only-child,\n.game-info__bottom",".banner-bg","div[class^=\"ads\"]","[class^=\"sponsor_\"],\n[class^=\"xbet\"],\ndiv[class^=\"brndng\"]","a[href*=\"paripartners\"]",".header_adv","section:has(> .ya-news)",".header_sub_links","#text-3",".rennab",".banner_mix_left,\n.banner_right",".advertising-blank",".betconest,\n[class*=\"-top-btn\"],\n[class*=\"xbet\"],\na[href=\"/bookmaker/\"],\ndiv[class^=\"vesti-banner\"]","#brand_logo,\na[onclick*=\"Branding\"][style]","div[class*=\"banner_\"]","#branding_link",".module:has(> div > iframe[src*=\"://yk.kz/\"][src$=\"/\"]),\n.top-line,\n.top-line button,\niframe[src*=\"://yk.kz/\"][src$=\"/\"]",".adBanner",".dzen","[class^=\"ads_\"]","#allowNotificationsPopup,\n.adblock_alert,\nimg[alt=\"Parimatch logo\"]","div[id^=\"adv_\"]",".advertising-action-timer,\n.buy-sidebar",".index-page-widget-pravo-google-banner-right,\n.index-page-widget-pravo-pravmedia",".mob_hide[style*=\"min-height:\"],\n.spec-list","div[class^=\"ad_\"]",".static-banner","#redirect-button > #timer",".logo-container > div[class=\"widget-header\"],\na[href^=\"http://248.dp.ua\"],\na[href^=\"http://happydiets.net\"],\na[href^=\"http://kiddo.ua\"]","#top","#idx-sidebar2 > div:not([id]):not([class]),\n#logo-td + .w100.tCenter,\n#main-nav > .ext-links,\n#page_footer > div[style^=\"padding\"],\n#topic_main > [id^=\"post_\"] ~ .hide-for-print,\n#topic_main > [id^=\"post_\"] ~ tbody:not([id^=\"post_\"]) > [class],\n.bn-topic,\n.postLink[href*=\"://sbermegamarket.ru/\"],\n.postLink[href*=\"citilink.ru/\"],\n.t-body-txt-ad,\n[class=\"attach bordered med\"] > tbody > .row3 ~ .row3 > td > :not([class^=\"internal-promo-\"]),\n[class^=\"bn-\"],\n[class^=\"internal-promo-\"],\n[id^=\"bn-\"],\na[class^=\"ref-\"][target=\"_blank\"],\na[href*=\".vkplay.ru\"],\na[href^=\"go.php?id=\"],\niframe[src*=\"/rutrk.org/iframe/\"],\ntr.row3 > td > ul > li:has(> a[href*=\"offer_id=\"])",".prf-box[style=\"padding:30px\"]","#info > div[id^=\"mp_wid_\"] ~ .textos,\n.content > #info:nth-of-type(1):has(> .textos)",".onp-sl-overlap-box",".article_ads_section,\n.small_ads_cell",".grid-r",".c-banner,\n.md\\:u-block,\n.overflow-hidden.c-card,\n[data-product],\nimg[height][src^=\"https://shuba.life/static/banners/placeholders/\"],\nsection.c-post__full > [style=\"overflow: hidden;\"]",".entry-content > h3,\n[href*=\"mclk.ru\"]","body > .wrap-overlay",".rtbCont","#top_reklama","#secondary > .widget_custom_html",".serials > .serial:has(> .serial-btn > .row > div > img[src^=\"/assets/smotret_anime-\"])",".sidebar-widget:has(> .bra__col)",".wrapper-partner-rb,\ndiv[class^=\"partner-\"]","div:has(> noindex > script)","div[class^=\"vjs-promo\"]",".content > .text-block.form-wrap","#app > div > .js-fixed-sensor + div,\na[href*=\"/sportbooks\"],\na[href*=\"/tvsv/\"],\ndiv[class]:has(> img[src*=\"/upload/bookmaker-\"])","a[href*=\"bookmaker\"]","#float-bottom-content-closer","#carouselPrintstok,\n.parent,\na[href^=\"/fon\"]",".branding-fk",".d-none:empty,\n.fn-more-info,\n.fn-sources","#film > #content > span[style=\"color:#ff6a00;\"]",".notification-widget","#pointer-informer-container,\n#simpalsid-news,\n.header_numbersTop,\n.numbers-placeholder","body > div[class*=\"branding\"]","#article > .right-block,\ndiv[class*=\"bannerplace\"]","[id*=\"_wideBann\"]","div[class*=\"block-mplus\"]",".video-ad-container",".news-feed-item[style=\"height: 400px\"],\n.ushi,\na[href=\"//moldovenii.md\"],\ndiv[class*=\"-bnr\"]","#business-sidebar,\n.point-ads,\n[style^=\"position:\"] div[class]:has(.point-ads),\n[style^=\"position:\"] div[class]:has(> a[href*=\"utm_campai\"]),\na[href*=\"://sales.simpals.com/\"][href*=\"banner\"],\narticle:has(> div[id^=\"article-\"] > .business),\naside > div:has(> a[href*=\"utm_campai\"]),\naside > div[class]:has(> div > [id*=\"adsense\"]),\ndiv:has(> article > div > a[href*=\"/business/\"]),\ndiv[class]:has(> a[href*=\"://sales.simpals.com/\"][href*=\"banner\"]),\nspan > a[href*=\"/novosti/business/\"]","div[style^=\"min-height:\"][style*=\"250px\"]",".company_related-banner,\n.h_banner-container","body[onfocus*=\"reloadliveblock\"] > #bugoverlay ~ table table[bgcolor=\"#dbdbdb\"] td[bgcolor=\"#fafafa\"],\nbody[onfocus*=\"reloadliveblock\"] > #bugoverlay ~ table tr > td[height^=\"9\"][bgcolor],\ntd[background^=\"//cdn.livetv\"] tr > td[valign=\"top\"] + td[align=\"right\"]","body > #localpp[onclick*=\"window.open\"],\nbody[bgcolor] > #adbtm,\nbody[bgcolor] > div[id=\"ads\"][style^=\"position: absolute;\"],\nbody[bgcolor] > div[id^=\"iframe-container\"]",".alert-mess > .row","#galepro-core-adb-enabled","#sidebar1-wrap > center > a[href][target=\"_blank\"],\ndiv[style=\"position:absolute; top:65px; left:520px;\"]","body > div[style^=\"pointer-events: none;\"][style*=\"visible;\"]","#jadb",".v_adv",".adblock + *,\n.masr,\n.soret","[class^=\"menu\"][class*=\"special\"]","a[href*=\"porter.vip\"]",".textwidget > a[href]",".block:has(> .content > [data-la-block])","#rightsidebar,\n.like_hide,\ndiv[id$=\"sidebar\"] > .rounded:has(> .roundct > noindex)","#add2_div",".skin-block",".red.nodata,\ndiv[id^=\"inform_top_\"]",".polna-rkl > a",".desctop,\nembed",".node-promoted",".left-wrap > .left-block-bg","a[href=\"/help\"],\na[oncontextmenu=\"return false;\"]",".rightBlock:has(> .shopOffers)","#litres_btn","div[style=\"font-size:11px; margin: 0 2px 0 2px;\"]",".AppPromo,\n.CommentBanner,\n.Grid-in .GridItem:has(> div [class*=\"advertiser\"]),\n.Home-section:has(> div .title [class*=\"romo\"]),\n.kinopoisk,\n[onclick*=\":hd.kinopoisk.ru\"],\na[href*=\"hd.kinopoisk.ru\"],\ndiv[class*=\"Detect\"]",".kinopoiskBanner,\nmain > .contAlt","#wrapperBillboardScroll","[class^=\"st-br\"] > *,\nheader.st-flex,\nheader.st-flex ~ *",".no-adb",".content > .errors,\n.sidebar > div:has(> #twitch-embed)","a[href*=\"/banners\"],\nbody > noindex ~ br,\ndiv[style^=\"background-color: #E9EAD6; width:100%; height:\"]","div[id^=\"adv\"]","td[valign=\"top\"][align=\"right\"] a[href][target=\"_blank\"] > font[color=\"red\"],\ntd[valign=\"top\"][align=\"right\"] a[href][target=\"_blank\"] > font[color=\"red\"] ~ img",".col-md-4 > .mynavblock ~ div","div[class][style=\"margin-top: 20px; margin-bottom: 20px;\"]",".shadow.sidebar,\ndiv[class^=\"trsm\"]","#bnr,\n#header a[target=\"_blank\"],\n#space,\n#space + a[target=\"_blank\"],\na[target=\"blank\"] > img",".footer__btn-link",".header-img,\n.right__images","td > div[align=\"center\"][style=\"height:300px\"]","div[id^=\"ads_notice_\"],\ntd > div[class]:not([id])[style*=\"important\"]","div[class^=\"spns\"]",".code11,\n.firstPostRandomCode_wrapper",".contleft-nomenu,\n.leftside > noindex,\n.rightslide","div[class]:has(> a[title] > div[class])",".footer-container #blink7","div[id^=\"M\"][id*=\"Preload\"]",".ads_R","a[href*=\"://torrentinka.me/gom\"]","td:first-child + td[valign=\"middle\"][align=\"center\"]","#flowplayer > div[class][style]:first-child",".b-right","div[class^=\"cpa\"]","div[class*=\"adfinity_block\"]","#root > div > div:not([id]):not([class]):not([style]),\n[data-test-id$=\"-recommended\"] > div > div > div:nth-child(-1n+3):has(> div > div > div:empty),\nbody.ReactModal__Body--open > div[style^=\"z-index: 999; position: absolute;\"],\nmain > div[data-sharing-target] ~ div:nth-child(-1n+9):not([data-sharing-target])","the-card:has(> thetruestory-widget-top)","a[href^=\"/bitrix/bitrix.php\"]",".parthners",".sidebar-banner-wrap,\n[class^=\"HomePage_aBanner\"]",".top-line-bn,\niframe[src*=\"kluch.media/banners/\"]",".widget-banner",".menu-promo","#br_hg_all,\n.advertise-section,\n.hg-adv-item,\n.widget_leftadvbanner",".aside-links,\n.text-with-bg,\na[href*=\"://telemart.ua/\"]","a[href*=\"matchit.me/\"]",".banner-section",".betera-widget,\n.popular-section,\n.side-section__banner-wrap","img[alt=\"ad\"]","header > a:not([href^=\"/\"]):not([href*=\"://orenburg.media/\"])","[data-remodal-id]",".block-wrap-da",".a_d_v",".ult-banner-block,\n[data-vc-parallax]","img[src*=\"/images/banner\"]","#ticketsbox",".channel-centre > .bottom-links ~ .d-md-block",".banner-img","[class^=\"mz-advert-\"]","#ad-recipe-bottom,\n#main-aside > .ib,\n.ads_enabled,\n.as-ad-step,\n.noprint > div[style*=\"height:300px;\"]",".timecss,\n.timecssip,\na[onclick=\"openAuc();\"][title=\"Free money easy\"],\na[title=\"For video ad companies\"]","[href^=\"https://t.me/\"]","[id^=\"n-rek-\"]",".ban240",".head + .main,\ndiv[style*=\"/reklama.gif\"]",".rekl",".advert-header,\n.new-header,\nbody > div[class]:not([id]):nth-child(-1n+5) > a[href]","img[alt^=\"Hilton\"]","#gxFooterBanner,\n.pageContent > div[style^=\"outline\"] > a[href]:not([href^=\"../threads/\"])","#secondary > .widget_custom_html ~ .widget_custom_html","a[href^=\"http://hpc.name/redirector_ads\"]","#inoe-banner,\nnoindex > div[id^=\"block\"]","#notices",".Banner",".draggable_oio","#left > .bl0 ~ .bl0:not(:nth-last-child(2)),\n#right > .bl0 ~ .bl0:not(:nth-last-child(-1n+2))",".execphpwidget > div[id]:not([class]):not([style])",".esc_adv_inside_container","#bt-stop-ra,\n#side > div[style*=\"300px\"][style*=\"600px\"]",".block-inner > noindex","#prerollad",".leep_promo_link,\n.page > div > center > noindex","html > body ~ div","td[align=\"center\"] > a[href][target=\"_blank\"]",".uk-width-8-10 > div[align][style*=\"width:\"][style*=\"height:\"]",".b-rightBanner","div[style=\"text-align: center;\"] > a[href][target=\"_blank\"] > img","#anews_bigtizer","a[href*=\"/addownload.html\"]","a[href*=\"/surl.li/\"]","a[href*=\"fon.bet/\"]","#no_mobile > a[href][target=\"_blank\"]","div[id][style=\"min-height:250px\"]","#js-preload-banner","#infobox_right","div[id^=\"teaser\"]",".alert-danger","a[href*=\"babyitalia.ru\"]","#dle-content div[align=\"center\"]:not([class])",".b-banner-container",".b-banner_sm",".b-header-banner,\n.b-net-preview,\n.mtbottom_priceua",".b-advertise",".b-puzzle-banner","a[href*=\"aHR0c\"] > img","noindex a[href][target=\"_blank\"]","body > #cboxOverlay, body > #colorbox",".right-sidebar div[style^=\"width: 300px; height: \"],\n.right-sidebar__title_without_border:has(> div[style^=\"width: 300px; height: \"]),\n.widget_header aside,\naside[id][style^=\"height:\"],\ndiv[id$=\"_megadiv\"]",".row-banner","div[id^=\"chadddos-guard\"]",".logo-w + a[target=\"blank_\"]",".px-nav-dropdown-menu > .px-nav-item:has(> a > #uLogin),\nli[id^=\"slide\"]","td[bgcolor] > table[bgcolor=\"#EAEBEE\"],\ntd[bgcolor] > table[bgcolor=\"#EAEBEE\"] + table","#antiAdBlock,\n.rek_plashka,\n[id^=\"_myproduct\"]","form > article[id^=\"elComment_\"]:has(strong > a[href$=\"-Adver/\"])",".pls_rmv","div[onclick^=\"onclickRight\"]","a[href^=\"https://www.reg.ru/\"]","#dle-content > table td > a[target=\"_blank\"] > img,\n.stic","#popup_bg",".container > .sidebar,\ndiv[class^=\"news-block\"]","#nav_news > table[class],\n#nav_right,\n#pbie_25,\n#ptext_15,\n.left_banners",".g-ads","#content123",".dlogo td[align=\"center\"],\n.mmenu a[href^=\"http\"]:not([href^=\"http://dream\"]),\na[href^=\"http://tapker.com/app/\"]",".banner-categories,\n.main > div:first-child[style*=\"99%;\"],\n.main > table[height=\"128\"]","body > #right","#vista_toolbara > table:nth-of-type(2),\na[href*=\"in.htm?\"],\na[href][target=\"_blank\"][tooltip]",".intro","#ed-shortbar","div[style*=\"display:inline-bl1ock\"]","#sideLeft > .baza","a[href*=\"utm_\"]",".mreklama","a[href*=\"freebitco.in\"]","p[style=\"text-align: center\"] > a[href] > img","a.film-online[target=\"_blank\"]",".right_colum > section:first-child",".infTable",".mtsnb,\n.wrapper-outer > .background-cover",".modal_type_video-ads,\ndiv[class*=\"__ads-\"]",".fb-ads-block,\n[data-ab-test-id],\ndiv[class^=\"rkl-\"],\nya-recommendation-widget","#main_content + td[width=\"240px\"]","#teaser-cc-cell",".da-section","iframe[src*=\"twitch.tv\"]","#chrome_popup,\n#fishki-prompt-widget,\n.brand-ear,\n.cycle-carousel-wrap > [style*=\"z-index: 100;\"],\n.drag_element:has([href*=\"poleznaja-reklama.html\"]),\n.header-nav__link[href=\"/games/\"],\n.is_adv_post,\n.like_wall.is_visible,\n.sidebar__block_trend ~ .sidebar__block_trend,\n[class^=\"partner-post\"],\n[class^=\"side\"][class*=\"right\"] div[class*=\"promo\"],\n[href=\"https://servers.ru\"],\na[href*=\"poleznaja-reklama.html\"],\ndiv[id^=\"b-close\"],\niframe[src*=\"ondu.ru/\"]","a[href*=\"shop.vmayke.org\"]",".yandex_ads","div[class^=\"popup\"]","#popupwindow","#sidebar > div[style]:not(#rightmenu)","#info-main-block,\na[href*=\"csgo.life\"]",".branding-spacer,\n.head-margin > .nomargin.block",".PostContent > noindex > center,\n.cleared","#relategames > noindex,\n.swfgame_banners",".adv_algn","#afoot,\n#hfsn","#header-banner","#banner-top",".banan_block",".widget_widget_catchbox_adwidget","a[rel=\"nofollow\"] > div[align=\"center\"] > img",".floating,\nimg[width=\"140\"][height=\"30\"]",".dns_banner,\na[\\;] > img,\na[href^=\"http://cifra-zone.ru\"]","center > noindex > a[target=\"_blank\"]",".inRek","aside > .widget_search + .widget_text","[src*=\"_partners/\"],\ntable > tbody > tr > td[width=\"210\"][valign=\"top\"]",".a-video-block","noindex > a[href*=\"/go.php\"] > img:not([src=\"/uploads/vk.png\"])",".stockgame","a[href=\"http://hdserial.com\"]",".container > div[id^=\"adblock-\"] ~ .row,\ndiv[id^=\"adblock-\"]",".top-b.row",".nevidimka,\nbody > div > .menu,\ndiv[style=\"background: #ffffff; box-shadow: 0 0 0 1px #457a9d, 0 0 5px #333; padding: 10px 3px 3px 3px;\"]","a[href*=\"/banners/go_to/\"]",".mcompl","#content > .container","#left_menu_no_adv ~ *,\n#right_menu div[id][class][style^=\"display\"] *,\niframe[src*=\"/advert.\"]",".right-col","#dle-content div[style*=\"440\"]",".buyframe,\n.main-bg a[target=\"_blank\"] > img","a.red,\na[href=\"/out.php\"]","div[id$=\"odalWin\"]",".banerp","img[src^=\"/templates/onlinegid/images/panel\"]","a[href*=\"chromepro.ru\"]",".warning-adblock",".sidebarsB > .sidebar1","#swf","[class$=\"ad_title\"]",".padding > table[width=\"180\"]:nth-of-type(4),\na[href*=\"epidems.net\"]",".panel-body noindex",".article:has(> .article__title > a > .advertising),\n.col__sidebar > .unit-side-informer,\n.unit-inner-banner,\n.unit-side-banner,\n.unit-top-banner,\n.unit-top-dark-banner","div[id^=\"holder_\"]",".text > div[style^=\"min-height:\"]",".bunner_container","[href*=\"/pari\"],\ndiv:has(> table > tbody a[href*=\"kulichki.com/advert\"]),\niframe[src*=\"/leon/\"]","a[href*=\"adv&\"][href*=\"click&id\"]","div[class^=\"but-150\"],\ntd[width=\"150\"][align=\"right\"][valign=\"top\"]",".sape[style=\"width:500px;\"],\n.td_poisk[style*=\"background:#f5f0e8;\"]",".sidebar > .widget_list_mag_wp_300px:first-child,\n.sidebar > .widget_list_mag_wp_300px:has(> .img-300 > a[href][target=\"_blank\"]),\n.sidebar > .widget_list_mag_wp_300px:has(> .img-300 > div[id])",".banad,\n.down_link > .wl:not([style]),\n.file_download > div[style*=\"height:\"],\n.file_info_ad",".article-header__video-banner,\n.b-blocks,\n.banner-area,\n.swal2-backdrop-show,\n.top-bnr,\na[href*=\"/adfree\"]","a[href*=\"thehost.ua\"] > img",".book_ltrs,\n.box_title_on_pages:first-child[style=\"width:100%;\"],\n.pay,\na[href*=\"/feisovet/\"]","body > div[style^=\"position: fixed\"]","#image_after_image-viewer,\n#image_image-viewer_top",".dle_b_yandex",".header-top",".partner-block","#top-band-2","#mod_fav","a[href^=\"http://scorch5.com/\"]",".blocker-notice, .blocker-overlay","#mb_top_space,\ndiv[style$=\"#CCCCCC;\"]",".apygame","center > a[target=\"_blank\"]","[data-widget*=\"adblockOverlayEnabled\"] .notifications","div[id$=\"-menu\"] [class*=\"module-body\"]:has(> script[src]:not([src*=\"vk.com\"]))",".row.row-flash.roll",".re-block","#text-html-widget-4","a[href^=\"http://digit.com.ua/\"]","center > table > tbody > tr[valign=\"middle\"]:first-child + tr:last-child",".adv_video,\n.verx_r",".visible-lg .widget_text","a[href*=\"steam-account.\"]",".rightColomn > aside:has(> .textwidget)",".softobase-client-promo",".adsh_ads4",".advf-top",".topbnr,\n.vk-music-link,\n.vk-player-promo",".card-panel:has(> center > .ds)","div[style*=\".am15.\"]","#teasers-sidebar,\n#teasers-top,\n.more-teaser","#rtm-top","a[href*=\"redikg.ga\"]","._unit","[id*=\"teaser\"]",".inban,\n.page-banner__wrapper,\ndiv[class*=\"__bot-ad\"],\ndiv[class*=\"__top-ad\"],\ndiv[onclick*=\"partner\"]",".app-page__left > .app-page__menu ~ div[style*=\"height:\"]","#dle-content > .short-post > .category,\n.topnews noindex","#vk_up_table,\nbody > div[style*=\"cursor: pointer;\"]","div[id^=\"mawid\"]",".block-header[style=\"margin-bottom: 15px;\"]",".news > div[onmouseout][onmouseover][style],\ncenter > a[target=\"_blank\"][rel=\"nofollow\"]",".badv,\ndiv.hide.margin32 > .ttle,\ndiv.hide.margin32 > .ttle ~ *",".post_liked","div[class^=\"rek\"]","div[class^=\"ban\"],\ndiv[class^=\"videoban\"]","#content > .unspecific.message,\n#some_ad_block_key_popup,\n.modal","#button-contact-vr,\n.oblivki,\n.top-reklama",".down",".player22","[src$=\"/social.gif\"]",".sub-text",".simple-banner,\nbody > .brend","a[href^=\"http://club-vulkano.com/\"]","a[href^=\"http:\"]:not([href*=\"ochevidec.net\"]):not([href*=\"livejournal\"]):not([href*=\"icq\"])",".inner_box3","#rightcol-c > div > noindex","noindex > table.alt1","#leftcol-c > br + div[style],\n.info_one,\na[href^=\"http://verismediya.ru\"]","#container > div.otzyv_box_float[id^=\"review_\"] ~ .otzyv_box_float:not([id^=\"review_\"]),\n#google_recommended,\n.right_column_one > div[class^=\"mainblock h\"]",".dds,\na[rel=\"nofollow,noindex\"]","ins[style^=\"display:inline\"]","[href^=\"go.php?to=\"]","div[id^=\"pcash-block\"]","#daos,\n.entry > div[style^=\"float:\"]","a[href*=\".sim-networks.com/index.php?pid=\"]",".adv-wrapper",".article-comments > .row > div[class] + div[class],\n.h-advert,\n.head-ad_vert,\n.right-a_dvert,\na[href*=\"https://patreon.com/\"]",".gdeslon-widget","#bla,\n.left_side,\n[id^=\"blabla_tr\"]","#pddk221",".dzenSlider",".b-sidebar-right > noindex,\nbody > section > hr","#dle-content > div[id^=\"id-\"]","#sidebar","div[class*=\"ya\"][class*=\"dzen\"],\ndiv[class*=\"ya\"][class*=\"news\"]",".bnr_300_600","#ss-menu > ul > li[style],\n.ss-overflow-hidden,\nli[class^=\"ss-li-\"]","#tesaerleft",".xpwt_video-spots-col","a[href^=\"/url?go=\"]",".package-timeline__item--adv",".col-cont div[align=\"center\"]:not([class])",".reclama_v",".col-lg-3,\n.prognoz_block,\n.reklama_img_ssilka,\n.top-menu > .top-menu-item ~ .top-menu-item ~ .top-menu-item > :not([href])","a[href^=\"http://bestspb.ru\"],\na[href^=\"http://www.risecargo.ru\"]","[alt*=\"Amigo\"]","#left-bot","#installApp",".yandex-link",".download_file:has(> a[href*=\"/sb/clk/\"])","div[id*=\"rca\"]",".popup[id*=\"-results-banner\"]","#page_header > center,\n#page_header > hr,\n#sidebar1-wrap > hr,\n#sidebar1-wrap > noindex ~ table,\n#sidebar2-wrap > hr","#sverhuAd",".download_blue_yellow",".container_gads","#page > #overlay","img[src^=\"https://rsload.net/images\"][src*=\"2890374\"]","img[src*=\"banner\"]",".menu_block.navi > a:not([href^=\"/\"]):not([href^=\"http://ru-admin.net\"])","div[style*=\"fyi5fimf.\"]","#left_col .center > noindex ~ *","#page-body > noindex > .bg3,\na[href^=\"http://www.seopowersuite.ru/\"]",".item-full > .list-items ~ .subcol","#bottomBlockAdfox,\ndiv[class^=\"ggmodale\"]",".full_story + center,\n.topbannerbg",".lb-sideleft",".adbon",".smotrite",".contextlink","#blokya",".bns-bl,\n.player-bn",".a_top",".adv-sale","a[href^=\"http://naoblake.com/\"]",".sect-recl","#fo_cblock2 > .row2 > table ~ div[align=\"center\"],\n#fo_cblock3","div[id^=\"carousel_pos\"]",".mask,\n.modal-baner,\nobject[data*=\"/images/zen/\"]",".scrolled-adv","[data-banner]","a[target=\"_blank\"][href*=\"olimp\"]","#left_slide > #conteiner, #left_slide > noindex","#fixcyber,\n.article__content > table[width=\"336\"]","#opaco, #popup","div[id^=\"rek\"]","td[width=\"120\"][valign=\"top\"] a[href][target=\"_blank\"]","[href=\"http://surgeryzone.net/knigi-po-medicine\"]","#aposnow,\n#page_header td[width=\"230\"] + td,\n.attach > tbody > tr:not([class]) > td[width=\"100%\"][class=\"attachheader\"][align=\"center\"]","[id^=\"nadavi\"]",".widget_partn","div[id^=\"news-id-\"] > .quote > div,\ndiv[id^=\"news-id-\"] > .quote:has(> div)",".b_articles__banner,\n.partner-news:not(.b_crosswidget)",".newsText > p:has(> ins)",".row > .col-md-7 > .panel-default","div[class^=\"download-rek\"]","a[href*=\"browser.\"]",".maincont > div:nth-last-of-type(2) > a > img",".side-widget > a[href][target=\"_blank\"] > img:not([alt*=\"elegra\"])","#theBanner,\n.tBoxAdv",".content > noindex > :not([href*=\"tyurem.net\"])","#bottom-notice","a[href*=\"://money-birds.\"],\na[href*=\"://payad.me/\"],\na[href*=\"://surfearner.me/\"],\na[href*=\"://teaser.bz/\"],\na[href*=\"bolshoyvopros.ru/\"]",".adv-news,\n.lazy-load-banner,\nbody > .yellow-die","#left_banner,\ndiv[class]:not([id]):first-child:only-child > div[class]:not([id]):first-child:only-child > div[class]:not([id]):first-child:only-child > div[class]:not([id]):first-child:not(:only-child),\ndiv[class]:not([id]):first-child:only-child > div[class]:not([id]):first-child:only-child > div[class]:not([id]):first-child:only-child > div[class]:not([id]):first-child:not(:only-child) ~ div[class]:not([id])","#top-banner",".fixed-block > div[class] ~ div,\narticle > section:has(> div > div > a[href*=\"/ad.adriver.\"]),\ndiv[class*=\" \"]:first-child + div[class*=\" \"]:last-child > div[class*=\" \"] > div[class*=\" \"]:first-child:empty ~ div[class*=\" \"],\ndiv[class^=\"fuel-\"][class$=\"-banner\"],\ndiv[id^=\"ecbr-\"],\niframe[src*=\"safemore.ukr.net/\"]",".custom-html-widget > a[href] > img",".outer > br,\n.outer noindex > center > a[href][target=\"_blank\"]","a[href*=\"utorrentgames.net/module.php\"]","#dle-speedbar > .hblock:has(> .adsbygoogle),\n.full-story > .mblock:has(> noindex),\n.mblock > noindex,\n.right .mblock:has(> a[href][target=\"_blank\"] > img)","div[style^=\"position: absolute; width: 300px;\"]",".mv-advert-position",".tizer",".prevent-first-click","div[class^=\"adrotate\"]",".sidebarBlock:first-child","div[class^=\"sectionrol\"]",".code-block:has(> .content_rb)",".c-center > .cols ~ *,\n.c-left > .block ~ *","div[style^=\"text-align:center;line-height:0;display:block;height:\"]",".after_image_promo,\n.walls_data > .item:has(> .thumbnail script)",".ads-long-block","a[href=\"#\"][onclick*=\"_blank\"]",".downloadPageBox > div[id]:has(> img + style),\n.dpbTimeOut,\n.isadNotif,\n.wzADS,\narticle > div[id]:has(> img ~ style)",".fullstory ~ noindex .pleer",".right-full > noindex","#top_ajax_ad","#popup.modal-box","#content > .info-box,\n.blog-cat > .box[style^=\"height:\"]",".adblocker-notification,\n.slideshow__link,\na[href=\"http://greedydwarf.ru\"],\nbody > div[style*=\"z-index: 10000\"]","#dle-content > .search","#ipd-msg-wrapper + br + center,\na[href^=\"https://author24.ru/\"],\nimg[alt=\"author24.ru\"]","div[class^=\"rec-\"]",".we-are-featured","a[href][rel=\"noindex\"]","td[align=\"center\"][style=\"width:220px;\"] + td[valign=\"top\"] > :not(#dle-content)",".gooo",".for-article > .js-switch-blocks-center > .news-feed-wrapper:has(> .news-feed > .for-banner),\n.for-banner,\n.page-new > .left,\na[href^=\"/banner/click/\"]","#wp-custom-header > .header-image-wrap > img,\na[href][rel=\"nofollow noopener\"] > img","#header_advt-wrapper,\n#slotPromoinformer300x250,\n.content-roll,\n.mobile-branding-wrapper,\n.news-list-col > .news-list,\n.partner-wrap-block,\ndiv[id^=\"slot300x\"]","[class*=\"adv-\"][class*=\"new\"]","[id^=\"mobileBrandingPlace\"]","div[id^=\"videoAdvWrapper\"]","div[class*=\" ZNT_\"]","a[href*=\"insorg.org\"]","#block-zwzd-partners",".mediametrics","div[id^=\"Zz\"]",".banner-sidebar",".recomended,\ndiv[class^=\"djslider\"]","#partner-widget-mediametrics,\n.capybara-mini[style^=\"width:300px;min-height:300px;\"]",".bn-content",".sect-repeat-ban",".td-post-content > p:has(> i > [onclick^=\"yaCounter\"])","[class^=\"banner\"]",".content > .comment-block[style^=\"margin\"]",".reklbanner","div[class*=\"remodal\"]",".fotorama__stage:has(> div img[src*=\"/i/a/\"]),\na[onclick*=\"ad_click_\"]",".my-4",".temporary_banner",".adv-container-wrapper,\n.partners-container,\n.promo-card-small,\ndiv[class$=\" feed-item\"]","#installer,\n#loaded,\n.ads-ob,\n.aside > [id][class],\n.aside div[id][class]:empty,\n.grid > div[class^=\"it_\"]:has(a[href][target=\"_blank\"]),\n.header #person:empty,\n.theiaStickySidebar > [id][class],\n[class^=\"partner\"],\n[itemprop=\"articleBody\"] > [id][class]:empty,\ndiv[class^=\"it_\"]:has(> div[class^=\"banner\"]),\ndiv[id^=\"prog_adv_\"]","div[id^=\"adriver_banner\"]",".bPosition_c2,\n.is_momenty,\n.item-text > div:has(> div > .inpage_block-adv),\n.no-print[style*=\"height\"],\n.publication-c4,\na[href=\"/advert\"],\ndiv[class^=\"inpage_block-adv-\"],\ndiv[class^=\"right-banner\"],\ndiv[id^=\"top_banner\"],\ndiv[id^=\"widget-container_news\"],\ndiv[style*=\"height\"][style*=\"110px\"],\ndiv[style*=\"height:\"][style*=\"width:\"][style*=\"overflow:\"]",".bbh,\n.bbn",".g-banner","#pn_gsc_pblocks,\naside.tm-sidebar-a [class*=\"block\"]",".adblocker",".container-fluid > div[class=\"container uphead\"],\n.dlblock:has([href*=\".drp.su/\"]),\n.horizontal > .rbox:has(> div a[href*=\"page.php?id=3023\"]),\n[href=\"download/page.php?id=5511\"],\na[href*=\"page.php?id=3023\"],\nbody > .dlblock ~ .container > div[style=\"margin-top:25px;margin-bottom:25px;\"],\nbody > .dlblock ~ .container[style=\"padding-top:12px;\"],\nhtml:not([style]) > body getsitecontrol-widget:not(#getsitecontrol-7665)",".uix_ad_banners,\ndiv[style=\"height:5px;\"]",".header-link",".related_news:has(script)","div[style^=\"margin: 20px 0;min-height:\"]","a[href*=\"://fineproxy.org/\"]",".afterpost-teaser-x,\n.sidebar-block:has(> .sticky .comm-blog),\ndiv[id^=\"slider-middle\"]",".two-big-block",".glsdklj","#adFoot",".canshow,\n.main-banners,\niframe[src*=\"/bredir/\"]",".main-b",".comments ~ noindex","div[class^=\"homeBannersAds\"]",".msg-AdBlock",".follow_button",".my-5","[data-type=\"anti-abp\"]",".spots-side","[data-action=\"banners\"]",".card__description__adv,\n.details__bg","a[href*=\"://cutter.li\"]","div:has(> a[href*=\"://bit.ly/\"]),\np:has(> strong a[href*=\"://cutter.li\"])",".overflow-hidden.border[class*=\"border-brand-base\"],\n.to-brand-danger,\n[data-test=\"channel-name-link\"] ~ div:has(> div > div[id^=\"yandex_rtb\"])","#messageblock1",".eduChat,\n.well-google,\n[action*=\"homework.ru\"],\n[action*=\"vse-sdal.com\"],\na[href^=\"https://zakaz.semestr.ru/\"],\narticle div:has(> [action*=\"homework.ru\"]),\narticle div:has(> [action*=\"vse-sdal.com\"]),\ndiv[id^=\"Math\"][id$=\"Block\"] > div:has(a[href]:not([href^=\"/\"]):not([href*=\".semestr.\"])),\ndiv[id^=\"Math\"][id$=\"Block\"] > div:has(a[href^=\"https://zakaz.semestr.ru/\"])","[id*=\"banner\"]",".background-banner","pjsdiv[style^=\"position: absolute; left: 0px; top: 0px; width: 100%; height: 100%; pointer-events: none; z-index: 10000; display: block; background:\"][style*=\"/player/loader.png\"]",".leftside.lcolomn > .block:nth-of-type(1),\n.maincont > center",".rightrekl",".book-box:has(> [class*=\"banner\"])",".logo_ad_wrap",".cookie-modal,\n.dzen-logo,\n.sidebar a[href][target=\"_blank\"] > img,\n.sidebar__wrap > :not(.sidebar__info),\n.yet:has(div[id]:empty)","a[href*=\"erotel.org\"]",".ttte","a[href*=\"/?from=portal&place=ver-slider\"],\ndiv[class^=\"inform_doska\"],\ndiv[id*=\"company\"],\ndiv[id^=\"who_portal\"]",".ad1,\n.ad3",".phpbb-ads-center","#phpbb-ads-ab","#branding-ads","img[width=\"727\"][height=\"89\"]",".sidebar-widget:has(> [data-la-block])",".posts-container > .card:has(> div > [id^=\"yandex_rtb_\"]),\n.posts-container > .card:has(> iframe[src*=\"/banners/\"])",".sidebar > .side-box > center ~ *","a[href*=\"://animedub.ru/\"]",".sub-info a[href][target=\"_blank\"] > img",".content div[style^=\"min-height:\"]","#moduleLeft[style=\"border:0;\"],\n#wrap > div[class^=\"headbg\"] > a[href][target=\"_blank\"],\n.batre,\n.shortstoryContent > center[style],\ndiv[class^=\"interDub-\"],\ndiv[id^=\"moduleLeft\"]:has(iframe)","[style=\"background:#2f2d38; margin:10px;\"]",".topside::after,\n.topside::before",".item:has(> script),\n.item:has([src*=\"/images/pek.png\"])",".nobo + .box-categories,\ndiv[style^=\"width:100%; height:90px;\"]",".main > noindex",".rek1","div[id^=\"admitad\"]","#page-body > .bg2.post:not([id])","#top-banner-box","a[target=\"_blank\"][href^=\"http\"] > img","a[href^=\"/trh\"],\ntd[align=\"left\"]:has(> div[id^=\"bb\"] > [id*=\"ScriptRoot\"]),\ntd[valign=\"top\"][width=\"155\"] > table:has(div[id*=\"Composite\"]),\ntd[valign=\"top\"][width=\"155\"] > table:has(div[id^=\"bn_\"])","div[style*=\"width: 240px; height: 600px\"]",".message-container,\n.rightbar > div[style^=\"width\"],\na[href^=\"https://daftsex.github.io/\"],\nbody > div[style*=\"position\"][style*=\"background\"]","a[href^=\"https://theporndude.com/\"]",".vce-related-box:has(> .main-box-inside script)","a[href^=\"http://sportfarma.com\"]",".fp-player a[href^=\"https://bogvideo.com/partneram/\"]",".adva2,\n.dl_link ~ [class]:not(div),\n.dl_link ~ div[align=\"center\"]","a[href^=\"http://agatauto.kia.ru/\"],\na[href^=\"http://sberbank.ru/ru/person/promo/\"]","body > center:last-child,\nbody > table[width=\"99%\"] + p[align=\"center\"]",".Yreklama,\ndiv[class^=\"adaptivgoogle\"]",".short_ban","#smo_modal,\n.wrapper-sponsors",".news-content-wrapper,\n.side-content-wrapper,\n.top-content-wrapper",".nav > .menu-part",".page__main a[href][target=\"_blank\"] > img",".custom",".tt-panel > .note","#installpack-table > .buttons-wrapper > p,\n#installpack-table > .center-wrapper,\n.btn-installpack",".jqmOverlay,\n.jqmWindow",".block_r",".desktop_banners,\ndiv[class^=\"mob_banner\"]","[class$=\"bbody\"],\ncenter + noindex","#bleft,\n#bright,\n#mainContainer > div:not([id]),\n.col-auto[style^=\"height:\"],\n[class^=\"embed-responsive\"],\nbody > .position-fixed,\ndiv[class*=\"vright\"],\ndiv[class^=\"spinner\"] ~ .d-flex","div[style=\"width: 100%; height: 250px;\"]","td[align=\"center\"] > .leftmenu-text","#ads-sidebar-block","div[class^=\"blockdiv\"],\ndiv[class^=\"ftprefix\"]",".custom-html-widget",".aslot,\nsection > .col-full + script + center[class]",".box-Customs2,\n.box-Customs3",".bottom-bar,\na[href*=\"nacked_tits_bot\"],\nimg[src*=\"/download-yb.\"],\nnoindex > .boxlinks","#rightside > .right-block:nth-of-type(2)",".down-mg","body > div[id^=\"ban\"][style],\ndiv[class^=\"gov\"]",".block_d,\n.sidebar > .vk:not(:last-of-type),\ndiv[align=\"center\"] > .vk","table[height=\"90\"],\ntbody > tr > td[width=\"100%\"][valign=\"top\"] + td","#install-area > .post-install,\n.carbon-ad","center > div > noindex",".promo-bl,\n.video_rekl",".baner",".homes",".line > a[href][target=\"_blank\"] > *",".attachment a[href*=\"aHR0c\"][target=\"_blank\"]","[data-ofga-link]","#sideAdv",".dw_focus_widget_news_ticker,\ndiv[class^=\"adslot\"]","#myCarousel,\n.fade[class^=\"modal\"],\n.row-fluid.center > h3,\n.row-fluid.center > h4","aside > section[class^=\"ad\"]","#main > #logo + [class*=\" \"],\nbody > :not(div):not([id]):not([class]):not([style]):not(script)","a[href*=\"://clcr.me/\"]",".homeads,\n.pmedia_240",".-adfb",".page-note","#player > .absolute","a[href*=\"epngo.bz\"]","body > div[class^=\"revelation\"]",".viewinfo ~ center > .link1,\n.viewinfo ~ center > .link2","#rightside > div > noindex,\n#rightside > div[style^=\"background:\"]","#showcase","#rec","#rec_bg,\n.bloc0",".form-wrapper.cf",".sidebarleft > aside","td:first-child + td[width=\"250\"]","#mv,\n.am","a[target=\"_blank\"][rel=\"nofollow\"][href^=\"/engine/download?\"]","#link_brand","#modex",".footer > span > div[style=\"text-align: left;\"] > div[style=\"text-align: right;\"]",".brend",".row > .hidden-sm.hidden-xs > :not([class])",".b-popup","div[style*=\"hot-game.info\"],\nimg[alt=\"Hot-Game\"]","#all > #popup,\n#all > div[style=\"padding:1px;width:100%\"]",".articl_center > noindex","#youcontrol","noindex > .banner",".place_bottom,\nimg[onclick^=\"countAdClick\"]","#wrapcentre td[colspan=\"3\"] > table:nth-child(4),\n[href^=\"http://numbuster.com\"],\n[href^=\"http://www.cenam.net\"],\na[href^=\"http://happycomp-nn.ru\"],\na[href^=\"http://ostrie.ru\"],\ndiv[class=\"postbody\"][id^=\"post\"] ~ center,\ntd[style*=\"url(/images/\"]",".article__dzen","._sm24",".item:has(> div > [src*=\"pek.png\"]),\n.meti",".main > .new_header_90.boxNoPadding3:first-child,\nimg[width=\"240\"][height=\"25\"]",".custom > div[style*=\"display\"],\n.custom > noindex,\na[href*=\"://look-sport.net/\"]","#right-image",".come_d,\n.footer #banner ~ td","#modal-adbmon-div","div:has(> div > [href*=\"bit.ly\"])","div[class^=\"bodyclick\"]","body > div[data-mg-c]","div[id^=\"ab_\"]","center > #vis","div[onclick*=\"SkipR\"]",".bar_bannerz,\n.probirka-popup-container","div[id^=\"AdFox_banner\"]",".banner-left",".banner-right",".ref_link,\ndiv[style=\"color:red;font-size:25px;\"], .adblock_loock",".newsbody > noindex","#advert","#latest_news td[width=\"85%\"] > table > tbody > tr:nth-child(-1n+2)",".banner240","td > table.topic ~ .delemiter:not(:empty)","td[valign=\"top\"] > .forabg:has(> div > div > .inner > .postbody > .content > script[src*=\"oldxit.ru\"])",".promo-banner",".rechka","#teas",".rubadv-post,\n.rubadv-top-in,\na[href^=\"http://minecraftrating.ru/\"]","a[href=\"/donate.php\"] + a[target=\"_blank\"]","a[target=\"_blank\"][href*=\"/webiz/\"],\nimg[width=\"829\"][height=\"90\"]","[class*=\"ad-block\"]",".promo-yandex",".contentBox > noindex",".booster,\n.top_bg > a","#aside > div[style^=\"border:\"],\n.youtube","#pageBody > div[style^=\"text-align: center;\"],\n.partnersList,\n.rightSide > .social_groups ~ div,\n.rightSide > a,\n.sideBlock:has(> .adsbygoogle),\n.sideBlock:has(> [id^=\"CNM\"]),\nnoindex > [class$=\"-block\"]","a[href^=\"/red\"]","a[href][target=\"_blank\"][style*=\"smapps.org/lead/banner/\"]",".card-yandex,\n.inside-smi",".block12 > a[target=\"_blank\"]","#menuLeft","a[href^=\"http://studlancer.net\"]",".banner--cover,\n.media-block-wrap:has(> div iframe[src*=\"/russian-echo-widget/\"])","tr > td[width=\"250 px\"][valign=\"top\"]","div[id^=\"post-\"] > div[class=\"a-divide-entry\"]","#new-adver-promo,\n#new-header > #leftQuote,\n#new-header > #rightQuote","center > p > a[target=\"_blank\"]",".dosugban,\n.someban","a[href^=\"http://www.traht.org/module.php\"]",".header > .red,\na[href*=\"://pronpic.org/\"]",".sidebar > .widget-wrap ~ .widget-wrap > .widget_text,\ndiv[style=\"min-height:120px;\"]",".ovdiv","div[style=\"position: relative;display: block;width: 100%;height: 90px;margin-top: 10px;\"]",".custom > div[style^=\"padding:\"]","iframe[src^=\"http://kinohouse.ucoz.ru\"]",".oldest_neews > table > tbody > tr > td:not(:last-child),\n.post_body > div[style=\"color:red;font-size:25px;\"],\na[href*=\"rutor.\"]:not([href*=\".rutor.org\"])","#dle-content > div[style^=\"float: right;\"]",".a-top,\n.partner_","#yandexbot_post","body > #document_modal.modal, #some_ad_block_key_popup,\ndiv[id^=\"adspace\"]","noindex div[align=\"center\"] > a > img",".conrek",".catalog > .shorty:has(> .block),\narticle > div:not([class])","a[href^=\"/index.php?banner-system-redirect/\"]",".modalFacebook",".asn,\n.blockmainkv,\n.mainkvblock,\nimg[src*=\"/modules/banner\"]","table[background=\"themes/xbox/images/hhead.jpg\"]","#center2 > .block",".textwidget a[href][target=\"_blank\"]:not([href*=\"xxx-game.org\"])","a[href^=\"http://i100.ru\"]","#main_banner",".aside > div ~ div",".banners-top",".snap-block > .ad + div,\ndiv[class][style^=\"width:\"][style$=\"300px;\"],\ndiv[class^=\"za-columns-\"]",".fad,\n.pad",".no24_teaser","#page-body > div[class=\"panel\"]","div[class^=\"promo\"][class*=\"wrapper\"]","#bdp_ad_container,\n#bdp_shadow","#content-container > div[style^=\"display: block;\"],\n#content-container > div[style^=\"position: fixed;\"]",".widget_text > .widget-top",".video-sqrs-bl",".banner_widget","img[src*=\"jobvacancy.pro/img/commin/\"]","div[class*=\"plav_\"]","#right > div[style*=\"height:\"][style*=\"255px\"]","aside > .widget_block",".googlesingledown,\n.row > div:has(> .card-blog script),\n.singlepartners,\np:has(> .adsbygoogle)","body > div[id][class][style*=\"z-index\"][style*=\"9999\"], body > div[id][class][style*=\"z-index\"][style*=\"9999\"] + div[class][style*=\"z-index\"][style*=\"9999\"]",".remt,\n.topadmobile,\ndiv[class^=\"remon-after-\"]",".tnx-block,\naside a[onclick^=\"yaCounter\"]","#somewin","a[href*=\"vk.com/away.php\"]","aside .HTML > .widget-content > a > img","adsense",".dna-adfox-block",".dna-vue-player,\n.header-top-banners",".BodyNewsStyle:has(> div > [id^=\"yandex_rtb\"]),\ndiv[style=\"height:20px;\"]:empty","[id^=\"banner\"]","#holdon",".desktop-banner",".eriuue-content,\n[class^=\"bablo\"],\n[class^=\"quads-\"]",".partners_rows,\n.sidebar.column > div:empty,\n.sidebar.column > h5","#ads-top.ads,\n#jtn-common-adv-label > path,\n#ui-common-adv-label > path,\n[data-ns-portal] [data-adv-mark],\n[data-ns-portal] div[class^=\"topicsList\"] a[href*=\"erid=\"]","#hoverprompt",".ctaRightWidget",".sidebar-news,\n.uracy,\n.wrapper-branding,\n[class^=\"bnr-\"],\na[href=\"/menu-subscription\"]","iframe[src*=\"/smi\"]",".showMessageAdBlock","#sidebar > .custom-html-widget ~ .custom-html-widget,\n.main > div > a[href][target=\"_blank\"],\ndiv[align=\"center\"][class$=\"only\"]",".b_top,\n.post-banner-bottom",".pop-block","[data-creative]","#div-hb-top-forum,\n.forum-right-column,\n.forum-top-banner,\n.global-wrapper > noindex li::after,\na[href*=\"://auto.ru\"][href*=\"utm_\"]",".PReP\\+,\n[data-cms-place],\n[data-placement],\ndiv[class^=\"articleBlockFullscreenGallery_\"] > div[class^=\"wrapper_\"] > div[class^=\"slider_\"] ~ div","[data-status]","[data-test=\"sticky-header\"] > div > div > div > div:first-child:not([data-test])","[data-ref=\"sticky-header-wrap\"] > [data-test=\"sticky-header\"] ~ div","#app > [data-cms-place] + div[class] > div:first-child:not(:only-child)",".gridContainer div[class]:has(> [data-cms-place])",".widget_custom_html:has(> .textwidget > #MediaMetricsInject)",".promotion","#header-inner > font > a[href][target=\"_blank\"]",".banner-in-frame",".banner-bottom,\ndiv[bs_id]",".f80,\n.pages_sf_right_block > table[style*=\"min-height:\"],\n.yanews__block",".recl","div[class^=\"vex\"],\ndiv[id][block][style]",".partners-list",".full-story__banner",".article__aaa,\n.article__dzen-share,\n.bnbox,\na[href*=\"://rostoknadache.ru\"] > img","#vertbar_table,\ndiv[class*=\"popup\"]",".long-banner,\na[href^=\"/admin/banner/system/click/\"],\ndiv[style^=\"position: relative; width: 230px; height: 400px\"],\nimg[src*=\"баннеры\"]",".reklama_sidebar_ads",".offer","#widgets .custom-html-widget","a[href*=\"smarty.sale\"],\ndiv[class*=\"smartys\"]",".card.promo,\n.header__advertising-block,\n.side-promo-place-right","#ipbwrapper > div[align=\"center\"],\n.borderwrap > [id^=\"p_row_\"] ~ table[width=\"100%\"]:not([id^=\"p_row_\"]),\ndiv[style=\"width:900px; margin: 5px auto 5px auto\"]","td[align][height=\"200\"],\ntd[background$=\".gif\"],\ntd[style*=\"background:\"][style*=\".gif)\"]","#b-bottom,\n#b-top","div[class^=\"brrr_\"]","body > div[id][class]:has(> div[id][class] [class^=\"adblock\"])",".megaShadow,\n.paywall-activated,\n.topAdvertize","div[class^=\"GbShadow\"]","div[class=\"post bg1\"]",".no_ampr","div[id^=\"b_script\"]","#pun-announcement,\n.tclcon > noindex,\n.tclcon > table[height=\"31\"]","._im72e8,\n._y2b48h","#dle-content > table:first-child center,\n.menu > a:not([href^=\"/\"]),\nnoindex a[target=\"_blank\"]",".greyblock,\n.rightblock > .shadowp","center > object > a[target=\"_blank\"]","div[id^=\"t_Banner\"]",".wrapper > div[style^=\"overflow:hidden\"]","blockquote",".owl-wrapper-outer .slideAlt,\nbody > .gifimg","#head_banner","#special-link,\n#title-partner-news,\n.smi24_tisers,\na[href*=\"makfa.ru/\"]",".top-banner__container","[class^=\"LinkZen\"],\ndiv[class^=\"Banners_skeleton_\"]","#top-pannel,\n.top-header-wrapper",".lad","img[src*=\"/images/undefined/\"]","a[href=\"https://vk.com/sochirealtys\"]","#column_center > [class^=\"modern_block\"]","a[target=\"_blank\"] > img","body > #page ~ div[id][class]",".branding-banner,\ndiv[class^=\"block_1\"]",".bldownload > b,\n.bldownload-reklama,\n.reklamafull","#trance","#closing,\n.agregator_R,\n.fs_bottom > noindex,\n.logo,\na[href^=\"http://psychosearch.ru/\"]","a[href*=\"a24help.ru\"]","a[href][style^=\"display:block\"] > img,\nbody > div:not([id]):not([class])[style^=\"position: relative;z-index:\"]",".grayb",".cFadeDark,\n.flatBottom,\n.flatTop,\n.partners-blocks-wrap,\n.row > .col3.positionRelative","#side_left > .bnav ~ *,\n#side_right > .side_right_bl ~ *",".rhead","#runBanner,\n.col > .news-grid:has([class*=\"adv-\"]),\n.l-branding-top,\n.underNewsAdb,\ndiv[id*=\"Adb\"]","[data-test=\"header-adv-logo\"]","div[data-test=\"header-sticky\"] > div > section ~ div","#read-mediam,\n.head-b,\n.right-b,\n[src*=\"://73online.ru/advert/\"]",".bk-widget,\na[href^=\"/bookmakers\"]","div[class^=\"article-partners\"],\ndiv[class^=\"smi24_informer\"]",".topic_shop_offers,\n[data-campaign-code][data-url*=\"http\"]","#GPM_7days_D_Top,\n#RutubePlayerNews,\n#comment_banner,\n#news-widget,\n#page_content > div > div:not([id]):not([clas])[style*=\"padding:\"],\n.b-hz2_type_section,\n.b-section_content_partners-news,\n.header-7days__branding,\n.header-7days__recommendation_advertising,\n.material-7days__paragraf-info:has(> #RutubePlayerNews),\n.mtop,\ndiv[class*=\"js-banner_ad_\"],\ndiv[id][style=\"width: 970px; height: 250px;\"]","#smth,\n#ya-bottom",".padding.right > .block",".vp-content-l-r > div > *",".advzone,\n[id^=\"site-welcome\"]","marquee[scrollamount]",".bsac",".ranbne.clearfix","#center_b,\n#up_b,\na[href^=\"http://boostor.ru\"],\na[href^=\"http://goto.astdn.ru/\"]","a[href*=\"funpay.ru\"]",".ignore-select",".wrap-sindicate,\n.wrap-yandex","#games",".advs","td[valign=\"top\"] > table[height=\"180px\"]","div[style*=\"/design/common/pic/please\"]","#top_promo,\nimg[src^=\"/uploads/promo/\"]","a[onclick][href*=\"adhands.ru\"]","a[href*=\"//parnuxi.biz\"]","div[align=\"center\"] > table[width=\"160\"],\ndiv[align=\"center\"] > table[width=\"962\"]","td.t_bg > center:has(> a[href][target=\"_blank\"] > img)","img[width=\"170\"][height=\"340\"][border=\"0\"],\nimg[width=\"570\"][height=\"80\"][border=\"0\"]","#popup3,\n.fancybox-overlay",".widget_custom_html.FixedWidget__fixed_widget","a[href*=\"://dzen.ru/\"]","#partners-news-container","#yandex-zen,\n[aria-label=\"Реклама\"],\n[data-test=\"SECTION\"] > [data-test=\"SECTION-CONTENT\"]:has(> div > [href^=\"/out/?url=\"]),\na[href^=\"/out/?url=\"],\ndiv[class^=\"Advert\"]","#nadoelo,\n.content:has(> div > #nadoelo)","#header-links,\na[href^=\"http://www.ag.ru/go/outer\"]","#container > style + ul[class]",".cpatop,\n.offersblock,\n.vnimanie",".side-cpa",".widget_zen_widget",".adchoice,\na[href^=\"/gobanner\"],\ndiv[class*=\"adagro\"],\ndiv[class^=\"brending\"],\nsection[class^=\"my-\"]",".adv_content","img[id^=\"cradv_\"]",".bnrs","#popup-bottom","#rightside .main-content:has(> span script)",".b_read_online:has(> .litres_fragment_body),\n.best_sellers,\n.list_other_sites,\n.list_other_tab,\n.wrapper_ban",".container:has(> div[align=\"center\"] > video > [src*=\"://dental-paint.ru/\"])","#leftcol > *,\n#rightcol > *","#advise",".header-decor.index","div[class^=\"two-column-page-sidebar-slided-boners\"]",".tz-widget.container",".badven,\n.bpartn,\n.centersideinn > .cblock","#sidebar-floating","#alia_modal,\n#vita_modal",".baner_top,\n.block_saitbar > .ul_partner ~ .link_all,\n.ul_partner,\n[href=\"union/advert.htm\"],\na[href*=\"multiwork.online/\"],\ndiv[style=\"width: 600px; height: 90px; margin-left: auto; margin-right: auto;\"],\niframe[src*=\"multiwork.org\"]",".banner.black,\n.banner.red,\n.coefficients,\n.field-item > p:has(noindex [href*=\"adfox.ru\"]),\n.field-item > p:has(noindex [href*=\"pari.ru\"]),\n.field-item > p:has(noindex [href*=\"utm_campaign\"]),\n.last-news:has(> .block_title ~ [id^=\"unit_\"]),\n[onmouseenter=\"onClickPbButton()\"],\na[href*=\"://aff1xstavka.com/\"],\niframe[src*=\"ad.allboxing.ru\"]","a[href^=\"https://relap.io/\"][data-ad-link]",".article__aggr",".widget-bnnr,\nmain > .container > .site-content:has(> .content-banner)","div[id^=\"promo_\"]",".header__main-banner,\n.header__top-banner","#content_r_box,\ndiv[id^=\"blockbann\"]","a[href*=\"-pokupka-zhilya-\"],\ndiv[id^=\"bx_\"]","[id*=\"baner\"],\nimg[src*=\"/theme/img/hmwk/\"]",".bet-wrap,\n.pasta-wrap,\na[href*=\"fonbet.ru\"]","a[href*=\"mediaget.com\"]",".fancybox-container",".td-bnr-wrap-full,\nbody > div[style=\"display: inline-block\"],\ncenter > div > a[rel*=\"nofollow\"][target=\"_blank\"]","[src*=\"/imgr/\"]","a[href] > img[style*=\"display:\"]","big > a","#page > center","#tt,\na[href*=\"://rfnd.io/\"]",".personal > .overlay,\n.popup.subscribe_panel",".a,\n.a_top_place,\n.b-nav li > a:not([href^=\"/\"]):not([href*=\"altapress\"]),\n.b-sidebar-right > div[style*=\"height: 300px;\"]","div[class*=\"partners\"]",".bgbanner",".active_bet,\n.book_banner,\n.fix_block,\n.forecast-ad-line,\na[href=\"/category/theory/\"]",".bookmakers","div[id^=\"amic_banner_\"]","#top_section #smflogo,\na[href*=\"amit.ru/service-center\"],\na[href*=\"evroremont.amit.ru\"]","div[style=\"width:300px;height:200px\"]","a[class*=\"rekl\"][target=\"_blank\"]:not([href^=\"http://amurpress.ru/\"])","table[align=\"center\"][width=\"90%\"] > tbody > tr > td[align=\"left\"] + td[width=\"234\"],\ntbody > tr > td[width=\"50%\"][valign=\"top\"] + td[width=\"120\"][valign=\"top\"],\ntbody > tr:has(> td[valign=\"top\"][width=\"130\"] > font > [href=\"/advertising/\"]),\ntbody > tr:has(> td[valign=\"top\"][width=\"130\"] > font > [href=\"/approach/\"]),\ntd[width=\"100%\"][align=\"center\"] > a[href] > img,\ntd[width=\"600\"] + td[width=\"250\"] > center > a[href] > img","div[id^=\"ad_header\"]",".adb-def",".you_a","[class*=\"af_advert_\"]","a[href^=\"https://alitems.com/\"]",".a_mh250,\n.bottombanner,\n.col-right > .block,\n.promo_head,\n.promo_middle,\n[onclick*=\"brand\"],\ndiv[id^=\"krt-\"]","#slides_top",".widget_html_javascript_adder",".layer_box > #header,\ndiv[class=\"layer_box flex\"] > a[href][target=\"_blank\"]",".esg-bleach",".first-popup,\n.videoroll-banner,\n.vsemayki-banner",".poverh,\n.sidebar div:has([data-relap-id]),\na[href=\"https://animedub.ru/adblock.html\"],\ndiv[class^=\"rolic\"]","#offreklama","noindex > a[style][target=\"_blank\"]",".badversting,\n.ban_center_screenlist,\n.basecont,\n.randomnews > .videorek","#drakensang","#snow","div[id^=\"news_anisim_info_\"]",".container-fluid > .row:nth-of-type(2),\na[href*=\"/teasers/\"]","a[href^=\"http://bonus123.com/\"]","#block-block-1,\n#block-block-21,\n#block-block-31,\n#block-block-77,\n.top-text-block",".featured","blockquote:not([style=\"border:2px #000000 dashed; padding: 18px; margin:0px 0px 0px 0px;\"])","center > a[href]:not([href=\"//www.liveinternet.ru/click\"]) > img[src]",".rightColumn a[href][target] > .Recbanner","div[class*=\"sredstvo_container_group\"]","a[href^=\"/ads.php?\"]","a[href*=\"://timeweb.com/\"]","#sponser_vidjet","#flip_container",".sidebar-item.banner","div[id^=\"advBox\"]",".native-brand > div",".backgroundmain,\n.tingle-popup,\n[data-information]",".banner-zone,\n.menu-item > a[href*=\"utm_campaig\"],\n[class*=\"home-credit\"]",".dle_b_ad_block",".theiaStickySidebar > .widget_custom_html","div[class^=\"Eshop\"]","#data-column-center-adv,\n#post-data-adv,\n#right-data-container [bannerid],\n.orgs-adv-c",".baner-wrap-inside,\n.kp-top-banner","#doscroll_prompt,\n#invite_bottom-news,\n#main_adv,\n#sticky_top-adv,\n.col:has(> [id^=\"yandex_rtb_\"]),\n.col_adv,\n.tabloid,\n[class*=\"adv_\"],\n[class*=\"cc_adv\"],\n[class]:has(> a[href] [class*=\"partner\"]),\na[href*=\"://argumenti.ru/ad_informer/click/\"],\ndiv[id^=\"rtb_\"],\ndiv[style*=\"height: 264px;\"],\nheader > div[style^=\"background:\"]","#botr,\n#rzdl,\n#topr,\n#yar","a > img[width=\"160\"][height=\"120\"]",".sp-column > .sp-module:has([id*=\"ScriptRoot\"])","a[onclick^=\"setClickBanner\"]",".randomizer,\n.tiz_intext",".rela_page,\na[href=\"span class=\"]",".advertisingColumn",".b240,\n.midtizer,\ncenter > noindex > div[style*=\"height:\"]","div[style=\"border: 1px solid black\"]","a[href*=\"internet-gazeta-world.ru/\"]","#tooplate_wrapper > center > table[style*=\"background\"],\n#tooplate_wrapper br","div[class^=\"direkt-\"]",".tablebg:has(> tbody > tr > td > .nalivaj)","[class^=\"vigvam\"],\ndiv[class^=\"snow\"]","a[href*=\"://beta.mediafort.ru/textclick.php?id=\"],\na[href][style*=\"display: block\"]","#alfa-dart",".b-adverts","[id^=\"agat_plus_banner\"]","#teleastro","div[style=\"height: 120px;\"]","#right-column > noindex","#fullscreenmf",".nopad",".au-candy,\n.au-prime-page-desktop-banner,\n.au-right-banner,\n.main__appendix",".blok_new > div[style]",".opadv",".VertisAds,\n[style^=\"height:\"][style*=\"250px\"]:empty,\ndiv[class^=\"AdWithFixedHeight\"]",".textwidget > div > a > img",".sitebar",".aside-block:has(> .media_aside_our-partners),\n.media_aside_our-partners",".kaka_zone","#myID",".top_banner_hidder,\n[class^=\"block_tgb\"],\na[href=\"javascript:;\"][class=\"vetrine\"]",".banner_div",".no_gav","div[id^=\"adv-block\"]",".sticky","#poppup-ads-banner,\ndiv[style=\"height:250px\"]",".g-banner__columns",".topline__branding__wrapper",".topline__disable-adv__button,\n.topline__item__image-block,\nbody div .banner__container,\nbody div .banner__filmstrip","div[class^=\"fox-tail\"]",".banner_content,\n.mainBannerBlockCenter","#shop","div[class^=\"stuleblok\"]",".ad_yad","#topBanner","a[href^=\"http://www.hamqsl.com/\"]","div[class^=\"advert-\"],\ndiv[class^=\"items-ads-\"],\ndiv[class^=\"style-ads\"],\ndiv[class^=\"styles-item-\"]:has(> [data-marker=\"bx-recommendations-block-item\"] > div[class^=\"body-actions-\"]:empty),\ndiv[class^=\"styles-item-\"]:has(> div[class^=\"advert-mimicry-\"])",".tizers",".in",".on",".outreach","body > .info-block,\niframe[src*=\"smi2\"]",".wrap > noindex","[class*=\"banner-border\"]",".bla-bla-car","#ya_feed_cont",".banner__top","img[src*=\"awd.is/banner/\"]","a[href*=\"stulspb.ru\"],\na[href*=\"zasvetom.ru\"],\ndiv[id^=\"boom_bar\"]",".banner_bot,\n.header_top,\n.teaser_links","div[class^=\"rkl\"]",".info-wrapper",".adfox-video-desk,\n.format_video_comment,\n.grid > div[style^=\"height: 250px;\"],\n.viqeo-embed,\ndiv[class*=\"rennab-\"]",".brand-list,\n.clearfix.blog-incut-uad,\n.header-links,\n.mb7.clearfix,\n.nivea-pr-block","a[target=\"_blank\"] > img[width=\"210\"][height=\"115\"]","td[width][background^=\"pic/fill\"]",".branding-bg,\n.gpb-currency-banner,\n[data-adfox-container],\n[data-dfp-container],\n[data-gtm-view*=\"view_calc_widget_content\"],\ndiv[data-name=\"custom:advertising.block\"]","#product-best,\n.g_ban_bot,\n[data-offer],\narticle > aside:has(> [data-offer])","a[href^=\"https://barneos22.ru/go/\"]","a[href^=\"/rk.php\"],\ndiv[id^=\"fixed_bottom\"]",".ea-col,\n.rblock,\ndiv[id^=\"eadvt_wrapper\"]","body > .subscribe-popup","p[style=\"border: 3px solid #000000; background-color: #FFFF80; padding: 10px;\"]",".maincontentcell td[valign=\"top\"]",".container > .wrapper > .row > .grid_4,\n[src*=\"/global/banner/\"]","a[href^=\"https://vk.com/extrasense_russia\"]","[data-blockid^=\"app_cms_Blocks\"]","html > .q1","a[href*=\"//go.acstat.com/\"]","div[class^=\"myblockbottom\"]","#root","a[href=\"http://rur.beeline.ru\"]","a[href^=\"http://belive.ru/ordering_form/\"]",".danabol",".right > :not([style=\"padding-bottom: 25px;\"]),\na[href*=\"r.php?r=\"]",".adbg",".fixed_link--telegram-group",".install-pack-info,\n.ip-motto,\n.ip-motto + table > tbody > tr:last-child > td:not(:last-child),\n.ip-motto + table > tbody > tr:not(:last-child),\n.ip-motto + table > thead,\nmain > article.post:has(> header > .mainpage_title > [title^=\"InstallPack\"])",".rightbann","#mine","td[align=\"left\"][valign=\"top\"][class^=\"t\"]",".ya-partner_ads-up > *",".form-group:has(> .ulogin_block)",".topicbanner_box",".block_smi",".widget-direct,\n.widget-pomogi",".cover-msg,\n.pg-section:has(> .abox-layout),\n.section-marked,\n.sticky-promo-wrapper,\n[src*=\"/uploads/commerce/\"]",".reclame",".fark",".plashka","td[valign=\"top\"][width=\"200px\"][height=\"600\"] > div[style],\ntd[valign=\"top\"][width=\"240px\"][height=\"600\"]","#sidebar > div[style*=\"visibility: visible !important\"],\ndiv[style*=\"block\"][style*=\"center\"][style*=\"width:\"][style*=\"height:\"]",".lending_adv_top",".bnr-top_holder",".sidebar__content-wrp:has(.sidebar__image > a[href^=\"http://gamazavr.ru/\"]),\na[href^=\"http://gamazavr.ru/\"] > img",".entry-content > div[style]","#faq-index,\n.box:has(> noindex),\naside > div:has(script),\naside > noindex",".bnr","div[class]:has(> [id^=\"yandex_rtb_\"])",".b-promo-slider",".banner-default","a[href*=\"/goto.php?file=\"]","div[class][style*=\"z-index\"][style*=\"999999;\"][style*=\"background\"][style*=\"rgb\"]","[id^=\"ai_widget\"],\ndiv[class^=\"blackwot-\"][style]",".widget_custom_html:last-child",".js-barmen-loaded:not([data-barmen=\"Showcase\"])",".sidebar > div[class^=\"block\"]",".widget-content > #overlay,\na[href*=\"bolotov.com.ua\"]",".adsbygoogle > *","div[class^=\"bc-advertising\"]",".XenAdvShop,\n.message[data-author=\"KADR\"] > .primaryContent .signature",".banner-img:not([href^=\"http://bnkirov.ru/\"]):not([href*=\"rodnaya-vyatka.ru\"]):not([href*=\"che-online.com\"]),\n.brand-bg,\n.plate-panel",".gift-banner,\na[href][class^=\"ls_\"]",".hungry",".seedbnrs",".bookmaker-container,\na[data-href*=\"://bmbrdr.ru/\"],\na[href*=\"://bmbrdr.ru/\"],\ndiv[class*=\"banner-placeholder\"],\ndiv[data-banner-place_id]",".partners-widget","a[href*=\"bookmakers\"]","a[href*=\"clickfrm.com\"]",".maincont > div[class=\"clr\"],\n.mdl,\n.rightcol,\ndiv[id^=\"BlockId\"],\nimg[src^=\"/promo/\"]",".warning",".litres_widget_body,\ndiv[style^=\"width:240px;height:400px\"]",".widget_text:has(.medicinetizer)","#sidebar > .block:has(> .blockcontent > noindex > [id^=\"kdm-bloc-\"])","#zfix",".cookielaw-modal-layer",".td-banner-wrap-full","#dle-content a[href*=\"aHR0c\"]",".theiaStickySidebar > [class^=\"post-\"] ~ .clear20",".my-sheet-Adv,\n.preloadBannerSizer",".ebooks-widget,\n.honey,\n.shelf:has(> .adaptive-banner),\n.shelf:has(> .ebooks-widget),\n.shelf:has(> [data-disclaimer*=\"Реклама\"]),\n.shelf_type_recommendations,\n[data-disclaimer*=\"Реклама\"]","#wb_Image1044,\n[onclick^=\"window.\"][onclick*=\"://\"],\na > img[alt*=\"Яндекс\"],\nbody > #container > div[id^=\"SlideShow\"] + div,\nbody > [id$=\"_master_footer\"] ~ [id$=\"_master_footer\"] > div[id$=\"_master_footer_Container\"] > div[id^=\"Layer\"],\ndiv[id^=\"SlideShow\"],\nimg[src*=\"/images/Banner_\"]",".add_zen",".in.fade.modal","[data-alias=\"Copyright\"] .widget-area > .widget_text:not(:last-child):has(script),\naside[data-alias=\"Заголовок\"] .widget-area > .widget_text,\naside[data-alias=\"Над новостями\"],\naside[data-alias=\"Под меню\"],\naside[data-alias=\"Слева\"] .widget-area > .widget_text ~ .widget_text,\naside[data-alias=\"Справа\"] .widget-area > .widget_text ~ .widget_text",".a-d-v,\ndiv[class*=\"advbig\"]","body > .ui-widget.ui-dialog",".banner-top-wrap,\n[class^=\"sideBanner\"],\nhtml[style*=\"overflow:\"] > body > div:not([id]):not([class]):not([data-stories-widget-settings])",".entry-content > div[style^=\"float\"]","div[id^=\"tab_scroll_blok\"],\ndiv[id^=\"tab_scroll_blok\"] ~ table,\ntable[align=\"center\"][height=\"360\"],\ntd[align=\"center\"][style*=\"height:\"][style*=\"360px\"]",".aff-offers,\n.sidebar_top > .mobile-hide",".currency__logo",".intext-block",".page__section:has(> .partner)","div[id^=\"bnr_\"]",".ad_header_inner",".pad > .readd,\n.rek, .rek ~ .ramka,\ndiv[class^=\"ban_\"],\ndiv[class^=\"bsys_\"]","[class^=\"baner\"]","#sbox-overlay,\n#sbox-window,\n.art-Header,\n.art-sidebar1 input[src^=\"/images/banners/\"],\n.banneritem,\n.vtem_bannergroup,\na[target=\"_blank\"] > input[type=\"image\"][style]","a[href*=\"://goo-gl.su/\"]","#byw_top_banner",".arenda,\n.fon-reiting,\n.kaz,\n[class^=\"rekl\"]",".no_amp","div[style^=\"min-height: 250px;\"][style*=\"background:\"]","body > div[style*=\"width\"][style*=\"z-index\"][style*=\"position\"]",".static_re,\ntd[align=\"center\"][valign=\"top\"][width=\"48%\"]",".post-content > p[style*=\"line-height: 230%\"]",".bottomFixedBlock","div[class^=\"page-block-ad\"]",".commercial","section > .container-fluid > div[style^=\"width:\"][style$=\"%\"]",".brand-overlay,\n.item-adv","div[class*=\"HHC-Banner-\"]","div[class*=\"wrapper-banner\"]",".recomend-section:has(> .flex > :not([data-href^=\"http://carrotblog.ru/\"]))","a[href*=\"/adclick.php?bannerid=\"]","#page > :empty,\n.bx-composite-btn,\n.extra,\n.main > :empty","a[href^=\"http://catchenglish.ru/includes/redirect\"]","a[href^=\"http://ad.cbonds.info/\"]","a[href*=\"advertisement\"]",".bookingaff","a[href=\"//cdnvideo.ru/?from=playercdn.cdnvideo.ru\"]","div[id^=\"ttiz_\"]","#banner_right_place,\nmarquee","#adver_block_left,\n#adver_block_right","a[href*=\"chatovod.ru/cli\"],\na[href*=\"chatovod.ru/cli\"] *","a[href*=\"catcut.net\"] *","div[class^=\"offer-\"]",".ru200200",".ru360120",".ru560130",".ru56080",".min-h-90,\n[data-provider=\"yandex\"],\n[jello-component=\"yamarket\"]",".header__block > .header__block-title,\n.panel-group > .panel_primary:has(> .panel__body > #MediaMetricsInject),\n.widget-any-content","#bl_top_reklama,\nbody > div[style*=\"width: 990px\"],\ndiv[style^=\"clear: both\"] a[href]:not([href*=\"chelnyclub.ru\"])","img[src*=\"/img/banners/\"]",".asideContainer > aside[class=\"asideBox \"]:first-child","body > div[class*=\"ui-widget\"]","#glory","#headlineAdv,\n#topAdsBlock","table[style=\"width: 100%; height: 90; margin-bottom: 5px\"]",".logo.right","#datebar,\n#wrapheader > div[align=\"center\"]:first-child,\ndiv[style=\"float:right; margin-right: 5px;\"],\nimg[width=\"120\"][height=\"40\"],\nimg[width=\"224\"][height=\"60\"]","a[href^=\"http://chinaprices.ru/go.php\"][target=\"_blank\"],\na[href^=\"http://www.gearbest.com/m-promo\"]","#mouselayer,\n#top-lighthouse,\nbody > center > a[href=\"/aliexpress.php\"]","body > table[height=\"80\"]","#ipsLayout_sidebar .ipsWidget:has([alt=\"advertisement_alt\"]),\ndiv[style*=\"min-height:100px;\"]","[alt=\"advertisement_alt\"]","a[href^=\"http://pakhomov-school.ru/partners/chiptuner\"] > img","div[class^=\"chitaru__wonder\"],\ndiv[id^=\"bnr\"]","div[id^=\"news_chto_\"]","#blackfire","#adfox-stretch-banner,\n#special-promo-link-container",".banner_wrap.MAIN_RIGHT,\n.banner_wrap.MAIN_TOP,\na[href*=\"/adv\"],\ndiv[class^=\"banner\"][class*=\"LENTA\"]",".header__adv",".link_test",".popupBlock","a[href^=\"http://author24.ru/unreg-order/\"]","[data-cfpa],\ndiv[class^=\"click-content\"]",".container-banners",".banner_tgb","[src=\"//an.yandex.ru/system/context.js\"] ~ iframe","#kplus-popup-banner",".an-pic-top-box,\n.cross-ans-box","#zilfond,\n.ads-soloway",".adriver","body > div[class][style*=\"background\"][style*=\"display: block\"]","div[id^=\"div-gpt-ad-\"]","#mag_banner,\n.banner_wrapp,\n.main > noindex:last-child,\n.tizer_block,\n.yandex_banner,\na[href^=\"http://cnb.cnews.ru/click.php\"],\ndiv[class^=\"cnb_popup\"]",".promo_block",".bottom-banner",".post > .entry-tags + .row,\n.post > .entry-tags ~ div[style*=\"clear\"],\n.site-header__banner",".admitad-checker-popup,\n.custom-reklama","#down_ads","#mbanners",".partner-content,\n.top-sidebar-banner",".kursInformer #head-content,\n.kursInformer #ref",".ad_nameplate","body > div[id^=\"pw\"]",".free-period-banner",".D_Top,\ndiv[class^=\"D_\"][class*=\"x\"]","table[align][frame=\"rhs\"][style]",".bannercount","#kph0",".banner__sidebar",".top_tizer_cell,\nnoindex > .normal_tahoma","td[width=\"556\"] > :not(#dle-content)","body > div:not([id]):not([class]):empty","#calcs1",".b-top-banner__content,\n.background-figure,\n.imgCorp,\n.noteFrame,\n.top-menu-banner","#teaser_table","#pr_top,\n.brendingBg","div[id^=\"facebook_win\"]",".--ligastavok,\n.p__header > .p__header-image ~ div::before,\n.post-content > div:not([class]):not([id]) > div[class]::before,\n[class*=\"-odd\"],\n[class*=\"_book\"],\n[class*=\"_odd\"],\n[data-odds-series],\na[href*=\"/cq67er/\"],\na[href=\"https://cq.ru/bookmakers\"]","#after_first_post_yadirect,\ndiv[style] > noindex a > img,\nimg[src*=\"cqham.ru/forum/ad/\"],\nimg[src^=\"ad/\"],\nimg[width=\"380\"][height=\"60\"],\ntable[width=\"937\"][height=\"60\"]","div[style^=\"width:\"][style*=\"100%;\"][style*=\"display:\"][style*=\"block\"]","#sidebar > #fixed,\n#sidebar > .block-social:nth-of-type(2),\n.anime > script + div[id],\na[href*=\".creativportal.ru\"]","a[href*=\"www.sko.ru/\"][target=\"_blank\"]",".bannercenter",".widget > a[href][target=\"_blank\"]",".banka",".main_block > center > .slider,\n.mainb > .main_block:has(> center > .slider)",".smile","a[href=\"https://www.sogaz.ru/sport\"]","#wrapfooter,\nA[onclick^=\"countAdClick\"]","a[href=\"http://autosteamgifts.ru/\"]",".topBanner","a[href*=\".space\"]",".goto_news__block,\n.js_out-block ~ .modal-backdrop, .js_out-block","div[class*=\"bnrs-block\"]","#__next > div > main + div + div,\n#page-error-modal",".aside > .widget > [class*=\" \"]","#yatopbanner,\n[style^=\"margin: 3px 0px\"]:has(script),\ntable[id^=\"post\"] ~ div[style^=\"margin: 3px 0px\"][style*=\"display\"]","#bl_05",".infoblock > .full:has(> div[style*=\"height:\"] > div > div[id^=\"adfox_\"]),\ndiv[class^=\"relap-\"]",".kaspersky-chat,\n[class*=\"bookmaker\"]:not(.root),\na[class^=\"vkPlay\"],\na[href*=\"erid:\"][target=\"_blank\"],\ndiv[class^=\"asideWidgets_\"] > .rounded-block:has(> [href*=\"bookmakers\"]),\ndiv[class^=\"sponsor\"]","a[href*=\"betboom.bet\"]",".b-banner_600x90",".vc_column_inner > .vc_column-inner:has(.g-single > [id^=\"yandex_rtb_\"])",".b-promo__placeholder,\n.b-sidebar-ad,\nsection[data-uid=\"ad\"],\nsection[data-uid=\"extraAd\"]","div[id^=\"branded_img\"]","#widgetized-area","#mvp-post-bot-wrap,\n.left_sidebar","div[class^=\"whatever\"]","body > table","body > span[id^=\"s\"][style]","#mdl_ctnr","#external_iframe,\n.article_block:has(> [id^=\"unit_\"])","#r,\n.bottom_bun,\n.bun,\n.top_bun","#preveav,\n#promo-fix,\n#uzhanina","[id^=\"smartrotator_ad\"]","#allEntries ~ a[href]","img[width=\"900\"][height=\"100\"]",".subscribe-modal,\na[href][target=\"_blank\"][rel=\"noopener noreferrer\"]",".ddd,\n.offer-ac,\n.post__entry > div[style^=\"background\"],\n.vtizer","a[target=\"_blank\"] > img[width=\"180\"]",".top_baners > a[href][target=\"_blank\"]:not([href^=\"/deti/index.php\"]),\ntbody > tr > td[valign=\"top\"][align=\"left\"]","a[href^=\"http://lnd.m-mba.ru/\"]","div[id^=\"SRTB_\"]","div[class^=\"mypopup\"]",".ad-blocked-message,\ndiv[class^=\"advertising-\"][class*=\"-popup-overlay\"]","div[class^=\"yandex-video\"]",".menu_block,\n.side_banners_box","td[valign=\"top\"][style^=\"background\"] tr[height]","a[href*=\"iherb.com\"]","#delta_18,\n#fly-container,\n.footer-other-interesting",".acid","a[href^=\"http://\"]:not([href^=\"http://www.youtube.com/\"]) > #banner_l","#primary > article:has(> .panel > .panel-heading > [href=\"/reklama.php\"]),\n#secondary > aside:has(> .widget-title > [href=\"/reklama.php\"])","#dirlotbah,\na[href][onclick*=\"Banners\"]","#topbanner-wrapper0","#navlist a[href][target=\"_blank\"],\ntd[align=\"right\"] a[href][target=\"_blank\"]","#divHeader",".goods ~ h3, .goods ~ h4,\n.page_index.content > p a[href][target=\"_blank\"] > img",".cont_in_c > .item","div[align=\"center\"] a[target=\"_blank\"] > img,\ndiv[class^=\"tm-article-banner\"]","#grid-loop > .post:has(> a[href*=\"://urldirect.ru/\"]),\n#top-bar,\na[href*=\"://urldirect.ru/\"]",".adaurum,\n.main_wrapper > div[class=\"column column_left\"],\n.right.article-reklame > * > :not(.block_all_day) > *,\n[class*=\"container\"][class*=\"partner\"]",".MyOpacity1","img[src*=\"/partner-banner/\"]","div[class^=\"creative-placeholder\"]","#myModal,\n.jgcabd-container","#vid_vpaut_div",".hban","#rbc",".center_tizer,\na[href*=\"kakprosto.ru\"]","#slide-close,\n#sliding-bar",".duck-line","div[class^=\"a7-btns\"]","body > #pop-up-window","#adv-sidebar,\n.over-rsi,\ndiv[style^=\"display: flex; align-items: center; justify-content: center; background-color: #ECF3F7; margin-bottom: 5px;border-radius: 7px; padding: 5px;position: relative;z-index: 0; min-height:\"]","#sidebar > [style=\"width:420px; margin-top:15px;\"] > div ~ div","[class*=\"yandex-news-promo\"]","tr[style*=\"important\"]","a[href][title=\"http://rek-chek.ru/\"]","#mgid,\n#novoteka,\n#sidebar > .mb10,\n.tobbanner","td.windowbg3",".block-content > .ageLimit",".sticky-holder > .block-title.yellow","div[class][data-element*=\"BANNER\"],\ndiv[id^=\"AdwolfBanner240x400_\"]","#kalambur,\n.bn-btm,\n.p-sidebar > style + [class],\n.subline ~ :not([id=\"navigation\"]):not([class=\"page-width\"]),\na[href*=\"/gobet/\"],\na[href^=\"/plain/\"],\nspan[id^=\"zone\"]",".penci-sidebar-left,\n.pered-kontentom,\n[href*=\"://dotaguide.ru/go/\"]","body > .wid-fb","#sp-component .custom","div[class*=\"banner\"]:not(.banner-vk)","#adblock_popup","#banner240x400,\n#dv-top,\n#side-dv,\n.aio_banner,\n.js-adv-widget,\n.mywidget-item[class*=\"teaser\"],\n.nav-menu > li > a[href][target=\"_blank\"],\n.side-link,\n[class*=\"autoRu\"],\n[class*=\"autoRu\"] + .hr,\ndiv[class^=\"osago-\"]",".c-dv-p,\n[data-target^=\"drom_\"],\n[data-track]:has(> div[id]:empty + script),\na[href=\"/_api/drom/navigate\"],\na[href][target=\"_blank\"] > img[src][style^=\"width: 100%; height: auto;\"][style*=\"vertical-align: middle; max-width: 240px;\"],\ndiv[class]:has(> div > .drom-logo),\ndiv[class]:has(> div[id][class] > a[href] > img[src^=\"https://avatars.mds.yandex.net/get-adfox-content/\"]),\nimg[src^=\"https://avatars.mds.yandex.net/get-adfox-content/\"]","div[class] > a[href][target=\"_blank\"] > img","#dle-content > #overlay","#rest_vl_block,\n.b-media-cont_theme_adverts,\niframe[src*=\"yummy.drom.ru\"]","div[class*=\"candy\"],\ndiv[id*=\"candy\"]","#dromRightCol,\n#drom_catalog_block,\n.b-banner-group",".view-advertisement-blocks",".ALMGcspq,\n.distribution,\n.layout__right-column > div[class*=\" \"][style] > div[class*=\" \"] > div:only-child,\n.propaganda,\n.supbar--top,\ndiv[style*=\"banner-height\"]","#center-block > noindex,\na[href^=\"//talk.\"][target=\"_blank\"]","#footer noindex,\n.mainbanner","#r-colonka > .f-block ~ .f-block ~ .f-block,\n#r-colonka > a[target=\"_blank\"],\n#r-colonka > center,\n[align=\"CENTER\"] > a[href][target=\"_blank\"] > img,\ndiv[id^=\"edit\"] > div[style=\"padding: 6px 0px 0px 0px\"]","img[src*=\"/imgnew/\"],\nimg[src*=\"/imnew/\"]","#teaser,\n#ya-dist,\n._is-floor-with-ds-cards,\n._is-for-article-floor,\n._is-for-video-floor,\n.adv-ecom,\n.adv-skeleton___main,\n.article-page-layout > main > div > div[id],\n.article-recomender__feed-container article > div:first-child ~ div,\n.article-render-mobile__embed_embed-type_yandex-direct,\n.article-right-ad-block,\n.article__bottom-embed-wrapper > .ad-split-embed + div,\n.news-mt-advert,\n.news-mt-advert__banner,\n.viewer-layout__content div[class*=\"-player \"][aria-label] ~ div:not([class]),\n.zen-ui-viewport-expansion__container:empty,\n.zenad-card-rtb,\n[aria-label=\"Таб категорий\"][href^=\"/floors-promo/\"],\n[aria-label^=\"Peкл\"],\n[aria-label^=\"Карточк\"][aria-label*=\" p\"][aria-label*=\"кл\"],\n[aria-label^=\"Карточк\"][aria-label*=\" рекл\"],\n[aria-label^=\"Карточк\"][aria-label*=\"мы\"],\n[aria-label^=\"Рeкл\"],\n[aria-label^=\"Рекл\"],\n[class*=\"desktop\"] ~ [id*=\"teaser\"],\n[class^=\"card-part-wrapper\"] ~ div[class=\"\"],\n[class^=\"dzen-desktop\"] ~ div[id$=\"-popup\"],\n[data-name=\"video-in-combo-zen-container\"],\n[data-ssr],\n[data-testid=\"recommend-auth-popup\"],\na[href*=\"://yandex.ru/an/count/\"],\na[href*=\"://yandex.ru/an/count/\"] ~ a[href*=\"://yandex.ru/an/count/\"] ~ div,\naside[id^=\"article_\"][class*=\"rilght\"] > div[class],\naside[id^=\"article_\"][class*=\"riljht\"] > div[class],\ndiv:has(> .adv-skeleton___main),\ndiv[aria-label=\"Карточка рекомендованного видео\"] ~ [aria-label]:not([aria-label=\"Карточка рекомендованного видео\"]),\ndiv[class*=\" card-with-ad__skeletonCard\"],\ndiv[class*=\"-top-ad-\"],\ndiv[class*=\"PunchCardsOnVideoShowcase\"] div[aria-label=\"Реклaмный блок\"],\ndiv[class*=\"PunchCardsOnVideoShowcase\"] div[class^=\"grid__row\"] > div[class*=\"heme\"],\ndiv[class*=\"_feed-type_article_\"] article:not([class*=\"card-\"]),\ndiv[class*=\"article__\"] > .undefined ~ div[class*=\"mididei\"] > div[id][class],\ndiv[class*=\"bannerMain\"],\ndiv[class*=\"card-video-promo__root\"],\ndiv[class*=\"video-viewer-sidebar__ad\"],\ndiv[class*=\"videoCardAd\"],\ndiv[class*=\"widtdjejet\"] > div[class*=\"container\"] > div ~ div,\ndiv[class^=\"ad-link\"],\ndiv[class^=\"advert-panel\"],\ndiv[class^=\"auto-slide-ad__container\"],\ndiv[class^=\"dzen-desktop__link_bro-\"],\ndiv[class^=\"dzen-desktop__teaser-\"],\ndiv[class^=\"dzen-mobile__\"] > div[id$=\"-fullscreen\"],\ndiv[class^=\"dzen-mobile__topContentBackgroundBottom\"],\ndiv[class^=\"dzen-wrapper-with-top-content-desktop__topContent-\"] div[class^=\"promo-\"],\ndiv[class^=\"floor-card-rtb_\"],\ndiv[class^=\"floor-skeleton-card__skeletonCardWrapper\"],\ndiv[class^=\"grid__row-\"]:has(> div[class^=\"video-card-ad\"]),\ndiv[data-name^=\"zen2\"],\ndiv[data-testid=\"article-showcase-card\"]:has(> [data-testid=\"card-rtb\"]),\ndiv[id*=\"long_video_floor\"] article[aria-label=\"Карточка этажа\"] ~ :not([aria-label=\"Карточка этажа\"]),\ndiv[id*=\"native_floor\"] article[aria-label=\"Карточка этажа\"] ~ :not([aria-label=\"Карточка этажа\"]),\ndiv[id*=\"splashscreen\"],\ndiv[id][class$=\"__ad\"],\ndiv[style*=\" !important; \"][style$=\" !important;\"],\niframe[style=\"display: block; border-width: 0px;\"]:not([id])","div[class^=\"adb\"]",".banner-topline",".fixday",".e1-top-panel__link[title=\"Авто\"],\n.js-sticky-rotation-banners,\n[class*=\" undefi\"],\nli[class=\"e1-nav__item _auto\"]","[data-vr-contentbox=\"Новость в левой колонке\"]:has(> div ~ div ~ div),\n[itemprop] > div:has(> div > [id*=\"ad\"]),\n[itemprop] > div:has(> div > [id*=\"inline\"]),\nsection:has(> div[class]:empty + div[class]:empty + div[class]:empty + div[class]:empty)","[class^=\"styled__AdvLink-sc-\"],\ndiv[class^=\"post-\"] > section[class^=\"styled__Wrapper-sc-\"],\ndiv[class^=\"styled__ProgrammaticWrapper-sc-\"],\nsection > section:has(> [class^=\"styled__AdvLink-sc-\"])",".banners-puzzle,\n.neon-skeleton,\n[data-neon-skeleton-removable]","a[href^=\"http://youcanhappy.ru/\"]","a[href^=\"https://www.shipito.com/\"]",".cartoon","#ad_global_below_navbar > div[align] + div[style],\na[href][target=\"_blank\"] > img[alt=\"папироска.рф\"],\na[href^=\"http://smokekitchen.ru/\"]",".blurb","a[href^=\"http://nvek.com.ua/\"]","#billboard,\n.ad_branding_footer div[class^=\"emotion\"]:has(> [title=\"yandexzen\"]),\n.ad_branding_header > section,\n[title=\"yandexzen\"]","#slidebotbox",".card_commercial","div[id^=\"float-sidebar\"]",".sidebar > a[href][target=\"_blank\"]",".row[style=\"margin-top: 30px;\"],\ndiv[class*=\"_promocodes \"]","div[class*=\"znamya\"]",".e-zen-block",".right_col > div[style^=\"margin-top\"]",".alert_warn,\n.blok_forum > div[style],\n.out_new,\n.rules:has(> p > [src=\"/img/no_ad.png\"]),\ndiv[class=\"forumbg_star\"],\ntable[class^=\"header\"] > tbody > tr > td ~ [class]",".bybit","#b-info-wrapper,\n.extra-banner","a[href*=\"pokupka-radiolom.ru\"]","body > div[onclick^=\"window.open\"]",".black-footer",".adsense_blok","a[href*=\"puzzle-movies.com\"]","#rcl","a[target=\"_blank\"] > img[src^=\"http://www.erudition.ru/images/\"]","#wrap > div[style]:not([id]):not([class]),\na[href*=\"://marchelas.tilda.ws\"]",".b-fade,\n.b-mdl","div[id^=\"getContent_esoreiter\"]",".notice[data-notice-id=\"1\"],\n.p-header-content > .p-header-logo ~ div","[class*=\"landing\"],\n[class*=\"templatespromo_\"]","#full_det > div[style]:not([id]):not([class]),\n.book_bl > div[style]:not([id]):not([class]),\n.interestingly","td[valign=\"top\"][width=\"176\"][align=\"center\"]",".article-item > .article__footer ~ :not(.article__footer):not(.comments-container),\n.block:has(> .block__body script),\n.block:has(> div > [class*=\"bookmaker\"]),\n.top-rates,\n.wrapper > div[style*=\"height:\"]",".gift-block","[class*=\"bookmaker\"]","div[style*=\"height:400px;\"],\ndiv[style*=\"min-height:\"][style*=\"00px\"]","#AdwolfVerticalBanner,\n.infox",".related-content-story--sponsored",".place-content-center,\n.scroll-smooth,\ndiv[class^=\"fixed bottom\"]",".panneliker a[href][target=\"_blank\"]","img[src*=\"/img/ab/\"]",".adblock-pls,\ndiv[id^=\"Banner\"]",".col-right hr,\n.right-box-banner,\n.soc-line ~ hr,\n.two-col ~ hr,\n[class*=\"box-partners\"]",".direct-ad,\n.yandex-market-widget",".promo-block",".interesting-news",".banner_slider","#ulogin,\ndiv[id*=\"result\"]","#b2-container,\n.b-other-news,\n.banner_sidebar,\n.banner_topline",".adcredit,\n.b-horizontal,\n.boff,\n.floating.b-sidebar,\n.head-horizontal,\n.sidebar-rtb,\n.smi2,\n.widget-area div[class*=\"-banner\"],\na[href*=\"advertising\"],\nbody > div[class^=\"facebook-\"]","aside > .row > .text-center","a[href^=\"/redirect/\"][target=\"_blank\"] > img[alt][title],\niframe[src*=\"/upload/fapl_\"]","div[class*=\"advban\"]","div[id*=\"reklblok\"]",".entry-content > div[style^=\"min-width:300px\"]",".widget.HTML",".article__annex","#search_panel > .panel-body ~ div,\n.container > .row > .text-center",".ddb-adv,\n.footer-partners__block,\n.gazprom-logo,\n.header-sponsors,\n.parnters-foot,\n.partners-logo,\n.sl-foot,\ndiv[class^=\"adv-\"]:has(> div[id^=\"adfox_\"])",".top-site-an","a[href=\"http://trudvsem.ru/\"],\na[href=\"http://www.novomotors.com/\"],\na[href=\"http://www.polyplast-un.ru/\"],\na[href=\"http://www.pravo.gov.ru/\"],\na[href=\"http://www.procterandgamble.ru/\"]","#bcat,\n.coeffs","a + br,\na + br + br",".follows-channel_yandexnews,\n[itemtype*=\"://schema.org/NewsArticle\"] .article-box + div[style=\"padding: 10px\"]",".widget_custom_html > .partners__heading ~ .custom-html-widget",".lb-ad-visible","a[href^=\"http://trening-maximum.ru\"]",".a-block",".top-bookmakers-widget,\ndiv[class^=\"bet-widget-\"]","noindex > table[style]",".hochuvkino,\n.hvk,\n[title=\"Яндекс Дзен\"],\na[href=\"#\"],\na[href]:not([href=\"#\"])[onclick],\na[href^=\"https://hochuvkino.ru\"],\ndiv[id^=\"bseller_\"]","#dle-content noindex a[href][target=\"_blank\"]",".footer-banner-block,\n.profile-text-banner,\nbody > div[class^=\"hidden-\"],\ndiv[id^=\"cntnt_block_\"],\ndiv[id^=\"finamBanner_\"]","#brokerintegration,\n.highlightbox.content_box","header > .container-fluid",".first_block > .right_block,\ndiv[class^=\"swal2\"]","#chart_a,\n#news_a,\n[class$=\"_top_a\"]",".topline","div[id*=\"_ban\"]","div:has(> .banner-bdm),\ndiv[class^=\"bnr-\"]",".stb-container","#stb-overlay,\ndiv[class^=\"dgd_\"]",".right-column .bx-wrapper,\n.right-column .select-content[style=\"margin:9px auto;\"]","a[href*=\".fhserv.ru\"]:not([href^=\"https://image.fhserv.ru\"])","#promo > div > div,\n.bannermod,\na[href^=\"https://animal-farma.top\"]",".rads,\ndiv[class*=\"relap-\"]","a[href=\"http://vitomaxx.ru/\"] > img","#header > .widget_text","cat-banner",".banners-topic",".gametiles > div[id][style]","[id*=\"adsPlace\"]",".head-banner","div[id*=\"tizer\"]","#phpbb_announcement,\nbody.section-index .sidebar","[align=\"CENTER\"] > a[href][target=\"_blank\"],\ntd.alt1Active > div > div[style=\"float:right\"]","td[width=\"738\"] noindex","#content > div[style*=\"fixed\"]","img[src=\"/images/banners/virtoo.jpg\"],\nimg[src^=\"/images/banners/goporez\"]",".footer_banners,\n.navbar_banners","#onesignal-promt-target a[href*=\"utm_campai\"] ~ div,\ndiv[class^=\"grid\"][class*=\"Laptop\"]:has(> div[id^=\"adv_\"]),\ndiv[style*=\"--creative-height:\"]","#onesignal-promt-target > div:first-child,\n[data-io-article-url] > [itemprop=\"articleBody\"] ~ p[class],\naside:empty,\naside:has(> div:only-child > [data-placement]),\nfooter > div > ul > li:empty","div[class*=\"Banner\"]","div[class^=\"cookieNotice\"]",".rttr_bnr",".bot_banner,\n.dzenreg,\ndiv[class^=\"leon\"],\ndiv[class^=\"middle_banner\"]",".bloc1:has(div[id^=\"bn_\"]),\n.bloc_right > .bloc0,\n.bloc_right > div:has(> .nopromo_view),\n.lastnewscat:has(> [id*=\"ScriptRoot\"]),\n.nopromo_view,\na[href=\"/bookmakersrating/\"]",".center-adv,\n.left-adv",".IQXal,\n[data-interval] > li div[style=\"min-height: 64px;\"],\n[data-io-article-url] > footer > div[class]:has(> .undefined),\ndiv[data-title=\"Реклама на Forbes\"]","body > div > a[target=\"_blank\"] > img",".newss2 a[target=\"_blank\"]","#html-footer,\n#html-header,\n.html-box",".samListItem","div[id^=\"fa_ticker\"]",".contbaner,\ntd[valign=\"top\"][width=\"100%\"] > div[id][style^=\"clear\"],\ntd[valign=\"top\"][width=\"100%\"] > table[class^=\"forumline \"]:nth-child(1)",".module > .box-content[style] > div[class]","#messageList > [id^=\"post-\"] ~ .message:not([id^=\"post-\"]),\ndiv:has(> [class$=\"relap-block\"]),\nnoindex > [style*=\"display: block;\"]","#column-left noindex > .module-content,\n#root-wrapper > .top-module-container",".fRight > .rightBox,\n.m2","#footer-ads-banner-cont,\n#king-rightplace,\n#king-rightplace-sight,\n#pr-ads,\n#top-ads-banner-wrap,\ndiv[id*=\"reklama\"]",".adOnPostBtwImg",".ftips-branding-ad","a[href^=\"/goto.php\"],\ndiv:has(> a[href^=\"/goto.php\"]),\ndiv:has(> sup)","#menuforum,\n.headreklama,\n.menublock:last-child",".menu__item.special",":not(#container-top) > blockquote","#content_r,\n#footer_left,\n#pai_thumbz_hider","div[style^=\"margin-left:\"] > a[href=\"#\"],\nform#redirect ~ div .row > div > .content_rb ~ div",".t_bg > center,\ntd[width=\"210\"][align=\"left\"]","p[align=\"center\"] > a[href] > img","#fbpopup",".b-mts-logo,\n.rc2:has(div:first-child > #rc-bn),\n.rc2:has(div[id^=\"adfox_\"])",".center_b",".tingle-modal",".sidebar > .block-content:has(> noindex > script)","#left > div:not(#ms),\n#main + #right","#rfunlog","[id^=\"icqwin_\"]",".header","a[href^=\"http://fvhm.ru/adv/\"],\na[href^=\"http://slivz.com/\"]",".bgad",".bgad + div[style*=\"height:\"],\n.col-md-4.text-center","a[href^=\"/s\"][target=\"_blank\"],\nimg[src=\"/img/separator.gif\"]","#vp_main_520,\n.lr_block > iframe","a[href^=\"http://game-10.ru/i.php?url=http://www.adcash.com/\"]","#secondary > .widget-wrap:has(> .widget_execphp)",".rightBanner > h4","[href^=\"https://p2d.ru/\"],\ndiv[class^=\"adblock_\"]","a[id^=\"mainbackgr\"],\na[onmouseup*=\"_trackEvent\"],\ndiv[style=\"margin: 10px auto; width: 970px; height: 250px\"]",".advertising_review,\n.logo-df,\n.logo-zen-feed,\n.top-branding,\n.top-img-wrap",".alarmalarm-backtop,\n.under-back,\ndiv[class^=\"alarmalarm-banner\"]",".adaptiv,\n.xopo-player-container","#global_back_link","#html-footer > .container > :not(center)",".brandingh,\n.brndblock,\n.brndlnk","body > div[align=\"left\"][style^=\"position: fixed;\"]",".__b-popup1__,\n.advback,\n.full_screen,\nimg[height=\"310\"]","a[href*=\"/go/\"]","#banner-slider",".show-block",".adfox-banner,\n.js_aside_sp","body > #bodypopup","a > img[src^=\"http://gaynsk.ru/img/\"],\ntd[bgcolor=\"#dedede\"]","#_id_flowup,\n.b_telegram,\n.m_zen,\n.rcmw-container,\nbody > div[style^=\"height:\"][style*=\"vh\"]:empty,\ndiv:has(> .b_telegram),\ndiv[id^=\"_g_exchange_\"]","div[class*=\"billboard\"]",".header-widget,\na[href^=\"http://www.soglasie.ru/\"]",".banners_bottom","div[class*=\"AdBox\"]",".bracing-banner",".b-imp-notice,\nbody > div[class^=\"stop-block\"],\ndiv[class^=\"b-app-promoter\"]","a[href*=\"letyshops\"]",".pull-right > [class] ~ [class]",".store-hosting,\ndiv[id^=\"media\"]","div[class^=\"wiad\"]",".main-footer-btn,\n.wpb_text_column",".banner-bottom-wrapper","[class^=\"mgedwn\"],\na[href*=\"/gobtn.php\"]",".widget_pfj",".cities-popular:has(> .list:empty),\n.content-column > .section-media,\n.follow-zen,\n.widget-container,\ndiv[class*=\"feed-partner\"],\nsection > .feed-bg","#guitarist","#dropin","center > noindex,\ndiv[style=\"float:left;width:344px;height:295px;\"],\nindex > .entry,\nnoindex > .entry","ng-banner","ng-teasers",".rb","#rek_bg","a[href*=\"branding\"][target=\"_blank\"]","div:not([id]):not([class]):has(> div + div + section + section) > div:first-child + div > div:only-child > div:first-child + div:last-child",".GbShadow","#topbox-container,\n.wide-banner,\na[href^=\"http://www.glavmore.ru/linker.php\"]","#sidebar > center","div[class^=\"baner\"]",".seo-info",".video_code:empty",".news-grid > .news-grid__col:has([id^=\"banner\"]),\niframe[src*=\"/upload/adv_banner/\"]","a[href*=\"firmpage.ru\"]",".asus_prm","div[class^=\"widget-twitch\"] > .data","#fon-adv","[data-role=\"primaryNavBar\"] a[href^=\"http://csserv.ru/\"],\n[data-role=\"primaryNavBar\"] a[href^=\"https://gamecms.ru/\"]","#html5player > div[style*=\"absolute\"],\na[href^=\"http://premium.goodgame.ru/ra/www/\"]","#topmod","[href*=\"/link?to=\"]",".side_block",".block > a > img[width]",".right-side > .reading:has(> div > #MediaMetricsInject)","#at-cv-lightbox,\n.sidebar-right > div[class*=\"banner\"]","div[id^=\"lngtblck_\"]",".article_footerText,\n.horizontal-banner","a.additional-earnings-banner-snippet:not([href*=\"gorodrabot.ru/\"]),\ndiv[id]:not([class]):not([style])[aria-hidden=\"true\"]",".alert-warning,\n.section-r-top,\n[src*=\"/files/rk/\"]",".blnk,\n.section-feed-sm > div:has(> .blnk)","a[href*=\"smi2.net/\"]","body > div[class$=\"-subscr\"]",".articles-special,\n.banner-simple,\n.posts-relative",".col-md-4 noindex",".box-shadow:has(> [id^=\"adfox_\"])","body > a[target=\"_blank\"]","div[style=\"width: 970px; height: 90px;\"]",".darkPart > .connection ~ a[href][target=\"_blank\"] > img,\n.newContent > .all > :not(.button),\n.otherNews > .newsList ~ div","#main-sec > .block-side ~ .block-side",".textwidget a[href][target=\"_blank\"]",".dopoln",".new-block",".first-b,\n.news_t_left[style^=\"background:#ff0000;\"],\n.v-recom",".article-ads,\n.news-ads,\n.stop-waiting","a[href*=\"goaway.php\"]","#gts-carousel","#sidebar-wrap .widget_custom_html,\n.mediametrix",".box-warning","[class^=\"windowbg\"] > noindex,\n[id^=\"ya_direct_\"],\nnoindex > a[href*=\"svetomuz.ru\"]","[class*=\"hide\"][class$=\"ban\"],\ndiv[id^=\"gbr_\"],\ndiv[style=\"clear:both;height:200px;\"]","a[href^=\"/sp.php?id=\"]",".adv_collumn > h3,\n.adv_collumn > p:not([style]),\na[href*=\"ecvator.\"]","#headerq,\n.b-fad,\n[alt^=\"Реклама\"]","aside .widget_custom_html",".likewall","#right-sidebar > aside:has(.adsbygoogle),\n#right-sidebar > aside:has([id^=\"yandex_rtb\"]),\n#right-sidebar > aside:has(div[name]),\ndiv[name]","a[href*=\"nanokleber-original.com\"]","[src*=\"://pagead2.googlesyndication.com/\"]",".teaser","aside[id^=\"rec\"]",".bannermain",".hd_head","#bnr_1",".sidebar .widget_text","#fixed1,\n.veramoy,\na[href*=\"://reduction.helpsetup.ru/\"],\nh5#center",".block > noindex,\na[href^=\"http://www.hen-tai.ru/engine/go.php\"]","#vgtrk_bottom","#onload_popup,\n.b-modal","div[data-rb-slot]",".article__content__zen,\n.feature__ad-block,\nbody[data-pageid] #ipsLayout_sidebar,\ndiv[class^=\"ad-\"]",".banners-center,\n.small-text:has(> a[href^=\"https://dzen.ru/\"])",".up-pek-top,\naside > a[href=\"/pek/\"],\naside > div[class^=\"margintop\"],\ndiv[id^=\"BAHEP\"]","[id*=\"hidemead\"]","[data-uk-grid-match*=\"target\"],\nbody > #wrap-popup-box",".an-sidebar1",".footer-one.fbox","div[class^=\"chp_ads_block\"]","#orphus",".right-block.rek","#top_ban,\nbody > center > .px_blue_fon","div[style=\"max-height:250px\"]","a[href^=\"http://adslead.ru\"]","[id^=\"brand-\"]",".text_block_widget_video",".download_method > .method_box ~ *","[class$=\"_banner\"]","tr > td[width=\"170px;\"] ~ td[width=\"170px;\"] > div[style^=\"padding: 0; margin: 0;\"]",".modal.in.modal-vc","div[class^=\"vitrina\"]",".burger_b","#block-sape","a[href*=\"regru.net\"] > img","body > div[id] > [onclick],\nbody > div[id] > [onclick] ~ *,\nbody > div[id]:empty,\nbody > div[id]:has(> [onclick])","#wrapheader > table[width=\"100%\"]",".l-article-wrapper > center > a[target=\"_blank\"] > img[border=\"0\"],\n[class*=\"tbann\"],\n[class^=\"promo\"]",".content__col-left","a[style*=\"/banner.\"]","body > [class^=\"adbd-\"]","#substrate",".admania_adblock_detector",".modal-open div[class^=\"modal\"]","#jv-banner,\n.jvmod-pad.png > a[target=\"_blank\"] > img","div[class^=\"ab-\"][class$=\"-text\"]","nofollow > noindex > p","div[class^=\"content__banner\"]",".block_top",".ad-brending,\n.informer-container,\n.knb-grid-layout > .no-radius,\n.knb-informer,\n.knb-sidebar_top,\n[class*=\"HeadingPage_most_discussed\"],\n[class^=\"AdFoxBanner\"],\n[class^=\"LentaAdFox_\"],\ndiv[class^=\"MaterialSubscription_root_\"],\ndiv[class^=\"TopPageBanner_wrap_\"]","a[class^=\"MaterialCpa_\"],\ndiv[class^=\"KeysForGamers_button\"]",".block-full-width,\n.bq-menu ~ div:not([class=\"top-side side1\"]):not([class=\"top-side side2\"]),\n.top-adapt",".promo-top",".fly-button,\n.i-box-ads,\n.nav-link_huawei,\na[href=\"/advertising/\"]","a[href*=\"pr.ikovrov.ru/www/\"],\niframe[src*=\"pr.ikovrov.ru/www/\"]",".info > .t_tips2",".container > .row > div:has(> [src*=\"cdn-rtb.sape.ru\"]),\na[href*=\"://gorodrabot.ru/\"],\ndiv[class^=\"dc_catfish_\"]","fieldset[style^=\"display: inline; width: 45%;\"]","tr > .leftcat > *","td[align][valign=\"top\"] > div[align=\"center\"] > table","[id^=\"bn\"] > *","a[href^=\"https://www.youtube.com/\"] img",".m-advertising,\n.m-videoplayer-advert",".post_pole_post","div[id^=\"ad_id\"]","#execphp-3",".my-block[style=\"height:730px;\"],\n.wiged.widget_text",".ad_customs",".obl",".rightbar > div[align=\"center\"][style]","#helpme[style=\"display: block;\"],\na[href*=\"goobmizd.ashx\"]","a[href^=\"/netcat/modules/banner/\"][target=\"_blank\"]","#like_box,\n.yandex-widget","a[onclick*=\"Баннеры\"]","#ot-right > div[id^=\"mod\"]:has(.bannergroup),\ndiv[class^=\"fonrec\"]",".ppoibrorzf","#dmLarge,\n.idv3-advert2,\n.idv3-popup-frame,\n.ya-invite-block","div[style=\"width: 200px;height: 300px;position: relative;\"],\ndiv[style^=\"width:199px;height:299px;\"]",".b-Article_main-banner,\n.b-BannerPlace,\n.b-PopupBanner",".alignright div[style^=\"height\"],\ntd[style] > div[style=\"height: 120px\"]",".adv_code_wrapper","div[id^=\"TM_\"]","#ezobann","img[alt=\"Скачать\"]",".gnice","#adsClose","#footer > #wide_links","div[style^=\"width: 728px; margin:\"]","#contentShifter",".mainblock ~ .mainblock .infinitblock::before,\n[class^=\"toplogo__idea\"],\ndiv[id^=\"pl\"][id*=\"_ban\"]",".general_block > a[href][target=\"_blank\"]","#fab-enabled","div[class^=\"shortcode-\"] > [data-href],\ndiv[class^=\"shortcode-\"] > a[href*=\"/go/\"],\ndiv[data-region][data-pending=\"true\"],\nsection[class*=\"related\"]","td[valign=\"top\"] > .block-user ~ *",".globalmesswarnwrap,\n.row2 > span[style^=\"float:\"],\nimg[width=\"460\"][height=\"60\"]","#popwindow",".postitem__dpd_block,\n[data-slug=\"damprodam\"],\na[href*=\"tinkoff.ru\"][href*=\"utm_campaign\"]",".faq > ul > li + div",".content > div[align=\"right\"][style^=\"float:\"],\n.tr-banner",".brocock,\ndiv[id^=\"ymarket-mobtop\"]","#rotateAdvert,\n.b-adblock-message,\n.b-adwords-news-read-banner,\ndiv[class^=\"b-branding\"]","a[href*=\"akva-motors.ru\"]","aside .widget:has(> .widget-container [class^=\"nadavi\"]),\naside .widget:has(> .widget-container [id^=\"ya_\"])","#sb-calc-wrapper,\n.b-specOffers","a[href^=\"http://kinezio.center/\"]","#slider_01","a[href*=\"halaleda.me\"],\na[href*=\"mavlid.ru\"]",".sidebar-content > .widget_custom_html ~ *","#content > .nav-single:has(> ins),\n#main > :not(#primary):not(#leftbar):not(#seecondary),\n#menu-block > :not([class=\"widget widget_search\"]):not([class=\"widget_ widget_menu\"]):not([class=\"widget_pl popular-posts\"]):not([class=\"widget widget_comments\"]):not([class=\"widget widget_taag_cloud\"]):not([class=\"widget_f widget__scr_lp\"]):not([class=\"sbar\"]),\n#page > :not(#masthead):not(#main):not(footer),\n#primary > :not(#content),\n#seecondary > :not([id=\"menu-block\"]),\n.entry-content > [class*=\" \"][style=\"text-align: center;\"],\nbody > :not(#page)","body > #modal[style*=\"blur\"]",".ad-bottom-dc","a[href^=\"https://kwork.ru\"]","#fguru,\n#sping",".b240.rc4,\n.colr > h4",".itzin-podcast-promo,\n.site-header__img",".modal__sidebar,\n.news-detail__panel > .news-detail__panel-col:first-child > div,\n.section-marketing-block","div[id^=\"ADS_\"]","#video-flack,\n.ivi-footer ~ div[class] > style + div[class],\n[data-test=\"watch_with_adv\"] > .nbl-button__primaryText",".rollPlus,\na.teaserImage[target=\"_blank\"],\nbody.watch > div[class]:not([id]):not([style]):nth-child(-1n+2) > style + .content",".aside-advertising,\n.block-container-margins [style^=\"height:\"][style*=\"250px;\"],\n.get_news_link__bottom__item:has(> a[href*=\"yandex.\"]),\n.get_yandex_subscription_links,\n.partner_before_head,\n.top-advertising,\n.two-col-with-advertise2__right,\n.two-col-with-partner__inside__right,\n[data-partners-block-id]","#footer > .block ~ .block","a[href^=\"?uups\"],\ntr > td > div[style^=\"border\"][style*=\"padding\"][align=\"center\"],\ntr[height=\"90px\"]","a[href*=\"mark.ru/\"][target] img","noindex table[width=\"100%\"]",".adblock-service",".mod_ext_dropdown_box_module_position","#colwrap > .module-notitle",".sidebarinner",".header_banner",".showcase_search","a[href^=\"http://creativepromo.ru/\"],\niframe[src^=\"http://creatagen.ru/\"]",".sidebar-rk","aside > .profile-inner + a[href][target=\"_blank\"] > img",".demo","body > div[class*=\"-container\"][class*=\"-hide\"]",".is_visible.like_wall","a[href*=\"football-shopping.ru\"]","#middletbl_r_in > a[href=\"http://www.sushivenik.ru\"]","#rigthBlokBaners","a[href^=\"http://get-wn.net/\"]","#top-line-container",".gads","#top-advertisment",".leftb",".c-moneyPlace_empty,\n[class^=\"IgromaniaChannel_mania\"],\nsection[class^=\"MaterialsManufacturerPage_infiniteWrap\"] > div[class^=\"InfiniteScrollWrap_content\"] > [class^=\"MaterialItemPage_materialSection\"]:has(> .knb-grid-container > [data-io-article-url] a[href=\"/tags/partnyorskij-material/\"])",".sam-container a[href]:not([href*=\"rk.karelia.ru\"])",".caroufredsel_wrapper",".newsItem > .otherBlock:has(> .textContainer > noindex),\n.newsItem:has(> div > small),\ndiv[class^=\"advCell\"]","div[id*=\"actionteaser\"]",".banner-wrap",".banner:not(.topcontent_banner)",".l-mainAdArea","#text-popup-load-window","table > tbody > tr > td[width=\"728\"]",".header_site,\n.show[class^=\"fix_post\"]","#blink,\n#top-b,\n.itemFullText > center + div[style*=\"center\"],\ntable[style^=\"width: 776px; height: 214px\"]",".top-block","#interesting_articles",".adex,\n.content_wrap > div[class^=\"content_\"] > div > a[href^=\"/go.php?id=\"],\n.cough_block,\n.kg_promo,\n.paracontainer img,\n.paralink,\n.social_login > .ulogin ~ .caution,\n.ten_banner_center,\n.ten_footer_wrap,\n.ten_topbar + div:not(.ten_ears_wrap),\n.ten_topbar ~ div[class]:not([id]):nth-child(-1n+10):not(.ten_ears_wrap):not(.content_wrap):not(.footer_wrap),\n[class^=\"ten_frontrow\"],\na[href^=\"/go.php\"][target=\"_blank\"]","#fullscreenBanner,\n.fonbet,\n.fonbet-logo,\n.m-bnr.b-float_panel_item,\na[href][class*=\"_fonbet\"]",".footer_sponsors","a[href*=\"parimatch.ru/\"]",".e-bnr",".bottom-partners","div[id][block-id]",".showcase,\na[href^=\"http://kineshemec.ru/bn/click/\"]",".banners-box","#cntr > .l-outer ~ style + table ~ table,\n.bottom-banner-ks,\n.topbar__link > .red,\ndiv[class*=\"ks-banner-news\"],\ndiv[class^=\"boxFormWrapper\"]:has(> div[class^=\"link\"] a[href*=\"/images/reklama/\"]),\ndiv[id^=\"top-master\"]",".footer-banner",".rightcol > div:has(a[href][target=\"_blank\"])","#special_block,\n#top_line,\n#top_space,\n.button_online_block,\n.button_online_info,\n.content_block > .page_content_block:has(> div[style] [id*=\"_dobro\"]),\n.content_block > div[class*=\"_text_white\"],\n.horisontal_delim,\n.view_online_block,\n[class*=\"_dobro\"],\n[id*=\"_dobro\"],\na[onclick*=\"_counter\"][target=\"_blank\"],\ndiv[style^=\"width:100\"][align=\"center\"]",".market","div[align=\"center\"] > noindex",".w-banner","a[href=\"http://bike-centre.ru/\"]",".in-list-banner-env","#rightcolumn > .blockdiv[style^=\"height\"],\n#rightcolumn > .blockdiv[style^=\"text-align:\"],\n.div1000,\n.div_dzen,\n.rightzagolup,\ndiv[class^=\"under_shapka\"] > *,\ndiv[style^=\"text-align:\"][style*=\"center;\"][style*=\"height:\"]",".tabs",".bn-top10,\n.top-banners",".brand-click,\n.brand-click-inner,\n.brand-container",".top-banner-container","#top > div[id][style^=\"height: 210px\"],\n.app__page > div[class*=\"-container_\"]:not([class*=\"media\"]):not([class*=\"content\"]):first-child,\n.desktop-layout-with-sidebar__middle > .desktop-layout-with-sidebar__wrapper > div[class*=\"-container_\"]:not([class*=\"kinopoisk\"]):first-child,\n.media-post-page > div[class*=\"-container_\"]:not([class*=\"media\"]):first-child,\n.page-content > div[id]:not(#header-info-bg):empty,\na[href^=\"https://kinopoisk.ru/special/\"][href*=\"utm_campaign=\"],\naside.dialog,\ndiv[class$=\"__adfox\"],\ndiv[class$=\"g-kinopoisk-media\"],\ndiv[class]:first-child > div[class*=\" \"] > div:first-child + :not(div) + div[class*=\" \"]:last-child,\ndiv[class^=\"styles_adBlockWarningRoot\"],\ndiv[class^=\"styles_themeTopBanner\"],\ndiv[class^=\"toaster-container\"],\ndiv[data-type=\"teaserspec\"],\ndiv[id$=\"_super_banner\"],\ndiv[id$=\"_top_banner\"],\ndiv[id$=\"banner_300_600\"],\ndiv[id*=\"_superbanner_\"],\nimg[class^=\"styles_copyrightImg_\"]",".branding-wrapper",".side-block > .boxTable ~ .boxTable",".fullstory a[href*=\"aHR0c\"]","#inner > div[style=\"margin-bottom: 24px;\"],\n.newsBanner,\ndiv[style=\"height: 90px; font-size: 1px; line-height: 1px;\"],\ndiv[style]:has(> [id^=\"adfox_\"]),\ndiv[style]:has(> [id^=\"unit_\"]),\ndiv[style]:has(> ntvk)","#container > #top,\n.ad-forum-block,\n.data-place,\n.r_links,\n[id^=\"bg_link_\"],\ndiv[class^=\"rsya_block\"]","a[href*=\"omniwins.ru\"]",".browse,\n.scrollable","#block1,\n#block3",".col-2 > div[id^=\"right_block\"]:has(.content_rb)","#promoVip",".supercover-banner-header",".pane-advertisment",".panel-col-top .pane-content > :empty",".bgcolortr > td[style*=\"padding-right\"] *,\na[href][target=\"_blank\"][onclick]","a[href^=\"http://golosplus.ru/index.php\"]",".button[href^=\"/download.php?q=\"]",".region > #block-biblioteka-zanr-menu ~ div",".banner + hr,\n.related-posts","a[href^=\"/goto/?idbanner=\"]",".b-header",".adv-hint",".adv_nest,\n.network_share > .network_share__item:has(> .network_share__name > [data-href^=\"https://dzen.ru/\"]),\na[href*=\"//rusfond.ru\"],\ndiv[class^=\"adv_\"]",".lban",".hidden-print","div[class=\"r\"]",".block-test:has(#marketAttractive),\n.block-test:has(#vid_vpaut_div),\n.block-test:has(> [id^=\"yandex_rtb\"])","div[id][style=\"background: transparent;\"]",".rideo,\na[href*=\"b17.ru/\"]",".branding-click,\n.u-sidebar [style=\"min-height: 400px;\"],\na[href][rel=\"sponsored\"],\ndiv:has(> header ~ a[href][rel=\"sponsored\"])",".direct_elm_footer,\n.ext_link_img,\n[id^=\"ocean2011\"],\na[href*=\"/banners/\"],\ndiv[id^=\"BANNER\"],\ndiv[id^=\"kodirect_\"],\ndiv[id^=\"newsid_\"] > .row0[style=\"margin-bottom:8px;\"] ~ .row0[style=\"margin-bottom:8px;\"],\ndiv[id^=\"ydirect_\"]","#content > .b-under-menu,\n#sidebar > .block-empty,\ndiv[id^=\"psn_\"]",".post-block > div[id],\n.post-block ~ .post-block ~ div[id],\n.recomend-section",".is-style-warning","#HTML1.image_header,\n#allrecords > div[id^=\"rec\"]:has([href*=\"/ad.admitad.com/\"]),\n#allrecords > div[id^=\"rec\"]:has([id^=\"marketWidget\"]),\n#saContent .boxFrame,\n#saContent .kprCont,\n#se-sidebar,\n#sidebar-block-top,\n.afisha-r__block,\n.cmn_r,\n.inner-layout > div[style*=\"250px\"],\n.kion__wrapper,\n.kpad,\n.kplContTxt > img[src*=\"//qpicture.ru/\"],\n.kupi-reklamu-btn,\n.page-header_tell[href*=\"/reklama/\"],\n.rcard_link,\n.serial-content_container:empty,\n.tgb_block,\n.ya-market,\ndiv.ad-slot,\ndiv[class^=\"ad-slot\"],\ndiv[id^=\"rec\"] > div div[style=\"align-items:center;\"],\ndiv[style*=\"height:\"][style*=\"250px\"][style*=\"important\"],\ndiv[style=\"width: 100%; margin: 30px 0; height: 250px;\"]","#popup-id,\n.partners-news-block,\n.ul-button,\np:has(> .ul-button)","[id^=\"adv_\"],\na[href^=\"http://lamma.24ex.net/\"]","div[id^=\"fialet_\"],\ndiv[id^=\"nenadod_\"]",".sidebox:has(.adsbygoogle)",".lwsoc",".ag-adv-container,\n.instagram-block-wrap","#content > [style*=\"min-height: 92px\"],\na[href*=\"tanki\"][target=\"_blank\"],\na[href*=\"wot\"][target=\"_blank\"]","img[src*=\"/advert/\"]","div[id^=\"comp_\"]",".adbs","a[href*=\"/banner/\"]",".bordered:has(> center > .adsbygoogle),\n.bordered:has(> center > [id^=\"yandex_rtb\"]),\n.relap-novate_ru__widetitles-wrapper",".banners-group,\n.material-bottom-banner,\n.section-banner","#offers-right","#bannerContent > div[id^=\"banner\"] a:not([href*=\"kupikolesa\"])",".banersline,\n.reld-1,\n.tax,\n.wrap-inf4x4",".smi24",".today_cbr","#botbanner,\ndiv[id^=\"banplace\"]",".left_bl > .floating",".block_sponsor","#content > .ipsAd > script + div:not([id]):not([class]),\n.ipsLayout_right > a[href]",".vipblock.container,\na[href=\"buy-ads.html\"]",".vda","a[onclick*=\"atob\"]","#general > a[href][target=\"_blank\"]",".news_list1","#left_menu > div[style] > noindex,\nbody > div[style] > noindex","#pricerbig",".gen-banner",".rek-but,\n.rek-top","._longgrid:has(> [class*=\"info\"] > [class*=\"_ad-title\"]),\n.banner + div[class][id],\n.scroll-to-site,\n.topic-page__info ~ div,\n.yandex-games,\ndiv[class*=\"goodnews\"][class*=\" \"]",".entry-content > div:not([id]):not([class]):not([style])[align=\"center\"]",".wp-block-spacer","div[id^=\"news-id-\"] ~ *",".block_sidebar.banner-video ~ .block,\n.sidebar .start_block a[href^=\"http\"]:not([href*=\"://lfl.ru\"]),\n.sidebar .start_block table[style=\"width: 263px;\"]","a[href^=\"http://center-fp.ru/\"]","table[style=\"width: 100%; height: 23px;\"]","#main-citat,\n.right-ban,\n.wide-ban","[class*=\"_a24\"]",".player_advert","#fixlife","a[href^=\"http://www.zaochnik.com/\"]",".ban-r,\n.ban-r + .prodlist-links","#popup",".footer-widgets__container,\n.partner-strip,\ndiv[class*=\"footer-widgets__container\"] > [data-key^=\"custom_html-\"]",".theme-wrapper > .container > div > *",".page-wrapper > .analyzer-page > .subscriber","div[class=\"main-widgets-item main-widgets-banner flex\"]",".left-bnr,\n.left-col > .left-bnr ~ .left-block,\n.right-bnr","#bordTop",".rkb","#top_rtb","#secondary > .widget_custom_html:not(:last-child),\n.banner_dc",".clinic-image","#biblio_book__read > h2,\n.listen_online > h2","div[id^=\"inpage_\"]",".main__rightside--rbt","iframe[src*=\"/bitpapa/\"]","#header > :not(#logo):not(.block):not(:last-child),\n#samtop,\n[id*=\"abovecontent\"],\na[href^=\"http://liveangarsk.ru/out\"]",".col-z-right > #livecars_ru ~ *,\n.wow_box,\n.z_wow_aftertxt",".wall",".news > center > a[target=\"_blank\"] > img,\ntd[width=\"367\"] > noindex + table[width=\"367\"]","#liveinternet_600x250,\n#liveinternet_billboard,\n.allpageinner td[height=\"100\"],\n.gifts,\n.header > .headerlinks,\n[style=\"margin-top:-24px;\"] ~ .leftcolumn > div ~ div,\n[style=\"margin-top:-24px;\"] ~ br + div,\na[href*=\"/fastvk.com/\"],\na[href^=\"https://an.yandex.ru/count/\"],\ndiv[style^=\"width:970px; height:280px;\"],\nscript + div[id] > div[style^=\"width:\"],\ntd[align=\"left\"][valign=\"top\"][width=\"150\"] > iframe[height=\"840\"],\ntd[width=\"240\"][valign=\"top\"] > p ~ *",".btn-buy-holder,\n.prm-block,\na[href=\"/advertising\"], a[href=\"/advertising\"] ~ div *,\ndiv[class*=\"context-ads-\"]","div[style^=\"min-height: 700px;\"]",".block:has(> .relap-runtime-iframe),\n.header-top-bar a[id],\n.widget:has(> [class*=\"bookmaker\"]),\n.widget:has(a[href*=\"bookmaker\"]),\n.widget:has(a[href*=\"utm_campai\"]),\na[href*=\"odds\"],\na[href*=\"partner\"],\na[href*=\"tips/go\"],\ndiv:has(> [data-has-bookmaker-odds]),\ndiv:has(> div[style=\"color:#D42A28\"]),\ndiv[style=\"color:#D42A28\"],\ndiv[style=\"color:#d42a28\"],\ndiv[style=\"height:90px;\"],\nnoindex > div[style*=\"height:\"]",".rec_book,\n[class*=\"wow\"]",".z_picard_card_d,\n[id*=\"wow\"],\na[href*=\"://www.livesport.ru/away\"]","#ne_nazhimat",".banner-border-wrap,\n.with-ad",".pediatr-banner-container","[width=\"630\"][height=\"90\"]","#bottom_media",".mod-custom3[style]",".google_container, .google_container + div[style],\n.interactive__vk,\n.vbanners",".block-reklamo_rotator,\n.toneBlock","div[style^=\"height:120px;display:block\"]","center > div[style=\"font-size:14px;background:#FFFACD;\"]",".artbannersplus","noindex > .linkPar","div[style=\"border-right: 1px solid rgba(0, 0, 0, 0.125);\"]",".pagination-item > [id^=\"bx_\"] ~ :not([id^=\"bx_\"]),\n.sidebar-module:has(> div[id^=\"adfox_\"])",".b-header-adv-stripe,\ndiv[style^=\"width:300px;height:600px\"]","#registr",".morefoot_back,\nnoindex > a > [width=\"250\"][height=\"250\"]",".b",".article__item_conversionlink,\n.article__item_slot,\n.daynews > table tr > td ~ td ~ td:last-child,\n.mailru-visibility-check,\n.viewbox__holder .viewbox__side,\n.viewbox__holder .viewbox__side-loader ~ *,\n[data-rb-slot],\n[data-view^=\"Slot\"][data-adq-id],\na[class^=\"rb-\"][href^=\"https://r.mail.ru/\"][target=\"_blank\"],\naside div[style^=\"min-height:\"][data-hideorder]:first-child:has(> [data-rb-slot]),\ndiv[class*=\"rb-slot_plug\"],\ntable > tbody > tr > td:first-child + td + td:last-child,\ntbody:has(> tr > td > [class*=\"daynews__item\"]) > tr > td ~ td ~ td:last-child,\ntr > .daynews__spring","#bubble-home,\n#grid .feed__content,\n.asteroid-widgets,\n.mailbox-container ~ [class] .widget__container,\n.mailbox__add-btn-logo,\n.ph-ext,\n.ph-project-promo-container,\n.tabs-content .news-item_regular::after,\n.weather_right-column .weather__description::after,\n[data-testid=\"news-tabs\"] ~ div > div ~ div > div[style],\nbody > .grid > div[class^=\"grid\"][class*=\"__header\"] > .toolbar,\nbody > .zeropixel ~ * .balloon,\nbody > .zeropixel ~ * .stripe-wrapper,\nbody > .zeropixel ~ * div[class][style^=\"color:\"][style$=\"background-size:auto 40px\"],\nbody:not(.js-module) .searchContainer ~ div > a.dmb,\ndiv[slot=\"main-column\"] > .header,\ndiv[slot=\"main-column\"] > .header ~ .swiper,\nimg[src*=\"/logo_2021_region\"],\nmain#grid > .grid-middle ~ div:not([class]):not([id])",".tgb-wrapper","[data-logger-parent=\"sidebarDoubleRight\"]","div[data-closewrap-container]","main#grid .stripe-wrapper",".pm-menu__left__vk-logo,\na[id^=\"tb-\"][class^=\"tb-\"][target=\"_blank\"],\ndiv[data-mp*=\"LazyPulse\"]",".grid > .grid__row_table > [name] ~ div:not([name]),\n.spring_adb,\n.wrapper > .cols > .cols__wrapper > :not([class*=\"cols\"])","[data-test-id=\"ecosystem-logo\"]","div[class*=\"advHeaderStatic\"],\ndiv[class^=\"Datalistinfo__root\"],\ndiv[class^=\"Folder__worm\"],\ndiv[class^=\"Public-desktop__rightCol-\"],\ndiv[class^=\"ReactViewer__attachesSidebarinfo-\"],\ndiv[class^=\"ReactViewer__attachesinfo-\"],\ndiv[class^=\"ReactViewer__bottominfoWrapper-\"],\ndiv[class^=\"Worm__root-\"],\niframe[src^=\"https://o2.mail.ru/\"] ~ div div[class^=\"ViewerHeader__closeIcon--\"],\nsection > div[class^=\"Rightinfo__header\"]","a[title=\"Экосистема VK\"]",".cols__wrapper > aside,\n.deti-slot_exchange,\n.js-smoky-end","[data-qa=\"ArticlesList\"] > [data-logger=\"ListItem\"] ~ div:last-child:not([data-logger=\"ListItem\"])","#app-canvas .layout__overflow-container > .advert-column,\n#app-canvas .layout__overflow-container > .slot,\n#app-canvas .promo-block-letter + div[class]:not([class*=\"list-\"]):not(a),\n#message-sent__rb-center-container,\n#popup-placeholder,\n.layer-sent-page__banner,\n.layout__content div[data-test-id=\"promt-tooltip\"],\n.letter-list-item-adv",".m-fixed-panel","[data-logger-parent=\"sidebarRight\"]","[alt=\"VK project logo\"],\n[data-qa=\"Grid\"] > div > div:has(> [data-rb-slot]),\n[data-qa=\"Grid\"] > div:has(> div > [data-rb-slot]),\n[data-qa=\"Grid\"] div:has(> .marker-adv-holder span[data-qa=\"Text\"]),\ndiv[data-qa=\"Box\"]",".js-scroll-to-site__hidden",".adv-marker_hover,\n.align_left > a[aria-label=\"Смотреть онлайн\"],\n.block_ad-text,\n.p-commercial,\n.p-movie-intro__commercial,\n.p-movie-intro__content-inner .adv-marker_hover ~ .text,\n.p-tv-major__spring,\n.sticky-springs div[style*=\"position:\"],\na.button_color_project[name],\ndiv[class*=\" rb_\"],\ndiv[data-required]","div[class*=\"sticky-springs__item\"]",".direct_septima",".TopBannerSlot,\n.adv-contacts,\n.banner_left,\n.link-ad","#like-buttons,\n.left-advert-block","[href^=\"https://minigames.imgsmail.ru/static/css/social-likes.\"] ~ div[class]:has([href*=\"/info/adblock\"])","#history_container > div[class][style*=\"display: block!important\"],\n.app-event-bubbles,\n.b-column-right__block-news-cloud,\n.b-fourth-pseudo-column,\n.b-history-event:empty,\n.b-history__adv-post-carousel,\n.b-music__main__banner,\n.b-video__native-rb-banner,\n.b-video__top-rb-banner,\n.l-app__left,\n.l-app__right,\n.l-common__container > div > div[style^=\"display:\"],\n.sp-video__billboard,\n.ui-simple-block[class*=\"promo\"],\n:not(.l-common__container) > div[style*=\"position\"][style*=\"display\"][style*=\"visible\"][style*=\"opacity\"][style*=\"background-color\"],\n:not(.l-common__container) > div[style^=\"position:\"][style*=\";display:\"][style*=\";opacity:1;visibility:visible;height:\"],\ndiv[class^=\"app-adv-\"],\ndiv[class^=\"l-music__banner\"],\ndiv[style^=\"position:\"][style*=\";display:\"][style*=\";opacity:1;visibility:visible;height:\"] > div[style^=\"display:\"],\nhtml.window-loaded .b-video-backscreen",".r-source,\n.reference-page__card ~ span:last-child",".layout_footer > .block","div[data-module=\"LazyLoad.PromoPopup\"] .js-module.block","#ok-wrapper.container div[class][style=\"width: 100%;\"],\n#ok-wrapper.container span.js-href","#portal-menu [title=\"Ответы Mail.ru\"] > a > svg > g,\na[href^=\"https://t.mail.ru/redir/\"],\nbody div div div div[class*=\"adv-slot-\"],\ndiv[data-pos],\ndiv[style^=\"top: \"]:has(> div > div[class=\"\"]:empty),\ndiv[style^=\"top:\"] ~ div[style^=\"top:\"] > div > div[class=\"\"] + div:last-child",".adv-marker-box,\n.pm-toolbar__group ~ .pm-toolbar__group .pm-toolbar__banner ~ .js-button [class],\n.pypo-slot,\n.pypo-springs-sticky,\n.top-ad-wrap,\n[data-qa=\"ArticlesList\"] > div:has(> .pypo-slot),\ndiv[class^=\"Gallery__slideSide_\"]",".cols__column__inner_border,\n.forecast-branding-link,\n.js-springs__group__top,\n.unprinted","div[class^=\"Logo_base__\"] > svg > g",".page__content__slide > .messagelist > div:not([cid]):not([style]):not([id]):not([class])",".cols__column_sidebar > span,\n.counters ~ div[id][class*=\" \"],\n.counters ~ span div[id][class*=\" \"],\n.sticky-springs,\n.viewbox__slide_side_show,\n.viewbox__slide_side_show ~ span,\n.wrapper > .cols [id][class*=\" \"],\n[data-content=\"Смотреть онлайн в любое время\"],\nbutton[data-player*=\"eid\"][name],\ndiv[class*=\"js-popup\"] div[id][class*=\" \"]","a[href^=\"http://mainspy.ru/banner/\"]","[data-role=\"sidebarAd\"] > center,\ntr > td[align=\"center\"] > script + center > a[href] > img","span[id^=\"banner\"]","#photo_viewer[style],\n#top_banner_ad_fox,\n[data-name=\"search-banner\"],\ndiv[id][style=\"width: 320px; height: 100px;\"]",".img_ban","div[class^=\"m1\"]","a[href*=\"kredit100.ru\"]","a[href*=\"swaqua.ru\"]","#positioner > div[style=\"height:30px;\"],\nimg[src*=\"/images/pari/\"]",".fullwidthbanner-container",".sovet",".cards__col:has(> .card_cb)",".content_banner",".md-block-native_ad",".js-info-block-fixed","#player_ima-ad-container,\n.rexona_player_play","a.vjs-link_view-mpartner[href=\"https://matchtv.ru/subscriptions\"]","#nagadai,\n.leftAdClass",".abs,\n.page_Banner,\n.rotac_reklama,\n.spanlink[onclick*=\"biorepet-ufa.ru\"],\n.spanlink[onclick*=\"e-autopay.com\"],\n.spanlink[onclick*=\"foxford\"],\n.spanlink[onclick*=\"ohnet.ru\"],\n.spanlink[onclick*=\"uchmet.ru\"]",".sape",".d290 > .adv_small","a[href^=\"http://printbook.ru/\"]","#advTopLine,\n#requestShutOfBlocker,\ndiv[id*=\"Tutor\"]","a[href*=\"?partner\"],\niframe[src*=\"mauforum.ru/\"][src$=\"/\"]","center > strong","a[href^=\"/ent.php\"]","#rightRnd,\n#yandex_sim,\ndiv[id^=\"mega_rt_\"]",".creative-container._vb-2",".ds-block-product",".module__block_rectangle","div[class*=\"adfox\"]","#pagecontent > div[style*=\"background-color\"]",".podpiska",".branding_adv",".ipsPad_bottom",".rek-bar,\n.theiaStickySidebar > ul > .widget_text",".sidebarAds",".structure-index > div:not([id]):not([class])[style^=\"width\"],\n.structure-index > div:not([id]):not([class])[style^=\"width\"] + div[align=\"center\"],\ndiv[style=\"overflow:hidden\"] > div[align=\"center\"][style^=\"height:\"],\ntd[align=\"right\"] > .structure-right:not([id])",".ad_money,\ntd[width=\"240\"] a[href^=\"go.php3?id=\"]","#billboard-atf,\n.ads-run-blocks","#reportsInfoBase","#cnt_top_top,\nmain > .hide-on-mobiles > div[class=\"sideblock\"]:first-child",".eump-com-linktxt","div[style=\"background: #fff;padding: 10px; margin-bottom: 20px;\"]",".r_banner","a[href^=\"/index.php/poster_redir\"]",".google_adv",".rusfond-block,\n.side-banner-yandex","div[id^=\"youtube_ad_\"]",".platform-content:has(> .moduletable a[rel=\"sponsored\"])","img[width=\"200\"][height=\"400\"]","form[name=\"show_image\"] > center,\nscript[src^=\"http://am10.ru/\"] + center","#header_bottom,\n.js-banner","div[style=\"width: 80%; align-items: center;\"] > center","body > center > a[href][target=\"_blank\"]:first-child",".caution-message,\n.caution-message ~ *,\n.preloading,\n.vopros-block",".footer-promo-block","#content > div[style^=\"max-width:\"]","#sidebar_right","#right_col2 > .module","div[id^=\"add_rek\"]",".snp-root",".app-popups","#bonuses-modal,\n.catfish,\n.comm,\n.fb-comm,\n.header-bk,\n.users-preferences,\n[data-type*=\"banner\"],\na[class*=\"Header_headerPromo\"],\na[href^=\"/promo\"],\ndiv[class^=\"BookmakersRating\"],\ndiv[class^=\"Catfish_catfish\"],\ndiv[class^=\"DefaultType_banner\"],\ndiv[class^=\"ExternalWidget_\"],\ndiv[class^=\"HomeBranding_mainBackground\"],\ndiv[class^=\"StickyPanel_\"]","#ban_500,\n.block_top:has(> div:empty),\n.block_top:has(> div:empty) + div,\n.block_top:has(> div:empty) + div + .block_bottom,\n.main_container[style*=\"90px\"]","#sm_content,\n#sm_olay,\n#wrapper > .fma-bg","#wrap-popup-box,\n.clearfix.content > div > .col-sm-12",".banner_margin,\ndiv[class^=\"metro_banner_\"]","a[href^=\"http://lite.baza-winner.ru/\"]","noindex > div[align=\"center\"]",".custom-html-widget > noindex,\ndiv[class^=\"papex\"]",".rotator-wrap",".sidebar_rek","a[href*=\"nfemo.com/click\"],\ndiv[style=\"text-align:center;clear:both;\"]","a[href*=\"http://new-igry.ru/games/\"] > img[src^=\"/uploads/posts/\"],\na[href^=\"/lp2/go.php\"]","#abDetected","body > [class*=\"-blackout active\"],\nbody > [class*=\"-blackout active\"] + div[class$=\"-wrapper\"]",".banner-acf,\n.outer_outer",".b-map-tgb-container,\n.m-mimikria","aside > .block:has([id^=\"ambn\"]),\nnoindex > center > a","[id^=\"trumedia_holder_\"],\n[id^=\"trurlmedia_holder\"]","#very-right-column,\n.aggregator__header,\n.partner-block-wrapper,\n.post-data > div[id^=\"pad_b\"],\n.top-block__ad,\n.topic-block:has(> .partner-block-wrapper),\n.topic-block:has(> [id^=\"adfox_\"])","a[href*=\"banners.php?click=\"],\na[href*=\"banners.php?click=\"] + a",".slidebox_social",".yandex",".article-grid__good-top,\ndiv[class^=\"good-place\"]","div[class][style*=\"important\"]",".panel-danger,\na[href*=\"zjbi.ru\"] > img",".post-right-ads",".tidymag-sidebar-content",".fotwdgt_bt_adw,\n.prom,\n.tg-fon-gif",".recomend,\ndiv[class*=\"300x600\"],\ndiv[class^=\"bnr-background\"],\ndiv[id^=\"bnr-background\"],\ndiv[id^=\"container\"]","[data-ad-slot]",".shapka > a[target=\"_blank\"]","#floating",".zen_subscribe",".bg-general,\n.container-links,\n.fon-ref,\n.link-1,\n.page-header > .bg-one-server,\n.page-header > .left,\n.page-header > .right","div[class^=\"banner_right\"]","span[style*=\"background: #ffe348\"]","#sb-site > div[class][style*=\"z-index\"][style*=\"999999\"]",".widget-sidebar:has([src*=\"/wp-content/uploads/\"][src*=\"/ban\"][src*=\"er\"]),\n.widget-sidebar:has(p > script),\nimg[src*=\"/wp-content/uploads/\"][src*=\"/ban\"][src*=\"er\"]","meta + center > table[cellspacing=\"0\"][cellpadding=\"0\"][border=\"0\"],\ntd[width=\"190\"] > .table[width=\"190\"]","div[class^=\"RELINK\"],\ndiv[class^=\"relink\"]","div[style$=\"468px;\"]",".bg_banner,\n.mbanner_in_post,\n.tbanner,\nbody > div[id^=\"float_head\"] > div[id^=\"bg-\"],\ndiv[class^=\"rbanner\"],\ndiv[id^=\"lbanners\"]","[href=\"http://www.ivlim.ru/\"],\ndiv[style=\"padding-top:5px;height:107px;\"]",".side .in[style]","#wrap > .forabg:has(> div > div > .adbp > table)",".single-teasers","div[style^=\"border: 1px solid #b56e13; padding: 5px; border-radius: 6px; font-size:\"]","body > [id]:not([class]):not([iframe]):not(#main-bg)",".sidebox:has(> .inner > .adsbygoogle)","#header_baner",".pro-adv,\n.pro-block:has(> .pro-block-adv),\n.sitebar_reklama_wr","#adapt-wrapper > noindex,\n.headBn,\n.headZyx,\n.pinBnFs",".banner-place::before,\n.sidebar-border,\n.sticky-wrap > div[id^=\"id-\"]",".post-tags__yn,\n.post-tags__yz,\n.sidebar-ya-wrap,\n.yanews-button,\n.yn,\n.yz","center > a[rel=\"nofollow\"][target=\"_blank\"] > img",".main-header","#tad-box","body > #colorbox *","div[id^=\"yaad\"]","div[style=\"min-height: 50px;\"]:has(> img[src*=\"/file/id_content:\"])","#left_banners > a[href=\"http://sod.mos.ru\"]",".sideColumn > div[class] > div[style^=\"margin-bottom:\"] + div","aside > .block .banner","#logodesc td[width][align],\n.copyright > a[href]","[data-motor-desktop*=\"exchange_block\"]",".b_block,\n.pban,\nbody.noscroll::before","#wrapper > #header","a[href^=\"http://www.mountain.ru/banner\"]",".search-item_tgb,\n.specs-column,\n.specs-near,\ndiv[class=\"row specs\"],\ndiv[class^=\"rnb-\"]","#kt_player > iframe[src]",".nofs_container",".footr,\n.igrof","div[id^=\"PM_rotator\"]","body > div[class^=\"tccSm\"]","[class^=\"tizdiv\"]","[id^=\"teaser_\"]",".btop",".video-box table[style^=\"background-color: #000000;\"]","a[href][target=\"_blank\"] img",".zen-widget","#stickymsg","#right_column",".banner_header","#page-sidebar > div > h3,\n#page-sidebar > div > h3 ~ ul,\n#vue-bubble,\n.additional-info > nofollow > [align=\"center\"] > a[target=\"_blank\"] > img,\n.courses,\n.promo-popup,\n.r-courses__lists,\n.wrapper > div[style^=\"background:\"][style*=\"videouroki.net\"]","div[class^=\"advertising-content-\"]",".topiclist + div[style^=\"padding\"]","#popupBanner,\n.SEO","#popup_overlay,\n#social_popup_window,\n.ovl_pf","a[href*=\"barbarisnews.ru\"]","#cont-i > span[style*=\"color:red\"]","div[class^=\"commercials\"]","a[href^=\"http://tasselmagic.ru\"]",".section > #tn1",".elle-special-projects","#popap_top","div[id^=\"pad_bnr_\"]","div[id^=\"beta_place_\"]","#reclbarfix","td[bgcolor=\"#FDFDFD\"][align=\"left\"] > noindex,\ntd[bgcolor=\"#FDFDFD\"][align=\"left\"] > noindex ~ br,\ntd[width=\"240\"] ~ td[width=\"100%\"] > table[width=\"100%\"][align=\"center\"]","#featured-wants,\n#letystd-block,\na[href^=\"/r.php\"]",".gamepage_download_left,\n.gamepage_download_right",".items > .p-item ~ div[class][style],\n.view-related-item[style^=\"height:\"]","a[href=\"javascript:\"]","#download_form > .modal-body,\n#download_form > .uk-margin-top[style],\nbody > div[id][style*=\"position: absolute\"],\ndiv[id][class][style*=\"width\"][style*=\"height\"]",".vbmenu_popup + div[align=\"center\"]:not([id]):not([class])",".media-ads-block","body > #layout > .fixed","#right_banner_wrapper",".sidebarzap .widget_custom_html ~ .widget_custom_html.FixedWidget__fixed_widget","._banner","div[class^=\"page-header__top-banner\"]","#right > .nofloat,\n.tb-container",".ru320140",".ru56070","body > * > div[id][style*=\"height:\"],\nbody > div > table[width=\"92%\"]:not([class=\"top-region\"])","._block-banner,\n.rightCol > div:has(> a > img[src*=\"/images/banners/\"]),\n.seo_green",".ads_single,\n.naked-banner,\n.shesht-ad-side-banner","[class*=\"teaser\"]","#gifts",".noun","a[href*=\"sun-leads.com\"]","[style^=\"background:url(/img\"][style*=\"padding\"],\na[href*=\"/test/\"][target=\"_blank\"]",".art-postcontent div[style] > a[href][target=\"_blank\"] > img,\ndiv[id*=\"script\"],\ndiv[style*=\"margin-top: 9.5px;\"]","#daos_outer",".art-sidebar2 > .widget_text",".container > table[align]","p:has(> a[href*=\"yandex.\"][href*=\"news\"][href*=\"favid\"])",".saitbar_bock:has(.mpwidget)","body > div[style*=\"background-color:#ff0000;color:#ffffff;\"]",".column a[href][target=\"_blank\"]","#bkbanner,\na[href^=\"https://kontur.ru/\"]",".pad > noindex,\ndiv[id^=\"sbs\"]",".buttons","[id^=\"cmdgebh\"]","[class=\"0\"] > .firstnews","a[href^=\"/bn/bn.php?partner=\"]",".iseeyou","[data-dlebclicks]","noindex > table[width=\"100%\"]",".adgoogle","#r_detail_bottom",".su-note",".adblock-notify,\n.exchange-block,\n.partners-header,\n.partners-right,\n.sidebar-widget,\ndiv[class*=\"single-rtb-\"],\niframe[src^=\"/exchange/\"]",".header-rek-block,\n.social-container","p:has(> strong > a[href*=\"//dzen.ru/\"])",".bue-align-c",".ftbn-b-yan,\n.ftbn-b-zen,\n.mbl-adv,\n.mod-floatbann",".discount-side-240,\n.navbar-nav > .important,\n.pr-side-240,\nbody > .soclinks + script + div[class]:not([id])","body > .sticky","#masonry-container > .corner-stamp,\n.aside-col > .moduletable:has(> .inner > .box-ct > .adsbygoogle)","#slyWindow,\n.blockOverlay.blockUI,\na[href=\"/reklama/\"]","a[href^=\"/redirect\"]",".banner-middle",".right_banners",".ad-before","#xtest-videoad",".banner-left-detail-new,\n.news-banners-source","#_prizmaNE,\n.special_banner_in,\n.standart_banner > [src*=\"/advertising/flash\"] + *,\na[href^=\"http://newsroom24.ru/ankvarzpr/\"]",".post-content + div[style^=\"border:\"]:has(> div > [href*=\"yandex\"])",".lipuchka,\n.rsya","div[id][style=\"height: 120px;\"],\ndiv[id][style=\"height: 80px;\"]",".stream-item-above-post,\n.theiaStickySidebar > .widget_text:first-child",".sideitem","[data-ads]",".adf-ins",".lv-right-banner,\n.lv-right__text-advert",".sp-toppromo",".articles,\n.place","div[class*=\"iw-modal\"]","div[id*=\"_ban_\"],\ndiv[id^=\"tab_scroll_\"]",".firefox,\n.trueoffice","#az1,\n#az2,\ndiv[id^=\"az\"]","a[href^=\"/banclick.php\"]",".au-top-ads-container,\n.bottom-auto-ads,\n.rn-global-sidebar,\n.rn-top-banner,\n.starnews-block",".m_lbanner,\np > a[href][target=\"_blank\"]:not([href*=\"nnov.ru\"]) > img[src*=\"/bannery/\"]",".bottom-rkl",".remodal-is-opened",".content_cactus,\n.right_col_bamboo",".clearfix > .media,\n.mg-posts-sec:has(> script)","div[style=\"clear: left\"]","#rek_desktop_fixed",".floating_bnr","img[alt=\"Нацпроекты\"],\nimg[alt=\"Тульские СМИ\"]","div > #yaMarket ~ table[width=\"100%\"]","._1ysoK,\n.comments_block div > article + div[style^=\"margin\"],\ndiv[class]:has(> div[style^=\"display\"] ~ div > div[id*=\"adfox_\"])",".root > .bigb,\na[href^=\"http://r.novgorod.ru\"]",".ad-block",".contdi,\n.contdiv,\nnoindex > .co",".grid-news-none,\n[id^=\"rtb_\"]","[onclick*=\"Click_slider_ad\"]","#advert_result",".mesre.amessage,\n.ntgb_,\n.rightbar,\na[href*=\"adrai.novostroykin.ru/wow/go/\"],\niframe[src*=\"adrai.novostroykin.ru/wow/go/\"]","#bannerholder,\n#lightbox,\n#lightboxOverlay,\n.b-header__banner,\n.promo_link","app-advertising-card a[href*=\"utm_campaign\"][target=\"_blank\"],\napp-article-banner,\napp-topline-advertising","div[class^=\"header-top\"] ~ *",".ban",".big_banner",".bannertop","#newszen,\ndiv[id^=\"flamur\"]","a[href*=\"://o-keys.ru/ya_browser\"]","div[style=\"width:970px;height:250px;margin:12px auto 12px auto;display:block\"]","#headBaner,\n.miko-baner-center,\n.vr_mobile_right_block","noindex > center > table",".js_load",".l2",".mainrams > div[class^=\"cd\"]",".jPanelModule",".ads_banner_right",".bottom_abs_info,\n.data-banner > #brunch,\n.data-banner > #zarniza","div[id*=\"baner\"]",".h2o,\niframe[src*=\"zzap.ru\"]",".main-branding,\n[data-popup=\"bonus\"]","#content > div[style=\"margin-left: 15px; margin-top: 10px;\"] > a > img,\n#sidebar > #boxes,\n#text-33,\n#text-34","div[class^=\"toneBlock\"]",".card-container","aside .widget_text",".jquery-modal.blocker",".adblock_popup_warning,\n.grf_wrapper","img[src*=\"ad.admitad.com\"]",".content-footer__subscription,\n.good,\n.good__header_top","#fthColWrp *,\n#hook_Block_AvatarPromoMenu,\n#hook_Block_FixedPromoBanner,\n#hook_Block_ForthColumnTopBanner,\n#hook_Block_LeftColumnAdCustom,\n#hook_Block_TargetBanner,\n#hook_Block_TopContent,\n#rightColumn[data-module=\"StickyBlockWL\"],\n.dialogWrapperBanner,\n.exit-popup,\n.feed-list > .feed-w:has(> [class^=\"feed\"] > .feed-header [class] ~ [class] ~ [class] ~ [class] ~ [class] ~ [class]),\n.forthTopAdv,\n.html5-vpl_oklive-banner,\n.update-browser_container,\n[data-module*=\"banner\"],\ndiv:has(> #hook_Block_CompactFooter) > div:not(#hook_Block_CompactFooter),\ndiv[class*=\"__banner-feed\"],\ndiv[class*=\"__banner-feed-\"],\ndiv[data-place*=\"BANNER\"],\niframe[src^=\"//oktools.ru/page/static/\"]",".adstitles",".message[data-author=\"Ads Master\"],\nimg[src*=\"/img/rkl/\"]","#screenGlideAdb,\n#topAdb,\n.news-grid > div[id^=\"first\"],\n.news-grid > div[id^=\"rastyagka\"],\n[data-io-article-url] .content-block,\nbody div[class*=\"-branding\"],\ndiv[id^=\"newsUnderNewsFullwidth\"][class=\"grid\"]",".bb-a_b,\n.blopr,\n.rcblo",".left_col_top,\n.left_col_top ~ *,\na[href*=\"omskinform.ru/go/\"][target=\"_blank\"] > img","a > img[height=\"100\"]","img[width=\"468\"]",".mts__block","a[href^=\"http://adv.omskzdes.ru/\"],\nobject[id^=\"banner\"]",".sticky.first","#banner_big","p > table[cellspacing=\"5\"][cellpadding=\"0\"][width=\"100%\"] > tbody > tr > td[width=\"50%\"][style=\"border: 1px solid #000;\"]",".table-scroll",".no-pop",".V3-wrap-big",".video-box ~ .ageBlock","#sub-songs","[href=\"/reyting-bukmekerov/\"],\ndiv[class^=\"dle_b_\"]","#socAds,\n[id^=\"ad\"][class*=\"ads\"],\ndiv[class^=\"wraprer\"]",".bnr__mark",".forum-section .main > div[align=\"center\"],\n.widget:has(> .text-center > script),\ndiv:not(.adv-wrapper):has(> ins)","noindex > iframe","#basic-modal-content","body > font > font > div[style*=\"width:\"]","#container > div[style],\n#left a[href*=\"://opershop.ru\"],\n#left li:has(a[href*=\"//wink.\"]),\n#left li:has(a[href*=\"://opershop.ru\"]),\n#middle > .thumbnails:has(> ins a[href*=\"//wink.\"]),\n#middle > dd:has(> .body > a[href*=\"//wink.\"]),\n#wrapper > #bglink,\n.follows-channel_zen,\n.recommend,\na[href=\"https://oper.ru/follow/wi\"],\ndd > .body > center ~ *,\ndd > .body font > a[target=\"_blank\"]","td[width=\"90\"]",".dcont .b_center,\na[href^=\"http://self-test.org/\"]",".top-news","#downbanners",".td-ad-background-link,\na[href^=\"https://orenburg.metro-cc.ru/\"]",".forumrules > a[href]:not([href*=\"airgun.org.ru\"])","[src^=\"/adv/\"],\ndiv[id*=\"interpag\"]",".yt-header-bg","[src=\"/download32.png\"]",".bnz_horizontal","td[width=\"10\"] + td[width=\"260\"]:last-child","a[href^=\"/redir.php\"][target=\"_blank\"] > img[src*=\"banner\"]","#logo-area","#rightside noindex","#primary .textwidget noindex,\na[href*=\"cookery-on-every-day.ru\"],\na[href*=\"moudom.ho.ua\"],\na[href*=\"privatbank.ua\"],\na[href*=\"swigroup.org\"],\na[href^=\"http://www.ozon.ru/context/\"]",".modulebody > table[style=\"width:200px\"],\nimg[style=\"height:90px; width:728px\"]",".bottom-money,\n.others","#custom_html-14,\na[href*=\"://genshindrop.com/ref/\"],\ndiv[class^=\"code-block\"][style*=\"text-align: center;\"]",".sideblock > .sidecap, .sideblock > .sidecap + .sideinner","a[href=\"http://evpatoriya-leto.crimea.ua\"]","body > .page-wrapper-common ~ div[id][class=\"\"]",".article_openx,\n.uk-article-header-content:nth-child(2),\n.uk-panel-box.linker,\n.uk-panel-box.widget_text,\na[href^=\"http://otvetkak.ru/go.php\"]",".content table[height=\"90\"]",".an-line-between,\n.container-block:has(> [class]:not(.container-block) > ins),\n.container-block:has(> ins:first-child),\n.hostkey,\n.main-wrap > .grid.ui > div[style=\"display: block;\"],\n.mainlist-inline-an > :not(.tag-trend),\n.mainlist-inline-an[class*=\"main-articles\"],\n.material-content > .column > p > ins ~ br,\n.material-inline-an,\n.material-other-feed,\n.right-content-wrap.sticky-container,\n.right-sticky-content:has(> ins),\n.spoiler-block:has(> .spoiler-body > [id^=\"yandex_rtb_\"]),\n.top-menu ~ .main-wrap.container > .grid.ui > .row.container-block,\n[id^=\"pipMtbRoot\"],\nbody > div[class][style*=\"margin-\"],\ndiv:has(> #fixScrollPip),\ndiv[class*=\"__lxG__\"],\ndiv[class*=\"pip-\"],\ndiv[class]:has(> [id^=\"pipMtbRoot\"]),\ndiv[itemprop=\"articleBody\"] > div[id^=\"yandex_rtb\"] ~ br,\nh4.left.aligned.divider.header,\nh4.left.aligned.divider.header ~ .divider,\nimg[src^=\"https://overclockers.ru/st/images/partners/\"]",".needblock,\ndiv[style=\"border: 1px solid #ccc; margin: 5px 0; text-align:center; background-color: #d9e5f1; font-size:20px; font-weight:bold;padding:10px\"]","[src*=\"/banner\"]",".layout-page > div:has(> div > p > a[href*=\"://docs.ozon.ru/common/pravila\"]),\n[data-lcp-name*=\"anner-\"],\n[data-replace-layout-path] > div[style=\"height:300px;\"],\n[data-replace-layout-path]:only-child > div[style^=\"min-width:\"][style*=\"height:\"],\n[data-widget=\"advBanner\"],\n[data-widget=\"advVideoBanner\"],\n[data-widget=\"freshIsland\"]:has(> div > [data-widget=\"objectBannerList\"]),\n[title=\"Реклама\"],\ndiv[data-widget=\"banner\"],\ndiv[data-widget=\"videoProductBlock\"],\nheader + [data-replace-layout-path] > div[class]:not([data-widget]):first-child","body > div[id][style^=\"display: block\"][style*=\"background: red\"]","body > #overlay",".topLink a[href*=\"ruscale.ru\"]",".poster > .poster-content + p",".tgb__heading","#filter-form a[href^=\"/redirect/\"][target=\"_blank\"]",".tg-promo","#google-block","#top > .sepA,\n#top > div[style*=\"height: 200px\"],\n.placeR > .link",".floatcontainer.formcontrols.blockbody > a[href][target=\"_blank\"]","body > div[style*=\"fixed\"]:not([id]):not([class])","#surfbe,\n.rbrocks,\nbody div .banner,\nform > div[style^=\"width: 300px;\"]",".sidebar > #HTML2","div[align=\"center\"][style=\"display: block;\"],\ndiv[style=\"text-align: center; margin: auto;\"] > a[target=\"_blank\"]",".horizontalBanner,\n[class*=\"winner\"]",".zenlink",".article-banner","#divMain > .clear,\n#divMain > div[id][style=\"margin: 0px 10px; height: 60px;\"],\n#ulNewsList > li.b,\n.newsList > li.b,\n[pnz-ads]:not(eto-dlya-mob-ver),\n[style*=\"height: 43px\"][style*=\"max-height: 43px\"] ~ div[class^=\"space_\"],\n[style^=\"width: 140px; height: 280px;\"],\na[href*=\"://b.penzainform.ru/go/\"],\ndiv[id][style*=\"width:\"][style*=\"height: 43px\"],\nli[style^=\"width: 140px; height:\"][style*=\"max-height\"]","#index-right > .col-border.col-1,\n.b-content,\n.b-main__important,\n.b-top-wrapper,\n.mainmenu-ads,\n.news-content__b,\n.sidebar.col-1","#contentBox > #right > #rightContent,\n.altAdA",".inner__share-ya-zen",".alert-blue","#amigo_btn","#header_right_cell",".fix",".a__link,\n.h-menu__item--external,\nnoindex > noindex","[class$=\"banns\"]","div[class^=\"social-list-subscribe\"] > a[href*=\"yandex.\"]","[data-id-promo]","div[style^=\"width: 728px; height: 90px;\"],\ntable[width][height=\"90\"][style]","div[id^=\"mindmachine\"]","a[href^=\"http://supertest.ga/\"]",".b_verh_st,\na[href^=\"/go?https://w.cscore.ru/mira/\"],\ndiv[id^=\"av\"],\ntable[width=\"100%\"][align=\"center\"] > tbody > tr > td.column[valign=\"top\"]","#rightpan > .block:has(> div > a[href*=\"banner\"][target=\"_blank\"])","body > #bb","#home-wide-block","#content div[id^=\"slider_\"],\n.post_wrap:has(> #post_body_b)","#menu-subs > [href]::after,\n.ads-placeholder,\n.comments__adv,\n.header-right-menu > a[href][target=\"_blank\"],\n.player__adfox,\n.sidebar-block_placeholder,\n.stories-feed__container > .story:has(> .story__main > [id]),\n.stories-feed__container > .story:has(> .story__placeholder),\n.stories-feed__container > .story:has([class*=\"sponsor\"]),\n.stories-feed__container > .story[data-author-name] ~ .story:not([data-author-name]),\n.stories-feed__container > .story[data-author-name] ~ .story[data-context-actions*=\",profile_hide,\"],\n.stories-feed__related-stories-adv,\n[data-role=\"adb-warning\"],\n[href*=\"/acceptable-ads\"],\naside > .sidebar-block:empty,\nbody > iframe[src*=\"redirect_uri\"]","#footer-widgets .group.pad",".match-info ~ h3,\n.odds,\nimg[src*=\"/img/mars_\"],\nimg[src*=\"/img/melbet\"]","div[class^=\"hairw-\"]","div[id^=\"banner-right-inside\"]","body > table > tbody > tr > td[valign][width]",".bn-wrapperWrithwhasd","#sidright > .srm,\n#yandex_save,\n.custom_:has(> div[id*=\"ScriptRoot\"]),\n.custom_:has(> div[id^=\"infox_\"]),\n.custom_:has(> div[id^=\"unit_\"]),\n.slideshowck",".dfp-container,\n.mezzanine > .mezzanine-center > div:not([class])",".subscrite-widget:first-child",".match-bet,\n.match-coef",".side_left > center,\n.side_right > center",".gray_border.pie","a[href*=\"://go.pleogame.site/r/\"]","#check_ad_block,\n.partner_news__container,\ndiv[class^=\"pr__news\"][style=\"padding-right: 0 !important;\"]","#light_comment,\n.fpa-block",".banner-advertise-img",".infoblock > div[style=\"height: 900px;\"]","#headban_right,\n#main-ban,\n#sidebar-right noindex","#banners > noindex > a[href]:not([href*=\"pobedish.ru\"])","[href*=\"ohnet.ru\"]",".advertising > span.title,\n.box-side > .box-content > noindex,\n.two-banners,\na[href][onclick*=\"banner_click\"],\na[href^=\"http://opx.podolsk.ru/www/delivery/ck.php\"]",".b-r > b","a[href^=\"https://lucky-boys.ru/\"]","a[href*=\"ove\"][href*=\"ou.ru/\"],\ntable + table[align=\"center\"][summary] > tbody > tr:first-child + tr:last-child > td[align=\"center\"][valign=\"top\"][width=\"333px\"],\ntable + table[align=\"center\"][summary] > tbody > tr:first-child > th:first-child + th + th:last-child,\ntd:has(> a[href*=\"iloveyou.ru/\"])",".PageCap > table .nodivs > a",".rekla_down_block",".shoppy","#news_tomsk > div:empty,\n.adsbox,\n.bannerbox,\n.blockm:has(> #sela),\n.footer > .center","div[id^=\"bannerplace\"]","#fixydiv,\na[href^=\"/go\"][href*=\".php\"]","#BlueA,\n#page-footer > noindex,\n.forumbg.forumbg-table[style*=\"background-color:#00A857\"],\n.table1 > tbody > tr[style^=\"background-color:\"],\na[href^=\"./go.php\"],\ntd[align=\"left\"][valign=\"top\"] > noindex","a.external[rel=\"nofollow\"][href*=\"/go/?site=\"] > img[src$=\".gif\"]",".main_width > div[align=\"center\"]",".ib-col div[style=\"width:600px;\"]","#hide-adblock","[id^=\"illumination\"]","#facebook_videoboom,\n.r_block > div[style=\"height: 600px; overflow: hidden\"]","a[href^=\"http://www.mirorgazma.ru/?partner=\"]","#head-links","a[href*=\"intim-shop.ru\"]","#aside > center ~ *","body > .slide.carousel",".ad_block_widget","#content > div[style^=\"padding\"]",".aimage,\n.bimage,\na[href^=\"http://chinaprices.ru\"],\ncenter[style*=\"margin-top\"],\nimg[width^=\"8\"][height^=\"3\"][src$=\".gif\"]","#ads_dummy,\n#ads_wide,\n#gAds,\n#top__mpic,\n.masonry-brick.ads","#sidebarinner > fieldset","a[href*=\"/offer/\"]","table[width=\"1000\"][height=\"95px\"],\ntd[onclick*=\"cntr.php?ban_id=\"]",".banner_before_mainmenu,\n.vk.soc-banner","#delta_14,\n.bl:empty,\n.sp-header-block,\n.video-bl,\n.video-bl ~ .specproject-widgets,\nbody > div[class]:empty[style=\"height: 100%;\"],\nbody > div[class]:empty[style=\"height: 100%;\"] + div a,\ndiv[class*=\"content-md\"] > div[class$=\"-m\"],\ndiv[class*=\"content-md\"] > div[class*=\"menu\"]","#right","body > [id]:not([class])[style^=\"z-index\"]","body > div[class^=\"mfp-\"]",".a-absolut-div-b","#pptcloud-mail","a[href*=\"/a/click/\"],\ndiv[id^=\"aabb\"]","a[href$=\".php\"][target=\"_blank\"]",".page > .header,\n.special.block,\ndiv[class=\"section\"]:has(> .staticFragment)","[id^=\"warta_ads-\"]",".feed-bnnrs--right,\n.prvd-af-primary-rnnb",".entry-content > div:not([id]):not([class])[style^=\"height\"],\ndiv[class^=\"distr\"]","#back_brd,\n#footer + div[align],\n#m1-link[href],\na[onclick][target=\"_blank\"]",".vk-group","#kontainer-top","div[class^=\"sidebar-advert-block\"]",".ti-block",".bober,\n.news-container > hr ~ hr ~ hr",".b-adv-marker,\n.b-partners-news","#slide-sidebar[role=\"complementary\"]","#sidebar > .block,\n.banners-topic-banner","a[class*=\"http\"] > img[width=\"240\"]",".col-md-3 > center > img[style]","div[class^=\"news-card_newsPreviewRight\"]:empty","body > #TB_overlay, body > #TB_window",".pr-banner-wrap","div[class^=\"b-banner\"]","#content > div[style=\"margin:30px auto;\"],\n#submain > div[class^=\"a\"][style]",".adfox-hidden",".special",".charts-ad,\ndiv[style=\"width:300px\"]","body > div[class*=\"modal\"],\ndiv[id][block-id][style]","a[href^=\"https://cryptocandle.ru\"]","[data-href*=\"adbl\"],\ndiv[id^=\"bottom_block\"]","div[class*=\"vex-modal-block\"]","[class*=\"container-ad\"],\ndiv[class*=\"flex-grow\"]:has(> .sticky > .adv)","#pagenav_menu ~ div[style*=\"height:\"],\n.tborder[width=\"165\"]",".adp-block",".cpablcok,\n.strochka","div[id^=\"partners-content-\"]",".card-special-gallery--topic,\n.relative-products,\n.top-banner-slider","a[href^=\"http://bestgamblingsolutions.com/\"]",".b-custom-banner,\n.branding:not(body),\n.branding__footer","div[id^=\"gruptiz_\"]","table.weather + noindex",".wrap_flat_ads_block","a[href][target=\"_blank\"][title*=\"potter.timepad.ru\"],\na[href][target=\"_blank\"][title=\"trudobr.ru\"],\na[href][title*=\"/1clickgain/\"]",".egg-list",".main-post-content > p[style] > strong,\niframe[src*=\"ADVERT\"]",".smi","#secondary.widget-area",".flexbannergroup > div:not(.gsInformer)","#header > .container > a[href=\"/menu\"] ~ h2","div[class^=\"stream-item\"]",".bantop,\n.lcol.mainside > center","div[style=\"padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; \"][align=\"left\"]",".psyTopBanner",".articles-page__banners_wrapper",".hb-placeholder",".sidebar-rek",".textwidget > a[href][target=\"_blank\"]",".b-advertising,\n.barmen-item,\n.chameleon,\n.right-banners",".topbannans-wrapper","a[href=\"http://bookfestival.mibf.info/\"],\na[href=\"http://ridero.ru\"]","div[class][style^=\"height:\"][id]:empty","div[style^=\"position:fixed; top:0px; left:0px; opacity: 0.9;\"]",".pythonworld-contributor","#rightPanelBanner,\n.advertTop,\n.q_banner,\n.q_teaser,\narticle[data-type=\"advert\"]",".items_block > article.item[style*=\"important\"],\n.items_block.news > .low_new:not(.aside_left),\n.primary > .low_new.item:nth-of-type(2)",".icoStr",".header_top > .left,\n.partners_box > *,\ndiv[class]:has(> .inner > a[href=\"/help/adblock/\"]),\niframe[src*=\"//ads.qrz.ru/\"]",".small-fancy-sheet:has(> .adv_banner),\n.small-fancy-sheet:has(> script),\n.yandex_ad_floating","a[href*=\"bannersdisable_button\"],\na[href=\"https://quote.ru/?utm_source=topline\"] img",".default_menu > div:first-child,\ntable + table tr:last-child > td:last-child > .border",".autor-bl","div[class^=\"News__adv\"]",".topright,\na[href*=\"/affiliate/\"],\na[href*=\"rich-birds.org\"]","div[id^=\"banner-place-\"]",".list-banner",".tiser_sape","#header_partenaire,\n[id^=\"zone_pub\"],\na[href*=\"report.capinfopro.ru/\"][target=\"_blank\"]","[summary=\"content_table\"] > tbody > tr > td[height=\"90\"],\ntable[style=\"margin-top:5px\"] a[href^=\"/adclick/\"],\ntd[width=\"240\"][valign=\"top\"] > div[style=\"height: 250px;\"]","#sidebar > a[href=\"#\"][onclick]","#banner_code,\n[src*=\"//radiokot.ru/adv/\"]",".dummy-yandex-zen-channel-block,\n.lentainform-block",".ad5en5eCheck",".grafity",".news__item_promotion,\nbody > a[href][target]","td.td-2 > a[href] > img",".forums ~ table[cellpadding][cellspacing]",".main > .container > .row .placeholder,\n.sidebar-island.box-shadow",".mblok","[data-news_media-desktop*=\"rnet_widget\"],\narticle div:has(> div > [id^=\"rcmw-container\"]:empty),\ndiv[id^=\"rnet_\"],\ndiv[style^=\"min-height: 140px\"],\ndiv[style^=\"min-height:140px\"]","[data-doctor_media-desktop*=\"rnet_widget\"]",".finance__partners,\n[data-finance_media-desktop*=\"rnet_widget\"],\nbody[data-finance_media-desktop=\"main\"] .commercial-branding > nav ~ div > div > script ~ div > div:last-child",".fzwuC,\ndiv:has(> [id^=\"rcmw-container-\"]),\ndiv[class][style=\"\"]",".notification-warning,\n[class*=\"MaillistItemAdvertPlace\"],\ndiv[class*=\"Ad-direct\"],\ndiv[class*=\"Ad-root\"],\ndiv[class*=\"AddBillboard\"],\ndiv[class*=\"AppContainer-adWrapper\"],\ndiv[class*=\"SentLetter-context\"],\ndiv[class*=\"WithRightBarWrapper\"] > div[class*=\"AutoAppContainer\"] ~ *","div[class^=\"DirectMKB\"],\ndiv[class^=\"LayoutSearch\"] section > article[class*=\" Serp__item\"]:not([class^=\" Serp__item\"])","[data-sport_media-desktop*=\"rnet_widget\"]",".rui-Snackbar-snackbar","[data-travel_media-desktop*=\"rnet_widget\"]",".eagleplayer-advertisement-remain-time","[data-weekend_media-desktop*=\"rnet_widget\"]","[data-woman_media-desktop*=\"rnet_widget\"]","#app > .ad,\n#app > script + div",".b-banners__bottom,\n.main-banner","#wrapper > noindex","body > div[id] > [align=\"center\"] > a[target=\"_blank\"],\ndiv[style^=\"height:100px;\"]",".erm-sidebar-part.hs-shadow[id] > .textwidget,\n.textwidget > a[href^=\"http://www.masmotors.ru\"],\ndiv[class^=\"best-prices\"]",".countdown,\n.deposit-block,\n.fox-fallback,\n.item-in-article:has([href*=\"erid=\"]),\n.js-index-central-column .js-index-doscroll:has([data-pixels-on-show*=\"adfox\"]),\n.js-index-central-column .js-index-doscroll:has([href*=\"erid=\"]),\n.js-video-player-ad-skip,\n.l-col-100h:has(> div [href*=\"banner\"]),\n.l-sticky-right-parent,\n.mts-promo,\n.popup_push,\n.right-promo-block,\n.shopping-card-button,\n.showcase-collection__logo, .showcase-collection__subtitle,\n.simple-promo-card,\n.video-player__controls__ad-countdown,\n[data-vr-zone=\"Топ новости\"] a[href*=\"utm_campaign\"]:not([href^=\"https://pro.rbc.ru/\"]),\n[data-vr-zone=\"Топ новости\"] div:has(> a[href*=\"utm_campaign\"]:not([href^=\"https://pro.rbc.ru/\"])),\n[data-yandex-show=\"cards_marketplace_show\"],\n[data-yandex-show^=\"commercial_cards_\"],\na.video-player__details[target=\"_blank\"],\nbody > [data-yandex-name=\"blockad_click\"],\ndiv[class^=\"item-slider__partner\"]",".g-banner__news-footer > div[class=\"js-rbcslider-multi-news\"]",".rbc-header-hide-banners,\n.rbc-header-project-image,\n.swiper-wrapper > .swiper-slide a[href*=\"utm_campaign\"]",".js-one-office.premium",".header__partner","[data-yandex-name^=\"selfpromo_\"]",".block-banner",".slider-main > .single-item > a[href]:not([href*=\"yanzori\"])","#lh_bar-product",".side_rek,\n.top_header a[href][target=\"_blank\"]",".block-mediametrics,\na[href*=\"metrumgroup.ru\"],\na[href^=\"http://droidone.ru/\"],\na[href^=\"http://slovodelo.org/\"],\na[href^=\"http://technopoint.ru/\"]","#masthead","#wrap-smi2,\n.yandex-dzen,\nbody > div:not([id]):not([class])[style^=\"width: 350px;\"]",".widget_custom_html:has([id^=\"yandex_rtb\"])","#main2 > table,\n#sidebar > .scroll,\na[href^=\"http://referatwork.ru/refwork_agency/\"] > img,\ndiv[align=\"justify\"] > center,\ndiv[style=\"rftk\"]",".banner__image,\nimg[src*=\"Baner\"]",".yandexAd",".right_banner_container,\n.top_container","#linkPlace,\nimg[alt=\"Читать онлайн\"]",".footer__promotion_container,\ndiv[id^=\"GPM_Relax_fm_\"]","#sidebar .yashare-auto-init ~ :not(em)",".b-main__split.hidden-print","aside > a[href][onclick=\"return !window.open(this.href)\"]","[onclick^=\"update_banner\"]","div[style*=\"height:325px;\"]","a[href*=\"/ffg.su\"] > img",".center_banner,\niframe[src*=\"gruntovik.ru\"]","#pagenav_menu + center ~ center,\n#posts > br","div[aria-label=\"Дзен\"],\ndiv[class*=\"Adfox\"],\ndiv[class*=\"PageArticle\"][class*=\"_partner_\"],\ndiv[class*=\"YandexAD\"],\ndiv[class*=\"adBox\"],\ndiv[class*=\"adFox\"],\ndiv[class^=\"EditorialPageArticleAside_item\"][style^=\"height:\"],\ndiv[class^=\"Page_asideItem\"][style^=\"height:\"],\ndiv[id][class*=\"media\"]:empty,\ndiv[id][class*=\"tgb\"]:empty",".antiblock,\n.m-blur ~ #modalLayer,\n.m-ya,\n.the-in-carousel__item:has(> [data-has-banner])","a.gofollow[data-track]",".cookie-agreement-wrapper",".article--external,\ndiv[style=\"width:300px;height:500px\"]",".stat-zen",".view_banner",".m-padding","a > img[width=\"120\"][height$=\"0\"][src^=\"/images/\"]",".barInPost,\n.leftBar,\n.topBar","div[style^=\"background: url\"]","#button-container > .overlay,\n.message.ab,\n.right_panel,\nbody > marquee[style*=\"red\"]","#right_banners img[width=\"230\"]","div[class][style=\"background-color:#fcfcee;padding:10px\"],\ntd[width=\"240\"] > table[class=\"tab-right\"]","#top_content + div[style=\"padding: 0px 3px 0px 10px; margin: 0;\"],\nbody > .noprint[style^=\"height\"]",".entry-con > noindex","#recl","a[href*=\"://robloro.ru/reklama\"]","[data-msetup]",".banner-970x90,\n.factus-promoted","a[href*=\"rosrabota.ru/delivery/\"] > img",".pblock",".plusonet-sl,\na[href^=\"http://rp-mechanics.ru/engine/go.php\"]","#adv240x400",".n-banner",".alibut,\nimg[alt*=\"реклам\"]",".subscribe-wrap",".main-news2 > div[style^=\"position: fixed;\"][style*=\"left:\"],\n.sidebar > a[href][target=\"_blank\"][rel=\"nofollow\"] > img,\ndiv[align=\"center\"] > div[style^=\"background-color:\"][style*=\"height:300px;\"],\ndiv[align=\"center\"][style=\" background-color: #ececec;\"] > div[style*=\"font-size:\"]",".elementor-popup-modal",".teasers_list","p[align=\"center\"] > noindex > a[href][target=\"_blank\"] > img,\ntd[background*=\"banner\"],\ntd[width=\"150\"][height=\"210\"],\ntd[width=\"231\"][height=\"100\"]",".b-content > .right,\n.left_information_block > aside",".customnopadding",".cpa_top",".tizz","div[class*=\"widget_custom_text\"]",".col-left > .pope ~ .pope","noindex > nofallow,\ntd[height=\"90\"][bgcolor]","body > div[id^=\"money\"]","#block-block-22","#detectAdblock,\n.searchField_y",".b-partners-integration,\n.partner-news-wrapper","div:has(> div > [id^=\"adfox_\"])","#subscription_banner_root,\ndiv:has(> div > [id^=\"yandex_rtb\"])","a[href^=\"/target/\"]","#sidebar > :not([class=\"banner240box\"]:first-child),\n.bannerBox",".ban_rek_a","div[class^=\"yved\"]","#service_column > a[target=\"_blank\"]:not([href*=\"почтоваякарта.рф\"])","#block-2",".market-div",".widget_categories:has(> div[align=\"center\"] > img[src*=\"/aliban\"])","#sidebar1-wrap > div[align=\"center\"]","a[href*=\"://ali.ski/\"]","div[class^=\"notification-\"][class*=\"module__\"],\ndiv[class^=\"rai_raichu-wrapper__advertWrapper\"],\nspan[class^=\"rai_raichu-advert-timers\"]","a[href^=\"https://1ra.ru\"],\ndiv[data-type=\"anti-abp\"]","iframe[src*=\"://s-platoon.ru/forfon/\"]",".b100Px60,\n.b240x400,\n.b468x120,\n.b880x90,\n.brb,\niframe[data-src*=\"/icontent/\"]","nobr > div > table","#common_div > .top_bb + .bb_table_bg,\n.common_left > [id^=\"rep_\"] > .bl_main,\n.common_right_banners","#offfy-agent-bottom,\nbody > center > h3 + nobr + table[width=\"100%\"],\nbody > center:nth-of-type(1) > table[bgcolor]:not([width]),\nbody > center:nth-of-type(1) > table[width=\"100%\"],\ntable[border][style^=\"border: solid #8e5373\"][style$=\"margin-bottom: 3px;\"]","#LeftBox","center > a[style][href][target=\"_blank\"]","#docAd",".side > #menu ~ .box",".notices_img_ad","#adblock","#lolotop,\n.lolcount","#content > div > div[class^=\"zone_\"],\n.blabel,\n.clearfix.ipsSideBlock > div[class^=\"zone_\"]:not(:last-child)","#nws > .banner,\n.banner > noindex,\n.container > div > object","img[src=\"/images/pek.png\"]","div[class=\"item\"][id^=\"_\"]","body > #feed",":not([class]):has(> div[class] > iframe[src^=\"/\"][src$=\".html\"]),\niframe[src^=\"/\"][src$=\".html\"]","a[href*=\"www.warnax.ru\"]","#activee,\ndiv[id$=\"-ad\"]",".banner-glav-240x400","a[href^=\"http://scask.ru/forex4you.php\"]","div[class^=\"sreda\"]","a[href^=\"http://yashcher.ru\"] > img","div[class^=\"featured\"]","#bigBanner,\n#old_school > .App > br,\n#old_school > .App > div > [color=\"red\"],\n.con_warper > div[class$=\"_block\"],\n.con_wraper ~ div[class] > div:not([class=\"content\"]),\na[href^=\"/o\"][target=\"_blank\"],\ndiv[style] > a[target=\"_blank\"] > img[src^=\"data:\"],\ndiv[style^=\"text-align:center; color:red;\"][style*=\"font-size:16px\"],\nmain > div[class*=\" \"]:nth-child(-1n+2) > div ~ div","div[id^=\"turp_\"]","#wbounce-modal,\n.widget_cb_widget",".banner-post,\n.yandex-zen","a[href^=\"http://vk.cc/\"][target=\"_blank\"]","[class^=\"bnnr_bx_\"]",".lside-player,\n.pgs-player > div[align=\"center\"],\ndiv[class=\"sidebar lside\"] > :not(div)","a[href^=\"http://16r.su/\"]","body > #subscribe-popup","#bannerTop,\n.topFaceGuest",".top_lnk_img",".gensmall > .block_links","#semestr-news","div[id][style*=\"width:\"][style*=\"height:\"][style*=\"margin:\"]","#leftbn",".b-adds","a[href*=\"receive-money.biz\"]",".rtp-wrapper,\n.vids",".adv_holder","#dd-flash-area,\n.sp-container","#google_box","#main-content > :not(.content):not(#sidebar),\n#sidebar > :not(.theiaStickySidebar),\n#text-html-widget-18 a:not([href=\"https://serveradmin.ru/igra-sistemnyiy-administrator/\"]),\n.entry > div > div[class*=\" \"],\n.theiaStickySidebar > :not(#text-html-widget-13):not(#text-html-widget-18):not(#text-html-widget-25):not(.posts-list):not(.login-widget):not([class*=\"widget_wpforo_widget_recent_\"]),\n[aria-label*=\"плеер\"]:not([style]),\n[aria-label=\"Аудиоплеер\"]:not(.wp-audio-shortcode),\n[aria-label=\"Аудиоплеер\"]:not([role]),\na[href=\"https://serveradmin.ru/fdagfghgsaf\"],\ndiv:has(> a[href*=\"otus\"]),\ndiv:has(> a[href^=\"https://serveradmin.ru/devops\"]),\ndiv:has(> a[href^=\"https://serveradmin.ru/otus\"]),\ndiv[style=\"visibility: visible; display: block;\"]","div[class*=\"-banner\"]","#adv_banner,\n#sidebar .toggled:has(> .mob_quad_banner),\n.mob_quad_banner","a[target=\"_blank\"][rel=\"nofollow\"]:not([href*=\"severpost.ru\"]) > img",".rkl3,\n.rkl4,\n.rkl_united","script[src*=\"iwantyourpromo.com\"] ~ div[align=\"center\"]",".header_right","a[href^=\"http://skb-uran.ru\"]",".js-layout__block--banner",".adsdesctop",".aside > .grid > div > img[alt=\"Shazoo @ Yandex.Zen\"],\n.aside > .grid > div > img[alt=\"Shazoo @ Yandex.Zen\"] ~ div,\na[href^=\"https://shazoo.ru/click/\"],\naside > div:has(> iframe[src*=\"://goodgame.ru/html/embed-player/dist/index.html?partner=\"]),\naside > iframe[src] + p[style],\nbody > style + div[class]:not([id]),\ndiv[class^=\"sm\"]:has(> .vk-privacy-mode-banner),\ndiv[class^=\"sm\"]:has(> div > [id^=\"yandex_rtb_\"])",".bgt_top,\n[id^=\"beget\"]",".t3-sidebar > div[class=\"t3-module module  \"]",".b-baner-sho-me-link","#twocol center:has(> div[style] [src=\"//an.yandex.ru/system/context.js\"]),\n.pc-banner,\n.top-yoox,\ntd[id][valign=\"top\"][width=\"300\"] > table.tborder[width=\"100%\"]","#adsenseNiz","#right-rand-1,\n[id*=\"banana\"],\na[href*=\"/?section=519\"]",".b-block--banner",".dzen_widjet,\n[src*=\"sibnet.ru/iframe-wink\"],\nbody > div[id][class*=\"push\"],\ndiv[class*=\"2023\"][class*=\"root\"],\ndiv[id^=\"right_\"][id*=\"_place_wrapper\"],\ndiv[id^=\"sibAd_\"]","#stakanDomostroy,\n.article__banner-link,\n.branding-wrapper > a,\n.content-right-branding,\n.main-header-center > div,\n.main-header-middle > div,\n.stakan-border:not([style]),\n[class*=\"banner__brand\"]","#ya-block,\n.leftcolumns-programm_of_the_week,\n.recommended_soft_alltab_content > #tabWindows > :nth-child(1),\n.softmain_content__newprogram_tabs + .softmain_content__newprogram_content > .softmain_content__newprogram_content_item:first-child,\ndiv[class^=\"programm_block-ad\"]","#vjs-overlayclip-container-box,\n.video__topline","#head-links > a[href*=\"://rt.sibnet.ru\"],\n.header__topline,\n[class^=\"WinkPromo_\"],\ndiv[class^=\"Info_sidebar_\"] a[class^=\"Informer_root_\"],\ndiv[class^=\"Realty_root\"]",".TeraPromo,\n.block-body.block-row:has(.TeraPromo),\n.block-body.block-row:has(.resourseReklverx),\n.notice--primary","div:has(> div[id^=\"M\"][id*=\"Composite\"])",".fixed-block,\n.ozon_link","div[id^=\"game_banner\"]","a[href*=\"myrusakov.ru\"],\ndiv[id^=\"content_text\"] > center:has(a[href*=\"myrusakov.ru\"])","#header_center","a[href^=\"https://citycard.ru/lucky\"]","a[href*=\"/adhunt\"]","p > script[src*=\"wmrfast.com\"] ~ *","a[href^=\"http://vk.com/club61342137\"]","a[href^=\"http://hb-shop.ru\"]","#banners-after-search-form,\n.search-result__list-item[data-offerid],\ndiv[class*=\"uis-popup\"][class*=\"banner\"]",".svg-adblock",".bottom-adv-color,\n.download-box > div:not([class=\"download\"])",".grid-advert-wrap","td[align=\"center\"] > p[align=\"center\"][valign=\"bottom\"] ~ p[align=\"center\"][valign=\"bottom\"]",".bbr__big,\ndiv[style^=\"min-height: 250px;\"][style*=\"font-size: 0;\"]","#alioffer,\n#servisybuttons,\nimg[alt=\"Али распродажа\"]","div[class*=\"region-amm\"]","[data-id^=\"exAd_\"],\ndiv[class]:has(> div > [data-id^=\"adfox-\"]),\ndiv[class]:has(> div > [data-id^=\"exAd_\"])","#pop-up-window","a[href^=\"http://toyota-dynamica.ru/\"]","#fo_Объявления,\n#fo_Партнеры,\n#fo_Пресса","div[class^=\"parthner\"]",".brand-banner",".videoconteiner ~ h4",".dialog-wrapper,\n.header__wrapper--inner a[href^=\"/tariffs?redirect=\"]","iframe[src*=\"adUrl\"]",".inner > .widget_media_image",".aside-p-c-a,\n.p-c-a,\ndiv[class*=\"popup-eventSubscribe\"],\ndiv[class*=\"promotion-click-area\"]",".panel-reklama","span[style=\"cursor: pointer;\"][onclick]:not([onclick*=\"snow-motion.ru\"])","a[href^=\"/component/banners/click/\"]",".b-body-brand-banner,\n.b-body-sidebar__banners,\n.b-head-banner__link,\n.b-post-view__tgb,\narticle > .b-post-view__section:has(> .b-post-view__projects > div > [id^=\"adv220_\"])",".b-links > a[href^=\"/bookmakers/\"] ~ a,\n.block-centering[style*=\"min-width\"][style*=\"min-height\"],\n.match-menu > .ul-wrapp > .main > .noajax,\n.match-tab-content > #match-header + .block,\na[href*=\"/redirect.php?destination\"],\na[href^=\"http\"][href*=\"utm_campai\"],\ndiv[class*=\"block-new-desine-\"][class*=\"-bookmakers\"]","#odds,\n#widget_bk,\n.footer > :not(.footer_bottom),\n.header_top > :not(.header_top_logo),\ndiv[class^=\"page_\"][class$=\"_right\"] div:has(> div[id]:empty ~ script),\ndiv[style^=\"position:\"][style*=\"height:\"][style*=\"90px\"]",".right-sidebar > .block",".banner_block",".top-b-place > .container > .b-place","#promo_bottom","td > noindex",".header-html-1","a[href=\"/golink/https://soft-file.ru/yandeks-brauzer/\"]","#pxsnazzy,\nimg[width=\"180\"][height=\"400\"]",".advertise","center > table[style=\"width:150px;\"]",".clearfix > center:first-child",".title-inst",".grid-ad-box","#addbar + table > tbody > tr > td[style],\n#menu p[align=\"center\"] > b,\na[href^=\"https://inspin.me\"],\na[href^=\"https://rosecatalog.ru\"]",".free-games,\n.sam-slot,\n[data-href*=\"offer_id=\"]",".left_block_bg_container + td td[width=\"340\"]:first-child,\n[class$=\"_block_bg_container\"] td[align=\"center\"] > p > a[target=\"_blank\"]",".special-block-yabrowser","a[href^=\"http://cmd-online.ru/\"],\na[href^=\"http://ido.mgsu.ru/\"],\na[href^=\"http://www.ars-plus.ru/\"],\na[href^=\"http://www.prestij-stroy.ru/\"],\na[href^=\"http://www.promplast.net/\"],\na[href^=\"http://www.smclinic.ru/\"]","#widget_ads,\n.sidebar_list > .widget_text:not(#text-4):not(#text-89),\n.sidebar_list > [id*=\"custom_html\"]",".postbitlegacy[id^=\"yui-gen\"]","body > #top","#rek_blocker",".right_zone > #banner",".yjround_in > br,\n[data-original^=\"http://news.soundex.ru/images/banners/\"],\n[src^=\"http://news.soundex.ru/images/banners/\"]","div:has(> #kb)","a[href^=\"http://kmabiz.org/\"]","#facebook_popup","a[href^=\"http://advert.mirtesen.ru/\"]",".cardForecast_card_container__b_Ukm > div[class^=\"cardForecast_btn\"],\na[href*=\"/bonuses\"],\ndiv[class^=\"button_advertisement\"],\ndiv[class^=\"card-carousel_winline\"],\ndiv[class^=\"main-menu_affiliateItem\"] *,\ndiv[class^=\"main-menu_bonusLogo\"],\ndiv[class^=\"main-menu_other\"]","noindex > a:not([href*=\"spartak.ru/\"])[target=\"_blank\"][rel=\"nofollow\"]",".huge_banner","#headerBanners,\n.index-banner,\n.ipsList_reset > .ipsWidget:has(> div > [id^=\"yandex_rtb\"]),\n.ipsList_reset > .ipsWidget:has(> div > p > a > img[src*=\"/banners/\"]),\n.ipsWidget > div > p > a > img[src*=\"/banners/\"],\n.message-view-ads",".content-teasers,\n.mediacartel",".wrapper > aside","#banners-klik",".a990_90,\n.bnrobject",".adds,\n.live--article","#banners > a,\n#top4banners","div[id][block]","#side_ads_content,\n.placeholder_billboard,\n.vms_article_parent a[href*=\"utm_\"],\n.z-adblock-message,\ndiv[id*=\"_ad_marker_\"],\ndiv[id^=\"desktop_content_side_banner\"],\ndiv[id^=\"desktop_in_\"]",".adv_240x400,\n.bnr-2horizontal,\n.gallery-gusar,\n.top2-banners","#_ad_container_,\n#betPreviewContainerDesc,\n#show-popup,\n#socgroup,\n.ls-social-block__dzen,\n.se-adv-notice,\n.se-banner,\n.se-bets,\n.se-material-page__blog-buttons,\n.se-material-page__footer-aggregator,\n.se-partner-stuffing-info,\n.se-translation-scoreboard-event-bets,\n.se-translation-scoreboard-extra__bookie,\n.specButtons,\n.wichtig[class*=\"hidden\"],\n[class^=\"se-bookie\"],\ndiv[class*=\"right_col_banner\"],\ndiv[class=\"clearfix mb_10\"],\ndiv[data-portal-id=\"brandedButton\"],\ndiv[data-portal-id^=\"banner\"]","a[href*=\"erid=\"][target=\"_blank\"]",".sport__champcom",".article-bottom-block > .hdr2,\n.column-right > div[style=\"margin-top:20px;\"],\n.column-right > h5.hdr2,\n.no-print ~ * hr","a[href*=\"://go.sport24.ru\"],\ndiv.right-scroll-bar-position,\ndiv[aria-expanded=\"false\"]",".spb_cmp_top_banner","div[class^=\"adriver_\"]","a[href=\"/advertising\"]",".sidebar_video:empty,\na[href=\"/bookmakers/\"],\ndiv[data-logger=\"partnerNews\"]",".post-conversion-block",".good__top","a[href^=\"http://activizm.ru/\"],\na[href^=\"http://www.drafty.ru/\"]",".bet-block,\n.js-header-slider-container,\n.statistics__footer","#top-ad,\n#top-banner-place,\n#ya-antiadblock-notification-container,\n.columns__alt-column .frame,\n.comment-ads,\n.comments-list__ad-item,\n.fonbet-teaser,\n.high-adload-container,\n.in-read-placement,\n.in-read-wrapper,\n.in-read-yadv,\n.js-ad-label,\n.layout__branding,\n.middle-banner-place,\n.nav-list__widget-wrapper .promo-block,\n.navigation-right-column-banner,\n.navigation-top__specials + div:empty, .navigation-top__specials,\n.news-item__content > p > strong > a[rel=\"nofollow\"],\n.one-card[data-img_desktop^=\"https://dumpster.cdn.sports.ru/\"],\n.page-layout:empty,\n.place-for-ad,\n.poll-variant__coeff,\n.poll__ad-label,\n.poll__bookmaker-link,\n.poll__bookmaker-logo,\n.promo-link,\n.recommendations__list > .recommendations__item:has([href*=\"promo\"]),\n.record-widget__bookmaker,\n.right-first-banner-place + div,\n.rightPart > .mB20,\n.short-news > [data-content-name],\n.short-news > br,\n.short-news > p:has(> .advert_material),\n.social-links__zn,\n.teaser-before-links__adv-label,\n.x5-popup-overlay,\n[class*=\"_label \"],\n[class*=\"parimatch\"],\n[class]:has(> .aside-news-list__advert ~ a[href^=\"https://sprts.cc/\"]),\n[data-content-name=\"banner-dfp\"],\n[data-content-piece=\"adfox\"],\n[data-control*=\"Videonow\"],\n[data-control*=\"adblock\"],\n[data-control=\"Stat.KinopoiskButton\"],\n[data-control=\"Stat.OkkoButton\"],\n[data-control^=\"Aliens.\"],\n[data-control^=\"Banners.\"],\n[data-init2-by-float],\n[data-is-ad-poll] .bookmaker-info,\n[data-refresh],\n[data-refresh] + div,\n[data-type=\"reklama\"],\n[id*=\"ScriptRoot\"],\n[id^=\"dfp-fullscreen-\"],\na#sitewrapper[href][target=\"_blank\"][style*=\"cursor\"],\na[href*=\"click\"][target=\"_blank\"][style^=\"display\"],\na[href=\"https://trbna.co/2u3V2dO\"],\na[href^=\"https://sprts.cc/\"],\ndiv[class*=\"SALES\"] > .accordion__handle,\ndiv[class*=\"material-list--additional-block\"] > .material-list__item:has(a[href^=\"https://sprts.cc/\"]),\ndiv[data-control-noinit=\"Common.BetsTabs\"],\ndiv[data-control=\"Common.AutoInit\"],\ndiv[data-control^=\"Common.Bets\"],\nimg[src*=\"s5o.ru/source/_desktop/aliens/\"],\np > a[rel=\"nofollow\"] > img[height][width],\nstyle:first-child ~ [class^=\"gift__\"]",".match-teaser__betting-bar,\n.polling,\n.teaser-bookmaker,\n[class*=\"okko\"]",".poll__footer > .poll-share ~ div,\n[data-noinit]","#KefTable,\n.heading > .heading__logo,\n.schedule__bet-block,\n[class^=\"timetable__bet\"],\na.match-mini__heading-link > .match-mini__logo,\nnoindex > .news__description","div[id*=\"AdContainer\"]","#container > div[style] > script + style ~ ul",".sponsorslist,\n[class^=\"advt\"]",".adfox_placeholder,\n.calculator-branded-button,\n.subscription-popup,\ndiv[class^=\"article_spec-wrapper_\"],\ndiv[class^=\"special-offers-\"]",".navbar_notice a[href][target=\"_blank\"]",".boardlistInner[style=\"background-image: url(/logo/Standart/TemaLine2.png); background-repeat: repeat-y\"]","#win > .podps","#innertop,\n.britem",".video_adsense,\n.video_adsense:has(#vid_over_float)","aside a[id][href][target=\"_blank\"]",".main_background",".creative",".tgb",".SG-fixed-block",".popup-army","body > div[id^=\"ips_\"]","a[href^=\"http://steelsports.ru/bannerbro\"]","#sideRight > noindex,\n.tad","a[href^=\"http://stock-list.ru/free-forts\"]","#cont_right_240","#vst_mvideo","#preroll_mediaplayer,\n.corner_banner,\na[href*=\"clc.to\"],\ndiv[class^=\"_content\"] > div[class^=\"_video-wrapper\"] ~ [class] [class^=\"_list_\"]:has([href^=\"/to?http\"][href*=\"%2Fgo\"]),\ndiv[id*=\"fakeContentShifter\"],\nli:has(> [href=\"https://zen.yandex.ru/stopgame\"]),\nsection > div[class^=\"_content-wrapper_\"]:has(> div > a[href^=\"/watch\"]) ~ div[class^=\"_content\"] a[href^=\"/to?http\"]","#aside.punktir,\n#top > .top_action,\n.special > a[href][target=\"_blank\"]","#last-ad-link-block,\n.n-main-center-rounded-block[style=\"padding:20px 0\"],\n.n-main-center-rounded-block[style=\"padding:20px 0\"] ~ .n-main-center-rounded-block,\n.n-main-left-banner-delta",".b2bCnt,\n.banerCnt,\na[href^=\"/banclick\"]","#content-sub,\n#content-top,\n#elid_out_one,\n#elid_out_two,\n#footer[class],\n[id][class] > [src*=\"ads.adfox.ru\"] + style + div[id],\n[id][class] > style:first-child + div[id],\na[href*=\"_click?id=\"],\ndiv[class*=\"info\"] > div[class$=\"_title\"],\ndiv[class*=\"info\"] > div[class$=\"_title\"] ~ div[class$=\"_outer\"],\npsplus-footer",".header-banners","noindex > div[class^=\"ad_\"]",".article-description > noindex","[data-partner]",".advert-banner-wrap,\n.preview-item:has(> [id^=\"yandex_rtb\"]),\n.sidebar.blue",".alm-btn-wrap",".mediawayss_adv,\n.sendsay_adv","#notifications_menu + .t1border","#right > .sideblock > :not(#vk_groups):not(.fb-page)",".top_right_side",".blockBottom,\n.blockLeft,\n.blockRight","div[class^=\"styles_inread_\"]",".f-test-search-result-item:has(> div > div .f-test-link-Podrobnee),\n.f-test-search-result-item:has(> div li div:empty:first-child + div:empty),\ndiv:has(> div > div > [class*=\"f-test-vacancy-ad-context-\"]),\ndiv[class*=\"f-test-vacancy-ad-context-\"]",".box:has(> div[data-dlebclicks]),\n.page-content > .row",".marketgid","body > div[id^=\"jBox\"]",".modal-baner + .mask, .modal-baner","div[class*=\"sgpb-popup-\"]",".b-blockquote-partner,\n.b-content__section_partners,\n.b-content__section_teasers,\n.b-content__title[href^=\"http://mediametrics.ru\"],\n.b-content__title_ads:not([href*=\"partners.svpressa.ru\"]),\n.b-top-header__partner,\n[id^=\"adfox_\"],\ndiv[class*=\"adfox_banner\"]","body > .special-message-wrapper",".flatBlock,\niframe[src*=\"videonow.html\"]","td > div[style*=\"#FFAAAA;\"],\ntd[align=\"center\"][valign=\"top\"] > form ~ p > font > a[href]",".ahuelguardd","#header2",".forumline > tbody > tr > td[valign=\"middle\"] > a[href] > img,\ntable[align=\"right\"][valign=\"middle\"] > tbody > tr > td[align=\"left\"] ~ td,\ntable[width=\"95%\"][align=\"center\"] > tbody > tr[align=\"right\"] a[href]:not([href*=\"/sysadmins.ru\"])[target=\"_blank\"] > img","#add_header,\na[href^=\"https://adamantfinance.com/\"]",".bancode,\n.open-table > .pr > .dcb,\na[href*=\"//pulse.mail.ru/\"],\na[href^=\"/index.php?go=Banners\"] > img:not([src=\"/images/info/shema.gif\"]),\ndiv[class^=\"partnews\"]",".taba_rss_wr.rel.fl","#mask",".sbs_p","div[class^=\"b-sponsor-logo\"],\ndiv[class^=\"b-sponsor-logo\"] ~ center","#pagenav_menu ~ center",".col_c_stats > a[href^=\"http://talkwebber.ru/go/?\"],\n.post_block ~ table",".bodyline ~ td[style=\"width: 240px;vertical-align: top;\"],\nbody > div[style=\"width: 960px; margin: 0 auto; height: 300px; position: relative;\"]",".advert-tizer","a[href^=\"http://shop.megafon.ru/\"]","#top_banner_container,\ndiv[class*=\"InlineAd\"],\ndiv[class^=\"PartnerMaterial\"],\ndiv[class^=\"ReadTass_wrapper\"]",".adblock_notif",".dog",".gray_block:has(> .block_links)","[alt=\"LoveProd\"]",".megabitus","#text-6","#edd_cart_widget-2 + .widget_text > .widget-title,\n.widget_sslwidget",".article-banner-side,\n.billboard-banner",".preview-section .vertical-video__loader",".myWinGrid,\ndiv[id^=\"_uwndTop\"]",".Agreement",".bottom_rekl,\n.nadav-market",".leftBanner","[data-advadstrackid]",".wrapper-sticky .wpb_content_element","a[rel=\"nofollow\"][href=\"http://obob.tv/\"]",".views-row-banner","div[id^=\"block-banner\"]",".adbPopup,\nimg[src*=\"/images/ads/\"]",".content.main ~ .text-center",".bs-topbanner","#top > .header-top",".sidebar__rek,\na[href*=\"teplocom-m.ru\"]","#modal_form_vk,\n#overlay_vk","a[href*=\".php?ad=\"]","div[id^=\"ad_\"]","#column-left .banner","header ~ section:last-child","div[class^=\"recpost\"]","a[class^=\"base-BuyAdvLink-\"],\ndiv[class*=\"-BannerPlaceholder-\"]",".content > .homepage_widget:has(.adsbygoogle),\n.content ~ #sidebar > .widget:last-child,\n.spacer_400,\ndiv[class]:has(> .js-relap-anchor)",".wogame55,\na[href=\"https://thelastgame.ru/how-to-load/\"],\nimg[alt=\"как качнуть\"]","#bodypopup",".container-rekl-top","#answers div[style*=\"overflow:hidden\"],\n.theq-header__beta__nav__promo,\na[href*=\"t.mail.ru/redir/\"],\ndiv[class*=\"annonser\"]","#mess_box",".leftblinks","#sitilink","[id^=\"bn_\"]","div[class$=\"_branding\"]","img[src^=\"/partners/\"]",".banner__title,\n.header__banner__cont","#bg_popup","#execphp","div[id^=\"kazandrey\"]","[style*=\"tltgorod.ru/Pics/ban/\"]","a[href=\"http://casinobonus2.co\"],\na[href=\"http://www.ks-p.ru/\"],\nnoindex > marquee","#footer > div > noindex",".adwidget,\n.reviewwidget:has(.adwidget),\n.tmbwrekbelow","#tegA3,\n.reklama_top",".mbottom_wrapper",".block-block [class^=\"cp\"],\n.block-block [id^=\"cp\"]",".b-partners",".right_cell > center","#top-adv-container,\n.topBan.w33.white",".middle-block","#top_b,\n.right > br,\nimg[tooltip=\"РЕКЛАМА\"],\nimg[width=\"300\"][src^=\"/uploads/\"]","#b1_place,\ntd[valign=\"bottom\"][height=\"220px\"][align=\"center\"],\ntd[valign] > a > img[vspace=\"10\"]","#block-block-39,\n.klinks","#kompstar_block",".banner.nocp","#wikihead,\n.NoCurTips,\n.airelle,\n.hotel-form__header,\n.left-menu-pcodes,\n.magnifique-header__partners,\n.proxima,\n.sys-sky,\n.tt-tim,\n.youtube-lm-trailer,\ndiv[class^=\"partner-link\"],\ndiv[data-antares=\"true\"]","body > div[id^=\"fancybox\"]","#content_l_box > .column_wrap > div[style*=\"min-height:\"]","div[id^=\"google_full_story\"]",".ad-info,\n.zverinco,\ndiv[class*=\"zebra\"]","[action^=\"/bclick/\"]",".item.promo","#footer-banner-widget,\n[data-bh]",".flash,\n.imgblock > a[style]",".main__left > .block","noindex > nofollow","a[href*=\"amigo.mail.ru\"]","a[href][target=\"_blank\"] > img","[href=\"/kak-skachat.html\"]",".mg","img.Text[src^=\"/images/\"]","#page_flip,\n.inner-wrap > #header,\n.spec_img[src]",".popularMaterialList > div[id^=\"readmore_\"] ~ [class]:not([id^=\"readmore_\"]),\nbody > #black,\ndiv[class^=\"trstr_adv_\"]",".js_banner,\n.modal-open .adv_modal,\n.modal-open > .modal-backdrop",".tp-layout-default__aside-right-content > div:empty,\narticle.type-post:has([href=\"/adblock\"]),\ndiv[class^=\"tp-\"][class$=\"-top-container\"]",".col-md-2 > .thumbnail",".listform[style^=\"margin-left\"]","#main_content_section > table > tbody > tr > td:nth-of-type(2)","a[href*=\"utm_source=partner\"][target=\"_blank\"] > img","#bttBanner,\n#rightAdvBlock,\n.mddlAdvBlock",".tPechenkiInfoblock",".trash_special,\na[href*=\"://trashbox.ru/r.php?\"],\ndiv[class^=\"div_branding_\"]",".wpInsert",".column-sidebar__ads,\n.gallery-sidead__ad","#block-rsamain,\ndiv[id^=\"block-rtb\"]","#sp-left",".mirtesen-feed","#top-line","a[href*=\"abc-home.ru\"],\na[href^=\"http://vneftegaze.ru/\"]","a[href^=\"https://triskirun.ru/golink/\"]","#grid-top","a[href*=\"://mediametrics.ru/\"],\ndiv[class^=\"post-banner\"]","#dle-content > #aceplayer ~ [class*=\" \"],\n.adb_m",".widget_rss",".ad200x150,\n.ad200x300,\n.ad240x400","img.aligncenter[src*=\"kadastr\"]",".header-adv_space,\n.news_alert-text,\n.part_block,\n[data-href*=\"://zen.yandex.ru/\"],\n[data-href*=\"yandex.\"][data-href*=\"news\"][data-href*=\"favid\"],\na[data-href*=\"//dzen.ru/\"]","#wlyeyyz",".adversing_block","#bottomdies,\n.jq_turoperator_adv_items,\n.turoperator_adv_title","#flash_layer,\n.invideo",".intereso","div[id^=\"vid_over_float\"]","#DBdesktopBillboard",".panel:has(> .panel-body > #marketWidget),\n.panel:has(> .panel-body > [id^=\"yandex_rtb_\"]),\n[id^=\"adv_orders_\"]",".side-block:has(> .side-header + .side-article > .side-article-title > [href=\"\"])",".b-adv-block,\n.b-adv__header,\n.b-overlay-soc,\n.b-overlay__video > .b-overlay__aside,\n:not(.yandex_zen_link) + .yandex_zen_link",".cat,\n.recipe-adv_bottom,\n.sidebar-useful-block,\n.yandex-adv_list",".foot_2,\n.otstup,\n.right_con > :not(.city_paper)","#content > table[cellspacing=\"1\"][cellpadding=\"1\"],\ntable[width=\"280\"][height=\"258\"]","#center_column ~ div div > img[src],\n.jspPane > .news_item.hidden-xs,\n:not(#social_menu_buttons) > div > a[href^=\"http\"]:not([href^=\"https://tverigrad.ru/\"]) > img",".azsbx",".xasdfx",".zen-block,\naside .custom-html-widget > a[rel=\"noopener\"] > img",".kc6a,\n.y_dzen",".new-bgs-o",".banner-center",".header__dzen-link,\n.main > .container:has(> div:empty ~ script),\na[href*=\"cli.co\"]","#sidebars > .widget_search + .widget_text,\n#sidebars > .widget_search + .widget_text + .widget_text ~ .widget_text",".textwidget a[href]:not([href^=\"http://tvoyazhizn50.ru/\"])","#content-wraper > p,\n#sidebar > .left_ad_block","#news_lenta > .hidden-xs:not(.news_item),\n#right_column_banner,\n[data-comment*=\"reklama\"],\na[href^=\"https://kdservis.ru/\"]","pjsdiv[id^=\"oframe\"] > pjsdiv[style*=\"opacity: 0.1;\"]:empty,\npjsdiv[id^=\"oframe\"] [style=\"animation-play-state: running;\"]",".ad_block_inner,\n.read-next","#snippetprice,\nbody > table > tbody > tr:first-child > td:first-child + td[valign=\"top\"][align=\"left\"],\nnoindex > center[style]",".ya-news","a[href^=\"http://macnews.in.ua\"]",".advert-uz-block","a[href*=\"amigo.mail\"][target=\"_blank\"],\na[href*=\"ukit-freelance.com\"][target=\"_blank\"] > img","#wmciframe,\na[href^=\"http://www.anketka.ru\"],\nform[action*=\"wmcasher.ru\"]","a[href^=\"http://evsembu.com/in.htm?wm=\"]","#crazy-content > div:not([id]):not([class])[style^=\"background-color:\"],\n.links,\n.loginza","div[class^=\"mfp-\"]",".bannerline",".category2 > .fa-exchange,\n.category2 > .fa-exchange ~ span,\n.content > span > b,\n.right > .rates,\n.right > div[class=\"block\"]",".top-kitten-container","#topBnr_container","a[href=\"http://www.ddmlab.ru\"][rel=\"nofollow\"][target=\"_blank\"],\nimg[src*=\"/banners_for_umpro/\"]","nav","#aspnetForm > center,\na[href^=\"/redirect.asp\"]","#sidebar > div > a[href][target=\"_blank\"]",".main_news_right_block_advert,\n.wikimart,\ndiv[class^=\"beono-banner\"]","#sidebar-left .all_news ~ *",".padspo",".wrapper-sticky","noindex > div > a[href][target=\"_blank\"]","#Stage,\n.toolbarContent > .toolbarLink","#rt-maintop,\ndiv[id^=\"rt-sidebar-\"] > .rt-block ~ .rt-block",".post > .title,\n.post > noindex",".main-content-padding > div[class]:not([itemprop])","body > .popup-overlay",".news-group__content > .news-group__item:has(> .banner),\ndiv[class^=\"partners-block\"]","#sidebar > .main_shadow:empty,\n.direct_stat,\n.news_yandex_background,\n.promo_feed_side,\n.zen_background,\naside[class*=\"cls_placeholder\"],\ndiv[class*=\"cls_placeholder_ad\"],\ndiv[class^=\"cls_placeholder_\"]","#edge_top",".sidebanner",".entry-content > .twp-article-wrapper ~ a[href][target=\"_blank\"]","a[href*=\"hacknet-service.com\"]","#adv-tizer,\n#bns-c > .photos,\n.bn-w100,\n.promo-left,\na[href^=\"http://reklama.v102.ru/\"]",".sidebar > div[style],\na[href][onclick]",".right > .v_left > .moduletable ~ .moduletable","#out_banner",".col-light-grey:has(> .bottom-banner),\n.main-page-banner-container",".c-popup,\n.job42","img[src*=\"/system/banners/\"]",".promo-trust,\n.tgb-content",".custom_subsite_html,\n.sidebar-tree-list-item--custom-html,\n[class^=\"post-branding-\"],\n[data-analytics*=\"native\"],\n[data-gtm*=\"ponsor\"],\na[class^=\"sber-\"],\nvue[name=\"booster\"]",".banner_home,\na[href=\"http://www.vdclab.ru/\"]",".article-recommendation,\n.article__metrics,\n.article__sticky > div[class^=\"adfox\"]:has(.teaser-commerce),\n.card-banner-priorityclub,\n.card-banner-tgb,\n.the-loader,\n[class*=\"banner\"]:has(.teaser-commerce)",".widget_multiplead",".widget:has(> .pm-ads-banner)","div[id^=\"reclamads\"],\ndiv[style=\"display: inline-block;\"] a[href]","#dynamic-to-top,\n#element_to_pop_up,\nbody > .b-modal","div[class$=\"_ads\"]",".racy_sidebar","#fixed-adv-block,\n#sportbox_migration_adv_click_link,\n.adv-list > *,\n.vgtrk-a1:has([id^=\"MediaMetricsInject\"]),\n.vgtrk-a1:has([id^=\"adfox_\"]),\n:not(.vgtrk-a1-list_inner) > .vgtrk-a1,\ndiv[id^=\"DIV_SMI_\"]",".newsPartners",".b-anons--banner,\ndiv[class^=\"g-banner\"]",".sb-banner",".inedx-right-banner","img[src*=\"/b-files/\"]",".adv__horizontal","img[alt=\"Ping-Admin.Ru\"]",".box-primary:has(> .box-body > [id^=\"adfox_\"]),\ndiv[id][style^=\"min-height:100px;\"],\ndiv[id][style^=\"min-height:250px;\"]",".two-ad,\n.w_back_shapes,\n[data-click]",".adfshift,\n.dragon_lord,\n.fatad,\n.forge_empires,\n.thisad,\n.vgt_fullscreen,\na[href^=\"https://vgtim.es/\"]",".widget.d-xs-none",".onp-sl-overlap-background,\n.onp-sl-overlap-locker-box","#VegasHeadAds,\n#sidebar div[id*=\"rotator_\"]","body > #usac",".fbln","#kupitraff","div[class^=\"down-page\"]:has(> .file-active) > .timer,\ndiv[class^=\"down-page\"][style=\"display: block; width: 100%; height: auto; text-align: center;\"]","#sidebar > div:not(.module)","#logoslide,\n[id$=\"-banner\"]","body > div[id][class] > .header > div > div:not([class^=\"header\"]) > *,\nbody > div[id][class] > .header ~ div[class] > ul > li[class]:not(.ttyyuu)",".vHeight300","#main-top,\na[href=\"http://ros-yarn.ru/\"],\na[href^=\"http://silkindian.ru/\"]",".p-news",".bannerbg","div[class^=\"AdBlockAlert_root\"]",".static-banners","div[class^=\"banners\"]","article > div[style^=\"min-height:\"],\naside > .text-center","[data-newsb]","#onair > img[data-src=\"/img/player_cover.svg\"],\n.onair_wrapper > [name=\"btn_air_close\"],\na[href^=\"https://news.yandex.ru/index.html?from=rubric\"]","td[width=\"26%\"] td#articles_w",".adaptive_banners,\n.background_url,\n.readall > p:first-child,\n.readyandex,\n.special_branding",".yan-zen","div[id^=\"ruk_\"]","div[id^=\"svecha_\"]",".sideboxrek","#ads-full,\n#rdp-we-adswiki","a[target=\"_blank\"][href^=\"http://li.ru/go?\"],\ndiv[id^=\"rekl\"],\nimg.b",".isShow.popup",".content-box-r > div[style^=\"width:240px\"],\n.content-box-r > table[width=\"240\"],\n.header-vt-bn","body > div[class]:last-of-type",".vp-bonus","#sadetsbouter",".adb-block","div[style$=\"width:240px; height:400px\"],\ndiv[style^=\"width:100%; height:280px; padding:\"]",".loader,\n.wrap-adplace-frame,\n[data-adplace-inited]","div[data-qa=\"PromoSlider\"]","#aside > noindex","a[href^=\"http://\"]:not(.postlink) > img",".centercol > center",".widget_custom_html ~ .widget_text","div[class*=\"venus\"]","#fullscreen,\n.ads_list",".a-overlay",".ab,\n.bunners-wrapper-line,\n.target-top,\n.tb,\n.top-line-bun",".company-materials","a[href^=\"https://vuzopedia.ru/adv/\"]","[class*=\"ad_banner\"],\na[href*=\"/games/\"]",".partner-in-sidebar,\ntable[width=\"672\"][height=\"300\"]",".fly","body > div > div[style*=\"overflow\"],\niframe[src*=\"clientscript/a_\"],\niframe[style=\"width: 100%; height: 60px;\"],\niframe[style=\"width:100%; height:110px;\"]",".article__block_productSet,\n.bnrBlock,\n.hbTop__wrapper,\ndiv:has(> [data-block-after=\"productSet\"])",".unicorn","a[href^=\"http://nibis.ru/\"]",".sidebar-blocks-block[style=\"height: 1700px;\"]","body > div[class] > p","#scrollable,\ndiv[id^=\"diana_\"]",".bannerheader_header,\n.nav_we > a:not([href^=\"http://webmasters.ru/\"]):not([href^=\"/\"]):not([href^=\".\"]),\na[href^=\"vB.Sponsors/link.php?f=\"]",".reklandvipinfo","#wrap > #page-header ~ div[class=\"forabg\"]:nth-child(-1n+5)",".grey","a[href^=\"http://flagman.kiev.ua/\"]",".yand","#adfoxPromoBanner","#movie-right noindex > center",".novelty-aside__i_ad","#win","#p-sidebar-extlinks",".footer__banner","#shadow_vk,\n#vk_wiget_popup","div[id^=\"newsteaser_\"]",".box:has(> div > .adsbygoogle)","a[href=\"/shorturl\"]","#amgo,\n.bloc_native_games",".full-news-head > .full-news-top ~ *,\n.full-news-stb-content a[href]:not([href^=\"https://wintorrents.ru/engine/download.php?\"]),\na[href*=\".wintorrents.ru\"]","#script_block",".side-bar > div[style=\"margin-bottom: 10px;\"]","a[href^=\"index.php?cf=html-tbanner&bid=\"]","#outside-col,\n[data-name*=\"Banner\"]","#googlerekl,\n.js-relap__item-inner > a[href*=\"https://relap.io/r?\"] ~ *,\nbody > #dark_popup,\nbody > #dialog-fb","table[style*=\"2px dashed;\"]",".sidebar > :not(.card),\n.yasubscribe","a[href*=\"/ad/www/delivery/ck.php\"]","#content > div[style^=\"min-height:90px;\"]","#site5top2,\n#site5top3","a[href^=\"http://www.world-art.ru/ad_\"],\ncenter > table[width=\"1000\"][height=\"250\"]",".left noindex","div[class^=\"ww-cont-\"][class$=\"ban\"]","tr > td[width=\"728\"]","a[href][target=\"_blank\"] > img[alt*=\"тариф\"]","a[href^=\"/play-\"] > img","#popup-1","a[href=\"http://nsb-money.ru\"]","#topbox","div[class=\"side-blok\"]",".ins_art_native,\ndiv[style*=\"min-height: 200px;\"]","div[id^=\"arevicofancy-\"]","#post_ads","a[href*=\"/go.php?id=\"]","a[href^=\"http://x-kuzov.ru/\"][target=\"_blank\"]","body > iframe",".xakep-ads",".mylink","a[href=\"//xbts.ru/\"] + a[target=\"_blank\"]",".mdwr","a[href*=\"megaindex.com\"][target=\"_blank\"]","body > center > a[href] > img[alt]","#full-smile,\n.content5 > .rad5,\n.right-block,\n.speedbar ~ .rad5",".topsbox","p > .ContentTitle[style=\"height: 20px;\"],\np > .ContentTitle[style=\"height: 20px;\"] + .ContentText,\np:has(> .ContentTitle[style=\"height: 20px;\"])",".DirectStripe,\n.i-mini-bem.banner,\n.market-banner_js_inited,\n.market-feed",".FSGalleryLayout > .GalleryGuadeloupe,\n.OffersSearchPage__adCut,\ndiv[class$=\"__ads\"],\ndiv[class*=\"AdContainer\"],\ndiv[class*=\"__bottom-ad\"],\ndiv[class^=\"OfferCard__stickyAd\"],\nli[class*=\"__list-item_type_ad\"],\nli[class*=\"__list-item_type_promo\"]","#topBan,\n.banBox,\n.home-list","#newsflash","div[id^=\"plusplus_mw\"]",".content_right_avvd",".goods-blockh,\n.rekwrap",".rca_des","div:has(> [id^=\"adfox_\"])",".catalogElAd",".content_f > div > center",".layout__left_sticky > div[class$=\"-wrapper\"]:has(> .related-root.typo:empty),\n.related-root.typo:empty",".advert-sticks,\n.custom-block > .ext-embed,\n.org.i-bem.org_js_inited > div[style^=\"border-bottom\"],\n.org__sidebar > .org__links + div[style^=\"margin-top\"],\n.pharmacy-page-view__top-banner,\n.stack > .aab-adv,\n.stack > .promo,\n.turbo-advert,\ndiv[class$=\"ear_js_inited\"] > a[href^=\"//awaps.yandex.ru\"],\ndiv[id][data-log-node] > div:empty ~ i > [class] > .loader__dots,\ndiv[id][data-log-node] > div:empty ~ i > [class] > .loader__text,\ndiv[id^=\"R-I-\"],\nymaps > div[class^=\"search-placemark-layout-connect_advert\"],\nymaps > div[class^=\"search-placemark-layout-connect_special\"]","div.root[id]:empty",".WebBanner",".no-compress > a[href*=\"yap.ru/go/\"]","[class*=\"revenue-block\"]","#table1,\n[href*=\"/goto.php?id=\"][target=\"_blank\"] > img[src^=\"http://yarportal.ru/\"],\ntd.desc","[style$=\"height: 60px;\"]","div[id^=\"bbq_widget_\"]","span[style=\"font-size:14px;\"],\nspan[style=\"font-size:14px;\"] + *",".d-advs,\n.d-banners,\n.n-ad-silver,\n.n-banner--adblocked,\n.n-most-banner-wrapper,\n.static-adv,\nbody > div[style*=\"height:\"][style*=\"180px\"],\ndiv[class^=\"y-ad\"]","#dle-content > div[style=\"margin-top:7px;\"]:has(.newstitle > a[href*=\"/reklama.\"]),\n#jok-banner-affix","#s-diamond-most,\n.s-slider","[onclick]:not([onclick^=\"window.open('https://youhack.ru/posts/\"])","div[data-test-component=\"ProductOrAdCard\"] > span[data-debug-info]","center > font > div[style*=\"#FFCC66;\"]","#yp-fullscreen[data-statclick-action*=\"banner\"],\n.sticky-banner,\n.text-banner,\ndiv[class^=\"yp-tgb-\"]","a[href^=\"http://1000-k.ru/\"]",".g-dyn","div[class][data-aid]",".sticky > .aside__reload","div[class^=\"yarpp\"]","div[class^=\"dle_b_app\"]",".stl_d3 [class^=\"stl_\"], .stl_d3 [class^=\"stl_\"] + br",".zab-news > article.zab-news__item ~ div:not(.zab-news__item)",".partner-iframe,\ndiv[id^=\"taboola\"]","a[href=\"/ali.php\"]",".blogtbg",".randomtable","td[class^=\"alt\"][align=\"left\"] [style=\"float:right\"]",".moduletabletimer-buf,\n.rstboxes",".partners-block > a[href][target=\"_blank\"]","#ecl-notice,\n#text-21","#gkBanner1","#head-banner,\ndiv[id^=\"reklama-box\"]",".contextblock","div[style=\"background: darkorange; padding: 10px;\"]","noindex > table[width=\"100%\"][cellpadding=\"1\"],\nnoindex td[width=\"40%\"] > noindex,\ntd[width=\"99%\"] + td:last-child","#online-bookmakers","div[class*=\"Banners\"]","body > div:not([id]):not([class])","div[id^=\"smartrotator_ad\"]",".health_wrapper > .links,\na[href^=\"http://mo-zdorovie.tomsk.ru\"]",".blockLinks",".footbox > .rcol > noindex","table[style=\"table-layout:fixed; border-collapse:collapse\"]","a[href^=\"http://mine-minerals.com/\"]","#download ~ table[width=\"100%\"][align=\"center\"],\n#mainbg,\n.ushki2,\n[data-role=\"sidebarAd\"],\ndiv[id$=\"_AD2\"],\ndiv[id*=\"ADNEWS\"],\ndiv[id*=\"_adforum\"],\ndiv[id^=\"advb-\"],\ntd.transparent > table > tbody > tr[align=\"left\"]","a.branding",".ipsResponsive_block[style=\"background-color: #ffffff;height:94px;\"],\n[src*=\"trk.mail.ru/\"],\np:has(> [src*=\"trk.mail.ru/\"]) + p[style]",".randshop > a:not([href^=\"https://forum.zoneofgames.ru/\"]),\n.stickBanner,\n.videoBanner,\ndiv[class*=\"dver\"]","#clone[style*=\"250px\"]",".box-banner,\n.contents > .box-padding","td[width=\"250\"] > a[href][target=\"_blank\"] > img[src*=\"gif\"]","body > .jumbotron",".yjsquare.zpravda,\ndiv[class^=\"flexbannergroup\"]","[data-slot-name],\ndiv[class^=\"styled__GalleryBannerRight\"],\ndiv[class^=\"styled__Suspendable\"]:has([data-relap-id])",".in_othersmi,\n.outer-banner","#sidebar > li:first-child,\n.posts > [id^=\"post_\"]:has(> .postdetails > .userinfo > [title*=\"Advertiser\"]),\n.yui-sidebar > [id^=\"widgetlist_column\"] > li:nth-child(-1n+2),\ndiv[style=\"background-color: yellow; border-width: 2px; border-style: dashed; border-color: red;\"]","#ctl00_TopPanel_LangPanel > .top","div[class*=\"grundik\"]","#sidebar1-wrap > .tCenter ~ .sb_back ~ .sb_back + .sb_bottom ~ *,\n[id^=\"noty_bottom\"][id$=\"layout_container\"]","a[style*=\"/imgs/a/\"]",".mfp-hide",".col-right > .side-box > a[href^=\"http:\"][target=\"_blank\"]","#torrents ~ center","center > table","a[href*=\"//goo.su/\"]",".similar.a[style]",".widget:not([class$=\"hidden-xs\"])","a[href] > img[src*=\"img/yandex\"]","#banner_left_arsenal","a[href^=\"http://kredit.social/\"]",".pmovie__player-controls > .tabs-block__select > a[target=\"_blank\"]",".sidebar-wrapper div[style=\"text-align:center;\"] > a[target=\"_blank\"]","div[id^=\"slice-\"]",".bg-websdr:has(> .card-body > div > [id] > div[id^=\"yandex_rtb\"]),\n.row[style=\"display: block;\"]:has(iframe)",".hidden-xs.alert-warning","#share-popup,\n.top_row",".modal-backdrop","iframe[src*=\"/upload/banner\"]","[src*=\"promo_res\"]","#subscribe_book_happy","#after_ask_helpful,\n.ads_desktop","[poster^=\"http://static.apteki.su/img/banners/\"]","div[class^=\"large-mk\"]","div[class*=\"grid-user-data\"]:has(> [class*=\"user-data-grid\"] > :empty)","#ad_global_above_footer,\n#adsense_firstpost,\ntd[align=\"center\"] > div[style^=\"position: absolute;\"][style*=\"width:200%;\"]","div[id][align=\"center\"]",".ad_sponsor_banner,\n.ad_sponsor_banner_forum,\ndiv[class$=\"-bannerContent\"],\ndiv[class=\"\"][style=\"\"] > noindex","div[class^=\"banner_header\"]",".module-full #banner,\n.module-full:has(#banner)","a[href^=\"http://epnclick.ru/\"]","#wpfront-notification-bar-spacer","body > div[id][class][style*=\"background\"][style*=\"visible\"]",".ckf-box","div:has(> div[id^=\"js-hb-\"]),\ndiv[id^=\"js-hb-\"]","table[width=\"100%\"][style=\"z-index:5;\"]","[cellspacing=\"2\"] > tbody > tr > td[bgcolor=\"#ffffff\"][align=\"center\"],\na[href=\"http://presentazii.ru/\"]","a[href][target=\"_blank\"] > img[alt^=\"Видеоблог\"]","body > span","#open_new_site,\na[href*=\"perfectslotspro.com\"]",".promo-wrapper","#dle-content > a[href],\na[href^=\"//qps.ru/\"]",".ads_mark,\n.leftSideAdLink,\n.up_b","[class*=\"commerc_panel\"]",".container-bbbs",".rekl_ad",".article-free,\n.brand-shifter,\n.popular-block,\n.post-list__card:has(> .popular-block),\n[href*=\"apygame.com/click\"]","tbody > tr[style=\"background-color: black\"]",".ad4",".newton-ad","aside[data-alias^=\"Слева \"]","#block-warning",".column.last.mini > p",".right_side","div[class*=\"teasers\"]",".ut-contentroll,\nbody > #a",".rtecenter > a[href][target=\"_blank\"]","#dom_adblock",".bannersList,\na[href=\"/advertisement\"]","[class*=\"sam\"][class*=\"pro\"]",".queen_link",".luckTitle",".insta_rek","div[class^=\"market\"]","td[valign=\"top\"] > center > .link1","#bg_img","img[src*=\"/banner/\"]","a[href*=\"/betinfo/\"],\niframe[src*=\"livetvcdn.net/html/\"],\ntd[height^=\"9\"][bgcolor]","#a_center,\n#modal-overlay,\n#modal-window","a[href^=\"/engine/\"],\ndiv[id^=\"formula\"],\ndiv[id^=\"parimatch\"],\ndiv[id^=\"somon\"]","#banners-top","#branding-html",".comment-area .newsbox-outer-banner,\n.topbanners,\n[class$=\"bsnack\"]","#sliderbar,\n.knopka","#dfp_fullscreen_block,\n.related-video-holde-right > .table,\n.spot1",".widget-content > a > img[width=\"200\"]","#unblocker","article ~ article:has(> [class] > div:only-child > img:first-child),\nbody > #ipbwrapper > script + div > table > tbody > tr > td[width] + td,\nbody > div[id^=\"r\"] > div[id^=\"r\"][href],\nbody[itemscope] [id]:first-child > style ~ a[href][target=\"_blank\"],\nhtml[style] > body[style=\";background-color:#E6E7E9!important\"] .advanced-area .post[itemid] ~ .post:not([itemid]):nth-child(-1n+3),\nhtml[style] > body[style=\";background-color:#E6E7E9!important\"] .article > div[style^=\"background-color:\"]:has(> span + a[id][href][target=\"_blank\"]),\nhtml[style] > body[style=\";background-color:#E6E7E9!important\"] [id][class] > .slider-list:nth-child(-1n+5) + div[class],\nhtml[style] > body[style=\";background-color:#E6E7E9!important\"] [id][class] > .slider-list[style] ~ div[class]:not([id]):has(> :only-child:not(div):not([id]):not([class])),\nhtml[style] > body[style=\";background-color:#E6E7E9!important\"] [id][class] > div:has(> h2 ~ script),\nhtml[style] > body[style=\";background-color:#E6E7E9!important\"] [id][class] > div[id^=\"devdbc_all_\"] ~ div[class]:has(> :only-child:not(div):not([id]):not([class])),\nhtml[style] > body[style=\";background-color:#E6E7E9!important\"] [id][class][style^=\"overflow: hidden; height:\"] > div[class]:first-child,\nhtml[style] > body[style=\";background-color:#E6E7E9!important\"] [id][class][style^=\"overflow: hidden; height:\"] > div[style*=\"display: block;\"],\nhtml[style] > body[style=\";background-color:#E6E7E9!important\"] [itemprop=\"articleBody\"] > div[style^=\"background-color:\"]:has(> span + a[id][href][target=\"_blank\"]),\nhtml[style] > body[style=\";background-color:#E6E7E9!important\"] article ~ article:nth-child(3),\nhtml[style] > body[style=\";background-color:#E6E7E9!important\"] article:not([id]):not([itemid]):first-child + article,\nhtml[style] > body[style=\"background-color: rgb(230, 231, 233) !important;\"] .advanced-area .post[itemid] ~ .post:not([itemid]):nth-child(-1n+3),\nhtml[style] > body[style=\"background-color: rgb(230, 231, 233) !important;\"] [id][class] > .slider-list:nth-child(-1n+5) + div[class],\nhtml[style] > body[style=\"background-color: rgb(230, 231, 233) !important;\"] [id][class] > .slider-list[style] ~ div[class]:not([id]):has(> :only-child:not(div):not([id]):not([class])),\nhtml[style] > body[style=\"background-color: rgb(230, 231, 233) !important;\"] [id][class] > div:has(> h2 ~ script),\nhtml[style] > body[style=\"background-color: rgb(230, 231, 233) !important;\"] [id][class] > div[id^=\"devdbc_all_\"] ~ div[class]:has(> :only-child:not(div):not([id]):not([class])),\nhtml[style] > body[style=\"background-color: rgb(230, 231, 233) !important;\"] [id][class][style^=\"overflow: hidden; height:\"] > div[class]:first-child,\nhtml[style] > body[style=\"background-color: rgb(230, 231, 233) !important;\"] [id][class][style^=\"overflow: hidden; height:\"] > div[style*=\"display: block;\"],\nhtml[style] > body[style=\"background-color: rgb(230, 231, 233) !important;\"] article ~ article:nth-child(3),\nhtml[style] > body[style=\"background-color: rgb(230, 231, 233) !important;\"] article:not([id]):not([itemid]):first-child + article,\niframe[src*=\"utm_campaign\"],\ntbody > tr[valign=\"top\"] > td[width*=\"%\"] + td > a[href][target=\"_blank\"] > img","#ipbwrapper > .blurBox > table > tbody > tr > td + td",".btTbl > tbody > .row1 > .genmed[align=\"center\"] noindex,\n.copyright tbody > tr > :not(.copyright),\n.forumline > tbody > tr > td.spaceRow > center,\n.header .row2 tr:not(:last-child),\na[href*=\"banner_\"],\nbody > .ui-corner-all,\ndiv[id][style^=\"display:\"][style*=\"block\"][style*=\"important\"],\niframe[src*=\"/forum/ads/\"]","#playerBg","div[id][style*=\"position: fixed;\"][style*=\"z-index\"]",".widget_exchange_rates_widget",".popup_module_container","div[class*=\"course-widget\"],\ndiv[class^=\"max-\"]","div[class^=\"mix-news\"]",".t-aside-banners,\n.t-banner","#news_partner > .relap-default__block-title,\n.admix,\n.left_mob > .title",".bg-gray","div[id^=\"widget_wrapper_\"]:has(#vid_vpaut_div),\ndiv[id^=\"widget_wrapper_\"]:has(.widget_video_ads)",".lista > center a[rel=\"nofollow\"][href][target=\"_blank\"],\nbody > div[style^=\"width:\"][style*=\"1265px\"]",".tm-top","#sidebar > :not(.sb-watched)","a[href*=\"su0.ru\"]",".banners-ads,\n.sidebar--right > .block_full:has(.banners-ads)",".banner-inner","[id*=\"wmg-\"]","#radiorek",".menu > li > a[href^=\"https://vk.com/\"],\n.pageBranding,\ndiv[class^=\"rklmd_\"]",".content-middle > .leading-publishers:first-child,\ndiv[class]:has(> .content-b noindex)","#header[style] #header:not([style])",".baner noindex,\n.reclam",".topserial > a[href],\ndiv[style=\"padding-bottom:15px;margin-bottom:15px;border-bottom:1px solid #dfdfdf;\"]",".h-top-pad","object",".social-annoyer",".video_right_block","#rrrFooter,\n#rrrHeader,\n#rrrToper",".ad_subcontent",".articleContent > .recomendation_list + h2.block-title,\n[id*=\"ScriptRoot\"]:not(.news-block-magick)",".b_reklama","div[id^=\"meta_news_block\"]","a[href*=\"://fast-torrent.tv/gomed.php\"]","#rek-right-column","#partner_title","div[class^=\"banner_sape\"]","img[width=\"484\"][height=\"62\"]",".adversting-block-1 > .col-no-padding,\n.document-advertising",".header-bottom-second","div[class^=\"hind\"]","div[class*=\"sidebar\"]","#this-pays-for-bandwidth-container-hor,\n.BetterJsPopOverlay","body > .playerlive",".article__footer_adv,\n.article_idealmedia","blink",".aside-block:has(div[class^=\"adfinity_block_\"]),\ntable[height=\"300\"]:has(div[class^=\"adfinity_block_\"])",".tn-player-tsr",".banner_long,\n.banner_small","[src*=\"/uploads/banners/\"]",".channel__list > .channel__item-container:has(> .channel-container > [id^=\"yandex_rtb\"])","div[class^=\"alarm\"]",".rk1, .rk2, .rk3, .rk4, .rk5","a[href^=\"http://shop.ast.ru\"]",".framework__subscription",".index-module__wrapper--XM_aB",".left_panel_shop","#rightbar > .block:first-child + .block,\nbody > [class]:empty,\nbody > [target=\"_blank\"],\nbody > p",".post_wrap > span[id] > a[href]:not([href*=\"imdb\"]):not([href*=\"tv.com\"])[class=\"postLink\"][target=\"_blank\"]:last-of-type,\na[href^=\"http://ru.avxcore.com\"],\na[href^=\"http://seedbox.org.ua/\"],\nbody > #wrap > div[style]:not([id]):not([class])",".foot-partners",".wrapper > #header > a[href][target=\"_blank\"] > img","div[class^=\"l-banners\"]","body > div[style^=\"padding:\"] > a[href]",".jconfirm","#player-mobile-select > .buttons-container","#prompt-form-container-phone,\n.moanerwrap","div[style*=\"/partner-news\"]","a[href^=\"/go.php?id=\"]",".span4:has(.thumbnail > a[href*=\"/asd/\"]),\na[href*=\"/asd/\"]",".center_col > .layout","main > .hidden",".adfox-wrapper,\n.d-flex [class^=\"partners\"],\n.d-flex:has(> div > [class^=\"partners\"]),\n.promo-slider__wrapper,\na[class*=\" ya_\"],\ndiv[class*=\"InformationBlock_\"]","#rek,\nobject[name=\"videoblock\"]",".main-body > .box-admin ~ .box-admin",".container > .info","#rec_vert_right","a[href*=\"/promo/out/banner/\"]","body[onclick^=\"closeMyAd\"] > div[id][style*=\"position\"][style*=\"background-color\"]",".player > .reklama_b,\n.right_bar > .reklama_b",".maintable td#right",".block_rekno + iframe",".advrigth,\naside > .banner + .title","#bannerXbet,\n.dont-add-our-site-pls","#rk-content,\n.fmessage,\na[href*=\"softboxmarket.com\"]","body > div[style*=\"1240px\"]",".rs-promo",".article__dpen,\n.aside__fly,\n.back-fixed,\n.header__btn-small,\n.js-clickcount,\n.sticky-bottom,\n[onclick*=\"dzen.ru\"]",".ukrnetlinks,\ndiv[id^=\"bannplace\"]",".ubo-overlay > .player-ad-notice",".rkl-box",".hokblokrights,\nbody > .head",".border-top:has(> [id*=\"ScriptRoot\"]),\n.pip-video-wrapper","a[href*=\"/advert/\"]",".hide_640,\n.sidebar > :not([class]),\n.video-block-styled,\na[href*=\"kion.\"],\na[onclick*=\"//ads.adfox.ru/\"],\ndiv > center:has(> [href^=\"https://zen.yandex.ru/\"]),\ndiv[class^=\"block-\"][class*=\"0\"]","#jwplayer-container > #container-player[style*=\"width:100%\"][style*=\"cursor:pointer\"]","wasd-banner,\nwasd-player-overlay-banner","#center > div[style^=\"height: 250px\"]",".elementor-widget-video","#catalog > a[href^=\"/anime/promo\"],\n#sidebar .section[style^=\"padding-top:\"],\nnoindex > .section",".fp-brand,\n.primary > noindex","#ra9e",".b-obozrevatel-top",".right-inner > .right-social ~ .right-social,\n[class^=\"spec-block-\"]",".aside__banner-container,\n.news-partners-add,\n.playlist__banner-wrapper",".news-item:has(.ads)",".jcarousel-wrapper:not([id]),\n.last_articles","#branding_wrap,\n#promoArticle,\n.inner-wrap > .nav-additional,\n.reklama-block,\n.video-dv-wrapper,\napp-adv-placeholder,\napp-adv-skeleton,\napp-adv-video-placeholder,\napp-desktop-top-banner,\napp-video-adv-block,\ndiv[style^=\"min-height: 250px;\"][style*=\" 50px\"]",".article-text > .insert:has(a[rel*=\"sponsored\"])",".ipblockmap > div > .ip ~ .ip + div,\n.menu_banner,\n.module_adsense,\na[href*=\"hidemy.name\"]",".article-partners-news",".sb-block:has([id*=\"ScriptRoot\"])",".fixedBanner,\n.fixedBlock,\na[href^=\"/\"][target=\"_blank\"]",".poster-modal","#prjctrHightlights,\n.tag-brand-link",".advertinline","a[href=\"http://www.akvariumi.com.ua/\"]",".topBorder > noindex a[href^=\"http\"]:not([href*=\"otipb.at.ua\"]) > img","body > p + p > a[href] > img",".content-rules > p:has([href^=\"https://autoshini.com/shop/\"]),\n.sidebar_upper",".da-iframe",".fixedBrand",".main__row > .tns-outer,\n.main__row > .tns-outer + .controls",".article_sidebar > div[class=\"textwidget\"],\nspan[onclick^=\"window.open\"][style*=\"cursor:\"]",".sb-partners",".sidebar > a",".adBl,\n.prmtn,\n[class*=\"promotion\"]","div[style^=\"width:\"][style*=\"240px;\"][style*=\"height:\"]",".franshiz",".main_header > .full_width a[target=\"_blank\"] > img,\n.sidebar_list_item a[href][target=\"_blank\"] > img",".islands--recommended,\n.parner--news,\n.parner--side-news","a[href$=\".htm\"]",".hamburger__overlay.no-close",".wp_image_wrap",".img-responsive[src$=\".gif\"],\na[href] > .img-responsive,\nimg[src*=\"/img/andora\"]",".news > li > noindex,\n[src*=\"gorod.cn.ua/image/upload/\"],\ndiv[class$=\"_pos\"],\ndiv[class^=\"branding_\"],\ndiv[class^=\"pos\"][class*=\"_\"]",".sModuleContent,\n.topAdv","[data-widget_type=\"image.default\"]",".friks-row,\nimg[src*=\"/image/banners/\"]",".widget-ad-image",".under-menu-area",".dle_b_big_header,\ndiv[class^=\"dle_b_righttop_\"] > div[align=\"center\"]",".adsence-wrapper,\ndiv[id^=\"user-to-register\"]",".adcontainer","#sp-right .custom > p > a > img,\nsection[id^=\"sp-subcribe-footer\"]:not(#sp-subcribe-footer)",".live__wallper",".fullwidthabanner",".mod_ijoomlazone,\nheader .size-75",".banner-promotions-wrapper","img[src*=\"/assets/img/ads/\"]",".post__bottom-banner,\n.post__partners-news,\n.reveal-overlay",".newscomp",".news-section_items > li.link > a[target=\"_blank\"] > img",".adace-slideup-slot-wrap",".banner-block > :not(noindex)","#modal-cpa",".eb-inst,\n.mod-custom","body > div[style^=\"position:fixed;\"][style*=\"z-index\"][style*=\"background\"],\nbody > style + div,\ndiv[class] > a[href][rel=\"nofollow\"] > p",".bloc__r","#kinotvukrnet",".sidebar-container > a[rel=\"nofollow\"] > img",".details > a[href=\"http://gamelion.net/\"]","#IUAfinanceBlock",".right-col > .mob1","#internetuacom",".post .g-single,\n.postmeta-primary ~ .hr1[style=\"border-bottom-color:#eee\"]",".area-after-nav,\n.single-widgets > p[style=\"font-size:1.25rem\"]",".widget-type-banners",".header > .sticky-top,\ndiv[id^=\"block-reklama\"]",".socials-popup",".advtext_desk,\na[href^=\"http://ua.hit.gemius.pl/hitredir/id=\"]",".nts-ad",".rpad script[src*=\"orbit.lun.ua\"] + span",".tfblock",".news_divide-banner,\n.unit_header-banner","img[src=\"/filmi.jpg\"]","aside > div[style] > a[href^=\"http\"]:not([href*=\"finbalance.com.ua\"])",".coolbanner,\n.sales-box",".content-inner > noindex","div[id^=\"afc_\"]","#fader,\n#likesplash,\n.mcontent.read > span[class]",".video-row,\na[href*=\"monobank.ua/\"]",".r_sell",".clr[style],\n.infolinks,\ntable[width=\"580\"][height=\"90\"]",".widget_custom_html:has([data-wpel-link=\"external\"]),\n.widget_custom_html:has(a[href*=\"utm_campai\"]),\na[data-wpel-link=\"external\"][target][rel*=\"nofollow\"] > img","#header-rek,\nbody > div[id][style*=\"background\"][style*=\"visible\"]",".leftbar a[href][target=\"_blank\"] > img[src*=\"/image/banner/\"]",".adv_block_txt,\n.brand_left,\n.brand_right",".ads-place",".hygge-layout-sidebar","#left a[rel=\"dofollow\"],\n#stretch > video,\n.ban_h","#reply-title","#right > div[style^=\"height:\"],\nbody > table > tbody > tr > td[style^=\"height:112px;\"],\ntd.left[width=\"200\"][valign=\"top\"][style=\"height: 320px;\"] > br",".banner_modal",".newcatside-left","iframe[src*=\"joblog.com.ua/xmg.\"]","#leftban,\n.absk,\na[href^=\"/informer/main.html#reklama\"]",".branding-bg-link",".banner-target",".content > p[style^=\"font-size: 1.3em\"] > strong > a[href],\n.layout_right_column > p,\ntd.left-column,\ntd.right-column",".question:has(> .adsbygoogle),\n.sidebar > .widget:has(> .adsbygoogle)","#catfishWrap,\n#kurs_pixel,\n.currencycom,\n[aria-live] > tr:has(> .currencycom),\naside .advertising",".post-block","div[class*=\"section-smartslider\"]",".copyright",".side_block:has(> .adsbygoogle)",".entry-aside a[target=\"_blank\"] > img,\ntable[id^=\"post-\"] + div[style]","[href*=\"local.com.ua/banner\"]","#sidebar-right > .widget_custom_html:nth-child(-1n+2),\n#sidebar-right > .widget_custom_html:nth-child(-1n+3) ~ .widget_custom_html","#related","img[src*=\"/static/banners/\"]",".section-rss","#aside-teaser,\n#container-deposit,\n#sticky-wrapper > .js-ad-aside,\n.advertising-caption,\n.all-news > .items > .item:has(> div > [data-bn-slot]),\n.aside-wrap > .js-ad-aside.mfm-aside-block,\n.bannerbar,\n.mfm-aside-block[style],\n[class*=\"mfz-banner\"],\n[class*=\"mfz-teaser\"],\n[data-bn-slot],\ndiv[id^=\"premium-\"]",".baright,\ndiv[style^=\"display: table; width: 650px; height: 90px;\"]","a[href*=\"invest-expert.com.ua\"]","[data-link*=\"goo.gl\"]","#right-sidebar > .widget_text:not(:first-child),\n#site-container > #container > center",".ra-top-banner",".top-bar-ads",".single-bottom-advertising-block","img[src*=\"/banner\"]","#GoodVane",".banner_article,\ndiv[class^=\"open4-sidebar\"]",".ainfo-block[class*=\"b-\"]",".banner--tall",".wp-block-image > figure img[height=\"107\"],\n.wp-block-image > figure img[height=\"160\"],\na[href*=\"://fav.bet/\"]","#banner-top-stretching","div[class*=\"_place__\"]",".td-main-sidebar .widget_text",".site-header__ads,\n.top-ads-links",".ym-video--wrapper","#jm-right .bannergroup","a[href*=\"://prichernomorie.com.ua/i/clka.php?bid=\"]",".ban_subhead,\n.bg-banner,\nheader > a",".cars2",".e3lan-top,\ndiv[style=\"clear:both;float:left;width:100%;margin:0 0 20px 0;\"]","#content > .container > #page-header,\n.background-link,\n.horizontal_baner,\n.journal_top_baner,\n.pane-node-field-right-long-banner,\niframe[src*=\"rz.com.ua/sites/default/files/baneri-\"]","#mainContent > noindex,\n#mainNav > .titleBlue ~ .titleBlue,\n#mainNav > div[style=\"margin-bottom:20px;\"],\n#secondaryContent > .titleBlue,\n#secondaryContent > .titleBlue ~ br,\n#secondaryContent > div[style=\"margin-top:20px;\"] > noindex > :not([title=\"Горячая линия\"]),\n#secondaryContent > div[style=\"margin-top:20px;\"] ~ div[style=\"margin-top:20px;\"],\n[src*=\"images/banners\"]:not([src=\"images/banners/lin.gif\"])","#ads_header_right,\n.widget-group-no-name .sidebarAdvertising,\n.widget-group-no-name:has(.sidebarAdvertising)","body > div[align=\"right\"] > span",".smart-widget,\ndiv[class^=\"smart-\"]","a[href*=\"://flavovir.ua\"] > img",".banner_side","aside > .custom-html-widget","#sidebar-forum,\n.sponsors,\n.sponsors_big",".sp_block script[src*=\"pagead2.\"] ~ a",".c-post__content > div:has(> [id^=\"_vidverto-\"]),\n.tgr-ads,\n[data-text^=\"Новини партнер\"]",".infoA",".hedban",".custom-html-widget > a,\n.custom-html-widget > div","td[style=\"width:170px;vertical-align:top;\"]","a[href^=\"/redirects/banner.php\"]:not([title=\"Телеграм Канал Трибун 2023\"])",".sidebar-special,\n.sidebar-wrap > div:has(> [id*=\"ScriptRoot\"]),\na[href*=\"/cgi-bin/click\"]","#content > .readalser,\n.social-box-item",".theiaStickySidebar .widget_text",".b-page-border > ul[style*=\"width: 600px\"]",".b-top-banner","#rightcolumn",".aliexpress",".virus-widget,\ndiv[class^=\"virus-\"],\nfooter > .footer-main,\nfooter > h4",".block-type-advertising,\n.paragraph--type--banner","#text-57,\n#text-59,\n.widget-area:has(> .widget_text > .textwidget > [id^=\"CNM\"]),\n.widget-area:has(> .widget_text > .textwidget > [id^=\"MarketGid\"]),\n.widget_text:has(> .textwidget > script),\n.widget_text:has(> .textwidget img[src*=\"/banners/\"]),\na[href*=\"://turagent.od.ua\"]",".main-box:has(> .main-box-inside > div[id^=\"MIXADV_\"])",".td-fix-index > a[href][target=\"_blank\"]","#ban > #lin,\n#ban noindex,\na[href*=\"ukrskidka.com.ua\"],\nnoindex #ban",".td-post-content > p:has(> ins)","#block-reklamappidzagolovokdnya","#atlanta,\n.cont_station > .tags ~ .K_t_a ~ .K_t_a,\n.footer_link_bottom_main,\n.inner_right > div[style*=\"display:\"]",".awac-wrapper",".base-post-divider ~ a[href][target=\"_blank\"] > img,\n.our-news ~ a[href][target=\"_blank\"] > img,\n.our-news ~ img[src],\n[src*=\"/frontend/assets/advert/\"]","[src*=\"/uploads/banner\"]","#bg-brander-promo,\na[onclick*=\"Branding\"]","#sp-top-banners,\n.sp-module-content > div[class=\"\"][style=\"\"],\na[href^=\"/component/flexbanners/\"],\ndiv[id^=\"sp-\"] > .sp-column > .sp-module.hiden-xs","#popup-manager.popup-show",".bannerAffix,\n.bannerHeader,\n.blockProjects_stocksInNews,\n.pad_banner,\ndiv[class^=\"link_brand\"]",".custom > p > a,\n.custom > p > img","#max-header-adv-id","iframe[src*=\"holder.com.ua\"]",".sidebar > .nm-banner-widget","a[href^=\"http://bark.in.ua\"]",".booking,\n.secondary-slider",".c-feed__list-item:has(> .c-feed__item > .c-r)",".c-r",".main.p-t.p-big,\n.partner-articles,\n.sb__section:has(> .sb-partners)",".advOnTop,\n.inl-blk",".bot-brand","iframe[name*=\"banner\"]","#swiffycontainer",".bnblock,\n.verytopbanner",".b-access__auth,\n.b-access__overlay,\n.b-place-art__mark","#adb-info,\n[data-place-block]","#rt_obmen,\n.FKY_VIDEO,\n.gis_logo,\n.tit_line,\n[src*=\"/images/banners/\"]","#sticky-wrapper,\ndiv[id^=\"banner-zone\"]","div[class*=\"banner-zone\"]","div[class^=\"Advertising\"]","#sidebar > div > a > img,\n.other-news","span[onclick*=\"banner\"]",".o-adds,\n.u-m-h-250",".banner ~ .separator,\n.header-nav .isport-link,\n.main-right > div[style^=\"width: 300px;\"]","#content-roll-tracker,\n#newsRightColumn .right-column-divider,\n#newsRightColumn div[style*=\"min-height:\"],\n#partners-propositions,\n[id*=\"VideoAdvWrapper\"],\ndiv[class*=\"BrandingPlace\"]",".adver_top","#branding-bg-pickit,\n.hdr_banner,\ndiv[class=\"side-banner\"]","a.banner","#ad-730,\n.informer.double",".banner_news,\ndiv[id^=\"corebanner\"]",".fixed_left_ads,\n.fixed_right_ads",".right_content noindex",".page-single > .col-right",".welcome2",".banner_top_right,\ndiv > .comments ~ .blok_header_title,\ndiv[class^=\"lentainform\"]",".top_blogger_banner","div[class$=\"-prm\"]",".abox",".i-topbanner",".sam-pro-container,\n.single-post:has(.sam-pro-container),\ndiv[class^=\"single-video-reklama-\"]",".catalog-three-products","#header .textwidget,\n#secondary > #text-2",".TopBanner730,\n.Wrap > .anons,\n.clear.logo_container,\n.news_premium_item,\n.partner_links,\n.widget_adv",".widget-news_premium","#Premium,\n.content > .news > div > #news_cont ~ [class]",".swiper-slide:has(> a[href*=\"utm_campai\"])","#fb-modal,\n.baner-widget","#left-sidebar > .widget_text,\nmain > div[style=\"display: inline\"]",".simple-top-block","div[id^=\"candyplace_\"]",".tds-button > a[href=\"https://pravda.if.ua/zamovyty-reklamu/\"],\n.wpb_wrapper > .td_block_single_image,\n.wpb_wrapper > .tdm_block_inline_image,\na[href*=\"oxford-med.com.ua\"]",".sidebar .g-single a[href][target=\"_blank\"],\n.widget-a-wrap","a[href]:not([href^=\"/\"]):not([href^=\"https://versii.if.ua\"]) > img,\naside > a[href]:not([href^=\"/\"]):not([href^=\"https://versii.if.ua\"])",".banner-fullborder,\n.entry-banner",".filter-container,\n.lenta > .clear_block,\n.lenta > .clear_block + hr,\n.lentanewspost > .clear_block + hr,\n.reklam_in_text,\ndiv[class^=\"content-text\"] > .content-text ~ hr,\ndiv[class^=\"content-text\"] > .opinion,\ndiv[class^=\"content-text\"] > div[style=\"min-height: 405px;\"]","a[href^=\"http://poisk450.blogspot.com/\"]",".custom-modal",".module-content > noindex","#block-5,\n#block-6","body > div[style^=\"background:\"][style*=\"display: block\"]","a[href^=\"http://8ua.org/\"]","div[class=\"widget widget_text\"]",".slider-main,\nbody.lock #subscribes","#branding_top,\n.air-top,\n.col3,\n.col5,\n.redtram_news,\na[href][rel*=\"sponsored\"]","a[href^=\"/\"][target=\"_blank\"][rel=\"nofollow\"]","img[src*=\"/uploads/blocks/\"]",".copyright-inner > p ~ p","#brandlink,\n#cols2premium,\n.euroban","a[href^=\"https://inf.im/pinup_bonus\"]",".b-block > table[class]",".block_top_banner,\n.football-link[target=\"_blank\"],\n.premium-desk",".entry-content > p:has(> strong > a[href*=\"utm_campai\"]),\n.post-txt > p:has(.highlight > a[href*=\"utm_\"]),\n.product-info,\n[data-course],\na[href*=\"/?ulp\"],\na[href*=\"://telemart.ua/\"]:has(> span > strong),\na[href*=\"utm_campai\"] > img","div[class*=\"content_ads\"]",".banner_style,\n[class*=\"region-banner\"],\n[class*=\"region-news\"] > .block > * > .img-responsive,\n[class*=\"region-news\"] > .block a[href][target=\"_blank\"]","#block-15,\n#block-16,\nimg[data-lazy-src^=\"https://www.newsroom.kh.ua/wp-content/uploads/tiny_\"]","a[href^=\"//www.slk.kh.ua/banners/\"]","#central > table > tbody > tr > .noprint,\n#left-banners,\n[id^=\"banner_\"],\na[href^=\"/click.html\"]","a[href*=\"://1001gagarin-stat2.com/\"]",".ad-modal,\n.bets-block","a[href*=\"cargo120.com\"]","body > #myModal",".js-relap__item:has([data-ad-link]),\n.torba-lightbox-side-wrap",".ft-bnnr-block",".lazy-load-box[style^=\"font-size: 0.75em;\"]","body > noindex > noindex","#flydiv","td[valign=\"top\"] > noindex > center","#ourBranding,\n.imaband",".main_top_line,\n.promobar,\n.promobrand,\n.turn-off-add-block-text",".tuborg,\nbody > #background",".popularBanner",".elementor-widget-container > a[href][target=\"_blank\"] > img","img[src*=\"/uploads/rain.\"]",".node-article > .row ~ .row.only-desktop,\n.sidebar-box:has(> .row > .block-block),\n.sidebar-box:has(> [class^=\"ne-banner-\"]),\ndiv[class^=\"ne-banner-\"]",".theiaStickySidebar > .widget_block",".promo-inner > .container > a[href=\"https://vechirniy.kyiv.ua/reklama/\"],\n.promo-inner > .container:has(> .media:only-child),\n.promo-inner > .container:has(> a[href*=\"://bit.ly/\"]),\n.promo-inner > .container:has(> a[href*=\"utm_campaign\"]),\n.promo-inner > .container:has(> a[href^=\"https://vechirniy.kyiv.ua/reklama/\"]),\n.ukrnet",".head_img_parent,\n.isfixed,\n.sidebar_kdbn","div[class^=\"adv-banner\"]",".realty-short-preview,\n.search-results-section:has(.new-building-offer-list),\na[href*=\"/redirect-andromeda/\"],\nmain ~ div[class]:has(> div > div > a[href*=\"/redirect-andromeda/\"] ~ a[href*=\"/redirect-andromeda/\"])",".banner-block.banner-label",".wonderpluginslider-container",".toplineban","div[id^=\"admixer_\"] ~ .line",".face-right > .direct-link,\ndiv[class^=\"brand_\"],\nnoindex > script[src^=\"/adv.php?\"] ~ div","#aukro_s,\n#b_meta_popup,\n#meta_market_bottom,\n#rbn,\n#slando_s,\n.ads_240,\n.context,\n.mbnr,\n.riaBanner,\ndiv[id^=\"anabelarto\"],\ndiv[id^=\"meta_banner_\"]","div[class^=\"bookmaker\"]",".main__banner-bottom,\n.sidebar__ads,\ndiv[class^=\"city__banner\"]",".pRight","#flash_market_468","div[class^=\"banner-\"]",".informer[id^=\"mp_banner_\"],\n.reclama","#bx-composite-banner","div[id][style=\"padding-bottom: 35px;\"]","a[href*=\"://sgo.one/\"]",".td-for-blocks div[style=\"margin-bottom: 5px;\"] > noindex,\n.td-for-other > div:first-child[style] ~ .s-block:not([style]):not(:last-child),\n[style^=\"height: 200px; left\"][style*=\"position: absolute\"],\ndiv[id^=\"mbrightbanner\"],\ntd[height=\"180\"] ~ td[height=\"180\"]","div.b-widgets",".mt_adv_block","[data-top-iid]","a[href=\"/adv.php\"]","#kinoafishaslider","#toplayer-bg,\n.nopad > center > a[href][target=\"_blank\"],\na[href][target=\"_blank\"] > div,\ndiv[id$=\"toplayer\"]","#widget_wrapper_46,\n#widget_wrapper_48,\n.append_html","#citata,\na[href*=\"billing.hostpro.ua\"]",".aside__advertising,\n.main > section:not([class]) ~ br,\n.main__business:has(> script),\naside > .dialog > a[href]:not([href^=\"/\"]):not([href^=\"https://pik.net.ua/\"])",".code-block-34","img[src*=\"banner_\"]","#right.widget-area","center > ins ~ *","#A12,\n#A2,\n#B2,\n#B3,\n#B4",".main__slider,\n.popup-banner",".article__content__footer > div[class^=\"r\"],\n.background-branding,\n[data-vr-zone=\"Баннер\"],\ndiv[id^=\"async_\"][id*=\"_spec\"],\nimg[src=\"/images/dis_blocker_big.jpg\"]",".btn-product-embed","[class*=\"Banner\"]",".global_overheader",".ab-block",".b-layout__right::before",".sidebar-content > .widget_custom_html,\na[rel=\"noopener nofollow sponsored\"]",".img-responsive,\nbody > div[class^=\"code-block\"][style^=\"margin: 8px auto; text-align: center; display: block;\"],\ndiv[class*=\"ai-viewport-\"]","#half_right","#banners-header-bottom,\nimg[src*=\"/images/bnr/\"],\nnoindex > .block-banners","#first-top-banner,\n#head-top > div > a[target=\"_blank\"],\naside > .widget_media_image",".square-banner-wrapper",".read__right,\ndiv:has(> div[id][data-url]),\ndiv[id][data-url]","#ban_news_r,\n.goods-header-promo,\n.menu-shop,\n[class*=\"reklama\"]","img[class$=\"_link\"]","div[class^=\"dle_b_bet\"]","div[style][onclick*=\"/rizni/\"]",".gd,\n.inad",".td-ss-main-content > div[style=\"margin-top: 40px;\"] ~ *","a[href^=\"http://creditka.kiev.ua\"]","img[alt=\"Hosting Ukraine\"]","[data-src*=\"bashmac\"]",".divider,\n.sidebar-right","#ad_pu_modal,\n#telegram_modal,\n:not(html) > iframe[style*=\"important\"]:not([src^=\"https://disqus.com/embed/comments/\"]),\ndiv[id^=\"ads\"]","#rightCommercial",".adsgoogle","a[href*=\"://opillia.com/\"]","img[src*=\"/partner/images/\"]",".penci-sidebar-widgets.widget-area-2,\ndiv[class^=\"c40-reveal-modal\"]",".artbanner,\n.kom,\n.wrapbanner",".divBanners",".slider_big",".header_rec","#top-categories-autoscroll > #main-autoscroll","a[href*=\"/php/rotator/goto.php?id=\"]","[class^=\"headerBanner\"] > .top","div[id^=\"baner\"]","div[class^=\"advertising\"]",".vidverto-wrapper",".adw-link","article > .box[style=\"width:fit-content\"]",".aside-column > a > img[src*=\"/home/banners/\"]","[id^=\"rst-page-banner-300x250\"]",".sidebar-widgets > .widget_text,\n.spu-bg,\n.spu-box","a[title=\"Реклама\"]","a.info[href][target=\"_blank\"]","#page-header > .panel,\n.headerbar > .inner > div[style=\"float:right\"]","[class*=\"billboard\"]","#head--area,\n.ablock,\ndiv[class^=\"sed\"] > .half.left > .sdbrick:nth-child(-1n+9),\ndiv[class^=\"sed\"] > .half.right > .sdbrick,\ndiv[class^=\"sed\"] > a[rel=\"nofollow\"]",".mfp-bg,\n.subscribe-popup","#adsLeftZone,\n#rightCol,\n.informerTop,\n.rightAdvBox,\ndiv[style^=\"margin\"][style$=\"width: 300px;\"]","[class^=\"branding-link-\"]","#videos-ads,\ndiv[id^=\"premium-banner\"],\ndiv[id^=\"topbanner\"]","#b_sport_240,\n#bann-240,\n#news_text > div[class]:has(table[cellpadding] a[target=\"_blank\"]),\n#news_text > p:has(> a[href*=\"://analyticsq1.com/\"]),\n.coefficient,\n.news-event__text > div[class]:has(table[cellpadding] a[target=\"_blank\"]),\n.right-top__banner,\n.sportua-bet-block,\na[href*=\"clickstats.fun\"],\ndiv[id^=\"b_sport_\"],\ndiv[id^=\"zone_\"],\nimg[src=\"https://pic.sport.ua/images/media/orig/f2/16364.gif\"]",".partners-block",".sadse,\n.widgetBestBookmakers,\n[class^=\"best_game\"],\n[src*=\"/img/sadse/\"]","div[class^=\"adv-wrapper\"]",".video-banner",".bottom > .bnr",".bnr-wrapper","aside > .w-nt.primary-sidebar-widget","#advertisement",".Notices.PanelScroller",".category-card__card-row > .col:has(> div > .tabletki-adunit),\n.com__panel-header",".csa-head","#popup-root","#Flash","#header > .rounded",".partners-news",".banner-wide","a[href*=\"brendi\"][target=\"_blank\"],\na[href][target=\"_blank\"][style*=\"/media/uploads/\"]",".c-aside__port,\n.c-section > .l-row > .l-col:has(> [data-ad-container]),\niframe[src*=\"/partner-news?\"],\nmain > aside.u-divider--t:has(> iframe[src*=\"/partner-news?\"])",".partners-block-wrapper",".article__adml,\n.aside-gab,\n.gab-ins,\ndiv[class^=\"ab_premium_\"]",".empty_block,\n.home_ad_first_screen,\ndiv[class^=\"adubr\"]",".best_game_sec,\na[href=\"https://ukrfootball.ua/bookmaker/\"],\na[href=\"https://ukrfootball.ua/casino/\"],\na[href^=\"https://ukrfootball.ua/go/\"]",".socialBlockSlide","#ads-sidebar",".vbet-mid,\nimg[src*=\"/images/puma_\"],\nimg[src*=\"/images/vbet_\"]",".fancybox-lock .fancybox-overlay",".val-external__top-banner,\n.val-sidebar",".banners_home","#right_part > .new_section:empty,\n#right_part > noindex",".authorSingleBlock,\n.mainBlockAds,\n.vestiAds,\n.vestiTiserAds,\nheader > a[href] > img",".right_banner_hold","section[id^=\"ctup_ads-\"]",".article-partners",".holiday-banner-bl,\n.trn-info-block",".col__big .unit-rubric__head[style^=\"margin-top:\"],\n.footer-partners,\n.partner-news-content,\n.sponsors-holder","#modal_window,\n#overlay_fb_modal","#above-header,\n.ai-placement,\n.block-custom-banners,\n.new-banners,\n.znaj-banners_ajax,\na[href^=\"http://prive.kiev.ua\"],\ndiv[class*=\"advertising\"]",".sidebar > .widget_rvuoi:nth-child(-1n+4)",".posts-list-banner",".min a[target=\"_blank\"][rel=\"nofollow\"] > img","#relationfield > div:has([href*=\"://aliclick.shop/\"]),\n.panel-default:has(> .widget_rekl),\n.widget_rekl","#text-10,\na[href^=\"http://robotsforex.ru/sale/\"],\na[href^=\"https://my.alfa-forex.ru/ru/registration/\"]",".bVerticalRectangle,\n.middleboard,\n.rightContainer > .floating_banner,\niframe[src*=\"/www/delivery/\"]","[class^=\"reklama-ads-\"]","#oframeplayer > [class][style^=\"display: block\"],\n.block-info-vertical","div[class*=\"adv-\"]","#offerPopup",".post__banner,\nvideo[src*=\"/storage/uploads/\"][src$=\".mp4\"]",".header-reklama",".LeaderBoard,\n.contentBoxR.floating_banner","#middle_section > div[style^=\"float:\"],\n#right_section > div[style^=\"height: 400px\"],\n#top_two_article",".sidebar > .adv ~ *","[onclick*=\"ClickOnAd\"],\n[onclick*=\"ClickOnBanner\"]","#ovva-player .o-pp,\ndiv[class^=\"playlist-player-branding-\"]",".under-player","#sidebar > li:has([id^=\"yandex_rtb_\"]),\n[vid_vpaut_pl]",":not(my-obnaruzhili-blokirovshchik)","#bnadplayer,\n.fullpanefn","body > div > .a-overlay",".body-sub-form",".detected-block-modal,\n.js-detected-block","a[href$=\".php\"] > img,\na[href*=\".htm\"] > img,\nbody > div[style*=\"right\"] > a[target=\"_blank\"],\ndiv[class^=\"ant\"][class*=\"block\"],\ntable[style*=\"width: 468px;\"][style*=\"border-collapse: collapse;\"][style*=\"height: 60px;\"]","#top-page-ads,\n.ablock_side,\n.header2,\n.main_top_ads",".darkrek","a[href][target=\"_blank\"][style^=\"display:\"],\ntd[width=\"200\"][valign=\"top\"] > a[href]","body > div > .container > a[href][target=\"_blank\"]","#register_popup",".makeBet,\n.zoneBanner","body > div:not([id]):not([class]) + div:not([id]):not([class]) + div:not([id]):not([class]) + div:not([id]):not([class]) ~ div[id]:not([class])","a[rel=\"nofollow\"][target=\"_blank\"][href^=\"http://lu4ok.ws/go/?\"]",".plaintext > noindex,\nnoindex > .lastnews","iframe[src*=\"gnezdo.ru\"]","#page > noindex a[href][target=\"_blank\"]:not([href^=\"http://praetorians.ws/forum/\"])","#rek-top,\n.soft-day:not(:first-child) > .box,\ncenter > .box-shadow + table:last-child",".topad_banner","#dle-content > table[width=\"100%\"][height],\n#torrent_77_info,\n.separator,\ntd.topBorder > table[width=\"100%\"][height]","#begin #userlinks","#localNotice #aside_buttons,\n#localNotice .infobox,\n#n-Группа-в-Дискорде,\n#n-Канал-в-Телеграме,\n.sitenotice > .floatleft + p + p","div[style^=\"background:\"][style*=\"/ple.jpg)\"]","a[href^=\"http://iq-option.org/\"]","iframe[src*=\"/banner/\"]","div[id^=\"post\"] > .tech-info + :empty","img[src][width=\"241\"][height=\"383\"],\nimg[src][width=\"300\"][height=\"216\"]",".b-flex,\n.l-a-fly",".adv-links","div[class^=\"adace\"]",".adt",".main > a[href*=\"bit.ly\"] > img,\np.main:has([href*=\"bit.ly\"])","#gkadblock",".banner__holder"];

const hostnamesMap = new Map([["*",[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98]],["37.1.217.105",99],["37.1.216.106",99],["37.1.217.113",99],["37.1.206.118",99],["5.45.66.118",99],["37.1.216.119",99],["37.1.206.121",99],["37.1.207.130",99],["37.1.202.140",99],["5.45.65.153",99],["37.1.203.156",99],["37.1.205.159",99],["5.45.70.162",99],["37.1.204.182",99],["37.1.206.231",99],["37.1.201.32",99],["5.45.86.39",99],["37.1.205.47",99],["37.1.207.65",99],["37.1.204.76",99],["5.45.87.85",99],["37.1.206.95",99],["rutor-search.info",99],["hawk.live",99],["extrutor.org",99],["herutor.org",99],["listrutor.org",99],["new-rutor.org",99],["pipitor.org",99],["pronpic.org",[99,2184]],["xrutor.org",99],["123torrent.ru",99],["r-tor.ru",99],["berutor.site",99],["blackrutor.site",99],["extrutor.site",99],["fastrutor.site",99],["prutor.site",99],["rutor1.site",99],["rutor-live.tk",99],["tracker-rutor.tk",99],["78.142.19.8",[100,101,102]],["aliez.me",[100,101]],["context.reverso.net",[101,1908]],["smartphone.ua",[101,5170]],["city01.am",[102,112,113]],["danilin.biz",[102,147]],["015.by",[102,112,113,199]],["belretail.by",[102,218]],["go212.by",[102,112,113]],["go216.by",[102,112,113]],["interfax.by",102],["intex-press.by",102],["sport-tv.by",[102,209,303,304]],["tele.click",102],["tr.anidub.com",[102,482]],["championat.com",[102,546,547]],["comores24.com",[102,112,113]],["defence-ua.com",102],["egamersworld.com",[102,208,586,587]],["fraza.com",[102,595]],["gordonua.com",102],["hen-tay.com",[102,693,694]],["hostingkartinok.com",[102,697]],["iasakh.com",102],["info-ua.com",[102,715]],["lentasporta.com",102],["livejournal.com",[102,195,322,782,783,784,785]],["mipped.com",[102,829]],["moldfootball.com",[102,110,835]],["playboyrussia.com",[102,220,919]],["ringside24.com",[102,984]],["rybalka.com",[102,244,1006]],["sakh.com",[102,1007,1008,1009,1010,1011]],["uaportal.com",[102,880]],["usionline.com",[102,1119]],["avoka.do",102],["baltnews.ee",[102,143]],["belsat.eu",[102,686]],["hightech.fm",102],["sib.fm",[102,1248]],["vesty.co.il",102],["yourlink.in",102],["godublin.info",[102,112,113]],["golondon.info",[102,112,113]],["goriga.info",[102,112,113]],["gre4ka.info",[102,222,1353]],["officepackage.info",[102,1393]],["rzn.info",[102,1413]],["sakhalin.info",[102,361,1414]],["skypefree.info",102],["ukrreal.info",102],["vilniuje.info",[102,112,113]],["1plus1.international",[102,1461]],["namba.kg",[102,155,1049,1480]],["zanoza.kg",[102,1485]],["7232.kz",[102,112,113]],["go11.kz",[102,112,113]],["goshymkent.kz",[102,112,113]],["inaktau.kz",[102,112,113]],["inalmaty.kz",[102,112,113]],["inastana.kz",[102,112,113]],["inatyrau.kz",[102,112,113]],["kolesa.kz",[102,146,1507]],["ligasy.kz",102],["namba.kz",[102,1049,1514]],["yk.kz",[102,1540]],["anapa.life",[102,112,113]],["ecology.md",[102,1582]],["65.media",[102,112,113]],["kursiv.media",[102,1652]],["igry-man.net",[102,1781]],["kulichki.net",[102,674,1528,1807]],["mods-fs.net",[102,347,1102,1839]],["moviestape.net",102],["odpublic.net",102],["online-mult.net",102],["peugeot-citroen.net",[102,378]],["politobzor.net",[102,1089,1889,1890,1891]],["reverso.net",[102,1907]],["tochka.net",[102,281,1949]],["vsluh.net",[102,1890]],["karelia.news",[102,112]],["bzserial.online",102],["anadyr.org",[102,2070]],["chistosex.org",[102,2100]],["gooool365.org",[102,2121]],["sopsport.org",[102,110]],["stopcor.org",[102,880]],["news.pn",[102,193,2240]],["168.ru",[102,459,2290]],["1prime.ru",102],["1rnd.ru",[102,112,113]],["1sn.ru",102],["2mm.ru",[102,2181,2318]],["2pricolisty.ru",[102,2320]],["3652.ru",[102,112,113]],["3654.ru",[102,112,113]],["8422city.ru",[102,112,113]],["allcio.ru",[102,462,2407]],["altgazeta.ru",[102,2423]],["angarsk38.ru",[102,112,113]],["apihost.ru",[102,2458]],["baikal-daily.ru",102],["bazhopol.ru",[102,112,113]],["be-in.ru",102],["bgoperator.ru",102],["blizko.ru",[102,2589]],["carsweek.ru",[102,202,2650]],["chehov-vid.ru",[102,143,453,1337]],["chipfind.ru",[102,2679]],["cinetv.ru",102],["city41.ru",[102,112,113]],["cnews.ru",[102,2701,2702]],["copyright.ru",102],["dailycomm.ru",102],["delovoibiysk.ru",102],["dentalmagazine.ru",[102,304,2767]],["domashniy.ru",102],["echo-oren.ru",102],["examen.ru",102],["exler.ru",[102,2882]],["f1cd.ru",[102,304]],["f1news.ru",[102,322,2181,2889]],["factroom.ru",[102,2890]],["fantv.ru",102],["fc-zenit.ru",[102,244,2899]],["fedpress.ru",[102,2904]],["finobzor.ru",[102,1889,1890,1891]],["fn-volga.ru",[102,1305]],["foodinnovation.ru",102],["gamestar.ru",[102,2997]],["gazeta.ru",[102,3004,3005]],["go01.ru",[102,112,113]],["go26.ru",[102,112,113]],["go31.ru",[102,112,113]],["go32.ru",[102,3034]],["go61.ru",[102,112,113]],["go7812.ru",[102,112,113]],["gorod3466.ru",[102,112,113]],["gorod55.ru",[102,155,3047]],["gorodarmavir.ru",[102,112,113]],["goroddomodedovo.ru",[102,112,113]],["hen-tai.ru",[102,3088]],["i2hard.ru",[102,3118]],["iguides.ru",[102,3133]],["inc-news.ru",102],["infolyubertsy.ru",[102,112,113]],["inform69.ru",[102,112,113]],["inosmi.ru",102],["interior.ru",102],["intermedia.ru",[102,202,3170]],["it-weekly.ru",[102,462,2407]],["it-world.ru",[102,462,2407]],["www.ivi.ru",[102,3198]],["joxi.ru",102],["kinoplex.ru",[102,3258]],["klassnye-chasy.ru",[102,3269]],["kod.ru",[102,3279]],["korabel.ru",[102,2943,3291]],["kurgan.ru",[102,2004,3312]],["lenta.ru",[102,2885,3327]],["live4fun.ru",[102,3354]],["lookatme.ru",[102,1718,3366]],["loveradio.ru",[102,201,3371]],["marker.ru",102],["maximum.ru",[102,2774]],["mos-holidays.ru",[102,3538]],["mosfilmgold.ru",102],["news.nashbryansk.ru",102],["newslab.ru",102],["oneprog.ru",[102,3711]],["ontvtime.ru",[102,1073]],["oper.ru",[102,215,1364,3726]],["penzadoctor.ru",[102,3770]],["post-tracker.ru",[102,110,222,991,3836]],["pravo.ru",102],["prm.ru",[102,142,3863]],["render911.ru",102],["ria.ru",[102,2404,3980]],["roem.ru",[102,3262,3998]],["rusroman.ru",102],["russia.ru",[102,142]],["samara24.ru",[102,142,4038]],["sarnovosti.ru",102],["savepic.ru",[102,4051]],["seodiz.ru",102],["slon.ru",[102,4118]],["softkey.ru",102],["sonikelf.ru",[102,4159]],["echomsk.spb.ru",[102,4170]],["spbdnevnik.ru",[102,4176]],["stereo.ru",102],["stranaru.ru",[102,4222]],["superomsk.ru",102],["supersadovnik.ru",[102,4238]],["tass.ru",[102,4260]],["text.ru",102],["theblueprint.ru",102],["forum.tiguans.ru",102],["topwar.ru",[102,143,1889,1891,2403,2508,4325]],["tulapressa.ru",[102,215,4363]],["tumix.ru",102],["turizm.ru",[102,2581,4365]],["tvernews.ru",[102,143,4381]],["ukraina.ru",[102,202]],["utro.ru",[102,143,4418]],["vce-besplatno.ru",102],["vm.ru",[102,202,4471]],["vomske.ru",102],["vprognoze.ru",[102,1434,4483]],["warfiles.ru",[102,1889,1890,1891]],["weacom.ru",[102,4504]],["wildo.ru",[102,142,4521]],["ya62.ru",[102,4564]],["yocity12.ru",[102,112,113]],["yuginform.ru",[102,4222]],["yugopolis.ru",[102,1432]],["yznal.ru",102],["zvezdi.ru",102],["teleg.run",102],["namba.tj",[102,1049,4705,4706]],["bestrussia.tv",102],["gooool.tv",[102,2121]],["poltavske.tv",102],["rudetective.tv",102],["showgid.tv",[102,4795]],["strashnoe.tv",102],["tet.tv",[102,1432]],["tvrain.tv",102],["ukrlife.tv",102],["unian.tv",102],["weukraine.tv",[102,4811]],["0312.ua",[102,112,113]],["032.ua",[102,112,113]],["0332.ua",[102,112,113]],["0342.ua",[102,112,113]],["0352.ua",[102,112,113]],["0362.ua",[102,112,113]],["0372.ua",[102,112,113]],["0382.ua",[102,112,113]],["0412.ua",[102,112,113]],["0432.ua",[102,112,113]],["0462.ua",[102,112,113]],["0472.ua",[102,112,113]],["048.ua",[102,112,113]],["0522.ua",[102,112,113]],["0532.ua",[102,112,113]],["0542.ua",[102,112,113]],["0552.ua",[102,112,113]],["056.ua",[102,112,113]],["0564.ua",[102,112,113]],["057.ua",[102,112,113]],["061.ua",[102,112,113]],["06242.ua",[102,112,113]],["0642.ua",[102,112,113]],["0652.ua",[102,112,113]],["0692.ua",[102,112,113]],["1plus1.ua",[102,4817,4818]],["2plus2.ua",102],["44.ua",[102,112,113]],["62.ua",[102,112,113]],["04141.com.ua",[102,112,113]],["04563.com.ua",[102,112,113]],["04596.com.ua",[102,112,113]],["04597.com.ua",[102,112,113]],["04598.com.ua",[102,112,113]],["04868.com.ua",[102,112,113]],["0512.com.ua",[102,112,113]],["05136.com.ua",[102,112,113]],["05161.com.ua",[102,112,113]],["05366.com.ua",[102,112,113]],["05447.com.ua",[102,112,113]],["0566.com.ua",[102,112,113]],["0569.com.ua",[102,112,113]],["06153.com.ua",[102,112,113]],["0619.com.ua",[102,112,113]],["0623.com.ua",[102,112,113]],["06236.com.ua",[102,112,113]],["06237.com.ua",[102,112,113]],["06239.com.ua",[102,112,113]],["06252.com.ua",[102,112,113]],["06267.com.ua",[102,112,113]],["06272.com.ua",[102,112,113]],["06274.com.ua",[102,112,113]],["06277.com.ua",[102,112,113]],["0629.com.ua",[102,112,113]],["06452.com.ua",[102,112,113]],["3849.com.ua",[102,112,113]],["4594.com.ua",[102,112,113]],["5692.com.ua",[102,112,113]],["6262.com.ua",[102,112,113]],["6264.com.ua",[102,112,113]],["agrobusiness.com.ua",102],["champion.com.ua",102],["dnl.com.ua",[102,682]],["dostyp.com.ua",102],["kurs.com.ua",[102,256,1073,4914]],["nnews.com.ua",[102,200,511,4931]],["ogosex.com.ua",102],["pn.com.ua",[102,4939]],["dengi.ua",[102,142,243,1709,1710]],["dialog.ua",102],["dnl.dn.ua",[102,682]],["football.ua",[102,142,209,5011]],["glavcom.ua",[102,5017]],["ukurier.gov.ua",102],["blitz.if.ua",102],["kinoafisha.ua",[102,561,5076]],["konkurent.ua",[102,142,5078]],["ugorod.kr.ua",102],["minus.lviv.ua",102],["portal.lviv.ua",[102,4872,5088]],["kherson.net.ua",[102,1452]],["mv.org.ua",[102,5140]],["osvita.ua",[102,1305,5147]],["reporter.ua",[102,5159]],["trademaster.ua",[102,155]],["val.ua",[102,209,5198]],["repost.uz",[102,388,4383,5219]],["sports.uz",[102,5220]],["ppc.world",[102,5232]],["link.ac",[103,104]],["infobank.by",[103,228,248]],["fergananews.com",[103,614]],["lm-games.com",103],["readbookz.com",103],["voxpopuli.kz",[103,1537,1538]],["live-gol.net",[103,1817]],["qupier.org",103],["liveangarsk.ru",[103,3355]],["ping-admin.ru",103],["premiership.ru",103],["urod.ru",[103,4413]],["cripo.com.ua",[103,698,4877]],["xtreme.ws",[103,5247]],["lenkino.adult",[105,106]],["ebalovo.porn",[106,2241]],["ebalovo.pro",106],["hrk.aero",107],["forum.rarib.ag",108],["1in.am",[109,110]],["lovesun.by",[110,262]],["mybrazz.club",[110,400]],["dead-serial.com",[110,172]],["ggscore.com",[110,669]],["itechua.com",[110,725,726]],["izbezhat-nakazania.com",110],["kosti-tv.com",[110,172]],["prosportua.com",[110,281]],["spletnica-tv.com",110],["sportarena.com",[110,1048,1049]],["strela-online.com",110],["teenwolf-tv.com",110],["theflash-tv.com",110],["udargol.com",110],["vskazke-tv.com",[110,172]],["c-inform.info",110],["kinoafisha.info",[110,122,322,1363,1364,1365]],["prosports.kg",[110,209,1481]],["alau.kz",[110,206,228,433,1494]],["prosports.kz",[110,209,1481]],["fishki.net",[110,172,202,209,1756]],["igry-online.net",[110,228]],["mac-torrent-download.net",110],["playua.net",[110,1883]],["freeopenvpn.org",[110,674]],["grimm-online.org",110],["igrovaya.org",[110,1714,2129,2130]],["pesikot.org",110],["vsetors.org",[110,2130]],["tg.telepult.pro",110],["101.ru",[110,143,228,2273,2274,2275]],["101kofemashina.ru",[110,2276]],["bugaga.ru",110],["csgamer.ru",[110,1224]],["ctv7.ru",[110,2743]],["e-libra.ru",[110,388]],["fashiony.ru",110],["fclmnews.ru",[110,2902]],["game2day.ru",[110,2988]],["horrorzone.ru",[110,209,3106]],["in-dmitrov.ru",[110,228]],["in-domodedovo.ru",[110,228]],["in-istra.ru",[110,228]],["in-kolomna.ru",[110,228]],["in-korolev.ru",[110,228]],["in-narofominsk.ru",[110,228]],["in-reutov.ru",[110,228]],["in-schelkovo.ru",[110,228]],["in-vidnoe.ru",[110,228]],["in-voskresensk.ru",[110,228]],["inbalashikha.ru",[110,228]],["inchehov.ru",[110,228]],["inchernogolovka.ru",[110,228]],["indolgoprud.ru",[110,228]],["indubnacity.ru",[110,228]],["inegorievsk.ru",[110,228]],["inelgorsk.ru",[110,228]],["inelstal.ru",[110,228]],["infryazino.ru",[110,228]],["inhimkicity.ru",[110,228]],["inivanteevka.ru",[110,228]],["inkashira.ru",[110,228]],["inklincity.ru",[110,228]],["inkotelniki.ru",[110,228]],["inkrasnoarmeisk.ru",[110,228]],["inkrasnogorsk.ru",[110,228]],["inkrasnoznamensk.ru",[110,228]],["inlobnya.ru",[110,228]],["inlosinopetrovsk.ru",[110,228]],["inlotoshino.ru",[110,228]],["inlubertsy.ru",[110,228]],["inluhovitsy.ru",[110,228]],["inlytkarino.ru",[110,228]],["inmozhaisk.ru",[110,228]],["inmytishchi.ru",[110,228]],["innoginsk.ru",[110,228]],["inodintsovo.ru",[110,228]],["inorehovo.ru",[110,228]],["inozery.ru",[110,228]],["inpavposad.ru",[110,228]],["inpodolsk.ru",[110,228]],["inprotvino.ru",[110,228]],["inpushchino.ru",[110,228]],["inpushkino.ru",[110,228]],["inramenskoe.ru",[110,228]],["inroshal.ru",[110,228]],["inruza.ru",[110,228]],["insergposad.ru",[110,228]],["inserprud.ru",[110,228]],["inserpuhov.ru",[110,228]],["inshahovskoe.ru",[110,228]],["inshatura.ru",[110,228]],["insolnechnogorsk.ru",[110,228]],["instupino.ru",[110,228]],["intaldom.ru",[110,228]],["involokolamsk.ru",[110,228]],["inzaraisk.ru",[110,228]],["inzheldor.ru",[110,228]],["inzhukovskiy.ru",[110,228]],["inzvenigorod.ru",[110,228]],["kushvsporte.ru",110],["likeni.ru",[110,462,3344]],["madjong-besplatno.ru",110],["mirf.ru",[110,3495]],["ne-kurim.ru",[110,3612]],["pimpletv.ru",[110,607,3793]],["povarenok.ru",[110,127,155,202,1028,2485,2486,3842]],["prodota.ru",[110,209,2750]],["relook.ru",[110,2486]],["saratovnews.ru",[110,4048]],["zab.ru",[110,4597]],["zorgee.ru",[110,4627]],["jut.su",[110,127,4673]],["topfile.tj",[110,222,3618,4708]],["alexua.tv",[110,620]],["animejapan.tv",110],["bit.ua",110],["gta.com.ua",[110,4898]],["kievvlast.com.ua",[110,4911]],["ko.com.ua",[110,4278,4912]],["comments.ua",[110,127,4841,4980]],["cvnews.cv.ua",[110,4982]],["gorod.dp.ua",[110,228,4990]],["gameinside.ua",[110,281,5015]],["jetsetter.ua",110],["forpost.lviv.ua",[110,739]],["nashkiev.ua",110],["ifnews.org.ua",[110,1071,4982,5138]],["lvnews.org.ua",[110,1071,4982]],["tenews.org.ua",[110,594,1071,1438,4862,4982,5144]],["uanews.org.ua",[110,4982]],["rvnews.rv.ua",[110,4982]],["traktorist.ua",[110,172,1742,5188]],["upl.ua",[110,5196]],["bestinfo.am",111],["rp5.am",[114,115]],["rp5.by",[114,115,296]],["rp5.kz",[114,115,296]],["rp5.md",[114,115]],["rp5.co.nz",[114,115]],["rp5.ru",[114,115,296]],["rp5.co.uk",[114,115]],["computer76.ru",[115,595]],["videoredaktor.ru",[115,595,674]],["freestore.app",116],["championat.asia",117],["darkmoney.at",118],["arenda.az",119],["big.az",120],["bina.az",121],["tap.az",121],["turbo.az",121],["enovosty.com",[121,209,592,593,594,595]],["ogorodnik.com",121],["propozitsiya.com",[121,954]],["chem21.info",[121,1321]],["bitpump.ru",[121,222]],["snow-motion.ru",[121,4135]],["uralpress.ru",[121,143,4409]],["stadion.uz",[121,5222]],["day.az",[122,123]],["024.by",[122,200,201,202]],["gs.by",122],["takprosto.cc",122],["gagadget.com",[122,643,644]],["gsconto.com",[122,680]],["klubok.com",[122,155,766]],["scooter-remont.com",[122,141]],["seasonvar24.com",122],["tvsezon.com",[122,1095]],["orl.ec",[122,1206,1207]],["gameme.eu",[122,1218]],["allnews.kz",122],["sports.kz",[122,453,1527,1528]],["mangalib.me",122],["savevideo.me",[122,1631]],["yaoilib.me",122],["chatadelic.net",[122,957]],["hotzoom.net",122],["ura.news",[122,215,228,1337,1348,2022]],["like-film.online",122],["jooble.org",[122,2134]],["sexytales.org",[122,2199]],["bigpicture.ru",[122,143,283,2573]],["coderoad.ru",122],["football-fun.ru",122],["fotokto.ru",[122,2959]],["icons8.ru",122],["infoniac.ru",[122,682]],["malenkiy.ru",[122,3419]],["my-calend.ru",122],["novostiplanety.ru",122],["soccer.ru",[122,474,3032,4138]],["timeout.ru",[122,304]],["world-knigi.ru",[122,4538]],["euromd.com.ua",122],["gotoshop.ua",[122,5021]],["jooble.ua",122],["1927.kiev.ua",[122,5066]],["meta.ua",[122,672,2249,2425,5006,5092,5093]],["podrobnosti.ua",[122,881]],["1plus1.video",[122,209,4818,5225]],["lux.fm",[123,1238]],["disput.az",124],["enter.az",125],["great.az",126],["haqqin.az",127],["gorodvitebsk.by",[127,242]],["gp.by",[127,243]],["sport5.by",127],["primemusic.cc",127],["agroreview.com",[127,457,458]],["bezformata.com",[127,513]],["fatalgame.com",[127,609,610]],["gecid.com",[127,668]],["industry-hunter.com",[127,714]],["prostatitanet.com",[127,465,955,956]],["roscontrol.com",127],["vringe.com",[127,1150,1151]],["vshkole.com",127],["wonderzine.com",127],["skachat-kino.fun",127],["9tv.co.il",[127,1283]],["19rus.info",[127,143]],["menportal.info",[127,712]],["nmedic.info",[127,712]],["nv-online.info",127],["valverus.info",127],["vinnitsa.info",[127,1446]],["365info.kz",127],["kt.kz",127],["tengriauto.kz",[127,1529]],["tengrinews.kz",[127,1529,1530]],["tengrisport.kz",[127,1529,1531]],["tengritravel.kz",[127,1532]],["locals.md",127],["zaryad.me",127],["agrotimes.net",[127,1695]],["neboleem.net",[127,1860]],["polochka.net",[127,1893]],["wowjp.net",[127,1987]],["vklasse.online",[127,2058]],["1777.ru",[127,202,2292]],["19rusinfo.ru",[127,220]],["1ul.ru",127],["2goroda.ru",127],["3ys.ru",[127,2339]],["73online.ru",[127,2038,2348]],["advis.ru",[127,2374]],["autodmir.ru",[127,2504]],["avtodispetcher.ru",127],["bakemono.ru",[127,378]],["bel.ru",[127,202]],["bloknot.ru",[127,202]],["bloknot-astrakhan.ru",[127,202]],["bloknot-gelendzhik.ru",[127,202]],["bloknot-kamyshin.ru",[127,202]],["bloknot-krasnodar.ru",[127,202]],["bloknot-krymska.ru",[127,202]],["bloknot-moldova.ru",[127,202]],["bloknot-morozovsk.ru",[127,202]],["bloknot-novorossiysk.ru",[127,202]],["bloknot-rossosh.ru",[127,202]],["bloknot-rostov.ru",[127,202]],["bloknot-samara.ru",[127,202]],["bloknot-shakhty.ru",[127,202]],["bloknot-stavropol.ru",[127,202]],["bloknot-taganrog.ru",[127,202]],["bloknot-volgodonsk.ru",[127,202]],["bloknot-volgograd.ru",[127,202]],["bloknot-volzhsky.ru",[127,202]],["bloknot-voronezh.ru",[127,202]],["bloknotanapa.ru",[127,202]],["bloknotlipetsk.ru",[127,202]],["bloknotsaratov.ru",[127,202]],["bloknotsochi.ru",[127,202]],["bloknottambov.ru",[127,202]],["car.ru",[127,1341,2643]],["cbonds.ru",[127,2652]],["codernet.ru",127],["con-med.ru",127],["cybersport.ru",[127,1549,2601,2749,2750]],["echosevera.ru",[127,2843]],["filmz.ru",127],["fishingsib.ru",[127,2924]],["flamp.ru",[127,2929]],["food.ru",[127,202,2943,2944]],["forum-profit.ru",[127,172]],["gameguru.ru",[127,453]],["goodfon.ru",[127,225]],["hunting.ru",[127,2924]],["infpol.ru",127],["investfunds.ru",127],["ircity.ru",[127,2279,2280,2281,2285,2286]],["islam-today.ru",[127,2126,3185]],["iz.ru",[127,143,202,3199]],["joborgame.ru",127],["k1news.ru",[127,146,3218]],["klavogonki.ru",127],["knijky.ru",[127,3278]],["kursktv.ru",[127,242,850]],["laradiofm.ru",127],["medialeaks.ru",[127,3457]],["megatyumen.ru",[127,3474]],["myslo.ru",[127,3586]],["penza-press.ru",[127,242,662]],["ppt4web.ru",[127,3846]],["pravoved.ru",[127,3852]],["profibeer.ru",127],["redfm.ru",127],["relax-fm.ru",[127,2714,3970]],["rg.ru",[127,3448,3979]],["smolensk-i.ru",[127,202,4127]],["sovsport.ru",[127,215,4168]],["spanishrestaurant.ru",127],["zagorod.spb.ru",[127,4175]],["start33.ru",127],["syzran-small.ru",[127,215,4250]],["tele.ru",[127,4275]],["the-flow.ru",127],["thequestion.ru",[127,4295]],["thg.ru",[127,209,4298]],["tveda.ru",[127,662]],["twentysix.ru",127],["ufanotes.ru",[127,4401]],["vashurok.ru",[127,209,4430]],["veterinargid.ru",127],["woman.ru",[127,220,2794,4209,4530]],["zaim-profi.ru",127],["zebra-tv.ru",[127,243]],["zoohoz.ru",127],["zorbasmedia.ru",127],["vovka.su",127],["footballua.tv",[127,912,4749]],["20minut.ua",127],["agronews.ua",[127,209,281,458,1972,3032]],["besplatka.ua",[127,4839]],["bhub.com.ua",[127,3232]],["budport.com.ua",[127,1205,4870]],["epravda.com.ua",[127,595,4883,4884,4885,4886]],["pravda.com.ua",[127,607,4884,4886,4943]],["growhow.in.ua",[127,686,5046]],["sportguide.kiev.ua",127],["obyava.ua",[127,5122]],["okna.ua",[127,5130]],["vikka.ua",[127,5203]],["xsport.ua",[127,244,462,5093]],["livesport.ws",[127,850,5240]],["navigator.az",128],["geonavigator.ge",128],["unvan.az",129],["video.az",130],["navkolonas.com",130],["gazeta-severny.ru",[130,3006]],["morediva.ru",130],["vseprynosti.ru",130],["anekdot.bar",131],["kinosimka.be",132],["btrans.by",[132,224]],["qna.center",132],["reviewscompanies.club",132],["crimea-news.com",132],["dv-gazeta.info",[132,1102,1330]],["androidkino.net",132],["reestr.rublacklist.net",132],["wotsite.net",[132,1986]],["progroshi.news",[132,151,2018]],["proukraine.news",132],["ru",[132,198,2270]],["dugtor.ru",[132,2829]],["internet-technologies.ru",[132,3172]],["resheba.top",132],["xcadr.tv",[132,948,4813]],["ua",[132,198,912]],["vesti.uz",[132,143,5223]],["ads.bid",133],["directx.biz",133],["getdstudio.cab",133],["bestsoft.club",133],["browser-extensions.club",133],["rutorrent.co",133],["toprated-film.co",133],["appt12mn.com",133],["dnevni4ok.com",133],["downloadamigo.com",133],["elementsbrowser.com",133],["everinform.com",133],["getdstudio.com",133],["install-now.com",133],["medicin-novosti-24.com",133],["news-decent.com",133],["news-sphere.com",133],["novostly.com",133],["banner.mob.ru.com",133],["t1mcapp.com",133],["tlmnt.com",133],["tordrom.com",133],["wogoods.com",133],["rutracker.eu",133],["top-rutor.eu",133],["ex.24smi.info",133],["top.24smi.info",133],["zodiac-game.info",133],["driverpack.io",133],["getdstud.io",133],["idealmedia.io",133],["upro.me",133],["rutor.ml",133],["cs-serva.net",133],["installpack.net",133],["saymigren.net",133],["sysenvfiles.net",133],["etarg.network",133],["topnews.smi.one",133],["dw1-msetup.org",133],["medicineteaser.org",133],["rutorgame.org",133],["rutraker.org",133],["starblog.org",133],["olx.ua.partners",133],["msetup.pro",133],["offergate.pro",133],["ubar.pro",133],["ufiler.pro",133],["dugtor-deer.pw",133],["activation-keys.ru",133],["adregain.ru",133],["apicloud.ru",133],["cheatget.ru",133],["click2soft.ru",133],["clickbytes.ru",133],["content.directadvert.ru",133],["downloadbrowser.ru",133],["driverpaksolution.ru",133],["exonews.ru",133],["fast2click.ru",133],["filetaker.ru",133],["fin-vector.ru",133],["flebolab.ru",133],["getappwiz.ru",133],["getfiletds.ru",133],["getyoursoft.ru",133],["globalstylis.ru",133],["hdvideoboxs.ru",133],["health-official.ru",133],["kinowinx.ru",133],["linksoftbox.ru",133],["litebrowser.ru",133],["losnews.ru",133],["mainews.ru",133],["manysoftlink.ru",133],["marketgid.ru",133],["medicineteaser.ru",133],["mysoftbox.ru",133],["nalivali.ru",133],["newsma.ru",133],["ognyvo.ru",133],["orgsales.ru",133],["picpick.ru",133],["pochistit.ru",133],["popcornhd.ru",133],["prime-oblako.ru",133],["programma-ochistki.ru",133],["readvesti.ru",133],["rotateme.ru",133],["rsboot.ru",133],["rustoria-topnews.ru",133],["sb-on-line.ru",133],["search-cdn.ru",133],["searchcdn.ru",133],["smiru.ru",133],["softboxtds.ru",133],["t-lafa-site.ru",133],["tdsclicks2.ru",133],["tdsrotations.ru",133],["tft-test.ru",133],["torrentum.ru",133],["ubar-pro.ru",133],["ubar-pro2.ru",133],["ubar-pro3.ru",133],["ubar-pro4.ru",133],["ufiler-download.ru",133],["ufiler-pro.ru",133],["ufiler-pro2.ru",133],["viniki.ru",133],["vserpg.ru",133],["womens-journal.ru",133],["worldinform.ru",133],["xbox-torrent.ru",133],["ya-browser.ru",133],["ya-cdn.ru",133],["ya-distrib.ru",133],["yadistr.ru",133],["yasearch-cdn.ru",133],["yasearchcdn.ru",133],["ynsearch.ru",133],["zpppstop.ru",133],["zqwjpxow7boc.ru",133],["ex.infox.sg",133],["ex.24smi.site",133],["download.studio",133],["drp.su",133],["yabrowser.su",133],["rutors.tk",133],["spishi.vip",133],["new-rutor.website",133],["rutracker.work",133],["1xikk.world",133],["1xool.world",133],["mytrk.xyz",133],["spcs.bio",[134,135,136]],["gdespaces.com",[134,135,136]],["spac1.com",[134,135,136]],["spaces-blogs.com",[134,135,136]],["usersporn.com",[134,135,1117,1118]],["spcs.global",[134,135,136]],["spaces.im",[134,135,136]],["strip2.in",[134,135,1117,1118]],["spac1.info",[134,135,136]],["spcs.life",[134,135,136]],["spac.me",[134,135,136]],["spac1.me",[134,135,136]],["spcs.me",[134,135,136]],["gdespaces.net",[134,135,136]],["spac1.net",[134,135,136]],["spcs.network",[134,135,136]],["spcs.news",[134,135,136]],["spac1.org",[134,135,136]],["spcs.pro",[134,135,136]],["spcs.pub",[134,135,136]],["spcs.reviews",[134,135,136]],["spac1.ru",[134,135,136]],["spac.run",[134,135,136]],["spcs.social",[134,135,136]],["spac.wtf",[134,135,136]],["strip2.xxx",[134,135,1117,1118]],["spcs-files.xyz",[134,135,136]],["spcs.mobi",[135,136]],["google-cloud.services",[135,1118]],["ukr.bio",137],["365news.biz",[138,139]],["newgoal.ru",139],["afanasy.biz",[140,141,142,143]],["ura-inform.com",[142,1116]],["fullsite.org",[142,2118]],["novosti-n.org",[142,2167]],["1fnl.ru",[142,474,2295]],["1tulatv.ru",[142,474,1742]],["78.ru",[142,2350]],["bragazeta.ru",[142,453,2612]],["job.ru",[142,274,1432,3208,3209]],["km.ru",[142,3273]],["livejournal.ru",142],["riamo.ru",[142,202,1517,2806,3983]],["rusnext.ru",[142,215,4018,4019]],["smilekaluga.ru",142],["study.ru",[142,202,1250,4228]],["ucheba.ru",[142,4394]],["rusvesna.su",[142,143,202,209,4018,4691]],["dnepr24.com.ua",[142,1452]],["kr24.com.ua",[142,1452]],["nikolaev24.com.ua",[142,1452]],["v-variant.com.ua",142],["odessa.net.ua",[142,1452]],["gazeta.zp.ua",[142,1452]],["dnpmag.com",[143,572]],["do-slez.com",[143,573]],["eadaily.com",[143,582]],["melodrama1.com",143],["newinform.com",[143,856,857]],["russian.rt.com",[143,202,215,304,990]],["news-front.info",[143,1387,1388]],["polit.info",[143,857]],["mgorod.kz",[143,228,244,1509]],["ratel.kz",143],["zakon.kz",[143,209,1544,1545]],["steaklovers.menu",143],["politexpert.net",[143,857,1887]],["sm.news",[143,202,215,2012,2020]],["usa.one",[143,2034,2035]],["hightech.plus",143],["5-tv.ru",[143,2342]],["56orb.ru",[143,824]],["62info.ru",[143,462,2344]],["7info.ru",143],["allboxing.ru",[143,202,1332,2402,2403]],["anekdot.ru",[143,222,2436]],["argumenti.ru",[143,202,281,2471]],["autonews.ru",[143,2510,2511,2512,2513]],["belive.ru",[143,2556]],["bombardir.ru",[143,1742,2599,2600,2601]],["daily-inform.ru",[143,2756]],["dni.ru",[143,220,2791]],["eg.ru",[143,220]],["expert.ru",[143,2883]],["ferra.ru",[143,2906]],["gazeta-tula.ru",[143,3007]],["glavnoe24.ru",143],["gorobzor.ru",[143,3043]],["gorvesti.ru",[143,3051,3052,3053]],["govoritmoskva.ru",[143,2740,3060]],["gubdaily.ru",[143,200,3069]],["iarex.ru",[143,457]],["inforeactor.ru",[143,209,857,3152]],["kirov-portal.ru",[143,3265]],["letidor.ru",[143,2906,3005]],["livelib.ru",[143,3360]],["m24.ru",[143,3379]],["mirtesen.ru",[143,3499]],["mk.ru",[143,202,2529,3503,3504]],["moslenta.ru",[143,2906,3005,3542]],["myhistori.ru",[143,3576]],["nashgorod.ru",[143,824]],["nation-news.ru",[143,857]],["nevnov.ru",[143,857,3624]],["news.ru",[143,201,215,220]],["nn.ru",[143,228,2279,2280,2281,2285,2286,3654]],["ntv.ru",[143,1542,3679]],["osnmedia.ru",[143,202]],["passion.ru",[143,2906,3005]],["penzainform.ru",[143,215,3771]],["penzavzglyad.ru",[143,474,3772]],["pikinform.ru",143],["pnp.ru",[143,3808]],["politonline.ru",[143,2044]],["pora.ru",143],["pravda.ru",[143,515,3053,3850]],["quto.ru",[143,2906,3005]],["radidomapro.ru",[143,3922]],["radioromantika.ru",[143,2274,2275,2714,3929]],["rbc.ru",[143,2511,2512,2513,3951,3952,3953]],["ria56.ru",[143,3981]],["riafan.ru",[143,209,857,3982]],["rueconomics.ru",[143,857]],["rusplt.ru",[143,378,1742,1821,4020]],["sevkavportal.ru",[143,228]],["sharknews.ru",[143,385,4090]],["sminews.ru",143],["sobesednik.ru",[143,220,2181]],["sport-express.ru",[143,209,215,3820,4181,4182]],["sportrbc.ru",[143,2512,2513,3952,4182,4193]],["sports.ru",[143,193,209,223,1478,3168,4194]],["sun-news.ru",[143,4232]],["trendymen.ru",[143,572,4353]],["tsn24.ru",[143,4358]],["tvc.ru",[143,2181,4373]],["vedomosti.ru",[143,4434]],["versia.ru",143],["veseloeradio.ru",[143,2714,4440]],["vesti.ru",[143,4441]],["vesti-yamal.ru",[143,4442]],["vestivrn.ru",[143,4447]],["vokrugsveta.ru",[143,220,2794,3445]],["zr.ru",[143,215,4629]],["agitpro.su",143],["ua.today",[143,4722]],["mir24.tv",[143,4767]],["ren.tv",[143,4785]],["tsargrad.tv",[143,202,215,273,2166,4800]],["vokrug.tv",[143,1542,4807]],["2000.ua",[143,4819]],["kriminal.net.ua",[143,3556,4986,5109]],["rbc.ua",[143,4299,5156]],["xn--b1ats.xn--80asehdb",[143,3051]],["all.biz",144],["berdyansk.biz",145],["cools.biz",146],["mp3cc.biz",[146,165,166,167]],["get-tune.cc",[146,165,166,167]],["mp3iq.com",[146,165,167]],["cools.dj",146],["ipleer.fm",[146,167]],["iplayer.info",[146,167]],["vmuzice.me",[146,1642]],["intermusic.name",146],["market4game.ru",[146,2943]],["yellowpages.uz",[146,5224]],["delovoymir.biz",[148,149]],["sexytal.com",[149,388,1020]],["skolkovarim.com",[149,1031]],["voffka.com",[149,461,1142]],["mgnovenie.net",149],["vlasti.net",[149,850,1972]],["limon-tv.org",149],["porno4you.org",149],["adiabet.ru",149],["astrosfera.ru",149],["modewomen.ru",149],["moviki.ru",[149,3550]],["primenimudrost.ru",149],["relasko.ru",[149,3969]],["sexytales.ru",[149,1020]],["sportobzor.ru",[149,4192]],["superhumor.ru",[149,461,1142]],["edufuture.biz",150],["xvatit.com",[150,655,1179]],["trupornolabs.org",[150,281,561,1089,2216]],["xxxadulttorrent.org",[150,561]],["popgun.ru",150],["naruto-base.tv",[150,4771]],["fileclub.biz",151],["nemezisworld.com",151],["sharij.net",[151,1929]],["odessa.online",151],["ferrum-body.ru",151],["ridus.ru",[151,3985]],["fsell.biz",152],["hd-720.biz",[153,154]],["bigpovar.com",154],["menquestions.ru",[154,228,3478]],["promtu.ru",[154,868,1450,3880]],["hdkino.biz",[155,156]],["vsofte.biz",[155,186]],["nowa.cc",[155,358,359]],["zserials.cc",[155,281,368,369,370]],["androidsmartfony.com",155],["spam-club.blogspot.com",[155,523]],["disgustingmen.com",[155,474,570]],["ilenta.com",[155,281,607,706,707]],["javadevblog.com",155],["pesni-tut.com",[155,281,904]],["raskraska.com",[155,969]],["relizua.com",155],["softikbox.com",155],["torrent-igri.com",155],["udaff.com",[155,561,1109]],["aces.gg",[155,1273]],["7days2die.info",[155,739,1302]],["for-ua.info",[155,281,931,1342,1343]],["skachat-igri-besplatno.info",[155,281]],["ebanoe.it",[155,385,1473]],["4k-kino.net",155],["7torrents.net",[155,1089]],["audioskazki.net",155],["ex-fs.net",[155,1746]],["igri-torrent.net",155],["newrutor.net",155],["serialpro.net",155],["sewin.net",[155,1927]],["torrent-besplatno.net",155],["torrent-club.net",155],["torrents-game.net",155],["3torrent.org",155],["kinoplace.org",155],["mixsoft.org",[155,370]],["studopedia.org",[155,1427,1941]],["wotspeak.org",[155,347,2232]],["geekteam.pro",[155,1450]],["4allwomen.ru",[155,568]],["a-age.ru",155],["aacalc.ru",[155,281,2360,2361]],["app2top.ru",[155,209,281,2464]],["arsenaltula.ru",[155,209]],["spam-club.blogspot.ru",[155,523]],["cheb.ru",[155,474,2306,2662,2663,2664,2665]],["chepetsk.ru",[155,2672]],["f-igri.ru",[155,378,2888]],["farap.ru",155],["game-pool.ru",155],["games--torrent.ru",155],["gtp-tabs.ru",[155,3067]],["igryday.ru",[155,1953]],["imageban.ru",[155,3136]],["kinonews.ru",[155,322,1365,3256]],["kinotorka.ru",155],["kontrolnaya-rabota.ru",[155,281]],["microstock.ru",155],["mobiltelefon.ru",[155,474,3522]],["noob-club.ru",[155,202,1089,2361,3658]],["office-guru.ru",[155,3696]],["onlinemultfilmy.ru",[155,3717]],["osobye.ru",[155,3742]],["prosadiogorod.ru",[155,465,3887]],["ra1ohx.ru",155],["radiopotok.ru",[155,3927]],["rusbitor.ru",155],["sbornik-music.ru",[155,4053]],["softbaze.ru",155],["superg.ru",155],["torrentrepack.ru",155],["tuchkatv.ru",[155,4359]],["vashipitomcy.ru",155],["winxland.ru",[155,4527]],["yaminecraft.ru",[155,4572]],["youhack.ru",[155,4586]],["zoneofgames.ru",[155,281,4620,4621]],["kritka.su",[155,281,369,1089,4676]],["tankist.su",155],["avtovod.com.ua",[155,4867]],["filmasik.com.ua",[155,4888]],["kino-teatr.ua",[155,5075]],["cheboksary.ws",[155,474,2306,2662,2663]],["lostfilm.hdkino.biz",157],["in-trend.biz",158],["kichkas.biz",159],["kino-live8.biz",160],["kino-live2.org",160],["kinogo.biz",161],["oka.fm",[161,1243]],["sms24.info",[161,296]],["sms24.me",[161,296]],["fonzo.ru",[161,354]],["hemingway-lib.ru",161],["sex-empire.tv",[161,4793]],["ternopoliany.te.ua",[161,1664]],["kodik.biz",162],["kodik.cc",162],["aniqit.com",162],["kodikdb.com",162],["kodik.info",[162,1367]],["manga-online.biz",163],["mozaika.biz",164],["mp3iq.comz",166],["mp3sort.biz",168],["best-soft.npps.biz",169],["openssource.biz",[170,171,172]],["openssource.info",[171,1397]],["hosting.cafe",[172,343]],["buhgalter911.com",[172,537,538,539]],["domohozayki.com",172],["elementarno-tv.com",172],["electricalschool.info",[172,1333]],["uvelir.info",[172,1444]],["alltor.me",[172,1594]],["backup.menu",[172,343]],["dedicated.menu",[172,343]],["https.menu",[172,343]],["license.menu",[172,343]],["shared.menu",[172,343]],["vds.menu",[172,343]],["beremennost.net",[172,712,1707]],["uvelir.net",172],["vorozheya.org",172],["kopilkaurokov.ru",172],["multiurok.ru",[172,3564]],["ogribax.ru",[172,206,3699]],["palantinbest.ru",[172,3755]],["www.pesticidy.ru",[172,322,3778]],["php.ru",[172,3787]],["parnuxi.biz",173],["pornolab.biz",[174,175]],["pornolab.cc",[174,175]],["pornolab.lib",[174,175]],["pornolab.net",[174,175]],["tamboff.ru",[174,4257]],["livetv.sx",[174,4702]],["pornorip.biz",176],["psihologia.biz",[177,178]],["sci-lib.biz",178],["economuch.com",178],["uchebnikfree.com",178],["xn--80aaivjfyj3e.com",178],["sci.house",178],["medinfo.live",178],["all-sci.net",178],["finbook.news",178],["lawbooks.news",178],["provse.news",178],["lawbook.online",178],["scicenter.online",178],["myzooplanet.ru",[178,1564]],["lib.sale",178],["bib.social",178],["economics.studio",178],["pravo.studio",178],["textbooks.studio",178],["ruporus.biz",179],["ruporus.cc",179],["ruporus.com",179],["ruporus.net",179],["porus.ru",179],["ruporus.top",179],["ruporus.tv",179],["ruporus.xyz",179],["sakhalin.biz",180],["slivup.biz",181],["sport7.biz",[182,183]],["sportbar.biz",[182,183]],["barsportbar.com",182],["s7yours.com",182],["sbautumn.com",182],["sportabar01.com",[182,491]],["sportbarchik88.com",[182,183]],["sporting77.com",[182,183]],["sportsite777.com",[182,491]],["channels247.net",[182,183]],["spotless365.net",182],["goool7.ws",[182,183]],["terabit.biz",184],["ua-ix.biz",185],["yougame.biz",187],["zerocoolpro.biz",[188,189,190,191]],["beliyspisok.ru",[189,2557]],["clubvolvo.ru",[189,228]],["forum-volgograd.ru",[189,2953]],["rusfishing.ru",189],["termoportal.ru",[189,190]],["ifud.ws",189],["cnc3018.ru",[190,2700]],["krisha.kz",191],["zismo.biz",192],["clickthis.blog",[193,194]],["tut.by",[193,291,299,308,309]],["agravery.com",193],["filehippo.com",193],["obsuzhday.com",[193,883]],["prostopleer.com",[193,959]],["sprashivalka.com",[193,1054]],["ukranews.com",[193,391,607,1111]],["inform-ua.info",[193,378]],["kinda.media",[193,487]],["dumskaya.net",[193,1740]],["liga.net",[193,361,1814]],["babla.ru",[193,2535]],["geekmir.ru",[193,378]],["ifun.ru",193],["klops.ru",[193,228,3272]],["mmovote.ru",193],["myshared.ru",[193,3584]],["primpogoda.ru",[193,901,3859]],["regmarkets.ru",[193,1055,3967]],["riavrn.ru",193],["vogue.ru",193],["vz.ru",[193,215,4499]],["zaks.ru",[193,215]],["lookmeet.tv",193],["pik.net.ua",[193,5111]],["vgolos.ua",193],["levik.blog",195],["lena-miro.ru",195],["olegmakarenko.ru",195],["shakko.ru",195],["shiro-kino.ru",195],["vadimrazumov.ru",195],["periskop.su",195],["ain.business",[196,197]],["ain.ua",[197,281,4827]],["by",198],["ampercar.com",[200,281]],["kakbog.com",[200,745]],["o-polze.com",[200,878]],["hersonweek.net",[200,1777]],["bolshoyulov.ru",[200,464,2597]],["femmie.ru",[200,2905]],["fuzzmusic.ru",200],["gadgets-help.ru",200],["kovi.ru",[200,3294]],["pcminipro.ru",[200,1343]],["poravkrym.ru",[200,2724]],["villaved.ru",[200,464,4456]],["autogeek.com.ua",[200,281,302,1317,4866]],["itbusiness.com.ua",[200,4613]],["itsider.com.ua",[200,1186]],["vsviti.com.ua",[200,4976]],["mmr.net.ua",[200,1186]],["agropolit.com",[201,208,456]],["kp.ua",201],["av.by",[202,210]],["belkagomel.by",[202,217]],["realt.by",[202,294]],["politrussia.com",[202,933]],["vsezdorovo.com",[202,1156]],["mel.fm",[202,1240]],["nsn.fm",[202,215]],["atas.info",202],["nakhodka.media",[202,1432]],["stavropol.media",[202,1432]],["kaifolog.net",202],["sovets.net",[202,228,453,1139,1935,1936,1937]],["zaycev.net",[202,215,2001]],["actualnews.org",[202,2062]],["1istochnik.ru",[202,2297]],["7days.ru",[202,2352]],["amurmedia.ru",[202,1432]],["auto.ru",[202,2498]],["autosaratov.ru",202],["baby.ru",[202,2021,2536]],["bidbaits.ru",[202,2570]],["chukotkamedia.ru",[202,1432]],["autosport.com.ru",[202,2709]],["cq.ru",[202,2727]],["ctc.ru",[202,2181,2740]],["deita.ru",[202,2761]],["domclick.ru",202],["eaomedia.ru",[202,1432]],["eva.ru",[202,2879]],["finam.ru",[202,2913]],["fontanka.ru",[202,215,1545,2941]],["friday.ru",[202,2972]],["interface31.ru",202],["irkutskmedia.ru",[202,1432]],["izhlife.ru",[202,2908]],["kamchatkamedia.ru",[202,1432]],["www.kolesa.ru",202],["krasnoyarskmedia.ru",[202,1432]],["lipetskmedia.ru",[202,228,682]],["magadanmedia.ru",[202,1432]],["nashe.ru",[202,3607]],["new-magazine.ru",[202,215,3625]],["om1.ru",[202,3704]],["priamurmedia.ru",[202,1432]],["primamedia.ru",[202,1432]],["prufy.ru",202],["radiojazzfm.ru",[202,3607,3924]],["radioultra.ru",[202,3607]],["rockfm.ru",[202,3607]],["sakhalinmedia.ru",[202,1432]],["sevastopolmedia.ru",[202,1432]],["smotrim.ru",[202,4130]],["sovets24.ru",[202,228,1139,1935]],["sravni.ru",[202,4201]],["starhit.ru",[202,2279,2794,3900,4209,4210]],["svpressa.ru",[202,4242]],["takiedela.ru",202],["teleport2001.ru",[202,1347,4277,4278]],["topnews.ru",202],["ulanmedia.ru",[202,1432]],["ussurmedia.ru",[202,1432]],["yakutiamedia.ru",[202,1432]],["ytronews.ru",[202,215]],["chitamedia.su",[202,1432]],["krasnodarmedia.su",[202,1432]],["neva.today",[202,2626,4720]],["tv2.today",[202,4721]],["103.by",203],["2gis.by",204],["2gis.kz",204],["2gis.ru",[204,2316]],["4esnok.by",[205,206]],["korabelov.info",[205,1369]],["agrimpasa.com",206],["erokomiksi.com",206],["golbis.com",[206,675]],["golovnie-boli.com",206],["hyperione.com",[206,698,699,700]],["inforpost.com",[206,717]],["kopomko.com",206],["kulemet.com",[206,302]],["macosinfo.com",206],["nagadala.com",[206,848]],["snelwilcox.com",206],["chirik.info",206],["hronika.info",206],["miformat.info",[206,1378]],["ruslo.info",206],["mezha.media",[206,209,281,302,478,1359,1654,1655]],["alkogolu.net",[206,464,543]],["meganovosti.net",206],["ru-mir.net",206],["udobreniya.net",206],["calend.online",206],["bizua.org",[206,686,2090]],["1000iodinsovet.ru",206],["2info2.ru",206],["atlasprirodirossii.ru",[206,700]],["belattra.ru",206],["boxvideotv.ru",206],["brunet-ka.ru",[206,2616]],["cherepah.ru",206],["clubwindows.ru",206],["domashnie-zagotovki.ru",[206,2802]],["domashniecvety.ru",206],["excelprost.ru",206],["giantessa.ru",[206,3015]],["hitagro.ru",[206,3097]],["htmlhook.ru",[206,3114]],["koroleffsov.ru",206],["krashevseh.ru",[206,1359]],["legkopolezno.ru",[206,222,3325]],["makeupkey.ru",[206,1224]],["nash-sekret.ru",206],["newsrank.ru",206],["northern-newspaper.ru",[206,3659]],["ofigeno.ru",206],["ovetryanke.ru",206],["paratechnik.ru",206],["podruzke.ru",[206,2090]],["portable-rus.ru",206],["portalvirtualreality.ru",[206,3834]],["prostolinux.ru",[206,3889]],["putin-today.ru",206],["pzik.ru",206],["rainbowsky.ru",[206,3933]],["sci-fi-news.ru",[206,4057]],["srnsk.ru",206],["strana-it.ru",206],["svoitabachok.ru",206],["trmzk.ru",206],["ustanovkaos.ru",[206,378,4415]],["ventilationpro.ru",206],["walaw.ru",206],["yconsult.ru",[206,4581]],["chudesniesovetiki.site",206],["lightstories.site",206],["free-news.su",206],["geomedia.top",206],["mamabook.com.ua",[206,4922]],["newssky.com.ua",206],["zdorovia.com.ua",206],["roza2012.net.ua",206],["galas.te.ua",[206,594]],["sich.zp.ua",206],["podarok.video",206],["abw.by",[207,208,209]],["tv.yandex.by",[208,338,339]],["elevatorist.com",[208,590]],["filmozavr.com",[208,619,620]],["latifundist.com",[208,775]],["psm7.com",[208,228,281,961]],["superagronom.com",208],["zemliak.com",208],["tv.yandex.kz",[208,338,339]],["myshows.me",[208,322,809,1615]],["old.myshows.me",[208,1616]],["filmozavr.net",[208,619,620]],["lada-granta.net",[208,1810]],["gotennis.ru",[208,3055]],["inoprosport.ru",[208,3160]],["kinopati.ru",[208,3257]],["lkforum.ru",[208,1810]],["osp.ru",[208,474]],["podfm.ru",208],["popcornnews.ru",[208,3827]],["tv.yandex.ru",[208,338,339]],["tv.yandex.uz",[208,338,339]],["smartpress.by",[209,301]],["vandrouki.by",209],["vgr.by",[209,318]],["astar.bz",[209,340]],["cy-pr.com",[209,563]],["nachasi.com",209],["sovetromantica.com",[209,1044]],["tribuna.com",[209,281,1092]],["tt-cup.com",209],["yaplakal.com",[209,1182]],["solncevo.info",[209,361,1426]],["tayga.info",[209,453,1432]],["proglib.io",209],["point.md",[209,347,1587,1588]],["spafilms.me",[209,1635]],["shkole.net",209],["allbasketball.org",[209,607,2067]],["animaunt.org",[209,2073]],["anistar.org",[209,340]],["online-star.org",[209,340]],["online-stars.org",[209,340]],["junona.pro",209],["1snau.ru",[209,717,2302]],["7dach.ru",[209,850,2351]],["aqua-therm.ru",[209,2470]],["autoreview.ru",209],["bez-smenki.ru",[209,2566]],["darkermagazine.ru",209],["euro-football.ru",[209,453,1573,2873,2874,2875,2876]],["festima.ru",[209,347]],["www.film.ru",[209,387,2911]],["www.fontanka.ru",[209,2942]],["gdz.ru",[209,392,3013]],["glavagronom.ru",[209,222,3027,3028]],["glavpahar.ru",209],["www.khl.ru",209],["lgoty-vsem.ru",[209,3333]],["liveresult.ru",[209,1573,2876,3362]],["med2.ru",[209,3454]],["meteo-tv.ru",[209,213]],["nim.ru",209],["orelgrad.ru",209],["playground.ru",[209,3799]],["playmaker24.ru",[209,3800]],["pr-cy.ru",[209,3848]],["russorosso.ru",209],["silver.ru",[209,3248,4105]],["news.sportbox.ru",[209,212,1712,4187]],["sportsdaily.ru",[209,215,1476,4197]],["stratege.ru",[209,4223]],["tvmag.ru",[209,4383,4384]],["vc.ru",[209,281,408,1393,2828,4432]],["vjazhi.ru",[209,1877,3042,4463]],["vmgu.ru",[209,4472]],["forum.watch.ru",[209,4502]],["yap.ru",[209,1182,4577]],["www.zoneofgames.ru",[209,1089,1683,4623]],["topvideo.tj",[209,228,281,561,4709]],["4pda.to",[209,283,4712]],["animedia.tv",[209,819]],["gnatkovsky.com.ua",[209,4895]],["grippua.com.ua",[209,4897]],["gsminfo.com.ua",209],["uoor.com.ua",209],["volnorez.com.ua",[209,4974]],["landlord.ua",[209,5084]],["sostav.ua",209],["gazeta.uz",[209,5214]],["www.aviasales.by",211],["www.aviasales.kg",211],["www.aviasales.kz",211],["www.aviasales.md",211],["www.aviasales.ru",211],["www.aviasales.ua",211],["www.aviasales.uz",211],["banana.by",[212,213]],["football24.ru",[212,213,844,2946]],["bigmir.net",[213,243,1709,1710,1711]],["inedelya.ru",213],["maulnet.ru",[213,3442]],["tourdom.ru",[213,2156]],["cntime.cn.ua",213],["vse-sto.com.ua",213],["bdg.by",214],["belarus-news.by",215],["fonmod.com",215],["ixbt.com",[215,607,729,730,731,732]],["utyug.info",215],["regnum.news",[215,2019]],["teleprogramma.pro",[215,2262,2263]],["360tv.ru",[215,2327]],["avtonovostidnya.ru",[215,2522,2523]],["avtovzglyad.ru",[215,620,2529,2530]],["bst.bratsk.ru",[215,2613]],["coop-land.ru",[215,2721]],["energyfm.ru",[215,283,2524,2861]],["finuslugi.ru",215],["gdeichto.ru",[215,2522]],["kommersant.ru",[215,3283]],["life.ru",[215,809]],["metronews.ru",[215,3485]],["moe-belgorod.ru",[215,3530,3531]],["moe-kursk.ru",[215,3530,3531]],["moe-lipetsk.ru",[215,3530,3531]],["moe-online.ru",[215,3530,3531]],["moe-tambov.ru",[215,3530,3531]],["mydecor.ru",[215,2794,3574]],["mywebpc.ru",[215,408,3589]],["naked-science.ru",[215,3597]],["overclockers.ru",[215,3750]],["peterburg2.ru",[215,388,3779]],["pnz.ru",[215,927]],["regnum.ru",[215,2019]],["rifey.ru",[215,3986]],["rutube.ru",[215,4033]],["super.ru",[215,4235]],["thegirl.ru",[215,2794]],["tvzvezda.ru",[215,228,4389]],["u-f.ru",[215,4392]],["xn----7sbabwosghnf8al4lkj7b.xn--p1ai",[215,4250]],["belaruspartisan.by",216],["belta.by",[219,220]],["dailystorm.ru",220],["doctorpiter.ru",[220,2794]],["kakprosto.ru",220],["marieclaire.ru",[220,2794]],["maximonline.ru",[220,474,2794,3445,3446]],["newxboxone.ru",[220,535,3642]],["parents.ru",[220,2794,3445,3758]],["psychologies.ru",[220,2794,3899,3900]],["tvtver.ru",[220,1937,4379,4388]],["wday.ru",[220,2794,3445,3758,4503]],["blisch.by",[221,222]],["gomel-sat.bz",222],["alcogolizm.com",[222,463,464,465,466]],["zhacker.net",[222,2002]],["maw.ru",[222,3443]],["ozersk74.ru",[222,3752]],["threatpost.ru",222],["2ip.ua",[222,1592,4822]],["agro-business.com.ua",[222,4857,4858]],["agronomy.com.ua",[222,4858,4860]],["uamotors.com.ua",[222,726]],["yaizakon.com.ua",[222,4978]],["bobr.by",223],["buhonline.ru",[223,2621]],["zakon.ru",[223,4600]],["bycard.by",[225,226]],["satsis.info",[225,1418]],["allinfo.kz",225],["kimo.ma",225],["swordmaster.org",[225,912]],["leroymerlin-jeb.ru",225],["old-games.ru",[225,3703]],["citydog.by",[227,228]],["chytomo.com",[228,552]],["crazymailing.com",228],["internetua.com",228],["kamchatinfo.com",[228,746]],["kerchinfo.com",228],["kino-kingdom.com",[228,752]],["mobile-review.com",[228,801,834]],["onlineradiobox.com",228],["the-village-kz.com",[228,1077]],["turkmenportal.com",228],["yarik-sat.com",[228,1184]],["zerno-ua.com",[228,1190]],["dnepr.info",[228,1327]],["ponedelnik.info",228],["zhitomir.info",[228,478]],["999.md",[228,1580,1581]],["the-village.me",[228,1077]],["kluch.media",[228,462,591,1650]],["khersonline.net",228],["postovoy.net",228],["studfile.net",228],["studfiles.net",228],["yarnews.net",[228,1995]],["botinok.porn",228],["46tv.ru",228],["aldebaran.ru",[228,2391]],["asiarussia.ru",228],["bezparazita.ru",[228,465]],["bountymax.ru",228],["buzulukday.ru",[228,2630,2631]],["calend.ru",[228,2641]],["dom2stars.ru",228],["dota2.ru",[228,2814]],["gmod-fan.ru",[228,3033]],["gorod48.ru",[228,1037,3046]],["gtavicecity.ru",[228,304,3066]],["kvnews.ru",[228,3316]],["manga24.ru",228],["mashintop.ru",228],["mediaryazan.ru",[228,1037,3459]],["modernrock.ru",228],["moya-semya.ru",228],["musicforums.ru",228],["nlo-mir.ru",228],["novostroev.ru",[228,3670]],["nsday.ru",[228,2630,2631]],["ntr-24.ru",[228,3676,3677]],["nversia.ru",228],["orenday.ru",[228,2630,2631]],["perevolockday.ru",[228,2630,2631]],["pln-pskov.ru",[228,3805]],["ppt.ru",[228,3845]],["rtraveler.ru",[228,4005]],["saltday.ru",[228,2630,2631]],["sorochinskday.ru",[228,2630,2631]],["spark.ru",228],["subscribe.ru",[228,4230]],["the-village.ru",[228,1077,4290]],["tltonline.ru",[228,4308]],["trisosny.ru",[228,4357]],["trymobile.ru",228],["ukrinform.ru",228],["vdvsn.ru",228],["vorle.ru",[228,388]],["wincore.ru",[228,4523]],["womanhit.ru",[228,4533]],["worldofmods.ru",228],["zoon.ru",[228,4625]],["vse.sale",228],["vklybe.tv",228],["village.com.ua",[228,1077]],["hochu.ua",228],["telegraf.in.ua",[228,388,1539,5051]],["torrents.in.ua",[228,5052]],["nv.ua",[228,4884,5118]],["zn.ua",[228,2046,5155,5207]],["xn----7sbabrtfclecozdeg8b6a.xn--p1ai",228],["domovita.by",229],["dzr.by",230],["egida.by",231],["eplus.by",232],["ex-press.by",233],["football.by",[234,235]],["fanday.net",[235,1747]],["gismeteo.by",[236,237,238,239,240]],["galnet.fm",236],["gismeteo.kz",[236,238,239,1501]],["meteofor.md",236],["www.ukr.net",[236,1962,1963]],["gismeteo.ru",[236,239,240,474,1501,3019]],["spletnik.ru",[236,322,4179]],["meteofor.com.ua",[238,4924]],["google.by",241],["google.com",241],["google.kz",241],["google.ru",241],["google.com.ua",241],["open.ua",242],["bmwclub.ru",[243,2594]],["chemezova.ru",[243,378]],["vd-tv.ru",[243,4433]],["rada.com.ua",243],["mport.ua",[243,1710,1713,5103]],["grodnonews.by",[244,245]],["twogarin.info",[244,1436,1437]],["censor.net",[244,1716,1717,1718]],["mos.news",[244,1037,2013]],["siteua.org",[244,2202]],["nsnet.ru",244],["vesti42.ru",[244,4446]],["mc.today",[244,1664,4719]],["itc.ua",[244,1664,4719,5059]],["hata.by",246],["hdd.by",247],["irr.by",[249,250,251]],["irr.ru",[249,2181,3183]],["securitylab.ru",[250,1037,1250]],["kaktutzhit.by",[252,253]],["nashvancouver.com",[252,853]],["koko.by",254],["komplat.by",255],["kraj.by",256],["allapteki.ru",[256,2400]],["profile.ru",[256,3870,3871]],["cont.ws",[256,5234]],["kufar.by",257],["auto.kufar.by",258],["re.kufar.by",259],["kv.by",260],["last.by",261],["ma.by",263],["mebelminsk.by",[264,265]],["nashbryansk.ru",265],["mediabrest.by",266],["nyagan.life",266],["vuralsk.life",266],["cher-poisk.ru",266],["govoritsatka.ru",266],["govorituzhnik.ru",266],["kaluga-poisk.ru",266],["koryazhma-poisk.ru",266],["nur24.ru",266],["vologda-poisk.ru",266],["yasniy-city.ru",266],["yola-poisk.ru",266],["meteo.by",267],["minsknews.by",268],["mlyn.by",269],["moyareklama.by",270],["moyareklama.ru",270],["mycity.by",271],["apteka.ru",[271,2468]],["forum.krasmama.ru",[271,3297]],["myfin.by",[272,273]],["myjob.by",274],["n1.by",275],["nb.by",276],["neg.by",277],["nn.by",278],["onliner.by",[279,280,281]],["auto.onliner.by",280],["fisher.spb.ru",[280,4171]],["bib.bz",281],["img2txt.com",[281,710]],["kurkul.com",[281,771]],["modsfire.com",281],["onlinevideoconverter.com",281],["zbirna.com",281],["liveball7.gq",281],["arminfo.info",[281,287,1308]],["soft-windows.info",281],["windows-soft.info",281],["goal24.live",[281,1570]],["liveball8.ml",281],["real-game.net",281],["torrent-shyter.net",281],["ua.news",[281,1664]],["photoshop-besplatno.org",[281,2174]],["rutracker-2017.org",281],["z-music.org",[281,2236]],["korsars.pro",[281,408]],["blizzardheroes.ru",[281,2590]],["csgo-guides.ru",281],["games-vam.ru",281],["stopgame.ru",[281,4219]],["vgtimes.ru",[281,4451]],["daxshat.site",[281,4637]],["newstudio.tv",[281,2048,4772]],["varta1.com.ua",[281,594]],["xn--80ac9aeh6f.xn--p1ai",281],["baraholka.onliner.by",[282,283]],["1tv.ru",[283,322,2181,2304]],["artem-kashkanov.ru",283],["astrakhan-24.ru",[283,2488]],["galya.ru",[283,2984]],["gotovim-doma.ru",[283,2126,3057]],["qip.ru",[283,3909]],["vputilkovo.ru",[283,4484]],["www.onliner.by",284],["ont.by",285],["para.by",286],["pogoda.by",[287,288]],["poligon.by",289],["pressball.by",290],["probusiness.by",291],["pronetblog.by",292],["rcity.by",293],["reshu.by",295],["sdamgia.ru",[295,4060]],["finget.ru",[296,595,2917]],["katalog-aktsii.ru",296],["vikings-warofclans.ru",296],["samsebeyurist.by",297],["second.by",[298,299]],["select.by",300],["sn.by",302],["hronikers.com",302],["politarena.online",302],["pclegko.ru",302],["expert.com.ua",302],["volyninfa.com.ua",[302,4975]],["gk-press.if.ua",[302,5035]],["svoboda.te.ua",[302,1679]],["inform.zp.ua",[302,5210]],["forexsystemsru.com",[304,620,635]],["24dom.info",[304,1300]],["omskregion.info",[304,1394,1395,1396]],["softbesplatno.net",[304,844,1932]],["profi-forex.org",[304,2182,2183]],["32cars.ru",304],["marpravda.ru",[304,3430]],["planetaseminarov.ru",304],["smoldaily.ru",304],["vl.ru",[304,2183,2825,2933,4467]],["wordpressinside.ru",[304,4536]],["znamyuzl.ru",[304,2141,4617]],["tods-blog.com.ua",[304,4961]],["tabletka.by",305],["talks.by",306],["transinfo.by",307],["hh.ru",309],["nevasport.ru",[309,1581,3534,3623]],["gx.net.ua",309],["afisha.tut.by",310],["finance.tut.by",311],["pogoda.tut.by",312],["search.tut.by",[313,314]],["rep.ru",[313,3972]],["sport.tut.by",315],["www.tut.by",316],["velvet.by",317],["volkovysk.by",319],["businessman.ru",[319,2626,2627]],["syl.ru",[319,2626,4244]],["vrgames.by",320],["vseprosport.by",321],["vseprosport.kz",321],["vseprosport.ru",321],["vse-pro-sport.com.ua",321],["yandex.by",[322,323,324,325,326]],["kinorium.com",322],["yandex.kz",[322,323,324,325,326]],["drive.ru",[322,2820]],["film.ru",322],["gamemag.ru",[322,2990]],["onlinestreams.ru",[322,3719]],["pikabu.ru",[322,3791]],["pluggedin.ru",[322,378,3807]],["trinixy.ru",[322,4354]],["yandex.ru",[322,323,324,326,4573,4574]],["yandex.uz",[322,323,324,325,326]],["ya.ru",[324,325,326,4562]],["dzen.ru",[326,1962,2833]],["afisha.yandex.by",327],["afisha.yandex.kz",327],["afisha.yandex.ru",327],["afisha.yandex.uz",327],["disk.yandex.by",[328,329]],["disk.yandex.kz",[328,329]],["disk.yandex.ru",[328,329]],["disk.yandex.uz",[328,329]],["disk.yandex.com",329],["docviewer.yandex.by",330],["docviewer.yandex.kz",330],["docviewer.yandex.ru",330],["docviewer.yandex.uz",330],["mail.yandex.by",331],["mail.yandex.com",331],["mail.yandex.kz",331],["mail.yandex.ru",331],["mail.yandex.uz",331],["market.yandex.by",332],["market.yandex.kz",332],["market.yandex.ru",332],["music.yandex.by",333],["music.yandex.kz",333],["music.yandex.ru",333],["music.yandex.uz",333],["radio.yandex.by",[334,335]],["radio.yandex.kz",[334,335]],["radio.yandex.ru",[334,335]],["radio.yandex.uz",334],["rasp.yandex.by",336],["rasp.yandex.kz",336],["rasp.yandex.ru",336],["rasp.yandex.uz",336],["translate.yandex.by",337],["translate.yandex.kz",337],["translate.yandex.ru",337],["translate.yandex.uz",337],["wtftime.ru",[338,4547]],["vesti.ua",[338,453,5201]],["aviso.bz",341],["center.bz",342],["alexfilm.cc",344],["animeonline.cc",345],["apparat.cc",346],["dmod.cc",[347,348,349]],["chudo-povar.com",[347,551]],["help-wifi.com",347],["pixwords-help.info",347],["mydiv.net",[347,1851]],["nikolaev-city.net",347],["readweb.org",347],["pingvin.pro",[347,2254,2255]],["draug.ru",[347,348,349]],["modsforwot.ru",[347,348,349]],["sega-play.ru",347],["slo.ru",[347,4117]],["vplate.ru",347],["7themes.su",[347,4570,4654]],["cyberpedia.su",[347,1427]],["banker.ua",[347,4836]],["blackwot.ru",[348,2587]],["emdigital.ru",348],["pogodavtomske.ru",[348,3819,3820]],["stalkerportaal.ru",[349,4206]],["top-mods.ru",[349,4324]],["stalker-mods.clan.su",[349,535,4664]],["stalker-mods.su",[349,535,4664]],["euro2016.cc",350],["freehat.cc",351],["hdkinomir.cc",352],["joyreactor.cc",353],["reactor.cc",353],["kape.cc",354],["kinogoo.cc",355],["liveball.cc",356],["liveball.uno",356],["muzmo.cc",357],["rf-cheats.ru",[358,3978]],["nulled.cc",360],["pornolenta.cc",361],["1743.ru",[361,2291]],["k-ur.ru",361],["ntsk.ru",[361,2291,3678]],["orki.ru",[361,2291,3736]],["orsk.ru",[361,2291]],["bashinform.rugameportalrf.ru",361],["smotra.ru",361],["gts.tv",[361,2291]],["online.ua",[361,850,5131]],["kinoprofi.vip",[361,2006,5226]],["pornreactor.cc",362],["fapreactor.com",362],["sefon.cc",363],["toples.cc",364],["turbobits.cc",365],["tourbobit.com",365],["turbobif.com",365],["turboobit.com",365],["tourbobit.net",365],["turbobeet.net",365],["turbobit.net",365],["turbobita.net",365],["turbobits.net",365],["turbobi.pw",365],["utorr.cc",366],["filmitorrent.net",366],["gg.xooxo.cc",367],["sportlive365.net",370],["zfilm-hd.org",370],["zfilme-hd1.site",370],["soccer24.top",370],["usgang.ch",371],["vipleague.ch",372],["strikeout.co",[372,426]],["vipleague.co",[372,426]],["vipleague.is",[372,426]],["vipleague.me",372],["homerun.re",372],["vipbox.sx",[372,426]],["zamunda.ch",373],["zamunda.net",373],["baltanews.city",374],["barnews.city",374],["bilopillia.city",374],["bilyayivka.city",374],["chernihiv.city",374],["chortkiv.city",374],["dobronews.city",374],["drohobych.city",374],["energodar.city",374],["fastivnews.city",374],["gylyajpole.city",374],["hadiach.city",374],["haisyn.city",374],["horodok.city",374],["kagarlyk.city",374],["kalushnews.city",374],["kalynivka.city",374],["kavun.city",374],["kitsman.city",374],["konotop.city",374],["kremenets.city",374],["kuma.city",374],["lozova.city",374],["mltpl.city",374],["netishyn.city",374],["nikopol.city",374],["nizhyn.city",374],["novakahovka.city",374],["novograd.city",374],["nsirogozy.city",374],["oretsk.city",374],["pereiaslav.city",374],["petropavlivka.city",374],["popasnaya.city",374],["primorka.city",374],["rakhiv.city",374],["sarnynews.city",374],["shostkanews.city",374],["skadovsk.city",374],["slavuta.city",374],["starkon.city",374],["susidy.city",374],["svatove.city",374],["thegard.city",374],["tira.city",374],["toretsk.city",374],["troyitske.city",374],["volnovakha.city",374],["volodymyrets.city",[374,379]],["yuzhkanews.city",374],["zhmerynka.city",374],["zoloto.city",374],["izmacity.com",[374,739]],["priluki.city",375],["prk.city",376],["technical.city",[377,378]],["tivix.co",[378,427]],["5terka.com",[378,445]],["alive-ua.com",[378,467]],["gazetaby.com",[378,658]],["newsgsm.com",[378,844,858]],["repack-fitgirl.com",378],["rpgdon.com",378],["shkolniku.com",378],["tuttop.com",378],["uaspectr.com",[378,1106]],["gazetaby.info",[378,658]],["kp.kg",[378,1477,1478]],["kp.kz",[378,1477,1478]],["kp.md",[378,1477,1478]],["parazit24.me",378],["gazetaby.media",[378,658]],["igui.mobi",[378,1673]],["outsidethebox.ms",378],["uanic.name",378],["etotop.net",[378,1745]],["jut-su.net",[378,1787]],["ladylib.net",[378,1811]],["yamdex.net",378],["volga.news",[378,2024]],["multfilms.online",378],["anirem.org",[378,2076]],["ok-tv.org",[378,2170]],["only-tv.org",378],["simhost.org",[378,2200]],["tv-only.org",378],["vsetop.org",[378,2227]],["torrent-games.rip",378],["2x2forum.ru",378],["animemobi.ru",[378,2445]],["ap22.ru",[378,2455]],["app-time.ru",[378,2463]],["appsgames.ru",378],["atlantisfood.ru",378],["big-anime.ru",[378,2571]],["bik-info.ru",378],["cheatground.ru",[378,2661]],["chelnyagro.ru",378],["cknow.ru",378],["click-or-die.ru",[378,2692]],["ecofoodferma.ru",378],["elektrosat.ru",378],["etika-education.ru",378],["gamelendi.ru",378],["gameout.ru",[378,698]],["igra-wow.ru",[378,3126]],["instrument16.ru",378],["klub-masterov.ru",378],["kp.ru",[378,1477,1478,3295]],["kritika24.ru",[378,3298]],["libking.ru",378],["mixbits.ru",378],["moy-instrument.ru",[378,1343]],["mrtranslate.ru",378],["ognennoetv.ru",378],["osortah.ru",378],["presentation-creation.ru",378],["privatbankrf.ru",378],["ravis-avto.ru",378],["remont-avtovaz.ru",378],["revelationonlinedb.ru",[378,3976]],["rutracker.ru",[378,4031,4032]],["samelectric.ru",[378,464,2384]],["selomoe.ru",378],["seloved.ru",378],["siddgames.ru",[378,4104]],["steampass.ru",[378,4213]],["stiralkainfo.ru",378],["tmbw.ru",[378,4309]],["topmmo-games.ru",[378,2082]],["torrent-games-2016.ru",378],["totori.ru",[378,4338]],["trackitonline.ru",[378,4343]],["tvoilokony.ru",378],["vizazh-2.ru",378],["zhaparova.ru",378],["algagroup.su",378],["mmorpg.su",[378,474,4681]],["smotret-fizruk-online.su",378],["vsetut.su",378],["gitjournal.tech",[378,901]],["hype.tech",[378,732]],["sonix.tk",378],["aniplay.tv",378],["hdclub.ua",[378,5024]],["pornoakt.click",380],["pornobomba.click",381],["p0sembed.com",381],["pornoklad.live",381],["pbembed.me",[381,1250]],["porn0sex.online",[381,2045]],["zrelki.click",382],["ebaland.net",382],["oxy.cloud",383],["timeweb.cloud",384],["100pdf.club",385],["avtotachki.com",[385,499]],["cryptodzen.com",385],["root-nation.com",[385,433,535,561,986,987]],["ternopillive.com",[385,726,1071,1072,1073]],["volyninfo.com",[385,595,1145]],["dacha.help",[385,1132]],["glavradio.info",385],["lhealth.info",385],["mi100.info",[385,1377]],["ua-report.info",[385,1439]],["analitikaua.net",[385,1439]],["aspekty.net",[385,1439]],["kazakh-zerno.net",[385,388,1224]],["netsofta.net",385],["simptomy-lechenie.net",385],["vgolove.net",385],["erokomiksi.org",385],["alladvices.ru",385],["amorefilms.ru",385],["borodina-protiv-buzovoj.ru",385],["cheb-live.ru",385],["dietdo.ru",[385,2432,2778]],["electric-220.ru",[385,464]],["flytothesky.ru",385],["gametrick.ru",385],["happymodern.ru",[385,3080]],["koskomp.ru",385],["m-zh.ru",385],["muwhi.ru",385],["psiholog4you.ru",385],["rubrowsers.ru",385],["sdelalremont.ru",[385,4062]],["tipsboard.ru",[385,4304]],["vizitnlo.ru",385],["vseiski.ru",385],["withcars.ru",385],["zelenj.ru",385],["pravda.cn.ua",[385,4850]],["4studio.com.ua",385],["auto-portal.com.ua",385],["gizchina.com.ua",385],["kyivvlada.com.ua",[385,4915,4916]],["new-s.com.ua",385],["smartmama.com.ua",[385,1205,4953,4954]],["wona.com.ua",385],["chas.cv.ua",[385,4981]],["ua-news.in.ua",[385,5054]],["golos.te.ua",[385,5144]],["1.zt.ua",[385,4916]],["brazzers-hdx.club",386],["doramy.club",387],["elek.club",388],["rogoff.club",[388,405]],["demotivation.me",[388,1604]],["apachan.net",388],["gameru.net",[388,1763]],["igrigo.net",[388,1780]],["repackov.net",[388,1906]],["rutab.net",[388,1921]],["amdm.ru",388],["amuzic.ru",388],["astromeridian.ru",[388,2492]],["centr-molodosti.ru",388],["documentalnye.ru",[388,2798]],["gossebanmen.ru",388],["hi-fi.ru",[388,462,881,3092]],["miytvideo.ru",388],["nowfilms.ru",388],["oterraria.ru",[388,3744]],["story-house.ru",[388,3902]],["tourister.ru",[388,4339]],["hi-tech.ua",[388,5027]],["womo.ua",388],["filebase.ws",[388,4332,5236]],["fast-torrent.club",389],["nebeda.net",389],["fast-fiml.ru",389],["fast-torrent.ru",389],["filmpotok.ru",389],["kinomuch.ru",389],["pickfilm.ru",389],["veleto.ru",389],["vixim.ru",389],["fast-torrent.su",389],["fireman.club",[390,391]],["diary.ru",[391,764,850,2776]],["ku66.ru",[391,3304]],["prostoprosport.ru",391],["qrz.ru",[391,3912]],["track24.ru",391],["ufanet.ru",391],["pershij.com.ua",391],["gdzotputina.club",[392,393]],["gdzguru.com",[392,666,667]],["megaresheba.com",392],["reshebnik.com",[392,393,666,980]],["sumypost.com",392],["gdz.fm",392],["gdz-putina.fun",[392,1263]],["spishi.fun",[392,393]],["resheba.me",[392,1628]],["gdzputina.net",[392,393]],["zoobrilka.net",[392,393]],["gdz.ninja",[392,393]],["megaresheba.ru",[392,3473]],["stavcur.ru",[392,4212]],["xn--c1acj.xn--p1acf",392],["xn--c1acj.xn--p1ai",[392,5256]],["gtorrent.club",394],["gtorrent.ru",394],["happycoin.club",395],["in-english.club",396],["jutsu.club",397],["kinored.club",398],["musify.club",399],["myzuka.club",401],["onfillm.club",402],["onlinemix.club",403],["reallanguage.club",404],["showfilm.club",406],["slitherio.club",407],["soft-portal.club",408],["flapler.com",408],["mods-game.net",408],["rufonts.ru",[408,4007]],["sverhestestvennoe.club",409],["svoimirykami.club",410],["uakino.club",411],["videonews.club",412],["videozal.club",413],["xexe.club",414],["idwl.cn",415],["bomba.co",416],["grouple.co",[417,418]],["koro.life",417],["doramatv.live",[417,418,1569]],["mintmanga.live",[417,418]],["mose.live",[417,418]],["readmanga.live",[417,418]],["selfmanga.live",[417,418]],["librebook.me",[417,418,1612]],["readmanga.me",417],["selflib.me",[417,418]],["findanime.net",[417,1755]],["allhen.online",417],["ibb.co",419],["brclip.com",[419,531]],["frvid.com",[419,531]],["kzclip.com",[419,531]],["ru-clip.com",[419,531]],["ruclip.com",[419,531]],["thclips.com",[419,531]],["trvid.com",419],["uaclips.com",[419,531]],["kzblow.info",419],["ruburn.info",419],["trshow.info",419],["clip-share.net",[419,531]],["flash-player.net",[419,531]],["jpvid.net",419],["ru-clip.net",[419,531]],["vnclip.net",[419,531]],["infotime.co",[420,421]],["glavnoe.net",421],["kinofilm.co",422],["mp3co.co",423],["mp3no.com",423],["ofxme.co",424],["povar.co",425],["0tvet.com",428],["1001-dollar.com",429],["101xp.com",430],["10fastfingers.com",431],["1bigboss.com",432],["bigboss.video",432],["1informer.com",433],["fainaidea.com",[433,606]],["mediasat.info",[433,1376]],["itech.co.ua",433],["220vk.com",434],["alfa-form.ru",[434,2393]],["24kadra.com",435],["2proraba.com",436],["paperdoc.ru",436],["3dtuning.com",437],["4algeria.com",438],["forum.bestflowers.ru",438],["4creates.com",439],["4itaem.com",440],["4pna.com",[441,442]],["vbsupport.org",[441,2225]],["out-club.ru",441],["forum.print-forum.ru",441],["prioz.ru",441],["4rama.com",443],["5sfer.com",444],["6barrel.com",446],["samru.ru",[446,693]],["6sotok-dom.com",447],["subsidii.net",[447,773]],["ant-top.ru",[447,2449]],["7days-ua.com",[448,449]],["eucargologistic.com",449],["customgames.ru",449],["abc-english-grammar.com",450],["abc-people.com",451],["adblock-tester.com",452],["checkadblock.ru",[452,2604]],["advizzer.com",453],["conversion.im",[453,1289]],["kramatorsk.info",[453,1370]],["uaprom.info",[453,1440,1441]],["ekaraganda.kz",[453,1499]],["lada.kz",453],["coollib.net",453],["musicmp3spb.org",453],["tparser.org",[453,1169]],["cataclysmdda.ru",453],["ereport.ru",453],["floraprice.ru",[453,2933]],["go64.ru",[453,682,3035]],["igrixl.ru",453],["kp40.ru",[453,3296]],["mirnov.ru",453],["musicwars.ru",453],["news29.ru",[453,3631,3632]],["ptzgovorit.ru",[453,3901]],["servers-samp.ru",453],["grinkod.spb.ru",[453,4173]],["vidal.ru",453],["mix.tj",[453,4704]],["sport.ua",[453,1151,5171,5172]],["agro-ukraine.com",454],["agronomu.com",455],["p-p.com.ua",[457,4936]],["agrostory.com",[459,460,461,462]],["perepostil.ru",459],["rabochy-put.ru",[459,1037]],["afisha.s13.ru",459],["sportmaps.ru",[459,561,4190]],["depo.ua",459],["drinks.ua",[459,4993]],["vikna.if.ua",[459,2527,5041]],["zi.ua",[459,462,682,5206]],["l2oops.com",[460,461]],["club.foto.ru",[460,461]],["wm-school.ru",[460,4528]],["acc.cv.ua",[460,461]],["l2anons.ws",[460,461]],["3vozrast.ru",461],["kanalukraina.tv",[461,4758]],["gubkinskiy.com",[462,682]],["mgazeta.com",[462,823,824]],["nmosktoday.com",[462,867]],["rugrad.eu",[462,1222]],["bits.media",[462,1647]],["officelife.media",[462,1656,1657]],["37.ru",[462,2328]],["compulenta.ru",[462,474,2717]],["infostart.ru",462],["mnmag.ru",[462,3515]],["yantann.rbsmi.ru",[462,823,3957]],["yanzori.rbsmi.ru",[462,823,3957,3958]],["seonews.ru",[462,4073]],["vladtv.ru",462],["vn.ru",[462,4474]],["vt-inform.ru",462],["jlady.ru",[463,3207]],["parazitovnetu.ru",[463,2764]],["spinazdorov.ru",[463,1705,4178]],["cardiologiya.com",[464,465,541,542,543]],["floradoma.com",[464,628]],["medotvet.com",[464,465]],["mpsdoc.com",464],["sustav.info",[464,543,1430,1431]],["diabethelp.org",[464,1430,2102]],["1parazit.ru",[464,2298]],["24stoma.ru",464],["alkotraz.ru",464],["big-stirka.ru",464],["f4iwiki.ru",464],["fastcarp.ru",[464,2597]],["firstfisher.ru",464],["kakbik.ru",464],["literaguru.ru",[464,3350]],["luckyfamilyman.ru",464],["medicina-kirov.ru",464],["mixednews.ru",[464,3501]],["moikolodets.ru",[464,465]],["moyapechen.ru",[464,465]],["mr-build.ru",464],["nosnebolit.ru",464],["oprostatit.ru",464],["selok.ru",[464,3081]],["silaman.ru",[464,465]],["udermis.ru",[464,465,1132,1431,2724]],["vesdoloi.ru",[464,4439]],["vitaminius.ru",464],["wheeclamp.ru",464],["youpk.ru",464],["healthy2life.com",465],["kogda-budet.com",465],["papillomy.com",[465,898]],["plateginfo.com",[465,917,918]],["prorecepty.com",465],["vash-ortoped.com",[465,646]],["kpacotka.info",465],["goodread.name",465],["gipergidroz.net",465],["sad-doma.net",465],["womanlady.net",465],["2mb.ru",465],["anginamed.ru",465],["askort-studio.ru",465],["avtoelektrik-info.ru",[465,2521]],["calculat.ru",[465,2640]],["dermatitanet.ru",[465,2768]],["domovityi.ru",465],["etochay.ru",465],["every-holiday.ru",465],["fightnews.ru",465],["fishedem.ru",465],["gameorakul.ru",465],["gboteh.ru",465],["godsvadba.ru",465],["herbaldoc.ru",465],["hozobzor.ru",465],["hudelkin.ru",465],["infekc.ru",[465,3148]],["lookmedbook.ru",[465,3367]],["luxvaz.ru",[465,3376]],["m-e-f.ru",465],["megatechnostroy.ru",465],["mensgen.ru",[465,3479]],["moyaspina.ru",465],["moypodval.ru",[465,3554]],["moyskelet.ru",[465,3555,3556]],["music-education.ru",465],["mykozha.ru",[465,3578]],["namenu.ru",465],["narmed24.ru",465],["narodnaiamedicina.ru",465],["nashirybki.ru",465],["obrazovaka.ru",[465,3555,3688]],["omaske.ru",[465,3081]],["otravlen.ru",465],["podvaldoma.ru",465],["poluchi-teplo.ru",465],["potolokspec.ru",[465,3081]],["progrib.ru",[465,2476,3875]],["prohodimets.ru",465],["promoipochki.ru",465],["salat-legko.ru",465],["samogoniche.ru",465],["sdelala-sama.ru",[465,3598,4061]],["stomachum.ru",465],["telecomspec.ru",465],["timelady.ru",465],["uroki-pitaniya.ru",[465,1132]],["vdv-kavkaz.ru",[465,2126]],["vmirevolos.ru",465],["webdiana.ru",[465,2313,4061,4508]],["zavisimost03.ru",[465,4165,4608]],["zdoroveenet.ru",465],["zhenskij-sajt-katerina.ru",[465,1860]],["elektrik-a.su",[465,4666]],["all-episodesfun.com",468],["all-for-woman.com",469],["back-in-ussr.com",469],["domosedy.com",[469,574]],["edalnya.com",469],["kaksekonomit.com",469],["klikabol.com",469],["myprikol.com",469],["pisez.com",469],["pitomzy.com",469],["rulenta.com",469],["sci-hit.com",469],["slovobozhie.com",469],["tursputnik.com",469],["ya-superpuper.com",469],["zakon-i-poryadok.com",469],["videohit.info",469],["budtezdorovy.net",469],["malyutka.net",469],["showbizzz.net",469],["klubnichka.xyz",469],["mistika.xyz",469],["allmoldova.com",[470,471]],["pavon.kz",[471,1521]],["pavlodar.news",[471,1521]],["gdeposylka.ru",[471,3011]],["infomir59.ru",[471,3151]],["rentv-smolensk.ru",471],["telesputnik.ru",[471,3590,4279]],["ubuntovod.ru",471],["webmasters.ru",[471,4509]],["allnetcorp.com",472],["allsportlinks.com",473],["alogvinov.com",[474,475]],["gamer-info.com",[474,652]],["kudago.com",474],["aif.ru",[474,2386]],["computerra.ru",[474,2530,2718]],["gamebomb.ru",[474,2989]],["forums.goha.ru",474],["gotps3.ru",[474,3058]],["kugesi.ru",[474,2306,2663]],["move.ru",[474,3549]],["na-svyazi.ru",[474,2306,2662,2664,3593,3594]],["omskpress.ru",[474,3709]],["ps3hits.ru",474],["radiorecord.ru",474],["readovka.ru",[474,3961]],["shazoo.ru",[474,4091]],["sobaka.ru",[474,4137]],["sportbox.ru",[474,2181,4186]],["altai4u.com",476],["amoledo.com",[477,478]],["anatomia-strasti.com",479],["andro-news.com",480],["ani-mania.com",481],["anidubonline.com",483],["anidub.vip",483],["anifap.com",484],["anitokyo.org",[484,2077]],["anitokyo.tv",[484,2077]],["animenfo.com",485],["nnm-club-me.appspot.com",486],["nnm-club.lib",486],["nnm-club.me",486],["nontorclub.in.net",486],["nnmclub.to",[486,4714]],["nnm-club.ws",486],["aratta-ukraine.com",487],["drawnstories.ru",487],["tvvse.my1.ru",[487,3570]],["webos-forums.ru",[487,4511]],["gisclub.tv",487],["teremok.org.ua",[487,5145]],["armadaboard.com",488],["armfootball.com",489],["asiapoisk.com",490],["assiatv.com",491],["tv-assia.org",[491,2218]],["astrolibra.com",492],["medickon.com",492],["multrecept.com",492],["tvoipitomec.com",492],["tvoipitomec.info",492],["au-ok.com",493],["autosoftos.com",494],["averina.com",495],["just-for-fun.ru",[495,3214]],["avtomaniya.com",496],["avtorambler.com",[497,498]],["rambler.ru",[497,3005,3934]],["auto.rambler.ru",498],["azrotv.com",500],["baby-mult.com",501],["baku365.com",502],["balticlivecam.com",503],["speedtest.org.ua",503],["batpic.com",504],["batzbatz.com",505],["bd-sanctuary.com",506],["cine-sanctuary.com",506],["comics-sanctuary.com",506],["manga-sanctuary.com",506],["bdsmplaneta.com",507],["belarushockey.com",508],["belprauda.com",[509,510]],["desktophut.ru",509],["bessarabiainform.com",[511,512]],["bezzamorochek.com",514],["bigcaucasus.com",515],["bilshe.com",[516,517]],["businessua.com",[516,540]],["multikino.com",516],["binary-forum.com",518],["bitmakler.com",519],["bless-news.com",520],["blogspot.com",521],["newnavitel.blogspot.com",522],["uaexpert.blogspot.com",524],["zvamynews.blogspot.com",525],["sportnet.live",[525,1575]],["joomlatown.net",525],["flb.ru",525],["ipadus.ru",525],["kaifzona.ru",525],["klanwin.ru",[525,3268]],["ruspicbox.ru",525],["sovsekretno.ru",[525,3053,4167]],["znaj.ua",[525,5208]],["booksgid.com",526],["boom365hd.com",527],["sport365hd.com",527],["sport365hd.net",527],["whd365.pro",527],["bountyporn.com",528],["pornoneverdie.com",528],["boxrec.com",[529,530]],["iphones.ru",[530,3176]],["lovitut.ru",[530,3372]],["pc.ru",530],["brd24.com",[532,533]],["onyxgame.com",[532,890]],["minizal.net",532],["anti-malware.ru",[532,2451]],["brestcity.com",534],["browserleaks.com",535],["nookea.com",535],["otzovik.com",[535,895]],["studizba.com",535],["todotech20.com",535],["forum.vorota.de",[535,1201]],["anivisual.net",535],["ficbook.net",[535,1751]],["apptractor.ru",535],["kg-portal.ru",[535,3238]],["kulturologia.ru",[535,3307]],["forums.overclockers.ru",[535,3751]],["btcsec.com",536],["unian.info",[538,1332,1348,1349,1432,1443]],["unian.net",[538,1332,1348,1349,1432,1443]],["buhgalter.com.ua",[538,539,4354,4871]],["factor.ua",[538,5002]],["tsn.ua",[538,5189]],["unian.ua",[538,1332,1348,1349,1432,1443]],["omastopatii.ru",[541,3705]],["prizvanie.su",[543,4689]],["casino-mining.com",544],["ceesty.com",545],["clkmein.com",545],["cllkme.com",545],["corneey.com",545],["destyy.com",545],["festyy.com",[545,615]],["gestyy.com",545],["newsfortrump.ga",545],["skipp.io",545],["clkme.me",545],["skiip.me",545],["viid.me",545],["wiid.me",545],["sh.st",545],["shorte.st",545],["jigbig.tk",545],["rutracker.lib",[546,707,1554]],["rutr.life",[546,707,1554]],["rutracker.net",[546,707,1554]],["rutracker.nl",[546,707,1554]],["rutracker.org",[546,707,1554]],["cherkassy-sport.com",548],["chesalka.com",549],["chezasite.com",550],["padaread.com",552],["devby.io",[552,1132,1465]],["moika78.ru",[552,3533,3534]],["dev.ua",[552,1132,1465]],["cikavosti.com",553],["city4me.com",554],["clip2net.com",555],["clusterdelta.com",556],["consol-games.com",557],["consol-games.net",557],["coub.com",558],["cowcotland.com",559],["wamiz.com",559],["cpasee.com",560],["crazyatomicgames.com",[561,562]],["xxx-igra.com",[561,562]],["yaldagames.com",[561,562]],["torrentinka.me",[561,1639]],["cyclone-soft.com",564],["hide-info.pro",564],["gameshake.ru",564],["dailylviv.com",565],["depfile.com",566],["depositfiles.com",567],["diabet-med.com",[568,569]],["on-movie.net",568],["forum.masterforex-v.org",568],["dk003.com",571],["donpress.com",575],["dotabuff.com",576],["drive2.com",[577,578]],["drive2.ru",[577,2821]],["drugasmuga.com",579],["dynamomania.com",580],["dzfoot.com",581],["easypronunciation.com",583],["economistua.com",584],["efootballdb.com",585],["myfootball.top",[587,4729]],["ekovolga.com",[588,589]],["gofrag.ru",588],["imenie-home.ru",[588,589]],["news-tape.ru",[588,589,3630]],["vamrecipes.ru",[588,589]],["emotionalrating.com",591],["777score.ru",[591,844,2349]],["ok-magazine.ru",591],["poltava.to",591],["expert.in.ua",[593,594]],["ukrnews24.net",[594,1964]],["dks.com.ua",594],["galinfo.com.ua",[594,4893]],["nbnews.com.ua",594],["plitkar.com.ua",594],["rivnepost.rv.ua",[594,5163]],["real-vin.com",[595,974]],["audiotag.info",[595,1312]],["stravy.net",595],["inforesist.org",[595,1517,2132]],["ostro.org",595],["eurointegration.com.ua",[595,4885,4886,4887]],["erocadr.com",596],["erotix-tv.com",597],["kinorai.org",597],["escorenews.com",598],["bestgardener.ru",[598,2564]],["compress.ru",[598,2716]],["espanarusa.com",599],["esputnik.com",600],["eurabota.com",601],["examenpdd.com",[602,603]],["liveinternet.ru",[603,785,1339,2553,3359]],["experttur.com",604],["f1analytic.com",605],["f1ua.org.ua",605],["fashion2news.com",[607,608]],["wormax.io",607],["moyens.net",607],["newspad.ru",[607,608]],["zazloo.ru",[607,700,4609]],["hotallnews.today",[607,608]],["portaltele.com.ua",[607,700,4942]],["kreschatic.kiev.ua",607],["tales.org.ua",607],["itop-gear.ru",[609,3192]],["fcportables.com",611],["afrowesh.org",611],["fctvhd.com",612],["felomena.com",613],["fgh-game.com",616],["filmisub.com",617],["filmovmir.com",618],["bogmedia.org",[619,2092]],["anilib.moe",[620,1676]],["anilib.one",[620,1676]],["anilibria.iss.one",[620,1676]],["medkrug.ru",[620,3464]],["anilib.top",[620,1676]],["must-see.top",620],["anilibria.tv",[620,1676]],["financerites.com",621],["finatica.com",622],["findretros.com",623],["fit4brain.com",624],["flashscorekz.com",625],["flashscore.ru.com",625],["soccerstand.com",625],["livescore.in",625],["flashscore.com.ua",625],["flashscore.ua",625],["flightradar24.com",626],["online.fliphtml5.com",627],["fon-ki.com",629],["megomult.ru",[629,2740]],["footballgazeta.com",630],["footboom.com",[631,632,633]],["footboom.kz",[631,633]],["ifin.kz",[633,1503]],["for-ua.com",634],["forklog.com",636],["formulalubvi.com",[637,638]],["humor.fm",[637,1236]],["econet.ru",[637,2846]],["forumdz.com",639],["forumodua.com",[640,641]],["virusinfo.info",[641,1447]],["forum.developing.ru",[641,2772]],["ruboard.website",[641,5227]],["virusbase.ru.free-anti-spy.com",642],["autoua.net",[644,1703]],["www.okino.ua",644],["gamasexual.com",645],["gamasexual.ru",645],["game-mcpe.com",646],["reshator.com",[646,979]],["polismed.ru",646],["taurion.ru",[646,4263]],["videoculinary.ru",[646,4452]],["game-tournaments.com",[647,648]],["gdetoedet.ru",[648,3012]],["uzum.tv",[648,4804]],["gamegpu.com",649],["gameinonline.com",650],["gamepedia.com",651],["gamesubject.com",653],["ganoderma-mushrooms.com",654],["korrektor.name",654],["varicream.org",654],["gasolina-online.com",[655,656]],["galka.if.ua",[656,5034]],["gazeta1.com",657],["gazetavv.com",659],["gazgolder.com",660],["gdetraffic.com",[661,662]],["eurolab.ua",[662,5000]],["novaposhta.ua",662],["gdz-free.com",663],["gdz4you.com",664],["gdzbot.com",665],["gigantporno.com",670],["htmlweb.ru",[670,674,3115]],["glavpost.com",[671,672]],["prohondroz.ru",[672,1705,3244,3876]],["ittour.com.ua",[672,2699,4906]],["glianec.com",673],["elsyst.gnomio.com",674],["pvpru.com",[674,962]],["bestradio.fm",[674,1233]],["forum.niiot.net",[674,1862]],["ghame.ru",674],["ph4.ru",[674,3783]],["mail.google.com",676],["sites.google.com",677],["amaterka.ru",677],["blogspot.ru",[677,2591]],["www.google.com",678],["www.google.ru",678],["grodno24.com",679],["gta5-mods.com",681],["paparazzi.ru",[682,1517,3757]],["guzei.com",683],["habr.com",684],["qna.habr.com",685],["hariola.com",[686,687]],["ukrhealth.net",686],["hdkinoteatr.com",[688,689]],["hdkinoteatr3.net",[688,1776]],["hearthhead.com",[690,691]],["wowhead.com",[690,691,1174]],["thottbot.com",691],["hellomagazine.com",692],["mp3davalka.com",693],["mymedicalportal.net",[693,1853]],["work.ua",[693,5205]],["forums.heroesofnewerth.com",695],["hitmotop.com",696],["mod-land.ru",698],["sho.org.ua",[700,5143]],["iccup.com",701],["id-storage.com",702],["ignio.com",703],["igorchernomoretz.com",704],["igropoisk.com",705],["lelang.su",[707,4677]],["shopping.nv.ua",[707,5119]],["ilikenews.com",708],["imagebam.com",709],["imgrutor.com",711],["imolodost.com",712],["opitanii.net",712],["incrypted.com",713],["infokava.com",716],["obozrevatel.com",[717,879,880,881]],["pogodnik.com",[717,930,931]],["bychico.net",717],["ecosounds.net",717],["musecube.org",717],["dyrik.ru",717],["in-drive.ru",717],["oknotivi.ru",717],["sandero.ru",[717,4044]],["turbominer.ru",717],["infoyarsk.com",718],["interesniy.com",[719,720]],["bookskeeper.ru",[720,2603,2604]],["intv.com",721],["intvua.com",722],["investing.com",723],["iobit.com",724],["ripik.net",724],["megatrest.ru",724],["sofirus.ru",[724,4143]],["softa-mnogo.ru",[724,4149]],["xakeroker.ws",724],["autocentre.ua",[726,1313,4832]],["cheline.com.ua",[726,4875]],["te.ua",[726,1071,2467,5182]],["itvmg.com",727],["iviche.com",728],["ixbt.games",[730,736]],["ixbt.market",[730,731]],["ixbt.pro",730],["rbkgames.com",[732,973]],["vyborok.com",732],["forum.ixbt.com",733],["prosound.ixbt.com",734],["smb.ixbt.com",[735,736]],["www.ixbt.com",737],["izcity.com",738],["cdmail.ru",738],["ualinux.com",739],["ndn.info",[739,1385]],["radnuk.info",[739,1408]],["zvid.org",739],["chronicles.pro",739],["arz-biz.ru",[739,2483]],["dtpptz.ru",739],["fermagid.ru",739],["hv-info.ru",[739,3116]],["infoselection.ru",[739,3154]],["ko44.ru",739],["mamadysh-rt.ru",739],["medicalj.ru",739],["muzcentrum.ru",739],["newgubakha.ru",739],["ok-inform.ru",739],["planetaskazok.ru",739],["shansonline.ru",739],["tv29.ru",739],["kaskad.tv",739],["obs.in.ua",739],["jaitoutcompris.com",740],["gitarist05.jimdo.com",741],["journaldugeek.com",742],["kaddr.com",743],["kafanews.com",744],["kulinarnayamozaika.ru",745],["z-city.com.ua",745],["kanoner.com",747],["karpovka.net",747],["keysportal.com",748],["kharkovforum.com",749],["khersondaily.com",750],["kiev2000.com",751],["kinogorod.com",753],["kinokladovka.com",754],["kinopoiskhd.com",755],["kinopult.com",756],["kinorubik.com",757],["kinospy.com",758],["kinovidos.com",759],["kissvk.com",760],["kloomba.com",[761,762]],["klumba.com",761],["klopotenko.com",[763,764,765]],["altapress.ru",[763,2421,2422]],["komedra.com",767],["krastown.com",768],["krymr.com",769],["kubik-v-kube.com",770],["kursk.com",772],["kykarek.com",773],["vjazanie.info",773],["sobakada.ru",773],["lagrosseradio.com",774],["leechyscripts.com",776],["life-reactor.com",777],["list-org.com",778],["littleone.com",779],["litvek.com",780],["outlook.live.com",781],["flicksbar.fun",[783,1261]],["flicksbar.info",[783,1261]],["agroinfo.kz",[783,1491,1492]],["flicksbar.mom",[783,1261]],["vp.rambler.ru",[784,3943]],["colonelcassad.livejournal.com",786],["dubikvit.livejournal.com",787],["masterok.livejournal.com",788],["odin-moy-den.livejournal.com",789],["sergeydolya.livejournal.com",[789,791]],["yurasumy.livejournal.com",[789,794]],["puerrtto.livejournal.com",790],["varlamovru.livejournal.com",792],["www.livejournal.com",793],["zloy-odessit.livejournal.com",795],["llifle.com",796],["lospopadosos.com",797],["radojuva.com.ua",797],["lostfilmstv.com",798],["lostpix.com",799],["lr-club.com",[800,801]],["finversia.ru",[801,2920]],["pogoda.ru",[801,3815]],["severinform.ru",801],["lyrsense.com",802],["vashuchebnik.com",802],["en365.ru",802],["maanimo.com",803],["macilove.com",804],["magical-skin.com",805],["malekal.com",[806,807]],["dalaaadno.ru",806],["dokfilm.maminforum.com",808],["mastergrad.com",[809,810]],["govp.info",[809,1351,1352]],["allforpeople.net",809],["rtlxl.nl",809],["433175.ru",809],["naurfo.ru",[809,3610]],["forum.qrz.ru",809],["wallpapershome.ru",809],["matiz-club.com",811],["mediafire.com",812],["medvesti.com",813],["meendoru.com",814],["megosales.com",[815,816]],["otcrytki.com",815],["gidonline.fun",[816,1264]],["gig-games.net",816],["torrents-soft.net",[816,1954]],["yaebus.net",816],["aggromusic.ru",816],["fullpcgame.ru",816],["torrent-song.ru",816],["melodramo.com",817],["mesjachnye.com",818],["metal-tracker.com",819],["fontov.net",819],["metanit.com",820],["meteobar.com",821],["meteopost.com",822],["micro-win.com",[825,826]],["headsoft.kz",825],["rl-team.net",[825,1911]],["bookarchive.ru",825],["vsetyt.us",825],["mignews.com",827],["milliarderr.com",828],["mirfactov.com",830],["mister-blister.com",831],["mistosumy.com",832],["mynizhyn.com",[832,847]],["mobile-files.com",833],["solnechnogorsk.net",833],["cqham.ru",[833,2728]],["nexia-club.ru",833],["zx-pk.ru",[833,3561,4631]],["foto.ua",[833,3260,5014]],["moniheal.com",836],["moscow-post.com",837],["forum.finance.ua",837],["ru.motorsport.com",838],["motovolg.com",839],["mozgotvet.com",840],["mp4upload.com",841],["www.mp4upload.com",842],["mreadz.com",843],["music-torrent.com",844],["kino4k.in",844],["games.portal.md",844],["online-fix.me",[844,1620]],["kinofanonline.net",844],["texdizain.net",[844,1948]],["animesure.org",844],["musictor.org",844],["windowspro.ru",844],["rg-mechanics.site",844],["muzofon.com",845],["myfreeproject.com",846],["nashamama.com",849],["nashmontreal.com",[850,851]],["mail.ukr.net",[850,1961]],["consultant.ru",850],["cossa.ru",[850,2723]],["mgnews.ru",[850,3487]],["kriminal.tv",[850,912,3430,4762]],["studclub.poltava.ua",850],["nashol.com",852],["nautiljon.com",854],["newgdz.com",855],["politros.com",857],["slovodel.com",[857,1032]],["softpir.com",[858,1040]],["wkino4.net",[858,1983]],["newsland.com",859],["newsmsk.com",860],["newsru.com",861],["nexusmods.com",862],["forums.ngemu.com",863],["nicematin.com",864],["varmatin.com",864],["monacomatin.mc",864],["nikvesti.com",865],["ninemanga.com",866],["nonameno.com",[868,869]],["rusrek.com",868],["x-raydoctor.ru",[868,4552]],["notebookcheck-ru.com",870],["noteru.com",871],["uzl71.ru",871],["novostivmire.com",872],["novyjgod.com",873],["novynarnia.com",874],["numberempire.com",875],["nwcod.com",876],["o-doroge.com",877],["oboz.ua",[880,5120]],["ua-independent.com",881],["vbryanske.com",[881,1122]],["opticlub.org",881],["amic.ru",[881,2426]],["anime-bit.ru",[881,2012,2439]],["inflora.ru",[881,3149]],["lifenews.ru",[881,2053,2403]],["lifenews78.ru",[881,2053]],["players.com.ua",[881,4938]],["www.obozrevatel.com",882],["officebesplatno.com",884],["ogemorroe.com",885],["ogorodniki.com",886],["pdalife.ru",[886,2158,3768]],["okaygorod.com",887],["onlinemschool.com",888],["onlinetestpad.com",889],["open3dmodel.com",891],["opisanie-kartin.com",892],["orakul.com",893],["orybe.com",894],["ozlib.com",896],["studref.com",896],["vuzlit.com",896],["bstudy.net",896],["studbooks.net",[896,1939]],["studwood.net",896],["studme.org",[896,1939,2208]],["xstud.org",896],["pamm-fxprofit.com",897],["parnuxi.com",899],["partnerkin.com",900],["pastebin.com",901],["anime-free.ru",901],["meteoservice.ru",901],["pawno-info.ru",[901,3763]],["admin.rainbow-online.ru",901],["logist.uxxo.ru",901],["forum.pcastuces.com",902],["pddua.com",903],["pdd.ua",903],["photofacefun.com",905],["photofilters.com",906],["photofuneditor.com",907],["photopea.com",908],["photos-models.com",909],["pic-chik.com",910],["pidru4nik.com",[911,912]],["forpost.media",912],["dochronika.ru",912],["www.semestr.ru",[912,4072]],["bigkyiv.com.ua",912],["uti-puti.com.ua",[912,4970]],["today.ua",912],["pinterest.com",913],["pise4ka.com",914],["pk-help.com",915],["pkmods.com",916],["qiwiq.ru",918],["player-cdn.com",920],["playmarket-for-pc.com",[921,922]],["playmarket-pc.com",922],["roblox-pc.com",922],["playonlinux.com",923],["playvega.com",924],["playvideolink.com",925],["moevideo.net",925],["videochart.net",[925,1049,1969]],["thesame.tv",[925,4799]],["podillyanews.com",926],["podolyaka.com",[927,928]],["pay-day.ru",[927,3764]],["podolyaka.ru",[927,928,3813]],["tvcenter.ru",927],["warhead.su",927],["pogoda.com",929],["police-russia.com",932],["polosedan-club.com",934],["poltava365.com",935],["poltavaforum.com",936],["pons.com",937],["poragovorit.com",938],["encyclopaedia-russia.ru",938],["pornhub.com",939],["pornopodborka.com",940],["pornovkisku.com",941],["pindosoff.net",941],["teplomontag.net",941],["potokcdn.com",942],["prankota.com",[943,944,945]],["ua-novosti.info",[944,1103,1438]],["ua-novosti.online",944],["glamour.kyiv.ua",[944,1103]],["spyware-ru.com",945],["pressa-online.com",946],["primanki.com",947],["private-records.com",948],["privatfinance.com",949],["proglazki.com",950],["programma-peredach.com",951],["proidei.com",952],["promodj.com",953],["hitsovet.ru",[956,3098,3099]],["prostomac.com",957],["db.chgk.info",957],["dsvload.net",[957,1739]],["gubkabob.net",957],["forzajuve.ru",[957,1394,2958]],["kak-spasti-mir.ru",957],["moi-detsad.ru",957],["rap-text.ru",957],["recensent.ru",957],["seriatv.ru",[957,4080]],["volomy.ru",957],["podrobno.uz",[957,1037,2661,5218]],["prostomob.com",958],["pslan.com",960],["pythonru.com",963],["radiobells.com",964],["radiogrom.com",965],["radioprofusion.com",966],["radiox.com",967],["rafkino.com",968],["forum.raskraska.com",970],["raspisanie24.com",971],["razvitierebenka.com",972],["receptisalatov.com",975],["redtram.com",976],["redtube.com",977],["reklama-crimea.com",978],["podolsk.ru",[978,3812]],["gdzplus.me",979],["retinaboys.com",981],["rewalls.com",982],["auto.ria.com",983],["riotpixels.com",985],["vpnmag.ru",987],["rosphoto.com",988],["royallib.com",989],["rtkorr.com",991],["automobili.ru",[991,1037]],["forum.ru-board.com",992],["rubryka.com",[993,994]],["theuk.one",[993,2033,2034]],["test-nmo.ru",993],["ruero.com",995],["ruinformer.com",996],["runyweb.com",997],["rupier.com",998],["ruseller.com",999],["forums.rusmedserv.com",1000],["rusopen.com",1001],["russian-bazaar.com",[1002,1003]],["nr2.ru",1002],["russiandc.com",1004],["rustorka.com",1005],["rustorkacom.lib",1005],["rustorka.net",1005],["game4you.top",1005],["games-pc.top",1005],["innal.top",[1005,4725]],["naylo.top",1005],["rustorka.top",1005],["pogodasakhcom.ru",[1007,3818]],["rusprofile.ru",[1007,4021,4022]],["ykt.ru",[1007,4003,4583]],["sakhalin.tv",1007],["marketsakhcom.ru",[1008,3429]],["travelsakhcom.ru",1009],["sakh.name",1010],["autosakhcom.ru",1010],["f-1.ru",1011],["salonav.com",1012],["sat-digest.com",1013],["sat-expert.com",1014],["gorodvkusa.ru",1014],["sbfull.com",1015],["raes.tech",1015],["wigistream.to",1015],["serialy-2021.com",1016],["serialy-tor.com",1016],["setafi.com",1017],["reedr.ru",[1017,3964]],["sexgamesbox.com",1018],["sexsmotri.com",1019],["shadbase.com",1021],["sherdog.com",1022],["shraibikus.com",[1023,1024]],["topdaynews.ru",1024],["sibmail.com",1025],["siliconrus.com",1026],["sims-game.com",[1027,1028]],["sivator.com",1029],["skatay.com",1030],["smotri.com",1033],["snatchnews.com",1034],["sntch.com",1035],["soccer0100.com",1036],["spectehinfo.ru",1036],["trudbox.com.ua",1036],["sochi.com",1037],["2x2tv.ru",[1037,2323]],["actualcomment.ru",1037],["asn24.ru",1037],["kubnews.ru",[1037,1517,1550]],["lgz.ru",[1037,3334]],["newsroom24.ru",[1037,3638]],["ohranatruda.ru",[1037,1305]],["onlinetambov.ru",[1037,3720]],["mk.tula.ru",[1037,4361]],["vegetarian.ru",[1037,4435]],["velikiynovgorod.ru",1037],["forum.soft4dle.com",1038],["softobase.com",1039],["softportal.com",1041],["solverbook.com",1042],["soonnight.com",1043],["spanishdict.com",1045],["spartak.com",1046],["sportanalytic.com",1047],["sportliga.com",[1050,1051,1052]],["manutd.ru",[1050,3426]],["c-sgo.ru",[1051,2635]],["sportrecs.com",1053],["spravkus.com",1055],["profinance.ru",[1055,3872]],["sputnikipogrom.com",1056],["stroy-telo.com",1057],["superkot.com",1058],["forum.superkot.com",1059],["sxnarod.com",1060],["sxn.today",1060],["tagaev.com",1061],["site-do.ru",[1061,4108]],["footballtransfer.com.ua",[1061,4891]],["taobao-forum.com",1062],["tapclap.com",1063],["rgfootball.net",[1063,1909]],["ascnb1.ru",[1063,2484]],["matematikalegko.ru",[1063,3436]],["orangeapps.ru",[1063,3730]],["shadowlands.ru",1063],["tarkov-market.com",1064],["tatfish.com",1065],["technologypep.com",1066],["techonthenet.com",1067],["tehnot.com",1068],["tehnoyug.com",1069],["telestrekoza.com",1070],["pb-news.info",1071],["pasy.media",[1071,1660]],["agroter.com.ua",[1071,4861,4862]],["oblast-te.com.ua",[1071,4933]],["skidkaonline.ru",1073],["terrikon.com",1074],["tgstat.com",1075],["tgstat.ru",1075],["the-clu.com",1076],["theageoffootball.com",1078],["therussianamerica.com",1079],["tod-news.com",1080],["tomat-pomidor.com",1081],["topasnew24.com",[1082,1083]],["payeer-gift.ru",[1083,3765]],["upl.uz",1083],["topsante.com",1084],["closermag.fr",[1084,1255]],["grazia.fr",1084],["torent-igruha.com",1085],["inferno.games",1085],["rutor-gamer.info",1085],["torrentigo.net",1085],["only-soft.org",1085],["torrentigruha.org",1085],["torrent-soft.pro",1085],["besplatnyeprogrammy.ru",[1085,2561]],["mediagetguru.ru",1085],["rutor-game.ru",1085],["torrent-music.ru",1085],["where-game.ru",1085],["apad2.top",1085],["monna2.top",1085],["torontovka.com",1086],["torrent-pirat.com",1087],["torrenther.com",1088],["smotret-multfilmi.net",1088],["torrentmir.com",1089],["5torrent.net",1089],["8torrent.net",1089],["bootos.net",1089],["vse-serii.net",1089],["animevost.org",[1089,1742,2075]],["knigomania.org",1089],["vost.pw",[1089,1742,2075]],["dosgames.ru",1089],["minecraft-files.ru",[1089,3490]],["newpcgame.ru",1089],["torrent-bro.ru",1089],["torrent-cash.ru",[1089,4333]],["torrent-post.ru",1089],["torrgames.ru",1089],["animevost.top",[1089,1742,2075]],["xn----7sbcqvkpkdtgif1a4h.xn--p1ai",1089],["dating.trans-admirer.com",1090],["trassae95.com",1091],["truba.com",1093],["trud.com",1094],["twirpx.com",1096],["twirpx.org",1096],["ua-cinema.com",1097],["ua-ekonomist.com",1098],["ua-electro.com",1099],["ua-football.com",[1100,1101]],["livesport.ru",[1101,3357,3363,3364]],["sport24.ru",[1101,1742,4185]],["livecup.run",[1101,3363]],["ua-vestnik.com",[1102,1103]],["edu-lib.net",1102],["az-priroda.ru",1102],["bisnesideya.ru",[1102,2579]],["doctorrouter.ru",[1102,1294,2795,2796]],["farmamir.ru",[1102,2894]],["halyavapliz.ru",1102],["kopilohka.ru",1102],["ruskweb.ru",1102],["samogonpil.ru",1102],["x-kuzov.ru",[1102,1526,4551]],["yroki-kompa.ru",[1102,4590]],["medicalanswers.site",1102],["lifeinvest.com.ua",1102],["medfactor.com.ua",1102],["medicalanswers.com.ua",[1102,1103]],["uapress.kyiv.ua",[1102,1438]],["woman24.kyiv.ua",1102],["zhenskiy.kyiv.ua",[1102,1103]],["marketer.ua",1102],["dialogs.org.ua",[1102,5136]],["news24.in.ua",[1103,1438]],["arguments.kyiv.ua",1103],["dailynews.kyiv.ua",1103],["elegantwoman.kyiv.ua",[1103,5082]],["lady.kyiv.ua",1103],["womanlife.kyiv.ua",1103],["useti.org.ua",1103],["uaplay.com",1104],["gameshare.com.ua",1104],["drevo.uaportal.com",1105],["nuriknur.ucoz.com",[1107,1108]],["drochunov.net",[1108,1737]],["ukrainianiphone.com",1110],["ukrmilitary.com",1112],["unibytes.com",1113],["unit-car.com",1114],["ur8lv.com",1115],["v-androide.com",1120],["vazremont.com",1121],["book-briefly.ru",[1121,2602]],["velikolepnyivek.com",[1123,1124]],["kino-history.net",1123],["versii.com",1125],["vesti-ukr.com",1126],["via-midgard.com",1127],["1hd1080.info",[1127,1299]],["1hd1080tv.info",[1127,1299]],["2hd1080.info",[1127,1299]],["newsbalt.ru",[1127,3634]],["videoprobki.com",1128],["vidzur.com",[1129,1130]],["videofun.me",[1129,1130,1641]],["videobug.net",[1129,1130,1968]],["play44.net",1130],["yucache.net",1130],["vinbazar.com",1131],["vipidei.com",1132],["orchardo.ru",1132],["vizyt.com",1133],["vk.com",[1134,1135,1136]],["vk.ru",1134],["m.vk.com",1137],["vkfaces.com",1138],["vkurske.com",[1139,1140]],["vo-production.com",1141],["volnafm.com",1143],["volnorez.com",1144],["volynnews.com",1146],["volynpost.com",1147],["vpopke.com",1148],["bookmo.org",1148],["eromo.org",1148],["vidmo.org",1148],["vrhell.com",1149],["vsaduidoma.com",1152],["vseazs.com",1153],["vserialy.com",1154],["vserialy.fun",1154],["great-tv.ru",1154],["vsetv.com",1155],["vskazketv.com",1157],["new-team.org",1157],["bigbangtv.ru",1157],["onlysimpsons.ru",[1157,3723]],["swip.su",1157],["vtb-league.com",1158],["want2vote.com",1159],["wbprx.com",1160],["we-reads.com",1161],["webtun.com",1162],["wiaderko.com",1163],["wikihow.com",1164],["wikiwolrd.com",1165],["windows-disk.com",1166],["windows-driver.com",1167],["windows-program.com",1167],["softomania.net",1167],["warezok.net",1167],["windows-driver.net",1167],["winreviewer.com",1168],["world-mmo.com",[1169,1170]],["wot-news.com",[1171,1172]],["eda.ru",[1172,2847]],["sevastopol.su",[1172,4693]],["firtka.if.ua",1172],["wotactions.com",1173],["wylsa.com",1175],["x-console.com",1176],["xreferat.com",1177],["xv-ru.com",1178],["yablyk.com",1180],["yakpravylno.com",1181],["yap.ru.yaplakal.com",1183],["yarnovosti.com",1185],["youtebem.com",1186],["rusfootball.info",1186],["obozvrn.ru",1186],["agri-gator.com.ua",[1186,4856]],["rama.com.ua",1186],["subbota.ua",[1186,5178]],["youtube.com",1187],["zarlit.com",[1188,1189]],["remake.net.ru",1189],["zestradar.com",1191],["zh24.com",1192],["znak.com",1193],["znanija.com",1194],["zx-pk.com",1195],["gidonline.cx",1196],["igra-prestoloff.cx",1197],["objavlenija.respublika.cz",1198],["filmix.date",1199],["filmix.fm",1199],["filmix.life",1199],["filmix.pub",1199],["filmix.tech",1199],["filmix.zone",1199],["dl2kq.de",1200],["dic.academic.ru",1201],["f1comp.ru",1201],["ftuapps.dev",1202],["ideaprog.download",1203],["lostfilm.download",[1204,1205]],["lostfilm.life",[1204,1205]],["lostfilm.one",[1204,1205]],["lostfilm.pro",[1204,1205]],["lostfilmtv.site",[1204,1205]],["lostfilmtv2.site",[1204,1205]],["lostfilmtv3.site",[1204,1205]],["lostfilmtv5.site",[1204,1205]],["lostfilm.space",[1204,1205]],["lostfilm.today",[1204,1205]],["lostfilm.tv",[1204,1205,4765]],["lostfilm.tw",[1204,1205]],["lostfilm.uno",[1204,1205]],["lostfilmtv.uno",[1204,1205]],["lostfilm.win",[1204,1205]],["mylenium.ru",1205],["100filmov.net",[1207,1689]],["keys-kas.ru",1207],["posters.ec",1208],["lib.rus.ec",1208],["delfi.ee",1209],["lol24.ee",1210],["postimees.ee",1211],["rybolov.ee",1212],["stena.ee",1213],["money.energy",1214],["malagarusa.es",1215],["muzland.es",1216],["muzland.info",1216],["muzland.ru",1216],["euroiphone.eu",1217],["gidonline.eu",1219],["kinogo.eu",1220],["moscowtimes.eu",1221],["moscowtimes.ru",1221],["ruslife.eu",1223],["autotuning.expert",1224],["egdz.net",1224],["7zip-download.ru",1224],["fbm.ru",1224],["soft-click.ru",[1224,4145]],["direct.farm",[1225,1226]],["myplaycity.ru",[1226,3581]],["afisha.fi",1227],["doska.fi",[1228,1229]],["russian.fi",[1229,1230]],["anwap.film",1231],["anison.fm",1232],["deti.fm",1234],["grind.fm",1235],["kerch.fm",1237],["maximum.fm",1239],["moskva.fm",1241],["piter.fm",1241],["muzofond.fm",1242],["ololo.fm",[1244,1245]],["kontur-map.ru",[1245,3288]],["radioshanson.fm",1246],["sfera.fm",1247],["tort.fm",1249],["vostok.fm",1250],["101poisk.ru",[1250,2277]],["pornobomba.vip",1250],["z200.fm",1251],["zk.fm",[1251,1253]],["zvukoff.ru",1251],["zaycev.fm",1252],["online.zakon.kz",[1252,1546]],["me.fo",1254],["etr.fr",1256],["iphonesoft.fr",1257],["iphonetweak.fr",1257],["papergeek.fr",1258],["pausecafein.fr",1259],["trackr.fr",1260],["gdz.fun",1262],["gdz-ru.work",[1262,5231]],["hdrezka.fun",1265],["androidinsider.ru",[1265,2434]],["myvi.ru",[1265,3588]],["kino2018.fun",1266],["onporn.fun",1267],["piratbit.fun",1268],["vidak.icu",1268],["piratbit.org",1268],["piratbit.pw",1268],["piratbit.top",1268],["pb.wtf",1268],["utorrentfilmi.fun",1269],["utorrentfilmi.ru",1269],["utorrentmusic.ru",1269],["zaruba.fun",1270],["trackeroc.ga",1271],["trackeroc.info",1271],["trackeroc.ml",1271],["trackeroc.org",1271],["ttrackeroc.ru",1271],["trackeroc.tk",1271],["mehanik.games",1272],["tes-game.ru",1272],["ru.gg",1274],["sexxx.gg",1275],["compromat.group",1276],["diets.guru",1277],["newsyou.info",[1277,1389]],["pohudet.org",[1277,2175]],["kinozal.guru",1278],["kinozaltv.life",1278],["kinozal.me",1278],["kinozal.tv",1278],["searchengines.guru",1279],["zhkt.guru",1280],["2ch.hk",[1281,1282]],["2ch.life",[1281,1282]],["pshack.net",1282],["mypresentation.ru",[1282,3582]],["tonna-games.ru",1282],["cursorinfo.co.il",1284],["detaly.co.il",1285],["israelinfo.co.il",1286],["newsru.co.il",1287],["bash.im",1288],["taker.im",1290],["vise.im",1291],["bestweapon.in",1292],["fairtop.in",1293],["gamingsym.in",1294],["ranobe-novels.ru",1294],["transformator220.ru",1294],["wuxiaworld.ru",[1294,4032]],["probiv.in",[1295,1296]],["probiv.one",[1295,1296]],["igru-xbox.net",1296],["rutor.in",1297],["x-minus.in",1298],["4doma.info",1301],["academ.info",1303],["agroone.info",1304],["amur.info",[1305,1306]],["newsmaker.md",[1305,1585]],["diletant.media",[1305,1649]],["24sk.ru",1305],["ast-news.ru",1305],["privatka.ua",1305],["gts39.ru",[1306,3068]],["anna-news.info",1307],["asiaplustj.info",[1309,1310,1311]],["v-info.ru",[1309,4421]],["news.tj",[1310,4707]],["autotheme.info",[1313,1314]],["azpolitika.info",1315],["bazarmedia.info",1316],["bitfin.info",1317],["blockchain.info",1318],["chaynikam.info",1319],["checkfootball.info",1320],["chexov.info",1322],["coronavirus-monitor.info",1323],["cxid.info",1324],["dentaltechnic.info",1325],["itcrumbs.ru",[1325,3191]],["life.ck.ua",1325],["devid.info",1326],["docfilms.info",1328],["doefiratv.info",1329],["dyvys.info",[1331,1332]],["glavred.info",[1332,1346,1347,1348,1349]],["glavred.net",[1332,1346,1347,1348,1349]],["ictv.ua",[1332,2701,5033]],["electrik.info",1334],["ero-top.info",1335],["fansector.info",1336],["fbr.info",1337],["quote.rbc.ru",[1337,3956]],["fightnews.info",[1338,1339]],["expres.online",1339],["almodi.org",1339],["kun.uz",1339],["floristics.info",[1340,1341]],["e-ink-reader.ru",[1343,2834]],["ruspdd.ru",1343],["youblogs.ru",[1343,1675]],["gdzputina.info",1344],["girlstop.info",1345],["glazey.info",1350],["evening-kazan.ru",1352],["gumer.info",1354],["happy-biock.info",1355],["happy-block.info",1355],["howto-news.info",1355],["healthystyle.info",1356],["inforuss.info",[1357,1358,1359]],["lentaruss.ru",[1357,1358,1359]],["smiruss.ru",[1357,1358,1359]],["gotovchik.ru",1358],["kleo.ru",[1358,3270]],["aplik.ru",1359],["discover24.ru",1359],["edurusnews.ru",1359],["mobnovelty.ru",1359],["soderzhanki2.ru",1359],["trud-ost.ru",1359],["holostyak.site",1359],["ivanovy.info",1360],["grand2.ru",1360],["kapriz.info",1361],["kharkov.info",1362],["knigomir.info",1366],["koolhydraatarmerecepten.info",1368],["lektsia.info",1371],["dokumentalkino.net",1371],["lostfilm.info",1372],["loveread.info",1373],["magtimes.info",[1374,1375]],["yakutsk.ru",[1375,1558,4569,4570]],["mivmeste.info",1379],["mmatoday.info",1380],["mobbit.info",1381],["moreprodukt.info",1382],["mytor.info",1383],["nasha-strana.info",1384],["newformat.info",1386],["animang.one",1388],["zdravotvet.ru",1388],["ngp-ua.info",1390],["nnovosti.info",1391],["obukhiv.info",1392],["dtf.ru",[1393,2828]],["newsomsk.ru",[1395,3637]],["ostroh.info",1398],["oukr.info",1399],["pensioneram.info",1400],["podskazki.info",1401],["pornbase.info",1402],["portfel.info",1403],["daz3d.ru",[1403,2759]],["portsoft.info",1404],["procherk.info",1405],["punkt-a.info",1406],["pwcats.info",1407],["etextlib.ru",[1408,2422,2871]],["redirekt.info",1409],["rgmechanics.info",1410],["ru-an.info",1411],["rulez-t.info",1412],["sarov.info",1415],["sat-ukraine.info",1416],["satellitetvforum.info",1417],["sevnews.info",1419],["shostka.info",1420],["shotam.info",1421],["sibmama.info",1422],["sibmama.ru",1422],["forum.sibmama.info",1423],["forum.sibmama.ru",1423],["small-games.info",1424],["socportal.info",1425],["studopedia.info",1427],["studopedia.net",[1427,1940,1941]],["lektsii.org",[1427,1941,2143]],["megaobuchalka.ru",[1427,1941,3471]],["studopedia.ru",[1427,1941,4226,4227]],["infopedia.su",1427],["studopedia.su",[1427,1941,2339,4227,4699]],["sudakonline.info",1428],["sudostroenie.info",1429],["vctr.media",1432],["newsvl.ru",[1432,2825,3641]],["treebuna.info",[1433,1434]],["trueua.info",1435],["artofcare.ru",1436],["forum.fonarevka.ru",[1436,2940]],["novosti24.kyiv.ua",1438],["cwer.me",[1440,1603]],["cwer.ru",[1440,1603]],["cwer.su",[1440,1603]],["cwer.ws",[1440,1603]],["ukrmir.info",1442],["via-midgard.info",1445],["vsezdes.info",[1448,1449,1450]],["primemusic.ru",1449],["kaminyn.ru",1450],["val-woman.ru",1450],["zarabotoki.ru",1450],["westnews.info",[1451,1452]],["samsebevoin.ru",[1451,1452]],["wotexpress.info",1453],["x-race.info",1454],["x-true.info",1455],["xenforo.info",1456],["yakutia.info",1457],["yeisk.info",1458],["zhmak.info",1459],["zhzh.info",1460],["zhzh.com.ua",1460],["2ip.io",[1462,1463]],["radioradar.net",1462],["2ip.ru",[1462,1463]],["severpost.ru",[1462,4084]],["bhf.io",1464],["d3ward.github.io",1466],["meduza.io",1467],["mega.io",1468],["mega.nz",1468],["multiup.io",1469],["starve.io",1470],["thebell.io",1471],["vtimes.io",1472],["house.kg",1474],["mashina.kg",[1474,1479]],["kabar.kg",1475],["kaktus.kg",1476],["kaktus.media",1476],["radiokp.ru",[1478,2262,3926]],["sport.kg",1482],["ts.kg",1483],["turmush.kg",1484],["megalyrics.ru",[1485,3470]],["newkaliningrad.ru",[1485,3628]],["24.kz",1486],["fanforum.ru",1486],["24pdd.kz",1487],["3dnews.kz",[1488,1489]],["3dnews.ru",[1488,1489]],["irecommend.ru",[1489,3179]],["activ.kz",1490],["novadoba.com.ua",[1492,4932]],["aktobeinfo.kz",1493],["alser.kz",1495],["bizmedia.kz",[1496,1497]],["nur.kz",[1497,1516,1517]],["coap.kz",1498],["forbes.kz",1500],["hcbarys.kz",1502],["kinomania.kz",1504],["kinoprosmotr.site",1504],["casstudio.tv",[1504,4738]],["kivvi.kz",1505],["kiwi.kz",1506],["mail.kz",1508],["mhelp.kz",1510],["l-a-w.ru",1510],["motorshop.kz",[1511,1512]],["book-online.com.ua",1511],["nalogikz.kz",1513],["newauto.kz",1515],["turbopages.org",1517],["1obl.ru",1517],["biofile.ru",1517],["domodedovoriamo.ru",[1517,2806]],["flashgames.ru",1517],["footballreview.ru",[1517,2948]],["girlsgogames.ru",1517],["klinriamo.ru",[1517,2806]],["kolomnariamo.ru",[1517,2806]],["korolevriamo.ru",[1517,2806]],["krasnogorskriamo.ru",[1517,2806]],["lubertsyriamo.ru",[1517,2806]],["forum.mista.ru",[1517,2265,3500]],["mytischiriamo.ru",[1517,2806]],["nightwarez.ru",1517],["podolskriamo.ru",[1517,2806]],["reutovriamo.ru",[1517,2806]],["riamobalashiha.ru",[1517,2806]],["schelkovoriamo.ru",[1517,2806]],["sergposadriamo.ru",[1517,2806]],["serpuhovriamo.ru",[1517,2806]],["solnechnogorskriamo.ru",[1517,2806]],["zhukovskiyriamo.ru",[1517,2806]],["serialu.tv",1517],["olx.kz",1518],["olx.ua",1518],["olx.uz",1518],["orda.kz",[1519,1520]],["akniga.org",[1519,2064]],["newsvideo.su",[1519,2064,4683]],["platon.kz",1522],["prodengi.kz",1523],["shaiba.kz",[1524,1525,1526]],["siropik.ru",1525],["moei.ru",1526],["chernomorets.odessa.ua",1526],["i.ua",[1529,2126,5030]],["time.kz",1533],["business-class.su",1533],["mix.tn.kz",1534],["turanpress.kz",1535],["vesti.kz",1536],["sia.ru",[1538,4097]],["vse.kz",1539],["kolyan.net",1539],["traffilm.net",1539],["yk-news.kz",[1541,1542]],["2x2.su",[1542,4653]],["yvision.kz",1543],["bug.org.ua",1543],["muzika.ru",1545],["pravo.zakon.kz",1547],["www.zakon.kz",[1548,1549]],["kolombo-online.ru",1549],["tripoli.land",1550],["surl.li",1551],["zabeba.li",1552],["zadolba.li",1553],["imgbum.ru",[1553,2370,2372,3139]],["xpicture.ru",[1553,2370,2372,3139]],["epizod.life",1555],["igra.life",1556],["mirkrasoty.life",1557],["arduino-project.net",1557],["ryazan.life",[1558,1559]],["krym.news",1558],["novostivl.ru",[1558,3669]],["v-tatarstane.ru",[1558,4422]],["shuba.life",1560],["tnt-premier.life",1561],["varplatform.life",1562],["bitshare.link",1563],["knigi.link",1564],["sysadmin.link",1565],["24.animez.live",1566],["cherkasy.live",1567],["cyberscore.live",1568],["poimel.live",1571],["scores24.live",[1572,1573]],["sport247.live",1574],["zombie-film.live",1576],["banki.loans",1577],["frkp.lol",1578],["delfi.lv",1579],["delo.ua",[1581,3676,4984]],["makler.md",1583],["mamaplus.md",1584],["noi.md",1586],["gafki.ru",[1588,2301]],["rabota.md",1589],["me",[1590,1591]],["livetvstream.pro",1591],["2ip.me",1592],["abc-fonts.me",1593],["anime-chan.me",1595],["artfile.me",1596],["batsa.me",1597],["express-novosti.ru",[1597,2886]],["biggestplayer.me",1598],["brainstorage.me",1599],["freelansim.ru",[1599,2965]],["moikrug.ru",1599],["tmfeed.ru",1599],["center4.me",1600],["news.center4.me",1601],["clib.me",1602],["emusic.me",1605],["fanfics.me",1606],["filmhd1080.me",1607],["gdzputina.me",1608],["botanam.net",1608],["hideip.me",1609],["kinofrukt.me",1610],["kinotorrs.me",1611],["litmir.me",1613],["lleo.me",1614],["myzcloud.me",[1617,1618]],["sims3pack.ru",[1618,4106]],["nekto.me",1619],["itcats.ru",1619],["w10.jeanzzz.ru",[1619,3205]],["noadsradio.ru",1619],["sharkgame.ru",1619],["animeland.su",1619],["studies.in.ua",1619],["opennet.me",[1621,1622]],["opennet.ru",[1621,1622,3725]],["24tv.ua",[1622,1882,1998,1999,4745,4820]],["pejnya.me",1623],["pejnya.net",1623],["poiskm.me",1624],["ranobelib.me",1625],["rbook.me",1626],["rebill.me",1627],["rozetked.me",1629],["rulit.me",1630],["shikimori.me",1632],["shikimori.one",1632],["shikimori.org",1632],["slivup.me",1633],["smotriserial.me",1634],["tasix.me",[1636,1637]],["kino.video",1636],["topradio.me",1638],["unsorted.me",1640],["walking-dead.me",1643],["yummyani.me",1644],["yummy-anime.ru",1644],["adme.media",1645],["agents.media",1646],["detector.media",1648],["knife.media",1651],["lemonade.style",1651],["kyiv.media",1653],["speka.media",[1655,1664]],["dfm.ru",[1656,2774,2775]],["ivona.ua",[1656,3919]],["opentv.media",1658],["orenburg.media",1659],["processer.media",1661],["rivne.media",1662],["slukh.media",1663],["3ddd.ru",[1664,2330]],["newsua.ru",[1664,2004,3640]],["smolnarod.ru",1664],["tv-gubernia.ru",[1664,4372]],["voip.ru",1664],["yablor.ru",1664],["vmeste.tv",[1664,4806]],["profidom.com.ua",1664],["thepage.ua",1664],["tavr.media",1665],["hitfm.ua",1665],["kissfm.ua",[1665,5077]],["melodiafm.ua",1665],["radiorelax.ua",1665],["radioroks.ua",[1665,5154]],["rusradio.ua",1665],["tavrmedia.ua",1665],["play.tavr.media",1666],["usm.media",1667],["zona.media",1668],["1000.menu",1669],["divxplayer.ml",[1670,1671]],["hcdn.online",[1670,1671]],["player.cvary.org",[1670,1671]],["haes.tech",[1670,1671]],["metaverseid.tk",[1670,1671]],["hqq.tv",[1671,4756]],["hitvk.mobi",1672],["rugame.mobi",1674],["sex-comics.mobi",1675],["russian7.ru",[1675,4024]],["lenfilm.tv",1675],["cha.moscow",1677],["bdf.ms",1678],["donbass.name",1679],["hpc.name",1680],["inoe.name",1681],["forum.inoe.name",1682],["obninsk.name",1683],["wi-fi.ru",[1683,4517]],["gennadij.pavlenko.name",1684],["sergeistrelec.name",1685],["shanson.name",1686],["mp3.uzhgorod.name",1687],["vpk.name",1688],["1ttv.net",1690],["3ppc.net",1691],["7sim.net",1692],["adultboard.net",1693],["aflenses.net",1694],["alexlarin.net",1696],["allcrimea.net",1697],["alldz.net",1698],["allsport-news.net",[1699,1700]],["allsport-live.ru",1699],["anekdotov.net",1701],["askentire.net",1702],["avan-ti.net",[1704,1705]],["serialrussian.ru",[1705,4079]],["porevo.site",1705],["vk.barkov.net",1706],["osnova.news",[1706,2016]],["best-soft.net",1708],["afisha.bigmir.net",1712],["techno.bigmir.net",1713],["brotorrent.net",1714],["torrent-mass.ru",1714],["windows10activation.ru",1714],["cat-a-cat.net",1715],["o-filme.ru",1715],["hi-tech-pro.ru",1716],["check-host.net",1719],["clubfile.net",1720],["crackstatus.net",1721],["crimea-board.net",1722],["cxem.net",1723],["forum.cxem.net",1724],["darkteam.net",1725],["delphimaster.net",1726],["design-for.net",1727],["diakov.net",1728],["dictat.net",[1729,1730]],["megatest.online",[1729,2041]],["fithacker.ru",1729],["storyfox.ru",1729],["cluber.com.ua",1729],["dofiga.net",1731],["dok-film.net",1732],["howdyho.net",1732],["howdyho.pro",1732],["doranime.net",1733],["nnm-club.pw",1733],["dreamprogs.net",1734],["driveroff.net",[1735,1736]],["samlab.ws",[1735,5245]],["dropmefiles.net",1738],["dropmefiles.com.ua",1738],["ebooktime.net",[1741,1742]],["fex.net",[1742,1750]],["forum.antichat.ru",1742],["dwg.ru",[1742,2832]],["pc-consultant.ru",1742],["programmersforum.ru",1742],["emu-land.net",1743],["erichware.net",1744],["frenglish.ru",[1745,2970]],["fantasiya.net",1748],["feofan.net",1749],["file-tracker.net",1752],["filmodrom.net",1753],["filmstvclub.net",1754],["fotoinform.net",1757],["freeexe.net",1758],["freelogovectors.net",1759],["simplewine.ru",1759],["funnymir.net",1760],["hereinteresting.ru",1760],["intersnoznat.ru",1760],["futbik.net",1761],["gamedayz.net",1762],["games-archive.net",1764],["games-porno.net",1765],["games-reviews.net",1766],["zagonkop.gb.net",1767],["zagonkov.gb.net",1767],["zagonka.net",1767],["zagonko.org",1767],["zogonka.org",1767],["zagonka.tv",1767],["gearshout.net",1768],["bouweenpc.nl",1768],["bagnet.org",[1768,2084]],["get-tune.net",[1769,1770]],["mirmmo.ru",[1769,3498]],["oneprogs.ru",[1769,3712]],["gitarshkola.net",1771],["gmt-max.net",1772],["goldroyal.net",1773],["good73.net",1774],["haleava.net",1775],["fullgames.ru",[1775,2976]],["hi-fi-forum.net",1778],["hitfile.net",1779],["ikinokz.net",1782],["imagenizr.net",1783],["india-tv.net",1784],["ingrus.net",1785],["internetno.net",1786],["kak-prosto.net",1788],["katushka.net",1789],["kino-portal.net",1790],["kinoakter.net",1791],["kinobanda.net",1792],["kinobaza.net",1793],["kinobb.net",1794],["kinodroid.net",1795],["kinogid-online.net",1796],["kinopictures.net",1797],["kinoprofi.net",1798],["kinorai.net",1799],["kinoshek.net",1800],["klivent.net",1801],["komapz.net",1802],["komarovskiy.net",1803],["korrespondent.net",[1804,1805]],["isport.ua",[1805,5058]],["korzik.net",1806],["football.kulichki.net",1808],["l2on.net",1809],["lavnik.net",1812],["libertycity.net",1813],["libertycity.ru",1813],["linuxthebest.net",1815],["litlib.net",1816],["lostpic.net",1818],["lrepacks.net",[1819,1820,1821]],["radarmedia.net",[1820,1904,1905]],["macovod.net",1822],["magicfilm.net",1823],["funtik.tv",1823],["mapakids.net",1824],["medical-club.net",1825],["mega-tracker.net",1826],["megamult.net",1827],["megaonlines.net",1828],["inmoment.ru",[1828,3157]],["megogo.net",1829],["memesmix.net",1830],["metrogame.net",1831],["midasbox.net",1832],["mir-snov.net",1833],["4fun.mksat.net",1834],["mmaps.net",1835],["mobportal.net",1836],["modernfirearms.net",1837],["modgames.net",1838],["moiprogrammy.net",1840],["mp3lemon.net",1841],["mp3party.net",1842],["mp3poisk.net",1843],["mskins.net",1844],["multik-online.net",1845],["multiki-online.net",1846],["musinfo.net",1847],["my-ref.net",1848],["myanimelist.net",1849],["mychords.net",1850],["polaremont.ru",1850],["stokvod.ru",1850],["soft.mydiv.net",1852],["nagon.net",1854],["nanoreview.net",1855],["naogorode.net",1856],["narodclub.net",1857],["nashaplaneta.net",1858],["nastroy.net",1859],["brovary.net.ua",1860],["newbum.net",1861],["nikopolnews.net",1863],["notorgames.net",1864],["1progs.ru",[1864,2301]],["novinki-kino.net",1865],["smotra.net",1865],["novoruskino.net",[1866,1867]],["ruskinonovoe.net",1867],["novostiua.net",1868],["nowgamer.net",1869],["ochevidec.net",1870],["onfilmz.net",1871],["oszone.net",1872],["forum.oszone.net",1873],["soft.oszone.net",1874],["otzyvua.net",1875],["pcprogs.net",1876],["peugeot-club.net",1877],["phpbbguru.net",1878],["piccash.net",1879],["pingvinoff.net",1880],["piratemedia.net",1881],["pirate-party.ru",1881],["pise4ka.net",1882],["plohihmacov.net",1884],["poezdato.net",1885],["poizdato.net",1885],["poleno.net",1886],["politnavigator.net",1888],["topcor.ru",[1891,4325]],["politolog.net",1892],["porjati.net",1894],["pornoham.net",1895],["pornomage.net",1896],["posylka.net",1897],["prog-top.net",1898],["programki.net",1899],["prsport.net",1900],["puchkov.net",1901],["putingamer.net",1902],["questtime.net",1903],["prozoro.net.ua",[1904,5112]],["rifme.net",1910],["rosserial.net",1912],["rserials.net",1913],["rsload.net",1914],["forum.rsload.net",1915],["offisny.ru",1915],["ru-admin.net",1916],["kinogo.ru.net",1917],["rus-linux.net",1918],["ruseo.net",1919],["russkoekino.net",1920],["santikov.net",1922],["savepic.net",1923],["scantrad.net",1924],["season-var.net",1925],["seosprint.net",1926],["vip-prom.net",1926],["seo-master.org",1926],["sexvideobaza.net",1928],["sintetiki.net",1930],["smotritv.net",1931],["softoroom.net",1933],["softoroom.org",1933],["sonnik-online.net",1934],["focus.ua",[1937,4621,4995,5010]],["sportgoal.net",1938],["studopedia.com.ua",1941],["stulchik.net",[1942,1943]],["kabachok.online",1942],["surgeryzone.net",1944],["tapochek.net",1945],["tech-choice.net",1946],["testsoch.net",1947],["toneto.net",1950],["toolslib.net",1951],["torrent-xatab.net",1952],["torrento.net",1953],["newserials.tv",1953],["transkarpatia.net",1955],["translit.net",1956],["tyurem.net",1957],["ucoin.net",1958],["595.ucoz.net",1959],["ukr.net",1960],["absite.ru",1962],["kinopod.ru",[1962,3259]],["valetudo.ru",[1962,4426]],["uniongang.net",1965],["uniongang.org",1965],["utorrentgames.net",1966],["vesti-ua.net",1967],["byzoo.org",1968],["videoshara.net",1970],["notefood.ru",[1970,3661]],["vidoza.net",1971],["winnote.ru",1972],["vremenno.net",1973],["vsedoramy.net",1974],["vsekamni.net",1975],["vsplanet.net",1976],["wallegend.net",1977],["wallscloud.net",1978],["wav-library.net",1979],["windows64.net",1980],["winzoro.net",1981],["wkino2.net",1982],["wm-help.net",1984],["womansay.net",1985],["x-uboino.net",1988],["xboxland.net",1989],["xittv.net",1990],["newsler.ru",1990],["xmages.net",1991],["xn--m1ah5a.net",1992],["xyya.net",1993],["yakutsk-news.net",1994],["zakarpatpost.net",1996],["zaxid.net",[1997,1998,1999,2000]],["football24.ua",[1998,2000,5012]],["zwezda.net",[2003,2004,2005]],["primgazeta.ru",2005],["aum.news",[2006,2007]],["bash.news",2008],["brokker.news",2009],["ctrana.news",2010],["strana.news",2010],["ctrana.one",2010],["strana.one",2010],["strana.today",2010],["dontimes.news",2011],["kolo.news",2012],["goodgame.ru",[2012,3041]],["pg11.ru",[2012,3781]],["pg12.ru",[2012,3781,3782]],["pg13.ru",[2012,3781,3782]],["pg21.ru",[2012,3781,3782]],["prochepetsk.ru",[2012,3781]],["prodzer.ru",[2012,3781,3865]],["progorod33.ru",[2012,3781]],["progorod43.ru",[2012,3781,3782]],["progorod58.ru",[2012,3781]],["progorod62.ru",[2012,3782]],["progorod76.ru",[2012,3781]],["progorodnn.ru",[2012,3781]],["progoroduhta.ru",[2012,3781]],["nabat.news",2014],["noworries.news",2015],["ip.osnova.news",2017],["susanin.news",2021],["rb.ru",2021],["uzreport.news",2023],["postal.ninja",2025],["spele.nl",2026],["comss.one",2027],["comss.ru",2027],["dublikat.one",2028],["mmo.one",2029],["newsua.one",2030],["onlinetv.one",2031],["spys.one",2032],["glaz-ok.online",2036],["gorod24.online",[2037,2038]],["kirov.online",2039],["lolzteam.online",2040],["mogilev.online",2042],["mymsk.online",2043],["piggy-bank.online",2044],["auto62rus.ru",2044],["eset-key.ru",2044],["mycrib.ru",2044],["showmehow.ru",2044],["realist.online",2046],["rudub.online",2047],["player.rudub.online",[2048,2049]],["russia-tv.online",2050],["semestr.online",[2051,2052,2053]],["semestr.ru",[2051,2052,2053]],["skam.online",2054],["stormo.online",2055],["stormo.tv",2055],["the-cinema.online",2056],["tv-interny.online",2057],["21region.org",2059],["24smi.org",2060],["7ba.org",2061],["7ba.ru",2061],["akipress.org",2063],["alensat.org",[2065,2066]],["forummikrotik.ru",2066],["alleng.org",2068],["libren.org",2068],["allkey.org",2069],["anigang.org",[2071,2072]],["anifors.ru",2072],["animecos.ru",2072],["animesos.ru",2072],["shinigami.tv",2072],["animego.org",2074],["appmo.org",2078],["appstudio.org",2079],["armtv.org",2080],["gorod.cn.ua",[2080,4848]],["baginya.org",[2081,2082]],["forum.baginya.org",2083],["bape3.org",2085],["bigfangroup.org",2086],["freebfg.org",2086],["binmovie.org",2087],["biqle.org",[2088,2089]],["biqle.ru",2088],["body-builder.org",2091],["bookre.org",2093],["bratsk.org",2094],["christianka.bratstvo.org",2095],["cameralabs.org",2096],["catorrent.org",2097],["charter97.org",2098],["chasdiy.org",2099],["darktorrent.org",2101],["8vp.ru",[2102,2355]],["doramax.org",2103],["download-windows.org",2104],["softhome.ru",2104],["mo4movin.dyndns.org",2105],["wildberries.ru",[2105,4520]],["electrik.org",2106],["euroki.org",2107],["exnews.org",2108],["fastpic.org",[2109,2110]],["www.kinopoisk.ru",[2110,3260,3261]],["fenzin.org",2111],["findhow.org",2112],["fortrader.org",2113],["forumua.org",2114],["dovidka.biz.ua",2114],["xn---2--mddxunv8a2esa.xn--p1ai",[2114,5253]],["fotoshop-online.org",2115],["freeisland.org",2116],["freetp.org",2117],["freetp.ru",2117],["gamestracker.org",2119],["gisher.org",2120],["goroskop.org",2122],["greasyfork.org",2123],["hack-tool.org",2124],["hdstudio.org",2125],["helpiks.org",[2126,2127]],["ru-minecraft.org",2126],["footballfacts.ru",2126],["mota.ru",2126],["ojin.tv",2126],["fbc.biz.ua",[2126,4841,4842]],["homeporno.org",2128],["igrozor.org",2131],["internetsms.org",2133],["kaztorka.org",2135],["kinobase.org",2136],["kinovit.org",2137],["knigavuhe.org",2138],["knizhnik.org",2139],["konohatv.org",2140],["kubyshka.org",2141],["riperam.org",[2141,2190]],["radiochief.ru",2141],["ladyclub.org",2142],["lion-tv.org",2144],["literator.org",2145],["live-sports101.org",[2146,2147]],["uchim.org",2146],["pastila-club.ru",2146],["loginz.org",2148],["lubbook.org",2149],["masteroff.org",2150],["mediapapa.org",2151],["mir-games.org",2152],["mixupload.org",2153],["mozilla-russia.org",2154],["mozutil.mozilla-russia.org",2155],["multmer.org",2156],["my-hit.org",2157],["nemo-crack.org",[2158,2159]],["imgal.ru",[2158,3138]],["newrezume.org",2160],["newsoboz.org",2161],["nikcenter.org",2162],["nnov.org",2163],["nnportal.org",2164],["nntt.org",2165],["novorosinform.org",2166],["obmenvsem.org",2168],["odnako.org",2169],["opensharing.org",2171],["freepiks.ru",[2171,2966]],["pcportal.org",2172],["photolessons.org",2173],["pollee.org",2176],["ppt-online.org",2177],["prigotovit.org",[2178,2179]],["piling.re",[2178,2179]],["avtonavideo.ru",[2178,2179]],["chinimavto.ru",[2178,2179]],["minecraftnavideo.ru",[2178,2179]],["multivarki-redmond.ru",[2178,2179]],["odezhda2.ru",[2178,2179]],["pol-video.ru",[2178,2179]],["prohozhuigru.ru",[2178,2179]],["remontnavideo.ru",[2178,2179]],["televizor2.ru",[2178,2179]],["shiny2.ru",2179],["probirka.org",[2180,2181]],["auto.vesti.ru",[2181,4443]],["gameportalrf.ru",2182],["proporno.org",2185],["pxtracker.org",[2186,2187]],["vtracker.org",[2186,2187]],["vk.xakep.org",2186],["gamedev.ru",2186],["prowebber.ru",[2186,3896]],["rfpl.org",2188],["forum.rhbz.org",2189],["roskomsvoboda.org",2191],["ru-m.org",2192],["rubook.org",2193],["rubukkit.org",2194],["rutracker21.org",2195],["sarafannoeradio.org",2196],["scarabey.org",2197],["sea-man.org",2198],["sinonim.org",2201],["sixinch.org",2203],["smapps.org",2204],["solidarnost.org",2205],["sotniktv.org",2206],["streamzone.org",2207],["leksika.com.ua",2208],["svoboda.org",2209],["forum.tambovnet.org",2210],["tavrijci.org",2211],["the-ebook.org",2212],["torrent-stop.org",2213],["torrpeda.org",2214],["traht.org",2215],["turkcinema.org",2217],["tv-fresh.org",2219],["tvizor.org",2220],["smotretonline.ucoz.org",2221],["uniondht.org",2222],["univertv.org",2223],["usemind.org",2224],["forum.vip-cxema.org",2226],["vsitv.org",2228],["vsthemes.org",2229],["wmasteru.org",2230],["womenzone.org",2231],["x360-club.org",2233],["xxx-base.org",2234],["xxx-game.org",2235],["zadonbass.org",2237],["forum.hdtv.ru",2237],["efir.plus",2238],["kratko.plus",2239],["glagol.press",2242],["all-best.pro",2243],["animedia.pro",2244],["tt.animedia.tv",2244],["bankdirect.pro",2245],["chipinfo.pro",2246],["expert-dacha.pro",2247],["gayzona.pro",2248],["infotechnic.pro",2249],["jobvacancy.pro",2250],["kino-mania.pro",2251],["kinokong.pro",2252],["losst.pro",2253],["gaming.co.ua",2255],["remontka.pro",2256],["riwkus.pro",2257],["audiobook.rmail.pro",2258],["rutor-group.pro",2259],["sport-tv.pro",2260],["survarium.pro",2261],["sportkp.ru",[2262,4188]],["unews.pro",[2264,2265]],["vecdn.pw",2266],["hromadske.radio",2267],["cpa.rip",2268],["mayday.rocks",2269],["turkca.0pk.ru",2271],["1000sovetov.ru",2272],["10i5.ru",2278],["116.ru",[2279,2280,2281,2282,2283,2284,2285,2286]],["14.ru",[2279,2280,2281,2285,2286]],["161.ru",[2279,2280,2281,2285,2286]],["164.ru",[2279,2280,2281,2285,2286]],["173.ru",[2279,2281]],["178.ru",[2279,2280,2281,2285,2286]],["26.ru",[2279,2280,2281,2285,2286]],["29.ru",[2279,2280,2281,2285,2286]],["35.ru",[2279,2280,2281,2285,2286]],["43.ru",[2279,2280,2281,2285,2286]],["45.ru",[2279,2280,2281,2282,2285,2286]],["48.ru",[2279,2280,2281,2285,2286]],["51.ru",[2279,2280,2281,2285,2286]],["53.ru",[2279,2280,2281,2285,2286]],["56.ru",[2279,2280,2281,2285,2286]],["59.ru",[2279,2280,2281,2282,2285,2286]],["60.ru",[2279,2280,2281,2285,2286]],["62.ru",[2279,2280,2281,2285,2286]],["63.ru",[2279,2280,2281,2285,2286]],["68.ru",[2279,2280,2281,2285,2286]],["71.ru",[2279,2280,2281,2285,2286]],["72.ru",[2279,2280,2281,2283,2284,2285,2286,2346,2347]],["74.ru",[2279,2280,2281,2283,2285,2286,2346,2347]],["76.ru",[2279,2280,2281,2285,2286]],["86.ru",[2279,2280,2281,2285,2286]],["89.ru",[2279,2280,2281,2285,2286]],["93.ru",[2279,2280,2281,2282,2285,2286]],["chita.ru",[2279,2280,2281,2283,2285,2286,2346,2347,2683]],["e1.ru",[2279,2280,2281,2283,2284,2285,2286,2346,2837]],["izh1.ru",[2279,2280,2281,2285,2286]],["mgorsk.ru",[2279,2280,2281,2285,2286]],["msk1.ru",[2279,2280,2281,2285,2286]],["ngs.ru",[2279,2280,2281,2283,2285,2286,2346,2347]],["ngs22.ru",[2279,2280,2281,2285,2286]],["ngs24.ru",[2279,2280,2281,2285,2286]],["ngs42.ru",[2279,2280,2281,2282,2285,2286]],["ngs55.ru",[2279,2280,2281,2282,2283,2284,2285,2286]],["ngs70.ru",[2279,2280,2281,2285,2286]],["sochi1.ru",[2279,2280,2281,2285,2286]],["sterlitamak1.ru",[2279,2280,2281,2285,2286]],["tolyatty.ru",[2279,2280,2281,2285,2286]],["ufa1.ru",[2279,2280,2281,2285,2286,2346,2347]],["v1.ru",[2279,2280,2281,2282,2285,2286]],["vladivostok1.ru",[2279,2281,2286]],["voronezh1.ru",[2279,2280,2281,2285,2286]],["www.e1.ru",[2285,2286,2347,2838]],["125region.ru",2287],["156.ru",2288],["16-bits.ru",2289],["19216811.ru",2293],["1fenshui.ru",2294],["1gai.ru",2296],["1pnz.ru",2299],["1pokirpichy.ru",2300],["1track.ru",2303],["21forum.ru",[2305,2306]],["forum.na-svyazi.ru",2305],["forum.zarulem.ws",2305],["afisha21.ru",2306],["cheb.ws",[2306,2663,2664,2665]],["zarulem.ws",[2306,2664,3594,5248]],["23met.ru",2307],["24auto.ru",2308],["24pdd.ru",2309],["26-2.ru",[2310,2311]],["arbitr-praktika.ru",[2310,2311]],["budgetnik.ru",[2310,2311]],["buhsoft.ru",2310],["business.ru",[2310,2311]],["cxychet.ru",[2310,2311]],["dirsalona.ru",[2310,2311]],["fd.ru",[2310,2311]],["gazeta-unp.ru",[2310,2311]],["gd.ru",[2310,2311]],["gkh.ru",[2310,2311]],["glavbukh.ru",[2310,2311,3029]],["hr-director.ru",[2310,2311]],["kdelo.ru",[2310,2311]],["kom-dir.ru",[2310,2311]],["law.ru",[2310,2311]],["lawyercom.ru",[2310,2311]],["menobr.ru",[2310,2311]],["nalogplan.ru",[2310,2311]],["pro-goszakaz.ru",[2310,2311]],["pro-personal.ru",[2310,2311]],["resobr.ru",[2310,2311]],["rnk.ru",[2310,2311]],["sekretariat.ru",[2310,2311]],["stroychet.ru",[2310,2311]],["trudohrana.ru",[2310,2311]],["ugpr.ru",[2310,2311]],["zarplata-online.ru",[2310,2311]],["zdrav.ru",[2310,2311]],["budgetnyk.com.ua",[2310,2311]],["dzakupivli.com.ua",[2310,2311]],["kadrovik01.com.ua",[2310,2311]],["medsprava.com.ua",[2310,2311]],["sop.com.ua",[2310,2311]],["golovbukh.ua",[2310,2311]],["buhsoft.ru26-2.ru",2311],["27r.ru",2312],["27sysday.ru",2313],["ojimail.ru",2313],["donetskfishing.2bb.ru",2314],["parfumclub.9bb.ru",2314],["colorforum.ru",[2314,2708]],["alpclubmei.mybb.ru",2314],["fkme.nc-21.ru",2314],["webtalk.ru",[2314,4513]],["wmforum.2bb.ru",2315],["2krota.ru",2317],["2olega.ru",2319],["7lostworlds.ru",2320],["2whois.ru",2321],["2womans.ru",2322],["psysovet24.ru",2322],["31tv.ru",[2324,2325]],["novostiliteratury.ru",2324],["kazan.32top.ru",2326],["38mama.ru",2329],["3dn.ru",2331],["megasoft.3dn.ru",[2332,2333]],["athlete.ru",2333],["kotomatrix.ru",2333],["probiysk.ru",[2333,3864]],["3drubik.ru",2334],["3dtoday.ru",2335],["3mod.ru",2336],["3mp3.ru",2337],["3mv.ru",2338],["libsib.ru",[2339,3335]],["mydocx.ru",2339],["4725.ru",2340],["47news.ru",2341],["5litra.ru",2343],["66.ru",2345],["80-e.ru",2353],["8lap.ru",2354],["9111.ru",2356],["9sx.ru",2357],["a-russia.ru",2358],["seeds.org.ua",2358],["a42.ru",2359],["abkhasiya.ru",2362],["rp-mechanics.ru",[2362,4001]],["abnews.ru",2363],["academic.ru",2364],["acer-a500.ru",2365],["rabota-kovrov.ru",2365],["sosnovskij.ru",[2365,4160]],["ackordofmine.ru",2366],["acomics.ru",2367],["actualtraffic.ru",2368],["adhands.ru",2369],["adult-images.ru",[2370,2371,2372]],["screenpost.ru",[2370,2453,4059]],["advesti.ru",2373],["aeslib.ru",2375],["afisha.ru",2376],["daily.afisha.ru",2377],["www.afisha.ru",2378],["afportal.ru",2379],["ag.ru",2380],["agilerussia.ru",2381],["agro-biz.ru",[2382,2383]],["ecology-of.ru",2382],["agrognom.ru",2384],["apral.ru",[2384,2467]],["kvmarvel.ru",2384],["agroxxi.ru",2385],["akademekb.ru",2387],["akak.ru",2388],["akakpravilno.ru",2389],["alcodistillers.ru",2390],["alexbruni.ru",2392],["click.alfabank.ru",2394],["aliexpressblog.ru",2395],["alimero.ru",2396],["all-biography.ru",2397],["all-for-kompa.ru",2398],["all-gigiena.ru",2399],["allbest.ru",2401],["allcarz.ru",[2404,2405]],["allcc.ru",2406],["alldonors.ru",2408],["allfight.ru",2409],["allgosts.ru",2410],["allhockey.ru",2411],["allking.ru",2412],["pornoshara.tv",[2412,4783]],["alllyr.ru",2413],["allmmorpg.ru",2414],["allrefrs.ru",2415],["allrepack.ru",2416],["allsport-tv.ru",2417],["allunix.ru",2418],["alphapedia.ru",2419],["alpindustria.ru",2420],["alvin-almazov.ru",[2424,2425]],["forum.amit.ru",2427],["amsterdamtravel.ru",2428],["amurpress.ru",2429],["anchem.ru",2430],["andevice.ru",[2431,2432]],["androeed.ru",2433],["appleinsider.ru",[2434,2465]],["hi-news.ru",[2434,3093]],["androproblem.ru",2435],["angvremya.ru",2437],["animalbox.ru",2438],["anime100500.ru",2440],["anime777.ru",2441],["animedub.ru",2442],["animejoy.ru",2443],["animemaga.ru",2444],["animemovie.ru",2446],["animestars.ru",2447],["anisima.ru",2448],["anti-free.ru",2450],["anypictures.ru",[2452,2453,2454]],["pixcloud.ru",[2453,2454]],["apest.ru",2456],["apidog.ru",2457],["apihot.ru",2459],["games.apitech.ru",2460],["www.aport.ru",2461],["app-s.ru",2462],["appstorrent.ru",2466],["kino-russfilm.ru",2467],["topgir.com.ua",[2467,4962]],["aptekamos.ru",2469],["arhangel.ru",2472],["ariom.ru",2473],["armflot.ru",2474],["armtorg.ru",2475],["aromatmasla.ru",[2476,2477]],["artemsannikov.ru",2478],["artfile.ru",2479],["artinvestment.ru",2480],["artlifebazar.ru",2481],["artsgtu.ru",2482],["asienda.ru",[2485,2486]],["diets.ru",[2485,2486,2779]],["mycharm.ru",[2485,2486]],["myjane.ru",[2485,2486,3577]],["stranamam.ru",[2485,2486,3577,4221]],["assessor.ru",2487],["forum.astrakhan.ru",2489],["astralomir.ru",2490],["astrohelper.ru",2491],["astv.ru",2493],["forum.athlete.ru",2494],["au.ru",2495],["audio-hi-fi.ru",2496],["electro-sila.ru",2496],["audit-it.ru",2497],["auto-dvrs.ru",2499],["auto-kmu.ru",2500],["auto43.ru",[2501,2502]],["dom43.ru",2502],["gorodkirov.ru",2502],["job43.ru",2502],["autocad-master.ru",2503],["autodoc.ru",2505],["spbit.ru",[2505,4177]],["autogener.ru",2506],["autolada.ru",2507],["autolikes.ru",2508],["autonevod.ru",2509],["rbclife.ru",[2513,3953]],["autostat.ru",2514],["autotom.ru",2515],["x-soft.tomsk.ru",[2515,4320]],["autotopik.ru",2516],["autotraveler.ru",2517],["avatan.ru",2518],["riatomsk.ru",[2518,3984]],["aviaham.ru",2519],["www.avito.ru",2520],["jekstrasens.ru",2521],["avtoradio.ru",[2524,2525]],["avtosreda.ru",[2526,2527]],["avtovokzaly.ru",2528],["infoindustria.com.ua",2530],["horo.meta.ua",2530],["forum.awd.ru",2531],["azbooki.ru",2532],["engisys.ru",2532],["zip1000.ru",2532],["azovnews.ru",2533],["b17.ru",2534],["klex.ru",2534],["koob.ru",[2534,3289]],["babyblog.ru",2537],["babysaratov.ru",2538],["balakhna.ru",2539],["banki.ru",2540],["bankiros.ru",2541],["barneos22.ru",2542],["bashinform.ru",2543],["bashskazki.ru",2544],["batenka.ru",2545],["baza-nomerov.ru",2546],["bazatabletok.ru",2547],["bazr.ru",2548],["bbcont.ru",2549],["bbs-sk.ru",2550],["bdmbase.ru",2551],["beatmake.ru",2552],["beautiflash.ru",2553],["popcake.tv",2553],["blackhole.beeline.ru",2554],["homenet.beeline.ru",2555],["benzin-price.ru",2558],["beon.ru",2559],["berkem.ru",2560],["best-antidepressanty.ru",2562],["bestfree.ru",2563],["bestpersons.ru",2565],["bezformata.ru",2567],["bfm.ru",2568],["bibliofond.ru",2569],["bigness.ru",2572],["bigpuzzle.ru",2574],["bikepost.ru",2575],["biletyplus.ru",2576],["biomolecula.ru",2577],["bioware.ru",2578],["bitcryptonews.ru",[2580,2581,2582]],["apostrophe.ua",[2581,4828]],["ogolosha.ua",[2581,5129]],["forum.materinstvo.ru",[2582,3439]],["vse-shutochki.ru",[2582,4486]],["biwork.ru",2583],["biysk-ok.ru",2584],["black-warez.ru",2585],["blackdesert-info.ru",2586],["blagden.ru",2588],["sitecoder.blogspot.ru",2592],["bloomchain.ru",2593],["bnkirov.ru",2595],["bobsoccer.ru",2596],["bolshoyvopros.ru",2598],["gol.ru",2600],["e-xecutive.ru",2604],["gibdd-gai.ru",2604],["bookz.ru",2605],["bookzvuk.ru",2606],["boomtv.ru",2607],["borda.ru",2608],["forum24.ru",2608],["myqip.ru",2608],["unoforum.ru",2608],["bosch-home.ru",2609],["botanichka.ru",2610],["hs-manacost.ru",2610],["oren.ru",[2610,3731]],["boxkino.ru",2611],["briefly.ru",2614],["browserss.ru",2615],["poleznii-site.ru",2616],["brutaljack.ru",2617],["bryansknovosti.ru",2618],["novozybkov.su",[2618,4685]],["bryansktoday.ru",2619],["bs-life.ru",2620],["bukety-iz-konfet.ru",2622],["bunin-lit.ru",2623],["chehov-lit.ru",2623],["cult-lib.ru",2623],["cult-news.ru",2623],["dostoevskiy-lit.ru",2623],["esenin-lit.ru",2623],["gogol-lit.ru",2623],["kuprin-lit.ru",2623],["lermontov-lit.ru",2623],["lit-info.ru",2623],["nabokov-lit.ru",2623],["nekrasov-lit.ru",2623],["niv.ru",[2623,3650]],["paustovskiy-lit.ru",2623],["pushkin-lit.ru",2623],["referat-lib.ru",2623],["svr-lit.ru",2623],["tolstoy-lit.ru",2623],["turgenev-lit.ru",2623],["vysotskiy-lit.ru",2623],["burdastyle.ru",2624],["business-gazeta.ru",2625],["businessmens.ru",2628],["buyerinfo.ru",2629],["agronom.com.ua",2631],["bvedomosti.ru",2632],["bwtorrents.ru",2633],["forum.byw.ru",2634],["cadelta.ru",[2636,2637]],["modfarm.ru",2637],["cakevita.ru",2638],["darevamed.ru",2638],["calc.ru",2639],["shkolazhizni.ru",2641],["caniplay.ru",2642],["car72.ru",2644],["carambatv.ru",2645],["career.ru",2646],["carobka.ru",2647],["carrotblog.ru",2648],["cars.ru",2649],["catchenglish.ru",2651],["cccp3d.ru",2653],["ccoins.ru",2654],["playercdn.cdnvideo.ru",2655],["changeworks.ru",2656],["charming-face.ru",2657],["chastnik-m.ru",2658],["chatovod.ru",2659],["mobile-4at-obshenie.chatovod.ru",2660],["cheezu.ru",2666],["chelny-izvest.ru",2667],["chelnyclub.ru",2668],["chelseablues.ru",2669],["chelseanews.ru",2670],["chemrise.ru",2671],["chess-samara.ru",2673],["chesspro.ru",2674],["chevy-niva.ru",2675],["forum.china-iphone.ru",2676],["chinaprices.ru",2677],["chinaspb350.ru",2678],["chipmaker.ru",[2680,2681]],["goldsrc.ru",[2681,3040]],["forum.chiptuner.ru",2682],["chto-proishodit.ru",2684],["chuvyr.ru",2685],["cian.ru",2686],["cisoclub.ru",2687],["city-n.ru",2688],["online-films.ckoro.ru",2689],["clan-soprano.ru",2690],["izmailov.tv",2690],["cleverstudents.ru",2691],["club.ru",2693],["club-lexus.ru",2694],["clubsandero.ru",2695],["clubtk.ru",2696],["cmlt.ru",2697],["cn.ru",[2698,2699]],["factorio.su",[2700,4667]],["anticollector.biz.ua",2700],["vikna.tv",[2701,4805]],["zoom.cnews.ru",2703],["cpainform.ru",[2703,2725]],["docs.cntd.ru",2704],["m.ua",[2704,4999,5089]],["cod31.ru",2705],["cofp.ru",2706],["coil32.ru",2707],["old.kurs.com.ru",2710],["marvel.com.ru",2711],["pornolomka.com.ru",2712],["comboplayer.ru",2713],["comedy-radio.ru",2714],["comfysoft.ru",2715],["consmed.ru",2719],["cool-archive.ru",2720],["copypast.ru",2722],["cowcash.ru",2724],["cpykami.ru",2726],["crazygames.ru",2729],["creativportal.ru",2730],["crimea.ru",2731],["crmonline.ru",2732],["crypto-coins.ru",2733],["cs-amba.ru",2734],["csgolife.ru",2735],["csharpprogramming.ru",2736],["cska-hockey.ru",2737],["hctorpedo.ru",[2737,3083]],["csmania.ru",2738],["forum.csmania.ru",2739],["karaoke.ru",2740],["ctc-rnd.ru",2741],["ctnews.ru",2742],["culture.ru",2744],["cwetochki.ru",2745],["cyberforum.ru",2746],["cyberinfo.ru",2747],["cyberleninka.ru",2748],["cyberstyle.ru",2751],["d-russia.ru",2752],["d3.ru",2753],["daboom.ru",2754],["dachnye-sovety.ru",2755],["dailyhoro.ru",2757],["dari-radost13.ru",2758],["beadeath.dclans.ru",2760],["asn.in.ua",[2760,5042]],["delovoigorod.ru",2762],["delovoy-kirov.ru",2763],["delpc.ru",2764],["delpos.ru",2765],["demiart.ru",2766],["design-warez.ru",2769],["deti-obninsk.ru",2770],["detstrana.ru",2771],["dezbox.ru",2773],["hitfm.ru",2774],["montecarlo.ru",2774],["rusradio.ru",[2774,4023]],["dietaonline.ru",2777],["digger.ru",2780],["digibi.ru",2781],["dimonvideo.ru",2782],["directlot.ru",2783],["disney.ru",2784],["divx-kino.ru",2785],["dj.ru",2786],["djekxa.ru",2787],["djrogoff.ru",2788],["dlltop.ru",2789],["dnevnienovosti.ru",2790],["do.ru",2792],["doc-tv.ru",2793],["moya-planeta.ru",[2793,3551]],["naukatv.ru",2793],["ferr-um.ucoz.ru",2796],["doctube.ru",2797],["narodna-osvita.com.ua",2797],["dokak.ru",2799],["dom-sonnik.ru",2800],["gadania-na-lubov.ru",2800],["dom72.ru",2801],["domfailov.ru",2803],["domkad.ru",2804],["domodedovod.ru",2805],["domsnov.ru",2807],["domsovetof.ru",2808],["donday.ru",2809],["donday-aksay.ru",2809],["donday-novocherkassk.ru",2809],["donday-shakhty.ru",2809],["donday-taganrog.ru",2809],["volga-day.ru",2809],["forum.donfisher.ru",2810],["doramalive.ru",2811],["dorognoe.ru",[2812,2813]],["europaplus.ru",[2813,2877]],["radio7.ru",2813],["retrofm.ru",2813],["dotaguide.ru",2815],["dowlatow.ru",2816],["download-software.ru",2817],["dressupmix.ru",[2818,2819]],["teensgames.ru",2819],["driver.ru",2822],["droidmod.ru",2823],["drom.ru",[2824,2825]],["forums.drom.ru",2826],["drupal.ru",2827],["dungeonmaster.ru",2830],["duster-clubs.ru",2831],["e-katalog.ru",2835],["ek.ua",[2835,4998,4999]],["e-sant.ru",2836],["eanews.ru",2839],["eapteka.ru",2840],["earth-chronicles.ru",2841],["ebay-russia.ru",2842],["ecigtalk.ru",2844],["ecm-journal.ru",2845],["edablog.ru",2848],["edimdoma.ru",2849],["edunews.ru",2850],["eftwiki.ru",2851],["www.eg.ru",[2852,2853]],["gorodche.ru",2853],["ekabu.ru",2854],["elbruso.ru",2855],["electric-house.ru",2856],["electroandi.ru",2857],["elhow.ru",2858],["elwo.ru",2859],["emuzic.ru",2860],["englishsub.ru",[2862,2863]],["lenglish.ru",2862],["ereko.ru",2864],["erudition.ru",2865],["eschemo.ru",2866],["esetnod32.ru",2867],["esoreiter.ru",2868],["esp8266.ru",2869],["espritgames.ru",2870],["etomesto.ru",2872],["fight.ru",[2874,2908,2909]],["football.konkurent.ua",2875],["eurosport.ru",2878],["evlas.ru",2880],["exdex.ru",2881],["expertcen.ru",[2884,2885]],["express-prigorod.ru",2887],["fanat1k.ru",2891],["fapl.ru",2892],["faqusha.ru",2893],["faston24.ru",2895],["fatcatslim.ru",2896],["fb.ru",2897],["fbsearch.ru",2898],["fcenter.ru",2900],["fchimik.ru",2901],["fcpug.ru",2903],["motor.ru",[2906,3545]],["secretmag.ru",[2906,4068]],["wmj.ru",2906],["ffoodd.ru",2907],["www.sport.ru",[2908,4184]],["file-online.ru",2910],["films-torrent.ru",2912],["finanz.ru",2914],["finecooking.ru",2915],["finfront.ru",2916],["finiz.ru",2918],["finmarket.ru",2919],["finzz.ru",[2921,2922]],["lolzona.ru",2921],["fion.ru",2923],["fit4power.ru",2925],["fiteria.ru",2926],["fitfan.ru",2927],["fitseven.ru",2928],["flashboot.ru",2930],["flashplayer.ru",2931],["floomby.ru",2932],["www.ogorod.ru",2933],["chis-chernomorsk.com.ua",[2933,4876]],["flowtation.ru",2934],["forum.flprog.ru",2935],["fluence-club.ru",2936],["flylady.ru",2937],["fm-app.ru",2938],["yootv.ru",2938],["tvapp.su",2938],["folkdoctor.ru",2939],["foodretail.ru",2945],["footballhd.ru",2947],["forbes.ru",2949],["forchecking.ru",2950],["forseven.ru",2951],["lifehaker.forum-top.ru",2952],["next-energy.forum2x2.ru",2954],["yakusubstudio.forum2x2.ru",2955],["znaemtolk.forum2x2.ru",2956],["forumhouse.ru",2957],["fotostrana.ru",2960],["fototelegraf.ru",2961],["fototips.ru",2962],["fragrantica.ru",2963],["freakenergy.ru",2964],["freescreens.ru",2967],["imgbase.ru",2967],["imgcach.ru",2967],["imgclick.ru",2967],["payforpic.ru",2967],["picclick.ru",2967],["picclock.ru",2967],["picforall.ru",2967],["freesoft.ru",2968],["freezpic.ru",2969],["fresher.ru",2971],["friends10.ru",2973],["fssprus.ru",2974],["fukushima-news.ru",2975],["funlog.ru",2977],["funmult.ru",2978],["fvhm.ru",[2979,2980]],["game-bomb.ucoz.ru",2979],["g-list.ru",[2981,2982]],["ongab.ru",2981],["gageno.ru",2983],["pikapo.ru",2983],["game-10.ru",2985],["game-roblox.ru",2986],["game01.ru",2987],["gamer.ru",2991],["gamer-mods.ru",2992],["gameround.ru",2993],["games-on-pc.ru",2994],["games-tv.ru",2995],["gamesisart.ru",2996],["gametimer.ru",2998],["gamexp.ru",2999],["gamingservers.ru",3000],["gastronom.ru",3001],["gavag.ru",3002],["gaynsk.ru",3003],["gazetametro.ru",3008],["gdeetotdom.ru",3009],["gdekluet.ru",3010],["moyaposylka.ru",3011],["ragingbiker.ru",3011],["genshin-info.ru",3014],["gid-minecraft.ru",3016],["gig-torrent.ru",3017],["giport.ru",3018],["gitaristu.ru",3020],["gitarkin.ru",3021],["mosuch.ru",3021],["pc-user.ru",3021],["photoshop-master.ru",3021],["gizmod.ru",3022],["glamour.ru",[3023,3024]],["gq.ru",3023],["glas.ru",3025],["health.mail.ru",[3025,3397,3398]],["glasscannon.ru",3026],["kgd.ru",3027],["glavmore.ru",3030],["glavufa.ru",3031],["globalmsk.ru",3032],["nta.ua",3032],["godendo.ru",3036],["specials.goha.ru",3037],["www.goha.ru",3038],["goldenlib.ru",3039],["goporez.ru",3042],["gorockop.ru",3044],["gorod47.ru",3045],["goroday.ru",3048],["gorodovoy.ru",3049],["gorodrabot.ru",3050],["tverigrad.ru",[3053,4377]],["gosvopros.ru",3054],["gotoroad.ru",3056],["forum.gov-zakupki.ru",3059],["gramota.ru",3061],["grand-lion.ru",3062],["griffiny.ru",3063],["grimuar.ru",3064],["gta-gaming.ru",3065],["guidesgame.ru",3070],["guitarplayer.ru",3071],["forum.guns.ru",3072],["gunsbroker.ru",3073],["gurutestov.ru",3074],["gzt-sv.ru",[3075,3076]],["muz-teoretik.ru",3076],["telik.top",3076],["iptv.org.ua",3076],["tva.org.ua",3076],["haba.ru",3077],["hackware.ru",3078],["kali.tools",3078],["halyavin.ru",3079],["internethalyava.ru",[3079,3173]],["hardstones.ru",3081],["hardwareluxx.ru",3082],["hdtrailer.ru",3084],["hdtv.ru",3085],["headphone-review.ru",3086],["helpsetup.ru",3087],["heregirl.ru",3089],["ledilana.ru",3089],["hetaqrqire.ru",3090],["hi-chef.ru",3091],["hibiny.ru",3094],["hideme.ru",3095],["historyrusedu.ru",3096],["mod-wot.ru",3099],["hl-inside.ru",[3100,3101]],["np.pl.ua",[3100,4148]],["hmn.ru",3102],["holm.ru",3103],["homearchive.ru",3104],["horadric.ru",3105],["hostmp3.ru",3107],["hotcharts.ru",3108],["hotlog.ru",3109],["houzz.ru",3110],["hqroom.ru",3111],["hr-portal.ru",3112],["htmlbook.ru",3113],["hwp.ru",3117],["i2r.ru",3119],["iblitzmods.ru",3120],["ibusiness.ru",3121],["ideya-biznesa.ru",3122],["ifias.ru",3123],["ifreeapps.ru",3124],["igdz.ru",3125],["igraemsa.ru",3127],["igrhost.ru",3128],["igromania.ru",[3129,3130]],["kanobu.ru",[3129,3224]],["igroutka.ru",3131],["igry-bitva-zamkov.ru",3132],["ikovrov.ru",3134],["image2you.ru",3135],["imageup.ru",3137],["imgfiles.ru",3140],["imgmoney.ru",3141],["imhonet.ru",3142],["imtw.ru",3143],["indigomath.ru",3144],["indivip.ru",3145],["inetsovety.ru",3146],["infectus.ru",3147],["info-mage.ru",3150],["milknews.ru",3151],["informpskov.ru",3153],["infotechnica.ru",3155],["infox.ru",3156],["inmyroom.ru",3158],["inopressa.ru",3159],["inpearls.ru",3161],["inpot.ru",3162],["insanegames.ru",3163],["instagrabber.ru",3164],["instagram-foto.ru",3165],["instantcms.ru",3166],["integral-calculator.ru",3167],["interfax.ru",[3168,3169]],["sport-interfax.ru",[3169,4183]],["internet-law.ru",3171],["investoday.ru",3174],["invisiblebra.ru",3175],["iv-modelist.ru",3175],["nakrutiperiscope.ru",[3175,3598]],["nrbiz.ru",3175],["pervoevtoroe.ru",3175],["starlinemedia.ru",3175],["tv-mari.ru",3175],["ipicture.ru",3177],["irad.ru",3178],["irk.ru",3180],["vesti.irk.ru",3181],["ironfriends.ru",3182],["iskra-sev.ru",3184],["islamnews.ru",3186],["istorikonline.ru",3187],["it-actual.ru",3188],["it-enginer.ru",3189],["it-here.ru",3190],["serveradmin.ru",[3191,4081]],["itvcom.ru",3193],["itzine.ru",3194],["ivanovonews.ru",3195],["ivbb.ru",3196],["ivi.ru",3197],["izbavsa.ru",3200],["izgr.ru",3201],["izhevsk.ru",3202],["izone.ru",3203],["jaomix.ru",3204],["jeder.ru",3206],["greenpost.ua",[3208,5023]],["jofo.ru",3210],["jsprav.ru",3211],["jstack.ru",3212],["jurnalu.ru",3213],["justcoolidea.ru",3215],["juventus.ru",3216],["k-agent.ru",3217],["kachni-ka.ru",3219],["kaermorhen.ru",3220],["kaifolog.ru",3221],["kaluga.ru",3222],["kalugacity.ru",3223],["rk.karelia.ru",3225],["kasparov.ru",[3226,3227]],["ria-m.tv",[3226,4786]],["kavkazova.ru",3228],["kavtoday.ru",3229],["sletat.ru",[3229,4115]],["kazanfirst.ru",3230],["kazanutlary.ru",3231],["kazus.ru",[3232,3233]],["kelmochka.ru",3234],["ketchuptv.ru",3235],["key-test.ru",3236],["kurs.if.ua",[3236,5036,5037]],["keypro2.ru",3237],["khl.ru",3239],["mhl.khl.ru",[3240,3241]],["vhlru.ru",3241],["video.khl.ru",3242],["whl.khl.ru",3243],["kidpuz.ru",3244],["kineshemec.ru",3245],["kingisepp.ru",3246],["kingisepp-today.ru",3247],["xn----etbbecbrbp5ahkja1ae7v.xn--p1ai",[3247,5252]],["kino-archive.ru",[3248,3249]],["kino-teatr.ru",3250],["kinofann.ru",3251],["kinofrog.ru",3252],["kinomania.ru",3253],["kinomonitor.ru",3254],["kinonavigator.ru",3255],["kinoteatr.ru",3262],["kinotv1.ru",3263],["kinow.ru",3264],["kirovnet.ru",3266],["kkal.ru",3267],["pi-c.ru",3268],["klerk.ru",3271],["www.km.ru",3274],["kmory.ru",3275],["kniga-diva.ru",3276],["knigi-chitaty.ru",3277],["komcity.ru",3280],["komiinform.ru",3281],["komionline.ru",3282],["kompas74.ru",3284],["konkurent.ru",3285],["konorama.ru",3286],["konstruktortestov.ru",3287],["koolinar.ru",3290],["kosmetista.ru",3292],["kot-i-koshka.ru",3293],["krolmen.ru",3299],["krugo.ru",3300],["ktonanovenkogo.ru",3301],["kttc.ru",3302],["ktv-ray.ru",3303],["kubik3.ru",3305],["kudainvestiruem.ru",3306],["kulturomania.ru",3308],["kupidonia.ru",3309],["kupikolesa.ru",3310],["kurer-sreda.ru",3311],["kursk-izvestia.ru",3313],["kurskcity.ru",3314],["kurufin.ru",3315],["kyron-clan.ru",3317],["l2argument.ru",3318],["l2db.ru",3319],["l2top.ru",3320],["la2nika.ru",3321],["ladyspecial.ru",3322],["laststicker.ru",3323],["legends.ru",3324],["lenov.ru",3326],["lessonsflash.ru",3328],["levashove.ru",3329],["lewi.ru",3330],["lfl.ru",3331],["lgoty-expert.ru",3332],["lideo.ru",3336],["life-prog.ru",3337],["life-students.ru",3338],["life170.ru",3339],["fototeens.lifeforums.ru",3340],["propohoroni.ru",3340],["lifehacker.ru",3341],["lifetambov.ru",3342],["likemetr.ru",3343],["liking-soft.ru",3345],["lineageternal.ru",[3346,3347]],["tera-lib.ru",3347],["lineykasm.ru",3348],["listaj.ru",3349],["litportal.ru",3351],["forum.littleone.ru",3352],["live24.ru",3353],["livecars.ru",[3356,3357]],["liveday.ru",3358],["liveposts.ru",3361],["liwihelp.ru",3365],["lost-abc.ru",3368],["lostfilm2.ru",3369],["love-sims.ru",3370],["lumpics.ru",3373],["lunno.ru",3374],["motolife24.ru",3374],["luxurynet.ru",3375],["lyricshub.ru",3377],["m-strana.ru",3378],["maam.ru",3380],["macosworld.ru",3381],["magcity74.ru",3382],["mail.ru",[3383,3384,3385,3386,3387,3388,3389]],["sportmail.ru",[3383,3387,3389,3409,3410,4189]],["kino.mail.ru",[3386,3401]],["tv.mail.ru",[3386,3417]],["auto.mail.ru",[3387,3390]],["calendar.mail.ru",3391],["cloud.mail.ru",[3392,3393]],["e.mail.ru",[3393,3396]],["octavius.mail.ru",[3393,3396]],["deti.mail.ru",3394],["dom.mail.ru",3395],["news.mail.ru",[3397,3408,3409,3410]],["pogoda.mail.ru",[3397,3398,3409,3414]],["vfokuse.mail.ru",3397],["horo.mail.ru",[3398,3400]],["hi-tech.mail.ru",3399],["lady.mail.ru",3402],["light.mail.ru",3403],["love.mail.ru",3404],["minigames.mail.ru",[3405,3406]],["okminigames.mail.ru",[3406,3411]],["my.mail.ru",3407],["otvet.mail.ru",3412],["pets.mail.ru",3413],["todo.mail.ru",3415],["touch.mail.ru",3416],["mainspy.ru",3418],["sp.mamask.ru",3420],["mamba.ru",3421],["mamcompany.ru",3422],["manikyres.ru",3423],["manjaro.ru",3424],["mannaya-kasha.ru",3425],["marathonec.ru",3427],["market-pages.ru",3428],["martrending.ru",3431],["masterstl.ru",3432],["matchtv.ru",3433],["video.matchtv.ru",3434],["matematika-club.ru",3435],["materialscience.ru",3437],["materinstvo.ru",3438],["math-prosto.ru",3440],["mauforum.ru",3441],["maxikarta.ru",3444],["mayaksbor.ru",[3447,3448]],["md4u.ru",3449],["mdex-nn.ru",3450],["videout.ru",3450],["meat-expert.ru",[3451,3452]],["china-review.com.ua",3451],["med-heal.ru",3453],["meddaily.ru",3455],["media-online.ru",3456],["mediametrics.ru",3458],["mediavitrina.ru",3460],["mediazavod.ru",3461],["medikforum.ru",3462],["medinfo-yar.ru",3463],["medside.ru",3465],["mega-stars.ru",3466],["megacritic.ru",3467],["moscowsg.megafon.ru",3468],["megaimg.ru",3469],["megapeer.ru",3472],["megapeer.vip",3472],["melodiimp3.ru",[3475,3476]],["sitepartners.ru",[3476,4109]],["memstatus.ru",3477],["mentoday.ru",3480],["novochag.ru",[3480,3667]],["pravilamag.ru",3480],["techinsider.ru",[3480,4269]],["thesymbol.ru",3480],["thevoicemag.ru",3480],["metaratings.ru",3481],["meteonova.ru",3482],["metodsilva.ru",3483],["metrologe.ru",3484],["metrprice.ru",3486],["miasskiy.ru",3488],["milknet.ru",3489],["minecraft-inside.ru",3491],["minecraft-mods.ru",3492],["minimultik.ru",3493],["mirdiets.ru",3494],["top10books.ru",3494],["mirkvartir.ru",3496],["mirlib.ru",3497],["mixmuz.ru",3502],["prnt.sc",[3504,4633]],["mkap.ru",3505],["mks-onlain.ru",3506],["mmamama.ru",3507],["mmgp.ru",3508],["mmo13.ru",[3509,3510]],["ps4.in.ua",3510],["mmogamez.ru",3511],["mmoglobus.ru",3512],["mmohelper.ru",3513],["mmotop.ru",3514],["mnogo-krolikov.ru",3516],["mnogoto4ka.ru",3517],["mnogovoprosov.ru",3518],["mob39.ru",3519],["mobiguru.ru",3520],["mobiledevice.ru",3521],["mobiset.ru",3523],["mobtop.ru",3524],["forum.mobzon.ru",3525],["mockva.ru",3526],["modfix.ru",3527],["mods-club.ru",3528],["modsgaming.ru",3529],["prokuzbass.ru",[3530,3877]],["moeobrazovanie.ru",3532],["molchun.ru",3535],["monstrbit.ru",3536],["monteon.ru",3537],["mosday.ru",3539],["my.mosenergosbyt.ru",3540],["mosgorzdrav.ru",3541],["motogon.ru",3543],["motoliga-nn.ru",3544],["motorpage.ru",3546],["motorpuls.ru",3547],["mountain.ru",3548],["moybrauzer.ru",3552],["moydrygpk.ru",3553],["myhairsalon.ru",3556],["progipertoniyu.ru",[3556,3873]],["znachenieimenipro.ru",[3556,4614]],["mozhaysksg.ru",3557],["mp3films.ru",3558],["mschistota.ru",3559],["mskgazeta.ru",3560],["mul-tor.ru",3561],["mult-film-pro.ru",3562],["camelot.multilocal.ru",3563],["camelot.userlan.ru",3563],["multoigri.ru",3565],["murman-fishing.ru",3566],["muz.ru",3567],["muz-tv.ru",3568],["minecraft15.my1.ru",3569],["myanimecorner.ru",3571],["otvaga2004.mybb.ru",3572],["utkonos.mybb.ru",3573],["myfelt.ru",3575],["mymirknig.ru",3579],["mirknig.su",3579],["myparcels.ru",3580],["olivkafrekenbok.myqip.ru",3583],["myshave.ru",3585],["myusli.ru",3587],["n1.ru",[3590,3591]],["n71.ru",3592],["nadavi.ru",3595],["nadavi.com.ua",3595],["nakanune.ru",3596],["narkoseti.ru",3599],["audiopoisk.narod.ru",3600],["doc-suvorov.narod.ru",3601],["naruto-brand.ru",3602],["narutoplanet.ru",3603],["bbs.nashalife.ru",3604],["nashashcola.ru",3605],["nashdisk.ru",3606],["nastroyvse.ru",3608],["natural-cosmetology.ru",3609],["ndscalc.ru",3611],["needtext.ru",3613],["nefrolab.ru",3614],["neosmi.ru",3615],["nesekretno.ru",3616],["story.neskromnie.ru",3617],["basaru.net.ru",3618],["superkarate.ru",[3618,4237]],["weblance.com.ua",3618],["lexxs.us",3618],["hotsoft.net.ru",3619],["wintech.net.ru",3620],["netall.ru",3621],["netschool-edu22-info.ru",3622],["newauthor.ru",3626],["newdaynews.ru",3627],["newradioshop.ru",3629],["mypornoonlain.tv",3632],["newsazerbaijan.ru",3633],["newsinfo.ru",3635],["newsko.ru",3636],["newstula.ru",3639],["ng.ru",3643],["ngnovoros.ru",[3644,3645]],["ngzt.ru",[3644,3645]],["progorod59.ru",[3644,3645]],["progorodchelny.ru",[3644,3645]],["progorodnsk.ru",[3644,3645]],["progorodsamara.ru",[3644,3645]],["prokazan.ru",[3644,3645]],["18000.com.ua",3644],["love.ngs.ru",3646],["sp.ngs.ru",3647],["nick-name.ru",3648],["niscu.ru",3649],["nixp.ru",3651],["nm71.ru",3652],["nmosktoday.ru",3653],["ppl.nnov.ru",3655],["noddb.ru",[3656,3657]],["android-club.ws",3656],["zenit-fk.ru",[3657,4611]],["forum.northnet.ru",3660],["vkusneedoma.ru",3661],["notik.ru",3662],["nov-pravda.ru",3663],["nova-wings.ru",3664],["novayagazeta.ru",3665],["novgorod.ru",3666],["novostioede.ru",3668],["novostroy-m.ru",3671],["novostroykin.ru",3672],["now.ru",3673],["nsp.ru",3674],["nsportal.ru",3675],["sibinfo.su",3676],["irtafax.com.ua",[3676,4903]],["servers-rust.ru",[3677,4083]],["gfxstuff.ws",3678],["o-keys.ru",3680],["obfog.ru",3681],["oblgazeta.ru",3682],["obnimau.ru",3683],["obogrevguru.ru",[3684,3685]],["stroitel-list.ru",3684],["termogurus.ru",[3684,3685]],["oboznik.ru",3686],["obrazbase.ru",3687],["obrkarta.ru",3689],["ochevidets.ru",3690],["octavia-a5.ru",3691],["odds.ru",3692],["oddstyle.ru",3693],["odeve.ru",3694],["odinelectric.ru",3695],["ognov.ru",3697],["porjati.ru",[3697,3828]],["sovkusom.ru",[3697,4166]],["ogorod.ru",3698],["ohotniki.ru",3700],["ok.ru",3701],["ok-pressa.ru",3702],["omskinform.ru",3706],["omskmama.ru",[3707,3708]],["prologic.su",3708],["omskzdes.ru",3710],["onfoto.ru",3713],["online-buhuchet.ru",3714],["online-south-park.ru",3715],["onlineguru.ru",3716],["onlinepetition.ru",3718],["onlinetrade.ru",3721],["only-paper.ru",3722],["onxa.ru",3724],["oplati.ru",3727],["optimistt.ru",3728],["orakul.ru",3729],["airgun.org.ru",3732],["linux.org.ru",3733],["mob.org.ru",3734],["rutor.org.ru",3735],["oru.ru",3737],["oryol.ru",3738],["osadovod.ru",3739],["oskazkax.ru",3740],["osnovu-ved.ru",3741],["bloknot-khersona.ks.ua",3741],["osocionike.ru",3743],["othereal.ru",3745],["otherforum.ru",3746],["e.otruda.ru",3747],["otvetkak.ru",3748],["otzyv.ru",3749],["ozon.ru",3753],["painart.ru",3754],["pojrem.ru",3755],["panzer35.ru",3756],["partarium.ru",3759],["pasmi.ru",3760],["pastenow.ru",3761],["patee.ru",3762],["pc-aio.ru",3766],["pcnews.ru",3767],["pechiexpert.ru",3769],["people-ask.ru",3773],["peopletalk.ru",3774],["pes-files.ru",3775],["pesenok.ru",3776],["songpros.ru",3776],["songspro.ru",3776],["pesiq.ru",3777],["petromap.ru",3780],["phantastike.ru",3784],["photo-boutique.ru",3785],["photoshablon.ru",3786],["pic4you.ru",3788],["pic5you.ru",3788],["pickupclub.ru",3789],["pickupforum.ru",3790],["piki-trip.ru",3792],["pipdecor.ru",3794],["pitbit.ru",3795],["pixs.ru",3796],["pkrc.ru",3797],["planet-today.ru",3798],["match-center.playmaker24.ru",3801],["playunturned.ru",3802],["pleer.ru",3803],["pleogame.ru",3804],["plodovie.ru",3806],["pnzstroi.ru",3809],["pobedish.ru",3810],["podelki-doma.ru",3811],["poebuilds.ru",3814],["pogoda21.ru",3816],["pogoda7.ru",3817],["poisk-ru.ru",3821],["poiskvps.ru",3822],["poker-wiki.ru",3823],["pokupki21.ru",3824],["polit.ru",3825],["poncy.ru",3826],["porno-monster.ru",3829],["pornotales.ru",3830],["pornotext.ru",3831],["portal-kultura.ru",3832],["portalgkh.ru",3833],["portamur.ru",3835],["postila.ru",3837],["postmoda.ru",3838],["posudaa.ru",3839],["poufe.ru",3840],["povar.ru",3841],["pozdrav.ru",3843],["viknaodessa.od.ua",[3843,5126]],["poznamka.ru",3844],["buh24.com.ua",3845],["pptcloud.ru",3847],["pr-people.ru",3849],["pravda-tv.ru",3851],["prazdnovik.ru",3853],["prestige-gaming.ru",3854],["prgazeta.ru",3855],["price.ru",3856],["prikol.ru",3857],["primorye.ru",3858],["primpress.ru",3860],["printerprofi.ru",3861],["privetsochi.ru",3862],["profbuh8.ru",3866],["professionali.ru",[3867,3868]],["ntn.ua",3868],["professorweb.ru",3869],["trashbox.ru",[3871,4348]],["program-pro.ru",3874],["promebelclub.ru",3878],["xn----btbdkbsogebtjq6bm4g5b.xn--p1ai",3878],["promigren.ru",3879],["pronedra.ru",3881],["pronovostroy.ru",3882],["prooflink.ru",3883],["prophotos.ru",3884],["propochemu.ru",3885],["propogodu.ru",3886],["proshkolu.ru",3888],["protdt.ru",3890],["proufu.ru",3891],["provapes.ru",3892],["province.ru",3893],["provinceinfo.ru",3894],["provladimir.ru",3895],["psxplanet.ru",3897],["psy-music.ru",3898],["publy.ru",3902],["pulscen.ru",3903],["pushkin.ru",3904],["pushkinprize.ru",3905],["puzzleheap.ru",3906],["pvcalc.ru",3907],["pythonworld.ru",3908],["news.qip.ru",3910],["qrcoder.ru",3911],["queen-time.ru",3913],["quote.ru",3914],["qwe.ru",3915],["r-kopilka.ru",3916],["r0.ru",3917],["rabota24online.ru",3918],["rabota66.ru",3919],["rabotasakhcom.ru",3920],["raceportal.ru",3921],["radiodacha.ru",3923],["radiokot.ru",3925],["radioradio.ru",3928],["radioscanner.ru",3930],["www.radioscanner.ru",3931],["raenza.ru",3932],["doctor.rambler.ru",3935],["finance.rambler.ru",3936],["horoscopes.rambler.ru",3937],["mail.rambler.ru",3938],["nova.rambler.ru",3939],["sport.rambler.ru",3940],["top100.rambler.ru",3941],["travel.rambler.ru",3942],["weekend.rambler.ru",3944],["woman.rambler.ru",3945],["www.rambler.ru",3946],["rapsinews.ru",3947],["rasfokus.ru",[3948,3949]],["waralbum.ru",3948],["rating-avto.ru",3950],["cash.rbc.ru",3954],["pro.rbc.ru",3955],["forum.rcdesign.ru",3959],["rcmm.ru",3960],["readytospeak.ru",3962],["realnoevremya.ru",3963],["referatwork.ru",3965],["region15.ru",3966],["rekportal.ru",3968],["remontcompa.ru",3971],["repetit-center.ru",3973],["reporter64.ru",3974],["reshak.ru",3975],["reviewdetector.ru",3977],["rin.ru",3987],["risk.ru",3988],["risovach.ru",3989],["ritsatv.ru",3990],["rk1.ru",3991],["rlocman.ru",3992],["rlsnet.ru",3993],["rmnt-aqua.ru",3994],["roadvictory.ru",3995],["robloro.ru",3996],["rocketdockfree.ru",3997],["rosrabota.ru",3999],["roypchel.ru",4000],["rpod.ru",4002],["lk.rt.ru",4003],["rt02.ru",4004],["ru-minecraft.ru",4006],["rufox.ru",4008],["www.ruhim.ru",4009],["runews24.ru",4010],["rupor73.ru",4011],["rus-urologiya.ru",4012],["rusdemotivator.ru",4013],["rusdozor.ru",4014],["rusdtp.ru",4015],["ruskino.ru",4016],["ruskline.ru",4017],["tvin.su",4021],["russiancfg.ru",4025],["russianporno911.ru",4026],["russianpost.ru",4027],["russkiiyazyk.ru",4028],["russkiypro.ru",4029],["rustaste.ru",4030],["rutvet.ru",4034],["s-platoon.ru",4035],["s13.ru",4036],["salex.ru",4037],["samlib.ru",4039],["samods.ru",4040],["samopoznanie.ru",4041],["samoychiteli.ru",4042],["sampik.ru",4043],["sanstv.ru",4045],["sapr.ru",4046],["forum.saransk.ru",4047],["sasisa.ru",4049],["wap.sasisa.ru",4050],["sberometer.ru",4052],["sbp-program.ru",4054],["scandar.ru",4055],["scask.ru",4056],["scooter777.ru",4058],["sdelanounas.ru",4063],["sdelaycomp.ru",4064],["season.ru",4065],["seasonvar.ru",4066],["secondstreet.ru",4067],["1901.selcdn.ru",4069],["self-edu.ru",4070],["semerkainfo.ru",4071],["seopult.ru",4074],["serfery.ru",4075],["serg-casper.ru",4076],["seriallife.ru",4077],["serialochka.ru",4078],["servernews.ru",4082],["severstalclub.ru",4085],["sftv.ru",4086],["sgad.ru",4087],["shahty.ru",4088],["shakai.ru",4089],["sheensay.ru",4092],["sheru.ru",4093],["sho-me.ru",4094],["shophelp.ru",4095],["shpargalkablog.ru",4096],["sibdepo.ru",4098],["sibnet.ru",4099],["info.sibnet.ru",4100],["soft.sibnet.ru",4101],["video.sibnet.ru",4102],["www.sibnet.ru",4103],["simulyator-myshi.ru",4107],["sitepokupok.ru",4110],["skachaj24.ru",4111],["skmash.ru",4112],["skyback.ru",4113],["slbook.ru",4114],["slivap.ru",4116],["slovarozhegova.ru",4119],["smart-lab.ru",4120],["smartbobr.ru",4121],["smexigrex.ru",4122],["smi2.ru",4123],["smile-vkontakte.ru",4124],["smolbattle.ru",4125],["smolensk-auto.ru",4126],["smolensk2.ru",4128],["smotrikinohit.ru",4129],["snitsya-son.ru",4131],["snn-mn.ru",4132],["snob.ru",4133],["snovidenija.ru",4134],["snowrock.ru",4136],["soccer365.ru",4139],["soccer365.com.ua",4139],["sochinyashka.ru",4140],["socproxy.ru",4141],["domik.ua",[4141,4987]],["soel.ru",4142],["soft-arena.ru",4144],["soft-file.ru",4146],["soft-i-kino.ru",[4147,4148]],["softboard.ru",4150],["softby.ru",4151],["softking.ru",4152],["softodrom.ru",4153],["softonic.ru",4154],["softru.ru",4155],["softsalad.ru",4156],["sol-online.ru",4157],["solncewonews.ru",4158],["sostav.ru",4161],["sotovik.ru",4162],["news.soundex.ru",4163],["soundtimes.ru",4164],["sovetyporemontu.ru",4165],["spartak.ru",4169],["gazeta.spb.ru",4172],["marketing.spb.ru",4174],["splkirov.ru",4180],["sportmk.ru",4191],["cyber.sports.ru",4195],["www.sports.ru",4196],["spravportal.ru",4198],["sql-tutorial.ru",4199],["sr-week.ru",4200],["srtclub.ru",4202],["staforceteam.ru",4203],["stalker-gsc.ru",4204],["stalkermod.ru",4205],["stankiexpert.ru",4207],["star-wars-film.ru",4208],["uralweb.ru",[4210,4410]],["startgamer.ru",4211],["steelsports.ru",4214],["sterlegrad.ru",4215],["stock-list.ru",4216],["stocktime.ru",4217],["stolica.ru",4218],["stopress.ru",4220],["strikes.ru",4224],["stud-time.ru",4225],["stylenews.ru",4229],["sudga.ru",4231],["sunhome.ru",4233],["sunsurv.ru",4234],["superjob.ru",4236],["supertabak.ru",4239],["svadbavo.ru",4240],["svetlica-mama-blogger.ru",4241],["swaego.ru",4243],["synonymizer.ru",4245],["synthira.ru",4246],["sysadminblog.ru",4247],["sysadmins.ru",4248],["system-fx.ru",4249],["taba.ru",4251],["tackler.ru",4252],["tagilcity.ru",4253],["tagline.ru",4254],["talkers.ru",4255],["talkwebber.ru",4256],["doska.tamboff.ru",4258],["taminfo.ru",4259],["tassbiz.ru",4261],["tatler.ru",4262],["taxifm.ru",4264],["tdaily.ru",4265],["te4h.ru",4266],["tea-online.ru",4267],["techdigest.ru",4268],["techmusic.ru",4270],["technoavia.ru",4271],["tehno-rating.ru",4272],["tehnobeton.ru",4273],["teknoblog.ru",4274],["tele-satinfo.ru",4276],["temp-mail.ru",4280],["templateinstant.ru",4281],["tenstars.ru",4282],["teploguru.ru",4283],["tests-exam.ru",4284],["texnic.ru",4285],["textarchive.ru",4286],["tg-a.ru",4287],["tglink.ru",4288],["the-geek.ru",4289],["theins.ru",4291],["thelastgame.ru",4292],["theonion.ru",4293],["theplace.ru",4294],["thevidosss.ru",4296],["thevista.ru",4297],["thisisus.ru",4299],["thr.ru",4300],["tihvesti.ru",4301],["time-to-read.ru",4302],["timeallnews.ru",4303],["tkaninfo.ru",4305],["tltgorod.ru",4306],["tltnews.ru",4307],["tnt-online.ru",4310],["togliatti24.ru",4311],["tokzamer.ru",4312],["tolknews.ru",4313],["desk.tomsk.ru",4314],["gorod.tomsk.ru",4315],["mama.tomsk.ru",4316],["novo.tomsk.ru",4317],["sadiki.tomsk.ru",4318],["tv2.tomsk.ru",4319],["forum.tomsknet.ru",4321],["tonkosti.ru",4322],["tonnews.ru",4323],["topcraft.ru",[4326,4327]],["mctop.su",[4327,4679]],["topgearrussia.ru",4328],["tophotels.ru",4329],["toptracker.ru",4330],["torrent-bort.ru",[4331,4332]],["torrent-ideal.ru",4334],["torrent-igruha.ru",4335],["torrent10.ru",4336],["torrent3.ru",4336],["torrent50.ru",4336],["torrnado.ru",4337],["tourpom.ru",4340],["tproger.ru",4341],["tracker.ru",4342],["forum.tradelikeapro.ru",4344],["tradoman.ru",4345],["translate.ru",4346],["translit.ru",4347],["travel3.ru",4349],["travelask.ru",4350],["traveller-eu.ru",4351],["trend-city.ru",4352],["trishurupa.ru",4355],["triskirun.ru",4356],["tula-football.ru",4360],["tulactive.ru",4362],["tuningkod.ru",4364],["news.turizm.ru",4366],["api.turk-sinema.ru",4367],["api.ekranka.tv",4367],["api.yadoma.tv",4367],["turkish-tv-series.ru",4368],["turkishtvsoapopera.ru",4369],["tutu.ru",4370],["tuzlist.ru",4371],["tvcook.ru",4374],["karavan.tver.ru",4375],["forum.tvercity.ru",4376],["tverisport.ru",[4378,4379]],["tverlife.ru",4380],["tvigle.ru",4382],["tvoj-onlajn.ru",4385],["tvoyazhizn50.ru",4386],["tvsok.ru",4387],["twizz.ru",4390],["tyndex.ru",4391],["uamovies.ru",4393],["ucoz.ru",4395],["leonkrevs.ucoz.ru",4396],["samodelkyn.ucoz.ru",4397],["ucrazy.ru",4398],["ufacitynews.ru",4399],["ufamama.ru",4400],["ug.ru",4402],["ugo.ru",4403],["umpro.ru",4404],["uploads.ru",4405],["upn.ru",4406],["uptracker.ru",4407],["ural56.ru",4408],["urank.ru",4411],["urbc.ru",4412],["useron.ru",4414],["space.utema.ru",4416],["utmagazine.ru",4417],["uznayvse.ru",4419],["v-dacha.ru",4420],["v-zlom.ru",4423],["v102.ru",4424],["vakhta-job.ru",4425],["vashdom.ru",4427],["vashdosug.ru",4428],["vashgorod.ru",4429],["vbr.ru",4431],["vekx.ru",4436],["vellisa.ru",4437],["velosipedinfo.ru",4438],["med.vesti.ru",4444],["realty.vesti.ru",4445],["vfl.ru",4448],["vgae.ru",4449],["vgorodekirove.ru",4450],["videokaif.ru",4453],["videovegas.ru",4454],["vika-plus.ru",4455],["forum.vingrad.ru",4457],["vip-mods.ru",4458],["vipvideoclub.ru",4459],["videoclub.site",4459],["virpl.ru",4460],["virtualbrest.ru",4461],["vitaportal.ru",4462],["vk-smi.ru",4464],["vkdiz.ru",4465],["vkplay.ru",4466],["kino.vl.ru",4468],["vladday.ru",4469],["vladnews.ru",4470],["vmo24.ru",4473],["vnitkah.ru",4475],["vodotopim.ru",4476],["voenhronika.ru",4477],["vologdahistory.ru",4478],["volzsky.ru",4479],["voprosov-net.ru",4480],["votpusk.ru",4481],["votrube.ru",4482],["vsadu.ru",4485],["vse42.ru",4487],["vseapteki.ru",4488],["vsebasni.ru",4489],["vsehvosty.ru",4490],["vseosi.ru",4491],["vsepredohraniteli.ru",4492],["vseprorebenka.ru",4493],["vsluh.ru",4494],["vsthouse.ru",4495],["vtomske.ru",4496],["news.vtomske.ru",4497],["vuzopedia.ru",4498],["w7phone.ru",4500],["waitpost.ru",4501],["weather7.ru",4505],["web-shpargalka.ru",4506],["webdesign-master.ru",4507],["webofcomics.ru",4510],["webpark.ru",4512],["webtous.ru",4514],["wefilms.ru",4515],["westernfilm.ru",4516],["news14.wifiram.ru",4518],["wikireality.ru",4519],["win7ka.ru",4522],["windata.ru",4524],["winstation.ru",4525],["wintorrents.ru",4526],["wmmail.ru",4529],["womanadvice.ru",4531],["womanbusiness.ru",4532],["forum.woodtools.ru",4534],["wooordhunt.ru",4535],["world-art.ru",4537],["world-weather.ru",4539],["worldcrisis.ru",4540],["forum.worldoftanks.ru",4541],["worldoftanksgame.ru",4542],["wotspeak.ru",4543],["wowgaid.ru",4544],["wowlol.ru",4545],["wowskill.ru",4546],["wuzzup.ru",4548],["wysiwygwebbuilder.ru",4549],["x-16.ru",4550],["xakep.ru",4553],["xboxrussia.ru",4554],["xbts.ru",4555],["ximepa.ru",4556],["xtool.ru",4557],["xxuy.ru",4558],["xxx-russian.ru",4559],["cinephile-online-hd.xyzy.ru",4560],["y-games.ru",4561],["realty.ya.ru",4563],["yachaynik.ru",4565],["yagd-torr.ru",4566],["yagramotniy.ru",4567],["yakako.ru",4568],["yamart.ru",4571],["travel.yandex.ru",4575],["uslugi.yandex.ru",4576],["yapx.ru",4578],["yarportal.ru",[4579,4580]],["xn--80awhdeco3h.xn--p1ai",4579],["yepman.ru",4582],["joker.ykt.ru",4584],["stroy.ykt.ru",4585],["youla.ru",4587],["youtext.ru",4588],["yp.ru",4589],["ysia.ru",4591],["ytvideo.ru",4592],["yuga.ru",4593],["yur-zakon.ru",4594],["z-torrents.ru",4595],["za4eti.ru",4596],["zab.tv",4597],["zahav.ru",4598],["zakazgid.ru",4599],["zakonia.ru",4601],["forum.zakonia.ru",4602],["zamena-podshipnikov.ru",4603],["zanmsk.ru",4604],["zaporpobedim.ru",4605],["zaqw.ru",4606],["zastroyschiki39.ru",4607],["zelenograd.ru",4610],["zhukvesti.ru",4612],["zmoe.ru",4613],["znaigorod.ru",4615],["znaikak.ru",4616],["zol.ru",4618],["zombi-family.ru",4619],["forum.zoneofgames.ru",4622],["zoodrug.ru",4624],["zoospravka.ru",4626],["zpravda.ru",4628],["zvezdaweekly.ru",4630],["zzap.ru",4632],["underver.se",4634],["underverse.su",4634],["nya.sh",4635],["amedia.site",4636],["filmitorrent.site",4638],["fonland.site",4639],["porno-island.site",4640],["qaru.site",4641],["storinka.site",4642],["storinka.com.ua",4642],["ebooks.skin",4643],["sfw.so",4644],["economic.social",4645],["animego.space",4646],["onlineclass.space",4647],["realstream.space",4648],["websdr.space",4649],["rgho.st",4650],["top.thepo.st",[4651,4652]],["kadik.com.ua",4652],["ander.su",4655],["androidphone.su",4656],["apteki.su",4657],["ati.su",4658],["tm.ati.su",4659],["trucks.ati.su",4659],["audioportal.su",4660],["bestgamer.su",4661],["allgames.zone",4661],["bhf.su",4662],["caravan.su",4663],["cryptoworld.su",4665],["games-two.su",4668],["glav.su",4669],["infokam.su",4670],["insite.su",4671],["kievforum.ipb.su",4672],["kino-line.su",4674],["blog.korabli.su",4675],["mcrate.su",4678],["minecraft-mod.su",4680],["omnibus.moy.su",4682],["novostroy.su",4684],["piratia.su",4686],["porngames.su",4687],["prisnilos.su",4688],["rockstargame.su",4690],["sd-company.su",4692],["sexoporno.su",4694],["shopping-spb.su",4695],["southpark.su",4696],["lyucifer.tv",4696],["m-z.tv",4696],["izmailovtv.xyz",4696],["stih.su",4697],["stolica-s.su",4698],["topgame.su",4700],["vlab.su",4701],["w98008mo.beget.tech",4703],["ogo.ua",[4705,5127]],["5peciali5t.tk",4710],["chahid4u.tk",4711],["mazepa.to",4713],["protonvideo.to",4715],["wstream.to",4716],["actual.today",4717],["equity.today",4718],["agronom.top",4723],["indi1.top",4724],["zannn.top",4725],["itcrowd.top",4726],["kinolook.top",4727],["megatrack.top",4728],["shrlink.top",4730],["telek.top",4731],["volna.top",4732],["1yar.tv",4733],["animespirit.tv",4734],["arigato.tv",4735],["arigus.tv",4736],["baibako.tv",4737],["dndz.tv",4739],["domkino.tv",4740],["ebongo.tv",4741],["ekranka.tv",4742],["eneyida.tv",4743],["espreso.tv",[4744,4745,4746]],["tv.meta.ua",[4746,5095]],["fast-torrent.tv",4747],["football-russia.tv",4748],["fox-online.tv",4750],["giclub.tv",4751],["gtk.tv",4752],["guberniya.tv",4753],["hindcine.tv",4754],["hochu.tv",4755],["kanaldim.tv",4757],["uatv.ua",4757],["kino-zal.tv",4759],["kinoblog.tv",4760],["kinovdom.tv",4761],["kuban24.tv",4763],["limehd.tv",4764],["m-live.tv",4766],["more.tv",4768],["odysseus.more.tv",4769],["mult-fan.tv",4770],["novafilm.tv",4773],["novy.tv",4774],["objectiv.tv",4775],["obob.tv",4776],["okanime.tv",4777],["ovva.tv",4778],["peers.tv",4779],["piter.tv",4780],["pornoboss.tv",4781],["pornogam.tv",4782],["protanki.tv",4784],["rideo.tv",4787],["rivne1.tv",4788],["rus24.tv",4789],["sakh.tv",4790],["sawlive.tv",4791],["seetv.tv",4792],["show-online.tv",4794],["smotrisport.tv",4796],["softbox.tv",4797],["thailandproperty.tv",4798],["tvoemisto.tv",4801],["player.twitch.tv",4802],["uafilm.tv",4803],["wakanim.tv",4808],["wasd.tv",4809],["webcam-erotic.tv",4810],["wikianime.tv",4812],["yocast.tv",4814],["104.ua",4815],["1kr.ua",4816],["games.24tv.ua",4821],["4mama.ua",4823],["tvoymalysh.com.ua",[4823,4965]],["5.ua",4824],["agroportal.ua",4825],["agrotimes.ua",4826],["aquaforum.ua",4829],["otipb.at.ua",4830],["ut3mk.at.ua",4831],["automoto.ua",4833],["avtoblog.ua",4834],["avtoradio.ua",4835],["beauty.ua",[4837,4838]],["edinstvennaya.ua",[4837,4996]],["viva.ua",[4837,5204]],["bin.ua",4840],["business.ua",4843],["menu.cc.ua",4844],["mycooking.pp.ua",4844],["cf.ua",4845],["provce.ck.ua",4846],["zmi.ck.ua",4847],["map.cn.ua",4849],["slavutich.cn.ua",4851],["1news.com.ua",4852],["49000.com.ua",4853],["a7d.com.ua",4854],["agrarii-razom.com.ua",4855],["news.agro-center.com.ua",4859],["apnews.com.ua",4863],["apostrophe.com.ua",4864],["armyinform.com.ua",4865],["bankchart.com.ua",4868],["bankua.com.ua",4869],["buknews.com.ua",[4872,4873]],["camtasia.com.ua",4874],["denzadnem.com.ua",4878],["dnpr.com.ua",[4879,4880]],["gorsovet.com.ua",4880],["dpchas.com.ua",4881],["edenland.com.ua",4882],["finbalance.com.ua",4889],["fitomarket.com.ua",4890],["gadgetstyle.com.ua",4892],["geomap.com.ua",4894],["gorodkiev.com.ua",4896],["guland.com.ua",4899],["harpersbazaar.com.ua",4900],["hsl.com.ua",4901],["inspired.com.ua",4902],["itnet.com.ua",4904],["itnews.com.ua",4905],["jewishnews.com.ua",4907],["joblog.com.ua",4908],["kidstaff.com.ua",4909],["sovet.kidstaff.com.ua",4910],["ktozvonit.com.ua",4913],["libelle.com.ua",4917],["lifedon.com.ua",4918],["lifter.com.ua",4919],["local.com.ua",4920],["lypa.com.ua",4921],["me3.com.ua",4923],["minfin.com.ua",4925],["moto.com.ua",4926],["msd.com.ua",4927],["myukraina.com.ua",4928],["nezhatin.com.ua",4929],["ngsrabota.com.ua",4930],["onlinemusic.com.ua",4934],["open4business.com.ua",4935],["paramountcomedy.com.ua",4937],["poltavawave.com.ua",4940],["poradumo.com.ua",4941],["pravo-porada.com.ua",4944],["prichernomorie.com.ua",4945],["proagro.com.ua",4946],["programy.com.ua",4947],["rivnenews.com.ua",4948],["rz.com.ua",4949],["shans.com.ua",4950],["shopinfo.com.ua",4951],["siver.com.ua",4952],["virus-stop.com.ua",[4954,4972]],["sobitie.com.ua",4955],["sportnews.com.ua",4956],["stroimdom.com.ua",4957],["forum.taxiservice.com.ua",4958],["telegraf.com.ua",4959],["the-village.com.ua",4960],["travelgps.com.ua",4963],["tribun.com.ua",4964],["ukrlib.com.ua",4966],["ukrs.com.ua",4967],["unn.com.ua",[4968,4969]],["inter.ua",[4969,5057]],["vidstezhyty.com.ua",4971],["vitatv.com.ua",4973],["westudents.com.ua",4977],["zaholovok.com.ua",4979],["promin.cv.ua",4983],["hi.dn.ua",4985],["slavinfo.dn.ua",4985],["news.dn.ua",4986],["vp.donetsk.ua",4988],["dou.ua",4989],["nashemisto.dp.ua",4991],["uoor.dp.ua",4992],["dsnews.ua",[4994,4995]],["education.ua",4997],["facenews.ua",5001],["i.factor.ua",5003],["fakty.ua",5004],["finance.ua",[5005,5006]],["news.finance.ua",5007],["fixygen.ua",5008],["flagma.ua",5009],["buhoblik.org.ua",[5009,5134]],["forbes.ua",5013],["gazeta.ua",5016],["glavnoe.ua",5018],["glavpost.ua",5019],["golos.ua",5020],["grad.ua",5022],["healthinfo.ua",5025],["hh.ua",5026],["hotline.ua",5028],["hubs.ua",5029],["tv.i.ua",5031],["www.i.ua",5032],["radiotrek.rv.ua",[5037,5162]],["pravda.if.ua",5038],["report.if.ua",5039],["versii.if.ua",5040],["city450.in.ua",5043],["crimezone.in.ua",5044],["e-book.in.ua",5045],["gsm.in.ua",5047],["medbib.in.ua",5048],["pro-kyiv.in.ua",5049],["rayon.in.ua",5050],["tyachivnews.in.ua",5053],["infocar.ua",5055],["informator.ua",5056],["joinfo.ua",5060],["kg.ua",5061],["newsroom.kh.ua",5062],["slk.kh.ua",5063],["rabota.kharkov.ua",5064],["0day.kiev.ua",5065],["biznet.kiev.ua",5067],["dominus.kiev.ua",5068],["dynamo.kiev.ua",5069],["funtime.kiev.ua",5070],["izvestia.kiev.ua",5071],["moto.kiev.ua",5072],["shram.kiev.ua",5073],["smartsoft.kiev.ua",5074],["format.kr.ua",5079],["ksza.ks.ua",5080],["t.ks.ua",5081],["vechirniy.kyiv.ua",5083],["lb.ua",5085],["flatfy.lun.ua",5086],["visnyk.lutsk.ua",5087],["marieclaire.ua",5090],["medicina.ua",5091],["pogoda.meta.ua",5094],["metamarket.ua",5096],["meteo.ua",5097],["meteoprog.ua",5098],["militarist.ua",5099],["mind.ua",5100],["moirebenok.ua",5101],["molbuk.ua",5102],["multitest.ua",5104],["my.ua",5105],["azart.net.ua",5106],["broadcast.net.ua",5107],["c-s.net.ua",5108],["okrain.net.ua",5110],["regionnews.net.ua",5113],["smska.net.ua",5114],["trserial.net.ua",5115],["zakarpattya.net.ua",5116],["nrj.ua",5117],["video.oboz.ua",5121],["1tv.od.ua",5123],["culturemeter.od.ua",5124],["odessa-life.od.ua",5125],["city.ogo.ua",5128],["news.online.ua",5132],["btu.org.ua",5133],["cfts.org.ua",5135],["e-bookua.org.ua",5137],["mac.org.ua",5139],["patrioty.org.ua",5141],["risu.org.ua",5142],["umu.org.ua",5146],["petcare.ua",5148],["ng.pl.ua",5149],["pogliad.ua",5150],["price.ua",5151],["profootball.ua",5152],["protocol.ua",5153],["rau.ua",5155],["recept.ua",5157],["reono.ua",5158],["rst.ua",5160],["my.rv.ua",5161],["torg.rv.ua",5164],["vse.rv.ua",5165],["sd.ua",5166],["senior.ua",5167],["sinoptik.ua",5168],["slovoidilo.ua",5169],["sportonline.ua",5172],["sport-express.ua",5173],["sport24.ua",5174],["dobre.stb.ua",5175],["strahnadzor.ua",5176],["stroyobzor.ua",5177],["debaty.sumy.ua",5179],["forums.sumy.ua",5180],["tabletki.ua",5181],["doba.te.ua",5183],["nday.te.ua",5184],["poglyad.te.ua",5185],["telekritika.ua",5186],["teleportal.ua",5187],["tyzhden.ua",5190],["u24.ua",5191],["ubr.ua",5192],["ukrfootball.ua",5193],["ukrinform.ua",5194],["unn.ua",5195],["uteka.ua",5197],["shop.vashsad.ua",5199],["www.vashsad.ua",5200],["vgorode.ua",5202],["golos.zp.ua",5209],["medinfo.zp.ua",5211],["portall.zp.ua",5212],["medved.us",5213],["kinohit.uz",5215],["mover.uz",5216],["nuz.uz",5217],["spot.uz",5221],["soyztreid.website",5228],["serial.wiki",5229],["torrnado.win",5230],["2baksa.ws",5233],["darkwebs.ws",5235],["igraprestolov.ws",5237],["kote.ws",5238],["lfootball.ws",5239],["lu4ok.ws",5241],["oane.ws",5242],["onlyf.ws",5243],["praetorians.ws",5244],["forum.smolensk.ws",5246],["lurkmore.wtf",5249],["xn--c1ajfnfb.xn--p1acf",5250],["xn----dtbfdbwspgnceulm.xn--p1ai",5251],["xn--24-7lcajlu.xn--p1ai",5254],["xn--80ady2a0c.xn--p1ai",5255],["xn--k1afadd0cwc.xn--p1ai",5257],["24video.xxx",5258],["cameleo.xyz",5259],["gk-stalker.xyz",5260],["xporno.xyz",5261]]);

const entitiesMap = new Map(undefined);

const exceptionsMap = new Map([["vk.com",[0,77]],["vk.ru",[0]],["caliber.ru",[1]],["worldoftanks.com",[1]],["worldoftanks.ru",[1]],["worldofwarplanes.ru",[1]],["worldofwarships.ru",[1]],["wotblitz.com",[1]],["wowsblitz.com",[1]],["wowslegends.com",[1]],["media.hubfiles.gdn",[2]],["b-kontur.ru",[3]],["online.sberbank.ru",[3]],["pokupay.ru",[3]],["sunsim.ru",[3]],["converteam.online",[4]],["refocus.ru",[5]],["yvok.ru",[6]],["admag.pro",[7]],["mobiads.ru",[8]],["ukrmedia.center",[9]],["advtise.net",[10]],["bodyclick.net",[11]],["luckproducti.ru",[12]],["maniya.info",[13]],["relap.io",[14]],["rikkobr.com",[15]],["skiles.link",[16]],["starinform.ru",[17]],["traforet.com",[18]],["101xp.com",[19]],["1xwgn.xyz",[20]],["2di.site",[21]],["clickio.com",[22]],["gdz-ru.work",[23]],["mediasyndicate.ru",[24]],["mt-pbs.te.ua",[25]],["rotagmbetdog.xyz",[26]],["smi.expert",[27]],["smi.today",[28]],["vsesdal.com",[29]],["sports.ru",[30,31]],["tribuna.com",[30,31]],["winline.ru",[30]],["abs-cdn.org",[31]],["actionteaser.ru",[32]],["adbid.biz",[33]],["adsmedia-provider.com",[34]],["advclicks.net",[35]],["advert-content.com",[36]],["aff-ads.com",[37]],["autochetki.ru",[38]],["bigleads.ru",[39]],["binomo.com",[40]],["catcut.net",[41]],["forum.zaycev.net",[41]],["mobile-4at-obshenie.chatovod.ru",[41]],["oknotivi.ru",[41]],["opa-kino.ru",[41]],["cpagette.com",[42]],["cpagetti.com",[43]],["cpagettio.com",[44]],["cpaggetti.com",[45]],["cpaggetti.ru",[46]],["cpamatica.com",[47]],["directadvert.ru",[48]],["download-center.club",[49]],["globalteaser.ru",[50]],["incrypted.net",[51]],["installoffer.net",[52]],["leadadvert.ru",[53]],["cashbackmenu.ru",[54]],["marathonmirrorbet.com",[55]],["medicinetizer.ru",[56]],["news-network.ru",[57]],["newsnetwork.ru",[58]],["novostimira.biz",[59]],["omnicpa.ru",[60]],["onetwoaffiliates.com",[61]],["people-group.su",[62]],["promoheads.com",[63]],["reals-gooods.ru",[64]],["recreativ.ru",[65]],["redtram.com",[66]],["rootmedia.cc",[67]],["runetki.com",[68]],["runetki.tv",[68]],["teasermoney.com",[69]],["tizerclick.com",[70]],["helloprice.ru",[71]],["trafmag.com",[72]],["true-gooods.ru",[73]],["universallnk.com",[74]],["nnn.ru",[75]],["wwwapteka.info",[76]],["claims.ru",[77]],["livejournal.com",[77]],["amigo-source.website",[78]],["amigoman.pw",[79]],["amigone.pw",[80]],["20idei.ru",[81]],["bither.one",[82]],["media-rotate.com",[83]],["reklamka.ru.net",[84]],["12go.asia",[85]],["kwork.ru",[86]],["sass.com.ua",[87]],["adnetpartner.com",[88]],["uniontraff.com",[89]],["playmaker24.ru",[90]],["bongacams.com",[91]],["giraff.io",[92]],["steambets.net",[93]],["mc-terra.ru",[94]],["rusdtp.ru",[94]],["primegrid.com",[95]],["westmister.eu",[96]],["mirtesen.ru",[97]],["smi2.ru",[97,98]],["mail.ru",[132,198]],["m.vk.com",[1136]],["e.mail.ru",[3383,3385,3386,3387,3388]],["octavius.mail.ru",[3385]],["fishki.net",[4573]]]);

self.specificImports = self.specificImports || [];
self.specificImports.push({ argsList, hostnamesMap, entitiesMap, exceptionsMap });

/******************************************************************************/

})();

/******************************************************************************/
